/*===========================================================================*/
/*   (Ast/shrinkify.scm)                                                     */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/shrinkify.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2switch1276z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_z62shrinkzd2nodez12zd2funcall1264z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2conditi1272z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2sync1258z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2fail1274z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1280za2zzast_shrinkifyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2variablez121245za2zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2makezd2bo1278za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_z62shrinkzd2nodez12zd2app1260z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2fun1284za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 = BUNSPEC;
	static obj_t BGl_z62shrinkzd2nodez121247za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2appzd2ly1262za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_genericzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_z62shrinkzd2nodez12zd2extern1266z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2kwote1254z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21288z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2cast1268z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2setq1270z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2var1286za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2set1282za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2sequenc1256z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2var1252z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1290za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2atom1250z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_shrinkifyz12zd2envzc0zzast_shrinkifyz00,
		BgL_bgl_za762shrinkifyza712za71865za7,
		BGl_z62shrinkifyz12z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari1866z00,
		BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1834z00zzast_shrinkifyz00,
		BgL_bgl_string1834za700za7za7a1867za7, "shrink-variable!1245", 20);
	      DEFINE_STRING(BGl_string1836z00zzast_shrinkifyz00,
		BgL_bgl_string1836za700za7za7a1868za7, "shrink-node!1247", 16);
	      DEFINE_STRING(BGl_string1837z00zzast_shrinkifyz00,
		BgL_bgl_string1837za700za7za7a1869za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1839z00zzast_shrinkifyz00,
		BgL_bgl_string1839za700za7za7a1870za7, "shrink-node!", 12);
	      DEFINE_STRING(BGl_string1860z00zzast_shrinkifyz00,
		BgL_bgl_string1860za700za7za7a1871za7, "ast_shrinkify", 13);
	      DEFINE_STRING(BGl_string1861z00zzast_shrinkifyz00,
		BgL_bgl_string1861za700za7za7a1872za7, "shrink-node!1247 ", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1833z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari1873z00,
		BGl_z62shrinkzd2variablez121245za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1835z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1874z00,
		BGl_z62shrinkzd2nodez121247za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1838z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1875z00,
		BGl_z62shrinkzd2nodez12zd2atom1250z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1840z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1876z00,
		BGl_z62shrinkzd2nodez12zd2var1252z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1841z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1877z00,
		BGl_z62shrinkzd2nodez12zd2kwote1254z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1842z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1878z00,
		BGl_z62shrinkzd2nodez12zd2sequenc1256z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1843z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1879z00,
		BGl_z62shrinkzd2nodez12zd2sync1258z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1844z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1880z00,
		BGl_z62shrinkzd2nodez12zd2app1260z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1845z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1881z00,
		BGl_z62shrinkzd2nodez12zd2appzd2ly1262za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1846z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1882z00,
		BGl_z62shrinkzd2nodez12zd2funcall1264z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1847z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1883z00,
		BGl_z62shrinkzd2nodez12zd2extern1266z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1848z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1884z00,
		BGl_z62shrinkzd2nodez12zd2cast1268z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1849z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1885z00,
		BGl_z62shrinkzd2nodez12zd2setq1270z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1850z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1886z00,
		BGl_z62shrinkzd2nodez12zd2conditi1272z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1851z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1887z00,
		BGl_z62shrinkzd2nodez12zd2fail1274z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1852z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1888z00,
		BGl_z62shrinkzd2nodez12zd2switch1276z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1853z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1889z00,
		BGl_z62shrinkzd2nodez12zd2makezd2bo1278za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1854z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1890z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1280za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1855z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1891z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2set1282za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1856z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1892z00,
		BGl_z62shrinkzd2nodez12zd2letzd2fun1284za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1893z00,
		BGl_z62shrinkzd2nodez12zd2letzd2var1286za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1894z00,
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21288z70zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1895z00,
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1290za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1896z00,
		BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_shrinkifyz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long
		BgL_checksumz00_2224, char *BgL_fromz00_2225)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_shrinkifyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_shrinkifyz00();
					BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_cnstzd2initzd2zzast_shrinkifyz00();
					BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_genericzd2initzd2zzast_shrinkifyz00();
					BGl_methodzd2initzd2zzast_shrinkifyz00();
					return BGl_toplevelzd2initzd2zzast_shrinkifyz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_shrinkify");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			{	/* Ast/shrinkify.scm 15 */
				obj_t BgL_cportz00_2099;

				{	/* Ast/shrinkify.scm 15 */
					obj_t BgL_stringz00_2107;

					BgL_stringz00_2107 = BGl_string1861z00zzast_shrinkifyz00;
					{	/* Ast/shrinkify.scm 15 */
						obj_t BgL_startz00_2108;

						BgL_startz00_2108 = BINT(((long) 0));
						{	/* Ast/shrinkify.scm 15 */
							obj_t BgL_endz00_2109;

							BgL_endz00_2109 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2107)));
							{	/* Ast/shrinkify.scm 15 */

								BgL_cportz00_2099 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2107, BgL_startz00_2108, BgL_endz00_2109);
				}}}}
				{
					long BgL_iz00_2100;

					BgL_iz00_2100 = ((long) 0);
				BgL_loopz00_2101:
					if ((BgL_iz00_2100 == ((long) -1)))
						{	/* Ast/shrinkify.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/shrinkify.scm 15 */
							{	/* Ast/shrinkify.scm 15 */
								obj_t BgL_arg1863z00_2103;

								{	/* Ast/shrinkify.scm 15 */

									{	/* Ast/shrinkify.scm 15 */
										obj_t BgL_locationz00_2105;

										BgL_locationz00_2105 = BBOOL(((bool_t) 0));
										{	/* Ast/shrinkify.scm 15 */

											BgL_arg1863z00_2103 =
												BGl_readz00zz__readerz00(BgL_cportz00_2099,
												BgL_locationz00_2105);
										}
									}
								}
								{	/* Ast/shrinkify.scm 15 */
									int BgL_tmpz00_2253;

									BgL_tmpz00_2253 = (int) (BgL_iz00_2100);
									CNST_TABLE_SET(BgL_tmpz00_2253, BgL_arg1863z00_2103);
							}}
							{	/* Ast/shrinkify.scm 15 */
								int BgL_auxz00_2106;

								BgL_auxz00_2106 = (int) ((BgL_iz00_2100 - ((long) 1)));
								{
									long BgL_iz00_2258;

									BgL_iz00_2258 = (long) (BgL_auxz00_2106);
									BgL_iz00_2100 = BgL_iz00_2258;
									goto BgL_loopz00_2101;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* shrinkify! */
	BGL_EXPORTED_DEF obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t
		BgL_globalsz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 25 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BNIL);
			{
				obj_t BgL_l1229z00_1323;

				BgL_l1229z00_1323 = BgL_globalsz00_3;
			BgL_zc3anonymousza31295ze3z83_1324:
				if (PAIRP(BgL_l1229z00_1323))
					{	/* Ast/shrinkify.scm 27 */
						{	/* Ast/shrinkify.scm 28 */
							obj_t BgL_globalz00_1326;

							BgL_globalz00_1326 = CAR(BgL_l1229z00_1323);
							{	/* Ast/shrinkify.scm 28 */
								BgL_valuez00_bglt BgL_sfunz00_1327;

								BgL_sfunz00_1327 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1326))))->
									BgL_valuez00);
								{	/* Ast/shrinkify.scm 29 */
									obj_t BgL_g1228z00_1328;

									BgL_g1228z00_1328 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_sfunz00_1327)))->BgL_argsz00);
									{
										obj_t BgL_l1226z00_1330;

										BgL_l1226z00_1330 = BgL_g1228z00_1328;
									BgL_zc3anonymousza31297ze3z83_1331:
										if (PAIRP(BgL_l1226z00_1330))
											{	/* Ast/shrinkify.scm 29 */
												{	/* Ast/shrinkify.scm 29 */
													obj_t BgL_arg1299z00_1333;

													BgL_arg1299z00_1333 = CAR(BgL_l1226z00_1330);
													BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
														((BgL_variablez00_bglt) BgL_arg1299z00_1333));
												}
												{
													obj_t BgL_l1226z00_2275;

													BgL_l1226z00_2275 = CDR(BgL_l1226z00_1330);
													BgL_l1226z00_1330 = BgL_l1226z00_2275;
													goto BgL_zc3anonymousza31297ze3z83_1331;
												}
											}
										else
											{	/* Ast/shrinkify.scm 29 */
												((bool_t) 1);
											}
									}
								}
								{	/* Ast/shrinkify.scm 30 */
									obj_t BgL_arg1302z00_1336;

									BgL_arg1302z00_1336 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_globalz00_1326))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(((BgL_nodez00_bglt)
											BgL_arg1302z00_1336));
								}
							}
						}
						{
							obj_t BgL_l1229z00_2284;

							BgL_l1229z00_2284 = CDR(BgL_l1229z00_1323);
							BgL_l1229z00_1323 = BgL_l1229z00_2284;
							goto BgL_zc3anonymousza31295ze3z83_1324;
						}
					}
				else
					{	/* Ast/shrinkify.scm 27 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
		BGL_FUNCTION_END;
	}



/* &shrinkify! */
	obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t BgL_envz00_2023,
		obj_t BgL_globalsz00_2024)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 25 */
			return BGl_shrinkifyz12z12zzast_shrinkifyz00(BgL_globalsz00_2024);
		}
		BGL_FUNCTION_END;
	}



/* shrink-node*! */
	bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t BgL_nodeza2za2_27)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 230 */
			{
				obj_t BgL_l1243z00_1341;

				BgL_l1243z00_1341 = BgL_nodeza2za2_27;
			BgL_zc3anonymousza31307ze3z83_1342:
				if (PAIRP(BgL_l1243z00_1341))
					{	/* Ast/shrinkify.scm 231 */
						{	/* Ast/shrinkify.scm 231 */
							obj_t BgL_arg1309z00_1344;

							BgL_arg1309z00_1344 = CAR(BgL_l1243z00_1341);
							BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
								((BgL_nodez00_bglt) BgL_arg1309z00_1344));
						}
						{
							obj_t BgL_l1243z00_2292;

							BgL_l1243z00_2292 = CDR(BgL_l1243z00_1341);
							BgL_l1243z00_1341 = BgL_l1243z00_2292;
							goto BgL_zc3anonymousza31307ze3z83_1342;
						}
					}
				else
					{	/* Ast/shrinkify.scm 231 */
						return ((bool_t) 1);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
				BGl_proc1833z00zzast_shrinkifyz00, BGl_variablez00zzast_varz00,
				BGl_string1834z00zzast_shrinkifyz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_proc1835z00zzast_shrinkifyz00, BGl_nodez00zzast_nodez00,
				BGl_string1836z00zzast_shrinkifyz00);
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!1247 */
	obj_t BGl_z62shrinkzd2nodez121247za2zzast_shrinkifyz00(obj_t BgL_envz00_2029,
		obj_t BgL_nodez00_2030)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 46 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string1837z00zzast_shrinkifyz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2030)));
		}
		BGL_FUNCTION_END;
	}



/* &shrink-variable!1245 */
	obj_t BGl_z62shrinkzd2variablez121245za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2031, obj_t BgL_variablez00_2032)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 37 */
			{	/* Ast/shrinkify.scm 38 */
				bool_t BgL_testz00_2300;

				{	/* Ast/shrinkify.scm 38 */
					obj_t BgL_tmpz00_2301;

					{	/* Ast/shrinkify.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_2302;

						BgL_tmpz00_2302 =
							((BgL_objectz00_bglt)
							((BgL_variablez00_bglt) BgL_variablez00_2032));
						BgL_tmpz00_2301 = BGL_OBJECT_WIDENING(BgL_tmpz00_2302);
					}
					BgL_testz00_2300 = CBOOL(BgL_tmpz00_2301);
				}
				if (BgL_testz00_2300)
					{	/* Ast/shrinkify.scm 38 */
						{	/* Ast/shrinkify.scm 39 */
							long BgL_arg1318z00_2114;

							{	/* Ast/shrinkify.scm 39 */
								obj_t BgL_arg1320z00_2115;

								{	/* Ast/shrinkify.scm 39 */
									obj_t BgL_arg1329z00_2116;

									{	/* Ast/shrinkify.scm 39 */
										long BgL_arg1741z00_2117;

										{	/* Ast/shrinkify.scm 39 */
											long BgL_arg1744z00_2118;

											{	/* Ast/shrinkify.scm 39 */
												long BgL_res1770z00_2119;

												BgL_res1770z00_2119 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_variablez00_bglt) BgL_variablez00_2032)));
												BgL_arg1744z00_2118 = BgL_res1770z00_2119;
											}
											BgL_arg1741z00_2117 = (BgL_arg1744z00_2118 - OBJECT_TYPE);
										}
										BgL_arg1329z00_2116 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1741z00_2117);
									}
									BgL_arg1320z00_2115 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1329z00_2116);
								}
								{	/* Ast/shrinkify.scm 39 */
									long BgL_res1772z00_2120;

									{	/* Ast/shrinkify.scm 39 */
										obj_t BgL_tmpz00_2313;

										BgL_tmpz00_2313 = ((obj_t) BgL_arg1320z00_2115);
										BgL_res1772z00_2120 = BGL_CLASS_INDEX(BgL_tmpz00_2313);
									}
									BgL_arg1318z00_2114 = BgL_res1772z00_2120;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_variablez00_bglt) BgL_variablez00_2032)),
								BgL_arg1318z00_2114);
						}
						{	/* Ast/shrinkify.scm 39 */
							BgL_objectz00_bglt BgL_tmpz00_2319;

							BgL_tmpz00_2319 =
								((BgL_objectz00_bglt)
								((BgL_variablez00_bglt) BgL_variablez00_2032));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2319, BFALSE);
						}
						((obj_t) ((BgL_variablez00_bglt) BgL_variablez00_2032));
					}
				else
					{	/* Ast/shrinkify.scm 38 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 40 */
				bool_t BgL_testz00_2325;

				{	/* Ast/shrinkify.scm 40 */
					obj_t BgL_tmpz00_2326;

					{	/* Ast/shrinkify.scm 40 */
						BgL_objectz00_bglt BgL_tmpz00_2327;

						BgL_tmpz00_2327 =
							((BgL_objectz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_2032)))->
								BgL_valuez00));
						BgL_tmpz00_2326 = BGL_OBJECT_WIDENING(BgL_tmpz00_2327);
					}
					BgL_testz00_2325 = CBOOL(BgL_tmpz00_2326);
				}
				if (BgL_testz00_2325)
					{	/* Ast/shrinkify.scm 41 */
						BgL_valuez00_bglt BgL_o1101z00_2121;

						BgL_o1101z00_2121 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_variablez00_2032)))->
							BgL_valuez00);
						{	/* Ast/shrinkify.scm 41 */
							long BgL_arg1343z00_2122;

							{	/* Ast/shrinkify.scm 41 */
								obj_t BgL_arg1356z00_2123;

								{	/* Ast/shrinkify.scm 41 */
									obj_t BgL_arg1366z00_2124;

									{	/* Ast/shrinkify.scm 41 */
										long BgL_arg1741z00_2125;

										{	/* Ast/shrinkify.scm 41 */
											long BgL_arg1744z00_2126;

											{	/* Ast/shrinkify.scm 41 */
												long BgL_res1774z00_2127;

												BgL_res1774z00_2127 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_o1101z00_2121));
												BgL_arg1744z00_2126 = BgL_res1774z00_2127;
											}
											BgL_arg1741z00_2125 = (BgL_arg1744z00_2126 - OBJECT_TYPE);
										}
										BgL_arg1366z00_2124 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1741z00_2125);
									}
									BgL_arg1356z00_2123 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1366z00_2124);
								}
								{	/* Ast/shrinkify.scm 41 */
									long BgL_res1776z00_2128;

									{	/* Ast/shrinkify.scm 41 */
										obj_t BgL_tmpz00_2340;

										BgL_tmpz00_2340 = ((obj_t) BgL_arg1356z00_2123);
										BgL_res1776z00_2128 = BGL_CLASS_INDEX(BgL_tmpz00_2340);
									}
									BgL_arg1343z00_2122 = BgL_res1776z00_2128;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_o1101z00_2121), BgL_arg1343z00_2122);
						}
						{	/* Ast/shrinkify.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_2345;

							BgL_tmpz00_2345 = ((BgL_objectz00_bglt) BgL_o1101z00_2121);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2345, BFALSE);
						}
						return ((obj_t) BgL_o1101z00_2121);
					}
				else
					{	/* Ast/shrinkify.scm 40 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* shrink-variable! */
	obj_t BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt
		BgL_variablez00_4)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 37 */
			{	/* Ast/shrinkify.scm 37 */
				obj_t BgL_method1246z00_1367;

				{	/* Ast/shrinkify.scm 37 */
					obj_t BgL_res1788z00_1810;

					{	/* Ast/shrinkify.scm 37 */
						long BgL_objzd2classzd2numz00_1767;

						{	/* Ast/shrinkify.scm 37 */
							long BgL_res1777z00_1770;

							BgL_res1777z00_1770 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_variablez00_4));
							BgL_objzd2classzd2numz00_1767 = BgL_res1777z00_1770;
						}
						{	/* Ast/shrinkify.scm 37 */
							obj_t BgL_arg1738z00_1768;

							BgL_arg1738z00_1768 =
								PROCEDURE_REF
								(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
								(int) (((long) 1)));
							{	/* Ast/shrinkify.scm 37 */
								int BgL_offsetz00_1772;

								BgL_offsetz00_1772 = (int) (BgL_objzd2classzd2numz00_1767);
								{	/* Ast/shrinkify.scm 37 */
									long BgL_offsetz00_1773;

									BgL_offsetz00_1773 =
										((long) (BgL_offsetz00_1772) - OBJECT_TYPE);
									{	/* Ast/shrinkify.scm 37 */
										long BgL_modz00_1774;

										{	/* Ast/shrinkify.scm 37 */
											int BgL_arg1740z00_1775;

											BgL_arg1740z00_1775 = (int) (((long) 16));
											{	/* Ast/shrinkify.scm 37 */
												long BgL_res1780z00_1785;

												{	/* Ast/shrinkify.scm 37 */
													long BgL_tmpz00_2357;

													BgL_tmpz00_2357 = (long) (BgL_arg1740z00_1775);
													BgL_res1780z00_1785 =
														(BgL_offsetz00_1773 / BgL_tmpz00_2357);
												}
												BgL_modz00_1774 = BgL_res1780z00_1785;
										}}
										{	/* Ast/shrinkify.scm 37 */
											long BgL_restz00_1776;

											{	/* Ast/shrinkify.scm 37 */
												int BgL_arg1739z00_1777;

												BgL_arg1739z00_1777 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 37 */
													long BgL_res1787z00_1805;

													{	/* Ast/shrinkify.scm 37 */
														long BgL_n1z00_1787;
														long BgL_n2z00_1788;

														BgL_n1z00_1787 = BgL_offsetz00_1773;
														BgL_n2z00_1788 = (long) (BgL_arg1739z00_1777);
														{	/* Ast/shrinkify.scm 37 */
															bool_t BgL_testz00_2362;

															{	/* Ast/shrinkify.scm 37 */
																long BgL_arg1304z00_1790;

																BgL_arg1304z00_1790 =
																	(((BgL_n1z00_1787) | (BgL_n2z00_1788)) &
																	-2147483648);
																BgL_testz00_2362 =
																	(BgL_arg1304z00_1790 == ((long) 0));
															}
															if (BgL_testz00_2362)
																{	/* Ast/shrinkify.scm 37 */
																	int32_t BgL_arg1278z00_1791;

																	{	/* Ast/shrinkify.scm 37 */
																		int32_t BgL_arg1301z00_1792;
																		int32_t BgL_arg1303z00_1793;

																		{	/* Ast/shrinkify.scm 37 */
																			int32_t BgL_res1783z00_1797;

																			BgL_res1783z00_1797 =
																				(int32_t) (BgL_n1z00_1787);
																			BgL_arg1301z00_1792 = BgL_res1783z00_1797;
																		}
																		{	/* Ast/shrinkify.scm 37 */
																			int32_t BgL_res1784z00_1799;

																			BgL_res1784z00_1799 =
																				(int32_t) (BgL_n2z00_1788);
																			BgL_arg1303z00_1793 = BgL_res1784z00_1799;
																		}
																		BgL_arg1278z00_1791 =
																			(BgL_arg1301z00_1792 %
																			BgL_arg1303z00_1793);
																	}
																	{	/* Ast/shrinkify.scm 37 */
																		long BgL_res1786z00_1804;

																		{	/* Ast/shrinkify.scm 37 */
																			long BgL_arg1406z00_1801;

																			BgL_arg1406z00_1801 =
																				(long) (BgL_arg1278z00_1791);
																			{	/* Ast/shrinkify.scm 37 */
																				long BgL_res1785z00_1803;

																				BgL_res1785z00_1803 =
																					(long) (BgL_arg1406z00_1801);
																				BgL_res1786z00_1804 =
																					BgL_res1785z00_1803;
																		}}
																		BgL_res1787z00_1805 = BgL_res1786z00_1804;
																}}
															else
																{	/* Ast/shrinkify.scm 37 */
																	BgL_res1787z00_1805 =
																		(BgL_n1z00_1787 % BgL_n2z00_1788);
																}
														}
													}
													BgL_restz00_1776 = BgL_res1787z00_1805;
												}
											}
											{	/* Ast/shrinkify.scm 37 */

												{	/* Ast/shrinkify.scm 37 */
													obj_t BgL_bucketz00_1778;

													BgL_bucketz00_1778 =
														VECTOR_REF(
														((obj_t) BgL_arg1738z00_1768), BgL_modz00_1774);
													BgL_res1788z00_1810 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1778), BgL_restz00_1776);
												}
											}
										}
									}
								}
							}
						}
					}
					BgL_method1246z00_1367 = BgL_res1788z00_1810;
				}
				return
					PROCEDURE_ENTRY(BgL_method1246z00_1367) (BgL_method1246z00_1367,
					((obj_t) BgL_variablez00_4), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &shrink-variable! */
	obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t BgL_envz00_2025,
		obj_t BgL_variablez00_2026)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 37 */
			return
				BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
				((BgL_variablez00_bglt) BgL_variablez00_2026));
		}
		BGL_FUNCTION_END;
	}



/* shrink-node! */
	obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 46 */
			{	/* Ast/shrinkify.scm 46 */
				obj_t BgL_method1248z00_1368;

				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_res1800z00_1855;

					{	/* Ast/shrinkify.scm 46 */
						long BgL_objzd2classzd2numz00_1812;

						{	/* Ast/shrinkify.scm 46 */
							long BgL_res1789z00_1815;

							BgL_res1789z00_1815 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
							BgL_objzd2classzd2numz00_1812 = BgL_res1789z00_1815;
						}
						{	/* Ast/shrinkify.scm 46 */
							obj_t BgL_arg1738z00_1813;

							BgL_arg1738z00_1813 =
								PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
								(int) (((long) 1)));
							{	/* Ast/shrinkify.scm 46 */
								int BgL_offsetz00_1817;

								BgL_offsetz00_1817 = (int) (BgL_objzd2classzd2numz00_1812);
								{	/* Ast/shrinkify.scm 46 */
									long BgL_offsetz00_1818;

									BgL_offsetz00_1818 =
										((long) (BgL_offsetz00_1817) - OBJECT_TYPE);
									{	/* Ast/shrinkify.scm 46 */
										long BgL_modz00_1819;

										{	/* Ast/shrinkify.scm 46 */
											int BgL_arg1740z00_1820;

											BgL_arg1740z00_1820 = (int) (((long) 16));
											{	/* Ast/shrinkify.scm 46 */
												long BgL_res1792z00_1830;

												{	/* Ast/shrinkify.scm 46 */
													long BgL_tmpz00_2390;

													BgL_tmpz00_2390 = (long) (BgL_arg1740z00_1820);
													BgL_res1792z00_1830 =
														(BgL_offsetz00_1818 / BgL_tmpz00_2390);
												}
												BgL_modz00_1819 = BgL_res1792z00_1830;
										}}
										{	/* Ast/shrinkify.scm 46 */
											long BgL_restz00_1821;

											{	/* Ast/shrinkify.scm 46 */
												int BgL_arg1739z00_1822;

												BgL_arg1739z00_1822 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 46 */
													long BgL_res1799z00_1850;

													{	/* Ast/shrinkify.scm 46 */
														long BgL_n1z00_1832;
														long BgL_n2z00_1833;

														BgL_n1z00_1832 = BgL_offsetz00_1818;
														BgL_n2z00_1833 = (long) (BgL_arg1739z00_1822);
														{	/* Ast/shrinkify.scm 46 */
															bool_t BgL_testz00_2395;

															{	/* Ast/shrinkify.scm 46 */
																long BgL_arg1304z00_1835;

																BgL_arg1304z00_1835 =
																	(((BgL_n1z00_1832) | (BgL_n2z00_1833)) &
																	-2147483648);
																BgL_testz00_2395 =
																	(BgL_arg1304z00_1835 == ((long) 0));
															}
															if (BgL_testz00_2395)
																{	/* Ast/shrinkify.scm 46 */
																	int32_t BgL_arg1278z00_1836;

																	{	/* Ast/shrinkify.scm 46 */
																		int32_t BgL_arg1301z00_1837;
																		int32_t BgL_arg1303z00_1838;

																		{	/* Ast/shrinkify.scm 46 */
																			int32_t BgL_res1795z00_1842;

																			BgL_res1795z00_1842 =
																				(int32_t) (BgL_n1z00_1832);
																			BgL_arg1301z00_1837 = BgL_res1795z00_1842;
																		}
																		{	/* Ast/shrinkify.scm 46 */
																			int32_t BgL_res1796z00_1844;

																			BgL_res1796z00_1844 =
																				(int32_t) (BgL_n2z00_1833);
																			BgL_arg1303z00_1838 = BgL_res1796z00_1844;
																		}
																		BgL_arg1278z00_1836 =
																			(BgL_arg1301z00_1837 %
																			BgL_arg1303z00_1838);
																	}
																	{	/* Ast/shrinkify.scm 46 */
																		long BgL_res1798z00_1849;

																		{	/* Ast/shrinkify.scm 46 */
																			long BgL_arg1406z00_1846;

																			BgL_arg1406z00_1846 =
																				(long) (BgL_arg1278z00_1836);
																			{	/* Ast/shrinkify.scm 46 */
																				long BgL_res1797z00_1848;

																				BgL_res1797z00_1848 =
																					(long) (BgL_arg1406z00_1846);
																				BgL_res1798z00_1849 =
																					BgL_res1797z00_1848;
																		}}
																		BgL_res1799z00_1850 = BgL_res1798z00_1849;
																}}
															else
																{	/* Ast/shrinkify.scm 46 */
																	BgL_res1799z00_1850 =
																		(BgL_n1z00_1832 % BgL_n2z00_1833);
																}
														}
													}
													BgL_restz00_1821 = BgL_res1799z00_1850;
												}
											}
											{	/* Ast/shrinkify.scm 46 */

												{	/* Ast/shrinkify.scm 46 */
													obj_t BgL_bucketz00_1823;

													BgL_bucketz00_1823 =
														VECTOR_REF(
														((obj_t) BgL_arg1738z00_1813), BgL_modz00_1819);
													BgL_res1800z00_1855 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1823), BgL_restz00_1821);
												}
											}
										}
									}
								}
							}
						}
					}
					BgL_method1248z00_1368 = BgL_res1800z00_1855;
				}
				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_xz00_2098;

					BgL_xz00_2098 =
						PROCEDURE_ENTRY(BgL_method1248z00_1368) (BgL_method1248z00_1368,
						((obj_t) BgL_nodez00_5), BEOA);
					return BUNSPEC;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node! */
	obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t BgL_envz00_2033,
		obj_t BgL_nodez00_2034)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 46 */
			return
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				((BgL_nodez00_bglt) BgL_nodez00_2034));
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_atomz00zzast_nodez00, BGl_proc1838z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_varz00zzast_nodez00, BGl_proc1840z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_kwotez00zzast_nodez00, BGl_proc1841z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1842z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_syncz00zzast_nodez00, BGl_proc1843z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appz00zzast_nodez00, BGl_proc1844z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1845z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1846z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_externz00zzast_nodez00, BGl_proc1847z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_castz00zzast_nodez00, BGl_proc1848z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setqz00zzast_nodez00, BGl_proc1849z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1850z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_failz00zzast_nodez00, BGl_proc1851z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_switchz00zzast_nodez00, BGl_proc1852z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1853z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1854z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1855z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1856z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1857z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1858z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1859z00zzast_shrinkifyz00,
				BGl_string1839z00zzast_shrinkifyz00);
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-jump-ex1290 */
	obj_t BGl_z62shrinkzd2nodez12zd2jumpzd2ex1290za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2056, obj_t BgL_nodez00_2057)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 222 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2057)))->BgL_exitz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2057)))->BgL_valuez00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-set-ex-1288 */
	obj_t BGl_z62shrinkzd2nodez12zd2setzd2exzd21288z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2058, obj_t BgL_nodez00_2059)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 213 */
			{	/* Ast/shrinkify.scm 215 */
				BgL_varz00_bglt BgL_arg1639z00_2131;

				BgL_arg1639z00_2131 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2059)))->BgL_varz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1639z00_2131));
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2059)))->BgL_bodyz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-let-var1286 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2var1286za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2060, obj_t BgL_nodez00_2061)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 201 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2061)))->BgL_bodyz00));
			{	/* Ast/shrinkify.scm 204 */
				obj_t BgL_g1242z00_2133;

				BgL_g1242z00_2133 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2061)))->BgL_bindingsz00);
				{
					obj_t BgL_l1240z00_2135;

					BgL_l1240z00_2135 = BgL_g1242z00_2133;
				BgL_zc3anonymousza31623ze3z83_2134:
					if (PAIRP(BgL_l1240z00_2135))
						{	/* Ast/shrinkify.scm 204 */
							{	/* Ast/shrinkify.scm 205 */
								obj_t BgL_bindingz00_2136;

								BgL_bindingz00_2136 = CAR(BgL_l1240z00_2135);
								{	/* Ast/shrinkify.scm 205 */
									obj_t BgL_arg1625z00_2137;

									BgL_arg1625z00_2137 = CAR(((obj_t) BgL_bindingz00_2136));
									BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
										((BgL_variablez00_bglt) BgL_arg1625z00_2137));
								}
								{	/* Ast/shrinkify.scm 206 */
									obj_t BgL_arg1626z00_2138;

									BgL_arg1626z00_2138 = CDR(((obj_t) BgL_bindingz00_2136));
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
										((BgL_nodez00_bglt) BgL_arg1626z00_2138));
								}
							}
							{
								obj_t BgL_l1240z00_2465;

								BgL_l1240z00_2465 = CDR(BgL_l1240z00_2135);
								BgL_l1240z00_2135 = BgL_l1240z00_2465;
								goto BgL_zc3anonymousza31623ze3z83_2134;
							}
						}
					else
						{	/* Ast/shrinkify.scm 204 */
							((bool_t) 1);
						}
				}
			}
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-let-fun1284 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2fun1284za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2062, obj_t BgL_nodez00_2063)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 187 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2063)))->BgL_bodyz00));
			{	/* Ast/shrinkify.scm 190 */
				obj_t BgL_g1239z00_2140;

				BgL_g1239z00_2140 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2063)))->BgL_localsz00);
				{
					obj_t BgL_l1237z00_2142;

					BgL_l1237z00_2142 = BgL_g1239z00_2140;
				BgL_zc3anonymousza31608ze3z83_2141:
					if (PAIRP(BgL_l1237z00_2142))
						{	/* Ast/shrinkify.scm 190 */
							{	/* Ast/shrinkify.scm 191 */
								obj_t BgL_localz00_2143;

								BgL_localz00_2143 = CAR(BgL_l1237z00_2142);
								{	/* Ast/shrinkify.scm 191 */
									BgL_valuez00_bglt BgL_sfunz00_2144;

									BgL_sfunz00_2144 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2143))))->
										BgL_valuez00);
									BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00((
											(BgL_variablez00_bglt) BgL_localz00_2143));
									{	/* Ast/shrinkify.scm 193 */
										obj_t BgL_g1236z00_2145;

										BgL_g1236z00_2145 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_2144)))->BgL_argsz00);
										{
											obj_t BgL_l1234z00_2147;

											BgL_l1234z00_2147 = BgL_g1236z00_2145;
										BgL_zc3anonymousza31610ze3z83_2146:
											if (PAIRP(BgL_l1234z00_2147))
												{	/* Ast/shrinkify.scm 193 */
													{	/* Ast/shrinkify.scm 193 */
														obj_t BgL_arg1613z00_2148;

														BgL_arg1613z00_2148 = CAR(BgL_l1234z00_2147);
														BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
															((BgL_variablez00_bglt) BgL_arg1613z00_2148));
													}
													{
														obj_t BgL_l1234z00_2487;

														BgL_l1234z00_2487 = CDR(BgL_l1234z00_2147);
														BgL_l1234z00_2147 = BgL_l1234z00_2487;
														goto BgL_zc3anonymousza31610ze3z83_2146;
													}
												}
											else
												{	/* Ast/shrinkify.scm 193 */
													((bool_t) 1);
												}
										}
									}
									{	/* Ast/shrinkify.scm 194 */
										obj_t BgL_arg1617z00_2149;

										BgL_arg1617z00_2149 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_2144)))->BgL_bodyz00);
										BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
											((BgL_nodez00_bglt) BgL_arg1617z00_2149));
									}
								}
							}
							{
								obj_t BgL_l1237z00_2493;

								BgL_l1237z00_2493 = CDR(BgL_l1237z00_2142);
								BgL_l1237z00_2142 = BgL_l1237z00_2493;
								goto BgL_zc3anonymousza31608ze3z83_2141;
							}
						}
					else
						{	/* Ast/shrinkify.scm 190 */
							((bool_t) 1);
						}
				}
			}
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-box-set1282 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2set1282za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2064, obj_t BgL_nodez00_2065)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 178 */
			{	/* Ast/shrinkify.scm 179 */
				bool_t BgL_testz00_2495;

				{	/* Ast/shrinkify.scm 179 */
					obj_t BgL_tmpz00_2496;

					{	/* Ast/shrinkify.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_2497;

						BgL_tmpz00_2497 =
							((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2065));
						BgL_tmpz00_2496 = BGL_OBJECT_WIDENING(BgL_tmpz00_2497);
					}
					BgL_testz00_2495 = CBOOL(BgL_tmpz00_2496);
				}
				if (BgL_testz00_2495)
					{	/* Ast/shrinkify.scm 179 */
						{	/* Ast/shrinkify.scm 179 */
							long BgL_arg1582z00_2151;

							{	/* Ast/shrinkify.scm 179 */
								obj_t BgL_arg1587z00_2152;

								{	/* Ast/shrinkify.scm 179 */
									obj_t BgL_arg1600z00_2153;

									{	/* Ast/shrinkify.scm 179 */
										long BgL_arg1741z00_2154;

										{	/* Ast/shrinkify.scm 179 */
											long BgL_arg1744z00_2155;

											{	/* Ast/shrinkify.scm 179 */
												long BgL_res1827z00_2156;

												BgL_res1827z00_2156 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2065)));
												BgL_arg1744z00_2155 = BgL_res1827z00_2156;
											}
											BgL_arg1741z00_2154 = (BgL_arg1744z00_2155 - OBJECT_TYPE);
										}
										BgL_arg1600z00_2153 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1741z00_2154);
									}
									BgL_arg1587z00_2152 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1600z00_2153);
								}
								{	/* Ast/shrinkify.scm 179 */
									long BgL_res1829z00_2157;

									{	/* Ast/shrinkify.scm 179 */
										obj_t BgL_tmpz00_2508;

										BgL_tmpz00_2508 = ((obj_t) BgL_arg1587z00_2152);
										BgL_res1829z00_2157 = BGL_CLASS_INDEX(BgL_tmpz00_2508);
									}
									BgL_arg1582z00_2151 = BgL_res1829z00_2157;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2065)),
								BgL_arg1582z00_2151);
						}
						{	/* Ast/shrinkify.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_2514;

							BgL_tmpz00_2514 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2065));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2514, BFALSE);
						}
						((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2065));
					}
				else
					{	/* Ast/shrinkify.scm 179 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 180 */
				BgL_varz00_bglt BgL_arg1603z00_2158;

				BgL_arg1603z00_2158 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2065)))->BgL_varz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1603z00_2158));
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2065)))->BgL_valuez00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-box-ref1280 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2ref1280za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2066, obj_t BgL_nodez00_2067)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 170 */
			{	/* Ast/shrinkify.scm 171 */
				bool_t BgL_testz00_2527;

				{	/* Ast/shrinkify.scm 171 */
					obj_t BgL_tmpz00_2528;

					{	/* Ast/shrinkify.scm 171 */
						BgL_objectz00_bglt BgL_tmpz00_2529;

						BgL_tmpz00_2529 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2067));
						BgL_tmpz00_2528 = BGL_OBJECT_WIDENING(BgL_tmpz00_2529);
					}
					BgL_testz00_2527 = CBOOL(BgL_tmpz00_2528);
				}
				if (BgL_testz00_2527)
					{	/* Ast/shrinkify.scm 171 */
						{	/* Ast/shrinkify.scm 171 */
							long BgL_arg1562z00_2160;

							{	/* Ast/shrinkify.scm 171 */
								obj_t BgL_arg1568z00_2161;

								{	/* Ast/shrinkify.scm 171 */
									obj_t BgL_arg1569z00_2162;

									{	/* Ast/shrinkify.scm 171 */
										long BgL_arg1741z00_2163;

										{	/* Ast/shrinkify.scm 171 */
											long BgL_arg1744z00_2164;

											{	/* Ast/shrinkify.scm 171 */
												long BgL_res1823z00_2165;

												BgL_res1823z00_2165 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_boxzd2refzd2_bglt) BgL_nodez00_2067)));
												BgL_arg1744z00_2164 = BgL_res1823z00_2165;
											}
											BgL_arg1741z00_2163 = (BgL_arg1744z00_2164 - OBJECT_TYPE);
										}
										BgL_arg1569z00_2162 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1741z00_2163);
									}
									BgL_arg1568z00_2161 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1569z00_2162);
								}
								{	/* Ast/shrinkify.scm 171 */
									long BgL_res1825z00_2166;

									{	/* Ast/shrinkify.scm 171 */
										obj_t BgL_tmpz00_2540;

										BgL_tmpz00_2540 = ((obj_t) BgL_arg1568z00_2161);
										BgL_res1825z00_2166 = BGL_CLASS_INDEX(BgL_tmpz00_2540);
									}
									BgL_arg1562z00_2160 = BgL_res1825z00_2166;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_2067)),
								BgL_arg1562z00_2160);
						}
						{	/* Ast/shrinkify.scm 171 */
							BgL_objectz00_bglt BgL_tmpz00_2546;

							BgL_tmpz00_2546 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2067));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2546, BFALSE);
						}
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2067));
					}
				else
					{	/* Ast/shrinkify.scm 171 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 172 */
				BgL_varz00_bglt BgL_arg1580z00_2167;

				BgL_arg1580z00_2167 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2067)))->BgL_varz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1580z00_2167));
			}
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-make-bo1278 */
	obj_t BGl_z62shrinkzd2nodez12zd2makezd2bo1278za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2068, obj_t BgL_nodez00_2069)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 162 */
			{	/* Ast/shrinkify.scm 163 */
				bool_t BgL_testz00_2556;

				{	/* Ast/shrinkify.scm 163 */
					obj_t BgL_tmpz00_2557;

					{	/* Ast/shrinkify.scm 163 */
						BgL_objectz00_bglt BgL_tmpz00_2558;

						BgL_tmpz00_2558 =
							((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2069));
						BgL_tmpz00_2557 = BGL_OBJECT_WIDENING(BgL_tmpz00_2558);
					}
					BgL_testz00_2556 = CBOOL(BgL_tmpz00_2557);
				}
				if (BgL_testz00_2556)
					{	/* Ast/shrinkify.scm 163 */
						{	/* Ast/shrinkify.scm 163 */
							long BgL_arg1552z00_2169;

							{	/* Ast/shrinkify.scm 163 */
								obj_t BgL_arg1553z00_2170;

								{	/* Ast/shrinkify.scm 163 */
									obj_t BgL_arg1554z00_2171;

									{	/* Ast/shrinkify.scm 163 */
										long BgL_arg1741z00_2172;

										{	/* Ast/shrinkify.scm 163 */
											long BgL_arg1744z00_2173;

											{	/* Ast/shrinkify.scm 163 */
												long BgL_res1819z00_2174;

												BgL_res1819z00_2174 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_makezd2boxzd2_bglt) BgL_nodez00_2069)));
												BgL_arg1744z00_2173 = BgL_res1819z00_2174;
											}
											BgL_arg1741z00_2172 = (BgL_arg1744z00_2173 - OBJECT_TYPE);
										}
										BgL_arg1554z00_2171 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1741z00_2172);
									}
									BgL_arg1553z00_2170 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1554z00_2171);
								}
								{	/* Ast/shrinkify.scm 163 */
									long BgL_res1821z00_2175;

									{	/* Ast/shrinkify.scm 163 */
										obj_t BgL_tmpz00_2569;

										BgL_tmpz00_2569 = ((obj_t) BgL_arg1553z00_2170);
										BgL_res1821z00_2175 = BGL_CLASS_INDEX(BgL_tmpz00_2569);
									}
									BgL_arg1552z00_2169 = BgL_res1821z00_2175;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2069)),
								BgL_arg1552z00_2169);
						}
						{	/* Ast/shrinkify.scm 163 */
							BgL_objectz00_bglt BgL_tmpz00_2575;

							BgL_tmpz00_2575 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2069));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2575, BFALSE);
						}
						((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2069));
					}
				else
					{	/* Ast/shrinkify.scm 163 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2069)))->BgL_valuez00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-switch1276 */
	obj_t BGl_z62shrinkzd2nodez12zd2switch1276z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2070, obj_t BgL_nodez00_2071)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 152 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2071)))->BgL_testz00));
			{	/* Ast/shrinkify.scm 154 */
				obj_t BgL_g1233z00_2177;

				BgL_g1233z00_2177 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2071)))->BgL_clausesz00);
				{
					obj_t BgL_l1231z00_2179;

					BgL_l1231z00_2179 = BgL_g1233z00_2177;
				BgL_zc3anonymousza31536ze3z83_2178:
					if (PAIRP(BgL_l1231z00_2179))
						{	/* Ast/shrinkify.scm 156 */
							{	/* Ast/shrinkify.scm 155 */
								obj_t BgL_clausez00_2180;

								BgL_clausez00_2180 = CAR(BgL_l1231z00_2179);
								{	/* Ast/shrinkify.scm 155 */
									obj_t BgL_arg1540z00_2181;

									BgL_arg1540z00_2181 = CDR(((obj_t) BgL_clausez00_2180));
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
										((BgL_nodez00_bglt) BgL_arg1540z00_2181));
								}
							}
							{
								obj_t BgL_l1231z00_2596;

								BgL_l1231z00_2596 = CDR(BgL_l1231z00_2179);
								BgL_l1231z00_2179 = BgL_l1231z00_2596;
								goto BgL_zc3anonymousza31536ze3z83_2178;
							}
						}
					else
						{	/* Ast/shrinkify.scm 156 */
							((bool_t) 1);
						}
				}
			}
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-fail1274 */
	obj_t BGl_z62shrinkzd2nodez12zd2fail1274z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2072, obj_t BgL_nodez00_2073)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 143 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2073)))->BgL_procz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2073)))->BgL_msgz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2073)))->BgL_objz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-conditi1272 */
	obj_t BGl_z62shrinkzd2nodez12zd2conditi1272z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2074, obj_t BgL_nodez00_2075)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 134 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2075)))->BgL_testz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2075)))->BgL_truez00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2075)))->BgL_falsez00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-setq1270 */
	obj_t BGl_z62shrinkzd2nodez12zd2setq1270z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2076, obj_t BgL_nodez00_2077)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 127 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2077)))->BgL_valuez00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-cast1268 */
	obj_t BGl_z62shrinkzd2nodez12zd2cast1268z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2078, obj_t BgL_nodez00_2079)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 120 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2079)))->BgL_argz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-extern1266 */
	obj_t BGl_z62shrinkzd2nodez12zd2extern1266z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2080, obj_t BgL_nodez00_2081)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 112 */
			{	/* Ast/shrinkify.scm 113 */
				bool_t BgL_testz00_2622;

				{	/* Ast/shrinkify.scm 113 */
					obj_t BgL_tmpz00_2623;

					{	/* Ast/shrinkify.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_2624;

						BgL_tmpz00_2624 =
							((BgL_objectz00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2081));
						BgL_tmpz00_2623 = BGL_OBJECT_WIDENING(BgL_tmpz00_2624);
					}
					BgL_testz00_2622 = CBOOL(BgL_tmpz00_2623);
				}
				if (BgL_testz00_2622)
					{	/* Ast/shrinkify.scm 113 */
						{	/* Ast/shrinkify.scm 113 */
							long BgL_arg1495z00_2187;

							{	/* Ast/shrinkify.scm 113 */
								obj_t BgL_arg1496z00_2188;

								{	/* Ast/shrinkify.scm 113 */
									obj_t BgL_arg1501z00_2189;

									{	/* Ast/shrinkify.scm 113 */
										long BgL_arg1741z00_2190;

										{	/* Ast/shrinkify.scm 113 */
											long BgL_arg1744z00_2191;

											{	/* Ast/shrinkify.scm 113 */
												long BgL_res1814z00_2192;

												BgL_res1814z00_2192 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_externz00_bglt) BgL_nodez00_2081)));
												BgL_arg1744z00_2191 = BgL_res1814z00_2192;
											}
											BgL_arg1741z00_2190 = (BgL_arg1744z00_2191 - OBJECT_TYPE);
										}
										BgL_arg1501z00_2189 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1741z00_2190);
									}
									BgL_arg1496z00_2188 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1501z00_2189);
								}
								{	/* Ast/shrinkify.scm 113 */
									long BgL_res1816z00_2193;

									{	/* Ast/shrinkify.scm 113 */
										obj_t BgL_tmpz00_2635;

										BgL_tmpz00_2635 = ((obj_t) BgL_arg1496z00_2188);
										BgL_res1816z00_2193 = BGL_CLASS_INDEX(BgL_tmpz00_2635);
									}
									BgL_arg1495z00_2187 = BgL_res1816z00_2193;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_externz00_bglt) BgL_nodez00_2081)),
								BgL_arg1495z00_2187);
						}
						{	/* Ast/shrinkify.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_2641;

							BgL_tmpz00_2641 =
								((BgL_objectz00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2081));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2641, BFALSE);
						}
						((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2081));
					}
				else
					{	/* Ast/shrinkify.scm 113 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2081)))->BgL_exprza2za2));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-funcall1264 */
	obj_t BGl_z62shrinkzd2nodez12zd2funcall1264z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2082, obj_t BgL_nodez00_2083)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 103 */
			{	/* Ast/shrinkify.scm 104 */
				bool_t BgL_testz00_2650;

				{	/* Ast/shrinkify.scm 104 */
					obj_t BgL_tmpz00_2651;

					{	/* Ast/shrinkify.scm 104 */
						BgL_objectz00_bglt BgL_tmpz00_2652;

						BgL_tmpz00_2652 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2083));
						BgL_tmpz00_2651 = BGL_OBJECT_WIDENING(BgL_tmpz00_2652);
					}
					BgL_testz00_2650 = CBOOL(BgL_tmpz00_2651);
				}
				if (BgL_testz00_2650)
					{	/* Ast/shrinkify.scm 104 */
						{	/* Ast/shrinkify.scm 104 */
							long BgL_arg1464z00_2195;

							{	/* Ast/shrinkify.scm 104 */
								obj_t BgL_arg1479z00_2196;

								{	/* Ast/shrinkify.scm 104 */
									obj_t BgL_arg1481z00_2197;

									{	/* Ast/shrinkify.scm 104 */
										long BgL_arg1741z00_2198;

										{	/* Ast/shrinkify.scm 104 */
											long BgL_arg1744z00_2199;

											{	/* Ast/shrinkify.scm 104 */
												long BgL_res1810z00_2200;

												BgL_res1810z00_2200 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_2083)));
												BgL_arg1744z00_2199 = BgL_res1810z00_2200;
											}
											BgL_arg1741z00_2198 = (BgL_arg1744z00_2199 - OBJECT_TYPE);
										}
										BgL_arg1481z00_2197 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1741z00_2198);
									}
									BgL_arg1479z00_2196 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1481z00_2197);
								}
								{	/* Ast/shrinkify.scm 104 */
									long BgL_res1812z00_2201;

									{	/* Ast/shrinkify.scm 104 */
										obj_t BgL_tmpz00_2663;

										BgL_tmpz00_2663 = ((obj_t) BgL_arg1479z00_2196);
										BgL_res1812z00_2201 = BGL_CLASS_INDEX(BgL_tmpz00_2663);
									}
									BgL_arg1464z00_2195 = BgL_res1812z00_2201;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_2083)),
								BgL_arg1464z00_2195);
						}
						{	/* Ast/shrinkify.scm 104 */
							BgL_objectz00_bglt BgL_tmpz00_2669;

							BgL_tmpz00_2669 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2083));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2669, BFALSE);
						}
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2083));
					}
				else
					{	/* Ast/shrinkify.scm 104 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2083)))->BgL_funz00));
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2083)))->BgL_argsz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-app-ly1262 */
	obj_t BGl_z62shrinkzd2nodez12zd2appzd2ly1262za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2084, obj_t BgL_nodez00_2085)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 94 */
			{	/* Ast/shrinkify.scm 95 */
				bool_t BgL_testz00_2681;

				{	/* Ast/shrinkify.scm 95 */
					obj_t BgL_tmpz00_2682;

					{	/* Ast/shrinkify.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_2683;

						BgL_tmpz00_2683 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2085));
						BgL_tmpz00_2682 = BGL_OBJECT_WIDENING(BgL_tmpz00_2683);
					}
					BgL_testz00_2681 = CBOOL(BgL_tmpz00_2682);
				}
				if (BgL_testz00_2681)
					{	/* Ast/shrinkify.scm 95 */
						{	/* Ast/shrinkify.scm 95 */
							long BgL_arg1423z00_2203;

							{	/* Ast/shrinkify.scm 95 */
								obj_t BgL_arg1433z00_2204;

								{	/* Ast/shrinkify.scm 95 */
									obj_t BgL_arg1445z00_2205;

									{	/* Ast/shrinkify.scm 95 */
										long BgL_arg1741z00_2206;

										{	/* Ast/shrinkify.scm 95 */
											long BgL_arg1744z00_2207;

											{	/* Ast/shrinkify.scm 95 */
												long BgL_res1806z00_2208;

												BgL_res1806z00_2208 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_appzd2lyzd2_bglt) BgL_nodez00_2085)));
												BgL_arg1744z00_2207 = BgL_res1806z00_2208;
											}
											BgL_arg1741z00_2206 = (BgL_arg1744z00_2207 - OBJECT_TYPE);
										}
										BgL_arg1445z00_2205 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1741z00_2206);
									}
									BgL_arg1433z00_2204 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1445z00_2205);
								}
								{	/* Ast/shrinkify.scm 95 */
									long BgL_res1808z00_2209;

									{	/* Ast/shrinkify.scm 95 */
										obj_t BgL_tmpz00_2694;

										BgL_tmpz00_2694 = ((obj_t) BgL_arg1433z00_2204);
										BgL_res1808z00_2209 = BGL_CLASS_INDEX(BgL_tmpz00_2694);
									}
									BgL_arg1423z00_2203 = BgL_res1808z00_2209;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2085)),
								BgL_arg1423z00_2203);
						}
						{	/* Ast/shrinkify.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_2700;

							BgL_tmpz00_2700 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2085));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2700, BFALSE);
						}
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2085));
					}
				else
					{	/* Ast/shrinkify.scm 95 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2085)))->BgL_funz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2085)))->BgL_argz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-app1260 */
	obj_t BGl_z62shrinkzd2nodez12zd2app1260z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2086, obj_t BgL_nodez00_2087)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 85 */
			{	/* Ast/shrinkify.scm 86 */
				bool_t BgL_testz00_2712;

				{	/* Ast/shrinkify.scm 86 */
					obj_t BgL_tmpz00_2713;

					{	/* Ast/shrinkify.scm 86 */
						BgL_objectz00_bglt BgL_tmpz00_2714;

						BgL_tmpz00_2714 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2087));
						BgL_tmpz00_2713 = BGL_OBJECT_WIDENING(BgL_tmpz00_2714);
					}
					BgL_testz00_2712 = CBOOL(BgL_tmpz00_2713);
				}
				if (BgL_testz00_2712)
					{	/* Ast/shrinkify.scm 86 */
						{	/* Ast/shrinkify.scm 86 */
							long BgL_arg1397z00_2211;

							{	/* Ast/shrinkify.scm 86 */
								obj_t BgL_arg1398z00_2212;

								{	/* Ast/shrinkify.scm 86 */
									obj_t BgL_arg1411z00_2213;

									{	/* Ast/shrinkify.scm 86 */
										long BgL_arg1741z00_2214;

										{	/* Ast/shrinkify.scm 86 */
											long BgL_arg1744z00_2215;

											{	/* Ast/shrinkify.scm 86 */
												long BgL_res1802z00_2216;

												BgL_res1802z00_2216 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_2087)));
												BgL_arg1744z00_2215 = BgL_res1802z00_2216;
											}
											BgL_arg1741z00_2214 = (BgL_arg1744z00_2215 - OBJECT_TYPE);
										}
										BgL_arg1411z00_2213 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1741z00_2214);
									}
									BgL_arg1398z00_2212 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1411z00_2213);
								}
								{	/* Ast/shrinkify.scm 86 */
									long BgL_res1804z00_2217;

									{	/* Ast/shrinkify.scm 86 */
										obj_t BgL_tmpz00_2725;

										BgL_tmpz00_2725 = ((obj_t) BgL_arg1398z00_2212);
										BgL_res1804z00_2217 = BGL_CLASS_INDEX(BgL_tmpz00_2725);
									}
									BgL_arg1397z00_2211 = BgL_res1804z00_2217;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_2087)), BgL_arg1397z00_2211);
						}
						{	/* Ast/shrinkify.scm 86 */
							BgL_objectz00_bglt BgL_tmpz00_2731;

							BgL_tmpz00_2731 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2087));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2731, BFALSE);
						}
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2087));
					}
				else
					{	/* Ast/shrinkify.scm 86 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 87 */
				BgL_varz00_bglt BgL_arg1412z00_2218;

				BgL_arg1412z00_2218 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2087)))->BgL_funz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1412z00_2218));
			}
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2087)))->BgL_argsz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-sync1258 */
	obj_t BGl_z62shrinkzd2nodez12zd2sync1258z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2088, obj_t BgL_nodez00_2089)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 76 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2089)))->BgL_mutexz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2089)))->BgL_prelockz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2089)))->BgL_bodyz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-sequenc1256 */
	obj_t BGl_z62shrinkzd2nodez12zd2sequenc1256z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2090, obj_t BgL_nodez00_2091)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 69 */
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2091)))->BgL_nodesz00));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-kwote1254 */
	obj_t BGl_z62shrinkzd2nodez12zd2kwote1254z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2092, obj_t BgL_nodez00_2093)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 63 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-var1252 */
	obj_t BGl_z62shrinkzd2nodez12zd2var1252z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2094, obj_t BgL_nodez00_2095)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 57 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &shrink-node!-atom1250 */
	obj_t BGl_z62shrinkzd2nodez12zd2atom1250z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2096, obj_t BgL_nodez00_2097)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 51 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1860z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1860z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1860z00zzast_shrinkifyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1860z00zzast_shrinkifyz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
