/*===========================================================================*/
/*   (Engine/heap.scm)                                                       */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Engine/heap.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


	extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31700ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzengine_heapz00();
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31275ze3ze1zzengine_heapz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31259ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzengine_heapz00();
	extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_z62zc3anonymousza31293ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT bool_t fexists(char *);
	static obj_t BGl_gczd2rootszd2initz00zzengine_heapz00();
	BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_heapz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3anonymousza31244ze3ze1zzengine_heapz00(obj_t, obj_t);
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	static obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	static obj_t BGl_genericzd2initzd2zzengine_heapz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31287ze3ze1zzengine_heapz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzengine_heapz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00();
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string1822z00zzengine_heapz00,
		BgL_bgl_string1822za700za7za7e1848za7, "dump-heap", 9);
	      DEFINE_STRING(BGl_string1823z00zzengine_heapz00,
		BgL_bgl_string1823za700za7za7e1849za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string1826z00zzengine_heapz00,
		BgL_bgl_string1826za700za7za7e1850za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string1827z00zzengine_heapz00,
		BgL_bgl_string1827za700za7za7e1851za7, "(heap \"", 7);
	      DEFINE_STRING(BGl_string1828z00zzengine_heapz00,
		BgL_bgl_string1828za700za7za7e1852za7, "\"", 1);
	      DEFINE_STRING(BGl_string1829z00zzengine_heapz00,
		BgL_bgl_string1829za700za7za7e1853za7, " (variables", 11);
	      DEFINE_STRING(BGl_string1830z00zzengine_heapz00,
		BgL_bgl_string1830za700za7za7e1854za7, " )\n", 3);
	      DEFINE_STRING(BGl_string1831z00zzengine_heapz00,
		BgL_bgl_string1831za700za7za7e1855za7, " (types", 7);
	      DEFINE_STRING(BGl_string1832z00zzengine_heapz00,
		BgL_bgl_string1832za700za7za7e1856za7, " )", 2);
	      DEFINE_STRING(BGl_string1833z00zzengine_heapz00,
		BgL_bgl_string1833za700za7za7e1857za7, " (includes", 10);
	      DEFINE_STRING(BGl_string1834z00zzengine_heapz00,
		BgL_bgl_string1834za700za7za7e1858za7, ")\n", 2);
	      DEFINE_STRING(BGl_string1836z00zzengine_heapz00,
		BgL_bgl_string1836za700za7za7e1859za7, "   ", 3);
	      DEFINE_STRING(BGl_string1837z00zzengine_heapz00,
		BgL_bgl_string1837za700za7za7e1860za7, "~s", 2);
	      DEFINE_STRING(BGl_string1838z00zzengine_heapz00,
		BgL_bgl_string1838za700za7za7e1861za7, "", 0);
	      DEFINE_STRING(BGl_string1839z00zzengine_heapz00,
		BgL_bgl_string1839za700za7za7e1862za7, "\n   ", 4);
	      DEFINE_STRING(BGl_string1840z00zzengine_heapz00,
		BgL_bgl_string1840za700za7za7e1863za7, "\n    ", 5);
	      DEFINE_STRING(BGl_string1842z00zzengine_heapz00,
		BgL_bgl_string1842za700za7za7e1864za7, "engine_heap", 11);
	      DEFINE_STRING(BGl_string1843z00zzengine_heapz00,
		BgL_bgl_string1843za700za7za7e1865za7,
		"type super variable class native function args jvm-type-name inline sifun qualified-type name module id ",
		104);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2heapszd2envz00zzengine_heapz00,
		BgL_bgl_za762dumpza7d2heapsza71866za7,
		BGl_z62dumpzd2heapszb0zzengine_heapz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1824z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71867za7,
		BGl_z62zc3anonymousza31244ze3ze1zzengine_heapz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1825z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71868za7,
		BGl_z62zc3anonymousza31259ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1835z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71869za7,
		BGl_z62zc3anonymousza31293ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1841z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71870za7,
		BGl_z62zc3anonymousza31700ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzengine_heapz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long
		BgL_checksumz00_1548, char *BgL_fromz00_1549)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_heapz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_heapz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzengine_heapz00();
					BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
					BGl_cnstzd2initzd2zzengine_heapz00();
					BGl_importedzd2moduleszd2initz00zzengine_heapz00();
					return BGl_methodzd2initzd2zzengine_heapz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"engine_heap");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_heapz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 15 */
			{	/* Engine/heap.scm 15 */
				obj_t BgL_cportz00_1333;

				{	/* Engine/heap.scm 15 */
					obj_t BgL_stringz00_1341;

					BgL_stringz00_1341 = BGl_string1843z00zzengine_heapz00;
					{	/* Engine/heap.scm 15 */
						obj_t BgL_startz00_1342;

						BgL_startz00_1342 = BINT(((long) 0));
						{	/* Engine/heap.scm 15 */
							obj_t BgL_endz00_1343;

							BgL_endz00_1343 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1341)));
							{	/* Engine/heap.scm 15 */

								BgL_cportz00_1333 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1341, BgL_startz00_1342, BgL_endz00_1343);
				}}}}
				{
					long BgL_iz00_1334;

					BgL_iz00_1334 = ((long) 13);
				BgL_loopz00_1335:
					if ((BgL_iz00_1334 == ((long) -1)))
						{	/* Engine/heap.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Engine/heap.scm 15 */
							{	/* Engine/heap.scm 15 */
								obj_t BgL_arg1846z00_1337;

								{	/* Engine/heap.scm 15 */

									{	/* Engine/heap.scm 15 */
										obj_t BgL_locationz00_1339;

										BgL_locationz00_1339 = BBOOL(((bool_t) 0));
										{	/* Engine/heap.scm 15 */

											BgL_arg1846z00_1337 =
												BGl_readz00zz__readerz00(BgL_cportz00_1333,
												BgL_locationz00_1339);
										}
									}
								}
								{	/* Engine/heap.scm 15 */
									int BgL_tmpz00_1580;

									BgL_tmpz00_1580 = (int) (BgL_iz00_1334);
									CNST_TABLE_SET(BgL_tmpz00_1580, BgL_arg1846z00_1337);
							}}
							{	/* Engine/heap.scm 15 */
								int BgL_auxz00_1340;

								BgL_auxz00_1340 = (int) ((BgL_iz00_1334 - ((long) 1)));
								{
									long BgL_iz00_1585;

									BgL_iz00_1585 = (long) (BgL_auxz00_1340);
									BgL_iz00_1334 = BgL_iz00_1585;
									goto BgL_loopz00_1335;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzengine_heapz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* dump-heaps */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t
		BgL_namesz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 33 */
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			BGl_initializa7ezd2Genvz12z67zzast_envz00();
			BGl_initializa7ezd2Tenvz12z67zztype_envz00();
			{
				obj_t BgL_l1169z00_737;

				{	/* Engine/heap.scm 40 */
					bool_t BgL_tmpz00_1591;

					BgL_l1169z00_737 = BgL_namesz00_3;
				BgL_zc3anonymousza31215ze3z83_738:
					if (PAIRP(BgL_l1169z00_737))
						{	/* Engine/heap.scm 40 */
							BGl_dumpzd2heapzd2zzengine_heapz00(CAR(BgL_l1169z00_737));
							{
								obj_t BgL_l1169z00_1596;

								BgL_l1169z00_1596 = CDR(BgL_l1169z00_737);
								BgL_l1169z00_737 = BgL_l1169z00_1596;
								goto BgL_zc3anonymousza31215ze3z83_738;
							}
						}
					else
						{	/* Engine/heap.scm 40 */
							BgL_tmpz00_1591 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_1591);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dump-heaps */
	obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t BgL_envz00_1306,
		obj_t BgL_namesz00_1307)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 33 */
			return BGl_dumpzd2heapszd2zzengine_heapz00(BgL_namesz00_1307);
		}
		BGL_FUNCTION_END;
	}



/* dump-heap */
	obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t BgL_heapz00_4)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 45 */
			{	/* Engine/heap.scm 46 */
				obj_t BgL_fnamez00_743;

				if (fexists(BSTRING_TO_STRING(BgL_heapz00_4)))
					{	/* Engine/heap.scm 46 */
						BgL_fnamez00_743 = BgL_heapz00_4;
					}
				else
					{	/* Engine/heap.scm 46 */
						BgL_fnamez00_743 =
							BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_4,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
					}
				if (STRINGP(BgL_fnamez00_743))
					{	/* Engine/heap.scm 50 */
						obj_t BgL_portz00_745;

						BgL_portz00_745 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_743);
						if (BINARY_PORTP(BgL_portz00_745))
							{	/* Engine/heap.scm 55 */
								obj_t BgL_exitd1064z00_747;

								BgL_exitd1064z00_747 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Engine/heap.scm 115 */
									obj_t BgL_zc3anonymousza31287ze3z83_1311;

									BgL_zc3anonymousza31287ze3z83_1311 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31287ze3ze1zzengine_heapz00,
										(int) (((long) 0)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza31287ze3z83_1311,
										(int) (((long) 0)), BgL_portz00_745);
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
										(BgL_exitd1064z00_747, BgL_zc3anonymousza31287ze3z83_1311);
									{	/* Engine/heap.scm 56 */
										obj_t BgL_tmp1066z00_749;

										{	/* Engine/heap.scm 56 */
											obj_t BgL_envsz00_750;

											BgL_envsz00_750 = input_obj(BgL_portz00_745);
											{	/* Engine/heap.scm 56 */
												obj_t BgL__z00_751;

												{	/* Engine/heap.scm 57 */
													bool_t BgL_testz00_1617;

													{	/* Engine/heap.scm 57 */
														obj_t BgL_v1171z00_816;

														BgL_v1171z00_816 = create_vector(((long) 1));
														VECTOR_SET(BgL_v1171z00_816, ((long) 0),
															BgL_envsz00_750);
														((bool_t) 1);
													}
													{	/* Engine/heap.scm 58 */
														bool_t BgL__ortest_1067z00_813;

														BgL__ortest_1067z00_813 =
															(VECTOR_LENGTH(
																((obj_t) BgL_envsz00_750)) == ((long) 5));
														if (BgL__ortest_1067z00_813)
															{	/* Engine/heap.scm 58 */
																BgL_testz00_1617 = BgL__ortest_1067z00_813;
															}
														else
															{	/* Engine/heap.scm 58 */
																BgL_testz00_1617 =
																	(VECTOR_LENGTH(
																		((obj_t) BgL_envsz00_750)) == ((long) 7));
													}}
													if (BgL_testz00_1617)
														{	/* Engine/heap.scm 57 */
															BgL__z00_751 = BFALSE;
														}
													else
														{	/* Engine/heap.scm 57 */
															BgL__z00_751 =
																BGl_errorz00zz__errorz00
																(BGl_string1822z00zzengine_heapz00,
																BGl_string1823z00zzengine_heapz00,
																BgL_heapz00_4);
														}
												}
												{	/* Engine/heap.scm 57 */
													obj_t BgL_targetz00_752;

													BgL_targetz00_752 =
														VECTOR_REF(((obj_t) BgL_envsz00_750), ((long) 0));
													{	/* Engine/heap.scm 61 */
														obj_t BgL_versionz00_753;

														BgL_versionz00_753 =
															VECTOR_REF(((obj_t) BgL_envsz00_750), ((long) 1));
														{	/* Engine/heap.scm 62 */
															obj_t BgL_specificz00_754;

															BgL_specificz00_754 =
																VECTOR_REF(
																((obj_t) BgL_envsz00_750), ((long) 2));
															{	/* Engine/heap.scm 63 */
																obj_t BgL_genvz00_755;

																BgL_genvz00_755 =
																	VECTOR_REF(
																	((obj_t) BgL_envsz00_750), ((long) 3));
																{	/* Engine/heap.scm 64 */
																	obj_t BgL_tenvz00_756;

																	BgL_tenvz00_756 =
																		VECTOR_REF(
																		((obj_t) BgL_envsz00_750), ((long) 4));
																	{	/* Engine/heap.scm 65 */
																		obj_t BgL_includesz00_757;

																		if (
																			(VECTOR_LENGTH(
																					((obj_t) BgL_envsz00_750)) ==
																				((long) 6)))
																			{	/* Engine/heap.scm 66 */
																				BgL_includesz00_757 =
																					VECTOR_REF(
																					((obj_t) BgL_envsz00_750),
																					((long) 5));
																			}
																		else
																			{	/* Engine/heap.scm 66 */
																				BgL_includesz00_757 = BNIL;
																			}
																		{	/* Engine/heap.scm 66 */

																			if (
																				(VECTOR_LENGTH(
																						((obj_t) BgL_envsz00_750)) ==
																					((long) 6)))
																				{	/* Engine/heap.scm 78 */
																					BGl_addzd2genvz12zc0zzast_envz00
																						(BgL_genvz00_755);
																				}
																			else
																				{	/* Engine/heap.scm 78 */
																					BGl_setzd2tenvz12zc0zztype_envz00
																						(BgL_tenvz00_756);
																					BGl_setzd2genvz12zc0zzast_envz00
																						(BgL_genvz00_755);
																				}
																			{	/* Engine/heap.scm 87 */
																				bool_t BgL_testz00_1651;

																				{	/* Engine/heap.scm 87 */
																					obj_t BgL_arg1251z00_772;

																					BgL_arg1251z00_772 =
																						BGl_thezd2backendzd2zzbackend_backendz00
																						();
																					BgL_testz00_1651 =
																						(((BgL_backendz00_bglt)
																							COBJECT(((BgL_backendz00_bglt)
																									BgL_arg1251z00_772)))->
																						BgL_qualifiedzd2typeszd2);
																				}
																				if (BgL_testz00_1651)
																					{	/* Engine/heap.scm 87 */
																						BGl_forzd2eachzd2globalz12z12zzast_envz00
																							(BGl_proc1824z00zzengine_heapz00,
																							BNIL);
																					}
																				else
																					{	/* Engine/heap.scm 87 */
																						BFALSE;
																					}
																			}
																			BGl_hashtablezd2forzd2eachz00zz__hashz00
																				(BgL_genvz00_755,
																				BGl_proc1825z00zzengine_heapz00);
																			{	/* Engine/heap.scm 101 */
																				obj_t BgL_arg1273z00_788;

																				{	/* Engine/heap.scm 101 */
																					obj_t BgL_res1790z00_1183;

																					{	/* Engine/heap.scm 101 */
																						obj_t BgL_tmpz00_1657;

																						BgL_tmpz00_1657 =
																							BGL_CURRENT_DYNAMIC_ENV();
																						BgL_res1790z00_1183 =
																							BGL_ENV_CURRENT_ERROR_PORT
																							(BgL_tmpz00_1657);
																					}
																					BgL_arg1273z00_788 =
																						BgL_res1790z00_1183;
																				}
																				{	/* Engine/heap.scm 103 */
																					obj_t
																						BgL_zc3anonymousza31275ze3z83_1308;
																					BgL_zc3anonymousza31275ze3z83_1308 =
																						MAKE_FX_PROCEDURE
																						(BGl_z62zc3anonymousza31275ze3ze1zzengine_heapz00,
																						(int) (((long) 0)),
																						(int) (((long) 4)));
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31275ze3z83_1308,
																						(int) (((long) 0)), BgL_heapz00_4);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31275ze3z83_1308,
																						(int) (((long) 1)),
																						BgL_genvz00_755);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31275ze3z83_1308,
																						(int) (((long) 2)),
																						BgL_tenvz00_756);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31275ze3z83_1308,
																						(int) (((long) 3)),
																						BgL_includesz00_757);
																					BgL_tmp1066z00_749 =
																						BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
																						(BgL_arg1273z00_788,
																						BgL_zc3anonymousza31275ze3z83_1308);
										}}}}}}}}}}}
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00
											(BgL_exitd1064z00_747);
										close_binary_port(BgL_portz00_745);
										return BgL_tmp1066z00_749;
									}
								}
							}
						else
							{	/* Engine/heap.scm 53 */
								obj_t BgL_arg1288z00_819;

								{	/* Engine/heap.scm 53 */
									obj_t BgL_list1289z00_820;

									BgL_list1289z00_820 = MAKE_YOUNG_PAIR(BgL_fnamez00_743, BNIL);
									BgL_arg1288z00_819 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1826z00zzengine_heapz00, BgL_list1289z00_820);
								}
								return
									BGl_errorz00zz__errorz00(BGl_string1822z00zzengine_heapz00,
									BgL_arg1288z00_819, BGl_za2libzd2dirza2zd2zzengine_paramz00);
							}
					}
				else
					{	/* Engine/heap.scm 116 */
						obj_t BgL_mz00_821;

						{	/* Engine/heap.scm 116 */
							obj_t BgL_list1290z00_822;

							BgL_list1290z00_822 = MAKE_YOUNG_PAIR(BgL_heapz00_4, BNIL);
							BgL_mz00_821 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1826z00zzengine_heapz00, BgL_list1290z00_822);
						}
						BGl_errorz00zz__errorz00(BGl_string1822z00zzengine_heapz00,
							BgL_mz00_821, BGl_za2libzd2dirza2zd2zzengine_paramz00);
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1275> */
	obj_t BGl_z62zc3anonymousza31275ze3ze1zzengine_heapz00(obj_t BgL_envz00_1312)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 102 */
			{	/* Engine/heap.scm 103 */
				obj_t BgL_heapz00_1313;
				obj_t BgL_genvz00_1314;
				obj_t BgL_tenvz00_1315;
				obj_t BgL_includesz00_1316;

				BgL_heapz00_1313 = PROCEDURE_REF(BgL_envz00_1312, (int) (((long) 0)));
				BgL_genvz00_1314 = PROCEDURE_REF(BgL_envz00_1312, (int) (((long) 1)));
				BgL_tenvz00_1315 = PROCEDURE_REF(BgL_envz00_1312, (int) (((long) 2)));
				BgL_includesz00_1316 =
					PROCEDURE_REF(BgL_envz00_1312, (int) (((long) 3)));
				{	/* Engine/heap.scm 103 */
					obj_t BgL_port1175z00_1346;

					{	/* Engine/heap.scm 103 */
						obj_t BgL_res1791z00_1347;

						{	/* Engine/heap.scm 103 */
							obj_t BgL_tmpz00_1688;

							BgL_tmpz00_1688 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res1791z00_1347 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1688);
						}
						BgL_port1175z00_1346 = BgL_res1791z00_1347;
					}
					bgl_display_string(BGl_string1827z00zzengine_heapz00,
						BgL_port1175z00_1346);
					bgl_display_obj(BgL_heapz00_1313, BgL_port1175z00_1346);
					bgl_display_string(BGl_string1828z00zzengine_heapz00,
						BgL_port1175z00_1346);
					bgl_display_char(((unsigned char) 10), BgL_port1175z00_1346);
				}
				{	/* Engine/heap.scm 104 */
					obj_t BgL_port1176z00_1348;

					{	/* Engine/heap.scm 104 */
						obj_t BgL_res1792z00_1349;

						{	/* Engine/heap.scm 104 */
							obj_t BgL_tmpz00_1695;

							BgL_tmpz00_1695 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res1792z00_1349 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1695);
						}
						BgL_port1176z00_1348 = BgL_res1792z00_1349;
					}
					bgl_display_string(BGl_string1829z00zzengine_heapz00,
						BgL_port1176z00_1348);
					bgl_display_char(((unsigned char) 10), BgL_port1176z00_1348);
				}
				BGl_dumpzd2Genvzd2zzengine_heapz00(BgL_genvz00_1314);
				{	/* Engine/heap.scm 106 */
					obj_t BgL_port1177z00_1350;

					{	/* Engine/heap.scm 106 */
						obj_t BgL_res1793z00_1351;

						{	/* Engine/heap.scm 106 */
							obj_t BgL_tmpz00_1701;

							BgL_tmpz00_1701 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res1793z00_1351 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1701);
						}
						BgL_port1177z00_1350 = BgL_res1793z00_1351;
					}
					bgl_display_string(BGl_string1830z00zzengine_heapz00,
						BgL_port1177z00_1350);
					bgl_display_char(((unsigned char) 10), BgL_port1177z00_1350);
				}
				{	/* Engine/heap.scm 107 */
					obj_t BgL_port1178z00_1352;

					{	/* Engine/heap.scm 107 */
						obj_t BgL_res1794z00_1353;

						{	/* Engine/heap.scm 107 */
							obj_t BgL_tmpz00_1706;

							BgL_tmpz00_1706 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res1794z00_1353 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1706);
						}
						BgL_port1178z00_1352 = BgL_res1794z00_1353;
					}
					bgl_display_string(BGl_string1831z00zzengine_heapz00,
						BgL_port1178z00_1352);
					bgl_display_char(((unsigned char) 10), BgL_port1178z00_1352);
				}
				BGl_dumpzd2Tenvzd2zzengine_heapz00(BgL_tenvz00_1315);
				{	/* Engine/heap.scm 109 */
					obj_t BgL_port1179z00_1354;

					{	/* Engine/heap.scm 109 */
						obj_t BgL_res1795z00_1355;

						{	/* Engine/heap.scm 109 */
							obj_t BgL_tmpz00_1712;

							BgL_tmpz00_1712 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res1795z00_1355 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1712);
						}
						BgL_port1179z00_1354 = BgL_res1795z00_1355;
					}
					bgl_display_string(BGl_string1832z00zzengine_heapz00,
						BgL_port1179z00_1354);
					bgl_display_char(((unsigned char) 10), BgL_port1179z00_1354);
				}
				if (PAIRP(BgL_includesz00_1316))
					{	/* Engine/heap.scm 110 */
						{	/* Engine/heap.scm 111 */
							obj_t BgL_port1180z00_1356;

							{	/* Engine/heap.scm 111 */
								obj_t BgL_res1797z00_1357;

								{	/* Engine/heap.scm 111 */
									obj_t BgL_tmpz00_1719;

									BgL_tmpz00_1719 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1797z00_1357 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1719);
								}
								BgL_port1180z00_1356 = BgL_res1797z00_1357;
							}
							bgl_display_string(BGl_string1833z00zzengine_heapz00,
								BgL_port1180z00_1356);
							bgl_display_char(((unsigned char) 10), BgL_port1180z00_1356);
						}
						{	/* Engine/heap.scm 112 */
							obj_t BgL_port1181z00_1358;

							{	/* Engine/heap.scm 112 */
								obj_t BgL_res1798z00_1359;

								{	/* Engine/heap.scm 112 */
									obj_t BgL_tmpz00_1724;

									BgL_tmpz00_1724 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1798z00_1359 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1724);
								}
								BgL_port1181z00_1358 = BgL_res1798z00_1359;
							}
							bgl_display_obj(BgL_includesz00_1316, BgL_port1181z00_1358);
							bgl_display_char(((unsigned char) 10), BgL_port1181z00_1358);
						}
						{	/* Engine/heap.scm 113 */
							obj_t BgL_port1182z00_1360;

							{	/* Engine/heap.scm 113 */
								obj_t BgL_res1799z00_1361;

								{	/* Engine/heap.scm 113 */
									obj_t BgL_tmpz00_1729;

									BgL_tmpz00_1729 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1799z00_1361 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1729);
								}
								BgL_port1182z00_1360 = BgL_res1799z00_1361;
							}
							bgl_display_string(BGl_string1832z00zzengine_heapz00,
								BgL_port1182z00_1360);
							bgl_display_char(((unsigned char) 10), BgL_port1182z00_1360);
					}}
				else
					{	/* Engine/heap.scm 110 */
						BFALSE;
					}
				{	/* Engine/heap.scm 114 */
					obj_t BgL_port1183z00_1362;

					{	/* Engine/heap.scm 114 */
						obj_t BgL_res1800z00_1363;

						{	/* Engine/heap.scm 114 */
							obj_t BgL_tmpz00_1734;

							BgL_tmpz00_1734 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res1800z00_1363 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1734);
						}
						BgL_port1183z00_1362 = BgL_res1800z00_1363;
					}
					bgl_display_string(BGl_string1834z00zzengine_heapz00,
						BgL_port1183z00_1362);
					return bgl_display_char(((unsigned char) 10), BgL_port1183z00_1362);
		}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1259> */
	obj_t BGl_z62zc3anonymousza31259ze3ze1zzengine_heapz00(obj_t BgL_envz00_1317,
		obj_t BgL_kz00_1318, obj_t BgL_bucketz00_1319)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 97 */
			{	/* Engine/heap.scm 98 */
				bool_t BgL_tmpz00_1739;

				{	/* Engine/heap.scm 98 */
					obj_t BgL_g1174z00_1364;

					BgL_g1174z00_1364 = CDR(((obj_t) BgL_bucketz00_1319));
					{
						obj_t BgL_l1172z00_1366;

						BgL_l1172z00_1366 = BgL_g1174z00_1364;
					BgL_zc3anonymousza31260ze3z83_1365:
						if (PAIRP(BgL_l1172z00_1366))
							{	/* Engine/heap.scm 100 */
								{	/* Engine/heap.scm 99 */
									obj_t BgL_newz00_1367;

									BgL_newz00_1367 = CAR(BgL_l1172z00_1366);
									{	/* Engine/heap.scm 99 */
										obj_t BgL_arg1269z00_1368;

										BgL_arg1269z00_1368 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_newz00_1367)))->
											BgL_modulez00);
										{	/* Engine/heap.scm 99 */
											obj_t BgL_list1270z00_1369;

											BgL_list1270z00_1369 =
												MAKE_YOUNG_PAIR(BgL_arg1269z00_1368, BNIL);
											BGl_heapzd2modulezd2listz00zzheap_restorez00
												(BgL_list1270z00_1369);
										}
									}
								}
								{
									obj_t BgL_l1172z00_1749;

									BgL_l1172z00_1749 = CDR(BgL_l1172z00_1366);
									BgL_l1172z00_1366 = BgL_l1172z00_1749;
									goto BgL_zc3anonymousza31260ze3z83_1365;
								}
							}
						else
							{	/* Engine/heap.scm 100 */
								BgL_tmpz00_1739 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_1739);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1244> */
	obj_t BGl_z62zc3anonymousza31244ze3ze1zzengine_heapz00(obj_t BgL_envz00_1320,
		obj_t BgL_newz00_1321)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 89 */
			{	/* Engine/heap.scm 91 */
				obj_t BgL_arg1245z00_1370;
				obj_t BgL_arg1246z00_1371;
				obj_t BgL_arg1248z00_1372;

				BgL_arg1245z00_1370 =
					(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_newz00_1321)))->BgL_modulez00);
				BgL_arg1246z00_1371 =
					(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_newz00_1321)))->
					BgL_jvmzd2typezd2namez00);
				BgL_arg1248z00_1372 = BGl_shapez00zztools_shapez00(BgL_newz00_1321);
				{	/* Engine/heap.scm 90 */
					obj_t BgL_list1249z00_1373;

					BgL_list1249z00_1373 = MAKE_YOUNG_PAIR(BgL_arg1248z00_1372, BNIL);
					return
						BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1245z00_1370,
						BgL_arg1246z00_1371, BgL_list1249z00_1373);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1287> */
	obj_t BGl_z62zc3anonymousza31287ze3ze1zzengine_heapz00(obj_t BgL_envz00_1322)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 55 */
			{	/* Engine/heap.scm 115 */
				obj_t BgL_portz00_1323;

				BgL_portz00_1323 = PROCEDURE_REF(BgL_envz00_1322, (int) (((long) 0)));
				return close_binary_port(((obj_t) BgL_portz00_1323));
			}
		}
		BGL_FUNCTION_END;
	}



/* dump-Genv */
	obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t BgL_genvz00_5)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 123 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_5,
				BGl_proc1835z00zzengine_heapz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1293> */
	obj_t BGl_z62zc3anonymousza31293ze3ze1zzengine_heapz00(obj_t BgL_envz00_1325,
		obj_t BgL_kz00_1326, obj_t BgL_bucketz00_1327)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 178 */
			{	/* Engine/heap.scm 178 */
				bool_t BgL_tmpz00_1764;

				{
					obj_t BgL_newz00_1375;

					{	/* Engine/heap.scm 178 */
						obj_t BgL_g1201z00_1510;

						BgL_g1201z00_1510 = CDR(((obj_t) BgL_bucketz00_1327));
						{
							obj_t BgL_l1199z00_1512;

							BgL_l1199z00_1512 = BgL_g1201z00_1510;
						BgL_zc3anonymousza31294ze3z83_1511:
							if (PAIRP(BgL_l1199z00_1512))
								{	/* Engine/heap.scm 178 */
									BgL_newz00_1375 = CAR(BgL_l1199z00_1512);
									{	/* Engine/heap.scm 125 */
										obj_t BgL_modulez00_1376;

										BgL_modulez00_1376 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_newz00_1375)))->
											BgL_modulez00);
										{	/* Engine/heap.scm 125 */
											obj_t BgL_idz00_1377;

											BgL_idz00_1377 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_newz00_1375))))->
												BgL_idz00);
											{	/* Engine/heap.scm 126 */
												obj_t BgL_qtz00_1378;

												BgL_qtz00_1378 =
													BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
													(BgL_modulez00_1376);
												{	/* Engine/heap.scm 127 */
													obj_t BgL_jtz00_1379;

													BgL_jtz00_1379 =
														(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_newz00_1375)))->
														BgL_jvmzd2typezd2namez00);
													{	/* Engine/heap.scm 128 */
														BgL_valuez00_bglt BgL_valz00_1380;

														BgL_valz00_1380 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_newz00_1375))))->
															BgL_valuez00);
														{	/* Engine/heap.scm 129 */

															{	/* Engine/heap.scm 131 */
																bool_t BgL_testz00_1780;

																{	/* Engine/heap.scm 131 */
																	bool_t BgL_res1801z00_1381;

																	BgL_res1801z00_1381 =
																		BGl_isazf3zf3zz__objectz00(
																		((obj_t) BgL_valz00_1380),
																		BGl_sfunz00zzast_varz00);
																	BgL_testz00_1780 = BgL_res1801z00_1381;
																}
																if (BgL_testz00_1780)
																	{	/* Engine/heap.scm 132 */
																		obj_t BgL_port1190z00_1382;

																		{	/* Engine/heap.scm 132 */
																			obj_t BgL_res1802z00_1383;

																			{	/* Engine/heap.scm 132 */
																				obj_t BgL_tmpz00_1783;

																				BgL_tmpz00_1783 =
																					BGL_CURRENT_DYNAMIC_ENV();
																				BgL_res1802z00_1383 =
																					BGL_ENV_CURRENT_OUTPUT_PORT
																					(BgL_tmpz00_1783);
																			}
																			BgL_port1190z00_1382 =
																				BgL_res1802z00_1383;
																		}
																		bgl_display_string
																			(BGl_string1836z00zzengine_heapz00,
																			BgL_port1190z00_1382);
																		{	/* Engine/heap.scm 133 */
																			obj_t BgL_arg1302z00_1384;

																			{	/* Engine/heap.scm 133 */
																				obj_t BgL_arg1305z00_1385;

																				{	/* Engine/heap.scm 133 */
																					obj_t BgL_arg1306z00_1386;
																					obj_t BgL_arg1308z00_1387;

																					BgL_arg1306z00_1386 =
																						BGl_shapez00zztools_shapez00
																						(BgL_newz00_1375);
																					{	/* Engine/heap.scm 135 */
																						obj_t BgL_arg1309z00_1388;

																						{	/* Engine/heap.scm 135 */
																							obj_t BgL_arg1312z00_1389;
																							obj_t BgL_arg1314z00_1390;

																							{	/* Engine/heap.scm 135 */
																								obj_t BgL_arg1315z00_1391;

																								BgL_arg1315z00_1391 =
																									MAKE_YOUNG_PAIR
																									(BgL_idz00_1377, BNIL);
																								BgL_arg1312z00_1389 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 0)),
																									BgL_arg1315z00_1391);
																							}
																							{	/* Engine/heap.scm 137 */
																								obj_t BgL_arg1316z00_1392;

																								{	/* Engine/heap.scm 137 */
																									obj_t BgL_arg1318z00_1393;
																									obj_t BgL_arg1320z00_1394;

																									{	/* Engine/heap.scm 137 */
																										obj_t BgL_arg1329z00_1395;

																										BgL_arg1329z00_1395 =
																											MAKE_YOUNG_PAIR
																											(BgL_modulez00_1376,
																											BNIL);
																										BgL_arg1318z00_1393 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													1)),
																											BgL_arg1329z00_1395);
																									}
																									{	/* Engine/heap.scm 139 */
																										obj_t BgL_arg1330z00_1396;

																										{	/* Engine/heap.scm 139 */
																											obj_t BgL_arg1331z00_1397;
																											obj_t BgL_arg1332z00_1398;

																											{	/* Engine/heap.scm 139 */
																												obj_t
																													BgL_arg1333z00_1399;
																												{	/* Engine/heap.scm 139 */
																													obj_t
																														BgL_arg1335z00_1400;
																													{	/* Engine/heap.scm 139 */
																														obj_t
																															BgL_arg1343z00_1401;
																														BgL_arg1343z00_1401
																															=
																															(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_newz00_1375))))->BgL_namez00);
																														{	/* Engine/heap.scm 139 */
																															obj_t
																																BgL_list1344z00_1402;
																															BgL_list1344z00_1402
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1343z00_1401,
																																BNIL);
																															BgL_arg1335z00_1400
																																=
																																BGl_formatz00zz__r4_output_6_10_3z00
																																(BGl_string1837z00zzengine_heapz00,
																																BgL_list1344z00_1402);
																													}}
																													BgL_arg1333z00_1399 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1335z00_1400,
																														BNIL);
																												}
																												BgL_arg1331z00_1397 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 2)),
																													BgL_arg1333z00_1399);
																											}
																											{	/* Engine/heap.scm 141 */
																												obj_t
																													BgL_arg1356z00_1403;
																												{	/* Engine/heap.scm 141 */
																													obj_t
																														BgL_arg1366z00_1404;
																													obj_t
																														BgL_arg1367z00_1405;
																													{	/* Engine/heap.scm 141 */
																														obj_t
																															BgL_arg1376z00_1406;
																														BgL_arg1376z00_1406
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_qtz00_1378,
																															BNIL);
																														BgL_arg1366z00_1404
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 3)),
																															BgL_arg1376z00_1406);
																													}
																													{	/* Engine/heap.scm 142 */
																														obj_t
																															BgL_arg1381z00_1407;
																														obj_t
																															BgL_arg1382z00_1408;
																														if (((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) BgL_valz00_1380)))->BgL_classz00) == CNST_TABLE_REF(((long) 4))))
																															{	/* Engine/heap.scm 143 */
																																obj_t
																																	BgL_arg1397z00_1409;
																																{	/* Engine/heap.scm 143 */
																																	obj_t
																																		BgL_arg1398z00_1410;
																																	{	/* Engine/heap.scm 143 */
																																		obj_t
																																			BgL_arg1411z00_1411;
																																		BgL_arg1411z00_1411
																																			=
																																			(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) BgL_valz00_1380)))->BgL_bodyz00);
																																		BgL_arg1398z00_1410
																																			=
																																			BGl_shapez00zztools_shapez00
																																			(BgL_arg1411z00_1411);
																																	}
																																	BgL_arg1397z00_1409
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1398z00_1410,
																																		BNIL);
																																}
																																BgL_arg1381z00_1407
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 5)),
																																	BgL_arg1397z00_1409);
																															}
																														else
																															{	/* Engine/heap.scm 142 */
																																BgL_arg1381z00_1407
																																	=
																																	BGl_string1838z00zzengine_heapz00;
																															}
																														{	/* Engine/heap.scm 146 */
																															obj_t
																																BgL_arg1414z00_1412;
																															{	/* Engine/heap.scm 146 */
																																obj_t
																																	BgL_arg1415z00_1413;
																																obj_t
																																	BgL_arg1423z00_1414;
																																{	/* Engine/heap.scm 146 */
																																	obj_t
																																		BgL_arg1433z00_1415;
																																	BgL_arg1433z00_1415
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_jtz00_1379,
																																		BNIL);
																																	BgL_arg1415z00_1413
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				6)),
																																		BgL_arg1433z00_1415);
																																}
																																{	/* Engine/heap.scm 147 */
																																	obj_t
																																		BgL_arg1445z00_1416;
																																	{	/* Engine/heap.scm 147 */
																																		obj_t
																																			BgL_arg1457z00_1417;
																																		{	/* Engine/heap.scm 147 */
																																			obj_t
																																				BgL_arg1462z00_1418;
																																			{	/* Engine/heap.scm 147 */
																																				obj_t
																																					BgL_arg1464z00_1419;
																																				{	/* Engine/heap.scm 147 */
																																					obj_t
																																						BgL_l1184z00_1420;
																																					BgL_l1184z00_1420
																																						=
																																						(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) BgL_valz00_1380)))->BgL_argsz00);
																																					if (NULLP(BgL_l1184z00_1420))
																																						{	/* Engine/heap.scm 147 */
																																							BgL_arg1464z00_1419
																																								=
																																								BNIL;
																																						}
																																					else
																																						{	/* Engine/heap.scm 147 */
																																							obj_t
																																								BgL_head1186z00_1421;
																																							{	/* Engine/heap.scm 147 */
																																								obj_t
																																									BgL_arg1487z00_1422;
																																								{	/* Engine/heap.scm 147 */
																																									obj_t
																																										BgL_arg1495z00_1423;
																																									BgL_arg1495z00_1423
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_l1184z00_1420));
																																									BgL_arg1487z00_1422
																																										=
																																										BGl_shapez00zztools_shapez00
																																										(BgL_arg1495z00_1423);
																																								}
																																								{	/* Engine/heap.scm 147 */
																																									obj_t
																																										BgL_res1804z00_1424;
																																									BgL_res1804z00_1424
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg1487z00_1422,
																																										BNIL);
																																									BgL_head1186z00_1421
																																										=
																																										BgL_res1804z00_1424;
																																								}
																																							}
																																							{	/* Engine/heap.scm 147 */
																																								obj_t
																																									BgL_g1189z00_1425;
																																								BgL_g1189z00_1425
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_l1184z00_1420));
																																								{
																																									obj_t
																																										BgL_l1184z00_1427;
																																									obj_t
																																										BgL_tail1187z00_1428;
																																									BgL_l1184z00_1427
																																										=
																																										BgL_g1189z00_1425;
																																									BgL_tail1187z00_1428
																																										=
																																										BgL_head1186z00_1421;
																																								BgL_zc3anonymousza31466ze3z83_1426:
																																									if (NULLP(BgL_l1184z00_1427))
																																										{	/* Engine/heap.scm 147 */
																																											BgL_arg1464z00_1419
																																												=
																																												BgL_head1186z00_1421;
																																										}
																																									else
																																										{	/* Engine/heap.scm 147 */
																																											obj_t
																																												BgL_newtail1188z00_1429;
																																											{	/* Engine/heap.scm 147 */
																																												obj_t
																																													BgL_arg1481z00_1430;
																																												{	/* Engine/heap.scm 147 */
																																													obj_t
																																														BgL_arg1482z00_1431;
																																													BgL_arg1482z00_1431
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_l1184z00_1427));
																																													BgL_arg1481z00_1430
																																														=
																																														BGl_shapez00zztools_shapez00
																																														(BgL_arg1482z00_1431);
																																												}
																																												{	/* Engine/heap.scm 147 */
																																													obj_t
																																														BgL_res1806z00_1432;
																																													BgL_res1806z00_1432
																																														=
																																														MAKE_YOUNG_PAIR
																																														(BgL_arg1481z00_1430,
																																														BNIL);
																																													BgL_newtail1188z00_1429
																																														=
																																														BgL_res1806z00_1432;
																																												}
																																											}
																																											SET_CDR
																																												(BgL_tail1187z00_1428,
																																												BgL_newtail1188z00_1429);
																																											{	/* Engine/heap.scm 147 */
																																												obj_t
																																													BgL_arg1479z00_1433;
																																												BgL_arg1479z00_1433
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_l1184z00_1427));
																																												{
																																													obj_t
																																														BgL_tail1187z00_1839;
																																													obj_t
																																														BgL_l1184z00_1838;
																																													BgL_l1184z00_1838
																																														=
																																														BgL_arg1479z00_1433;
																																													BgL_tail1187z00_1839
																																														=
																																														BgL_newtail1188z00_1429;
																																													BgL_tail1187z00_1428
																																														=
																																														BgL_tail1187z00_1839;
																																													BgL_l1184z00_1427
																																														=
																																														BgL_l1184z00_1838;
																																													goto
																																														BgL_zc3anonymousza31466ze3z83_1426;
																																												}
																																											}
																																										}
																																								}
																																							}
																																						}
																																				}
																																				BgL_arg1462z00_1418
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg1464z00_1419,
																																					BNIL);
																																			}
																																			BgL_arg1457z00_1417
																																				=
																																				MAKE_YOUNG_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						7)),
																																				BgL_arg1462z00_1418);
																																		}
																																		BgL_arg1445z00_1416
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1457z00_1417,
																																			BNIL);
																																	}
																																	BgL_arg1423z00_1414
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_string1839z00zzengine_heapz00,
																																		BgL_arg1445z00_1416);
																																}
																																BgL_arg1414z00_1412
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1415z00_1413,
																																	BgL_arg1423z00_1414);
																															}
																															BgL_arg1382z00_1408
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_string1840z00zzengine_heapz00,
																																BgL_arg1414z00_1412);
																														}
																														BgL_arg1367z00_1405
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1381z00_1407,
																															BgL_arg1382z00_1408);
																													}
																													BgL_arg1356z00_1403 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1366z00_1404,
																														BgL_arg1367z00_1405);
																												}
																												BgL_arg1332z00_1398 =
																													MAKE_YOUNG_PAIR
																													(BGl_string1840z00zzengine_heapz00,
																													BgL_arg1356z00_1403);
																											}
																											BgL_arg1330z00_1396 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1331z00_1397,
																												BgL_arg1332z00_1398);
																										}
																										BgL_arg1320z00_1394 =
																											MAKE_YOUNG_PAIR
																											(BGl_string1840z00zzengine_heapz00,
																											BgL_arg1330z00_1396);
																									}
																									BgL_arg1316z00_1392 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1318z00_1393,
																										BgL_arg1320z00_1394);
																								}
																								BgL_arg1314z00_1390 =
																									MAKE_YOUNG_PAIR
																									(BGl_string1840z00zzengine_heapz00,
																									BgL_arg1316z00_1392);
																							}
																							BgL_arg1309z00_1388 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1312z00_1389,
																								BgL_arg1314z00_1390);
																						}
																						BgL_arg1308z00_1387 =
																							MAKE_YOUNG_PAIR
																							(BGl_string1840z00zzengine_heapz00,
																							BgL_arg1309z00_1388);
																					}
																					BgL_arg1305z00_1385 =
																						MAKE_YOUNG_PAIR(BgL_arg1306z00_1386,
																						BgL_arg1308z00_1387);
																				}
																				BgL_arg1302z00_1384 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							8)), BgL_arg1305z00_1385);
																			}
																			bgl_display_obj(BgL_arg1302z00_1384,
																				BgL_port1190z00_1382);
																		}
																		bgl_display_char(((unsigned char) 10),
																			BgL_port1190z00_1382);
																	}
																else
																	{	/* Engine/heap.scm 148 */
																		bool_t BgL_testz00_1861;

																		{	/* Engine/heap.scm 148 */
																			bool_t BgL_res1807z00_1434;

																			BgL_res1807z00_1434 =
																				BGl_isazf3zf3zz__objectz00(
																				((obj_t) BgL_valz00_1380),
																				BGl_cfunz00zzast_varz00);
																			BgL_testz00_1861 = BgL_res1807z00_1434;
																		}
																		if (BgL_testz00_1861)
																			{	/* Engine/heap.scm 149 */
																				obj_t BgL_port1197z00_1435;

																				{	/* Engine/heap.scm 149 */
																					obj_t BgL_res1808z00_1436;

																					{	/* Engine/heap.scm 149 */
																						obj_t BgL_tmpz00_1864;

																						BgL_tmpz00_1864 =
																							BGL_CURRENT_DYNAMIC_ENV();
																						BgL_res1808z00_1436 =
																							BGL_ENV_CURRENT_OUTPUT_PORT
																							(BgL_tmpz00_1864);
																					}
																					BgL_port1197z00_1435 =
																						BgL_res1808z00_1436;
																				}
																				bgl_display_string
																					(BGl_string1836z00zzengine_heapz00,
																					BgL_port1197z00_1435);
																				{	/* Engine/heap.scm 150 */
																					obj_t BgL_arg1501z00_1437;

																					{	/* Engine/heap.scm 150 */
																						obj_t BgL_arg1504z00_1438;

																						{	/* Engine/heap.scm 150 */
																							obj_t BgL_arg1505z00_1439;
																							obj_t BgL_arg1508z00_1440;

																							BgL_arg1505z00_1439 =
																								BGl_shapez00zztools_shapez00
																								(BgL_newz00_1375);
																							{	/* Engine/heap.scm 152 */
																								obj_t BgL_arg1511z00_1441;

																								{	/* Engine/heap.scm 152 */
																									obj_t BgL_arg1512z00_1442;
																									obj_t BgL_arg1524z00_1443;

																									{	/* Engine/heap.scm 152 */
																										obj_t BgL_arg1526z00_1444;

																										BgL_arg1526z00_1444 =
																											MAKE_YOUNG_PAIR
																											(BgL_idz00_1377, BNIL);
																										BgL_arg1512z00_1442 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													0)),
																											BgL_arg1526z00_1444);
																									}
																									{	/* Engine/heap.scm 154 */
																										obj_t BgL_arg1528z00_1445;

																										{	/* Engine/heap.scm 154 */
																											obj_t BgL_arg1529z00_1446;
																											obj_t BgL_arg1535z00_1447;

																											{	/* Engine/heap.scm 154 */
																												obj_t
																													BgL_arg1536z00_1448;
																												BgL_arg1536z00_1448 =
																													MAKE_YOUNG_PAIR
																													(BgL_modulez00_1376,
																													BNIL);
																												BgL_arg1529z00_1446 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 1)),
																													BgL_arg1536z00_1448);
																											}
																											{	/* Engine/heap.scm 156 */
																												obj_t
																													BgL_arg1537z00_1449;
																												{	/* Engine/heap.scm 156 */
																													obj_t
																														BgL_arg1540z00_1450;
																													obj_t
																														BgL_arg1544z00_1451;
																													{	/* Engine/heap.scm 156 */
																														obj_t
																															BgL_arg1552z00_1452;
																														{	/* Engine/heap.scm 156 */
																															obj_t
																																BgL_arg1553z00_1453;
																															{	/* Engine/heap.scm 156 */
																																obj_t
																																	BgL_arg1554z00_1454;
																																BgL_arg1554z00_1454
																																	=
																																	(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_newz00_1375))))->BgL_namez00);
																																{	/* Engine/heap.scm 156 */
																																	obj_t
																																		BgL_list1555z00_1455;
																																	BgL_list1555z00_1455
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1554z00_1454,
																																		BNIL);
																																	BgL_arg1553z00_1453
																																		=
																																		BGl_formatz00zz__r4_output_6_10_3z00
																																		(BGl_string1837z00zzengine_heapz00,
																																		BgL_list1555z00_1455);
																															}}
																															BgL_arg1552z00_1452
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1553z00_1453,
																																BNIL);
																														}
																														BgL_arg1540z00_1450
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 2)),
																															BgL_arg1552z00_1452);
																													}
																													{	/* Engine/heap.scm 158 */
																														obj_t
																															BgL_arg1562z00_1456;
																														{	/* Engine/heap.scm 158 */
																															obj_t
																																BgL_arg1568z00_1457;
																															obj_t
																																BgL_arg1569z00_1458;
																															{	/* Engine/heap.scm 158 */
																																obj_t
																																	BgL_arg1580z00_1459;
																																BgL_arg1580z00_1459
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_qtz00_1378,
																																	BNIL);
																																BgL_arg1568z00_1457
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 3)),
																																	BgL_arg1580z00_1459);
																															}
																															{	/* Engine/heap.scm 160 */
																																obj_t
																																	BgL_arg1581z00_1460;
																																{	/* Engine/heap.scm 160 */
																																	obj_t
																																		BgL_arg1582z00_1461;
																																	obj_t
																																		BgL_arg1587z00_1462;
																																	{	/* Engine/heap.scm 160 */
																																		obj_t
																																			BgL_arg1600z00_1463;
																																		BgL_arg1600z00_1463
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_jtz00_1379,
																																			BNIL);
																																		BgL_arg1582z00_1461
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					6)),
																																			BgL_arg1600z00_1463);
																																	}
																																	{	/* Engine/heap.scm 161 */
																																		obj_t
																																			BgL_arg1603z00_1464;
																																		{	/* Engine/heap.scm 161 */
																																			obj_t
																																				BgL_arg1604z00_1465;
																																			{	/* Engine/heap.scm 161 */
																																				obj_t
																																					BgL_arg1607z00_1466;
																																				{	/* Engine/heap.scm 161 */
																																					obj_t
																																						BgL_arg1611z00_1467;
																																					{	/* Engine/heap.scm 161 */
																																						obj_t
																																							BgL_l1191z00_1468;
																																						BgL_l1191z00_1468
																																							=
																																							(((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt) BgL_valz00_1380)))->BgL_argszd2typezd2);
																																						if (NULLP(BgL_l1191z00_1468))
																																							{	/* Engine/heap.scm 161 */
																																								BgL_arg1611z00_1467
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Engine/heap.scm 161 */
																																								obj_t
																																									BgL_head1193z00_1469;
																																								{	/* Engine/heap.scm 161 */
																																									obj_t
																																										BgL_arg1622z00_1470;
																																									{	/* Engine/heap.scm 161 */
																																										obj_t
																																											BgL_arg1623z00_1471;
																																										BgL_arg1623z00_1471
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_l1191z00_1468));
																																										BgL_arg1622z00_1470
																																											=
																																											BGl_shapez00zztools_shapez00
																																											(BgL_arg1623z00_1471);
																																									}
																																									{	/* Engine/heap.scm 161 */
																																										obj_t
																																											BgL_res1810z00_1472;
																																										BgL_res1810z00_1472
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BgL_arg1622z00_1470,
																																											BNIL);
																																										BgL_head1193z00_1469
																																											=
																																											BgL_res1810z00_1472;
																																									}
																																								}
																																								{	/* Engine/heap.scm 161 */
																																									obj_t
																																										BgL_g1196z00_1473;
																																									BgL_g1196z00_1473
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_l1191z00_1468));
																																									{
																																										obj_t
																																											BgL_l1191z00_1475;
																																										obj_t
																																											BgL_tail1194z00_1476;
																																										BgL_l1191z00_1475
																																											=
																																											BgL_g1196z00_1473;
																																										BgL_tail1194z00_1476
																																											=
																																											BgL_head1193z00_1469;
																																									BgL_zc3anonymousza31613ze3z83_1474:
																																										if (NULLP(BgL_l1191z00_1475))
																																											{	/* Engine/heap.scm 161 */
																																												BgL_arg1611z00_1467
																																													=
																																													BgL_head1193z00_1469;
																																											}
																																										else
																																											{	/* Engine/heap.scm 161 */
																																												obj_t
																																													BgL_newtail1195z00_1477;
																																												{	/* Engine/heap.scm 161 */
																																													obj_t
																																														BgL_arg1617z00_1478;
																																													{	/* Engine/heap.scm 161 */
																																														obj_t
																																															BgL_arg1618z00_1479;
																																														BgL_arg1618z00_1479
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_l1191z00_1475));
																																														BgL_arg1617z00_1478
																																															=
																																															BGl_shapez00zztools_shapez00
																																															(BgL_arg1618z00_1479);
																																													}
																																													{	/* Engine/heap.scm 161 */
																																														obj_t
																																															BgL_res1812z00_1480;
																																														BgL_res1812z00_1480
																																															=
																																															MAKE_YOUNG_PAIR
																																															(BgL_arg1617z00_1478,
																																															BNIL);
																																														BgL_newtail1195z00_1477
																																															=
																																															BgL_res1812z00_1480;
																																													}
																																												}
																																												SET_CDR
																																													(BgL_tail1194z00_1476,
																																													BgL_newtail1195z00_1477);
																																												{	/* Engine/heap.scm 161 */
																																													obj_t
																																														BgL_arg1615z00_1481;
																																													BgL_arg1615z00_1481
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_l1191z00_1475));
																																													{
																																														obj_t
																																															BgL_tail1194z00_1909;
																																														obj_t
																																															BgL_l1191z00_1908;
																																														BgL_l1191z00_1908
																																															=
																																															BgL_arg1615z00_1481;
																																														BgL_tail1194z00_1909
																																															=
																																															BgL_newtail1195z00_1477;
																																														BgL_tail1194z00_1476
																																															=
																																															BgL_tail1194z00_1909;
																																														BgL_l1191z00_1475
																																															=
																																															BgL_l1191z00_1908;
																																														goto
																																															BgL_zc3anonymousza31613ze3z83_1474;
																																													}
																																												}
																																											}
																																									}
																																								}
																																							}
																																					}
																																					BgL_arg1607z00_1466
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg1611z00_1467,
																																						BNIL);
																																				}
																																				BgL_arg1604z00_1465
																																					=
																																					MAKE_YOUNG_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 7)), BgL_arg1607z00_1466);
																																			}
																																			BgL_arg1603z00_1464
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1604z00_1465,
																																				BNIL);
																																		}
																																		BgL_arg1587z00_1462
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_string1839z00zzengine_heapz00,
																																			BgL_arg1603z00_1464);
																																	}
																																	BgL_arg1581z00_1460
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1582z00_1461,
																																		BgL_arg1587z00_1462);
																																}
																																BgL_arg1569z00_1458
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string1840z00zzengine_heapz00,
																																	BgL_arg1581z00_1460);
																															}
																															BgL_arg1562z00_1456
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1568z00_1457,
																																BgL_arg1569z00_1458);
																														}
																														BgL_arg1544z00_1451
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string1840z00zzengine_heapz00,
																															BgL_arg1562z00_1456);
																													}
																													BgL_arg1537z00_1449 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1540z00_1450,
																														BgL_arg1544z00_1451);
																												}
																												BgL_arg1535z00_1447 =
																													MAKE_YOUNG_PAIR
																													(BGl_string1840z00zzengine_heapz00,
																													BgL_arg1537z00_1449);
																											}
																											BgL_arg1528z00_1445 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1529z00_1446,
																												BgL_arg1535z00_1447);
																										}
																										BgL_arg1524z00_1443 =
																											MAKE_YOUNG_PAIR
																											(BGl_string1840z00zzengine_heapz00,
																											BgL_arg1528z00_1445);
																									}
																									BgL_arg1511z00_1441 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1512z00_1442,
																										BgL_arg1524z00_1443);
																								}
																								BgL_arg1508z00_1440 =
																									MAKE_YOUNG_PAIR
																									(BGl_string1840z00zzengine_heapz00,
																									BgL_arg1511z00_1441);
																							}
																							BgL_arg1504z00_1438 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1505z00_1439,
																								BgL_arg1508z00_1440);
																						}
																						BgL_arg1501z00_1437 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 9)),
																							BgL_arg1504z00_1438);
																					}
																					bgl_display_obj(BgL_arg1501z00_1437,
																						BgL_port1197z00_1435);
																				}
																				bgl_display_char(((unsigned char) 10),
																					BgL_port1197z00_1435);
																			}
																		else
																			{	/* Engine/heap.scm 148 */
																				if (
																					((((BgL_typez00_bglt) COBJECT(
																									(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														BgL_newz00_1375))))->
																										BgL_typez00)))->
																							BgL_idz00) ==
																						CNST_TABLE_REF(((long) 10))))
																					{	/* Engine/heap.scm 163 */
																						BFALSE;
																					}
																				else
																					{	/* Engine/heap.scm 164 */
																						obj_t BgL_port1198z00_1482;

																						{	/* Engine/heap.scm 164 */
																							obj_t BgL_res1813z00_1483;

																							{	/* Engine/heap.scm 164 */
																								obj_t BgL_tmpz00_1937;

																								BgL_tmpz00_1937 =
																									BGL_CURRENT_DYNAMIC_ENV();
																								BgL_res1813z00_1483 =
																									BGL_ENV_CURRENT_OUTPUT_PORT
																									(BgL_tmpz00_1937);
																							}
																							BgL_port1198z00_1482 =
																								BgL_res1813z00_1483;
																						}
																						bgl_display_string
																							(BGl_string1836z00zzengine_heapz00,
																							BgL_port1198z00_1482);
																						{	/* Engine/heap.scm 165 */
																							obj_t BgL_arg1628z00_1484;

																							{	/* Engine/heap.scm 165 */
																								obj_t BgL_arg1639z00_1485;

																								{	/* Engine/heap.scm 165 */
																									obj_t BgL_arg1642z00_1486;
																									obj_t BgL_arg1643z00_1487;

																									BgL_arg1642z00_1486 =
																										BGl_shapez00zztools_shapez00
																										(BgL_newz00_1375);
																									{	/* Engine/heap.scm 167 */
																										obj_t BgL_arg1646z00_1488;

																										{	/* Engine/heap.scm 167 */
																											obj_t BgL_arg1653z00_1489;
																											obj_t BgL_arg1658z00_1490;

																											{	/* Engine/heap.scm 167 */
																												obj_t
																													BgL_arg1662z00_1491;
																												BgL_arg1662z00_1491 =
																													MAKE_YOUNG_PAIR
																													(BgL_idz00_1377,
																													BNIL);
																												BgL_arg1653z00_1489 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 0)),
																													BgL_arg1662z00_1491);
																											}
																											{	/* Engine/heap.scm 169 */
																												obj_t
																													BgL_arg1665z00_1492;
																												{	/* Engine/heap.scm 169 */
																													obj_t
																														BgL_arg1667z00_1493;
																													obj_t
																														BgL_arg1668z00_1494;
																													{	/* Engine/heap.scm 169 */
																														obj_t
																															BgL_arg1669z00_1495;
																														BgL_arg1669z00_1495
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_modulez00_1376,
																															BNIL);
																														BgL_arg1667z00_1493
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 1)),
																															BgL_arg1669z00_1495);
																													}
																													{	/* Engine/heap.scm 171 */
																														obj_t
																															BgL_arg1670z00_1496;
																														{	/* Engine/heap.scm 171 */
																															obj_t
																																BgL_arg1671z00_1497;
																															obj_t
																																BgL_arg1672z00_1498;
																															{	/* Engine/heap.scm 171 */
																																obj_t
																																	BgL_arg1673z00_1499;
																																{	/* Engine/heap.scm 171 */
																																	obj_t
																																		BgL_arg1674z00_1500;
																																	{	/* Engine/heap.scm 171 */
																																		obj_t
																																			BgL_arg1675z00_1501;
																																		BgL_arg1675z00_1501
																																			=
																																			(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_newz00_1375))))->BgL_namez00);
																																		{	/* Engine/heap.scm 171 */
																																			obj_t
																																				BgL_list1676z00_1502;
																																			BgL_list1676z00_1502
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1675z00_1501,
																																				BNIL);
																																			BgL_arg1674z00_1500
																																				=
																																				BGl_formatz00zz__r4_output_6_10_3z00
																																				(BGl_string1837z00zzengine_heapz00,
																																				BgL_list1676z00_1502);
																																	}}
																																	BgL_arg1673z00_1499
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1674z00_1500,
																																		BNIL);
																																}
																																BgL_arg1671z00_1497
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 2)),
																																	BgL_arg1673z00_1499);
																															}
																															{	/* Engine/heap.scm 173 */
																																obj_t
																																	BgL_arg1680z00_1503;
																																{	/* Engine/heap.scm 173 */
																																	obj_t
																																		BgL_arg1684z00_1504;
																																	obj_t
																																		BgL_arg1685z00_1505;
																																	{	/* Engine/heap.scm 173 */
																																		obj_t
																																			BgL_arg1687z00_1506;
																																		BgL_arg1687z00_1506
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_qtz00_1378,
																																			BNIL);
																																		BgL_arg1684z00_1504
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					3)),
																																			BgL_arg1687z00_1506);
																																	}
																																	{	/* Engine/heap.scm 175 */
																																		obj_t
																																			BgL_arg1688z00_1507;
																																		{	/* Engine/heap.scm 175 */
																																			obj_t
																																				BgL_arg1689z00_1508;
																																			{	/* Engine/heap.scm 175 */
																																				obj_t
																																					BgL_arg1690z00_1509;
																																				BgL_arg1690z00_1509
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_jtz00_1379,
																																					BNIL);
																																				BgL_arg1689z00_1508
																																					=
																																					MAKE_YOUNG_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 6)), BgL_arg1690z00_1509);
																																			}
																																			BgL_arg1688z00_1507
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1689z00_1508,
																																				BNIL);
																																		}
																																		BgL_arg1685z00_1505
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_string1840z00zzengine_heapz00,
																																			BgL_arg1688z00_1507);
																																	}
																																	BgL_arg1680z00_1503
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1684z00_1504,
																																		BgL_arg1685z00_1505);
																																}
																																BgL_arg1672z00_1498
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string1840z00zzengine_heapz00,
																																	BgL_arg1680z00_1503);
																															}
																															BgL_arg1670z00_1496
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1671z00_1497,
																																BgL_arg1672z00_1498);
																														}
																														BgL_arg1668z00_1494
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string1840z00zzengine_heapz00,
																															BgL_arg1670z00_1496);
																													}
																													BgL_arg1665z00_1492 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1667z00_1493,
																														BgL_arg1668z00_1494);
																												}
																												BgL_arg1658z00_1490 =
																													MAKE_YOUNG_PAIR
																													(BGl_string1840z00zzengine_heapz00,
																													BgL_arg1665z00_1492);
																											}
																											BgL_arg1646z00_1488 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1653z00_1489,
																												BgL_arg1658z00_1490);
																										}
																										BgL_arg1643z00_1487 =
																											MAKE_YOUNG_PAIR
																											(BGl_string1840z00zzengine_heapz00,
																											BgL_arg1646z00_1488);
																									}
																									BgL_arg1639z00_1485 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1642z00_1486,
																										BgL_arg1643z00_1487);
																								}
																								BgL_arg1628z00_1484 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 11)),
																									BgL_arg1639z00_1485);
																							}
																							bgl_display_obj
																								(BgL_arg1628z00_1484,
																								BgL_port1198z00_1482);
																						}
																						bgl_display_char(((unsigned char)
																								10), BgL_port1198z00_1482);
									}}}}}}}}}}
									{
										obj_t BgL_l1199z00_1978;

										BgL_l1199z00_1978 = CDR(BgL_l1199z00_1512);
										BgL_l1199z00_1512 = BgL_l1199z00_1978;
										goto BgL_zc3anonymousza31294ze3z83_1511;
									}
								}
							else
								{	/* Engine/heap.scm 178 */
									BgL_tmpz00_1764 = ((bool_t) 1);
								}
						}
					}
				}
				return BBOOL(BgL_tmpz00_1764);
			}
		}
		BGL_FUNCTION_END;
	}



/* dump-Tenv */
	obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t BgL_tenvz00_6)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 183 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_6,
				BGl_proc1841z00zzengine_heapz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1700> */
	obj_t BGl_z62zc3anonymousza31700ze3ze1zzengine_heapz00(obj_t BgL_envz00_1329,
		obj_t BgL_kz00_1330, obj_t BgL_newz00_1331)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 185 */
			{	/* Engine/heap.scm 186 */
				obj_t BgL_idz00_1513;

				BgL_idz00_1513 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_newz00_1331)))->BgL_idz00);
				{	/* Engine/heap.scm 186 */
					obj_t BgL_namez00_1514;

					BgL_namez00_1514 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_newz00_1331)))->BgL_namez00);
					{	/* Engine/heap.scm 187 */

						if (BGl_isazf3zf3zz__objectz00(BgL_newz00_1331,
								BGl_tclassz00zzobject_classz00))
							{	/* Engine/heap.scm 190 */
								obj_t BgL_port1208z00_1515;

								{	/* Engine/heap.scm 190 */
									obj_t BgL_res1816z00_1516;

									{	/* Engine/heap.scm 190 */
										obj_t BgL_tmpz00_1988;

										BgL_tmpz00_1988 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1816z00_1516 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1988);
									}
									BgL_port1208z00_1515 = BgL_res1816z00_1516;
								}
								bgl_display_string(BGl_string1836z00zzengine_heapz00,
									BgL_port1208z00_1515);
								{	/* Engine/heap.scm 191 */
									obj_t BgL_arg1702z00_1517;

									{	/* Engine/heap.scm 191 */
										obj_t BgL_arg1704z00_1518;

										{	/* Engine/heap.scm 191 */
											obj_t BgL_arg1707z00_1519;
											obj_t BgL_arg1710z00_1520;

											BgL_arg1707z00_1519 =
												BGl_shapez00zztools_shapez00(BgL_newz00_1331);
											{	/* Engine/heap.scm 192 */
												obj_t BgL_arg1711z00_1521;
												obj_t BgL_arg1714z00_1522;

												{	/* Engine/heap.scm 192 */
													obj_t BgL_arg1720z00_1523;

													{	/* Engine/heap.scm 192 */
														obj_t BgL_arg1732z00_1524;

														{	/* Engine/heap.scm 192 */
															obj_t BgL_arg1733z00_1525;

															{
																BgL_tclassz00_bglt BgL_auxz00_1993;

																{
																	obj_t BgL_auxz00_1994;

																	{	/* Engine/heap.scm 192 */
																		BgL_objectz00_bglt BgL_tmpz00_1995;

																		BgL_tmpz00_1995 =
																			((BgL_objectz00_bglt)
																			((BgL_typez00_bglt) BgL_newz00_1331));
																		BgL_auxz00_1994 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_1995);
																	}
																	BgL_auxz00_1993 =
																		((BgL_tclassz00_bglt) BgL_auxz00_1994);
																}
																BgL_arg1733z00_1525 =
																	(((BgL_tclassz00_bglt)
																		COBJECT(BgL_auxz00_1993))->
																	BgL_itszd2superzd2);
															}
															BgL_arg1732z00_1524 =
																BGl_shapez00zztools_shapez00
																(BgL_arg1733z00_1525);
														}
														BgL_arg1720z00_1523 =
															MAKE_YOUNG_PAIR(BgL_arg1732z00_1524, BNIL);
													}
													BgL_arg1711z00_1521 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
														BgL_arg1720z00_1523);
												}
												{	/* Engine/heap.scm 193 */
													obj_t BgL_arg1736z00_1526;

													{	/* Engine/heap.scm 193 */
														obj_t BgL_l1202z00_1527;

														{
															BgL_tclassz00_bglt BgL_auxz00_2005;

															{
																obj_t BgL_auxz00_2006;

																{	/* Engine/heap.scm 193 */
																	BgL_objectz00_bglt BgL_tmpz00_2007;

																	BgL_tmpz00_2007 =
																		((BgL_objectz00_bglt)
																		((BgL_typez00_bglt) BgL_newz00_1331));
																	BgL_auxz00_2006 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2007);
																}
																BgL_auxz00_2005 =
																	((BgL_tclassz00_bglt) BgL_auxz00_2006);
															}
															BgL_l1202z00_1527 =
																(((BgL_tclassz00_bglt)
																	COBJECT(BgL_auxz00_2005))->BgL_slotsz00);
														}
														if (NULLP(BgL_l1202z00_1527))
															{	/* Engine/heap.scm 193 */
																BgL_arg1736z00_1526 = BNIL;
															}
														else
															{	/* Engine/heap.scm 193 */
																obj_t BgL_head1204z00_1528;

																{	/* Engine/heap.scm 193 */
																	obj_t BgL_arg1747z00_1529;

																	{	/* Engine/heap.scm 193 */
																		obj_t BgL_arg1748z00_1530;

																		BgL_arg1748z00_1530 =
																			CAR(((obj_t) BgL_l1202z00_1527));
																		BgL_arg1747z00_1529 =
																			BGl_shapez00zztools_shapez00
																			(BgL_arg1748z00_1530);
																	}
																	{	/* Engine/heap.scm 193 */
																		obj_t BgL_res1818z00_1531;

																		BgL_res1818z00_1531 =
																			MAKE_YOUNG_PAIR(BgL_arg1747z00_1529,
																			BNIL);
																		BgL_head1204z00_1528 = BgL_res1818z00_1531;
																	}
																}
																{	/* Engine/heap.scm 193 */
																	obj_t BgL_g1207z00_1532;

																	BgL_g1207z00_1532 =
																		CDR(((obj_t) BgL_l1202z00_1527));
																	{
																		obj_t BgL_l1202z00_1534;
																		obj_t BgL_tail1205z00_1535;

																		BgL_l1202z00_1534 = BgL_g1207z00_1532;
																		BgL_tail1205z00_1535 = BgL_head1204z00_1528;
																	BgL_zc3anonymousza31738ze3z83_1533:
																		if (NULLP(BgL_l1202z00_1534))
																			{	/* Engine/heap.scm 193 */
																				BgL_arg1736z00_1526 =
																					BgL_head1204z00_1528;
																			}
																		else
																			{	/* Engine/heap.scm 193 */
																				obj_t BgL_newtail1206z00_1536;

																				{	/* Engine/heap.scm 193 */
																					obj_t BgL_arg1745z00_1537;

																					{	/* Engine/heap.scm 193 */
																						obj_t BgL_arg1746z00_1538;

																						BgL_arg1746z00_1538 =
																							CAR(((obj_t) BgL_l1202z00_1534));
																						BgL_arg1745z00_1537 =
																							BGl_shapez00zztools_shapez00
																							(BgL_arg1746z00_1538);
																					}
																					{	/* Engine/heap.scm 193 */
																						obj_t BgL_res1820z00_1539;

																						BgL_res1820z00_1539 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1745z00_1537, BNIL);
																						BgL_newtail1206z00_1536 =
																							BgL_res1820z00_1539;
																					}
																				}
																				SET_CDR(BgL_tail1205z00_1535,
																					BgL_newtail1206z00_1536);
																				{	/* Engine/heap.scm 193 */
																					obj_t BgL_arg1743z00_1540;

																					BgL_arg1743z00_1540 =
																						CDR(((obj_t) BgL_l1202z00_1534));
																					{
																						obj_t BgL_tail1205z00_2031;
																						obj_t BgL_l1202z00_2030;

																						BgL_l1202z00_2030 =
																							BgL_arg1743z00_1540;
																						BgL_tail1205z00_2031 =
																							BgL_newtail1206z00_1536;
																						BgL_tail1205z00_1535 =
																							BgL_tail1205z00_2031;
																						BgL_l1202z00_1534 =
																							BgL_l1202z00_2030;
																						goto
																							BgL_zc3anonymousza31738ze3z83_1533;
																					}
																				}
																			}
																	}
																}
															}
													}
													BgL_arg1714z00_1522 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1736z00_1526, BNIL);
												}
												BgL_arg1710z00_1520 =
													MAKE_YOUNG_PAIR(BgL_arg1711z00_1521,
													BgL_arg1714z00_1522);
											}
											BgL_arg1704z00_1518 =
												MAKE_YOUNG_PAIR(BgL_arg1707z00_1519,
												BgL_arg1710z00_1520);
										}
										BgL_arg1702z00_1517 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
											BgL_arg1704z00_1518);
									}
									bgl_display_obj(BgL_arg1702z00_1517, BgL_port1208z00_1515);
								}
								return
									bgl_display_char(((unsigned char) 10), BgL_port1208z00_1515);
							}
						else
							{	/* Engine/heap.scm 194 */
								obj_t BgL_port1209z00_1541;

								{	/* Engine/heap.scm 194 */
									obj_t BgL_res1821z00_1542;

									{	/* Engine/heap.scm 194 */
										obj_t BgL_tmpz00_2039;

										BgL_tmpz00_2039 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1821z00_1542 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2039);
									}
									BgL_port1209z00_1541 = BgL_res1821z00_1542;
								}
								bgl_display_string(BGl_string1836z00zzengine_heapz00,
									BgL_port1209z00_1541);
								{	/* Engine/heap.scm 194 */
									obj_t BgL_arg1749z00_1543;

									{	/* Engine/heap.scm 194 */
										obj_t BgL_arg1750z00_1544;

										{	/* Engine/heap.scm 194 */
											obj_t BgL_arg1751z00_1545;

											{	/* Engine/heap.scm 194 */
												obj_t BgL_arg1753z00_1546;

												{	/* Engine/heap.scm 194 */
													obj_t BgL_arg1754z00_1547;

													BgL_arg1754z00_1547 =
														MAKE_YOUNG_PAIR(BgL_namez00_1514, BNIL);
													BgL_arg1753z00_1546 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
														BgL_arg1754z00_1547);
												}
												BgL_arg1751z00_1545 =
													MAKE_YOUNG_PAIR(BgL_arg1753z00_1546, BNIL);
											}
											BgL_arg1750z00_1544 =
												MAKE_YOUNG_PAIR(BgL_idz00_1513, BgL_arg1751z00_1545);
										}
										BgL_arg1749z00_1543 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
											BgL_arg1750z00_1544);
									}
									bgl_display_obj(BgL_arg1749z00_1543, BgL_port1209z00_1541);
								}
								return
									bgl_display_char(((unsigned char) 10), BgL_port1209z00_1541);
		}}}}}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzengine_heapz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzengine_heapz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_heapz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string1842z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1842z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1842z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1842z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1842z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1842z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1842z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string1842z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1842z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(((long) 147989063),
				BSTRING_TO_STRING(BGl_string1842z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1842z00zzengine_heapz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(((long) 433305536),
				BSTRING_TO_STRING(BGl_string1842z00zzengine_heapz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
