/*===========================================================================*/
/*   (Isa/walk.scm)                                                          */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Isa/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


	static BgL_nodez00_bglt BGl_z62isaz12zd2app1278za2zzisa_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00(obj_t);
	static obj_t BGl_za2isazf2finalza2zf2zzisa_walkz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00();
	static obj_t BGl_objectzd2initzd2zzisa_walkz00();
	BGL_IMPORT bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_isaz12z12zzisa_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221010zd2zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzisa_walkz00();
	static obj_t BGl_z62initzd2isazd2cachez12z70zzisa_walkz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zzisa_walkz00();
	static obj_t BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BUNSPEC;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62isaz121275z70zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_z62isazd2walkz12za2zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzisa_walkz00 = BUNSPEC;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzisa_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_isazd2walkz12zc0zzisa_walkz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzisa_walkz00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static BgL_nodez00_bglt BGl_z62isaz12z70zzisa_walkz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static BgL_typez00_bglt
		BGl_uncastedzd2typeze70z35zzisa_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzisa_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long,
		char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzisa_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzisa_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzisa_walkz00();
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
	static obj_t BGl_isazd2funz12zc0zzisa_walkz00(obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[10];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2isazd2cachez12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762clearza7d2isaza7d1785za7,
		BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_initzd2isazd2cachez12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762initza7d2isaza7d21786za7,
		BGl_z62initzd2isazd2cachez12z70zzisa_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zzisa_walkz00,
		BgL_bgl_za762isaza7121275za7701787za7, BGl_z62isaz121275z70zzisa_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1778z00zzisa_walkz00,
		BgL_bgl_za762isaza712za7d2app11788za7,
		BGl_z62isaz12zd2app1278za2zzisa_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_isaz12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762isaza712za770za7za7is1789za7, BGl_z62isaz12z70zzisa_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isazd2walkz12zd2envz12zzisa_walkz00,
		BgL_bgl_za762isaza7d2walkza7121790za7, BGl_z62isazd2walkz12za2zzisa_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1768z00zzisa_walkz00,
		BgL_bgl_string1768za700za7za7i1791za7, "Isa", 3);
	      DEFINE_STRING(BGl_string1769z00zzisa_walkz00,
		BgL_bgl_string1769za700za7za7i1792za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1770z00zzisa_walkz00,
		BgL_bgl_string1770za700za7za7i1793za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1771z00zzisa_walkz00,
		BgL_bgl_string1771za700za7za7i1794za7, " error", 6);
	      DEFINE_STRING(BGl_string1772z00zzisa_walkz00,
		BgL_bgl_string1772za700za7za7i1795za7, "s", 1);
	      DEFINE_STRING(BGl_string1773z00zzisa_walkz00,
		BgL_bgl_string1773za700za7za7i1796za7, "", 0);
	      DEFINE_STRING(BGl_string1774z00zzisa_walkz00,
		BgL_bgl_string1774za700za7za7i1797za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1775z00zzisa_walkz00,
		BgL_bgl_string1775za700za7za7i1798za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1777z00zzisa_walkz00,
		BgL_bgl_string1777za700za7za7i1799za7, "isa!1275", 8);
	      DEFINE_STRING(BGl_string1779z00zzisa_walkz00,
		BgL_bgl_string1779za700za7za7i1800za7, "isa!::node", 10);
	      DEFINE_STRING(BGl_string1780z00zzisa_walkz00,
		BgL_bgl_string1780za700za7za7i1801za7, "isa_walk", 8);
	      DEFINE_STRING(BGl_string1781z00zzisa_walkz00,
		BgL_bgl_string1781za700za7za7i1802za7,
		"class-display-min-size static %isa-object/final? %isa/final? %isa-object/cdepth? __object %isa/cdepth? (clear-isa-cache!) pass-started (init-isa-cache!) ",
		153);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2isazf2finalza2zf2zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazf2cdepthza2zf2zzisa_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzisa_walkz00(long
		BgL_checksumz00_2136, char *BgL_fromz00_2137)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzisa_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzisa_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzisa_walkz00();
					BGl_libraryzd2moduleszd2initz00zzisa_walkz00();
					BGl_cnstzd2initzd2zzisa_walkz00();
					BGl_importedzd2moduleszd2initz00zzisa_walkz00();
					BGl_genericzd2initzd2zzisa_walkz00();
					BGl_methodzd2initzd2zzisa_walkz00();
					return BGl_toplevelzd2initzd2zzisa_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__configurez00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "isa_walk");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			{	/* Isa/walk.scm 15 */
				obj_t BgL_cportz00_2052;

				{	/* Isa/walk.scm 15 */
					obj_t BgL_stringz00_2060;

					BgL_stringz00_2060 = BGl_string1781z00zzisa_walkz00;
					{	/* Isa/walk.scm 15 */
						obj_t BgL_startz00_2061;

						BgL_startz00_2061 = BINT(((long) 0));
						{	/* Isa/walk.scm 15 */
							obj_t BgL_endz00_2062;

							BgL_endz00_2062 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2060)));
							{	/* Isa/walk.scm 15 */

								BgL_cportz00_2052 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2060, BgL_startz00_2061, BgL_endz00_2062);
				}}}}
				{
					long BgL_iz00_2053;

					BgL_iz00_2053 = ((long) 9);
				BgL_loopz00_2054:
					if ((BgL_iz00_2053 == ((long) -1)))
						{	/* Isa/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Isa/walk.scm 15 */
							{	/* Isa/walk.scm 15 */
								obj_t BgL_arg1783z00_2056;

								{	/* Isa/walk.scm 15 */

									{	/* Isa/walk.scm 15 */
										obj_t BgL_locationz00_2058;

										BgL_locationz00_2058 = BBOOL(((bool_t) 0));
										{	/* Isa/walk.scm 15 */

											BgL_arg1783z00_2056 =
												BGl_readz00zz__readerz00(BgL_cportz00_2052,
												BgL_locationz00_2058);
										}
									}
								}
								{	/* Isa/walk.scm 15 */
									int BgL_tmpz00_2169;

									BgL_tmpz00_2169 = (int) (BgL_iz00_2053);
									CNST_TABLE_SET(BgL_tmpz00_2169, BgL_arg1783z00_2056);
							}}
							{	/* Isa/walk.scm 15 */
								int BgL_auxz00_2059;

								BgL_auxz00_2059 = (int) ((BgL_iz00_2053 - ((long) 1)));
								{
									long BgL_iz00_2174;

									BgL_iz00_2174 = (long) (BgL_auxz00_2059);
									BgL_iz00_2053 = BgL_iz00_2174;
									goto BgL_loopz00_2054;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BFALSE;
			BGl_za2isazf2finalza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BFALSE;
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* append-21010 */
	obj_t BGl_appendzd221010zd2zzisa_walkz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		BGL_FUNCTION_BEGIN;
		{
			{
				obj_t BgL_headz00_1531;

				BgL_headz00_1531 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1532;
					obj_t BgL_tailz00_1533;

					BgL_prevz00_1532 = BgL_headz00_1531;
					BgL_tailz00_1533 = BgL_l1z00_1;
				BgL_loopz00_1534:
					if (PAIRP(BgL_tailz00_1533))
						{
							obj_t BgL_newzd2prevzd2_1536;

							BgL_newzd2prevzd2_1536 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1533), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1532, BgL_newzd2prevzd2_1536);
							{
								obj_t BgL_tailz00_2184;
								obj_t BgL_prevz00_2183;

								BgL_prevz00_2183 = BgL_newzd2prevzd2_1536;
								BgL_tailz00_2184 = CDR(BgL_tailz00_1533);
								BgL_tailz00_1533 = BgL_tailz00_2184;
								BgL_prevz00_1532 = BgL_prevz00_2183;
								goto BgL_loopz00_1534;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1531);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* isa-walk! */
	BGL_EXPORTED_DEF obj_t BGl_isazd2walkz12zc0zzisa_walkz00(obj_t
		BgL_globalsz00_17)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 40 */
			{	/* Isa/walk.scm 41 */
				obj_t BgL_list1290z00_1547;

				{	/* Isa/walk.scm 41 */
					obj_t BgL_arg1292z00_1548;

					{	/* Isa/walk.scm 41 */
						obj_t BgL_arg1293z00_1549;

						BgL_arg1293z00_1549 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1292z00_1548 =
							MAKE_YOUNG_PAIR(BGl_string1768z00zzisa_walkz00,
							BgL_arg1293z00_1549);
					}
					BgL_list1290z00_1547 =
						MAKE_YOUNG_PAIR(BGl_string1769z00zzisa_walkz00,
						BgL_arg1292z00_1548);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1290z00_1547);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1768z00zzisa_walkz00;
			{	/* Isa/walk.scm 41 */
				obj_t BgL_g1117z00_1550;
				obj_t BgL_g1118z00_1551;

				{	/* Isa/walk.scm 41 */
					obj_t BgL_list1302z00_1564;

					BgL_list1302z00_1564 =
						MAKE_YOUNG_PAIR(BGl_initzd2isazd2cachez12zd2envzc0zzisa_walkz00,
						BNIL);
					BgL_g1117z00_1550 = BgL_list1302z00_1564;
				}
				BgL_g1118z00_1551 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_1553;
					obj_t BgL_hnamesz00_1554;

					BgL_hooksz00_1553 = BgL_g1117z00_1550;
					BgL_hnamesz00_1554 = BgL_g1118z00_1551;
				BgL_zc3anonymousza31294ze3z83_1555:
					if (NULLP(BgL_hooksz00_1553))
						{	/* Isa/walk.scm 41 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Isa/walk.scm 41 */
							bool_t BgL_testz00_2199;

							{	/* Isa/walk.scm 41 */
								obj_t BgL_fun1301z00_1562;

								BgL_fun1301z00_1562 = CAR(((obj_t) BgL_hooksz00_1553));
								BgL_testz00_2199 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1301z00_1562)
									(BgL_fun1301z00_1562, BEOA));
							}
							if (BgL_testz00_2199)
								{	/* Isa/walk.scm 41 */
									obj_t BgL_arg1298z00_1559;
									obj_t BgL_arg1299z00_1560;

									BgL_arg1298z00_1559 = CDR(((obj_t) BgL_hooksz00_1553));
									BgL_arg1299z00_1560 = CDR(((obj_t) BgL_hnamesz00_1554));
									{
										obj_t BgL_hnamesz00_2211;
										obj_t BgL_hooksz00_2210;

										BgL_hooksz00_2210 = BgL_arg1298z00_1559;
										BgL_hnamesz00_2211 = BgL_arg1299z00_1560;
										BgL_hnamesz00_1554 = BgL_hnamesz00_2211;
										BgL_hooksz00_1553 = BgL_hooksz00_2210;
										goto BgL_zc3anonymousza31294ze3z83_1555;
									}
								}
							else
								{	/* Isa/walk.scm 41 */
									obj_t BgL_arg1300z00_1561;

									BgL_arg1300z00_1561 = CAR(((obj_t) BgL_hnamesz00_1554));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1768z00zzisa_walkz00,
										BGl_string1770z00zzisa_walkz00, BgL_arg1300z00_1561);
								}
						}
				}
			}
			{
				obj_t BgL_l1272z00_1566;

				BgL_l1272z00_1566 = BgL_globalsz00_17;
			BgL_zc3anonymousza31303ze3z83_1567:
				if (PAIRP(BgL_l1272z00_1566))
					{	/* Isa/walk.scm 42 */
						BGl_isazd2funz12zc0zzisa_walkz00(CAR(BgL_l1272z00_1566));
						{
							obj_t BgL_l1272z00_2219;

							BgL_l1272z00_2219 = CDR(BgL_l1272z00_1566);
							BgL_l1272z00_1566 = BgL_l1272z00_2219;
							goto BgL_zc3anonymousza31303ze3z83_1567;
						}
					}
				else
					{	/* Isa/walk.scm 42 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Isa/walk.scm 43 */
					{	/* Isa/walk.scm 43 */
						obj_t BgL_port1274z00_1574;

						{	/* Isa/walk.scm 43 */
							obj_t BgL_res1739z00_1917;

							{	/* Isa/walk.scm 43 */
								obj_t BgL_tmpz00_2224;

								BgL_tmpz00_2224 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1739z00_1917 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2224);
							}
							BgL_port1274z00_1574 = BgL_res1739z00_1917;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1274z00_1574);
						bgl_display_string(BGl_string1771z00zzisa_walkz00,
							BgL_port1274z00_1574);
						{	/* Isa/walk.scm 43 */
							obj_t BgL_arg1308z00_1575;

							{	/* Isa/walk.scm 43 */
								bool_t BgL_testz00_2229;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Isa/walk.scm 43 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Isa/walk.scm 43 */
												BgL_testz00_2229 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Isa/walk.scm 43 */
												BgL_testz00_2229 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Isa/walk.scm 43 */
										BgL_testz00_2229 = ((bool_t) 0);
									}
								if (BgL_testz00_2229)
									{	/* Isa/walk.scm 43 */
										BgL_arg1308z00_1575 = BGl_string1772z00zzisa_walkz00;
									}
								else
									{	/* Isa/walk.scm 43 */
										BgL_arg1308z00_1575 = BGl_string1773z00zzisa_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1308z00_1575, BgL_port1274z00_1574);
						}
						bgl_display_string(BGl_string1774z00zzisa_walkz00,
							BgL_port1274z00_1574);
						bgl_display_char(((unsigned char) 10), BgL_port1274z00_1574);
					}
					{	/* Isa/walk.scm 43 */
						obj_t BgL_list1314z00_1581;

						BgL_list1314z00_1581 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1314z00_1581);
					}
				}
			else
				{	/* Isa/walk.scm 43 */
					obj_t BgL_g1119z00_1582;
					obj_t BgL_g1120z00_1583;

					{	/* Isa/walk.scm 43 */
						obj_t BgL_list1333z00_1596;

						BgL_list1333z00_1596 =
							MAKE_YOUNG_PAIR(BGl_clearzd2isazd2cachez12zd2envzc0zzisa_walkz00,
							BNIL);
						BgL_g1119z00_1582 = BgL_list1333z00_1596;
					}
					BgL_g1120z00_1583 = CNST_TABLE_REF(((long) 2));
					{
						obj_t BgL_hooksz00_1585;
						obj_t BgL_hnamesz00_1586;

						BgL_hooksz00_1585 = BgL_g1119z00_1582;
						BgL_hnamesz00_1586 = BgL_g1120z00_1583;
					BgL_zc3anonymousza31315ze3z83_1587:
						if (NULLP(BgL_hooksz00_1585))
							{	/* Isa/walk.scm 43 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Isa/walk.scm 43 */
								bool_t BgL_testz00_2248;

								{	/* Isa/walk.scm 43 */
									obj_t BgL_fun1332z00_1594;

									BgL_fun1332z00_1594 = CAR(((obj_t) BgL_hooksz00_1585));
									BgL_testz00_2248 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1332z00_1594)
										(BgL_fun1332z00_1594, BEOA));
								}
								if (BgL_testz00_2248)
									{	/* Isa/walk.scm 43 */
										obj_t BgL_arg1329z00_1591;
										obj_t BgL_arg1330z00_1592;

										BgL_arg1329z00_1591 = CDR(((obj_t) BgL_hooksz00_1585));
										BgL_arg1330z00_1592 = CDR(((obj_t) BgL_hnamesz00_1586));
										{
											obj_t BgL_hnamesz00_2260;
											obj_t BgL_hooksz00_2259;

											BgL_hooksz00_2259 = BgL_arg1329z00_1591;
											BgL_hnamesz00_2260 = BgL_arg1330z00_1592;
											BgL_hnamesz00_1586 = BgL_hnamesz00_2260;
											BgL_hooksz00_1585 = BgL_hooksz00_2259;
											goto BgL_zc3anonymousza31315ze3z83_1587;
										}
									}
								else
									{	/* Isa/walk.scm 43 */
										obj_t BgL_arg1331z00_1593;

										BgL_arg1331z00_1593 = CAR(((obj_t) BgL_hnamesz00_1586));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1775z00zzisa_walkz00, BgL_arg1331z00_1593);
									}
							}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* &isa-walk! */
	obj_t BGl_z62isazd2walkz12za2zzisa_walkz00(obj_t BgL_envz00_2039,
		obj_t BgL_globalsz00_2040)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 40 */
			return BGl_isazd2walkz12zc0zzisa_walkz00(BgL_globalsz00_2040);
		}
		BGL_FUNCTION_END;
	}



/* &init-isa-cache! */
	obj_t BGl_z62initzd2isazd2cachez12z70zzisa_walkz00(obj_t BgL_envz00_2041)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 56 */
			{	/* Isa/walk.scm 57 */
				bool_t BgL_testz00_2265;

				{	/* Isa/walk.scm 57 */
					bool_t BgL_res1744z00_2065;

					{	/* Isa/walk.scm 57 */
						obj_t BgL_objz00_2066;

						BgL_objz00_2066 = BGl_za2isazf2cdepthza2zf2zzisa_walkz00;
						BgL_res1744z00_2065 =
							BGl_isazf3zf3zz__objectz00(BgL_objz00_2066,
							BGl_globalz00zzast_varz00);
					}
					BgL_testz00_2265 = BgL_res1744z00_2065;
				}
				if (BgL_testz00_2265)
					{	/* Isa/walk.scm 57 */
						BFALSE;
					}
				else
					{	/* Isa/walk.scm 57 */
						BGl_za2isazf2cdepthza2zf2zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									3)), CNST_TABLE_REF(((long) 4)));
						BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									5)), CNST_TABLE_REF(((long) 4)));
						BGl_za2isazf2finalza2zf2zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									6)), CNST_TABLE_REF(((long) 4)));
						BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									7)), CNST_TABLE_REF(((long) 4)));
			}}
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &clear-isa-cache! */
	obj_t BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00(obj_t BgL_envz00_2042)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 67 */
			BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BFALSE;
			BGl_za2isazf2finalza2zf2zzisa_walkz00 = BFALSE;
			return (BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BFALSE, BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* isa-fun! */
	obj_t BGl_isazd2funz12zc0zzisa_walkz00(obj_t BgL_varz00_18)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 76 */
			{	/* Isa/walk.scm 77 */
				obj_t BgL_arg1343z00_1598;

				BgL_arg1343z00_1598 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1343z00_1598);
			}
			{	/* Isa/walk.scm 78 */
				BgL_valuez00_bglt BgL_funz00_1599;

				BgL_funz00_1599 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Isa/walk.scm 78 */
					obj_t BgL_bodyz00_1600;

					BgL_bodyz00_1600 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1599)))->BgL_bodyz00);
					{	/* Isa/walk.scm 79 */

						BgL_bodyz00_1600 =
							((obj_t)
							BGl_isaz12z12zzisa_walkz00(
								((BgL_nodez00_bglt) BgL_bodyz00_1600)));
						BGl_leavezd2functionzd2zztools_errorz00();
						return BgL_varz00_18;
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_isaz12zd2envzc0zzisa_walkz00, BGl_proc1776z00zzisa_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string1777z00zzisa_walkz00);
		}
		BGL_FUNCTION_END;
	}



/* &isa!1275 */
	obj_t BGl_z62isaz121275z70zzisa_walkz00(obj_t BgL_envz00_2046,
		obj_t BgL_nodez00_2047)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 87 */
			{
				BgL_nodez00_bglt BgL_nodez00_1602;

				{
					BgL_nodez00_bglt BgL_auxz00_2291;

					BgL_nodez00_1602 = ((BgL_nodez00_bglt) BgL_nodez00_2047);
					BgL_auxz00_2291 =
						BGl_walk0z12z12zzast_walkz00(BgL_nodez00_1602,
						BGl_isaz12zd2envzc0zzisa_walkz00);
					return ((obj_t) BgL_auxz00_2291);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* isa! */
	BgL_nodez00_bglt BGl_isaz12z12zzisa_walkz00(BgL_nodez00_bglt BgL_nodez00_19)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 87 */
			{	/* Isa/walk.scm 87 */
				obj_t BgL_method1276z00_1616;

				{	/* Isa/walk.scm 87 */
					obj_t BgL_res1756z00_1983;

					{	/* Isa/walk.scm 87 */
						long BgL_objzd2classzd2numz00_1940;

						{	/* Isa/walk.scm 87 */
							long BgL_res1745z00_1943;

							BgL_res1745z00_1943 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
							BgL_objzd2classzd2numz00_1940 = BgL_res1745z00_1943;
						}
						{	/* Isa/walk.scm 87 */
							obj_t BgL_arg1738z00_1941;

							BgL_arg1738z00_1941 =
								PROCEDURE_REF(BGl_isaz12zd2envzc0zzisa_walkz00,
								(int) (((long) 1)));
							{	/* Isa/walk.scm 87 */
								int BgL_offsetz00_1945;

								BgL_offsetz00_1945 = (int) (BgL_objzd2classzd2numz00_1940);
								{	/* Isa/walk.scm 87 */
									long BgL_offsetz00_1946;

									BgL_offsetz00_1946 =
										((long) (BgL_offsetz00_1945) - OBJECT_TYPE);
									{	/* Isa/walk.scm 87 */
										long BgL_modz00_1947;

										{	/* Isa/walk.scm 87 */
											int BgL_arg1740z00_1948;

											BgL_arg1740z00_1948 = (int) (((long) 16));
											{	/* Isa/walk.scm 87 */
												long BgL_res1748z00_1958;

												{	/* Isa/walk.scm 87 */
													long BgL_tmpz00_2303;

													BgL_tmpz00_2303 = (long) (BgL_arg1740z00_1948);
													BgL_res1748z00_1958 =
														(BgL_offsetz00_1946 / BgL_tmpz00_2303);
												}
												BgL_modz00_1947 = BgL_res1748z00_1958;
										}}
										{	/* Isa/walk.scm 87 */
											long BgL_restz00_1949;

											{	/* Isa/walk.scm 87 */
												int BgL_arg1739z00_1950;

												BgL_arg1739z00_1950 = (int) (((long) 16));
												{	/* Isa/walk.scm 87 */
													long BgL_res1755z00_1978;

													{	/* Isa/walk.scm 87 */
														long BgL_n1z00_1960;
														long BgL_n2z00_1961;

														BgL_n1z00_1960 = BgL_offsetz00_1946;
														BgL_n2z00_1961 = (long) (BgL_arg1739z00_1950);
														{	/* Isa/walk.scm 87 */
															bool_t BgL_testz00_2308;

															{	/* Isa/walk.scm 87 */
																long BgL_arg1304z00_1963;

																BgL_arg1304z00_1963 =
																	(((BgL_n1z00_1960) | (BgL_n2z00_1961)) &
																	-2147483648);
																BgL_testz00_2308 =
																	(BgL_arg1304z00_1963 == ((long) 0));
															}
															if (BgL_testz00_2308)
																{	/* Isa/walk.scm 87 */
																	int32_t BgL_arg1278z00_1964;

																	{	/* Isa/walk.scm 87 */
																		int32_t BgL_arg1301z00_1965;
																		int32_t BgL_arg1303z00_1966;

																		{	/* Isa/walk.scm 87 */
																			int32_t BgL_res1751z00_1970;

																			BgL_res1751z00_1970 =
																				(int32_t) (BgL_n1z00_1960);
																			BgL_arg1301z00_1965 = BgL_res1751z00_1970;
																		}
																		{	/* Isa/walk.scm 87 */
																			int32_t BgL_res1752z00_1972;

																			BgL_res1752z00_1972 =
																				(int32_t) (BgL_n2z00_1961);
																			BgL_arg1303z00_1966 = BgL_res1752z00_1972;
																		}
																		BgL_arg1278z00_1964 =
																			(BgL_arg1301z00_1965 %
																			BgL_arg1303z00_1966);
																	}
																	{	/* Isa/walk.scm 87 */
																		long BgL_res1754z00_1977;

																		{	/* Isa/walk.scm 87 */
																			long BgL_arg1406z00_1974;

																			BgL_arg1406z00_1974 =
																				(long) (BgL_arg1278z00_1964);
																			{	/* Isa/walk.scm 87 */
																				long BgL_res1753z00_1976;

																				BgL_res1753z00_1976 =
																					(long) (BgL_arg1406z00_1974);
																				BgL_res1754z00_1977 =
																					BgL_res1753z00_1976;
																		}}
																		BgL_res1755z00_1978 = BgL_res1754z00_1977;
																}}
															else
																{	/* Isa/walk.scm 87 */
																	BgL_res1755z00_1978 =
																		(BgL_n1z00_1960 % BgL_n2z00_1961);
																}
														}
													}
													BgL_restz00_1949 = BgL_res1755z00_1978;
												}
											}
											{	/* Isa/walk.scm 87 */

												{	/* Isa/walk.scm 87 */
													obj_t BgL_bucketz00_1951;

													BgL_bucketz00_1951 =
														VECTOR_REF(
														((obj_t) BgL_arg1738z00_1941), BgL_modz00_1947);
													BgL_res1756z00_1983 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1951), BgL_restz00_1949);
												}
											}
										}
									}
								}
							}
						}
					}
					BgL_method1276z00_1616 = BgL_res1756z00_1983;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1276z00_1616) (BgL_method1276z00_1616,
						((obj_t) BgL_nodez00_19), BEOA));
			}
		}
		BGL_FUNCTION_END;
	}



/* &isa! */
	BgL_nodez00_bglt BGl_z62isaz12z70zzisa_walkz00(obj_t BgL_envz00_2044,
		obj_t BgL_nodez00_2045)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 87 */
			return BGl_isaz12z12zzisa_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2045));
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_isaz12zd2envzc0zzisa_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc1778z00zzisa_walkz00, BGl_string1779z00zzisa_walkz00);
		}
		BGL_FUNCTION_END;
	}



/* &isa!-app1278 */
	BgL_nodez00_bglt BGl_z62isaz12zd2app1278za2zzisa_walkz00(obj_t
		BgL_envz00_2049, obj_t BgL_nodez00_2050)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 93 */
			{
				obj_t BgL_typz00_2070;

				{	/* Isa/walk.scm 105 */
					obj_t BgL_typz00_2071;

					BgL_typz00_2071 =
						BGl_isazd2ofzd2zztype_miscz00(
						((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2050)));
					if (CBOOL(BgL_typz00_2071))
						{	/* Isa/walk.scm 106 */
							{	/* Isa/walk.scm 109 */
								bool_t BgL_testz00_2335;

								BgL_typz00_2070 = BgL_typz00_2071;
								{	/* Isa/walk.scm 102 */
									bool_t BgL_testz00_2336;

									{	/* Isa/walk.scm 102 */
										obj_t BgL_tmpz00_2337;

										{
											BgL_globalz00_bglt BgL_auxz00_2338;

											{
												BgL_tclassz00_bglt BgL_auxz00_2339;

												{
													obj_t BgL_auxz00_2340;

													{	/* Isa/walk.scm 102 */
														BgL_objectz00_bglt BgL_tmpz00_2341;

														BgL_tmpz00_2341 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2070));
														BgL_auxz00_2340 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2341);
													}
													BgL_auxz00_2339 =
														((BgL_tclassz00_bglt) BgL_auxz00_2340);
												}
												BgL_auxz00_2338 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2339))->
													BgL_holderz00);
											}
											BgL_tmpz00_2337 =
												(((BgL_globalz00_bglt) COBJECT(BgL_auxz00_2338))->
												BgL_importz00);
										}
										BgL_testz00_2336 =
											(BgL_tmpz00_2337 == CNST_TABLE_REF(((long) 8)));
									}
									if (BgL_testz00_2336)
										{	/* Isa/walk.scm 103 */
											obj_t BgL_tmpz00_2350;

											{
												BgL_tclassz00_bglt BgL_auxz00_2351;

												{
													obj_t BgL_auxz00_2352;

													{	/* Isa/walk.scm 103 */
														BgL_objectz00_bglt BgL_tmpz00_2353;

														BgL_tmpz00_2353 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2070));
														BgL_auxz00_2352 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2353);
													}
													BgL_auxz00_2351 =
														((BgL_tclassz00_bglt) BgL_auxz00_2352);
												}
												BgL_tmpz00_2350 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2351))->
													BgL_subclassesz00);
											}
											BgL_testz00_2335 = NULLP(BgL_tmpz00_2350);
										}
									else
										{	/* Isa/walk.scm 102 */
											BgL_testz00_2335 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2335)
									{	/* Isa/walk.scm 111 */
										bool_t BgL_testz00_2360;

										{	/* Isa/walk.scm 111 */
											BgL_typez00_bglt BgL_arg1411z00_2072;

											{	/* Isa/walk.scm 111 */
												obj_t BgL_arg1412z00_2073;

												BgL_arg1412z00_2073 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2050)))->
														BgL_argsz00));
												BgL_arg1411z00_2072 =
													BGl_uncastedzd2typeze70z35zzisa_walkz00((
														(BgL_nodez00_bglt) BgL_arg1412z00_2073));
											}
											BgL_testz00_2360 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg1411z00_2072),
												BGl_tclassz00zzobject_classz00);
										}
										if (BgL_testz00_2360)
											{	/* Isa/walk.scm 112 */
												BgL_varz00_bglt BgL_nfunz00_2074;

												{	/* Isa/walk.scm 112 */
													BgL_nodez00_bglt BgL_duplicated1128z00_2075;
													BgL_varz00_bglt BgL_new1126z00_2076;

													BgL_duplicated1128z00_2075 =
														((BgL_nodez00_bglt)
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2050)))->
															BgL_funz00));
													{	/* Isa/walk.scm 112 */
														BgL_varz00_bglt BgL_new1130z00_2077;

														BgL_new1130z00_2077 =
															((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_varz00_bgl))));
														{	/* Isa/walk.scm 112 */
															long BgL_arg1397z00_2078;

															{	/* Isa/walk.scm 112 */
																long BgL_res1758z00_2079;

																BgL_res1758z00_2079 =
																	BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																BgL_arg1397z00_2078 = BgL_res1758z00_2079;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1130z00_2077),
																BgL_arg1397z00_2078);
														}
														BgL_new1126z00_2076 = BgL_new1130z00_2077;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1126z00_2076)))->
															BgL_locz00) =
														((obj_t) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1128z00_2075))->
																BgL_locz00)), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1126z00_2076)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1128z00_2075))->
																BgL_typez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(BgL_new1126z00_2076))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00)),
														BUNSPEC);
													BgL_nfunz00_2074 = BgL_new1126z00_2076;
												}
												{	/* Isa/walk.scm 114 */
													obj_t BgL_arg1381z00_2080;
													BgL_castz00_bglt BgL_arg1382z00_2081;

													BgL_arg1381z00_2080 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2050)))->
														BgL_argsz00);
													{	/* Isa/walk.scm 115 */
														BgL_castz00_bglt BgL_new1132z00_2082;

														{	/* Isa/walk.scm 115 */
															BgL_castz00_bglt BgL_new1131z00_2083;

															BgL_new1131z00_2083 =
																((BgL_castz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_castz00_bgl))));
															{	/* Isa/walk.scm 115 */
																long BgL_arg1391z00_2084;

																{	/* Isa/walk.scm 115 */
																	long BgL_res1759z00_2085;

																	BgL_res1759z00_2085 =
																		BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
																	BgL_arg1391z00_2084 = BgL_res1759z00_2085;
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1131z00_2083),
																	BgL_arg1391z00_2084);
															}
															{	/* Isa/walk.scm 115 */
																BgL_objectz00_bglt BgL_tmpz00_2389;

																BgL_tmpz00_2389 =
																	((BgL_objectz00_bglt) BgL_new1131z00_2083);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2389,
																	BFALSE);
															}
															BgL_new1132z00_2082 = BgL_new1131z00_2083;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1132z00_2082)))->
																BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1132z00_2082)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BGl_getzd2objectzd2typez00zztype_cachez00())),
															BUNSPEC);
														{
															BgL_nodez00_bglt BgL_auxz00_2398;

															{	/* Isa/walk.scm 116 */
																obj_t BgL_pairz00_2086;

																BgL_pairz00_2086 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2050)))->
																	BgL_argsz00);
																BgL_auxz00_2398 =
																	((BgL_nodez00_bglt) CAR(BgL_pairz00_2086));
															}
															((((BgL_castz00_bglt)
																		COBJECT(BgL_new1132z00_2082))->BgL_argz00) =
																((BgL_nodez00_bglt) BgL_auxz00_2398), BUNSPEC);
														}
														BgL_arg1382z00_2081 = BgL_new1132z00_2082;
													}
													{	/* Isa/walk.scm 114 */
														obj_t BgL_auxz00_2406;
														obj_t BgL_tmpz00_2404;

														BgL_auxz00_2406 = ((obj_t) BgL_arg1382z00_2081);
														BgL_tmpz00_2404 = ((obj_t) BgL_arg1381z00_2080);
														SET_CAR(BgL_tmpz00_2404, BgL_auxz00_2406);
												}}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2050)))->
														BgL_funz00) =
													((BgL_varz00_bglt) BgL_nfunz00_2074), BUNSPEC);
											}
										else
											{	/* Isa/walk.scm 119 */
												BgL_varz00_bglt BgL_nfunz00_2087;

												{	/* Isa/walk.scm 119 */
													BgL_nodez00_bglt BgL_duplicated1135z00_2088;
													BgL_varz00_bglt BgL_new1133z00_2089;

													BgL_duplicated1135z00_2088 =
														((BgL_nodez00_bglt)
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2050)))->
															BgL_funz00));
													{	/* Isa/walk.scm 119 */
														BgL_varz00_bglt BgL_new1136z00_2090;

														BgL_new1136z00_2090 =
															((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_varz00_bgl))));
														{	/* Isa/walk.scm 119 */
															long BgL_arg1398z00_2091;

															{	/* Isa/walk.scm 119 */
																long BgL_res1760z00_2092;

																BgL_res1760z00_2092 =
																	BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																BgL_arg1398z00_2091 = BgL_res1760z00_2092;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1136z00_2090),
																BgL_arg1398z00_2091);
														}
														BgL_new1133z00_2089 = BgL_new1136z00_2090;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1133z00_2089)))->
															BgL_locz00) =
														((obj_t) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1135z00_2088))->
																BgL_locz00)), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1133z00_2089)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1135z00_2088))->
																BgL_typez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(BgL_new1133z00_2089))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BGl_za2isazf2finalza2zf2zzisa_walkz00)),
														BUNSPEC);
													BgL_nfunz00_2087 = BgL_new1133z00_2089;
												}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2050)))->
														BgL_funz00) =
													((BgL_varz00_bglt) BgL_nfunz00_2087), BUNSPEC);
									}}
								else
									{	/* Isa/walk.scm 122 */
										bool_t BgL_testz00_2428;

										{	/* Isa/walk.scm 122 */
											long BgL_arg1529z00_2093;
											obj_t BgL_arg1535z00_2094;

											{
												BgL_tclassz00_bglt BgL_auxz00_2429;

												{
													obj_t BgL_auxz00_2430;

													{	/* Isa/walk.scm 122 */
														BgL_objectz00_bglt BgL_tmpz00_2431;

														BgL_tmpz00_2431 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2071));
														BgL_auxz00_2430 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2431);
													}
													BgL_auxz00_2429 =
														((BgL_tclassz00_bglt) BgL_auxz00_2430);
												}
												BgL_arg1529z00_2093 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2429))->
													BgL_depthz00);
											}
											BgL_arg1535z00_2094 =
												BGl_bigloozd2configzd2zz__configurez00(CNST_TABLE_REF((
														(long) 9)));
											BgL_testz00_2428 =
												BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT
												(BgL_arg1529z00_2093), BgL_arg1535z00_2094);
										}
										if (BgL_testz00_2428)
											{	/* Isa/walk.scm 123 */
												bool_t BgL_testz00_2441;

												{	/* Isa/walk.scm 123 */
													BgL_typez00_bglt BgL_arg1524z00_2095;

													{	/* Isa/walk.scm 123 */
														obj_t BgL_arg1526z00_2096;

														BgL_arg1526z00_2096 =
															CAR(
															(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_2050)))->
																BgL_argsz00));
														BgL_arg1524z00_2095 =
															BGl_uncastedzd2typeze70z35zzisa_walkz00((
																(BgL_nodez00_bglt) BgL_arg1526z00_2096));
													}
													BgL_testz00_2441 =
														BGl_isazf3zf3zz__objectz00(
														((obj_t) BgL_arg1524z00_2095),
														BGl_tclassz00zzobject_classz00);
												}
												if (BgL_testz00_2441)
													{	/* Isa/walk.scm 124 */
														BgL_varz00_bglt BgL_nfunz00_2097;
														BgL_literalz00_bglt BgL_depthz00_2098;
														BgL_castz00_bglt BgL_arg0z00_2099;

														{	/* Isa/walk.scm 124 */
															BgL_nodez00_bglt BgL_duplicated1139z00_2100;
															BgL_varz00_bglt BgL_new1137z00_2101;

															BgL_duplicated1139z00_2100 =
																((BgL_nodez00_bglt)
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2050)))->
																	BgL_funz00));
															{	/* Isa/walk.scm 124 */
																BgL_varz00_bglt BgL_new1140z00_2102;

																BgL_new1140z00_2102 =
																	((BgL_varz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_varz00_bgl))));
																{	/* Isa/walk.scm 124 */
																	long BgL_arg1482z00_2103;

																	{	/* Isa/walk.scm 124 */
																		long BgL_res1761z00_2104;

																		BgL_res1761z00_2104 =
																			BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																		BgL_arg1482z00_2103 = BgL_res1761z00_2104;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1140z00_2102),
																		BgL_arg1482z00_2103);
																}
																BgL_new1137z00_2101 = BgL_new1140z00_2102;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1137z00_2101)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1139z00_2100))->
																		BgL_locz00)), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1137z00_2101)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1139z00_2100))->
																		BgL_typez00)), BUNSPEC);
															((((BgL_varz00_bglt)
																		COBJECT(BgL_new1137z00_2101))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00)),
																BUNSPEC);
															BgL_nfunz00_2097 = BgL_new1137z00_2101;
														}
														{	/* Isa/walk.scm 126 */
															BgL_literalz00_bglt BgL_new1142z00_2105;

															{	/* Isa/walk.scm 127 */
																BgL_literalz00_bglt BgL_new1141z00_2106;

																BgL_new1141z00_2106 =
																	((BgL_literalz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_literalz00_bgl))));
																{	/* Isa/walk.scm 127 */
																	long BgL_arg1495z00_2107;

																	{	/* Isa/walk.scm 127 */
																		long BgL_res1762z00_2108;

																		BgL_res1762z00_2108 =
																			BGL_CLASS_INDEX
																			(BGl_literalz00zzast_nodez00);
																		BgL_arg1495z00_2107 = BgL_res1762z00_2108;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1141z00_2106),
																		BgL_arg1495z00_2107);
																}
																{	/* Isa/walk.scm 127 */
																	BgL_objectz00_bglt BgL_tmpz00_2468;

																	BgL_tmpz00_2468 =
																		((BgL_objectz00_bglt) BgL_new1141z00_2106);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2468,
																		BFALSE);
																}
																BgL_new1142z00_2105 = BgL_new1141z00_2106;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1142z00_2105)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt) (
																						(BgL_appz00_bglt)
																						BgL_nodez00_2050))))->BgL_locz00)),
																BUNSPEC);
															{
																BgL_typez00_bglt BgL_auxz00_2476;

																{	/* Isa/walk.scm 128 */
																	long BgL_arg1487z00_2109;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_2478;

																		{
																			obj_t BgL_auxz00_2479;

																			{	/* Isa/walk.scm 128 */
																				BgL_objectz00_bglt BgL_tmpz00_2480;

																				BgL_tmpz00_2480 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt) BgL_typz00_2071));
																				BgL_auxz00_2479 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_2480);
																			}
																			BgL_auxz00_2478 =
																				((BgL_tclassz00_bglt) BgL_auxz00_2479);
																		}
																		BgL_arg1487z00_2109 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_2478))->
																			BgL_depthz00);
																	}
																	BgL_auxz00_2476 =
																		BGl_getzd2typezd2atomz00zztype_typeofz00
																		(BINT(BgL_arg1487z00_2109));
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1142z00_2105)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_auxz00_2476),
																	BUNSPEC);
															}
															{
																obj_t BgL_auxz00_2489;

																{	/* Isa/walk.scm 129 */
																	long BgL_tmpz00_2491;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_2492;

																		{
																			obj_t BgL_auxz00_2493;

																			{	/* Isa/walk.scm 129 */
																				BgL_objectz00_bglt BgL_tmpz00_2494;

																				BgL_tmpz00_2494 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt) BgL_typz00_2071));
																				BgL_auxz00_2493 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_2494);
																			}
																			BgL_auxz00_2492 =
																				((BgL_tclassz00_bglt) BgL_auxz00_2493);
																		}
																		BgL_tmpz00_2491 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_2492))->
																			BgL_depthz00);
																	}
																	BgL_auxz00_2489 = BINT(BgL_tmpz00_2491);
																}
																((((BgL_atomz00_bglt) COBJECT(
																				((BgL_atomz00_bglt)
																					BgL_new1142z00_2105)))->
																		BgL_valuez00) =
																	((obj_t) BgL_auxz00_2489), BUNSPEC);
															}
															BgL_depthz00_2098 = BgL_new1142z00_2105;
														}
														{	/* Isa/walk.scm 130 */
															BgL_castz00_bglt BgL_new1144z00_2110;

															{	/* Isa/walk.scm 130 */
																BgL_castz00_bglt BgL_new1143z00_2111;

																BgL_new1143z00_2111 =
																	((BgL_castz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_castz00_bgl))));
																{	/* Isa/walk.scm 130 */
																	long BgL_arg1501z00_2112;

																	{	/* Isa/walk.scm 130 */
																		long BgL_res1763z00_2113;

																		BgL_res1763z00_2113 =
																			BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
																		BgL_arg1501z00_2112 = BgL_res1763z00_2113;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1143z00_2111),
																		BgL_arg1501z00_2112);
																}
																{	/* Isa/walk.scm 130 */
																	BgL_objectz00_bglt BgL_tmpz00_2506;

																	BgL_tmpz00_2506 =
																		((BgL_objectz00_bglt) BgL_new1143z00_2111);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2506,
																		BFALSE);
																}
																BgL_new1144z00_2110 = BgL_new1143z00_2111;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1144z00_2110)))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1144z00_2110)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BGl_getzd2objectzd2typez00zztype_cachez00
																		())), BUNSPEC);
															{
																BgL_nodez00_bglt BgL_auxz00_2515;

																{	/* Isa/walk.scm 131 */
																	obj_t BgL_pairz00_2114;

																	BgL_pairz00_2114 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2050)))->
																		BgL_argsz00);
																	BgL_auxz00_2515 =
																		((BgL_nodez00_bglt) CAR(BgL_pairz00_2114));
																}
																((((BgL_castz00_bglt)
																			COBJECT(BgL_new1144z00_2110))->
																		BgL_argz00) =
																	((BgL_nodez00_bglt) BgL_auxz00_2515),
																	BUNSPEC);
															}
															BgL_arg0z00_2099 = BgL_new1144z00_2110;
														}
														((((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_2050)))->
																BgL_funz00) =
															((BgL_varz00_bglt) BgL_nfunz00_2097), BUNSPEC);
														{
															obj_t BgL_auxz00_2523;

															{	/* Isa/walk.scm 134 */
																obj_t BgL_arg1462z00_2115;

																{	/* Isa/walk.scm 134 */
																	obj_t BgL_pairz00_2116;

																	BgL_pairz00_2116 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2050)))->
																		BgL_argsz00);
																	{	/* Isa/walk.scm 134 */
																		obj_t BgL_pairz00_2117;

																		BgL_pairz00_2117 = CDR(BgL_pairz00_2116);
																		BgL_arg1462z00_2115 = CAR(BgL_pairz00_2117);
																}}
																{	/* Isa/walk.scm 134 */
																	obj_t BgL_list1463z00_2118;

																	{	/* Isa/walk.scm 134 */
																		obj_t BgL_arg1464z00_2119;

																		{	/* Isa/walk.scm 134 */
																			obj_t BgL_arg1479z00_2120;

																			BgL_arg1479z00_2120 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_depthz00_2098), BNIL);
																			BgL_arg1464z00_2119 =
																				MAKE_YOUNG_PAIR(BgL_arg1462z00_2115,
																				BgL_arg1479z00_2120);
																		}
																		BgL_list1463z00_2118 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg0z00_2099),
																			BgL_arg1464z00_2119);
																	}
																	BgL_auxz00_2523 = BgL_list1463z00_2118;
															}}
															((((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2050)))->
																	BgL_argsz00) =
																((obj_t) BgL_auxz00_2523), BUNSPEC);
													}}
												else
													{	/* Isa/walk.scm 135 */
														BgL_varz00_bglt BgL_nfunz00_2121;

														{	/* Isa/walk.scm 135 */
															BgL_nodez00_bglt BgL_duplicated1147z00_2122;
															BgL_varz00_bglt BgL_new1145z00_2123;

															BgL_duplicated1147z00_2122 =
																((BgL_nodez00_bglt)
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2050)))->
																	BgL_funz00));
															{	/* Isa/walk.scm 135 */
																BgL_varz00_bglt BgL_new1148z00_2124;

																BgL_new1148z00_2124 =
																	((BgL_varz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_varz00_bgl))));
																{	/* Isa/walk.scm 135 */
																	long BgL_arg1512z00_2125;

																	{	/* Isa/walk.scm 135 */
																		long BgL_res1765z00_2126;

																		BgL_res1765z00_2126 =
																			BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																		BgL_arg1512z00_2125 = BgL_res1765z00_2126;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1148z00_2124),
																		BgL_arg1512z00_2125);
																}
																BgL_new1145z00_2123 = BgL_new1148z00_2124;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1145z00_2123)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1147z00_2122))->
																		BgL_locz00)), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1145z00_2123)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1147z00_2122))->
																		BgL_typez00)), BUNSPEC);
															((((BgL_varz00_bglt)
																		COBJECT(BgL_new1145z00_2123))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BGl_za2isazf2cdepthza2zf2zzisa_walkz00)),
																BUNSPEC);
															BgL_nfunz00_2121 = BgL_new1145z00_2123;
														}
														{	/* Isa/walk.scm 135 */
															BgL_literalz00_bglt BgL_depthz00_2127;

															{	/* Isa/walk.scm 137 */
																BgL_literalz00_bglt BgL_new1150z00_2128;

																{	/* Isa/walk.scm 138 */
																	BgL_literalz00_bglt BgL_new1149z00_2129;

																	BgL_new1149z00_2129 =
																		((BgL_literalz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_literalz00_bgl))));
																	{	/* Isa/walk.scm 138 */
																		long BgL_arg1511z00_2130;

																		{	/* Isa/walk.scm 138 */
																			long BgL_res1766z00_2131;

																			BgL_res1766z00_2131 =
																				BGL_CLASS_INDEX
																				(BGl_literalz00zzast_nodez00);
																			BgL_arg1511z00_2130 = BgL_res1766z00_2131;
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1149z00_2129),
																			BgL_arg1511z00_2130);
																	}
																	{	/* Isa/walk.scm 138 */
																		BgL_objectz00_bglt BgL_tmpz00_2554;

																		BgL_tmpz00_2554 =
																			((BgL_objectz00_bglt)
																			BgL_new1149z00_2129);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2554,
																			BFALSE);
																	}
																	BgL_new1150z00_2128 = BgL_new1149z00_2129;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1150z00_2128)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt) (
																							(BgL_appz00_bglt)
																							BgL_nodez00_2050))))->
																			BgL_locz00)), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_2562;

																	{	/* Isa/walk.scm 139 */
																		long BgL_arg1508z00_2132;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_2564;

																			{
																				obj_t BgL_auxz00_2565;

																				{	/* Isa/walk.scm 139 */
																					BgL_objectz00_bglt BgL_tmpz00_2566;

																					BgL_tmpz00_2566 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt)
																							BgL_typz00_2071));
																					BgL_auxz00_2565 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_2566);
																				}
																				BgL_auxz00_2564 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_2565);
																			}
																			BgL_arg1508z00_2132 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_2564))->
																				BgL_depthz00);
																		}
																		BgL_auxz00_2562 =
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BINT(BgL_arg1508z00_2132));
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1150z00_2128)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_2562),
																		BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_2575;

																	{	/* Isa/walk.scm 140 */
																		long BgL_tmpz00_2577;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_2578;

																			{
																				obj_t BgL_auxz00_2579;

																				{	/* Isa/walk.scm 140 */
																					BgL_objectz00_bglt BgL_tmpz00_2580;

																					BgL_tmpz00_2580 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt)
																							BgL_typz00_2071));
																					BgL_auxz00_2579 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_2580);
																				}
																				BgL_auxz00_2578 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_2579);
																			}
																			BgL_tmpz00_2577 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_2578))->
																				BgL_depthz00);
																		}
																		BgL_auxz00_2575 = BINT(BgL_tmpz00_2577);
																	}
																	((((BgL_atomz00_bglt) COBJECT(
																					((BgL_atomz00_bglt)
																						BgL_new1150z00_2128)))->
																			BgL_valuez00) =
																		((obj_t) BgL_auxz00_2575), BUNSPEC);
																}
																BgL_depthz00_2127 = BgL_new1150z00_2128;
															}
															{	/* Isa/walk.scm 137 */

																((((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2050)))->
																		BgL_funz00) =
																	((BgL_varz00_bglt) BgL_nfunz00_2121),
																	BUNSPEC);
																{
																	obj_t BgL_auxz00_2590;

																	{	/* Isa/walk.scm 142 */
																		obj_t BgL_arg1504z00_2133;
																		obj_t BgL_arg1505z00_2134;

																		BgL_arg1504z00_2133 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2050)))->BgL_argsz00);
																		{	/* Isa/walk.scm 142 */
																			obj_t BgL_list1506z00_2135;

																			BgL_list1506z00_2135 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_depthz00_2127), BNIL);
																			BgL_arg1505z00_2134 =
																				BgL_list1506z00_2135;
																		}
																		BgL_auxz00_2590 =
																			BGl_appendzd221010zd2zzisa_walkz00
																			(BgL_arg1504z00_2133,
																			BgL_arg1505z00_2134);
																	}
																	((((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2050)))->BgL_argsz00) =
																		((obj_t) BgL_auxz00_2590), BUNSPEC);
											}}}}}
										else
											{	/* Isa/walk.scm 122 */
												BFALSE;
											}
									}
							}
							return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2050));
						}
					else
						{	/* Isa/walk.scm 106 */
							return
								BGl_walk0z12z12zzast_walkz00(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_2050)),
								BGl_isaz12zd2envzc0zzisa_walkz00);
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* uncasted-type~0 */
	BgL_typez00_bglt BGl_uncastedzd2typeze70z35zzisa_walkz00(BgL_nodez00_bglt
		BgL_nodez00_1705)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 99 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_nodez00_1705), BGl_castz00zzast_nodez00))
				{	/* Isa/walk.scm 96 */
					return
						(((BgL_nodez00_bglt) COBJECT(
								(((BgL_castz00_bglt) COBJECT(
											((BgL_castz00_bglt) BgL_nodez00_1705)))->BgL_argz00)))->
						BgL_typez00);
				}
			else
				{	/* Isa/walk.scm 96 */
					return (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1705))->BgL_typez00);
				}
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzisa_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Isa/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string1780z00zzisa_walkz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
