/*===========================================================================*/
/*   (Sync/failsafe.scm)                                                     */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Sync/failsafe.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzsync_failsafez00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2pragma1303z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsync_failsafez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2letzd2fun1313z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2app1293z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62failsafezf3zd2makezd2box1317z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2boxzd2setz121321z83zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00;
	static obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsync_failsafez00();
	static obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2letzd2var1315z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62failsafezd2funzf31294z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2switch1311z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzsync_failsafez00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_z62failsafezd2funzf3zd2sfun1297z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2sequence1289z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzsync_failsafez00();
	static obj_t BGl_genericzd2initzd2zzsync_failsafez00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2var1285z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2atom1283z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2kwote1287z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62failsafezd2funzf3zd2cfun1299z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsync_failsafez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_z62failsafezf3zd2cast1305z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2setq1307z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzsync_failsafez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2conditiona1309z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2boxzd2ref1319z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2extern1301z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2sync1291z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62failsafezf31280z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1812z00zzsync_failsafez00,
		BgL_bgl_string1812za700za7za7s1818za7, "sync_failsafe", 13);
	      DEFINE_STRING(BGl_string1813z00zzsync_failsafez00,
		BgL_bgl_string1813za700za7za7s1819za7, "fail-safe ", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failsafezd2synczf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2sy1820z00,
		BGl_z62failsafezd2synczf3z43zzsync_failsafez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3121821z00,
		BGl_z62failsafezf31280z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1822z00,
		BGl_z62failsafezd2funzf31294z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1823za7,
		BGl_z62failsafezf3zd2atom1283z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1824za7,
		BGl_z62failsafezf3zd2var1285z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1825za7,
		BGl_z62failsafezf3zd2kwote1287z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1826za7,
		BGl_z62failsafezf3zd2sequence1289z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1827za7,
		BGl_z62failsafezf3zd2sync1291z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1828za7,
		BGl_z62failsafezf3zd2app1293z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1829z00,
		BGl_z62failsafezd2funzf3zd2sfun1297z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_GENERIC(BGl_failsafezf3zd2envz21zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za791830za7,
		BGl_z62failsafezf3z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1831z00,
		BGl_z62failsafezd2funzf3z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1832z00,
		BGl_z62failsafezd2funzf3zd2cfun1299z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1833za7,
		BGl_z62failsafezf3zd2extern1301z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1834za7,
		BGl_z62failsafezf3zd2pragma1303z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1803z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1835za7,
		BGl_z62failsafezf3zd2cast1305z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1836za7,
		BGl_z62failsafezf3zd2setq1307z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1805z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1837za7,
		BGl_z62failsafezf3zd2conditiona1309z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1806z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1838za7,
		BGl_z62failsafezf3zd2switch1311z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1807z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1839za7,
		BGl_z62failsafezf3zd2letzd2fun1313z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1808z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1840za7,
		BGl_z62failsafezf3zd2letzd2var1315z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1809z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1841za7,
		BGl_z62failsafezf3zd2makezd2box1317z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1810z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1842za7,
		BGl_z62failsafezf3zd2boxzd2ref1319z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1811z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1843za7,
		BGl_z62failsafezf3zd2boxzd2setz121321z83zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1788z00zzsync_failsafez00,
		BgL_bgl_string1788za700za7za7s1844za7, "failsafe?1280", 13);
	      DEFINE_STRING(BGl_string1790z00zzsync_failsafez00,
		BgL_bgl_string1790za700za7za7s1845za7, "failsafe-fun?1294", 17);
	      DEFINE_STRING(BGl_string1792z00zzsync_failsafez00,
		BgL_bgl_string1792za700za7za7s1846za7, "failsafe?", 9);
	      DEFINE_STRING(BGl_string1799z00zzsync_failsafez00,
		BgL_bgl_string1799za700za7za7s1847za7, "failsafe-fun?", 13);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsync_failsafez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsync_failsafez00(long
		BgL_checksumz00_2355, char *BgL_fromz00_2356)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsync_failsafez00))
				{
					BGl_requirezd2initializa7ationz75zzsync_failsafez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsync_failsafez00();
					BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
					BGl_cnstzd2initzd2zzsync_failsafez00();
					BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
					BGl_genericzd2initzd2zzsync_failsafez00();
					BGl_methodzd2initzd2zzsync_failsafez00();
					return BGl_toplevelzd2initzd2zzsync_failsafez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"sync_failsafe");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			{	/* Sync/failsafe.scm 16 */
				obj_t BgL_cportz00_2271;

				{	/* Sync/failsafe.scm 16 */
					obj_t BgL_stringz00_2279;

					BgL_stringz00_2279 = BGl_string1813z00zzsync_failsafez00;
					{	/* Sync/failsafe.scm 16 */
						obj_t BgL_startz00_2280;

						BgL_startz00_2280 = BINT(((long) 0));
						{	/* Sync/failsafe.scm 16 */
							obj_t BgL_endz00_2281;

							BgL_endz00_2281 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2279)));
							{	/* Sync/failsafe.scm 16 */

								BgL_cportz00_2271 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2279, BgL_startz00_2280, BgL_endz00_2281);
				}}}}
				{
					long BgL_iz00_2272;

					BgL_iz00_2272 = ((long) 0);
				BgL_loopz00_2273:
					if ((BgL_iz00_2272 == ((long) -1)))
						{	/* Sync/failsafe.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Sync/failsafe.scm 16 */
							{	/* Sync/failsafe.scm 16 */
								obj_t BgL_arg1816z00_2275;

								{	/* Sync/failsafe.scm 16 */

									{	/* Sync/failsafe.scm 16 */
										obj_t BgL_locationz00_2277;

										BgL_locationz00_2277 = BBOOL(((bool_t) 0));
										{	/* Sync/failsafe.scm 16 */

											BgL_arg1816z00_2275 =
												BGl_readz00zz__readerz00(BgL_cportz00_2271,
												BgL_locationz00_2277);
										}
									}
								}
								{	/* Sync/failsafe.scm 16 */
									int BgL_tmpz00_2385;

									BgL_tmpz00_2385 = (int) (BgL_iz00_2272);
									CNST_TABLE_SET(BgL_tmpz00_2385, BgL_arg1816z00_2275);
							}}
							{	/* Sync/failsafe.scm 16 */
								int BgL_auxz00_2278;

								BgL_auxz00_2278 = (int) ((BgL_iz00_2272 - ((long) 1)));
								{
									long BgL_iz00_2390;

									BgL_iz00_2390 = (long) (BgL_auxz00_2278);
									BgL_iz00_2272 = BgL_iz00_2390;
									goto BgL_loopz00_2273;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* failsafe-sync? */
	BGL_EXPORTED_DEF obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt BgL_nz00_17)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 45 */
			if (CBOOL(BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00))
				{	/* Sync/failsafe.scm 46 */
					return
						BGl_failsafezf3zf3zzsync_failsafez00(
						(((BgL_syncz00_bglt) COBJECT(BgL_nz00_17))->BgL_bodyz00), BNIL);
				}
			else
				{	/* Sync/failsafe.scm 46 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe-sync? */
	obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t BgL_envz00_2174,
		obj_t BgL_nz00_2175)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 45 */
			return
				BGl_failsafezd2synczf3z21zzsync_failsafez00(
				((BgL_syncz00_bglt) BgL_nz00_2175));
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_proc1787z00zzsync_failsafez00, BGl_nodez00zzast_nodez00,
				BGl_string1788z00zzsync_failsafez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_proc1789z00zzsync_failsafez00, BGl_funz00zzast_varz00,
				BGl_string1790z00zzsync_failsafez00);
		}
		BGL_FUNCTION_END;
	}



/* &failsafe-fun?1294 */
	obj_t BGl_z62failsafezd2funzf31294z43zzsync_failsafez00(obj_t BgL_envz00_2178,
		obj_t BgL_funz00_2179, obj_t BgL_varz00_2180, obj_t BgL_stkz00_2181)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 102 */
			return BBOOL(((bool_t) 0));
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?1280 */
	obj_t BGl_z62failsafezf31280z91zzsync_failsafez00(obj_t BgL_envz00_2182,
		obj_t BgL_nz00_2183, obj_t BgL_stkz00_2184)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 53 */
			return BBOOL(((bool_t) 0));
		}
		BGL_FUNCTION_END;
	}



/* failsafe? */
	obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt BgL_nz00_18,
		obj_t BgL_stkz00_19)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 53 */
			{	/* Sync/failsafe.scm 53 */
				obj_t BgL_method1281z00_1644;

				{	/* Sync/failsafe.scm 53 */
					obj_t BgL_res1762z00_2090;

					{	/* Sync/failsafe.scm 53 */
						long BgL_objzd2classzd2numz00_2047;

						{	/* Sync/failsafe.scm 53 */
							long BgL_res1751z00_2050;

							BgL_res1751z00_2050 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_18));
							BgL_objzd2classzd2numz00_2047 = BgL_res1751z00_2050;
						}
						{	/* Sync/failsafe.scm 53 */
							obj_t BgL_arg1738z00_2048;

							BgL_arg1738z00_2048 =
								PROCEDURE_REF(BGl_failsafezf3zd2envz21zzsync_failsafez00,
								(int) (((long) 1)));
							{	/* Sync/failsafe.scm 53 */
								int BgL_offsetz00_2052;

								BgL_offsetz00_2052 = (int) (BgL_objzd2classzd2numz00_2047);
								{	/* Sync/failsafe.scm 53 */
									long BgL_offsetz00_2053;

									BgL_offsetz00_2053 =
										((long) (BgL_offsetz00_2052) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 53 */
										long BgL_modz00_2054;

										{	/* Sync/failsafe.scm 53 */
											int BgL_arg1740z00_2055;

											BgL_arg1740z00_2055 = (int) (((long) 16));
											{	/* Sync/failsafe.scm 53 */
												long BgL_res1754z00_2065;

												{	/* Sync/failsafe.scm 53 */
													long BgL_tmpz00_2411;

													BgL_tmpz00_2411 = (long) (BgL_arg1740z00_2055);
													BgL_res1754z00_2065 =
														(BgL_offsetz00_2053 / BgL_tmpz00_2411);
												}
												BgL_modz00_2054 = BgL_res1754z00_2065;
										}}
										{	/* Sync/failsafe.scm 53 */
											long BgL_restz00_2056;

											{	/* Sync/failsafe.scm 53 */
												int BgL_arg1739z00_2057;

												BgL_arg1739z00_2057 = (int) (((long) 16));
												{	/* Sync/failsafe.scm 53 */
													long BgL_res1761z00_2085;

													{	/* Sync/failsafe.scm 53 */
														long BgL_n1z00_2067;
														long BgL_n2z00_2068;

														BgL_n1z00_2067 = BgL_offsetz00_2053;
														BgL_n2z00_2068 = (long) (BgL_arg1739z00_2057);
														{	/* Sync/failsafe.scm 53 */
															bool_t BgL_testz00_2416;

															{	/* Sync/failsafe.scm 53 */
																long BgL_arg1304z00_2070;

																BgL_arg1304z00_2070 =
																	(((BgL_n1z00_2067) | (BgL_n2z00_2068)) &
																	-2147483648);
																BgL_testz00_2416 =
																	(BgL_arg1304z00_2070 == ((long) 0));
															}
															if (BgL_testz00_2416)
																{	/* Sync/failsafe.scm 53 */
																	int32_t BgL_arg1278z00_2071;

																	{	/* Sync/failsafe.scm 53 */
																		int32_t BgL_arg1301z00_2072;
																		int32_t BgL_arg1303z00_2073;

																		{	/* Sync/failsafe.scm 53 */
																			int32_t BgL_res1757z00_2077;

																			BgL_res1757z00_2077 =
																				(int32_t) (BgL_n1z00_2067);
																			BgL_arg1301z00_2072 = BgL_res1757z00_2077;
																		}
																		{	/* Sync/failsafe.scm 53 */
																			int32_t BgL_res1758z00_2079;

																			BgL_res1758z00_2079 =
																				(int32_t) (BgL_n2z00_2068);
																			BgL_arg1303z00_2073 = BgL_res1758z00_2079;
																		}
																		BgL_arg1278z00_2071 =
																			(BgL_arg1301z00_2072 %
																			BgL_arg1303z00_2073);
																	}
																	{	/* Sync/failsafe.scm 53 */
																		long BgL_res1760z00_2084;

																		{	/* Sync/failsafe.scm 53 */
																			long BgL_arg1406z00_2081;

																			BgL_arg1406z00_2081 =
																				(long) (BgL_arg1278z00_2071);
																			{	/* Sync/failsafe.scm 53 */
																				long BgL_res1759z00_2083;

																				BgL_res1759z00_2083 =
																					(long) (BgL_arg1406z00_2081);
																				BgL_res1760z00_2084 =
																					BgL_res1759z00_2083;
																		}}
																		BgL_res1761z00_2085 = BgL_res1760z00_2084;
																}}
															else
																{	/* Sync/failsafe.scm 53 */
																	BgL_res1761z00_2085 =
																		(BgL_n1z00_2067 % BgL_n2z00_2068);
																}
														}
													}
													BgL_restz00_2056 = BgL_res1761z00_2085;
												}
											}
											{	/* Sync/failsafe.scm 53 */

												{	/* Sync/failsafe.scm 53 */
													obj_t BgL_bucketz00_2058;

													BgL_bucketz00_2058 =
														VECTOR_REF(
														((obj_t) BgL_arg1738z00_2048), BgL_modz00_2054);
													BgL_res1762z00_2090 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2058), BgL_restz00_2056);
												}
											}
										}
									}
								}
							}
						}
					}
					BgL_method1281z00_1644 = BgL_res1762z00_2090;
				}
				return
					PROCEDURE_ENTRY(BgL_method1281z00_1644) (BgL_method1281z00_1644,
					((obj_t) BgL_nz00_18), BgL_stkz00_19, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe? */
	obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t BgL_envz00_2185,
		obj_t BgL_nz00_2186, obj_t BgL_stkz00_2187)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 53 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				((BgL_nodez00_bglt) BgL_nz00_2186), BgL_stkz00_2187);
		}
		BGL_FUNCTION_END;
	}



/* failsafe-fun? */
	obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt
		BgL_funz00_32, BgL_variablez00_bglt BgL_varz00_33, obj_t BgL_stkz00_34)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 102 */
			{	/* Sync/failsafe.scm 102 */
				obj_t BgL_method1295z00_1645;

				{	/* Sync/failsafe.scm 102 */
					obj_t BgL_res1774z00_2135;

					{	/* Sync/failsafe.scm 102 */
						long BgL_objzd2classzd2numz00_2092;

						{	/* Sync/failsafe.scm 102 */
							long BgL_res1763z00_2095;

							BgL_res1763z00_2095 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_32));
							BgL_objzd2classzd2numz00_2092 = BgL_res1763z00_2095;
						}
						{	/* Sync/failsafe.scm 102 */
							obj_t BgL_arg1738z00_2093;

							BgL_arg1738z00_2093 =
								PROCEDURE_REF(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
								(int) (((long) 1)));
							{	/* Sync/failsafe.scm 102 */
								int BgL_offsetz00_2097;

								BgL_offsetz00_2097 = (int) (BgL_objzd2classzd2numz00_2092);
								{	/* Sync/failsafe.scm 102 */
									long BgL_offsetz00_2098;

									BgL_offsetz00_2098 =
										((long) (BgL_offsetz00_2097) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 102 */
										long BgL_modz00_2099;

										{	/* Sync/failsafe.scm 102 */
											int BgL_arg1740z00_2100;

											BgL_arg1740z00_2100 = (int) (((long) 16));
											{	/* Sync/failsafe.scm 102 */
												long BgL_res1766z00_2110;

												{	/* Sync/failsafe.scm 102 */
													long BgL_tmpz00_2445;

													BgL_tmpz00_2445 = (long) (BgL_arg1740z00_2100);
													BgL_res1766z00_2110 =
														(BgL_offsetz00_2098 / BgL_tmpz00_2445);
												}
												BgL_modz00_2099 = BgL_res1766z00_2110;
										}}
										{	/* Sync/failsafe.scm 102 */
											long BgL_restz00_2101;

											{	/* Sync/failsafe.scm 102 */
												int BgL_arg1739z00_2102;

												BgL_arg1739z00_2102 = (int) (((long) 16));
												{	/* Sync/failsafe.scm 102 */
													long BgL_res1773z00_2130;

													{	/* Sync/failsafe.scm 102 */
														long BgL_n1z00_2112;
														long BgL_n2z00_2113;

														BgL_n1z00_2112 = BgL_offsetz00_2098;
														BgL_n2z00_2113 = (long) (BgL_arg1739z00_2102);
														{	/* Sync/failsafe.scm 102 */
															bool_t BgL_testz00_2450;

															{	/* Sync/failsafe.scm 102 */
																long BgL_arg1304z00_2115;

																BgL_arg1304z00_2115 =
																	(((BgL_n1z00_2112) | (BgL_n2z00_2113)) &
																	-2147483648);
																BgL_testz00_2450 =
																	(BgL_arg1304z00_2115 == ((long) 0));
															}
															if (BgL_testz00_2450)
																{	/* Sync/failsafe.scm 102 */
																	int32_t BgL_arg1278z00_2116;

																	{	/* Sync/failsafe.scm 102 */
																		int32_t BgL_arg1301z00_2117;
																		int32_t BgL_arg1303z00_2118;

																		{	/* Sync/failsafe.scm 102 */
																			int32_t BgL_res1769z00_2122;

																			BgL_res1769z00_2122 =
																				(int32_t) (BgL_n1z00_2112);
																			BgL_arg1301z00_2117 = BgL_res1769z00_2122;
																		}
																		{	/* Sync/failsafe.scm 102 */
																			int32_t BgL_res1770z00_2124;

																			BgL_res1770z00_2124 =
																				(int32_t) (BgL_n2z00_2113);
																			BgL_arg1303z00_2118 = BgL_res1770z00_2124;
																		}
																		BgL_arg1278z00_2116 =
																			(BgL_arg1301z00_2117 %
																			BgL_arg1303z00_2118);
																	}
																	{	/* Sync/failsafe.scm 102 */
																		long BgL_res1772z00_2129;

																		{	/* Sync/failsafe.scm 102 */
																			long BgL_arg1406z00_2126;

																			BgL_arg1406z00_2126 =
																				(long) (BgL_arg1278z00_2116);
																			{	/* Sync/failsafe.scm 102 */
																				long BgL_res1771z00_2128;

																				BgL_res1771z00_2128 =
																					(long) (BgL_arg1406z00_2126);
																				BgL_res1772z00_2129 =
																					BgL_res1771z00_2128;
																		}}
																		BgL_res1773z00_2130 = BgL_res1772z00_2129;
																}}
															else
																{	/* Sync/failsafe.scm 102 */
																	BgL_res1773z00_2130 =
																		(BgL_n1z00_2112 % BgL_n2z00_2113);
																}
														}
													}
													BgL_restz00_2101 = BgL_res1773z00_2130;
												}
											}
											{	/* Sync/failsafe.scm 102 */

												{	/* Sync/failsafe.scm 102 */
													obj_t BgL_bucketz00_2103;

													BgL_bucketz00_2103 =
														VECTOR_REF(
														((obj_t) BgL_arg1738z00_2093), BgL_modz00_2099);
													BgL_res1774z00_2135 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2103), BgL_restz00_2101);
												}
											}
										}
									}
								}
							}
						}
					}
					BgL_method1295z00_1645 = BgL_res1774z00_2135;
				}
				return
					PROCEDURE_ENTRY(BgL_method1295z00_1645) (BgL_method1295z00_1645,
					((obj_t) BgL_funz00_32),
					((obj_t) BgL_varz00_33), BgL_stkz00_34, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe-fun? */
	obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t BgL_envz00_2188,
		obj_t BgL_funz00_2189, obj_t BgL_varz00_2190, obj_t BgL_stkz00_2191)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 102 */
			return
				BGl_failsafezd2funzf3z21zzsync_failsafez00(
				((BgL_funz00_bglt) BgL_funz00_2189),
				((BgL_variablez00_bglt) BgL_varz00_2190), BgL_stkz00_2191);
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_atomz00zzast_nodez00,
				BGl_proc1791z00zzsync_failsafez00, BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_varz00zzast_nodez00,
				BGl_proc1793z00zzsync_failsafez00, BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1794z00zzsync_failsafez00, BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1795z00zzsync_failsafez00,
				BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_syncz00zzast_nodez00,
				BGl_proc1796z00zzsync_failsafez00, BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_appz00zzast_nodez00,
				BGl_proc1797z00zzsync_failsafez00, BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_sfunz00zzast_varz00, BGl_proc1798z00zzsync_failsafez00,
				BGl_string1799z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_cfunz00zzast_varz00, BGl_proc1800z00zzsync_failsafez00,
				BGl_string1799z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_externz00zzast_nodez00,
				BGl_proc1801z00zzsync_failsafez00, BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_pragmaz00zzast_nodez00,
				BGl_proc1802z00zzsync_failsafez00, BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_castz00zzast_nodez00,
				BGl_proc1803z00zzsync_failsafez00, BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_setqz00zzast_nodez00,
				BGl_proc1804z00zzsync_failsafez00, BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1805z00zzsync_failsafez00,
				BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_switchz00zzast_nodez00,
				BGl_proc1806z00zzsync_failsafez00, BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1807z00zzsync_failsafez00,
				BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1808z00zzsync_failsafez00,
				BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1809z00zzsync_failsafez00,
				BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1810z00zzsync_failsafez00,
				BGl_string1792z00zzsync_failsafez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1811z00zzsync_failsafez00,
				BGl_string1792z00zzsync_failsafez00);
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-box-set!1321 */
	obj_t BGl_z62failsafezf3zd2boxzd2setz121321z83zzsync_failsafez00(obj_t
		BgL_envz00_2211, obj_t BgL_nz00_2212, obj_t BgL_stkz00_2213)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 216 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_2212)))->BgL_valuez00),
				BgL_stkz00_2213);
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-box-ref1319 */
	obj_t BGl_z62failsafezf3zd2boxzd2ref1319z91zzsync_failsafez00(obj_t
		BgL_envz00_2214, obj_t BgL_nz00_2215, obj_t BgL_stkz00_2216)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 210 */
			return BBOOL(((bool_t) 1));
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-make-box1317 */
	obj_t BGl_z62failsafezf3zd2makezd2box1317z91zzsync_failsafez00(obj_t
		BgL_envz00_2217, obj_t BgL_nz00_2218, obj_t BgL_stkz00_2219)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 203 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_2218)))->BgL_valuez00),
				BgL_stkz00_2219);
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-let-var1315 */
	obj_t BGl_z62failsafezf3zd2letzd2var1315z91zzsync_failsafez00(obj_t
		BgL_envz00_2220, obj_t BgL_nz00_2221, obj_t BgL_stkz00_2222)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 195 */
			{	/* Sync/failsafe.scm 196 */
				bool_t BgL_tmpz00_2500;

				{	/* Sync/failsafe.scm 197 */
					bool_t BgL_testz00_2501;

					{	/* Sync/failsafe.scm 197 */
						BgL_nodez00_bglt BgL_arg1569z00_2292;

						BgL_arg1569z00_2292 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_2221)))->BgL_bodyz00);
						BgL_testz00_2501 =
							CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg1569z00_2292,
								BgL_stkz00_2222));
					}
					if (BgL_testz00_2501)
						{	/* Sync/failsafe.scm 198 */
							obj_t BgL_g1278z00_2293;

							BgL_g1278z00_2293 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nz00_2221)))->BgL_bindingsz00);
							{
								obj_t BgL_l1276z00_2295;

								BgL_l1276z00_2295 = BgL_g1278z00_2293;
							BgL_zc3anonymousza31558ze3z83_2294:
								if (NULLP(BgL_l1276z00_2295))
									{	/* Sync/failsafe.scm 198 */
										BgL_tmpz00_2500 = ((bool_t) 1);
									}
								else
									{	/* Sync/failsafe.scm 198 */
										obj_t BgL_nvz00_2296;

										{	/* Sync/failsafe.scm 198 */
											obj_t BgL_bz00_2297;

											BgL_bz00_2297 = CAR(((obj_t) BgL_l1276z00_2295));
											{	/* Sync/failsafe.scm 198 */
												obj_t BgL_arg1568z00_2298;

												BgL_arg1568z00_2298 = CDR(((obj_t) BgL_bz00_2297));
												BgL_nvz00_2296 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_arg1568z00_2298),
													BgL_stkz00_2222);
											}
										}
										if (CBOOL(BgL_nvz00_2296))
											{	/* Sync/failsafe.scm 198 */
												obj_t BgL_arg1562z00_2299;

												BgL_arg1562z00_2299 = CDR(((obj_t) BgL_l1276z00_2295));
												{
													obj_t BgL_l1276z00_2520;

													BgL_l1276z00_2520 = BgL_arg1562z00_2299;
													BgL_l1276z00_2295 = BgL_l1276z00_2520;
													goto BgL_zc3anonymousza31558ze3z83_2294;
												}
											}
										else
											{	/* Sync/failsafe.scm 198 */
												BgL_tmpz00_2500 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Sync/failsafe.scm 197 */
							BgL_tmpz00_2500 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2500);
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-let-fun1313 */
	obj_t BGl_z62failsafezf3zd2letzd2fun1313z91zzsync_failsafez00(obj_t
		BgL_envz00_2223, obj_t BgL_nz00_2224, obj_t BgL_stkz00_2225)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 187 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_2224)))->BgL_bodyz00),
				BgL_stkz00_2225);
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-switch1311 */
	obj_t BGl_z62failsafezf3zd2switch1311z43zzsync_failsafez00(obj_t
		BgL_envz00_2226, obj_t BgL_nz00_2227, obj_t BgL_stkz00_2228)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 179 */
			{	/* Sync/failsafe.scm 180 */
				bool_t BgL_tmpz00_2525;

				{	/* Sync/failsafe.scm 181 */
					bool_t BgL_testz00_2526;

					{	/* Sync/failsafe.scm 181 */
						BgL_nodez00_bglt BgL_arg1553z00_2302;

						BgL_arg1553z00_2302 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_2227)))->BgL_testz00);
						BgL_testz00_2526 =
							CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg1553z00_2302,
								BgL_stkz00_2228));
					}
					if (BgL_testz00_2526)
						{	/* Sync/failsafe.scm 182 */
							obj_t BgL_g1274z00_2303;

							BgL_g1274z00_2303 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nz00_2227)))->BgL_clausesz00);
							{
								obj_t BgL_l1272z00_2305;

								BgL_l1272z00_2305 = BgL_g1274z00_2303;
							BgL_zc3anonymousza31539ze3z83_2304:
								if (NULLP(BgL_l1272z00_2305))
									{	/* Sync/failsafe.scm 182 */
										BgL_tmpz00_2525 = ((bool_t) 1);
									}
								else
									{	/* Sync/failsafe.scm 182 */
										obj_t BgL_nvz00_2306;

										{	/* Sync/failsafe.scm 182 */
											obj_t BgL_cz00_2307;

											BgL_cz00_2307 = CAR(((obj_t) BgL_l1272z00_2305));
											{	/* Sync/failsafe.scm 182 */
												obj_t BgL_arg1552z00_2308;

												BgL_arg1552z00_2308 = CDR(((obj_t) BgL_cz00_2307));
												BgL_nvz00_2306 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_arg1552z00_2308),
													BgL_stkz00_2228);
											}
										}
										if (CBOOL(BgL_nvz00_2306))
											{	/* Sync/failsafe.scm 182 */
												obj_t BgL_arg1544z00_2309;

												BgL_arg1544z00_2309 = CDR(((obj_t) BgL_l1272z00_2305));
												{
													obj_t BgL_l1272z00_2545;

													BgL_l1272z00_2545 = BgL_arg1544z00_2309;
													BgL_l1272z00_2305 = BgL_l1272z00_2545;
													goto BgL_zc3anonymousza31539ze3z83_2304;
												}
											}
										else
											{	/* Sync/failsafe.scm 182 */
												BgL_tmpz00_2525 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Sync/failsafe.scm 181 */
							BgL_tmpz00_2525 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2525);
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-conditiona1309 */
	obj_t BGl_z62failsafezf3zd2conditiona1309z43zzsync_failsafez00(obj_t
		BgL_envz00_2229, obj_t BgL_nz00_2230, obj_t BgL_stkz00_2231)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 172 */
			{	/* Sync/failsafe.scm 174 */
				obj_t BgL__andtest_1127z00_2311;

				BgL__andtest_1127z00_2311 =
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_2230)))->BgL_testz00),
					BgL_stkz00_2231);
				if (CBOOL(BgL__andtest_1127z00_2311))
					{	/* Sync/failsafe.scm 174 */
						obj_t BgL__andtest_1128z00_2312;

						BgL__andtest_1128z00_2312 =
							BGl_failsafezf3zf3zzsync_failsafez00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nz00_2230)))->BgL_truez00),
							BgL_stkz00_2231);
						if (CBOOL(BgL__andtest_1128z00_2312))
							{	/* Sync/failsafe.scm 174 */
								return
									BGl_failsafezf3zf3zzsync_failsafez00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nz00_2230)))->
										BgL_falsez00), BgL_stkz00_2231);
							}
						else
							{	/* Sync/failsafe.scm 174 */
								return BFALSE;
							}
					}
				else
					{	/* Sync/failsafe.scm 174 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-setq1307 */
	obj_t BGl_z62failsafezf3zd2setq1307z43zzsync_failsafez00(obj_t
		BgL_envz00_2232, obj_t BgL_nz00_2233, obj_t BgL_stkz00_2234)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 165 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_2233)))->BgL_valuez00),
				BgL_stkz00_2234);
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-cast1305 */
	obj_t BGl_z62failsafezf3zd2cast1305z43zzsync_failsafez00(obj_t
		BgL_envz00_2235, obj_t BgL_nz00_2236, obj_t BgL_stkz00_2237)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 158 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_2236)))->BgL_argz00),
				BgL_stkz00_2237);
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-pragma1303 */
	obj_t BGl_z62failsafezf3zd2pragma1303z43zzsync_failsafez00(obj_t
		BgL_envz00_2238, obj_t BgL_nz00_2239, obj_t BgL_stkz00_2240)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 152 */
			return BBOOL(((bool_t) 0));
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-extern1301 */
	obj_t BGl_z62failsafezf3zd2extern1301z43zzsync_failsafez00(obj_t
		BgL_envz00_2241, obj_t BgL_nz00_2242, obj_t BgL_stkz00_2243)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 145 */
			{	/* Sync/failsafe.scm 146 */
				bool_t BgL_tmpz00_2567;

				{	/* Sync/failsafe.scm 147 */
					obj_t BgL_g1270z00_2317;

					BgL_g1270z00_2317 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nz00_2242)))->BgL_exprza2za2);
					{
						obj_t BgL_l1268z00_2319;

						BgL_l1268z00_2319 = BgL_g1270z00_2317;
					BgL_zc3anonymousza31513ze3z83_2318:
						if (NULLP(BgL_l1268z00_2319))
							{	/* Sync/failsafe.scm 147 */
								BgL_tmpz00_2567 = ((bool_t) 1);
							}
						else
							{	/* Sync/failsafe.scm 147 */
								obj_t BgL_nvz00_2320;

								{	/* Sync/failsafe.scm 147 */
									obj_t BgL_nz00_2321;

									BgL_nz00_2321 = CAR(((obj_t) BgL_l1268z00_2319));
									BgL_nvz00_2320 =
										BGl_failsafezf3zf3zzsync_failsafez00(
										((BgL_nodez00_bglt) BgL_nz00_2321), BgL_stkz00_2243);
								}
								if (CBOOL(BgL_nvz00_2320))
									{	/* Sync/failsafe.scm 147 */
										obj_t BgL_arg1524z00_2322;

										BgL_arg1524z00_2322 = CDR(((obj_t) BgL_l1268z00_2319));
										{
											obj_t BgL_l1268z00_2580;

											BgL_l1268z00_2580 = BgL_arg1524z00_2322;
											BgL_l1268z00_2319 = BgL_l1268z00_2580;
											goto BgL_zc3anonymousza31513ze3z83_2318;
										}
									}
								else
									{	/* Sync/failsafe.scm 147 */
										BgL_tmpz00_2567 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2567);
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe-fun?-cfun1299 */
	obj_t BGl_z62failsafezd2funzf3zd2cfun1299z91zzsync_failsafez00(obj_t
		BgL_envz00_2244, obj_t BgL_funz00_2245, obj_t BgL_varz00_2246,
		obj_t BgL_stkz00_2247)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 130 */
			{	/* Sync/failsafe.scm 133 */
				bool_t BgL_testz00_2582;

				{	/* Sync/failsafe.scm 133 */
					obj_t BgL_tmpz00_2583;

					BgL_tmpz00_2583 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_cfunz00_bglt) BgL_funz00_2245))))->BgL_failsafez00);
					BgL_testz00_2582 = BOOLEANP(BgL_tmpz00_2583);
				}
				if (BgL_testz00_2582)
					{	/* Sync/failsafe.scm 133 */
						return
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										((BgL_cfunz00_bglt) BgL_funz00_2245))))->BgL_failsafez00);
					}
				else
					{	/* Sync/failsafe.scm 135 */
						bool_t BgL_testz00_2591;

						{	/* Sync/failsafe.scm 135 */
							bool_t BgL_res1782z00_2325;

							BgL_res1782z00_2325 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t)
									((BgL_variablez00_bglt) BgL_varz00_2246)),
								BGl_globalz00zzast_varz00);
							BgL_testz00_2591 = BgL_res1782z00_2325;
						}
						if (BgL_testz00_2591)
							{	/* Sync/failsafe.scm 135 */
								{
									obj_t BgL_auxz00_2595;

									{	/* Sync/failsafe.scm 137 */
										bool_t BgL_tmpz00_2598;

										{	/* Sync/failsafe.scm 137 */
											obj_t BgL_tmpz00_2599;

											BgL_tmpz00_2599 =
												BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(
													((long) 0)),
												(((BgL_globalz00_bglt)
														COBJECT(((BgL_globalz00_bglt) (
																	(BgL_variablez00_bglt) BgL_varz00_2246))))->
													BgL_pragmaz00));
											BgL_tmpz00_2598 = PAIRP(BgL_tmpz00_2599);
										}
										BgL_auxz00_2595 = BBOOL(BgL_tmpz00_2598);
									}
									((((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt)
														((BgL_cfunz00_bglt) BgL_funz00_2245))))->
											BgL_failsafez00) = ((obj_t) BgL_auxz00_2595), BUNSPEC);
								}
								return
									(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt)
												((BgL_cfunz00_bglt) BgL_funz00_2245))))->
									BgL_failsafez00);
							}
						else
							{	/* Sync/failsafe.scm 135 */
								return BFALSE;
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe-fun?-sfun1297 */
	obj_t BGl_z62failsafezd2funzf3zd2sfun1297z91zzsync_failsafez00(obj_t
		BgL_envz00_2248, obj_t BgL_funz00_2249, obj_t BgL_varz00_2250,
		obj_t BgL_stkz00_2251)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 108 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							((BgL_variablez00_bglt) BgL_varz00_2250)), BgL_stkz00_2251)))
				{	/* Sync/failsafe.scm 111 */
					return BTRUE;
				}
			else
				{	/* Sync/failsafe.scm 113 */
					bool_t BgL_testz00_2616;

					{	/* Sync/failsafe.scm 113 */
						obj_t BgL_tmpz00_2617;

						BgL_tmpz00_2617 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										((BgL_sfunz00_bglt) BgL_funz00_2249))))->BgL_failsafez00);
						BgL_testz00_2616 = BOOLEANP(BgL_tmpz00_2617);
					}
					if (BgL_testz00_2616)
						{	/* Sync/failsafe.scm 113 */
							return
								(((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt)
											((BgL_sfunz00_bglt) BgL_funz00_2249))))->BgL_failsafez00);
						}
					else
						{	/* Sync/failsafe.scm 115 */
							bool_t BgL_testz00_2625;

							{	/* Sync/failsafe.scm 115 */
								bool_t BgL_testz00_2626;

								{	/* Sync/failsafe.scm 115 */
									bool_t BgL_res1778z00_2328;

									BgL_res1778z00_2328 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t)
											((BgL_variablez00_bglt) BgL_varz00_2250)),
										BGl_globalz00zzast_varz00);
									BgL_testz00_2626 = BgL_res1778z00_2328;
								}
								if (BgL_testz00_2626)
									{	/* Sync/failsafe.scm 115 */
										bool_t BgL_testz00_2630;

										{	/* Sync/failsafe.scm 115 */
											obj_t BgL_arg1496z00_2329;

											BgL_arg1496z00_2329 =
												(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt)
															((BgL_variablez00_bglt) BgL_varz00_2250))))->
												BgL_modulez00);
											BgL_testz00_2630 =
												(BgL_arg1496z00_2329 ==
												BGl_za2moduleza2z00zzmodule_modulez00);
										}
										if (BgL_testz00_2630)
											{	/* Sync/failsafe.scm 115 */
												BgL_testz00_2625 = ((bool_t) 0);
											}
										else
											{	/* Sync/failsafe.scm 115 */
												BgL_testz00_2625 = ((bool_t) 1);
											}
									}
								else
									{	/* Sync/failsafe.scm 115 */
										BgL_testz00_2625 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_2625)
								{	/* Sync/failsafe.scm 115 */
									{
										obj_t BgL_auxz00_2635;

										{	/* Sync/failsafe.scm 118 */
											bool_t BgL_tmpz00_2638;

											{	/* Sync/failsafe.scm 118 */
												obj_t BgL_tmpz00_2639;

												BgL_tmpz00_2639 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 0)),
													(((BgL_globalz00_bglt)
															COBJECT(((BgL_globalz00_bglt) (
																		(BgL_variablez00_bglt) BgL_varz00_2250))))->
														BgL_pragmaz00));
												BgL_tmpz00_2638 = PAIRP(BgL_tmpz00_2639);
											}
											BgL_auxz00_2635 = BBOOL(BgL_tmpz00_2638);
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt) BgL_funz00_2249))))->
												BgL_failsafez00) = ((obj_t) BgL_auxz00_2635), BUNSPEC);
									}
									return
										(((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_2249))))->
										BgL_failsafez00);
								}
							else
								{	/* Sync/failsafe.scm 122 */
									obj_t BgL_fsafez00_2330;

									{	/* Sync/failsafe.scm 122 */
										obj_t BgL_arg1487z00_2331;
										obj_t BgL_arg1495z00_2332;

										BgL_arg1487z00_2331 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2249)))->BgL_bodyz00);
										BgL_arg1495z00_2332 =
											MAKE_YOUNG_PAIR(
											((obj_t)
												((BgL_variablez00_bglt) BgL_varz00_2250)),
											BgL_stkz00_2251);
										BgL_fsafez00_2330 =
											BGl_failsafezf3zf3zzsync_failsafez00(((BgL_nodez00_bglt)
												BgL_arg1487z00_2331), BgL_arg1495z00_2332);
									}
									if (NULLP(BgL_stkz00_2251))
										{	/* Sync/failsafe.scm 124 */
											((((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt)
																((BgL_sfunz00_bglt) BgL_funz00_2249))))->
													BgL_failsafez00) =
												((obj_t) BgL_fsafez00_2330), BUNSPEC);
										}
									else
										{	/* Sync/failsafe.scm 124 */
											BFALSE;
										}
									return BgL_fsafez00_2330;
								}
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-app1293 */
	obj_t BGl_z62failsafezf3zd2app1293z43zzsync_failsafez00(obj_t BgL_envz00_2252,
		obj_t BgL_nz00_2253, obj_t BgL_stkz00_2254)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 93 */
			{	/* Sync/failsafe.scm 94 */
				bool_t BgL_tmpz00_2663;

				{	/* Sync/failsafe.scm 95 */
					BgL_variablez00_bglt BgL_vz00_2334;

					BgL_vz00_2334 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nz00_2253)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Sync/failsafe.scm 96 */
						bool_t BgL_testz00_2667;

						{	/* Sync/failsafe.scm 96 */
							BgL_valuez00_bglt BgL_arg1433z00_2335;

							BgL_arg1433z00_2335 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2334))->BgL_valuez00);
							BgL_testz00_2667 =
								CBOOL(BGl_failsafezd2funzf3z21zzsync_failsafez00(
									((BgL_funz00_bglt) BgL_arg1433z00_2335), BgL_vz00_2334,
									BgL_stkz00_2254));
						}
						if (BgL_testz00_2667)
							{	/* Sync/failsafe.scm 97 */
								obj_t BgL_g1266z00_2336;

								BgL_g1266z00_2336 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nz00_2253)))->BgL_argsz00);
								{
									obj_t BgL_l1264z00_2338;

									BgL_l1264z00_2338 = BgL_g1266z00_2336;
								BgL_zc3anonymousza31417ze3z83_2337:
									if (NULLP(BgL_l1264z00_2338))
										{	/* Sync/failsafe.scm 97 */
											BgL_tmpz00_2663 = ((bool_t) 1);
										}
									else
										{	/* Sync/failsafe.scm 97 */
											obj_t BgL_nvz00_2339;

											{	/* Sync/failsafe.scm 97 */
												obj_t BgL_nz00_2340;

												BgL_nz00_2340 = CAR(((obj_t) BgL_l1264z00_2338));
												BgL_nvz00_2339 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_nz00_2340), BgL_stkz00_2254);
											}
											if (CBOOL(BgL_nvz00_2339))
												{	/* Sync/failsafe.scm 97 */
													obj_t BgL_arg1423z00_2341;

													BgL_arg1423z00_2341 =
														CDR(((obj_t) BgL_l1264z00_2338));
													{
														obj_t BgL_l1264z00_2684;

														BgL_l1264z00_2684 = BgL_arg1423z00_2341;
														BgL_l1264z00_2338 = BgL_l1264z00_2684;
														goto BgL_zc3anonymousza31417ze3z83_2337;
													}
												}
											else
												{	/* Sync/failsafe.scm 97 */
													BgL_tmpz00_2663 = ((bool_t) 0);
												}
										}
								}
							}
						else
							{	/* Sync/failsafe.scm 96 */
								BgL_tmpz00_2663 = ((bool_t) 0);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2663);
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-sync1291 */
	obj_t BGl_z62failsafezf3zd2sync1291z43zzsync_failsafez00(obj_t
		BgL_envz00_2255, obj_t BgL_nz00_2256, obj_t BgL_stkz00_2257)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 84 */
			{	/* Sync/failsafe.scm 86 */
				obj_t BgL__andtest_1115z00_2343;

				BgL__andtest_1115z00_2343 =
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_2256)))->BgL_mutexz00),
					BgL_stkz00_2257);
				if (CBOOL(BgL__andtest_1115z00_2343))
					{	/* Sync/failsafe.scm 87 */
						obj_t BgL__andtest_1116z00_2344;

						BgL__andtest_1116z00_2344 =
							BGl_failsafezf3zf3zzsync_failsafez00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nz00_2256)))->BgL_prelockz00),
							BgL_stkz00_2257);
						if (CBOOL(BgL__andtest_1116z00_2344))
							{	/* Sync/failsafe.scm 87 */
								return
									BGl_failsafezf3zf3zzsync_failsafez00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nz00_2256)))->BgL_bodyz00),
									BgL_stkz00_2257);
							}
						else
							{	/* Sync/failsafe.scm 87 */
								return BFALSE;
							}
					}
				else
					{	/* Sync/failsafe.scm 86 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-sequence1289 */
	obj_t BGl_z62failsafezf3zd2sequence1289z43zzsync_failsafez00(obj_t
		BgL_envz00_2258, obj_t BgL_nz00_2259, obj_t BgL_stkz00_2260)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 77 */
			{	/* Sync/failsafe.scm 78 */
				bool_t BgL_tmpz00_2699;

				{	/* Sync/failsafe.scm 79 */
					obj_t BgL_g1262z00_2346;

					BgL_g1262z00_2346 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nz00_2259)))->BgL_nodesz00);
					{
						obj_t BgL_l1260z00_2348;

						BgL_l1260z00_2348 = BgL_g1262z00_2346;
					BgL_zc3anonymousza31391ze3z83_2347:
						if (NULLP(BgL_l1260z00_2348))
							{	/* Sync/failsafe.scm 79 */
								BgL_tmpz00_2699 = ((bool_t) 1);
							}
						else
							{	/* Sync/failsafe.scm 79 */
								obj_t BgL_nvz00_2349;

								{	/* Sync/failsafe.scm 79 */
									obj_t BgL_nz00_2350;

									BgL_nz00_2350 = CAR(((obj_t) BgL_l1260z00_2348));
									BgL_nvz00_2349 =
										BGl_failsafezf3zf3zzsync_failsafez00(
										((BgL_nodez00_bglt) BgL_nz00_2350), BgL_stkz00_2260);
								}
								if (CBOOL(BgL_nvz00_2349))
									{	/* Sync/failsafe.scm 79 */
										obj_t BgL_arg1397z00_2351;

										BgL_arg1397z00_2351 = CDR(((obj_t) BgL_l1260z00_2348));
										{
											obj_t BgL_l1260z00_2712;

											BgL_l1260z00_2712 = BgL_arg1397z00_2351;
											BgL_l1260z00_2348 = BgL_l1260z00_2712;
											goto BgL_zc3anonymousza31391ze3z83_2347;
										}
									}
								else
									{	/* Sync/failsafe.scm 79 */
										BgL_tmpz00_2699 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2699);
			}
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-kwote1287 */
	obj_t BGl_z62failsafezf3zd2kwote1287z43zzsync_failsafez00(obj_t
		BgL_envz00_2261, obj_t BgL_nz00_2262, obj_t BgL_stkz00_2263)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 71 */
			return BBOOL(((bool_t) 1));
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-var1285 */
	obj_t BGl_z62failsafezf3zd2var1285z43zzsync_failsafez00(obj_t BgL_envz00_2264,
		obj_t BgL_nz00_2265, obj_t BgL_stkz00_2266)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 65 */
			return BBOOL(((bool_t) 1));
		}
		BGL_FUNCTION_END;
	}



/* &failsafe?-atom1283 */
	obj_t BGl_z62failsafezf3zd2atom1283z43zzsync_failsafez00(obj_t
		BgL_envz00_2267, obj_t BgL_nz00_2268, obj_t BgL_stkz00_2269)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 59 */
			return BBOOL(((bool_t) 1));
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string1812z00zzsync_failsafez00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
