/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate_uncomp.scm -indent -o objs/obj_u/Eval/evaluate_uncomp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62uncompzd2ev_setlocal1218zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62uncomp1194z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t
		BGl_z62uncompzd2ev_bindzd2exit1220z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_prog21210zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00();
	static obj_t
		BGl_z62uncompzd2ev_unwindzd2pro1222z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_goto1236zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_keyword2059z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2025z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_labels1234zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2051z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2053z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2055z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2057z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2061z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2063z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2065z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2067z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2069z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00();
	static obj_t BGl_symbol2071z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2073z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2075z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2077z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2079z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2081z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2083z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_trap1212zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t
		BGl_z62uncompzd2ev_withzd2handl1224z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
		BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_let1228zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_defglobal1216zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_var1198zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_setglobal1214zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_app1238zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_and1208zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62uncompzd2ev_synchroniza71226z17zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62uncompzd2ev_if1204zb0zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_global1200zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62uncompzd2ev_abs1240zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_litt1202zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_letza21230z12zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t bstring_to_keyword(obj_t);
	static obj_t BGl_z62uncompzd2ev_letrec1232zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_or1206zb0zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2031z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2086z00,
		BGl_z62uncompzd2ev_litt1202zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2032z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_i2087z00,
		BGl_z62uncompzd2ev_if1204zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2033z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_o2088z00,
		BGl_z62uncompzd2ev_or1206zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2034z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2089z00,
		BGl_z62uncompzd2ev_and1208zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2035z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_p2090z00,
		BGl_z62uncompzd2ev_prog21210zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2036z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_t2091z00,
		BGl_z62uncompzd2ev_trap1212zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2037z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2092z00,
		BGl_z62uncompzd2ev_setglobal1214zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2038z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_d2093z00,
		BGl_z62uncompzd2ev_defglobal1216zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2039z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2094z00,
		BGl_z62uncompzd2ev_setlocal1218zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2040z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_b2095z00,
		BGl_z62uncompzd2ev_bindzd2exit1220z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2041z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_u2096z00,
		BGl_z62uncompzd2ev_unwindzd2pro1222z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2042z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_w2097z00,
		BGl_z62uncompzd2ev_withzd2handl1224z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2043z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2098z00,
		BGl_z62uncompzd2ev_synchroniza71226z17zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2044z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2099z00,
		BGl_z62uncompzd2ev_let1228zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2045z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2100z00,
		BGl_z62uncompzd2ev_letza21230z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2046z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2101z00,
		BGl_z62uncompzd2ev_letrec1232zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2047z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2102z00,
		BGl_z62uncompzd2ev_labels1234zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2048z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g2103z00,
		BGl_z62uncompzd2ev_goto1236zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2049z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2104z00,
		BGl_z62uncompzd2ev_app1238zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2050z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2105z00,
		BGl_z62uncompzd2ev_abs1240zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza762za7za7__2106z00,
		BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2020z00zz__evaluate_uncompz00,
		BgL_bgl_string2020za700za7za7_2107za7,
		"/tmp/bigloo/runtime/Eval/evaluate_uncomp.scm", 44);
	      DEFINE_STRING(BGl_string2021z00zz__evaluate_uncompz00,
		BgL_bgl_string2021za700za7za7_2108za7, "&uncompile", 10);
	      DEFINE_STRING(BGl_string2022z00zz__evaluate_uncompz00,
		BgL_bgl_string2022za700za7za7_2109za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string2024z00zz__evaluate_uncompz00,
		BgL_bgl_string2024za700za7za7_2110za7, "uncomp1194", 10);
	      DEFINE_STRING(BGl_string2026z00zz__evaluate_uncompz00,
		BgL_bgl_string2026za700za7za7_2111za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2027z00zz__evaluate_uncompz00,
		BgL_bgl_string2027za700za7za7_2112za7, "&uncomp", 7);
	      DEFINE_STRING(BGl_string2029z00zz__evaluate_uncompz00,
		BgL_bgl_string2029za700za7za7_2113za7, "uncomp", 6);
	      DEFINE_STRING(BGl_string2052z00zz__evaluate_uncompz00,
		BgL_bgl_string2052za700za7za7_2114za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2054z00zz__evaluate_uncompz00,
		BgL_bgl_string2054za700za7za7_2115za7, "letrec", 6);
	      DEFINE_STRING(BGl_string2056z00zz__evaluate_uncompz00,
		BgL_bgl_string2056za700za7za7_2116za7, "let*", 4);
	      DEFINE_STRING(BGl_string2058z00zz__evaluate_uncompz00,
		BgL_bgl_string2058za700za7za7_2117za7, "let", 3);
	      DEFINE_STRING(BGl_string2060z00zz__evaluate_uncompz00,
		BgL_bgl_string2060za700za7za7_2118za7, "prelock", 7);
	      DEFINE_STRING(BGl_string2062z00zz__evaluate_uncompz00,
		BgL_bgl_string2062za700za7za7_2119za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string2064z00zz__evaluate_uncompz00,
		BgL_bgl_string2064za700za7za7_2120za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string2066z00zz__evaluate_uncompz00,
		BgL_bgl_string2066za700za7za7_2121za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string2068z00zz__evaluate_uncompz00,
		BgL_bgl_string2068za700za7za7_2122za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string2070z00zz__evaluate_uncompz00,
		BgL_bgl_string2070za700za7za7_2123za7, "set!", 4);
	      DEFINE_STRING(BGl_string2072z00zz__evaluate_uncompz00,
		BgL_bgl_string2072za700za7za7_2124za7, "define", 6);
	      DEFINE_STRING(BGl_string2074z00zz__evaluate_uncompz00,
		BgL_bgl_string2074za700za7za7_2125za7, "trap", 4);
	      DEFINE_STRING(BGl_string2076z00zz__evaluate_uncompz00,
		BgL_bgl_string2076za700za7za7_2126za7, "begin", 5);
	      DEFINE_STRING(BGl_string2078z00zz__evaluate_uncompz00,
		BgL_bgl_string2078za700za7za7_2127za7, "and", 3);
	      DEFINE_STRING(BGl_string2080z00zz__evaluate_uncompz00,
		BgL_bgl_string2080za700za7za7_2128za7, "or", 2);
	      DEFINE_STRING(BGl_string2082z00zz__evaluate_uncompz00,
		BgL_bgl_string2082za700za7za7_2129za7, "if", 2);
	      DEFINE_STRING(BGl_string2084z00zz__evaluate_uncompz00,
		BgL_bgl_string2084za700za7za7_2130za7, "quote", 5);
	      DEFINE_STRING(BGl_string2085z00zz__evaluate_uncompz00,
		BgL_bgl_string2085za700za7za7_2131za7, "__evaluate_uncomp", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncompilezd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompileza762za72132za7,
		BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2023z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncomp1194za7622133z00,
		BGl_z62uncomp1194z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2028z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_v2134z00,
		BGl_z62uncompzd2ev_var1198zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2030z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g2135z00,
		BGl_z62uncompzd2ev_global1200zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_keyword2059z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2025z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2051z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2053z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2055z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2057z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2061z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2063z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2065z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2067z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2069z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2071z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2073z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2075z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2077z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2079z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2081z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2083z00zz__evaluate_uncompz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long
		BgL_checksumz00_2924, char *BgL_fromz00_2925)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_uncompz00();
					BGl_cnstzd2initzd2zz__evaluate_uncompz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
					BGl_genericzd2initzd2zz__evaluate_uncompz00();
					BGl_methodzd2initzd2zz__evaluate_uncompz00();
					return BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_symbol2025z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2024z00zz__evaluate_uncompz00);
			BGl_symbol2051z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2052z00zz__evaluate_uncompz00);
			BGl_symbol2053z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2054z00zz__evaluate_uncompz00);
			BGl_symbol2055z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2056z00zz__evaluate_uncompz00);
			BGl_symbol2057z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2058z00zz__evaluate_uncompz00);
			BGl_keyword2059z00zz__evaluate_uncompz00 =
				bstring_to_keyword(BGl_string2060z00zz__evaluate_uncompz00);
			BGl_symbol2061z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2062z00zz__evaluate_uncompz00);
			BGl_symbol2063z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2064z00zz__evaluate_uncompz00);
			BGl_symbol2065z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2066z00zz__evaluate_uncompz00);
			BGl_symbol2067z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2068z00zz__evaluate_uncompz00);
			BGl_symbol2069z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2070z00zz__evaluate_uncompz00);
			BGl_symbol2071z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2072z00zz__evaluate_uncompz00);
			BGl_symbol2073z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2074z00zz__evaluate_uncompz00);
			BGl_symbol2075z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2076z00zz__evaluate_uncompz00);
			BGl_symbol2077z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2078z00zz__evaluate_uncompz00);
			BGl_symbol2079z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2080z00zz__evaluate_uncompz00);
			BGl_symbol2081z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2082z00zz__evaluate_uncompz00);
			return (BGl_symbol2083z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2084z00zz__evaluate_uncompz00), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* uncompile */
	BGL_EXPORTED_DEF obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 62 */
			return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);
		}
		BGL_FUNCTION_END;
	}



/* &uncompile */
	obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2582,
		obj_t BgL_ez00_2583)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 62 */
			{	/* Eval/evaluate_uncomp.scm 63 */
				BgL_ev_exprz00_bglt BgL_auxz00_2955;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2583,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 63 */
						BgL_auxz00_2955 = ((BgL_ev_exprz00_bglt) BgL_ez00_2583);
					}
				else
					{
						obj_t BgL_auxz00_2959;

						BgL_auxz00_2959 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2020z00zz__evaluate_uncompz00, BINT(((long) 1816)),
							BGl_string2021z00zz__evaluate_uncompz00,
							BGl_string2022z00zz__evaluate_uncompz00, BgL_ez00_2583);
						FAILURE(BgL_auxz00_2959, BFALSE, BFALSE);
					}
				return BGl_uncompilez00zz__evaluate_uncompz00(BgL_auxz00_2955);
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_proc2023z00zz__evaluate_uncompz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2024z00zz__evaluate_uncompz00);
		}
		BGL_FUNCTION_END;
	}



/* &uncomp1194 */
	obj_t BGl_z62uncomp1194z62zz__evaluate_uncompz00(obj_t BgL_envz00_2585,
		obj_t BgL_ez00_2586)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 65 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol2025z00zz__evaluate_uncompz00,
				BGl_string2026z00zz__evaluate_uncompz00,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_2586)));
		}
		BGL_FUNCTION_END;
	}



/* uncomp */
	obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				obj_t BgL_method1196z00_1086;

				{	/* Eval/evaluate_uncomp.scm 65 */
					obj_t BgL_res1869z00_1931;

					{	/* Eval/evaluate_uncomp.scm 65 */
						long BgL_objzd2classzd2numz00_1888;

						{	/* Eval/evaluate_uncomp.scm 65 */
							long BgL_res1858z00_1891;

							BgL_res1858z00_1891 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_4));
							BgL_objzd2classzd2numz00_1888 = BgL_res1858z00_1891;
						}
						{	/* Eval/evaluate_uncomp.scm 65 */
							obj_t BgL_arg1850z00_1889;

							BgL_arg1850z00_1889 =
								PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
								(int) (((long) 1)));
							{	/* Eval/evaluate_uncomp.scm 65 */
								int BgL_offsetz00_1893;

								BgL_offsetz00_1893 = (int) (BgL_objzd2classzd2numz00_1888);
								{	/* Eval/evaluate_uncomp.scm 65 */
									long BgL_offsetz00_1894;

									BgL_offsetz00_1894 =
										((long) (BgL_offsetz00_1893) - OBJECT_TYPE);
									{	/* Eval/evaluate_uncomp.scm 65 */
										long BgL_modz00_1895;

										{	/* Eval/evaluate_uncomp.scm 65 */
											int BgL_arg1853z00_1896;

											BgL_arg1853z00_1896 = (int) (((long) 16));
											{	/* Eval/evaluate_uncomp.scm 65 */
												long BgL_res1861z00_1906;

												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_tmpz00_2976;

													BgL_tmpz00_2976 = (long) (BgL_arg1853z00_1896);
													BgL_res1861z00_1906 =
														(BgL_offsetz00_1894 / BgL_tmpz00_2976);
												}
												BgL_modz00_1895 = BgL_res1861z00_1906;
										}}
										{	/* Eval/evaluate_uncomp.scm 65 */
											long BgL_restz00_1897;

											{	/* Eval/evaluate_uncomp.scm 65 */
												int BgL_arg1851z00_1898;

												BgL_arg1851z00_1898 = (int) (((long) 16));
												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_res1868z00_1926;

													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_n1z00_1908;
														long BgL_n2z00_1909;

														BgL_n1z00_1908 = BgL_offsetz00_1894;
														BgL_n2z00_1909 = (long) (BgL_arg1851z00_1898);
														{	/* Eval/evaluate_uncomp.scm 65 */
															bool_t BgL_testz00_2981;

															{	/* Eval/evaluate_uncomp.scm 65 */
																long BgL_arg1717z00_1911;

																BgL_arg1717z00_1911 =
																	(((BgL_n1z00_1908) | (BgL_n2z00_1909)) &
																	-2147483648);
																BgL_testz00_2981 =
																	(BgL_arg1717z00_1911 == ((long) 0));
															}
															if (BgL_testz00_2981)
																{	/* Eval/evaluate_uncomp.scm 65 */
																	int32_t BgL_arg1714z00_1912;

																	{	/* Eval/evaluate_uncomp.scm 65 */
																		int32_t BgL_arg1715z00_1913;
																		int32_t BgL_arg1716z00_1914;

																		{	/* Eval/evaluate_uncomp.scm 65 */
																			int32_t BgL_res1864z00_1918;

																			BgL_res1864z00_1918 =
																				(int32_t) (BgL_n1z00_1908);
																			BgL_arg1715z00_1913 = BgL_res1864z00_1918;
																		}
																		{	/* Eval/evaluate_uncomp.scm 65 */
																			int32_t BgL_res1865z00_1920;

																			BgL_res1865z00_1920 =
																				(int32_t) (BgL_n2z00_1909);
																			BgL_arg1716z00_1914 = BgL_res1865z00_1920;
																		}
																		BgL_arg1714z00_1912 =
																			(BgL_arg1715z00_1913 %
																			BgL_arg1716z00_1914);
																	}
																	{	/* Eval/evaluate_uncomp.scm 65 */
																		long BgL_res1867z00_1925;

																		{	/* Eval/evaluate_uncomp.scm 65 */
																			long BgL_arg1823z00_1922;

																			BgL_arg1823z00_1922 =
																				(long) (BgL_arg1714z00_1912);
																			{	/* Eval/evaluate_uncomp.scm 65 */
																				long BgL_res1866z00_1924;

																				BgL_res1866z00_1924 =
																					(long) (BgL_arg1823z00_1922);
																				BgL_res1867z00_1925 =
																					BgL_res1866z00_1924;
																		}}
																		BgL_res1868z00_1926 = BgL_res1867z00_1925;
																}}
															else
																{	/* Eval/evaluate_uncomp.scm 65 */
																	BgL_res1868z00_1926 =
																		(BgL_n1z00_1908 % BgL_n2z00_1909);
																}
														}
													}
													BgL_restz00_1897 = BgL_res1868z00_1926;
												}
											}
											{	/* Eval/evaluate_uncomp.scm 65 */

												{	/* Eval/evaluate_uncomp.scm 65 */
													obj_t BgL_bucketz00_1899;

													BgL_bucketz00_1899 =
														VECTOR_REF(
														((obj_t) BgL_arg1850z00_1889), BgL_modz00_1895);
													BgL_res1869z00_1931 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1899), BgL_restz00_1897);
												}
											}
										}
									}
								}
							}
						}
					}
					BgL_method1196z00_1086 = BgL_res1869z00_1931;
				}
				return
					PROCEDURE_ENTRY(BgL_method1196z00_1086) (BgL_method1196z00_1086,
					((obj_t) BgL_ez00_4), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp */
	obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2587,
		obj_t BgL_ez00_2588)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				BgL_ev_exprz00_bglt BgL_auxz00_2999;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2588,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 65 */
						BgL_auxz00_2999 = ((BgL_ev_exprz00_bglt) BgL_ez00_2588);
					}
				else
					{
						obj_t BgL_auxz00_3003;

						BgL_auxz00_3003 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2020z00zz__evaluate_uncompz00, BINT(((long) 1830)),
							BGl_string2027z00zz__evaluate_uncompz00,
							BGl_string2022z00zz__evaluate_uncompz00, BgL_ez00_2588);
						FAILURE(BgL_auxz00_3003, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2999);
			}
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2028z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2030z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2031z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2032z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_orz00zz__evaluate_typesz00,
				BGl_proc2033z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc2034z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2035z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc2036z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc2037z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc2038z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2039z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2040z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2041z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2042z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2043z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2044z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2045z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2046z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2047z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2048z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2049z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2050z00zz__evaluate_uncompz00,
				BGl_string2029z00zz__evaluate_uncompz00);
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_abs1240 */
	obj_t BGl_z62uncompzd2ev_abs1240zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2611, obj_t BgL_ez00_2612)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 157 */
			{	/* Eval/evaluate_uncomp.scm 166 */
				obj_t BgL_arg1495z00_2665;

				{	/* Eval/evaluate_uncomp.scm 166 */
					obj_t BgL_arg1496z00_2666;
					obj_t BgL_arg1497z00_2667;

					{	/* Eval/evaluate_uncomp.scm 166 */
						obj_t BgL_arg1498z00_2668;
						obj_t BgL_arg1499z00_2669;

						BgL_arg1498z00_2668 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_2612)))->BgL_arityz00);
						{	/* Eval/evaluate_uncomp.scm 166 */
							obj_t BgL_l1177z00_2670;

							BgL_l1177z00_2670 =
								(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_2612)))->BgL_varsz00);
							if (NULLP(BgL_l1177z00_2670))
								{	/* Eval/evaluate_uncomp.scm 166 */
									BgL_arg1499z00_2669 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 166 */
									obj_t BgL_head1179z00_2671;

									{	/* Eval/evaluate_uncomp.scm 166 */
										obj_t BgL_res1934z00_2672;

										BgL_res1934z00_2672 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										BgL_head1179z00_2671 = BgL_res1934z00_2672;
									}
									{
										obj_t BgL_l1177z00_2674;
										obj_t BgL_tail1180z00_2675;

										BgL_l1177z00_2674 = BgL_l1177z00_2670;
										BgL_tail1180z00_2675 = BgL_head1179z00_2671;
									BgL_zc3anonymousza31501ze3z83_2673:
										if (NULLP(BgL_l1177z00_2674))
											{	/* Eval/evaluate_uncomp.scm 166 */
												BgL_arg1499z00_2669 = CDR(BgL_head1179z00_2671);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 166 */
												obj_t BgL_newtail1181z00_2676;

												{	/* Eval/evaluate_uncomp.scm 166 */
													obj_t BgL_arg1505z00_2677;

													BgL_arg1505z00_2677 =
														(((BgL_ev_varz00_bglt) COBJECT(
																((BgL_ev_varz00_bglt)
																	CAR(
																		((obj_t) BgL_l1177z00_2674)))))->
														BgL_namez00);
													{	/* Eval/evaluate_uncomp.scm 166 */
														obj_t BgL_res1940z00_2678;

														BgL_res1940z00_2678 =
															MAKE_YOUNG_PAIR(BgL_arg1505z00_2677, BNIL);
														BgL_newtail1181z00_2676 = BgL_res1940z00_2678;
													}
												}
												SET_CDR(BgL_tail1180z00_2675, BgL_newtail1181z00_2676);
												{	/* Eval/evaluate_uncomp.scm 166 */
													obj_t BgL_arg1504z00_2679;

													BgL_arg1504z00_2679 =
														CDR(((obj_t) BgL_l1177z00_2674));
													{
														obj_t BgL_tail1180z00_3049;
														obj_t BgL_l1177z00_3048;

														BgL_l1177z00_3048 = BgL_arg1504z00_2679;
														BgL_tail1180z00_3049 = BgL_newtail1181z00_2676;
														BgL_tail1180z00_2675 = BgL_tail1180z00_3049;
														BgL_l1177z00_2674 = BgL_l1177z00_3048;
														goto BgL_zc3anonymousza31501ze3z83_2673;
													}
												}
											}
									}
								}
						}
						BgL_arg1496z00_2666 =
							BGl_redovarsze70ze7zz__evaluate_uncompz00(BgL_arg1498z00_2668,
							BgL_arg1499z00_2669);
					}
					BgL_arg1497z00_2667 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_2612)))->BgL_bodyz00)),
						BNIL);
					BgL_arg1495z00_2665 =
						MAKE_YOUNG_PAIR(BgL_arg1496z00_2666, BgL_arg1497z00_2667);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2051z00zz__evaluate_uncompz00,
					BgL_arg1495z00_2665);
			}
		}
		BGL_FUNCTION_END;
	}



/* rec~0 */
	obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t BgL_lz00_1493)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 162 */
			if (NULLP(CDR(((obj_t) BgL_lz00_1493))))
				{	/* Eval/evaluate_uncomp.scm 163 */
					return CAR(((obj_t) BgL_lz00_1493));
				}
			else
				{	/* Eval/evaluate_uncomp.scm 165 */
					obj_t BgL_arg1515z00_1497;
					obj_t BgL_arg1517z00_1498;

					BgL_arg1515z00_1497 = CAR(((obj_t) BgL_lz00_1493));
					{	/* Eval/evaluate_uncomp.scm 165 */
						obj_t BgL_arg1520z00_1499;

						BgL_arg1520z00_1499 = CDR(((obj_t) BgL_lz00_1493));
						BgL_arg1517z00_1498 =
							BGl_recze70ze7zz__evaluate_uncompz00(BgL_arg1520z00_1499);
					}
					return MAKE_YOUNG_PAIR(BgL_arg1515z00_1497, BgL_arg1517z00_1498);
				}
		}
		BGL_FUNCTION_END;
	}



/* redovars~0 */
	obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t BgL_nz00_1488,
		obj_t BgL_lz00_1489)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 165 */
			if (((long) CINT(BgL_nz00_1488) >= ((long) 0)))
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BgL_lz00_1489;
				}
			else
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BGl_recze70ze7zz__evaluate_uncompz00(BgL_lz00_1489);
				}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_app1238 */
	obj_t BGl_z62uncompzd2ev_app1238zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2613, obj_t BgL_ez00_2614)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 153 */
			{	/* Eval/evaluate_uncomp.scm 155 */
				obj_t BgL_arg1481z00_2681;
				obj_t BgL_arg1482z00_2682;

				BgL_arg1481z00_2681 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_ez00_2614)))->BgL_funz00));
				{	/* Eval/evaluate_uncomp.scm 155 */
					obj_t BgL_arg1485z00_2683;

					{	/* Eval/evaluate_uncomp.scm 155 */
						obj_t BgL_l1171z00_2684;

						BgL_l1171z00_2684 =
							(((BgL_ev_appz00_bglt) COBJECT(
									((BgL_ev_appz00_bglt) BgL_ez00_2614)))->BgL_argsz00);
						if (NULLP(BgL_l1171z00_2684))
							{	/* Eval/evaluate_uncomp.scm 155 */
								BgL_arg1485z00_2683 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 155 */
								obj_t BgL_head1173z00_2685;

								{	/* Eval/evaluate_uncomp.scm 155 */
									obj_t BgL_arg1493z00_2686;

									{	/* Eval/evaluate_uncomp.scm 155 */
										obj_t BgL_arg1494z00_2687;

										BgL_arg1494z00_2687 = CAR(((obj_t) BgL_l1171z00_2684));
										BgL_arg1493z00_2686 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1494z00_2687));
									}
									{	/* Eval/evaluate_uncomp.scm 155 */
										obj_t BgL_res1922z00_2688;

										BgL_res1922z00_2688 =
											MAKE_YOUNG_PAIR(BgL_arg1493z00_2686, BNIL);
										BgL_head1173z00_2685 = BgL_res1922z00_2688;
									}
								}
								{	/* Eval/evaluate_uncomp.scm 155 */
									obj_t BgL_g1176z00_2689;

									BgL_g1176z00_2689 = CDR(((obj_t) BgL_l1171z00_2684));
									{
										obj_t BgL_l1171z00_2691;
										obj_t BgL_tail1174z00_2692;

										BgL_l1171z00_2691 = BgL_g1176z00_2689;
										BgL_tail1174z00_2692 = BgL_head1173z00_2685;
									BgL_zc3anonymousza31487ze3z83_2690:
										if (NULLP(BgL_l1171z00_2691))
											{	/* Eval/evaluate_uncomp.scm 155 */
												BgL_arg1485z00_2683 = BgL_head1173z00_2685;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 155 */
												obj_t BgL_newtail1175z00_2693;

												{	/* Eval/evaluate_uncomp.scm 155 */
													obj_t BgL_arg1490z00_2694;

													{	/* Eval/evaluate_uncomp.scm 155 */
														obj_t BgL_arg1492z00_2695;

														BgL_arg1492z00_2695 =
															CAR(((obj_t) BgL_l1171z00_2691));
														BgL_arg1490z00_2694 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1492z00_2695));
													}
													{	/* Eval/evaluate_uncomp.scm 155 */
														obj_t BgL_res1930z00_2696;

														BgL_res1930z00_2696 =
															MAKE_YOUNG_PAIR(BgL_arg1490z00_2694, BNIL);
														BgL_newtail1175z00_2693 = BgL_res1930z00_2696;
													}
												}
												SET_CDR(BgL_tail1174z00_2692, BgL_newtail1175z00_2693);
												{	/* Eval/evaluate_uncomp.scm 155 */
													obj_t BgL_arg1489z00_2697;

													BgL_arg1489z00_2697 =
														CDR(((obj_t) BgL_l1171z00_2691));
													{
														obj_t BgL_tail1174z00_3098;
														obj_t BgL_l1171z00_3097;

														BgL_l1171z00_3097 = BgL_arg1489z00_2697;
														BgL_tail1174z00_3098 = BgL_newtail1175z00_2693;
														BgL_tail1174z00_2692 = BgL_tail1174z00_3098;
														BgL_l1171z00_2691 = BgL_l1171z00_3097;
														goto BgL_zc3anonymousza31487ze3z83_2690;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1482z00_2682 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1485z00_2683,
						BNIL);
				}
				return MAKE_YOUNG_PAIR(BgL_arg1481z00_2681, BgL_arg1482z00_2682);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_goto1236 */
	obj_t BGl_z62uncompzd2ev_goto1236zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2615, obj_t BgL_ez00_2616)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 149 */
			{	/* Eval/evaluate_uncomp.scm 151 */
				obj_t BgL_arg1468z00_2699;
				obj_t BgL_arg1469z00_2700;

				{	/* Eval/evaluate_uncomp.scm 151 */
					BgL_ev_varz00_bglt BgL_arg1470z00_2701;

					BgL_arg1470z00_2701 =
						(((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_ez00_2616)))->BgL_labelz00);
					BgL_arg1468z00_2699 =
						BGl_uncompz00zz__evaluate_uncompz00(
						((BgL_ev_exprz00_bglt) BgL_arg1470z00_2701));
				}
				{	/* Eval/evaluate_uncomp.scm 151 */
					obj_t BgL_arg1471z00_2702;

					{	/* Eval/evaluate_uncomp.scm 151 */
						obj_t BgL_l1165z00_2703;

						BgL_l1165z00_2703 =
							(((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_ez00_2616)))->BgL_argsz00);
						if (NULLP(BgL_l1165z00_2703))
							{	/* Eval/evaluate_uncomp.scm 151 */
								BgL_arg1471z00_2702 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 151 */
								obj_t BgL_head1167z00_2704;

								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_arg1479z00_2705;

									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_arg1480z00_2706;

										BgL_arg1480z00_2706 = CAR(((obj_t) BgL_l1165z00_2703));
										BgL_arg1479z00_2705 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1480z00_2706));
									}
									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_res1913z00_2707;

										BgL_res1913z00_2707 =
											MAKE_YOUNG_PAIR(BgL_arg1479z00_2705, BNIL);
										BgL_head1167z00_2704 = BgL_res1913z00_2707;
									}
								}
								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_g1170z00_2708;

									BgL_g1170z00_2708 = CDR(((obj_t) BgL_l1165z00_2703));
									{
										obj_t BgL_l1165z00_2710;
										obj_t BgL_tail1168z00_2711;

										BgL_l1165z00_2710 = BgL_g1170z00_2708;
										BgL_tail1168z00_2711 = BgL_head1167z00_2704;
									BgL_zc3anonymousza31473ze3z83_2709:
										if (NULLP(BgL_l1165z00_2710))
											{	/* Eval/evaluate_uncomp.scm 151 */
												BgL_arg1471z00_2702 = BgL_head1167z00_2704;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 151 */
												obj_t BgL_newtail1169z00_2712;

												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_arg1476z00_2713;

													{	/* Eval/evaluate_uncomp.scm 151 */
														obj_t BgL_arg1477z00_2714;

														BgL_arg1477z00_2714 =
															CAR(((obj_t) BgL_l1165z00_2710));
														BgL_arg1476z00_2713 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1477z00_2714));
													}
													{	/* Eval/evaluate_uncomp.scm 151 */
														obj_t BgL_res1920z00_2715;

														BgL_res1920z00_2715 =
															MAKE_YOUNG_PAIR(BgL_arg1476z00_2713, BNIL);
														BgL_newtail1169z00_2712 = BgL_res1920z00_2715;
													}
												}
												SET_CDR(BgL_tail1168z00_2711, BgL_newtail1169z00_2712);
												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_arg1475z00_2716;

													BgL_arg1475z00_2716 =
														CDR(((obj_t) BgL_l1165z00_2710));
													{
														obj_t BgL_tail1168z00_3127;
														obj_t BgL_l1165z00_3126;

														BgL_l1165z00_3126 = BgL_arg1475z00_2716;
														BgL_tail1168z00_3127 = BgL_newtail1169z00_2712;
														BgL_tail1168z00_2711 = BgL_tail1168z00_3127;
														BgL_l1165z00_2710 = BgL_l1165z00_3126;
														goto BgL_zc3anonymousza31473ze3z83_2709;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1469z00_2700 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1471z00_2702,
						BNIL);
				}
				return MAKE_YOUNG_PAIR(BgL_arg1468z00_2699, BgL_arg1469z00_2700);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_labels1234 */
	obj_t BGl_z62uncompzd2ev_labels1234zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2617, obj_t BgL_ez00_2618)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 142 */
			{	/* Eval/evaluate_uncomp.scm 144 */
				obj_t BgL_arg1437z00_2718;

				{	/* Eval/evaluate_uncomp.scm 144 */
					obj_t BgL_arg1438z00_2719;
					obj_t BgL_arg1439z00_2720;

					{	/* Eval/evaluate_uncomp.scm 144 */
						obj_t BgL_ll1159z00_2721;
						obj_t BgL_ll1160z00_2722;

						BgL_ll1159z00_2721 =
							(((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_ez00_2618)))->BgL_varsz00);
						BgL_ll1160z00_2722 =
							(((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_ez00_2618)))->BgL_valsz00);
						if (NULLP(BgL_ll1159z00_2721))
							{	/* Eval/evaluate_uncomp.scm 144 */
								BgL_arg1438z00_2719 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 144 */
								obj_t BgL_head1161z00_2723;

								{	/* Eval/evaluate_uncomp.scm 144 */
									obj_t BgL_res1900z00_2724;

									BgL_res1900z00_2724 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1161z00_2723 = BgL_res1900z00_2724;
								}
								{
									obj_t BgL_ll1159z00_2726;
									obj_t BgL_ll1160z00_2727;
									obj_t BgL_tail1162z00_2728;

									BgL_ll1159z00_2726 = BgL_ll1159z00_2721;
									BgL_ll1160z00_2727 = BgL_ll1160z00_2722;
									BgL_tail1162z00_2728 = BgL_head1161z00_2723;
								BgL_zc3anonymousza31441ze3z83_2725:
									if (NULLP(BgL_ll1159z00_2726))
										{	/* Eval/evaluate_uncomp.scm 144 */
											BgL_arg1438z00_2719 = CDR(BgL_head1161z00_2723);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 144 */
											obj_t BgL_newtail1163z00_2729;

											{	/* Eval/evaluate_uncomp.scm 144 */
												obj_t BgL_arg1445z00_2730;

												{	/* Eval/evaluate_uncomp.scm 144 */
													obj_t BgL_vz00_2731;
													obj_t BgL_az00_2732;

													BgL_vz00_2731 = CAR(((obj_t) BgL_ll1159z00_2726));
													BgL_az00_2732 = CAR(((obj_t) BgL_ll1160z00_2727));
													{	/* Eval/evaluate_uncomp.scm 144 */
														obj_t BgL_arg1448z00_2733;
														obj_t BgL_arg1449z00_2734;

														BgL_arg1448z00_2733 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2731));
														{	/* Eval/evaluate_uncomp.scm 144 */
															obj_t BgL_arg1450z00_2735;

															{	/* Eval/evaluate_uncomp.scm 144 */
																obj_t BgL_arg1451z00_2736;

																{	/* Eval/evaluate_uncomp.scm 144 */
																	obj_t BgL_arg1452z00_2737;
																	obj_t BgL_arg1453z00_2738;

																	{	/* Eval/evaluate_uncomp.scm 144 */
																		obj_t BgL_l1153z00_2739;

																		BgL_l1153z00_2739 =
																			CAR(((obj_t) BgL_az00_2732));
																		if (NULLP(BgL_l1153z00_2739))
																			{	/* Eval/evaluate_uncomp.scm 144 */
																				BgL_arg1452z00_2737 = BNIL;
																			}
																		else
																			{	/* Eval/evaluate_uncomp.scm 144 */
																				obj_t BgL_head1155z00_2740;

																				{	/* Eval/evaluate_uncomp.scm 144 */
																					obj_t BgL_arg1460z00_2741;

																					{	/* Eval/evaluate_uncomp.scm 144 */
																						obj_t BgL_arg1461z00_2742;

																						BgL_arg1461z00_2742 =
																							CAR(((obj_t) BgL_l1153z00_2739));
																						BgL_arg1460z00_2741 =
																							BGl_uncompz00zz__evaluate_uncompz00
																							(((BgL_ev_exprz00_bglt)
																								BgL_arg1461z00_2742));
																					}
																					{	/* Eval/evaluate_uncomp.scm 144 */
																						obj_t BgL_res1903z00_2743;

																						BgL_res1903z00_2743 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1460z00_2741, BNIL);
																						BgL_head1155z00_2740 =
																							BgL_res1903z00_2743;
																					}
																				}
																				{	/* Eval/evaluate_uncomp.scm 144 */
																					obj_t BgL_g1158z00_2744;

																					BgL_g1158z00_2744 =
																						CDR(((obj_t) BgL_l1153z00_2739));
																					{
																						obj_t BgL_l1153z00_2746;
																						obj_t BgL_tail1156z00_2747;

																						BgL_l1153z00_2746 =
																							BgL_g1158z00_2744;
																						BgL_tail1156z00_2747 =
																							BgL_head1155z00_2740;
																					BgL_zc3anonymousza31455ze3z83_2745:
																						if (NULLP(BgL_l1153z00_2746))
																							{	/* Eval/evaluate_uncomp.scm 144 */
																								BgL_arg1452z00_2737 =
																									BgL_head1155z00_2740;
																							}
																						else
																							{	/* Eval/evaluate_uncomp.scm 144 */
																								obj_t BgL_newtail1157z00_2748;

																								{	/* Eval/evaluate_uncomp.scm 144 */
																									obj_t BgL_arg1458z00_2749;

																									{	/* Eval/evaluate_uncomp.scm 144 */
																										obj_t BgL_arg1459z00_2750;

																										BgL_arg1459z00_2750 =
																											CAR(
																											((obj_t)
																												BgL_l1153z00_2746));
																										BgL_arg1458z00_2749 =
																											BGl_uncompz00zz__evaluate_uncompz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg1459z00_2750));
																									}
																									{	/* Eval/evaluate_uncomp.scm 144 */
																										obj_t BgL_res1909z00_2751;

																										BgL_res1909z00_2751 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1458z00_2749,
																											BNIL);
																										BgL_newtail1157z00_2748 =
																											BgL_res1909z00_2751;
																									}
																								}
																								SET_CDR(BgL_tail1156z00_2747,
																									BgL_newtail1157z00_2748);
																								{	/* Eval/evaluate_uncomp.scm 144 */
																									obj_t BgL_arg1457z00_2752;

																									BgL_arg1457z00_2752 =
																										CDR(
																										((obj_t)
																											BgL_l1153z00_2746));
																									{
																										obj_t BgL_tail1156z00_3168;
																										obj_t BgL_l1153z00_3167;

																										BgL_l1153z00_3167 =
																											BgL_arg1457z00_2752;
																										BgL_tail1156z00_3168 =
																											BgL_newtail1157z00_2748;
																										BgL_tail1156z00_2747 =
																											BgL_tail1156z00_3168;
																										BgL_l1153z00_2746 =
																											BgL_l1153z00_3167;
																										goto
																											BgL_zc3anonymousza31455ze3z83_2745;
																									}
																								}
																							}
																					}
																				}
																			}
																	}
																	{	/* Eval/evaluate_uncomp.scm 145 */
																		obj_t BgL_arg1462z00_2753;

																		{	/* Eval/evaluate_uncomp.scm 145 */
																			obj_t BgL_arg1464z00_2754;

																			BgL_arg1464z00_2754 =
																				CDR(((obj_t) BgL_az00_2732));
																			BgL_arg1462z00_2753 =
																				BGl_uncompz00zz__evaluate_uncompz00(
																				((BgL_ev_exprz00_bglt)
																					BgL_arg1464z00_2754));
																		}
																		BgL_arg1453z00_2738 =
																			MAKE_YOUNG_PAIR(BgL_arg1462z00_2753,
																			BNIL);
																	}
																	BgL_arg1451z00_2736 =
																		MAKE_YOUNG_PAIR(BgL_arg1452z00_2737,
																		BgL_arg1453z00_2738);
																}
																BgL_arg1450z00_2735 =
																	MAKE_YOUNG_PAIR
																	(BGl_symbol2051z00zz__evaluate_uncompz00,
																	BgL_arg1451z00_2736);
															}
															BgL_arg1449z00_2734 =
																MAKE_YOUNG_PAIR(BgL_arg1450z00_2735, BNIL);
														}
														BgL_arg1445z00_2730 =
															MAKE_YOUNG_PAIR(BgL_arg1448z00_2733,
															BgL_arg1449z00_2734);
													}
												}
												{	/* Eval/evaluate_uncomp.scm 144 */
													obj_t BgL_res1910z00_2755;

													BgL_res1910z00_2755 =
														MAKE_YOUNG_PAIR(BgL_arg1445z00_2730, BNIL);
													BgL_newtail1163z00_2729 = BgL_res1910z00_2755;
												}
											}
											SET_CDR(BgL_tail1162z00_2728, BgL_newtail1163z00_2729);
											{	/* Eval/evaluate_uncomp.scm 144 */
												obj_t BgL_arg1443z00_2756;
												obj_t BgL_arg1444z00_2757;

												BgL_arg1443z00_2756 = CDR(((obj_t) BgL_ll1159z00_2726));
												BgL_arg1444z00_2757 = CDR(((obj_t) BgL_ll1160z00_2727));
												{
													obj_t BgL_tail1162z00_3186;
													obj_t BgL_ll1160z00_3185;
													obj_t BgL_ll1159z00_3184;

													BgL_ll1159z00_3184 = BgL_arg1443z00_2756;
													BgL_ll1160z00_3185 = BgL_arg1444z00_2757;
													BgL_tail1162z00_3186 = BgL_newtail1163z00_2729;
													BgL_tail1162z00_2728 = BgL_tail1162z00_3186;
													BgL_ll1160z00_2727 = BgL_ll1160z00_3185;
													BgL_ll1159z00_2726 = BgL_ll1159z00_3184;
													goto BgL_zc3anonymousza31441ze3z83_2725;
												}
											}
										}
								}
							}
					}
					BgL_arg1439z00_2720 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_labelsz00_bglt) COBJECT(
										((BgL_ev_labelsz00_bglt) BgL_ez00_2618)))->BgL_bodyz00)),
						BNIL);
					BgL_arg1437z00_2718 =
						MAKE_YOUNG_PAIR(BgL_arg1438z00_2719, BgL_arg1439z00_2720);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2053z00zz__evaluate_uncompz00,
					BgL_arg1437z00_2718);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_letrec1232 */
	obj_t BGl_z62uncompzd2ev_letrec1232zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2619, obj_t BgL_ez00_2620)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 138 */
			{	/* Eval/evaluate_uncomp.scm 140 */
				obj_t BgL_arg1419z00_2759;

				{	/* Eval/evaluate_uncomp.scm 140 */
					obj_t BgL_arg1420z00_2760;
					obj_t BgL_arg1421z00_2761;

					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_ll1147z00_2762;
						obj_t BgL_ll1148z00_2763;

						BgL_ll1147z00_2762 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_2620))))->BgL_varsz00);
						BgL_ll1148z00_2763 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_2620))))->BgL_valsz00);
						if (NULLP(BgL_ll1147z00_2762))
							{	/* Eval/evaluate_uncomp.scm 140 */
								BgL_arg1420z00_2760 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 140 */
								obj_t BgL_head1149z00_2764;

								{	/* Eval/evaluate_uncomp.scm 140 */
									obj_t BgL_res1896z00_2765;

									BgL_res1896z00_2765 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1149z00_2764 = BgL_res1896z00_2765;
								}
								{
									obj_t BgL_ll1147z00_2767;
									obj_t BgL_ll1148z00_2768;
									obj_t BgL_tail1150z00_2769;

									BgL_ll1147z00_2767 = BgL_ll1147z00_2762;
									BgL_ll1148z00_2768 = BgL_ll1148z00_2763;
									BgL_tail1150z00_2769 = BgL_head1149z00_2764;
								BgL_zc3anonymousza31423ze3z83_2766:
									if (NULLP(BgL_ll1147z00_2767))
										{	/* Eval/evaluate_uncomp.scm 140 */
											BgL_arg1420z00_2760 = CDR(BgL_head1149z00_2764);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 140 */
											obj_t BgL_newtail1151z00_2770;

											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_arg1429z00_2771;

												{	/* Eval/evaluate_uncomp.scm 140 */
													obj_t BgL_vz00_2772;
													obj_t BgL_az00_2773;

													BgL_vz00_2772 = CAR(((obj_t) BgL_ll1147z00_2767));
													BgL_az00_2773 = CAR(((obj_t) BgL_ll1148z00_2768));
													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_arg1430z00_2774;
														obj_t BgL_arg1431z00_2775;

														BgL_arg1430z00_2774 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2772));
														{	/* Eval/evaluate_uncomp.scm 140 */
															obj_t BgL_arg1433z00_2776;

															BgL_arg1433z00_2776 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2773));
															BgL_arg1431z00_2775 =
																MAKE_YOUNG_PAIR(BgL_arg1433z00_2776, BNIL);
														}
														BgL_arg1429z00_2771 =
															MAKE_YOUNG_PAIR(BgL_arg1430z00_2774,
															BgL_arg1431z00_2775);
													}
												}
												{	/* Eval/evaluate_uncomp.scm 140 */
													obj_t BgL_res1898z00_2777;

													BgL_res1898z00_2777 =
														MAKE_YOUNG_PAIR(BgL_arg1429z00_2771, BNIL);
													BgL_newtail1151z00_2770 = BgL_res1898z00_2777;
												}
											}
											SET_CDR(BgL_tail1150z00_2769, BgL_newtail1151z00_2770);
											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_arg1427z00_2778;
												obj_t BgL_arg1428z00_2779;

												BgL_arg1427z00_2778 = CDR(((obj_t) BgL_ll1147z00_2767));
												BgL_arg1428z00_2779 = CDR(((obj_t) BgL_ll1148z00_2768));
												{
													obj_t BgL_tail1150z00_3223;
													obj_t BgL_ll1148z00_3222;
													obj_t BgL_ll1147z00_3221;

													BgL_ll1147z00_3221 = BgL_arg1427z00_2778;
													BgL_ll1148z00_3222 = BgL_arg1428z00_2779;
													BgL_tail1150z00_3223 = BgL_newtail1151z00_2770;
													BgL_tail1150z00_2769 = BgL_tail1150z00_3223;
													BgL_ll1148z00_2768 = BgL_ll1148z00_3222;
													BgL_ll1147z00_2767 = BgL_ll1147z00_3221;
													goto BgL_zc3anonymousza31423ze3z83_2766;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_arg1435z00_2780;

						{	/* Eval/evaluate_uncomp.scm 140 */
							BgL_ev_exprz00_bglt BgL_arg1436z00_2781;

							BgL_arg1436z00_2781 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_2620))))->BgL_bodyz00);
							BgL_arg1435z00_2780 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1436z00_2781);
						}
						BgL_arg1421z00_2761 = MAKE_YOUNG_PAIR(BgL_arg1435z00_2780, BNIL);
					}
					BgL_arg1419z00_2759 =
						MAKE_YOUNG_PAIR(BgL_arg1420z00_2760, BgL_arg1421z00_2761);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2053z00zz__evaluate_uncompz00,
					BgL_arg1419z00_2759);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_let*1230 */
	obj_t BGl_z62uncompzd2ev_letza21230z12zz__evaluate_uncompz00(obj_t
		BgL_envz00_2621, obj_t BgL_ez00_2622)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 134 */
			{	/* Eval/evaluate_uncomp.scm 136 */
				obj_t BgL_arg1404z00_2783;

				{	/* Eval/evaluate_uncomp.scm 136 */
					obj_t BgL_arg1405z00_2784;
					obj_t BgL_arg1407z00_2785;

					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_ll1141z00_2786;
						obj_t BgL_ll1142z00_2787;

						BgL_ll1141z00_2786 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_2622))))->BgL_varsz00);
						BgL_ll1142z00_2787 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_2622))))->BgL_valsz00);
						if (NULLP(BgL_ll1141z00_2786))
							{	/* Eval/evaluate_uncomp.scm 136 */
								BgL_arg1405z00_2784 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 136 */
								obj_t BgL_head1143z00_2788;

								{	/* Eval/evaluate_uncomp.scm 136 */
									obj_t BgL_res1892z00_2789;

									BgL_res1892z00_2789 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1143z00_2788 = BgL_res1892z00_2789;
								}
								{
									obj_t BgL_ll1141z00_2791;
									obj_t BgL_ll1142z00_2792;
									obj_t BgL_tail1144z00_2793;

									BgL_ll1141z00_2791 = BgL_ll1141z00_2786;
									BgL_ll1142z00_2792 = BgL_ll1142z00_2787;
									BgL_tail1144z00_2793 = BgL_head1143z00_2788;
								BgL_zc3anonymousza31409ze3z83_2790:
									if (NULLP(BgL_ll1141z00_2791))
										{	/* Eval/evaluate_uncomp.scm 136 */
											BgL_arg1405z00_2784 = CDR(BgL_head1143z00_2788);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 136 */
											obj_t BgL_newtail1145z00_2794;

											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_arg1413z00_2795;

												{	/* Eval/evaluate_uncomp.scm 136 */
													obj_t BgL_vz00_2796;
													obj_t BgL_az00_2797;

													BgL_vz00_2796 = CAR(((obj_t) BgL_ll1141z00_2791));
													BgL_az00_2797 = CAR(((obj_t) BgL_ll1142z00_2792));
													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_arg1414z00_2798;
														obj_t BgL_arg1415z00_2799;

														BgL_arg1414z00_2798 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2796));
														{	/* Eval/evaluate_uncomp.scm 136 */
															obj_t BgL_arg1416z00_2800;

															BgL_arg1416z00_2800 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2797));
															BgL_arg1415z00_2799 =
																MAKE_YOUNG_PAIR(BgL_arg1416z00_2800, BNIL);
														}
														BgL_arg1413z00_2795 =
															MAKE_YOUNG_PAIR(BgL_arg1414z00_2798,
															BgL_arg1415z00_2799);
													}
												}
												{	/* Eval/evaluate_uncomp.scm 136 */
													obj_t BgL_res1894z00_2801;

													BgL_res1894z00_2801 =
														MAKE_YOUNG_PAIR(BgL_arg1413z00_2795, BNIL);
													BgL_newtail1145z00_2794 = BgL_res1894z00_2801;
												}
											}
											SET_CDR(BgL_tail1144z00_2793, BgL_newtail1145z00_2794);
											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_arg1411z00_2802;
												obj_t BgL_arg1412z00_2803;

												BgL_arg1411z00_2802 = CDR(((obj_t) BgL_ll1141z00_2791));
												BgL_arg1412z00_2803 = CDR(((obj_t) BgL_ll1142z00_2792));
												{
													obj_t BgL_tail1144z00_3261;
													obj_t BgL_ll1142z00_3260;
													obj_t BgL_ll1141z00_3259;

													BgL_ll1141z00_3259 = BgL_arg1411z00_2802;
													BgL_ll1142z00_3260 = BgL_arg1412z00_2803;
													BgL_tail1144z00_3261 = BgL_newtail1145z00_2794;
													BgL_tail1144z00_2793 = BgL_tail1144z00_3261;
													BgL_ll1142z00_2792 = BgL_ll1142z00_3260;
													BgL_ll1141z00_2791 = BgL_ll1141z00_3259;
													goto BgL_zc3anonymousza31409ze3z83_2790;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_arg1417z00_2804;

						{	/* Eval/evaluate_uncomp.scm 136 */
							BgL_ev_exprz00_bglt BgL_arg1418z00_2805;

							BgL_arg1418z00_2805 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letza2za2_bglt) BgL_ez00_2622))))->BgL_bodyz00);
							BgL_arg1417z00_2804 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1418z00_2805);
						}
						BgL_arg1407z00_2785 = MAKE_YOUNG_PAIR(BgL_arg1417z00_2804, BNIL);
					}
					BgL_arg1404z00_2783 =
						MAKE_YOUNG_PAIR(BgL_arg1405z00_2784, BgL_arg1407z00_2785);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2055z00zz__evaluate_uncompz00,
					BgL_arg1404z00_2783);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_let1228 */
	obj_t BGl_z62uncompzd2ev_let1228zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2623, obj_t BgL_ez00_2624)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 130 */
			{	/* Eval/evaluate_uncomp.scm 132 */
				obj_t BgL_arg1388z00_2807;

				{	/* Eval/evaluate_uncomp.scm 132 */
					obj_t BgL_arg1389z00_2808;
					obj_t BgL_arg1390z00_2809;

					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_ll1135z00_2810;
						obj_t BgL_ll1136z00_2811;

						BgL_ll1135z00_2810 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_2624))))->BgL_varsz00);
						BgL_ll1136z00_2811 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_2624))))->BgL_valsz00);
						if (NULLP(BgL_ll1135z00_2810))
							{	/* Eval/evaluate_uncomp.scm 132 */
								BgL_arg1389z00_2808 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 132 */
								obj_t BgL_head1137z00_2812;

								{	/* Eval/evaluate_uncomp.scm 132 */
									obj_t BgL_res1888z00_2813;

									BgL_res1888z00_2813 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1137z00_2812 = BgL_res1888z00_2813;
								}
								{
									obj_t BgL_ll1135z00_2815;
									obj_t BgL_ll1136z00_2816;
									obj_t BgL_tail1138z00_2817;

									BgL_ll1135z00_2815 = BgL_ll1135z00_2810;
									BgL_ll1136z00_2816 = BgL_ll1136z00_2811;
									BgL_tail1138z00_2817 = BgL_head1137z00_2812;
								BgL_zc3anonymousza31392ze3z83_2814:
									if (NULLP(BgL_ll1135z00_2815))
										{	/* Eval/evaluate_uncomp.scm 132 */
											BgL_arg1389z00_2808 = CDR(BgL_head1137z00_2812);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 132 */
											obj_t BgL_newtail1139z00_2818;

											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_arg1396z00_2819;

												{	/* Eval/evaluate_uncomp.scm 132 */
													obj_t BgL_vz00_2820;
													obj_t BgL_az00_2821;

													BgL_vz00_2820 = CAR(((obj_t) BgL_ll1135z00_2815));
													BgL_az00_2821 = CAR(((obj_t) BgL_ll1136z00_2816));
													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_arg1397z00_2822;
														obj_t BgL_arg1398z00_2823;

														BgL_arg1397z00_2822 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2820));
														{	/* Eval/evaluate_uncomp.scm 132 */
															obj_t BgL_arg1399z00_2824;

															BgL_arg1399z00_2824 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2821));
															BgL_arg1398z00_2823 =
																MAKE_YOUNG_PAIR(BgL_arg1399z00_2824, BNIL);
														}
														BgL_arg1396z00_2819 =
															MAKE_YOUNG_PAIR(BgL_arg1397z00_2822,
															BgL_arg1398z00_2823);
													}
												}
												{	/* Eval/evaluate_uncomp.scm 132 */
													obj_t BgL_res1890z00_2825;

													BgL_res1890z00_2825 =
														MAKE_YOUNG_PAIR(BgL_arg1396z00_2819, BNIL);
													BgL_newtail1139z00_2818 = BgL_res1890z00_2825;
												}
											}
											SET_CDR(BgL_tail1138z00_2817, BgL_newtail1139z00_2818);
											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_arg1394z00_2826;
												obj_t BgL_arg1395z00_2827;

												BgL_arg1394z00_2826 = CDR(((obj_t) BgL_ll1135z00_2815));
												BgL_arg1395z00_2827 = CDR(((obj_t) BgL_ll1136z00_2816));
												{
													obj_t BgL_tail1138z00_3299;
													obj_t BgL_ll1136z00_3298;
													obj_t BgL_ll1135z00_3297;

													BgL_ll1135z00_3297 = BgL_arg1394z00_2826;
													BgL_ll1136z00_3298 = BgL_arg1395z00_2827;
													BgL_tail1138z00_3299 = BgL_newtail1139z00_2818;
													BgL_tail1138z00_2817 = BgL_tail1138z00_3299;
													BgL_ll1136z00_2816 = BgL_ll1136z00_3298;
													BgL_ll1135z00_2815 = BgL_ll1135z00_3297;
													goto BgL_zc3anonymousza31392ze3z83_2814;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_arg1400z00_2828;

						{	/* Eval/evaluate_uncomp.scm 132 */
							BgL_ev_exprz00_bglt BgL_arg1401z00_2829;

							BgL_arg1401z00_2829 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letz00_bglt) BgL_ez00_2624))))->BgL_bodyz00);
							BgL_arg1400z00_2828 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1401z00_2829);
						}
						BgL_arg1390z00_2809 = MAKE_YOUNG_PAIR(BgL_arg1400z00_2828, BNIL);
					}
					BgL_arg1388z00_2807 =
						MAKE_YOUNG_PAIR(BgL_arg1389z00_2808, BgL_arg1390z00_2809);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2057z00zz__evaluate_uncompz00,
					BgL_arg1388z00_2807);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_synchroniz1226 */
	obj_t BGl_z62uncompzd2ev_synchroniza71226z17zz__evaluate_uncompz00(obj_t
		BgL_envz00_2625, obj_t BgL_ez00_2626)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 126 */
			{	/* Eval/evaluate_uncomp.scm 128 */
				obj_t BgL_arg1378z00_2831;

				{	/* Eval/evaluate_uncomp.scm 128 */
					obj_t BgL_arg1379z00_2832;
					obj_t BgL_arg1380z00_2833;

					BgL_arg1379z00_2832 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2626)))->
							BgL_mutexz00));
					{	/* Eval/evaluate_uncomp.scm 128 */
						obj_t BgL_arg1382z00_2834;

						{	/* Eval/evaluate_uncomp.scm 128 */
							obj_t BgL_arg1383z00_2835;
							obj_t BgL_arg1384z00_2836;

							BgL_arg1383z00_2835 =
								BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
											((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2626)))->
									BgL_prelockz00));
							BgL_arg1384z00_2836 =
								MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
											(BgL_ev_synchroniza7eza7_bglt)
											COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2626)))->
										BgL_bodyz00)), BNIL);
							BgL_arg1382z00_2834 =
								MAKE_YOUNG_PAIR(BgL_arg1383z00_2835, BgL_arg1384z00_2836);
						}
						BgL_arg1380z00_2833 =
							MAKE_YOUNG_PAIR(BGl_keyword2059z00zz__evaluate_uncompz00,
							BgL_arg1382z00_2834);
					}
					BgL_arg1378z00_2831 =
						MAKE_YOUNG_PAIR(BgL_arg1379z00_2832, BgL_arg1380z00_2833);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2061z00zz__evaluate_uncompz00,
					BgL_arg1378z00_2831);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_with-handl1224 */
	obj_t BGl_z62uncompzd2ev_withzd2handl1224z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2627, obj_t BgL_ez00_2628)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 122 */
			{	/* Eval/evaluate_uncomp.scm 124 */
				obj_t BgL_arg1371z00_2838;

				{	/* Eval/evaluate_uncomp.scm 124 */
					obj_t BgL_arg1372z00_2839;
					obj_t BgL_arg1373z00_2840;

					BgL_arg1372z00_2839 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2628)))->
							BgL_handlerz00));
					BgL_arg1373z00_2840 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
									(BgL_ev_withzd2handlerzd2_bglt)
									COBJECT(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2628)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1371z00_2838 =
						MAKE_YOUNG_PAIR(BgL_arg1372z00_2839, BgL_arg1373z00_2840);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2063z00zz__evaluate_uncompz00,
					BgL_arg1371z00_2838);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_unwind-pro1222 */
	obj_t BGl_z62uncompzd2ev_unwindzd2pro1222z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2629, obj_t BgL_ez00_2630)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 118 */
			{	/* Eval/evaluate_uncomp.scm 120 */
				obj_t BgL_arg1364z00_2842;

				{	/* Eval/evaluate_uncomp.scm 120 */
					obj_t BgL_arg1365z00_2843;
					obj_t BgL_arg1366z00_2844;

					BgL_arg1365z00_2843 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2630)))->
							BgL_ez00));
					BgL_arg1366z00_2844 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
									(BgL_ev_unwindzd2protectzd2_bglt)
									COBJECT(((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2630)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1364z00_2842 =
						MAKE_YOUNG_PAIR(BgL_arg1365z00_2843, BgL_arg1366z00_2844);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2065z00zz__evaluate_uncompz00,
					BgL_arg1364z00_2842);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_bind-exit1220 */
	obj_t BGl_z62uncompzd2ev_bindzd2exit1220z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2631, obj_t BgL_ez00_2632)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 114 */
			{	/* Eval/evaluate_uncomp.scm 116 */
				obj_t BgL_arg1356z00_2846;

				{	/* Eval/evaluate_uncomp.scm 116 */
					obj_t BgL_arg1357z00_2847;
					obj_t BgL_arg1358z00_2848;

					{	/* Eval/evaluate_uncomp.scm 116 */
						obj_t BgL_arg1359z00_2849;

						{	/* Eval/evaluate_uncomp.scm 116 */
							BgL_ev_varz00_bglt BgL_arg1360z00_2850;

							BgL_arg1360z00_2850 =
								(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
										((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2632)))->BgL_varz00);
							BgL_arg1359z00_2849 =
								BGl_uncompz00zz__evaluate_uncompz00(
								((BgL_ev_exprz00_bglt) BgL_arg1360z00_2850));
						}
						BgL_arg1357z00_2847 = MAKE_YOUNG_PAIR(BgL_arg1359z00_2849, BNIL);
					}
					BgL_arg1358z00_2848 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
										((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2632)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1356z00_2846 =
						MAKE_YOUNG_PAIR(BgL_arg1357z00_2847, BgL_arg1358z00_2848);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2067z00zz__evaluate_uncompz00,
					BgL_arg1356z00_2846);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_setlocal1218 */
	obj_t BGl_z62uncompzd2ev_setlocal1218zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2633, obj_t BgL_ez00_2634)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 110 */
			{	/* Eval/evaluate_uncomp.scm 112 */
				obj_t BgL_arg1350z00_2852;

				{	/* Eval/evaluate_uncomp.scm 112 */
					obj_t BgL_arg1351z00_2853;
					obj_t BgL_arg1352z00_2854;

					{	/* Eval/evaluate_uncomp.scm 112 */
						BgL_ev_varz00_bglt BgL_arg1353z00_2855;

						BgL_arg1353z00_2855 =
							(((BgL_ev_setlocalz00_bglt) COBJECT(
									((BgL_ev_setlocalz00_bglt) BgL_ez00_2634)))->BgL_vz00);
						BgL_arg1351z00_2853 =
							BGl_uncompz00zz__evaluate_uncompz00(
							((BgL_ev_exprz00_bglt) BgL_arg1353z00_2855));
					}
					{	/* Eval/evaluate_uncomp.scm 112 */
						obj_t BgL_arg1354z00_2856;

						{	/* Eval/evaluate_uncomp.scm 112 */
							BgL_ev_exprz00_bglt BgL_arg1355z00_2857;

							BgL_arg1355z00_2857 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_setlocalz00_bglt) BgL_ez00_2634))))->BgL_ez00);
							BgL_arg1354z00_2856 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1355z00_2857);
						}
						BgL_arg1352z00_2854 = MAKE_YOUNG_PAIR(BgL_arg1354z00_2856, BNIL);
					}
					BgL_arg1350z00_2852 =
						MAKE_YOUNG_PAIR(BgL_arg1351z00_2853, BgL_arg1352z00_2854);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2069z00zz__evaluate_uncompz00,
					BgL_arg1350z00_2852);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_defglobal1216 */
	obj_t BGl_z62uncompzd2ev_defglobal1216zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2635, obj_t BgL_ez00_2636)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 106 */
			{	/* Eval/evaluate_uncomp.scm 108 */
				obj_t BgL_arg1345z00_2859;

				{	/* Eval/evaluate_uncomp.scm 108 */
					obj_t BgL_arg1346z00_2860;
					obj_t BgL_arg1347z00_2861;

					BgL_arg1346z00_2860 =
						(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_ez00_2636))))->BgL_namez00);
					{	/* Eval/evaluate_uncomp.scm 108 */
						obj_t BgL_arg1348z00_2862;

						{	/* Eval/evaluate_uncomp.scm 108 */
							BgL_ev_exprz00_bglt BgL_arg1349z00_2863;

							BgL_arg1349z00_2863 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_defglobalz00_bglt) BgL_ez00_2636))))->BgL_ez00);
							BgL_arg1348z00_2862 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1349z00_2863);
						}
						BgL_arg1347z00_2861 = MAKE_YOUNG_PAIR(BgL_arg1348z00_2862, BNIL);
					}
					BgL_arg1345z00_2859 =
						MAKE_YOUNG_PAIR(BgL_arg1346z00_2860, BgL_arg1347z00_2861);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2071z00zz__evaluate_uncompz00,
					BgL_arg1345z00_2859);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_setglobal1214 */
	obj_t BGl_z62uncompzd2ev_setglobal1214zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2637, obj_t BgL_ez00_2638)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 102 */
			{	/* Eval/evaluate_uncomp.scm 104 */
				obj_t BgL_arg1339z00_2865;

				{	/* Eval/evaluate_uncomp.scm 104 */
					obj_t BgL_arg1340z00_2866;
					obj_t BgL_arg1342z00_2867;

					BgL_arg1340z00_2866 =
						(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_2638)))->BgL_namez00);
					{	/* Eval/evaluate_uncomp.scm 104 */
						obj_t BgL_arg1343z00_2868;

						{	/* Eval/evaluate_uncomp.scm 104 */
							BgL_ev_exprz00_bglt BgL_arg1344z00_2869;

							BgL_arg1344z00_2869 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_setglobalz00_bglt) BgL_ez00_2638))))->BgL_ez00);
							BgL_arg1343z00_2868 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1344z00_2869);
						}
						BgL_arg1342z00_2867 = MAKE_YOUNG_PAIR(BgL_arg1343z00_2868, BNIL);
					}
					BgL_arg1339z00_2865 =
						MAKE_YOUNG_PAIR(BgL_arg1340z00_2866, BgL_arg1342z00_2867);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2069z00zz__evaluate_uncompz00,
					BgL_arg1339z00_2865);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_trap1212 */
	obj_t BGl_z62uncompzd2ev_trap1212zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2639, obj_t BgL_ez00_2640)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 98 */
			{	/* Eval/evaluate_uncomp.scm 100 */
				obj_t BgL_arg1335z00_2871;

				{	/* Eval/evaluate_uncomp.scm 100 */
					obj_t BgL_arg1337z00_2872;

					{	/* Eval/evaluate_uncomp.scm 100 */
						BgL_ev_exprz00_bglt BgL_arg1338z00_2873;

						BgL_arg1338z00_2873 =
							(((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_trapz00_bglt) BgL_ez00_2640))))->BgL_ez00);
						BgL_arg1337z00_2872 =
							BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1338z00_2873);
					}
					BgL_arg1335z00_2871 = MAKE_YOUNG_PAIR(BgL_arg1337z00_2872, BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2073z00zz__evaluate_uncompz00,
					BgL_arg1335z00_2871);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_prog21210 */
	obj_t BGl_z62uncompzd2ev_prog21210zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2641, obj_t BgL_ez00_2642)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 91 */
			{	/* Eval/evaluate_uncomp.scm 93 */
				obj_t BgL_e1z00_2875;
				obj_t BgL_e2z00_2876;

				BgL_e1z00_2875 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_2642)))->BgL_e1z00));
				BgL_e2z00_2876 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_2642)))->BgL_e2z00));
				{	/* Eval/evaluate_uncomp.scm 94 */
					bool_t BgL_testz00_3392;

					if (PAIRP(BgL_e2z00_2876))
						{	/* Eval/evaluate_uncomp.scm 94 */
							BgL_testz00_3392 =
								(CAR(BgL_e2z00_2876) ==
								BGl_symbol2075z00zz__evaluate_uncompz00);
						}
					else
						{	/* Eval/evaluate_uncomp.scm 94 */
							BgL_testz00_3392 = ((bool_t) 0);
						}
					if (BgL_testz00_3392)
						{	/* Eval/evaluate_uncomp.scm 95 */
							obj_t BgL_arg1326z00_2877;

							BgL_arg1326z00_2877 =
								MAKE_YOUNG_PAIR(BgL_e1z00_2875,
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(CDR
									(BgL_e2z00_2876), BNIL));
							return MAKE_YOUNG_PAIR(BGl_symbol2075z00zz__evaluate_uncompz00,
								BgL_arg1326z00_2877);
						}
					else
						{	/* Eval/evaluate_uncomp.scm 96 */
							obj_t BgL_arg1329z00_2878;

							{	/* Eval/evaluate_uncomp.scm 96 */
								obj_t BgL_arg1330z00_2879;

								BgL_arg1330z00_2879 = MAKE_YOUNG_PAIR(BgL_e2z00_2876, BNIL);
								BgL_arg1329z00_2878 =
									MAKE_YOUNG_PAIR(BgL_e1z00_2875, BgL_arg1330z00_2879);
							}
							return
								MAKE_YOUNG_PAIR(BGl_symbol2075z00zz__evaluate_uncompz00,
								BgL_arg1329z00_2878);
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_and1208 */
	obj_t BGl_z62uncompzd2ev_and1208zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2643, obj_t BgL_ez00_2644)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 87 */
			{	/* Eval/evaluate_uncomp.scm 89 */
				obj_t BgL_arg1312z00_2881;

				{	/* Eval/evaluate_uncomp.scm 89 */
					obj_t BgL_arg1313z00_2882;

					{	/* Eval/evaluate_uncomp.scm 89 */
						obj_t BgL_l1129z00_2883;

						BgL_l1129z00_2883 =
							(((BgL_ev_listz00_bglt) COBJECT(
									((BgL_ev_listz00_bglt)
										((BgL_ev_andz00_bglt) BgL_ez00_2644))))->BgL_argsz00);
						if (NULLP(BgL_l1129z00_2883))
							{	/* Eval/evaluate_uncomp.scm 89 */
								BgL_arg1313z00_2882 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 89 */
								obj_t BgL_head1131z00_2884;

								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_arg1321z00_2885;

									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_arg1322z00_2886;

										BgL_arg1322z00_2886 = CAR(((obj_t) BgL_l1129z00_2883));
										BgL_arg1321z00_2885 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1322z00_2886));
									}
									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_res1879z00_2887;

										BgL_res1879z00_2887 =
											MAKE_YOUNG_PAIR(BgL_arg1321z00_2885, BNIL);
										BgL_head1131z00_2884 = BgL_res1879z00_2887;
									}
								}
								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_g1134z00_2888;

									BgL_g1134z00_2888 = CDR(((obj_t) BgL_l1129z00_2883));
									{
										obj_t BgL_l1129z00_2890;
										obj_t BgL_tail1132z00_2891;

										BgL_l1129z00_2890 = BgL_g1134z00_2888;
										BgL_tail1132z00_2891 = BgL_head1131z00_2884;
									BgL_zc3anonymousza31315ze3z83_2889:
										if (NULLP(BgL_l1129z00_2890))
											{	/* Eval/evaluate_uncomp.scm 89 */
												BgL_arg1313z00_2882 = BgL_head1131z00_2884;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 89 */
												obj_t BgL_newtail1133z00_2892;

												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_arg1318z00_2893;

													{	/* Eval/evaluate_uncomp.scm 89 */
														obj_t BgL_arg1320z00_2894;

														BgL_arg1320z00_2894 =
															CAR(((obj_t) BgL_l1129z00_2890));
														BgL_arg1318z00_2893 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1320z00_2894));
													}
													{	/* Eval/evaluate_uncomp.scm 89 */
														obj_t BgL_res1885z00_2895;

														BgL_res1885z00_2895 =
															MAKE_YOUNG_PAIR(BgL_arg1318z00_2893, BNIL);
														BgL_newtail1133z00_2892 = BgL_res1885z00_2895;
													}
												}
												SET_CDR(BgL_tail1132z00_2891, BgL_newtail1133z00_2892);
												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_arg1317z00_2896;

													BgL_arg1317z00_2896 =
														CDR(((obj_t) BgL_l1129z00_2890));
													{
														obj_t BgL_tail1132z00_3427;
														obj_t BgL_l1129z00_3426;

														BgL_l1129z00_3426 = BgL_arg1317z00_2896;
														BgL_tail1132z00_3427 = BgL_newtail1133z00_2892;
														BgL_tail1132z00_2891 = BgL_tail1132z00_3427;
														BgL_l1129z00_2890 = BgL_l1129z00_3426;
														goto BgL_zc3anonymousza31315ze3z83_2889;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1312z00_2881 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1313z00_2882,
						BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2077z00zz__evaluate_uncompz00,
					BgL_arg1312z00_2881);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_or1206 */
	obj_t BGl_z62uncompzd2ev_or1206zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2645, obj_t BgL_ez00_2646)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 83 */
			{	/* Eval/evaluate_uncomp.scm 85 */
				obj_t BgL_arg1300z00_2898;

				{	/* Eval/evaluate_uncomp.scm 85 */
					obj_t BgL_arg1302z00_2899;

					{	/* Eval/evaluate_uncomp.scm 85 */
						obj_t BgL_l1123z00_2900;

						BgL_l1123z00_2900 =
							(((BgL_ev_listz00_bglt) COBJECT(
									((BgL_ev_listz00_bglt)
										((BgL_ev_orz00_bglt) BgL_ez00_2646))))->BgL_argsz00);
						if (NULLP(BgL_l1123z00_2900))
							{	/* Eval/evaluate_uncomp.scm 85 */
								BgL_arg1302z00_2899 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 85 */
								obj_t BgL_head1125z00_2901;

								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_arg1309z00_2902;

									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_arg1310z00_2903;

										BgL_arg1310z00_2903 = CAR(((obj_t) BgL_l1123z00_2900));
										BgL_arg1309z00_2902 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1310z00_2903));
									}
									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_res1871z00_2904;

										BgL_res1871z00_2904 =
											MAKE_YOUNG_PAIR(BgL_arg1309z00_2902, BNIL);
										BgL_head1125z00_2901 = BgL_res1871z00_2904;
									}
								}
								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_g1128z00_2905;

									BgL_g1128z00_2905 = CDR(((obj_t) BgL_l1123z00_2900));
									{
										obj_t BgL_l1123z00_2907;
										obj_t BgL_tail1126z00_2908;

										BgL_l1123z00_2907 = BgL_g1128z00_2905;
										BgL_tail1126z00_2908 = BgL_head1125z00_2901;
									BgL_zc3anonymousza31304ze3z83_2906:
										if (NULLP(BgL_l1123z00_2907))
											{	/* Eval/evaluate_uncomp.scm 85 */
												BgL_arg1302z00_2899 = BgL_head1125z00_2901;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 85 */
												obj_t BgL_newtail1127z00_2909;

												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_arg1307z00_2910;

													{	/* Eval/evaluate_uncomp.scm 85 */
														obj_t BgL_arg1308z00_2911;

														BgL_arg1308z00_2911 =
															CAR(((obj_t) BgL_l1123z00_2907));
														BgL_arg1307z00_2910 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1308z00_2911));
													}
													{	/* Eval/evaluate_uncomp.scm 85 */
														obj_t BgL_res1877z00_2912;

														BgL_res1877z00_2912 =
															MAKE_YOUNG_PAIR(BgL_arg1307z00_2910, BNIL);
														BgL_newtail1127z00_2909 = BgL_res1877z00_2912;
													}
												}
												SET_CDR(BgL_tail1126z00_2908, BgL_newtail1127z00_2909);
												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_arg1306z00_2913;

													BgL_arg1306z00_2913 =
														CDR(((obj_t) BgL_l1123z00_2907));
													{
														obj_t BgL_tail1126z00_3453;
														obj_t BgL_l1123z00_3452;

														BgL_l1123z00_3452 = BgL_arg1306z00_2913;
														BgL_tail1126z00_3453 = BgL_newtail1127z00_2909;
														BgL_tail1126z00_2908 = BgL_tail1126z00_3453;
														BgL_l1123z00_2907 = BgL_l1123z00_3452;
														goto BgL_zc3anonymousza31304ze3z83_2906;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1300z00_2898 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1302z00_2899,
						BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2079z00zz__evaluate_uncompz00,
					BgL_arg1300z00_2898);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_if1204 */
	obj_t BGl_z62uncompzd2ev_if1204zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2647, obj_t BgL_ez00_2648)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 79 */
			{	/* Eval/evaluate_uncomp.scm 81 */
				obj_t BgL_arg1289z00_2915;

				{	/* Eval/evaluate_uncomp.scm 81 */
					obj_t BgL_arg1290z00_2916;
					obj_t BgL_arg1292z00_2917;

					BgL_arg1290z00_2916 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_ez00_2648)))->BgL_pz00));
					{	/* Eval/evaluate_uncomp.scm 81 */
						obj_t BgL_arg1294z00_2918;
						obj_t BgL_arg1295z00_2919;

						BgL_arg1294z00_2918 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_ifz00_bglt) COBJECT(
										((BgL_ev_ifz00_bglt) BgL_ez00_2648)))->BgL_tz00));
						BgL_arg1295z00_2919 =
							MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_ifz00_bglt) COBJECT(
											((BgL_ev_ifz00_bglt) BgL_ez00_2648)))->BgL_ez00)), BNIL);
						BgL_arg1292z00_2917 =
							MAKE_YOUNG_PAIR(BgL_arg1294z00_2918, BgL_arg1295z00_2919);
					}
					BgL_arg1289z00_2915 =
						MAKE_YOUNG_PAIR(BgL_arg1290z00_2916, BgL_arg1292z00_2917);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2081z00zz__evaluate_uncompz00,
					BgL_arg1289z00_2915);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_litt1202 */
	obj_t BGl_z62uncompzd2ev_litt1202zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2649, obj_t BgL_ez00_2650)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 75 */
			{	/* Eval/evaluate_uncomp.scm 77 */
				obj_t BgL_arg1287z00_2921;

				BgL_arg1287z00_2921 =
					MAKE_YOUNG_PAIR(
					(((BgL_ev_littz00_bglt) COBJECT(
								((BgL_ev_littz00_bglt) BgL_ez00_2650)))->BgL_valuez00), BNIL);
				return
					MAKE_YOUNG_PAIR(BGl_symbol2083z00zz__evaluate_uncompz00,
					BgL_arg1287z00_2921);
			}
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_global1200 */
	obj_t BGl_z62uncompzd2ev_global1200zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2651, obj_t BgL_varz00_2652)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 71 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_varz00_2652)))->BgL_namez00);
		}
		BGL_FUNCTION_END;
	}



/* &uncomp-ev_var1198 */
	obj_t BGl_z62uncompzd2ev_var1198zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2653, obj_t BgL_varz00_2654)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 67 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_varz00_2654)))->BgL_namez00);
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 321192832),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 298117150),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 439353001),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564232),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 454272164),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					357154522),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					434692624),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262918),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -400105135),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 525089668),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 80758636),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 86988580),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2085z00zz__evaluate_uncompz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
