/*===========================================================================*/
/*   (Ast/sexp.scm)                                                          */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/sexp.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_ifzd2symzd2zzast_sexpz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_addzd2staticzd2pragmaz12z12zzast_pragmaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62zc3anonymousza31506ze3ze1zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_sexpz00();
	extern obj_t BGl_privatezd2nodezd2zzast_privatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31507ze3ze1zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_castzd2sexpzd2typez00zzast_privatez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_letzd2symzf3z21zzast_letz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_sexpz00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	static BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza36869ze3ze1zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_sexpz00();
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2sitesza2z00zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_notzd2testzd2zzast_sexpz00(obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	static obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_za2ifza2z00zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	static obj_t BGl_loopze70ze7zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static bool_t BGl_usedzd2inzf3z21zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_letrecza2zd2ze3nodez93zzast_letz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t);
	static obj_t BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_sexpz00();
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_sexpz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t);
	extern obj_t BGl_labelszd2symzd2zzast_labelsz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_za2cachezd2resza2zd2zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	static obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t,
		obj_t);
	static obj_t BGl_liipze70ze7zzast_sexpz00(obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_castzd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_sexpz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_letzd2symzd2zzast_letz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t __cnst[46];


	   
		 
		DEFINE_STRING(BGl_string7955z00zzast_sexpz00,
		BgL_bgl_string7955za700za7za7a7992za7, "Illegal `application' form", 26);
	      DEFINE_STRING(BGl_string7956z00zzast_sexpz00,
		BgL_bgl_string7956za700za7za7a7993za7, "Illegal `case' form", 19);
	      DEFINE_STRING(BGl_string7957z00zzast_sexpz00,
		BgL_bgl_string7957za700za7za7a7994za7, "Illegal `failure' form", 22);
	      DEFINE_STRING(BGl_string7958z00zzast_sexpz00,
		BgL_bgl_string7958za700za7za7a7995za7, "Illegal `static-pragma' expression",
		34);
	      DEFINE_STRING(BGl_string7959z00zzast_sexpz00,
		BgL_bgl_string7959za700za7za7a7996za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string7960z00zzast_sexpz00,
		BgL_bgl_string7960za700za7za7a7997za7, "Illegal `define' form", 21);
	      DEFINE_STRING(BGl_string7961z00zzast_sexpz00,
		BgL_bgl_string7961za700za7za7a7998za7, "illegal `define' expression", 27);
	      DEFINE_STRING(BGl_string7962z00zzast_sexpz00,
		BgL_bgl_string7962za700za7za7a7999za7, "Illegal `set!' form", 19);
	      DEFINE_STRING(BGl_string7963z00zzast_sexpz00,
		BgL_bgl_string7963za700za7za7a8000za7, "Read-only variable", 18);
	      DEFINE_STRING(BGl_string7964z00zzast_sexpz00,
		BgL_bgl_string7964za700za7za7a8001za7, "illegal `set!' expression", 25);
	      DEFINE_STRING(BGl_string7965z00zzast_sexpz00,
		BgL_bgl_string7965za700za7za7a8002za7, "Illegal ->", 10);
	      DEFINE_STRING(BGl_string7966z00zzast_sexpz00,
		BgL_bgl_string7966za700za7za7a8003za7, "Illegal `if' form", 17);
	      DEFINE_STRING(BGl_string7967z00zzast_sexpz00,
		BgL_bgl_string7967za700za7za7a8004za7, "Illegal `quote' expression", 26);
	      DEFINE_STRING(BGl_string7968z00zzast_sexpz00,
		BgL_bgl_string7968za700za7za7a8005za7, "Illegal `@' expression", 22);
	      DEFINE_STRING(BGl_string7969z00zzast_sexpz00,
		BgL_bgl_string7969za700za7za7a8006za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string7970z00zzast_sexpz00,
		BgL_bgl_string7970za700za7za7a8007za7, "Illegal atom in s-expression", 28);
	      DEFINE_STRING(BGl_string7971z00zzast_sexpz00,
		BgL_bgl_string7971za700za7za7a8008za7, "Illegal `()' expression", 23);
	      DEFINE_STRING(BGl_string7972z00zzast_sexpz00,
		BgL_bgl_string7972za700za7za7a8009za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string7973z00zzast_sexpz00,
		BgL_bgl_string7973za700za7za7a8010za7, "Illegal formal argument", 23);
	      DEFINE_STRING(BGl_string7974z00zzast_sexpz00,
		BgL_bgl_string7974za700za7za7a8011za7,
		"Backend (~a) does not support external first class function", 59);
	      DEFINE_STRING(BGl_string7975z00zzast_sexpz00,
		BgL_bgl_string7975za700za7za7a8012za7, "Illegal pragma/effect", 21);
	      DEFINE_STRING(BGl_string7976z00zzast_sexpz00,
		BgL_bgl_string7976za700za7za7a8013za7, "Illegal free-pragma/effect", 26);
	      DEFINE_STRING(BGl_string7977z00zzast_sexpz00,
		BgL_bgl_string7977za700za7za7a8014za7, "Illegal lambda", 14);
	      DEFINE_STRING(BGl_string7978z00zzast_sexpz00,
		BgL_bgl_string7978za700za7za7a8015za7, "Illegal empty sequence", 22);
	      DEFINE_STRING(BGl_string7979z00zzast_sexpz00,
		BgL_bgl_string7979za700za7za7a8016za7, "Illegal mutation", 16);
	      DEFINE_STRING(BGl_string7980z00zzast_sexpz00,
		BgL_bgl_string7980za700za7za7a8017za7, "($1)", 4);
	      DEFINE_STRING(BGl_string7981z00zzast_sexpz00,
		BgL_bgl_string7981za700za7za7a8018za7, "anonymous", 9);
	      DEFINE_STRING(BGl_string7982z00zzast_sexpz00,
		BgL_bgl_string7982za700za7za7a8019za7, "<", 1);
	      DEFINE_STRING(BGl_string7983z00zzast_sexpz00,
		BgL_bgl_string7983za700za7za7a8020za7, ":", 1);
	      DEFINE_STRING(BGl_string7984z00zzast_sexpz00,
		BgL_bgl_string7984za700za7za7a8021za7, "./", 2);
	      DEFINE_STRING(BGl_string7985z00zzast_sexpz00,
		BgL_bgl_string7985za700za7za7a8022za7, ">", 1);
	      DEFINE_STRING(BGl_string7986z00zzast_sexpz00,
		BgL_bgl_string7986za700za7za7a8023za7, "-", 1);
	      DEFINE_STRING(BGl_string7987z00zzast_sexpz00,
		BgL_bgl_string7987za700za7za7a8024za7, "ast_sexp", 8);
	      DEFINE_STRING(BGl_string7988z00zzast_sexpz00,
		BgL_bgl_string7988za700za7za7a8025za7,
		"not mutex > bdb location pragma::obj (@ __evmeaning_address foreign) (@ define-primop! __evenv) (@ define-primop-ref! __evenv) write car exp app cons :prelock apply synchronize jump-exit set-exit case failure free-pragma/effect static-pragma free-pragma pragma/effect letrec* labels letrec let define begin -> __r4_control_features_6_9 quote @ eval bool test set! pragma else (quote ()) lambda value if (value apply app set! test) ",
		431);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim8026z00,
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_errorzd2sexpzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762errorza7d2sexpza78027za7,
		BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 3);
	BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2anonymouszd2namezd2envzd2zzast_sexpz00,
		BgL_bgl_za762makeza7d2anonym8028z00, va_generic_entry,
		BGl_z62makezd2anonymouszd2namez62zzast_sexpz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2localzd2envz00zzast_sexpz00,
		BgL_bgl_za762findza7d2localza78029za7, BGl_z62findzd2localzb0zzast_sexpz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_locationzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762locationza7d2za7e8030za7,
		BGl_z62locationzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762sexpza7d2za7e3nod8031za7,
		BGl_z62sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_topzd2levelzd2sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762topza7d2levelza7d8032za7,
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpza2zd2ze3nodezd2envz41zzast_sexpz00,
		BgL_bgl_za762sexpza7a2za7d2za7e38033z00,
		BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ifzd2symzd2envz00zzast_sexpz00,
		BgL_bgl_za762ifza7d2symza7b0za7za78034za7, BGl_z62ifzd2symzb0zzast_sexpz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2variablez12zd2envz12zzast_sexpz00,
		BgL_bgl_za762useza7d2variabl8035z00,
		BGl_z62usezd2variablez12za2zzast_sexpz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim8036z00,
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2sitesza2z00zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2ifza2z00zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2nameza2zd2zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2resza2zd2zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2stackza2zd2zzast_sexpz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long
		BgL_checksumz00_13751, char *BgL_fromz00_13752)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_sexpz00))
				{
					BGl_requirezd2initializa7ationz75zzast_sexpz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_sexpz00();
					BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
					BGl_cnstzd2initzd2zzast_sexpz00();
					BGl_importedzd2moduleszd2initz00zzast_sexpz00();
					return BGl_toplevelzd2initzd2zzast_sexpz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_sexp");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			{	/* Ast/sexp.scm 14 */
				obj_t BgL_cportz00_13738;

				{	/* Ast/sexp.scm 14 */
					obj_t BgL_stringz00_13746;

					BgL_stringz00_13746 = BGl_string7988z00zzast_sexpz00;
					{	/* Ast/sexp.scm 14 */
						obj_t BgL_startz00_13747;

						BgL_startz00_13747 = BINT(((long) 0));
						{	/* Ast/sexp.scm 14 */
							obj_t BgL_endz00_13748;

							BgL_endz00_13748 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_13746)));
							{	/* Ast/sexp.scm 14 */

								BgL_cportz00_13738 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_13746, BgL_startz00_13747, BgL_endz00_13748);
				}}}}
				{
					long BgL_iz00_13739;

					BgL_iz00_13739 = ((long) 45);
				BgL_loopz00_13740:
					if ((BgL_iz00_13739 == ((long) -1)))
						{	/* Ast/sexp.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/sexp.scm 14 */
							{	/* Ast/sexp.scm 14 */
								obj_t BgL_arg7990z00_13742;

								{	/* Ast/sexp.scm 14 */

									{	/* Ast/sexp.scm 14 */
										obj_t BgL_locationz00_13744;

										BgL_locationz00_13744 = BBOOL(((bool_t) 0));
										{	/* Ast/sexp.scm 14 */

											BgL_arg7990z00_13742 =
												BGl_readz00zz__readerz00(BgL_cportz00_13738,
												BgL_locationz00_13744);
										}
									}
								}
								{	/* Ast/sexp.scm 14 */
									int BgL_tmpz00_13790;

									BgL_tmpz00_13790 = (int) (BgL_iz00_13739);
									CNST_TABLE_SET(BgL_tmpz00_13790, BgL_arg7990z00_13742);
							}}
							{	/* Ast/sexp.scm 14 */
								int BgL_auxz00_13745;

								BgL_auxz00_13745 = (int) ((BgL_iz00_13739 - ((long) 1)));
								{
									long BgL_iz00_13795;

									BgL_iz00_13795 = (long) (BgL_auxz00_13745);
									BgL_iz00_13739 = BgL_iz00_13795;
									goto BgL_loopz00_13740;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			BGl_za2sitesza2z00zzast_sexpz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2ifza2z00zzast_sexpz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)));
			BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BFALSE;
			BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BFALSE;
			return (BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE, BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* top-level-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_17,
		obj_t BgL_locz00_18)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 65 */
			{

				{
					obj_t BgL_auxz00_13801;
					jmp_buf_t jmpbuf;
					void *BgL_an_exit1108z00_1675;

					if (SET_EXIT(BgL_an_exit1108z00_1675))
						{
							BgL_auxz00_13801 = BGL_EXIT_VALUE();
						}
					else
						{
#if( SIGSETJMP_SAVESIGS == 0 )
							bgl_restore_signal_handlers();
#endif

							BgL_an_exit1108z00_1675 = (void *) jmpbuf;
							{	/* Ast/sexp.scm 66 */

								PUSH_EXIT(BgL_an_exit1108z00_1675, ((long) 1));
								{	/* Ast/sexp.scm 66 */
									obj_t BgL_an_exitd1109z00_1676;

									BgL_an_exitd1109z00_1676 = ((obj_t) (&exitd));
									{	/* Ast/sexp.scm 66 */
										obj_t BgL_res1111z00_1679;

										{	/* Ast/sexp.scm 69 */
											obj_t BgL_zc3anonymousza31507ze3z83_13684;
											obj_t BgL_zc3anonymousza31506ze3z83_13685;

											BgL_zc3anonymousza31507ze3z83_13684 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31507ze3ze1zzast_sexpz00,
												(int) (((long) 0)), (int) (((long) 2)));
											BgL_zc3anonymousza31506ze3z83_13685 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31506ze3ze1zzast_sexpz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza31507ze3z83_13684,
												(int) (((long) 0)), BgL_expz00_17);
											PROCEDURE_SET(BgL_zc3anonymousza31507ze3z83_13684,
												(int) (((long) 1)), BgL_locz00_18);
											PROCEDURE_SET(BgL_zc3anonymousza31506ze3z83_13685,
												(int) (((long) 0)), BgL_an_exitd1109z00_1676);
											BgL_res1111z00_1679 =
												BGl_withzd2exceptionzd2handlerz00zz__errorz00
												(BgL_zc3anonymousza31506ze3z83_13685,
												BgL_zc3anonymousza31507ze3z83_13684);
										}
										POP_EXIT();
										BgL_auxz00_13801 = BgL_res1111z00_1679;
							}}}
						}
					return ((BgL_nodez00_bglt) BgL_auxz00_13801);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &top-level-sexp->node */
	BgL_nodez00_bglt BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_13686, obj_t BgL_expz00_13687, obj_t BgL_locz00_13688)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 65 */
			return
				BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_13687,
				BgL_locz00_13688);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1507> */
	obj_t BGl_z62zc3anonymousza31507ze3ze1zzast_sexpz00(obj_t BgL_envz00_13689)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 71 */
			{	/* Ast/sexp.scm 72 */
				obj_t BgL_expz00_13690;
				obj_t BgL_locz00_13691;

				BgL_expz00_13690 = PROCEDURE_REF(BgL_envz00_13689, (int) (((long) 0)));
				BgL_locz00_13691 = PROCEDURE_REF(BgL_envz00_13689, (int) (((long) 1)));
				{

					{
						BgL_nodez00_bglt BgL_auxz00_13825;

						BgL_auxz00_13825 =
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_13690, BNIL,
							BgL_locz00_13691, CNST_TABLE_REF(((long) 2)));
						return ((obj_t) BgL_auxz00_13825);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1506> */
	obj_t BGl_z62zc3anonymousza31506ze3ze1zzast_sexpz00(obj_t BgL_envz00_13692,
		obj_t BgL_ez00_13694)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 68 */
			{	/* Ast/sexp.scm 69 */
				obj_t BgL_an_exitd1109z00_13693;

				BgL_an_exitd1109z00_13693 =
					PROCEDURE_REF(BgL_envz00_13692, (int) (((long) 0)));
				BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_13694);
				return
					BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1109z00_13693,
					BUNSPEC);
			}
		}
		BGL_FUNCTION_END;
	}



/* if-sym */
	BGL_EXPORTED_DEF obj_t BGl_ifzd2symzd2zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 87 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
		BGL_FUNCTION_END;
	}



/* &if-sym */
	obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t BgL_envz00_13695)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 87 */
			return BGl_ifzd2symzd2zzast_sexpz00();
		}
		BGL_FUNCTION_END;
	}



/* proc-or-lambda? */
	bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t BgL_ez00_20)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 99 */
			if (SYMBOLP(BgL_ez00_20))
				{	/* Ast/sexp.scm 100 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/sexp.scm 100 */
					if (PAIRP(BgL_ez00_20))
						{	/* Ast/sexp.scm 100 */
							if ((CAR(BgL_ez00_20) == CNST_TABLE_REF(((long) 3))))
								{	/* Ast/sexp.scm 100 */
									obj_t BgL_tmpz00_13842;

									BgL_tmpz00_13842 = CDR(BgL_ez00_20);
									return PAIRP(BgL_tmpz00_13842);
								}
							else
								{	/* Ast/sexp.scm 100 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Ast/sexp.scm 100 */
							return ((bool_t) 0);
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t
		BgL_expz00_21, obj_t BgL_stackz00_22, obj_t BgL_locz00_23,
		obj_t BgL_sitez00_24)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 113 */
		BGl_sexpzd2ze3nodez31zzast_sexpz00:
			{
				obj_t BgL_atomz00_1701;
				obj_t BgL_lz00_1706;
				obj_t BgL_bodyz00_1710;
				obj_t BgL_lz00_1715;
				obj_t BgL_valz00_1716;
				obj_t BgL_bodyz00_1720;
				obj_t BgL_argsz00_1721;
				obj_t BgL_bindingsz00_1723;
				obj_t BgL_exprz00_1724;
				obj_t BgL_varz00_1728;
				obj_t BgL_bodyz00_1729;
				obj_t BgL_argz00_1730;
				obj_t BgL_varsz00_1732;
				obj_t BgL_bodyz00_1733;
				obj_t BgL_argsz00_1734;
				obj_t BgL_testz00_1736;
				obj_t BgL_proc1z00_1737;
				obj_t BgL_proc2z00_1738;
				obj_t BgL_argsz00_1739;
				obj_t BgL_testz00_1741;
				obj_t BgL_proc1z00_1742;
				obj_t BgL_proc2z00_1743;
				obj_t BgL_argsz00_1744;
				obj_t BgL_effectz00_1748;
				obj_t BgL_restz00_1749;
				obj_t BgL_effectz00_1753;
				obj_t BgL_restz00_1754;

				if (NULLP(BgL_expz00_21))
					{	/* Ast/sexp.scm 118 */
						{	/* Ast/sexp.scm 121 */
							BgL_nodez00_bglt BgL_res7277z00_9557;

							{	/* Ast/sexp.scm 715 */
								obj_t BgL_arg7083z00_9553;
								BgL_nodez00_bglt BgL_arg7084z00_9554;

								BgL_arg7083z00_9553 =
									BGl_shapez00zztools_shapez00
									(BGl_currentzd2functionzd2zztools_errorz00());
								BgL_arg7084z00_9554 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
									BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
								{	/* Ast/sexp.scm 714 */
									obj_t BgL_list7085z00_9556;

									BgL_list7085z00_9556 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg7084z00_9554), BNIL);
									BgL_res7277z00_9557 =
										((BgL_nodez00_bglt)
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_locz00_23, BgL_arg7083z00_9553,
											BGl_string7971z00zzast_sexpz00, BgL_expz00_21,
											BgL_list7085z00_9556));
							}}
							return BgL_res7277z00_9557;
						}
					}
				else
					{	/* Ast/sexp.scm 118 */
						if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
								BGl_nodez00zzast_nodez00))
							{
								obj_t BgL_auxz00_13858;

								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
										BGl_externz00zzast_nodez00))
									{	/* Ast/sexp.scm 126 */
										obj_t BgL_l01340z00_8330;

										BgL_l01340z00_8330 =
											(((BgL_externz00_bglt) COBJECT(
													((BgL_externz00_bglt) BgL_expz00_21)))->
											BgL_exprza2za2);
										{
											obj_t BgL_l1339z00_8332;

											BgL_l1339z00_8332 = BgL_l01340z00_8330;
										BgL_zc3anonymousza36594ze3z83_8333:
											if (NULLP(BgL_l1339z00_8332))
												{	/* Ast/sexp.scm 126 */
													BgL_l01340z00_8330;
												}
											else
												{	/* Ast/sexp.scm 126 */
													{	/* Ast/sexp.scm 126 */
														BgL_nodez00_bglt BgL_arg6596z00_8335;

														{	/* Ast/sexp.scm 126 */
															obj_t BgL_ez00_8336;

															BgL_ez00_8336 = CAR(((obj_t) BgL_l1339z00_8332));
															{	/* Ast/sexp.scm 126 */
																obj_t BgL_arg6597z00_8337;

																BgL_arg6597z00_8337 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				((BgL_externz00_bglt)
																					BgL_expz00_21))))->BgL_locz00);
																BgL_arg6596z00_8335 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(BgL_ez00_8336, BgL_stackz00_22,
																	BgL_arg6597z00_8337,
																	CNST_TABLE_REF(((long) 2)));
														}}
														{	/* Ast/sexp.scm 126 */
															obj_t BgL_auxz00_13874;
															obj_t BgL_tmpz00_13872;

															BgL_auxz00_13874 = ((obj_t) BgL_arg6596z00_8335);
															BgL_tmpz00_13872 = ((obj_t) BgL_l1339z00_8332);
															SET_CAR(BgL_tmpz00_13872, BgL_auxz00_13874);
													}}
													{	/* Ast/sexp.scm 126 */
														obj_t BgL_arg6598z00_8338;

														BgL_arg6598z00_8338 =
															CDR(((obj_t) BgL_l1339z00_8332));
														{
															obj_t BgL_l1339z00_13879;

															BgL_l1339z00_13879 = BgL_arg6598z00_8338;
															BgL_l1339z00_8332 = BgL_l1339z00_13879;
															goto BgL_zc3anonymousza36594ze3z83_8333;
														}
													}
												}
										}
									}
								else
									{	/* Ast/sexp.scm 124 */
										BFALSE;
									}
								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
										BGl_appz00zzast_nodez00))
									{	/* Ast/sexp.scm 129 */
										obj_t BgL_l01343z00_8342;

										BgL_l01343z00_8342 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_expz00_21)))->BgL_argsz00);
										{
											obj_t BgL_l1342z00_8344;

											BgL_l1342z00_8344 = BgL_l01343z00_8342;
										BgL_zc3anonymousza36600ze3z83_8345:
											if (NULLP(BgL_l1342z00_8344))
												{	/* Ast/sexp.scm 129 */
													BgL_l01343z00_8342;
												}
											else
												{	/* Ast/sexp.scm 129 */
													{	/* Ast/sexp.scm 129 */
														BgL_nodez00_bglt BgL_arg6602z00_8347;

														{	/* Ast/sexp.scm 129 */
															obj_t BgL_ez00_8348;

															BgL_ez00_8348 = CAR(((obj_t) BgL_l1342z00_8344));
															{	/* Ast/sexp.scm 129 */
																obj_t BgL_arg6603z00_8349;

																BgL_arg6603z00_8349 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				((BgL_appz00_bglt) BgL_expz00_21))))->
																	BgL_locz00);
																BgL_arg6602z00_8347 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(BgL_ez00_8348, BgL_stackz00_22,
																	BgL_arg6603z00_8349,
																	CNST_TABLE_REF(((long) 2)));
														}}
														{	/* Ast/sexp.scm 129 */
															obj_t BgL_auxz00_13895;
															obj_t BgL_tmpz00_13893;

															BgL_auxz00_13895 = ((obj_t) BgL_arg6602z00_8347);
															BgL_tmpz00_13893 = ((obj_t) BgL_l1342z00_8344);
															SET_CAR(BgL_tmpz00_13893, BgL_auxz00_13895);
													}}
													{	/* Ast/sexp.scm 129 */
														obj_t BgL_arg6604z00_8350;

														BgL_arg6604z00_8350 =
															CDR(((obj_t) BgL_l1342z00_8344));
														{
															obj_t BgL_l1342z00_13900;

															BgL_l1342z00_13900 = BgL_arg6604z00_8350;
															BgL_l1342z00_8344 = BgL_l1342z00_13900;
															goto BgL_zc3anonymousza36600ze3z83_8345;
														}
													}
												}
										}
									}
								else
									{	/* Ast/sexp.scm 127 */
										BFALSE;
									}
								BgL_auxz00_13858 = BgL_expz00_21;
								return ((BgL_nodez00_bglt) BgL_auxz00_13858);
							}
						else
							{	/* Ast/sexp.scm 118 */
								if (PAIRP(BgL_expz00_21))
									{	/* Ast/sexp.scm 118 */
										obj_t BgL_carzd2478zd2_1775;

										BgL_carzd2478zd2_1775 = CAR(BgL_expz00_21);
										if (SYMBOLP(BgL_carzd2478zd2_1775))
											{	/* Ast/sexp.scm 118 */
												bool_t BgL_testz00_13907;

												{	/* Ast/sexp.scm 118 */
													obj_t BgL__ortest_1143z00_5055;

													BgL__ortest_1143z00_5055 =
														BGl_findzd2localzd2zzast_sexpz00
														(BgL_carzd2478zd2_1775, BgL_stackz00_22);
													if (CBOOL(BgL__ortest_1143z00_5055))
														{	/* Ast/sexp.scm 118 */
															BgL_testz00_13907 =
																CBOOL(BgL__ortest_1143z00_5055);
														}
													else
														{	/* Ast/sexp.scm 118 */
															obj_t BgL_gz00_5056;

															BgL_gz00_5056 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_carzd2478zd2_1775, BNIL);
															if (CBOOL(BgL_gz00_5056))
																{	/* Ast/sexp.scm 118 */
																	if (
																		((((BgL_globalz00_bglt) COBJECT(
																						((BgL_globalz00_bglt)
																							BgL_gz00_5056)))->
																				BgL_modulez00) ==
																			CNST_TABLE_REF(((long) 13))))
																		{	/* Ast/sexp.scm 118 */
																			BgL_testz00_13907 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/sexp.scm 118 */
																			BgL_testz00_13907 = ((bool_t) 1);
																		}
																}
															else
																{	/* Ast/sexp.scm 118 */
																	BgL_testz00_13907 = ((bool_t) 0);
																}
														}
												}
												if (BgL_testz00_13907)
													{	/* Ast/sexp.scm 118 */
														return
															BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21,
															BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
													}
												else
													{	/* Ast/sexp.scm 118 */
														if (
															(CAR(BgL_expz00_21) ==
																CNST_TABLE_REF(((long) 11))))
															{	/* Ast/sexp.scm 118 */
															BgL_tagzd2371zd2_1705:
																{	/* Ast/sexp.scm 169 */
																	obj_t BgL_locz00_8379;

																	BgL_locz00_8379 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_expz00_21, BgL_locz00_23);
																	{
																		obj_t BgL_namez00_8380;
																		obj_t BgL_modulez00_8381;

																		if (PAIRP(BgL_expz00_21))
																			{	/* Ast/sexp.scm 170 */
																				obj_t BgL_cdrzd262164zd2_8386;

																				BgL_cdrzd262164zd2_8386 =
																					CDR(BgL_expz00_21);
																				if (
																					(CAR(BgL_expz00_21) ==
																						CNST_TABLE_REF(((long) 11))))
																					{	/* Ast/sexp.scm 170 */
																						if (PAIRP(BgL_cdrzd262164zd2_8386))
																							{	/* Ast/sexp.scm 170 */
																								obj_t BgL_carzd262167zd2_8390;
																								obj_t BgL_cdrzd262168zd2_8391;

																								BgL_carzd262167zd2_8390 =
																									CAR(BgL_cdrzd262164zd2_8386);
																								BgL_cdrzd262168zd2_8391 =
																									CDR(BgL_cdrzd262164zd2_8386);
																								if (SYMBOLP
																									(BgL_carzd262167zd2_8390))
																									{	/* Ast/sexp.scm 170 */
																										if (PAIRP
																											(BgL_cdrzd262168zd2_8391))
																											{	/* Ast/sexp.scm 170 */
																												obj_t
																													BgL_carzd262173zd2_8394;
																												BgL_carzd262173zd2_8394
																													=
																													CAR
																													(BgL_cdrzd262168zd2_8391);
																												if (SYMBOLP
																													(BgL_carzd262173zd2_8394))
																													{	/* Ast/sexp.scm 170 */
																														if (NULLP(CDR
																																(BgL_cdrzd262168zd2_8391)))
																															{	/* Ast/sexp.scm 170 */
																																BgL_namez00_8380
																																	=
																																	BgL_carzd262167zd2_8390;
																																BgL_modulez00_8381
																																	=
																																	BgL_carzd262173zd2_8394;
																																{	/* Ast/sexp.scm 172 */
																																	obj_t
																																		BgL_globalz00_8400;
																																	BgL_globalz00_8400
																																		=
																																		BGl_findzd2globalzf2modulez20zzast_envz00
																																		(BgL_namez00_8380,
																																		BgL_modulez00_8381);
																																	if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_8400, BGl_globalz00zzast_varz00))
																																		{	/* Ast/sexp.scm 174 */
																																			if (
																																				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_8400)))->BgL_importz00) == CNST_TABLE_REF(((long) 10))))
																																				{	/* Ast/sexp.scm 177 */
																																					obj_t
																																						BgL_arg6636z00_8404;
																																					{	/* Ast/sexp.scm 177 */
																																						obj_t
																																							BgL_arg6637z00_8405;
																																						BgL_arg6637z00_8405
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BGl_atomz00zzast_nodez00,
																																							BNIL);
																																						BgL_arg6636z00_8404
																																							=
																																							MAKE_YOUNG_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 10)), BgL_arg6637z00_8405);
																																					}
																																					{
																																						obj_t
																																							BgL_locz00_13959;
																																						obj_t
																																							BgL_expz00_13958;
																																						BgL_expz00_13958
																																							=
																																							BgL_arg6636z00_8404;
																																						BgL_locz00_13959
																																							=
																																							BgL_locz00_8379;
																																						BgL_locz00_23
																																							=
																																							BgL_locz00_13959;
																																						BgL_expz00_21
																																							=
																																							BgL_expz00_13958;
																																						goto
																																							BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 176 */
																																					return
																																						BGl_variablezd2ze3nodez31zzast_sexpz00
																																						(BgL_globalz00_8400,
																																						BgL_locz00_8379,
																																						BgL_sitez00_24);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 175 */
																																			BgL_nodez00_bglt
																																				BgL_res7294z00_9600;
																																			{	/* Ast/sexp.scm 715 */
																																				obj_t
																																					BgL_arg7083z00_9596;
																																				BgL_nodez00_bglt
																																					BgL_arg7084z00_9597;
																																				BgL_arg7083z00_9596
																																					=
																																					BGl_shapez00zztools_shapez00
																																					(BGl_currentzd2functionzd2zztools_errorz00
																																					());
																																				BgL_arg7084z00_9597
																																					=
																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																					(CNST_TABLE_REF
																																					(((long) 4)), BNIL, BgL_locz00_8379, CNST_TABLE_REF(((long) 2)));
																																				{	/* Ast/sexp.scm 714 */
																																					obj_t
																																						BgL_list7085z00_9599;
																																					BgL_list7085z00_9599
																																						=
																																						MAKE_YOUNG_PAIR
																																						(((obj_t) BgL_arg7084z00_9597), BNIL);
																																					BgL_res7294z00_9600
																																						=
																																						(
																																						(BgL_nodez00_bglt)
																																						BGl_userzd2errorzf2locationz20zztools_errorz00
																																						(BgL_locz00_8379,
																																							BgL_arg7083z00_9596,
																																							BGl_string7969z00zzast_sexpz00,
																																							BgL_expz00_21,
																																							BgL_list7085z00_9599));
																																			}}
																																			return
																																				BgL_res7294z00_9600;
																																		}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 170 */
																															BgL_tagzd262157zd2_8383:
																																{	/* Ast/sexp.scm 181 */
																																	BgL_nodez00_bglt
																																		BgL_res7295z00_9606;
																																	{	/* Ast/sexp.scm 715 */
																																		obj_t
																																			BgL_arg7083z00_9602;
																																		BgL_nodez00_bglt
																																			BgL_arg7084z00_9603;
																																		BgL_arg7083z00_9602
																																			=
																																			BGl_shapez00zztools_shapez00
																																			(BGl_currentzd2functionzd2zztools_errorz00
																																			());
																																		BgL_arg7084z00_9603
																																			=
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																			(CNST_TABLE_REF
																																			(((long)
																																					4)),
																																			BNIL,
																																			BgL_locz00_8379,
																																			CNST_TABLE_REF
																																			(((long)
																																					2)));
																																		{	/* Ast/sexp.scm 714 */
																																			obj_t
																																				BgL_list7085z00_9605;
																																			BgL_list7085z00_9605
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) BgL_arg7084z00_9603), BNIL);
																																			BgL_res7295z00_9606
																																				=
																																				(
																																				(BgL_nodez00_bglt)
																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																				(BgL_locz00_8379,
																																					BgL_arg7083z00_9602,
																																					BGl_string7968z00zzast_sexpz00,
																																					BgL_expz00_21,
																																					BgL_list7085z00_9605));
																																	}}
																																	return
																																		BgL_res7295z00_9606;
																																}
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 170 */
																														goto
																															BgL_tagzd262157zd2_8383;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 170 */
																												goto
																													BgL_tagzd262157zd2_8383;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 170 */
																										goto
																											BgL_tagzd262157zd2_8383;
																									}
																							}
																						else
																							{	/* Ast/sexp.scm 170 */
																								goto BgL_tagzd262157zd2_8383;
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 170 */
																						goto BgL_tagzd262157zd2_8383;
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 170 */
																				goto BgL_tagzd262157zd2_8383;
																			}
																	}
																}
															}
														else
															{	/* Ast/sexp.scm 118 */
																if (
																	(CAR(BgL_expz00_21) ==
																		CNST_TABLE_REF(((long) 14))))
																	{	/* Ast/sexp.scm 118 */
																		BgL_lz00_1706 = CDR(BgL_expz00_21);
																	BgL_tagzd2372zd2_1707:
																		{	/* Ast/sexp.scm 184 */
																			bool_t BgL_testz00_13983;

																			if (PAIRP(BgL_lz00_1706))
																				{	/* Ast/sexp.scm 184 */
																					bool_t BgL_testz00_13986;

																					{	/* Ast/sexp.scm 184 */
																						obj_t BgL_tmpz00_13987;

																						BgL_tmpz00_13987 =
																							CDR(BgL_lz00_1706);
																						BgL_testz00_13986 =
																							PAIRP(BgL_tmpz00_13987);
																					}
																					if (BgL_testz00_13986)
																						{
																							obj_t BgL_l1344z00_8424;

																							BgL_l1344z00_8424 = BgL_lz00_1706;
																						BgL_zc3anonymousza36648ze3z83_8425:
																							if (NULLP(BgL_l1344z00_8424))
																								{	/* Ast/sexp.scm 184 */
																									BgL_testz00_13983 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Ast/sexp.scm 184 */
																									bool_t BgL_testz00_13992;

																									{	/* Ast/sexp.scm 184 */
																										obj_t BgL_tmpz00_13993;

																										BgL_tmpz00_13993 =
																											CAR(
																											((obj_t)
																												BgL_l1344z00_8424));
																										BgL_testz00_13992 =
																											SYMBOLP(BgL_tmpz00_13993);
																									}
																									if (BgL_testz00_13992)
																										{
																											obj_t BgL_l1344z00_13997;

																											BgL_l1344z00_13997 =
																												CDR(
																												((obj_t)
																													BgL_l1344z00_8424));
																											BgL_l1344z00_8424 =
																												BgL_l1344z00_13997;
																											goto
																												BgL_zc3anonymousza36648ze3z83_8425;
																										}
																									else
																										{	/* Ast/sexp.scm 184 */
																											BgL_testz00_13983 =
																												((bool_t) 0);
																										}
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 184 */
																							BgL_testz00_13983 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 184 */
																					BgL_testz00_13983 = ((bool_t) 0);
																				}
																			if (BgL_testz00_13983)
																				{	/* Ast/sexp.scm 184 */
																					return
																						BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00
																						(BgL_lz00_1706, BgL_expz00_21,
																						BgL_stackz00_22, BgL_locz00_23,
																						BgL_sitez00_24);
																				}
																			else
																				{	/* Ast/sexp.scm 186 */
																					BgL_nodez00_bglt BgL_res7306z00_9631;

																					{	/* Ast/sexp.scm 715 */
																						obj_t BgL_arg7083z00_9627;
																						BgL_nodez00_bglt
																							BgL_arg7084z00_9628;
																						BgL_arg7083z00_9627 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg7084z00_9628 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 4)), BNIL,
																							BgL_locz00_23,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 714 */
																							obj_t BgL_list7085z00_9630;

																							BgL_list7085z00_9630 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_arg7084z00_9628),
																								BNIL);
																							BgL_res7306z00_9631 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_23,
																									BgL_arg7083z00_9627,
																									BGl_string7965z00zzast_sexpz00,
																									BgL_expz00_21,
																									BgL_list7085z00_9630));
																					}}
																					return BgL_res7306z00_9631;
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 118 */
																		if (
																			(CAR(BgL_expz00_21) ==
																				CNST_TABLE_REF(((long) 12))))
																			{	/* Ast/sexp.scm 118 */
																			BgL_tagzd2373zd2_1708:
																				{
																					obj_t BgL_valuez00_8433;

																					if (PAIRP(BgL_expz00_21))
																						{	/* Ast/sexp.scm 118 */
																							obj_t BgL_cdrzd262184zd2_8438;

																							BgL_cdrzd262184zd2_8438 =
																								CDR(BgL_expz00_21);
																							if (PAIRP
																								(BgL_cdrzd262184zd2_8438))
																								{	/* Ast/sexp.scm 118 */
																									if (NULLP(CDR
																											(BgL_cdrzd262184zd2_8438)))
																										{	/* Ast/sexp.scm 118 */
																											BgL_valuez00_8433 =
																												CAR
																												(BgL_cdrzd262184zd2_8438);
																											{	/* Ast/sexp.scm 191 */
																												obj_t BgL_locz00_8444;

																												BgL_locz00_8444 =
																													BGl_findzd2locationzf2locz20zztools_locationz00
																													(BgL_expz00_21,
																													BgL_locz00_23);
																												if (NULLP
																													(BgL_valuez00_8433))
																													{	/* Ast/sexp.scm 194 */
																														BgL_literalz00_bglt
																															BgL_new1119z00_8446;
																														{	/* Ast/sexp.scm 195 */
																															BgL_literalz00_bglt
																																BgL_new1118z00_8448;
																															BgL_new1118z00_8448
																																=
																																(
																																(BgL_literalz00_bglt)
																																BOBJECT
																																(GC_MALLOC
																																	(sizeof(struct
																																			BgL_literalz00_bgl))));
																															{	/* Ast/sexp.scm 195 */
																																long
																																	BgL_arg6660z00_8449;
																																{	/* Ast/sexp.scm 195 */
																																	long
																																		BgL_res7308z00_9634;
																																	BgL_res7308z00_9634
																																		=
																																		BGL_CLASS_INDEX
																																		(BGl_literalz00zzast_nodez00);
																																	BgL_arg6660z00_8449
																																		=
																																		BgL_res7308z00_9634;
																																}
																																BGL_OBJECT_CLASS_NUM_SET
																																	(((BgL_objectz00_bglt) BgL_new1118z00_8448), BgL_arg6660z00_8449);
																															}
																															{	/* Ast/sexp.scm 195 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_14030;
																																BgL_tmpz00_14030
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1118z00_8448);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_tmpz00_14030,
																																	BFALSE);
																															}
																															BgL_new1119z00_8446
																																=
																																BgL_new1118z00_8448;
																														}
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1119z00_8446)))->BgL_locz00) = ((obj_t) BgL_locz00_8444), BUNSPEC);
																														{
																															BgL_typez00_bglt
																																BgL_auxz00_14035;
																															{	/* Ast/sexp.scm 196 */
																																BgL_typez00_bglt
																																	BgL_arg6659z00_8447;
																																BgL_arg6659z00_8447
																																	=
																																	BGl_getzd2typezd2kwotez00zztype_typeofz00
																																	(BgL_valuez00_8433);
																																BgL_auxz00_14035
																																	=
																																	BGl_strictzd2nodezd2typez00zzast_nodez00
																																	(BgL_arg6659z00_8447,
																																	((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00));
																															}
																															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1119z00_8446)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14035), BUNSPEC);
																														}
																														((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt) BgL_new1119z00_8446)))->BgL_valuez00) = ((obj_t) BNIL), BUNSPEC);
																														return
																															(
																															(BgL_nodez00_bglt)
																															BgL_new1119z00_8446);
																													}
																												else
																													{	/* Ast/sexp.scm 198 */
																														bool_t
																															BgL_testz00_14044;
																														if (PAIRP
																															(BgL_valuez00_8433))
																															{	/* Ast/sexp.scm 198 */
																																BgL_testz00_14044
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Ast/sexp.scm 198 */
																																if (VECTORP
																																	(BgL_valuez00_8433))
																																	{	/* Ast/sexp.scm 199 */
																																		BgL_testz00_14044
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 199 */
																																		if (BGL_HVECTORP(BgL_valuez00_8433))
																																			{	/* Ast/sexp.scm 200 */
																																				BgL_testz00_14044
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 200 */
																																				if (STRUCTP(BgL_valuez00_8433))
																																					{	/* Ast/sexp.scm 201 */
																																						BgL_testz00_14044
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 201 */
																																						if (SYMBOLP(BgL_valuez00_8433))
																																							{	/* Ast/sexp.scm 202 */
																																								BgL_testz00_14044
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 202 */
																																								BgL_testz00_14044
																																									=
																																									KEYWORDP
																																									(BgL_valuez00_8433);
																																							}
																																					}
																																			}
																																	}
																															}
																														if (BgL_testz00_14044)
																															{	/* Ast/sexp.scm 204 */
																																BgL_kwotez00_bglt
																																	BgL_new1121z00_8456;
																																{	/* Ast/sexp.scm 205 */
																																	BgL_kwotez00_bglt
																																		BgL_new1120z00_8458;
																																	BgL_new1120z00_8458
																																		=
																																		(
																																		(BgL_kwotez00_bglt)
																																		BOBJECT
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_kwotez00_bgl))));
																																	{	/* Ast/sexp.scm 205 */
																																		long
																																			BgL_arg6668z00_8459;
																																		{	/* Ast/sexp.scm 205 */
																																			long
																																				BgL_res7314z00_9643;
																																			BgL_res7314z00_9643
																																				=
																																				BGL_CLASS_INDEX
																																				(BGl_kwotez00zzast_nodez00);
																																			BgL_arg6668z00_8459
																																				=
																																				BgL_res7314z00_9643;
																																		}
																																		BGL_OBJECT_CLASS_NUM_SET
																																			(((BgL_objectz00_bglt) BgL_new1120z00_8458), BgL_arg6668z00_8459);
																																	}
																																	{	/* Ast/sexp.scm 205 */
																																		BgL_objectz00_bglt
																																			BgL_tmpz00_14060;
																																		BgL_tmpz00_14060
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1120z00_8458);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_tmpz00_14060,
																																			BFALSE);
																																	}
																																	BgL_new1121z00_8456
																																		=
																																		BgL_new1120z00_8458;
																																}
																																((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1121z00_8456)))->BgL_locz00) = ((obj_t) BgL_locz00_8444), BUNSPEC);
																																{
																																	BgL_typez00_bglt
																																		BgL_auxz00_14065;
																																	{	/* Ast/sexp.scm 206 */
																																		BgL_typez00_bglt
																																			BgL_arg6667z00_8457;
																																		BgL_arg6667z00_8457
																																			=
																																			BGl_getzd2typezd2kwotez00zztype_typeofz00
																																			(BgL_valuez00_8433);
																																		BgL_auxz00_14065
																																			=
																																			BGl_strictzd2nodezd2typez00zzast_nodez00
																																			(BgL_arg6667z00_8457,
																																			((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
																																	}
																																	((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1121z00_8456)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14065), BUNSPEC);
																																}
																																((((BgL_kwotez00_bglt) COBJECT(BgL_new1121z00_8456))->BgL_valuez00) = ((obj_t) BgL_valuez00_8433), BUNSPEC);
																																return
																																	(
																																	(BgL_nodez00_bglt)
																																	BgL_new1121z00_8456);
																															}
																														else
																															{	/* Ast/sexp.scm 208 */
																																bool_t
																																	BgL_testz00_14073;
																																if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_8433))
																																	{	/* Ast/sexp.scm 208 */
																																		BgL_testz00_14073
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 208 */
																																		if (STRINGP
																																			(BgL_valuez00_8433))
																																			{	/* Ast/sexp.scm 209 */
																																				BgL_testz00_14073
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 209 */
																																				if (CNSTP(BgL_valuez00_8433))
																																					{	/* Ast/sexp.scm 210 */
																																						BgL_testz00_14073
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 210 */
																																						if (CHARP(BgL_valuez00_8433))
																																							{	/* Ast/sexp.scm 214 */
																																								BgL_testz00_14073
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 214 */
																																								BgL_testz00_14073
																																									=
																																									BOOLEANP
																																									(BgL_valuez00_8433);
																																							}
																																					}
																																			}
																																	}
																																if (BgL_testz00_14073)
																																	{
																																		obj_t
																																			BgL_locz00_14084;
																																		obj_t
																																			BgL_expz00_14083;
																																		BgL_expz00_14083
																																			=
																																			BgL_valuez00_8433;
																																		BgL_locz00_14084
																																			=
																																			BgL_locz00_8444;
																																		BgL_locz00_23
																																			=
																																			BgL_locz00_14084;
																																		BgL_expz00_21
																																			=
																																			BgL_expz00_14083;
																																		goto
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																	}
																																else
																																	{	/* Ast/sexp.scm 218 */
																																		BgL_nodez00_bglt
																																			BgL_res7319z00_9655;
																																		{	/* Ast/sexp.scm 715 */
																																			obj_t
																																				BgL_arg7083z00_9651;
																																			BgL_nodez00_bglt
																																				BgL_arg7084z00_9652;
																																			BgL_arg7083z00_9651
																																				=
																																				BGl_shapez00zztools_shapez00
																																				(BGl_currentzd2functionzd2zztools_errorz00
																																				());
																																			BgL_arg7084z00_9652
																																				=
																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																				(CNST_TABLE_REF
																																				(((long)
																																						4)),
																																				BNIL,
																																				BgL_locz00_8444,
																																				CNST_TABLE_REF
																																				(((long)
																																						2)));
																																			{	/* Ast/sexp.scm 714 */
																																				obj_t
																																					BgL_list7085z00_9654;
																																				BgL_list7085z00_9654
																																					=
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) BgL_arg7084z00_9652), BNIL);
																																				BgL_res7319z00_9655
																																					=
																																					(
																																					(BgL_nodez00_bglt)
																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																					(BgL_locz00_8444,
																																						BgL_arg7083z00_9651,
																																						BGl_string7967z00zzast_sexpz00,
																																						BgL_expz00_21,
																																						BgL_list7085z00_9654));
																																		}}
																																		return
																																			BgL_res7319z00_9655;
																																	}
																															}
																													}
																											}
																										}
																									else
																										{	/* Ast/sexp.scm 118 */
																										BgL_tagzd262179zd2_8435:
																											{	/* Ast/sexp.scm 220 */
																												BgL_nodez00_bglt
																													BgL_res7320z00_9661;
																												{	/* Ast/sexp.scm 715 */
																													obj_t
																														BgL_arg7083z00_9657;
																													BgL_nodez00_bglt
																														BgL_arg7084z00_9658;
																													BgL_arg7083z00_9657 =
																														BGl_shapez00zztools_shapez00
																														(BGl_currentzd2functionzd2zztools_errorz00
																														());
																													BgL_arg7084z00_9658 =
																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																														(CNST_TABLE_REF((
																																(long) 4)),
																														BNIL, BgL_locz00_23,
																														CNST_TABLE_REF((
																																(long) 2)));
																													{	/* Ast/sexp.scm 714 */
																														obj_t
																															BgL_list7085z00_9660;
																														BgL_list7085z00_9660
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																BgL_arg7084z00_9658),
																															BNIL);
																														BgL_res7320z00_9661
																															=
																															(
																															(BgL_nodez00_bglt)
																															BGl_userzd2errorzf2locationz20zztools_errorz00
																															(BgL_locz00_23,
																																BgL_arg7083z00_9657,
																																BGl_string7967z00zzast_sexpz00,
																																BgL_expz00_21,
																																BgL_list7085z00_9660));
																												}}
																												return
																													BgL_res7320z00_9661;
																											}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 118 */
																									goto BgL_tagzd262179zd2_8435;
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 118 */
																							goto BgL_tagzd262179zd2_8435;
																						}
																				}
																			}
																		else
																			{	/* Ast/sexp.scm 118 */
																				if (
																					(CAR(BgL_expz00_21) ==
																						CNST_TABLE_REF(((long) 15))))
																					{	/* Ast/sexp.scm 118 */
																						if (NULLP(CDR(BgL_expz00_21)))
																							{	/* Ast/sexp.scm 118 */
																							BgL_tagzd2374zd2_1709:
																								{
																									obj_t BgL_locz00_14112;
																									obj_t BgL_expz00_14111;

																									BgL_expz00_14111 = BUNSPEC;
																									BgL_locz00_14112 =
																										BGl_findzd2locationzf2locz20zztools_locationz00
																										(BgL_expz00_21,
																										BgL_locz00_23);
																									BgL_locz00_23 =
																										BgL_locz00_14112;
																									BgL_expz00_21 =
																										BgL_expz00_14111;
																									goto
																										BGl_sexpzd2ze3nodez31zzast_sexpz00;
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 118 */
																								obj_t BgL_arg1587z00_1797;

																								BgL_arg1587z00_1797 =
																									CDR(BgL_expz00_21);
																								{
																									BgL_sequencez00_bglt
																										BgL_auxz00_14115;
																									BgL_bodyz00_1710 =
																										BgL_arg1587z00_1797;
																								BgL_tagzd2375zd2_1711:
																									{	/* Ast/sexp.scm 225 */
																										obj_t BgL_locz00_8475;

																										BgL_locz00_8475 =
																											BGl_findzd2locationzf2locz20zztools_locationz00
																											(BgL_expz00_21,
																											BgL_locz00_23);
																										{	/* Ast/sexp.scm 225 */
																											obj_t BgL_nodesz00_8476;

																											BgL_nodesz00_8476 =
																												BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																												(BgL_bodyz00_1710,
																												BgL_stackz00_22,
																												BgL_locz00_8475,
																												BgL_sitez00_24);
																											{	/* Ast/sexp.scm 226 */

																												{	/* Ast/sexp.scm 227 */
																													BgL_sequencez00_bglt
																														BgL_new1124z00_8477;
																													{	/* Ast/sexp.scm 228 */
																														BgL_sequencez00_bglt
																															BgL_new1123z00_8478;
																														BgL_new1123z00_8478
																															=
																															(
																															(BgL_sequencez00_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_sequencez00_bgl))));
																														{	/* Ast/sexp.scm 228 */
																															long
																																BgL_arg6675z00_8479;
																															{	/* Ast/sexp.scm 228 */
																																long
																																	BgL_res7324z00_9669;
																																BgL_res7324z00_9669
																																	=
																																	BGL_CLASS_INDEX
																																	(BGl_sequencez00zzast_nodez00);
																																BgL_arg6675z00_8479
																																	=
																																	BgL_res7324z00_9669;
																															}
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) BgL_new1123z00_8478), BgL_arg6675z00_8479);
																														}
																														{	/* Ast/sexp.scm 228 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_14122;
																															BgL_tmpz00_14122 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1123z00_8478);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_14122,
																																BFALSE);
																														}
																														BgL_new1124z00_8477
																															=
																															BgL_new1123z00_8478;
																													}
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1124z00_8477)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_8475),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1124z00_8477)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1124z00_8477)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1124z00_8477)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																													((((BgL_sequencez00_bglt) COBJECT(BgL_new1124z00_8477))->BgL_nodesz00) = ((obj_t) BgL_nodesz00_8476), BUNSPEC);
																													((((BgL_sequencez00_bglt) COBJECT(BgL_new1124z00_8477))->BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																													((((BgL_sequencez00_bglt) COBJECT(BgL_new1124z00_8477))->BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
																													BgL_auxz00_14115 =
																														BgL_new1124z00_8477;
																									}}}}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_14115);
																								}
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 118 */
																						obj_t BgL_carzd2610zd2_1799;
																						obj_t BgL_cdrzd2611zd2_1800;

																						BgL_carzd2610zd2_1799 =
																							CAR(BgL_expz00_21);
																						BgL_cdrzd2611zd2_1800 =
																							CDR(BgL_expz00_21);
																						{

																							if (
																								(BgL_carzd2610zd2_1799 ==
																									CNST_TABLE_REF(((long) 1))))
																								{
																									obj_t BgL_auxz00_14144;

																								BgL_kapzd2612zd2_1801:
																									if (PAIRP
																										(BgL_cdrzd2611zd2_1800))
																										{	/* Ast/sexp.scm 118 */
																											obj_t
																												BgL_cdrzd2615zd2_2548;
																											BgL_cdrzd2615zd2_2548 =
																												CDR
																												(BgL_cdrzd2611zd2_1800);
																											if (PAIRP
																												(BgL_cdrzd2615zd2_2548))
																												{	/* Ast/sexp.scm 118 */
																													obj_t
																														BgL_cdrzd2618zd2_2550;
																													BgL_cdrzd2618zd2_2550
																														=
																														CDR
																														(BgL_cdrzd2615zd2_2548);
																													if ((CAR
																															(BgL_cdrzd2615zd2_2548)
																															== BTRUE))
																														{	/* Ast/sexp.scm 118 */
																															if (PAIRP
																																(BgL_cdrzd2618zd2_2550))
																																{	/* Ast/sexp.scm 118 */
																																	if (
																																		(CAR
																																			(BgL_cdrzd2618zd2_2550)
																																			==
																																			BFALSE))
																																		{	/* Ast/sexp.scm 118 */
																																			if (NULLP
																																				(CDR
																																					(BgL_cdrzd2618zd2_2550)))
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(BgL_sitez00_24
																																							==
																																							CNST_TABLE_REF
																																							(((long) 8))))
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_arg2236z00_2560;
																																							BgL_arg2236z00_2560
																																								=
																																								CAR
																																								(BgL_cdrzd2611zd2_1800);
																																							BgL_auxz00_14144
																																								=
																																								(
																																								(obj_t)
																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																								(BgL_arg2236z00_2560,
																																									BgL_stackz00_22,
																																									BgL_locz00_23,
																																									BgL_sitez00_24));
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_carzd2637zd2_2561;
																																							BgL_carzd2637zd2_2561
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if ((BgL_carzd2637zd2_2561 == CNST_TABLE_REF(((long) 1))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_14173;
																																								BgL_tagzd2377zd2_1714:
																																									{
																																										obj_t
																																											BgL_siz00_8480;
																																										obj_t
																																											BgL_alorsz00_8481;
																																										obj_t
																																											BgL_sinonz00_8482;
																																										obj_t
																																											BgL_siz00_8484;
																																										obj_t
																																											BgL_alorsz00_8485;
																																										if (PAIRP(BgL_expz00_21))
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_cdrzd262200zd2_8490;
																																												BgL_cdrzd262200zd2_8490
																																													=
																																													CDR
																																													(BgL_expz00_21);
																																												if (PAIRP(BgL_cdrzd262200zd2_8490))
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_cdrzd262205zd2_8492;
																																														BgL_cdrzd262205zd2_8492
																																															=
																																															CDR
																																															(BgL_cdrzd262200zd2_8490);
																																														if (PAIRP(BgL_cdrzd262205zd2_8492))
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_cdrzd262210zd2_8494;
																																																BgL_cdrzd262210zd2_8494
																																																	=
																																																	CDR
																																																	(BgL_cdrzd262205zd2_8492);
																																																if (PAIRP(BgL_cdrzd262210zd2_8494))
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (NULLP(CDR(BgL_cdrzd262210zd2_8494)))
																																																			{	/* Ast/sexp.scm 118 */
																																																				BgL_siz00_8480
																																																					=
																																																					CAR
																																																					(BgL_cdrzd262200zd2_8490);
																																																				BgL_alorsz00_8481
																																																					=
																																																					CAR
																																																					(BgL_cdrzd262205zd2_8492);
																																																				BgL_sinonz00_8482
																																																					=
																																																					CAR
																																																					(BgL_cdrzd262210zd2_8494);
																																																				{	/* Ast/sexp.scm 238 */
																																																					obj_t
																																																						BgL_ntz00_8509;
																																																					BgL_ntz00_8509
																																																						=
																																																						BGl_notzd2testzd2zzast_sexpz00
																																																						(BgL_siz00_8480);
																																																					if (CBOOL(BgL_ntz00_8509))
																																																						{	/* Ast/sexp.scm 239 */
																																																							{	/* Ast/sexp.scm 241 */
																																																								obj_t
																																																									BgL_arg6691z00_8510;
																																																								BgL_arg6691z00_8510
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 241 */
																																																									obj_t
																																																										BgL_tmpz00_14193;
																																																									BgL_tmpz00_14193
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_arg6691z00_8510);
																																																									SET_CAR
																																																										(BgL_tmpz00_14193,
																																																										BgL_ntz00_8509);
																																																								}
																																																							}
																																																							{	/* Ast/sexp.scm 242 */
																																																								obj_t
																																																									BgL_arg6692z00_8511;
																																																								{	/* Ast/sexp.scm 242 */
																																																									obj_t
																																																										BgL_pairz00_9677;
																																																									BgL_pairz00_9677
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_arg6692z00_8511
																																																										=
																																																										CDR
																																																										(BgL_pairz00_9677);
																																																								}
																																																								{	/* Ast/sexp.scm 242 */
																																																									obj_t
																																																										BgL_tmpz00_14199;
																																																									BgL_tmpz00_14199
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_arg6692z00_8511);
																																																									SET_CAR
																																																										(BgL_tmpz00_14199,
																																																										BgL_sinonz00_8482);
																																																								}
																																																							}
																																																							{	/* Ast/sexp.scm 243 */
																																																								obj_t
																																																									BgL_arg6693z00_8512;
																																																								{	/* Ast/sexp.scm 243 */
																																																									obj_t
																																																										BgL_pairz00_9684;
																																																									{	/* Ast/sexp.scm 243 */
																																																										obj_t
																																																											BgL_pairz00_9683;
																																																										BgL_pairz00_9683
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_pairz00_9684
																																																											=
																																																											CDR
																																																											(BgL_pairz00_9683);
																																																									}
																																																									BgL_arg6693z00_8512
																																																										=
																																																										CDR
																																																										(BgL_pairz00_9684);
																																																								}
																																																								{	/* Ast/sexp.scm 243 */
																																																									obj_t
																																																										BgL_tmpz00_14206;
																																																									BgL_tmpz00_14206
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_arg6693z00_8512);
																																																									SET_CAR
																																																										(BgL_tmpz00_14206,
																																																										BgL_alorsz00_8481);
																																																								}
																																																							}
																																																							BgL_auxz00_14173
																																																								=
																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																								(BgL_expz00_21,
																																																								BgL_stackz00_22,
																																																								BgL_locz00_23,
																																																								BgL_sitez00_24);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 245 */
																																																							obj_t
																																																								BgL_locz00_8513;
																																																							BgL_locz00_8513
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 245 */
																																																								obj_t
																																																									BgL_cdlocz00_8514;
																																																								{	/* Ast/sexp.scm 246 */
																																																									obj_t
																																																										BgL_arg6713z00_8548;
																																																									BgL_arg6713z00_8548
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdlocz00_8514
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_arg6713z00_8548,
																																																										BgL_locz00_8513);
																																																								}
																																																								{	/* Ast/sexp.scm 246 */
																																																									obj_t
																																																										BgL_cddlocz00_8515;
																																																									{	/* Ast/sexp.scm 247 */
																																																										obj_t
																																																											BgL_arg6712z00_8547;
																																																										{	/* Ast/sexp.scm 247 */
																																																											obj_t
																																																												BgL_pairz00_9690;
																																																											BgL_pairz00_9690
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_arg6712z00_8547
																																																												=
																																																												CDR
																																																												(BgL_pairz00_9690);
																																																										}
																																																										BgL_cddlocz00_8515
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_arg6712z00_8547,
																																																											BgL_locz00_8513);
																																																									}
																																																									{	/* Ast/sexp.scm 247 */
																																																										obj_t
																																																											BgL_cdddlocz00_8516;
																																																										{	/* Ast/sexp.scm 248 */
																																																											obj_t
																																																												BgL_arg6711z00_8546;
																																																											{	/* Ast/sexp.scm 248 */
																																																												obj_t
																																																													BgL_pairz00_9696;
																																																												{	/* Ast/sexp.scm 248 */
																																																													obj_t
																																																														BgL_pairz00_9695;
																																																													BgL_pairz00_9695
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_pairz00_9696
																																																														=
																																																														CDR
																																																														(BgL_pairz00_9695);
																																																												}
																																																												BgL_arg6711z00_8546
																																																													=
																																																													CDR
																																																													(BgL_pairz00_9696);
																																																											}
																																																											BgL_cdddlocz00_8516
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_arg6711z00_8546,
																																																												BgL_locz00_8513);
																																																										}
																																																										{	/* Ast/sexp.scm 248 */
																																																											obj_t
																																																												BgL_lzd2sizd2_8517;
																																																											BgL_lzd2sizd2_8517
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_siz00_8480,
																																																												BgL_cdlocz00_8514);
																																																											{	/* Ast/sexp.scm 249 */
																																																												obj_t
																																																													BgL_lzd2alorszd2_8518;
																																																												BgL_lzd2alorszd2_8518
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_alorsz00_8481,
																																																													BgL_cddlocz00_8515);
																																																												{	/* Ast/sexp.scm 250 */
																																																													obj_t
																																																														BgL_lzd2sinonzd2_8519;
																																																													BgL_lzd2sinonzd2_8519
																																																														=
																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																														(BgL_sinonz00_8482,
																																																														BgL_cdddlocz00_8516);
																																																													{	/* Ast/sexp.scm 251 */
																																																														BgL_nodez00_bglt
																																																															BgL_testz00_8520;
																																																														BgL_testz00_8520
																																																															=
																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																															(BgL_siz00_8480,
																																																															BgL_stackz00_22,
																																																															BgL_locz00_8513,
																																																															CNST_TABLE_REF
																																																															(((long) 8)));
																																																														{	/* Ast/sexp.scm 252 */

																																																															{	/* Ast/sexp.scm 254 */
																																																																bool_t
																																																																	BgL_testz00_14228;
																																																																{	/* Ast/sexp.scm 254 */
																																																																	bool_t
																																																																		BgL_res7325z00_9697;
																																																																	BgL_res7325z00_9697
																																																																		=
																																																																		BGl_isazf3zf3zz__objectz00
																																																																		(
																																																																		((obj_t) BgL_testz00_8520), BGl_atomz00zzast_nodez00);
																																																																	BgL_testz00_14228
																																																																		=
																																																																		BgL_res7325z00_9697;
																																																																}
																																																																if (BgL_testz00_14228)
																																																																	{	/* Ast/sexp.scm 254 */
																																																																		if (CBOOL((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt) BgL_testz00_8520)))->BgL_valuez00)))
																																																																			{	/* Ast/sexp.scm 256 */
																																																																				BgL_auxz00_14173
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_alorsz00_8481,
																																																																					BgL_stackz00_22,
																																																																					BgL_lzd2alorszd2_8518,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 256 */
																																																																				BgL_auxz00_14173
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_sinonz00_8482,
																																																																					BgL_stackz00_22,
																																																																					BgL_lzd2sinonzd2_8519,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																	}}
																																																																else
																																																																	{	/* Ast/sexp.scm 259 */
																																																																		bool_t
																																																																			BgL_testz00_14239;
																																																																		{	/* Ast/sexp.scm 259 */
																																																																			bool_t
																																																																				BgL_res7326z00_9698;
																																																																			BgL_res7326z00_9698
																																																																				=
																																																																				BGl_isazf3zf3zz__objectz00
																																																																				(
																																																																				((obj_t) BgL_testz00_8520), BGl_kwotez00zzast_nodez00);
																																																																			BgL_testz00_14239
																																																																				=
																																																																				BgL_res7326z00_9698;
																																																																		}
																																																																		if (BgL_testz00_14239)
																																																																			{	/* Ast/sexp.scm 259 */
																																																																				BgL_auxz00_14173
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_alorsz00_8481,
																																																																					BgL_stackz00_22,
																																																																					BgL_lzd2alorszd2_8518,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 261 */
																																																																				bool_t
																																																																					BgL_testz00_14244;
																																																																				{	/* Ast/sexp.scm 261 */
																																																																					bool_t
																																																																						BgL_res7327z00_9699;
																																																																					BgL_res7327z00_9699
																																																																						=
																																																																						BGl_isazf3zf3zz__objectz00
																																																																						(
																																																																						((obj_t) BgL_testz00_8520), BGl_varz00zzast_nodez00);
																																																																					BgL_testz00_14244
																																																																						=
																																																																						BgL_res7327z00_9699;
																																																																				}
																																																																				if (BgL_testz00_14244)
																																																																					{	/* Ast/sexp.scm 262 */
																																																																						BgL_nodez00_bglt
																																																																							BgL_alorsz00_8526;
																																																																						BgL_nodez00_bglt
																																																																							BgL_sinonz00_8527;
																																																																						BgL_alorsz00_8526
																																																																							=
																																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																							(BgL_alorsz00_8481,
																																																																							BgL_stackz00_22,
																																																																							BgL_lzd2alorszd2_8518,
																																																																							CNST_TABLE_REF
																																																																							(((long) 2)));
																																																																						BgL_sinonz00_8527
																																																																							=
																																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																							(BgL_sinonz00_8482,
																																																																							BgL_stackz00_22,
																																																																							BgL_lzd2sinonzd2_8519,
																																																																							CNST_TABLE_REF
																																																																							(((long) 2)));
																																																																						{	/* Ast/sexp.scm 264 */
																																																																							BgL_conditionalz00_bglt
																																																																								BgL_new1128z00_8528;
																																																																							{	/* Ast/sexp.scm 265 */
																																																																								BgL_conditionalz00_bglt
																																																																									BgL_new1126z00_8529;
																																																																								BgL_new1126z00_8529
																																																																									=
																																																																									(
																																																																									(BgL_conditionalz00_bglt)
																																																																									BOBJECT
																																																																									(GC_MALLOC
																																																																										(sizeof
																																																																											(struct
																																																																												BgL_conditionalz00_bgl))));
																																																																								{	/* Ast/sexp.scm 265 */
																																																																									long
																																																																										BgL_arg6698z00_8530;
																																																																									{	/* Ast/sexp.scm 265 */
																																																																										long
																																																																											BgL_res7328z00_9701;
																																																																										BgL_res7328z00_9701
																																																																											=
																																																																											BGL_CLASS_INDEX
																																																																											(BGl_conditionalz00zzast_nodez00);
																																																																										BgL_arg6698z00_8530
																																																																											=
																																																																											BgL_res7328z00_9701;
																																																																									}
																																																																									BGL_OBJECT_CLASS_NUM_SET
																																																																										(
																																																																										((BgL_objectz00_bglt) BgL_new1126z00_8529), BgL_arg6698z00_8530);
																																																																								}
																																																																								{	/* Ast/sexp.scm 265 */
																																																																									BgL_objectz00_bglt
																																																																										BgL_tmpz00_14255;
																																																																									BgL_tmpz00_14255
																																																																										=
																																																																										(
																																																																										(BgL_objectz00_bglt)
																																																																										BgL_new1126z00_8529);
																																																																									BGL_OBJECT_WIDENING_SET
																																																																										(BgL_tmpz00_14255,
																																																																										BFALSE);
																																																																								}
																																																																								BgL_new1128z00_8528
																																																																									=
																																																																									BgL_new1126z00_8529;
																																																																							}
																																																																							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1128z00_8528)))->BgL_locz00) = ((obj_t) BgL_locz00_8513), BUNSPEC);
																																																																							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1128z00_8528)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1128z00_8528)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1128z00_8528)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																							((((BgL_conditionalz00_bglt) COBJECT(BgL_new1128z00_8528))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_8520), BUNSPEC);
																																																																							((((BgL_conditionalz00_bglt) COBJECT(BgL_new1128z00_8528))->BgL_truez00) = ((BgL_nodez00_bglt) BgL_alorsz00_8526), BUNSPEC);
																																																																							((((BgL_conditionalz00_bglt) COBJECT(BgL_new1128z00_8528))->BgL_falsez00) = ((BgL_nodez00_bglt) BgL_sinonz00_8527), BUNSPEC);
																																																																							BgL_auxz00_14173
																																																																								=
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_new1128z00_8528);
																																																																					}}
																																																																				else
																																																																					{	/* Ast/sexp.scm 271 */
																																																																						obj_t
																																																																							BgL_vz00_8531;
																																																																						BgL_vz00_8531
																																																																							=
																																																																							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																																																																							(BGl_gensymz00zz__r4_symbols_6_4z00
																																																																							(CNST_TABLE_REF
																																																																								(((long) 8))));
																																																																						{	/* Ast/sexp.scm 271 */
																																																																							obj_t
																																																																								BgL_varz00_8532;
																																																																							BgL_varz00_8532
																																																																								=
																																																																								BGl_makezd2typedzd2identz00zzast_identz00
																																																																								(BgL_vz00_8531,
																																																																								CNST_TABLE_REF
																																																																								(((long) 9)));
																																																																							{	/* Ast/sexp.scm 272 */
																																																																								obj_t
																																																																									BgL_nexpz00_8533;
																																																																								{	/* Ast/sexp.scm 273 */
																																																																									obj_t
																																																																										BgL_arg6706z00_8541;
																																																																									{	/* Ast/sexp.scm 273 */
																																																																										obj_t
																																																																											BgL_arg6707z00_8542;
																																																																										{	/* Ast/sexp.scm 273 */
																																																																											obj_t
																																																																												BgL_arg6708z00_8543;
																																																																											{	/* Ast/sexp.scm 273 */
																																																																												obj_t
																																																																													BgL_arg6709z00_8544;
																																																																												BgL_arg6709z00_8544
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_sinonz00_8482,
																																																																													BNIL);
																																																																												BgL_arg6708z00_8543
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_alorsz00_8481,
																																																																													BgL_arg6709z00_8544);
																																																																											}
																																																																											BgL_arg6707z00_8542
																																																																												=
																																																																												MAKE_YOUNG_PAIR
																																																																												(BgL_vz00_8531,
																																																																												BgL_arg6708z00_8543);
																																																																										}
																																																																										BgL_arg6706z00_8541
																																																																											=
																																																																											MAKE_YOUNG_PAIR
																																																																											(CNST_TABLE_REF
																																																																											(((long) 1)), BgL_arg6707z00_8542);
																																																																									}
																																																																									BgL_nexpz00_8533
																																																																										=
																																																																										BGl_epairifyzd2reczd2zztools_miscz00
																																																																										(BgL_arg6706z00_8541,
																																																																										BgL_expz00_21);
																																																																								}
																																																																								{	/* Ast/sexp.scm 273 */

																																																																									{	/* Ast/sexp.scm 274 */
																																																																										obj_t
																																																																											BgL_arg6699z00_8534;
																																																																										{	/* Ast/sexp.scm 274 */
																																																																											obj_t
																																																																												BgL_arg6700z00_8535;
																																																																											obj_t
																																																																												BgL_arg6701z00_8536;
																																																																											BgL_arg6700z00_8535
																																																																												=
																																																																												BGl_letzd2symzd2zzast_letz00
																																																																												();
																																																																											{	/* Ast/sexp.scm 274 */
																																																																												obj_t
																																																																													BgL_arg6702z00_8537;
																																																																												obj_t
																																																																													BgL_arg6703z00_8538;
																																																																												{	/* Ast/sexp.scm 274 */
																																																																													obj_t
																																																																														BgL_arg6704z00_8539;
																																																																													{	/* Ast/sexp.scm 274 */
																																																																														obj_t
																																																																															BgL_arg6705z00_8540;
																																																																														BgL_arg6705z00_8540
																																																																															=
																																																																															MAKE_YOUNG_PAIR
																																																																															(BgL_siz00_8480,
																																																																															BNIL);
																																																																														BgL_arg6704z00_8539
																																																																															=
																																																																															MAKE_YOUNG_PAIR
																																																																															(BgL_varz00_8532,
																																																																															BgL_arg6705z00_8540);
																																																																													}
																																																																													BgL_arg6702z00_8537
																																																																														=
																																																																														MAKE_YOUNG_PAIR
																																																																														(BgL_arg6704z00_8539,
																																																																														BNIL);
																																																																												}
																																																																												BgL_arg6703z00_8538
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_nexpz00_8533,
																																																																													BNIL);
																																																																												BgL_arg6701z00_8536
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_arg6702z00_8537,
																																																																													BgL_arg6703z00_8538);
																																																																											}
																																																																											BgL_arg6699z00_8534
																																																																												=
																																																																												MAKE_YOUNG_PAIR
																																																																												(BgL_arg6700z00_8535,
																																																																												BgL_arg6701z00_8536);
																																																																										}
																																																																										BGl_replacez12z12zztools_miscz00
																																																																											(BgL_expz00_21,
																																																																											BgL_arg6699z00_8534);
																																																																									}
																																																																									BgL_auxz00_14173
																																																																										=
																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																										(BgL_expz00_21,
																																																																										BgL_stackz00_22,
																																																																										BgL_locz00_8513,
																																																																										BgL_sitez00_24);
																																																			}}}}}}}}}}}}}}}}}}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																			BgL_tagzd262191zd2_8487:
																																																				{	/* Ast/sexp.scm 280 */
																																																					BgL_nodez00_bglt
																																																						BgL_res7330z00_9715;
																																																					{	/* Ast/sexp.scm 715 */
																																																						obj_t
																																																							BgL_arg7083z00_9711;
																																																						BgL_nodez00_bglt
																																																							BgL_arg7084z00_9712;
																																																						BgL_arg7083z00_9711
																																																							=
																																																							BGl_shapez00zztools_shapez00
																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																							());
																																																						BgL_arg7084z00_9712
																																																							=
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																							(CNST_TABLE_REF
																																																							(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																						{	/* Ast/sexp.scm 714 */
																																																							obj_t
																																																								BgL_list7085z00_9714;
																																																							BgL_list7085z00_9714
																																																								=
																																																								MAKE_YOUNG_PAIR
																																																								(
																																																								((obj_t) BgL_arg7084z00_9712), BNIL);
																																																							BgL_res7330z00_9715
																																																								=
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BGl_userzd2errorzf2locationz20zztools_errorz00
																																																								(BgL_locz00_23,
																																																									BgL_arg7083z00_9711,
																																																									BGl_string7966z00zzast_sexpz00,
																																																									BgL_expz00_21,
																																																									BgL_list7085z00_9714));
																																																					}}
																																																					BgL_auxz00_14173
																																																						=
																																																						BgL_res7330z00_9715;
																																																	}}}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd262235zd2_8503;
																																																		BgL_cdrzd262235zd2_8503
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd262200zd2_8490));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd262235zd2_8503))))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg6688z00_8506;
																																																				obj_t
																																																					BgL_arg6689z00_8507;
																																																				BgL_arg6688z00_8506
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd262200zd2_8490));
																																																				BgL_arg6689z00_8507
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd262235zd2_8503));
																																																				BgL_siz00_8484
																																																					=
																																																					BgL_arg6688z00_8506;
																																																				BgL_alorsz00_8485
																																																					=
																																																					BgL_arg6689z00_8507;
																																																				{	/* Ast/sexp.scm 277 */
																																																					obj_t
																																																						BgL_arg6714z00_8549;
																																																					obj_t
																																																						BgL_arg6715z00_8550;
																																																					{	/* Ast/sexp.scm 277 */
																																																						obj_t
																																																							BgL_pairz00_9707;
																																																						BgL_pairz00_9707
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_arg6714z00_8549
																																																							=
																																																							CDR
																																																							(BgL_pairz00_9707);
																																																					}
																																																					{	/* Ast/sexp.scm 277 */
																																																						obj_t
																																																							BgL_list6716z00_8551;
																																																						BgL_list6716z00_8551
																																																							=
																																																							MAKE_YOUNG_PAIR
																																																							(BUNSPEC,
																																																							BNIL);
																																																						BgL_arg6715z00_8550
																																																							=
																																																							BgL_list6716z00_8551;
																																																					}
																																																					{	/* Ast/sexp.scm 277 */
																																																						obj_t
																																																							BgL_tmpz00_14318;
																																																						BgL_tmpz00_14318
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_arg6714z00_8549);
																																																						SET_CDR
																																																							(BgL_tmpz00_14318,
																																																							BgL_arg6715z00_8550);
																																																					}
																																																				}
																																																				BgL_auxz00_14173
																																																					=
																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																					(BgL_expz00_21,
																																																					BgL_stackz00_22,
																																																					BgL_locz00_23,
																																																					BgL_sitez00_24);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_tagzd262191zd2_8487;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_tagzd262191zd2_8487;
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_tagzd262191zd2_8487;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												goto
																																													BgL_tagzd262191zd2_8487;
																																											}
																																									}
																																									BgL_auxz00_14144
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_14173);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((BgL_carzd2637zd2_2561 == BGl_za2ifza2z00zzast_sexpz00))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_14325;
																																											goto
																																												BgL_tagzd2377zd2_1714;
																																											BgL_auxz00_14144
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_14325);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_14332;
																																												BgL_tagzd2379zd2_1718:
																																													{
																																														obj_t
																																															BgL_varz00_8578;
																																														obj_t
																																															BgL_valz00_8579;
																																														if (PAIRP(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_cdrzd262265zd2_8584;
																																																BgL_cdrzd262265zd2_8584
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																if (PAIRP(BgL_cdrzd262265zd2_8584))
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd262269zd2_8586;
																																																		BgL_cdrzd262269zd2_8586
																																																			=
																																																			CDR
																																																			(BgL_cdrzd262265zd2_8584);
																																																		if (PAIRP(BgL_cdrzd262269zd2_8586))
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (NULLP(CDR(BgL_cdrzd262269zd2_8586)))
																																																					{	/* Ast/sexp.scm 118 */
																																																						BgL_varz00_8578
																																																							=
																																																							CAR
																																																							(BgL_cdrzd262265zd2_8584);
																																																						BgL_valz00_8579
																																																							=
																																																							CAR
																																																							(BgL_cdrzd262269zd2_8586);
																																																						{	/* Ast/sexp.scm 289 */
																																																							obj_t
																																																								BgL_locz00_8593;
																																																							BgL_locz00_8593
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 289 */
																																																								obj_t
																																																									BgL_cdlocz00_8594;
																																																								{	/* Ast/sexp.scm 290 */
																																																									obj_t
																																																										BgL_arg6748z00_8613;
																																																									BgL_arg6748z00_8613
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdlocz00_8594
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_arg6748z00_8613,
																																																										BgL_locz00_8593);
																																																								}
																																																								{	/* Ast/sexp.scm 290 */
																																																									obj_t
																																																										BgL_cddlocz00_8595;
																																																									{	/* Ast/sexp.scm 291 */
																																																										obj_t
																																																											BgL_arg6747z00_8612;
																																																										{	/* Ast/sexp.scm 291 */
																																																											obj_t
																																																												BgL_pairz00_9751;
																																																											BgL_pairz00_9751
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_arg6747z00_8612
																																																												=
																																																												CDR
																																																												(BgL_pairz00_9751);
																																																										}
																																																										BgL_cddlocz00_8595
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_arg6747z00_8612,
																																																											BgL_locz00_8593);
																																																									}
																																																									{	/* Ast/sexp.scm 291 */
																																																										obj_t
																																																											BgL_valzd2loczd2_8596;
																																																										BgL_valzd2loczd2_8596
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_valz00_8579,
																																																											BgL_cddlocz00_8595);
																																																										{	/* Ast/sexp.scm 292 */
																																																											BgL_nodez00_bglt
																																																												BgL_valz00_8597;
																																																											BgL_valz00_8597
																																																												=
																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																												(BgL_valz00_8579,
																																																												BgL_stackz00_22,
																																																												BgL_valzd2loczd2_8596,
																																																												CNST_TABLE_REF
																																																												(((long) 2)));
																																																											{	/* Ast/sexp.scm 293 */

																																																												{	/* Ast/sexp.scm 294 */
																																																													BgL_nodez00_bglt
																																																														BgL_astz00_8598;
																																																													BgL_astz00_8598
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(BgL_varz00_8578,
																																																														BgL_stackz00_22,
																																																														BgL_cdlocz00_8594,
																																																														CNST_TABLE_REF
																																																														(((long) 7)));
																																																													{	/* Ast/sexp.scm 295 */
																																																														bool_t
																																																															BgL_testz00_14357;
																																																														{	/* Ast/sexp.scm 295 */
																																																															bool_t
																																																																BgL_res7342z00_9752;
																																																															BgL_res7342z00_9752
																																																																=
																																																																BGl_isazf3zf3zz__objectz00
																																																																(
																																																																((obj_t) BgL_astz00_8598), BGl_varz00zzast_nodez00);
																																																															BgL_testz00_14357
																																																																=
																																																																BgL_res7342z00_9752;
																																																														}
																																																														if (BgL_testz00_14357)
																																																															{	/* Ast/sexp.scm 297 */
																																																																bool_t
																																																																	BgL_testz00_14360;
																																																																{	/* Ast/sexp.scm 297 */
																																																																	bool_t
																																																																		BgL_testz00_14361;
																																																																	{	/* Ast/sexp.scm 297 */
																																																																		BgL_variablez00_bglt
																																																																			BgL_arg6746z00_8611;
																																																																		BgL_arg6746z00_8611
																																																																			=
																																																																			(
																																																																			((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_8598)))->BgL_variablez00);
																																																																		{	/* Ast/sexp.scm 297 */
																																																																			bool_t
																																																																				BgL_res7343z00_9753;
																																																																			BgL_res7343z00_9753
																																																																				=
																																																																				BGl_isazf3zf3zz__objectz00
																																																																				(
																																																																				((obj_t) BgL_arg6746z00_8611), BGl_globalz00zzast_varz00);
																																																																			BgL_testz00_14361
																																																																				=
																																																																				BgL_res7343z00_9753;
																																																																		}
																																																																	}
																																																																	if (BgL_testz00_14361)
																																																																		{	/* Ast/sexp.scm 298 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg6745z00_8610;
																																																																			BgL_arg6745z00_8610
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_8598)))->BgL_variablez00);
																																																																			BgL_testz00_14360
																																																																				=
																																																																				BGl_globalzd2readzd2onlyzf3zf3zzast_varz00
																																																																				(
																																																																				((BgL_globalz00_bglt) BgL_arg6745z00_8610));
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 297 */
																																																																			BgL_testz00_14360
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																																if (BgL_testz00_14360)
																																																																	{	/* Ast/sexp.scm 299 */
																																																																		BgL_nodez00_bglt
																																																																			BgL_res7344z00_9759;
																																																																		{	/* Ast/sexp.scm 715 */
																																																																			obj_t
																																																																				BgL_arg7083z00_9755;
																																																																			BgL_nodez00_bglt
																																																																				BgL_arg7084z00_9756;
																																																																			BgL_arg7083z00_9755
																																																																				=
																																																																				BGl_shapez00zztools_shapez00
																																																																				(BGl_currentzd2functionzd2zztools_errorz00
																																																																				());
																																																																			BgL_arg7084z00_9756
																																																																				=
																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																				(CNST_TABLE_REF
																																																																				(((long) 4)), BNIL, BgL_cdlocz00_8594, CNST_TABLE_REF(((long) 2)));
																																																																			{	/* Ast/sexp.scm 714 */
																																																																				obj_t
																																																																					BgL_list7085z00_9758;
																																																																				BgL_list7085z00_9758
																																																																					=
																																																																					MAKE_YOUNG_PAIR
																																																																					(
																																																																					((obj_t) BgL_arg7084z00_9756), BNIL);
																																																																				BgL_res7344z00_9759
																																																																					=
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																					(BgL_cdlocz00_8594,
																																																																						BgL_arg7083z00_9755,
																																																																						BGl_string7963z00zzast_sexpz00,
																																																																						BgL_expz00_21,
																																																																						BgL_list7085z00_9758));
																																																																		}}
																																																																		BgL_auxz00_14332
																																																																			=
																																																																			BgL_res7344z00_9759;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 301 */
																																																																		BgL_setqz00_bglt
																																																																			BgL_new1131z00_8606;
																																																																		{	/* Ast/sexp.scm 302 */
																																																																			BgL_setqz00_bglt
																																																																				BgL_new1130z00_8607;
																																																																			BgL_new1130z00_8607
																																																																				=
																																																																				(
																																																																				(BgL_setqz00_bglt)
																																																																				BOBJECT
																																																																				(GC_MALLOC
																																																																					(sizeof
																																																																						(struct
																																																																							BgL_setqz00_bgl))));
																																																																			{	/* Ast/sexp.scm 302 */
																																																																				long
																																																																					BgL_arg6744z00_8608;
																																																																				{	/* Ast/sexp.scm 302 */
																																																																					long
																																																																						BgL_res7345z00_9761;
																																																																					BgL_res7345z00_9761
																																																																						=
																																																																						BGL_CLASS_INDEX
																																																																						(BGl_setqz00zzast_nodez00);
																																																																					BgL_arg6744z00_8608
																																																																						=
																																																																						BgL_res7345z00_9761;
																																																																				}
																																																																				BGL_OBJECT_CLASS_NUM_SET
																																																																					(
																																																																					((BgL_objectz00_bglt) BgL_new1130z00_8607), BgL_arg6744z00_8608);
																																																																			}
																																																																			{	/* Ast/sexp.scm 302 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_tmpz00_14383;
																																																																				BgL_tmpz00_14383
																																																																					=
																																																																					(
																																																																					(BgL_objectz00_bglt)
																																																																					BgL_new1130z00_8607);
																																																																				BGL_OBJECT_WIDENING_SET
																																																																					(BgL_tmpz00_14383,
																																																																					BFALSE);
																																																																			}
																																																																			BgL_new1131z00_8606
																																																																				=
																																																																				BgL_new1130z00_8607;
																																																																		}
																																																																		((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1131z00_8606)))->BgL_locz00) = ((obj_t) BgL_locz00_8593), BUNSPEC);
																																																																		((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1131z00_8606)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																																		((((BgL_setqz00_bglt) COBJECT(BgL_new1131z00_8606))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_8598)), BUNSPEC);
																																																																		((((BgL_setqz00_bglt) COBJECT(BgL_new1131z00_8606))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_8597), BUNSPEC);
																																																																		BgL_auxz00_14332
																																																																			=
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_new1131z00_8606);
																																																															}}
																																																														else
																																																															{	/* Ast/sexp.scm 306 */
																																																																BgL_nodez00_bglt
																																																																	BgL_res7346z00_9769;
																																																																{	/* Ast/sexp.scm 715 */
																																																																	obj_t
																																																																		BgL_arg7083z00_9765;
																																																																	BgL_nodez00_bglt
																																																																		BgL_arg7084z00_9766;
																																																																	BgL_arg7083z00_9765
																																																																		=
																																																																		BGl_shapez00zztools_shapez00
																																																																		(BGl_currentzd2functionzd2zztools_errorz00
																																																																		());
																																																																	BgL_arg7084z00_9766
																																																																		=
																																																																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																		(CNST_TABLE_REF
																																																																		(((long) 4)), BNIL, BgL_locz00_8593, CNST_TABLE_REF(((long) 2)));
																																																																	{	/* Ast/sexp.scm 714 */
																																																																		obj_t
																																																																			BgL_list7085z00_9768;
																																																																		BgL_list7085z00_9768
																																																																			=
																																																																			MAKE_YOUNG_PAIR
																																																																			(
																																																																			((obj_t) BgL_arg7084z00_9766), BNIL);
																																																																		BgL_res7346z00_9769
																																																																			=
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																			(BgL_locz00_8593,
																																																																				BgL_arg7083z00_9765,
																																																																				BGl_string7964z00zzast_sexpz00,
																																																																				BgL_expz00_21,
																																																																				BgL_list7085z00_9768));
																																																																}}
																																																																BgL_auxz00_14332
																																																																	=
																																																																	BgL_res7346z00_9769;
																																																					}}}}}}}}}}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																					BgL_tagzd262258zd2_8581:
																																																						{	/* Ast/sexp.scm 310 */
																																																							obj_t
																																																								BgL_arg6749z00_8614;
																																																							BgL_arg6749z00_8614
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 309 */
																																																								BgL_nodez00_bglt
																																																									BgL_res7347z00_9775;
																																																								{	/* Ast/sexp.scm 715 */
																																																									obj_t
																																																										BgL_arg7083z00_9771;
																																																									BgL_nodez00_bglt
																																																										BgL_arg7084z00_9772;
																																																									BgL_arg7083z00_9771
																																																										=
																																																										BGl_shapez00zztools_shapez00
																																																										(BGl_currentzd2functionzd2zztools_errorz00
																																																										());
																																																									BgL_arg7084z00_9772
																																																										=
																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																										(CNST_TABLE_REF
																																																										(((long) 4)), BNIL, BgL_arg6749z00_8614, CNST_TABLE_REF(((long) 2)));
																																																									{	/* Ast/sexp.scm 714 */
																																																										obj_t
																																																											BgL_list7085z00_9774;
																																																										BgL_list7085z00_9774
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(
																																																											((obj_t) BgL_arg7084z00_9772), BNIL);
																																																										BgL_res7347z00_9775
																																																											=
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BGl_userzd2errorzf2locationz20zztools_errorz00
																																																											(BgL_arg6749z00_8614,
																																																												BgL_arg7083z00_9771,
																																																												BGl_string7962z00zzast_sexpz00,
																																																												BgL_expz00_21,
																																																												BgL_list7085z00_9774));
																																																								}}
																																																								BgL_auxz00_14332
																																																									=
																																																									BgL_res7347z00_9775;
																																																			}}}}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_tagzd262258zd2_8581;
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_tagzd262258zd2_8581;
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_tagzd262258zd2_8581;
																																															}
																																													}
																																													BgL_auxz00_14144
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_14332);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_14422;
																																														BgL_tagzd2380zd2_1719:
																																															{
																																																obj_t
																																																	BgL_varz00_8615;
																																																obj_t
																																																	BgL_valz00_8616;
																																																if (PAIRP(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd262283zd2_8621;
																																																		BgL_cdrzd262283zd2_8621
																																																			=
																																																			CDR
																																																			(BgL_expz00_21);
																																																		if (PAIRP(BgL_cdrzd262283zd2_8621))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd262287zd2_8623;
																																																				BgL_cdrzd262287zd2_8623
																																																					=
																																																					CDR
																																																					(BgL_cdrzd262283zd2_8621);
																																																				if (PAIRP(BgL_cdrzd262287zd2_8623))
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (NULLP(CDR(BgL_cdrzd262287zd2_8623)))
																																																							{	/* Ast/sexp.scm 118 */
																																																								BgL_varz00_8615
																																																									=
																																																									CAR
																																																									(BgL_cdrzd262283zd2_8621);
																																																								BgL_valz00_8616
																																																									=
																																																									CAR
																																																									(BgL_cdrzd262287zd2_8623);
																																																								{	/* Ast/sexp.scm 317 */
																																																									obj_t
																																																										BgL_locz00_8630;
																																																									BgL_locz00_8630
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_expz00_21,
																																																										BgL_locz00_23);
																																																									{	/* Ast/sexp.scm 317 */
																																																										obj_t
																																																											BgL_cdlocz00_8631;
																																																										{	/* Ast/sexp.scm 318 */
																																																											obj_t
																																																												BgL_arg6765z00_8646;
																																																											BgL_arg6765z00_8646
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_cdlocz00_8631
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_arg6765z00_8646,
																																																												BgL_locz00_8630);
																																																										}
																																																										{	/* Ast/sexp.scm 318 */
																																																											obj_t
																																																												BgL_cddlocz00_8632;
																																																											{	/* Ast/sexp.scm 319 */
																																																												obj_t
																																																													BgL_arg6764z00_8645;
																																																												{	/* Ast/sexp.scm 319 */
																																																													obj_t
																																																														BgL_pairz00_9789;
																																																													BgL_pairz00_9789
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_arg6764z00_8645
																																																														=
																																																														CDR
																																																														(BgL_pairz00_9789);
																																																												}
																																																												BgL_cddlocz00_8632
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_arg6764z00_8645,
																																																													BgL_locz00_8630);
																																																											}
																																																											{	/* Ast/sexp.scm 319 */
																																																												obj_t
																																																													BgL_valzd2loczd2_8633;
																																																												BgL_valzd2loczd2_8633
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_valz00_8616,
																																																													BgL_cddlocz00_8632);
																																																												{	/* Ast/sexp.scm 320 */
																																																													BgL_nodez00_bglt
																																																														BgL_valz00_8634;
																																																													BgL_valz00_8634
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(BgL_valz00_8616,
																																																														BgL_stackz00_22,
																																																														BgL_valzd2loczd2_8633,
																																																														CNST_TABLE_REF
																																																														(((long) 2)));
																																																													{	/* Ast/sexp.scm 321 */

																																																														{	/* Ast/sexp.scm 322 */
																																																															BgL_nodez00_bglt
																																																																BgL_astz00_8635;
																																																															BgL_astz00_8635
																																																																=
																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																(BgL_varz00_8615,
																																																																BgL_stackz00_22,
																																																																BgL_cdlocz00_8631,
																																																																CNST_TABLE_REF
																																																																(((long) 2)));
																																																															{	/* Ast/sexp.scm 323 */
																																																																bool_t
																																																																	BgL_testz00_14447;
																																																																{	/* Ast/sexp.scm 323 */
																																																																	bool_t
																																																																		BgL_testz00_14448;
																																																																	{	/* Ast/sexp.scm 323 */
																																																																		bool_t
																																																																			BgL_res7352z00_9790;
																																																																		BgL_res7352z00_9790
																																																																			=
																																																																			BGl_isazf3zf3zz__objectz00
																																																																			(
																																																																			((obj_t) BgL_astz00_8635), BGl_varz00zzast_nodez00);
																																																																		BgL_testz00_14448
																																																																			=
																																																																			BgL_res7352z00_9790;
																																																																	}
																																																																	if (BgL_testz00_14448)
																																																																		{	/* Ast/sexp.scm 323 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg6763z00_8644;
																																																																			BgL_arg6763z00_8644
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_8635)))->BgL_variablez00);
																																																																			{	/* Ast/sexp.scm 323 */
																																																																				bool_t
																																																																					BgL_res7353z00_9792;
																																																																				BgL_res7353z00_9792
																																																																					=
																																																																					BGl_isazf3zf3zz__objectz00
																																																																					(
																																																																					((obj_t) BgL_arg6763z00_8644), BGl_globalz00zzast_varz00);
																																																																				BgL_testz00_14447
																																																																					=
																																																																					BgL_res7353z00_9792;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 323 */
																																																																			BgL_testz00_14447
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																																if (BgL_testz00_14447)
																																																																	{	/* Ast/sexp.scm 323 */
																																																																		{	/* Ast/sexp.scm 325 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg6761z00_8639;
																																																																			BgL_arg6761z00_8639
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_8635)))->BgL_variablez00);
																																																																			((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_arg6761z00_8639)))->BgL_srcz00) = ((obj_t) ((obj_t) BgL_valz00_8634)), BUNSPEC);
																																																																		}
																																																																		{	/* Ast/sexp.scm 326 */
																																																																			BgL_setqz00_bglt
																																																																				BgL_new1133z00_8640;
																																																																			{	/* Ast/sexp.scm 327 */
																																																																				BgL_setqz00_bglt
																																																																					BgL_new1132z00_8641;
																																																																				BgL_new1132z00_8641
																																																																					=
																																																																					(
																																																																					(BgL_setqz00_bglt)
																																																																					BOBJECT
																																																																					(GC_MALLOC
																																																																						(sizeof
																																																																							(struct
																																																																								BgL_setqz00_bgl))));
																																																																				{	/* Ast/sexp.scm 327 */
																																																																					long
																																																																						BgL_arg6762z00_8642;
																																																																					{	/* Ast/sexp.scm 327 */
																																																																						long
																																																																							BgL_res7354z00_9796;
																																																																						BgL_res7354z00_9796
																																																																							=
																																																																							BGL_CLASS_INDEX
																																																																							(BGl_setqz00zzast_nodez00);
																																																																						BgL_arg6762z00_8642
																																																																							=
																																																																							BgL_res7354z00_9796;
																																																																					}
																																																																					BGL_OBJECT_CLASS_NUM_SET
																																																																						(
																																																																						((BgL_objectz00_bglt) BgL_new1132z00_8641), BgL_arg6762z00_8642);
																																																																				}
																																																																				{	/* Ast/sexp.scm 327 */
																																																																					BgL_objectz00_bglt
																																																																						BgL_tmpz00_14464;
																																																																					BgL_tmpz00_14464
																																																																						=
																																																																						(
																																																																						(BgL_objectz00_bglt)
																																																																						BgL_new1132z00_8641);
																																																																					BGL_OBJECT_WIDENING_SET
																																																																						(BgL_tmpz00_14464,
																																																																						BFALSE);
																																																																				}
																																																																				BgL_new1133z00_8640
																																																																					=
																																																																					BgL_new1132z00_8641;
																																																																			}
																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1133z00_8640)))->BgL_locz00) = ((obj_t) BgL_locz00_8630), BUNSPEC);
																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1133z00_8640)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																																			((((BgL_setqz00_bglt) COBJECT(BgL_new1133z00_8640))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_8635)), BUNSPEC);
																																																																			((((BgL_setqz00_bglt) COBJECT(BgL_new1133z00_8640))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_8634), BUNSPEC);
																																																																			BgL_auxz00_14422
																																																																				=
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_new1133z00_8640);
																																																																	}}
																																																																else
																																																																	{	/* Ast/sexp.scm 331 */
																																																																		BgL_nodez00_bglt
																																																																			BgL_res7355z00_9804;
																																																																		{	/* Ast/sexp.scm 715 */
																																																																			obj_t
																																																																				BgL_arg7083z00_9800;
																																																																			BgL_nodez00_bglt
																																																																				BgL_arg7084z00_9801;
																																																																			BgL_arg7083z00_9800
																																																																				=
																																																																				BGl_shapez00zztools_shapez00
																																																																				(BGl_currentzd2functionzd2zztools_errorz00
																																																																				());
																																																																			BgL_arg7084z00_9801
																																																																				=
																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																				(CNST_TABLE_REF
																																																																				(((long) 4)), BNIL, BgL_locz00_8630, CNST_TABLE_REF(((long) 2)));
																																																																			{	/* Ast/sexp.scm 714 */
																																																																				obj_t
																																																																					BgL_list7085z00_9803;
																																																																				BgL_list7085z00_9803
																																																																					=
																																																																					MAKE_YOUNG_PAIR
																																																																					(
																																																																					((obj_t) BgL_arg7084z00_9801), BNIL);
																																																																				BgL_res7355z00_9804
																																																																					=
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																					(BgL_locz00_8630,
																																																																						BgL_arg7083z00_9800,
																																																																						BGl_string7961z00zzast_sexpz00,
																																																																						BgL_expz00_21,
																																																																						BgL_list7085z00_9803));
																																																																		}}
																																																																		BgL_auxz00_14422
																																																																			=
																																																																			BgL_res7355z00_9804;
																																																							}}}}}}}}}}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																							BgL_tagzd262276zd2_8618:
																																																								{	/* Ast/sexp.scm 335 */
																																																									obj_t
																																																										BgL_arg6766z00_8647;
																																																									BgL_arg6766z00_8647
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_expz00_21,
																																																										BgL_locz00_23);
																																																									{	/* Ast/sexp.scm 334 */
																																																										BgL_nodez00_bglt
																																																											BgL_res7356z00_9810;
																																																										{	/* Ast/sexp.scm 715 */
																																																											obj_t
																																																												BgL_arg7083z00_9806;
																																																											BgL_nodez00_bglt
																																																												BgL_arg7084z00_9807;
																																																											BgL_arg7083z00_9806
																																																												=
																																																												BGl_shapez00zztools_shapez00
																																																												(BGl_currentzd2functionzd2zztools_errorz00
																																																												());
																																																											BgL_arg7084z00_9807
																																																												=
																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																												(CNST_TABLE_REF
																																																												(((long) 4)), BNIL, BgL_arg6766z00_8647, CNST_TABLE_REF(((long) 2)));
																																																											{	/* Ast/sexp.scm 714 */
																																																												obj_t
																																																													BgL_list7085z00_9809;
																																																												BgL_list7085z00_9809
																																																													=
																																																													MAKE_YOUNG_PAIR
																																																													(
																																																													((obj_t) BgL_arg7084z00_9807), BNIL);
																																																												BgL_res7356z00_9810
																																																													=
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BGl_userzd2errorzf2locationz20zztools_errorz00
																																																													(BgL_arg6766z00_8647,
																																																														BgL_arg7083z00_9806,
																																																														BGl_string7960z00zzast_sexpz00,
																																																														BgL_expz00_21,
																																																														BgL_list7085z00_9809));
																																																										}}
																																																										BgL_auxz00_14422
																																																											=
																																																											BgL_res7356z00_9810;
																																																					}}}}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_tagzd262276zd2_8618;
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_tagzd262276zd2_8618;
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_tagzd262276zd2_8618;
																																																	}
																																															}
																																															BgL_auxz00_14144
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_14422);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_carzd2706zd2_2568;
																																															BgL_carzd2706zd2_2568
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if (PAIRP(BgL_carzd2706zd2_2568))
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_carzd2709zd2_2570;
																																																	obj_t
																																																		BgL_cdrzd2710zd2_2571;
																																																	BgL_carzd2709zd2_2570
																																																		=
																																																		CAR
																																																		(BgL_carzd2706zd2_2568);
																																																	BgL_cdrzd2710zd2_2571
																																																		=
																																																		CDR
																																																		(BgL_carzd2706zd2_2568);
																																																	{

																																																		if ((BgL_carzd2709zd2_2570 == CNST_TABLE_REF(((long) 17))))
																																																			{	/* Ast/sexp.scm 118 */
																																																			BgL_kapzd2711zd2_2572:
																																																				if (PAIRP(BgL_cdrzd2710zd2_2571))
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd2714zd2_2697;
																																																						BgL_cdrzd2714zd2_2697
																																																							=
																																																							CDR
																																																							(BgL_cdrzd2710zd2_2571);
																																																						if (PAIRP(BgL_cdrzd2714zd2_2697))
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (NULLP(CDR(BgL_cdrzd2714zd2_2697)))
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg2334z00_2701;
																																																										obj_t
																																																											BgL_arg2335z00_2702;
																																																										BgL_arg2334z00_2701
																																																											=
																																																											CAR
																																																											(BgL_cdrzd2714zd2_2697);
																																																										BgL_arg2335z00_2702
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_14518;
																																																											BgL_bodyz00_1720
																																																												=
																																																												BgL_arg2334z00_2701;
																																																											BgL_argsz00_1721
																																																												=
																																																												BgL_arg2335z00_2702;
																																																										BgL_tagzd2381zd2_1722:
																																																											{	/* Ast/sexp.scm 338 */
																																																												obj_t
																																																													BgL_letzd2partzd2_8648;
																																																												BgL_letzd2partzd2_8648
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 338 */
																																																													obj_t
																																																														BgL_nexpz00_8649;
																																																													{	/* Ast/sexp.scm 339 */
																																																														obj_t
																																																															BgL_arg6767z00_8650;
																																																														obj_t
																																																															BgL_arg6768z00_8651;
																																																														BgL_arg6767z00_8650
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_letzd2partzd2_8648));
																																																														{	/* Ast/sexp.scm 339 */
																																																															obj_t
																																																																BgL_arg6769z00_8652;
																																																															obj_t
																																																																BgL_arg6770z00_8653;
																																																															{	/* Ast/sexp.scm 339 */
																																																																obj_t
																																																																	BgL_pairz00_9825;
																																																																BgL_pairz00_9825
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_letzd2partzd2_8648));
																																																																BgL_arg6769z00_8652
																																																																	=
																																																																	CAR
																																																																	(BgL_pairz00_9825);
																																																															}
																																																															{	/* Ast/sexp.scm 339 */
																																																																obj_t
																																																																	BgL_arg6771z00_8654;
																																																																BgL_arg6771z00_8654
																																																																	=
																																																																	MAKE_YOUNG_PAIR
																																																																	(BgL_bodyz00_1720,
																																																																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																	(BgL_argsz00_1721,
																																																																		BNIL));
																																																																BgL_arg6770z00_8653
																																																																	=
																																																																	MAKE_YOUNG_PAIR
																																																																	(BgL_arg6771z00_8654,
																																																																	BNIL);
																																																															}
																																																															BgL_arg6768z00_8651
																																																																=
																																																																MAKE_YOUNG_PAIR
																																																																(BgL_arg6769z00_8652,
																																																																BgL_arg6770z00_8653);
																																																														}
																																																														BgL_nexpz00_8649
																																																															=
																																																															MAKE_YOUNG_PAIR
																																																															(BgL_arg6767z00_8650,
																																																															BgL_arg6768z00_8651);
																																																													}
																																																													{	/* Ast/sexp.scm 339 */

																																																														BgL_auxz00_14518
																																																															=
																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																															(BgL_nexpz00_8649,
																																																															BgL_stackz00_22,
																																																															BgL_locz00_23,
																																																															BgL_sitez00_24);
																																																													}
																																																												}
																																																											}
																																																											BgL_auxz00_14144
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_14518);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd2738zd2_2703;
																																																										BgL_cdrzd2738zd2_2703
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 118 */
																																																											bool_t
																																																												BgL_testz00_14535;
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg2408z00_2814;
																																																												BgL_arg2408z00_2814
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_testz00_14535
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg2408z00_2814));
																																																											}
																																																											if (BgL_testz00_14535)
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg2338z00_2706;
																																																													obj_t
																																																														BgL_arg2339z00_2707;
																																																													BgL_arg2338z00_2706
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd2738zd2_2703));
																																																													BgL_arg2339z00_2707
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd2738zd2_2703));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_14544;
																																																														BgL_bindingsz00_1723
																																																															=
																																																															BgL_arg2338z00_2706;
																																																														BgL_exprz00_1724
																																																															=
																																																															BgL_arg2339z00_2707;
																																																													BgL_tagzd2382zd2_1725:
																																																														{	/* Ast/sexp.scm 349 */
																																																															bool_t
																																																																BgL_testz00_14545;
																																																															if (PAIRP(BgL_bindingsz00_1723))
																																																																{	/* Ast/sexp.scm 349 */
																																																																	if (NULLP(CDR(BgL_bindingsz00_1723)))
																																																																		{	/* Ast/sexp.scm 349 */
																																																																			if (PAIRP(BgL_exprz00_1724))
																																																																				{	/* Ast/sexp.scm 350 */
																																																																					BgL_testz00_14545
																																																																						=
																																																																						NULLP
																																																																						(CDR
																																																																						(BgL_exprz00_1724));
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 350 */
																																																																					BgL_testz00_14545
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 349 */
																																																																			BgL_testz00_14545
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 349 */
																																																																	BgL_testz00_14545
																																																																		=
																																																																		(
																																																																		(bool_t)
																																																																		0);
																																																																}
																																																															if (BgL_testz00_14545)
																																																																{
																																																																	obj_t
																																																																		BgL_varz00_8663;
																																																																	obj_t
																																																																		BgL_exprz00_8664;
																																																																	obj_t
																																																																		BgL_idz00_8665;
																																																																	obj_t
																																																																		BgL_thenz00_8666;
																																																																	obj_t
																																																																		BgL_otherwisez00_8667;
																																																																	if (PAIRP(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 351 */
																																																																			obj_t
																																																																				BgL_cdrzd262306zd2_8671;
																																																																			BgL_cdrzd262306zd2_8671
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			if (PAIRP(BgL_cdrzd262306zd2_8671))
																																																																				{	/* Ast/sexp.scm 351 */
																																																																					obj_t
																																																																						BgL_carzd262312zd2_8673;
																																																																					obj_t
																																																																						BgL_cdrzd262313zd2_8674;
																																																																					BgL_carzd262312zd2_8673
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd262306zd2_8671);
																																																																					BgL_cdrzd262313zd2_8674
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd262306zd2_8671);
																																																																					if (PAIRP(BgL_carzd262312zd2_8673))
																																																																						{	/* Ast/sexp.scm 351 */
																																																																							obj_t
																																																																								BgL_carzd262316zd2_8676;
																																																																							BgL_carzd262316zd2_8676
																																																																								=
																																																																								CAR
																																																																								(BgL_carzd262312zd2_8673);
																																																																							if (PAIRP(BgL_carzd262316zd2_8676))
																																																																								{	/* Ast/sexp.scm 351 */
																																																																									obj_t
																																																																										BgL_cdrzd262321zd2_8678;
																																																																									BgL_cdrzd262321zd2_8678
																																																																										=
																																																																										CDR
																																																																										(BgL_carzd262316zd2_8676);
																																																																									if (PAIRP(BgL_cdrzd262321zd2_8678))
																																																																										{	/* Ast/sexp.scm 351 */
																																																																											if (NULLP(CDR(BgL_cdrzd262321zd2_8678)))
																																																																												{	/* Ast/sexp.scm 351 */
																																																																													if (NULLP(CDR(BgL_carzd262312zd2_8673)))
																																																																														{	/* Ast/sexp.scm 351 */
																																																																															if (PAIRP(BgL_cdrzd262313zd2_8674))
																																																																																{	/* Ast/sexp.scm 351 */
																																																																																	obj_t
																																																																																		BgL_carzd262330zd2_8685;
																																																																																	BgL_carzd262330zd2_8685
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd262313zd2_8674);
																																																																																	if (PAIRP(BgL_carzd262330zd2_8685))
																																																																																		{	/* Ast/sexp.scm 351 */
																																																																																			obj_t
																																																																																				BgL_cdrzd262336zd2_8687;
																																																																																			BgL_cdrzd262336zd2_8687
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_carzd262330zd2_8685);
																																																																																			if ((CAR(BgL_carzd262330zd2_8685) == CNST_TABLE_REF(((long) 1))))
																																																																																				{	/* Ast/sexp.scm 351 */
																																																																																					if (PAIRP(BgL_cdrzd262336zd2_8687))
																																																																																						{	/* Ast/sexp.scm 351 */
																																																																																							obj_t
																																																																																								BgL_carzd262340zd2_8691;
																																																																																							obj_t
																																																																																								BgL_cdrzd262341zd2_8692;
																																																																																							BgL_carzd262340zd2_8691
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_cdrzd262336zd2_8687);
																																																																																							BgL_cdrzd262341zd2_8692
																																																																																								=
																																																																																								CDR
																																																																																								(BgL_cdrzd262336zd2_8687);
																																																																																							if (SYMBOLP(BgL_carzd262340zd2_8691))
																																																																																								{	/* Ast/sexp.scm 351 */
																																																																																									if (PAIRP(BgL_cdrzd262341zd2_8692))
																																																																																										{	/* Ast/sexp.scm 351 */
																																																																																											obj_t
																																																																																												BgL_cdrzd262348zd2_8695;
																																																																																											BgL_cdrzd262348zd2_8695
																																																																																												=
																																																																																												CDR
																																																																																												(BgL_cdrzd262341zd2_8692);
																																																																																											if (PAIRP(BgL_cdrzd262348zd2_8695))
																																																																																												{	/* Ast/sexp.scm 351 */
																																																																																													if (NULLP(CDR(BgL_cdrzd262348zd2_8695)))
																																																																																														{	/* Ast/sexp.scm 351 */
																																																																																															if (NULLP(CDR(BgL_cdrzd262313zd2_8674)))
																																																																																																{	/* Ast/sexp.scm 351 */
																																																																																																	BgL_varz00_8663
																																																																																																		=
																																																																																																		CAR
																																																																																																		(BgL_carzd262316zd2_8676);
																																																																																																	BgL_exprz00_8664
																																																																																																		=
																																																																																																		CAR
																																																																																																		(BgL_cdrzd262321zd2_8678);
																																																																																																	BgL_idz00_8665
																																																																																																		=
																																																																																																		BgL_carzd262340zd2_8691;
																																																																																																	BgL_thenz00_8666
																																																																																																		=
																																																																																																		CAR
																																																																																																		(BgL_cdrzd262341zd2_8692);
																																																																																																	BgL_otherwisez00_8667
																																																																																																		=
																																																																																																		CAR
																																																																																																		(BgL_cdrzd262348zd2_8695);
																																																																																																	{	/* Ast/sexp.scm 356 */
																																																																																																		obj_t
																																																																																																			BgL_ntz00_8710;
																																																																																																		BgL_ntz00_8710
																																																																																																			=
																																																																																																			BGl_notzd2testzd2zzast_sexpz00
																																																																																																			(BgL_exprz00_8664);
																																																																																																		{	/* Ast/sexp.scm 357 */
																																																																																																			bool_t
																																																																																																				BgL_testz00_14604;
																																																																																																			if (CBOOL(BgL_ntz00_8710))
																																																																																																				{	/* Ast/sexp.scm 357 */
																																																																																																					if (BGl_usedzd2inzf3z21zzast_sexpz00(BgL_idz00_8665, BgL_otherwisez00_8667))
																																																																																																						{	/* Ast/sexp.scm 358 */
																																																																																																							BgL_testz00_14604
																																																																																																								=
																																																																																																								(
																																																																																																								(bool_t)
																																																																																																								0);
																																																																																																						}
																																																																																																					else
																																																																																																						{	/* Ast/sexp.scm 358 */
																																																																																																							if (BGl_usedzd2inzf3z21zzast_sexpz00(BgL_idz00_8665, BgL_thenz00_8666))
																																																																																																								{	/* Ast/sexp.scm 359 */
																																																																																																									BgL_testz00_14604
																																																																																																										=
																																																																																																										(
																																																																																																										(bool_t)
																																																																																																										0);
																																																																																																								}
																																																																																																							else
																																																																																																								{	/* Ast/sexp.scm 359 */
																																																																																																									BgL_testz00_14604
																																																																																																										=
																																																																																																										(
																																																																																																										(bool_t)
																																																																																																										1);
																																																																																																								}
																																																																																																						}
																																																																																																				}
																																																																																																			else
																																																																																																				{	/* Ast/sexp.scm 357 */
																																																																																																					BgL_testz00_14604
																																																																																																						=
																																																																																																						(
																																																																																																						(bool_t)
																																																																																																						0);
																																																																																																				}
																																																																																																			if (BgL_testz00_14604)
																																																																																																				{	/* Ast/sexp.scm 360 */
																																																																																																					obj_t
																																																																																																						BgL_bindingz00_8714;
																																																																																																					obj_t
																																																																																																						BgL_bodyz00_8715;
																																																																																																					BgL_bindingz00_8714
																																																																																																						=
																																																																																																						CAR
																																																																																																						(
																																																																																																						((obj_t) BgL_bindingsz00_1723));
																																																																																																					{	/* Ast/sexp.scm 361 */
																																																																																																						obj_t
																																																																																																							BgL_pairz00_9838;
																																																																																																						{	/* Ast/sexp.scm 361 */
																																																																																																							obj_t
																																																																																																								BgL_pairz00_9837;
																																																																																																							BgL_pairz00_9837
																																																																																																								=
																																																																																																								CDR
																																																																																																								(
																																																																																																								((obj_t) BgL_expz00_21));
																																																																																																							BgL_pairz00_9838
																																																																																																								=
																																																																																																								CDR
																																																																																																								(BgL_pairz00_9837);
																																																																																																						}
																																																																																																						BgL_bodyz00_8715
																																																																																																							=
																																																																																																							CAR
																																																																																																							(BgL_pairz00_9838);
																																																																																																					}
																																																																																																					{	/* Ast/sexp.scm 362 */
																																																																																																						obj_t
																																																																																																							BgL_arg6812z00_8716;
																																																																																																						BgL_arg6812z00_8716
																																																																																																							=
																																																																																																							CDR
																																																																																																							(
																																																																																																							((obj_t) BgL_bindingz00_8714));
																																																																																																						{	/* Ast/sexp.scm 362 */
																																																																																																							obj_t
																																																																																																								BgL_tmpz00_14619;
																																																																																																							BgL_tmpz00_14619
																																																																																																								=
																																																																																																								(
																																																																																																								(obj_t)
																																																																																																								BgL_arg6812z00_8716);
																																																																																																							SET_CAR
																																																																																																								(BgL_tmpz00_14619,
																																																																																																								BgL_ntz00_8710);
																																																																																																						}
																																																																																																					}
																																																																																																					{	/* Ast/sexp.scm 363 */
																																																																																																						obj_t
																																																																																																							BgL_arg6813z00_8717;
																																																																																																						{	/* Ast/sexp.scm 363 */
																																																																																																							obj_t
																																																																																																								BgL_pairz00_9844;
																																																																																																							BgL_pairz00_9844
																																																																																																								=
																																																																																																								CDR
																																																																																																								(
																																																																																																								((obj_t) BgL_bodyz00_8715));
																																																																																																							BgL_arg6813z00_8717
																																																																																																								=
																																																																																																								CDR
																																																																																																								(BgL_pairz00_9844);
																																																																																																						}
																																																																																																						{	/* Ast/sexp.scm 363 */
																																																																																																							obj_t
																																																																																																								BgL_tmpz00_14625;
																																																																																																							BgL_tmpz00_14625
																																																																																																								=
																																																																																																								(
																																																																																																								(obj_t)
																																																																																																								BgL_arg6813z00_8717);
																																																																																																							SET_CAR
																																																																																																								(BgL_tmpz00_14625,
																																																																																																								BgL_otherwisez00_8667);
																																																																																																						}
																																																																																																					}
																																																																																																					{	/* Ast/sexp.scm 364 */
																																																																																																						obj_t
																																																																																																							BgL_arg6814z00_8718;
																																																																																																						{	/* Ast/sexp.scm 364 */
																																																																																																							obj_t
																																																																																																								BgL_pairz00_9851;
																																																																																																							{	/* Ast/sexp.scm 364 */
																																																																																																								obj_t
																																																																																																									BgL_pairz00_9850;
																																																																																																								BgL_pairz00_9850
																																																																																																									=
																																																																																																									CDR
																																																																																																									(
																																																																																																									((obj_t) BgL_bodyz00_8715));
																																																																																																								BgL_pairz00_9851
																																																																																																									=
																																																																																																									CDR
																																																																																																									(BgL_pairz00_9850);
																																																																																																							}
																																																																																																							BgL_arg6814z00_8718
																																																																																																								=
																																																																																																								CDR
																																																																																																								(BgL_pairz00_9851);
																																																																																																						}
																																																																																																						{	/* Ast/sexp.scm 364 */
																																																																																																							obj_t
																																																																																																								BgL_tmpz00_14632;
																																																																																																							BgL_tmpz00_14632
																																																																																																								=
																																																																																																								(
																																																																																																								(obj_t)
																																																																																																								BgL_arg6814z00_8718);
																																																																																																							SET_CAR
																																																																																																								(BgL_tmpz00_14632,
																																																																																																								BgL_thenz00_8666);
																																																																																																						}
																																																																																																					}
																																																																																																				}
																																																																																																			else
																																																																																																				{	/* Ast/sexp.scm 357 */
																																																																																																					BFALSE;
																																																																																																				}
																																																																																																		}
																																																																																																	}
																																																																																																}
																																																																																															else
																																																																																																{	/* Ast/sexp.scm 351 */
																																																																																																	BFALSE;
																																																																																																}
																																																																																														}
																																																																																													else
																																																																																														{	/* Ast/sexp.scm 351 */
																																																																																															BFALSE;
																																																																																														}
																																																																																												}
																																																																																											else
																																																																																												{	/* Ast/sexp.scm 351 */
																																																																																													BFALSE;
																																																																																												}
																																																																																										}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 351 */
																																																																																											BFALSE;
																																																																																										}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 351 */
																																																																																									BFALSE;
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 351 */
																																																																																							BFALSE;
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 351 */
																																																																																					BFALSE;
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 351 */
																																																																																			BFALSE;
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 351 */
																																																																																	BFALSE;
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 351 */
																																																																															BFALSE;
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 351 */
																																																																													BFALSE;
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 351 */
																																																																											BFALSE;
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 351 */
																																																																									BFALSE;
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 351 */
																																																																							BFALSE;
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 351 */
																																																																					BFALSE;
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 351 */
																																																																			BFALSE;
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 349 */
																																																																	BFALSE;
																																																																}
																																																														}
																																																														BgL_auxz00_14544
																																																															=
																																																															BGl_letzd2ze3nodez31zzast_letz00
																																																															(BgL_expz00_21,
																																																															BgL_stackz00_22,
																																																															BgL_locz00_23,
																																																															CNST_TABLE_REF
																																																															(((long) 2)));
																																																														BgL_auxz00_14144
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_14544);
																																																												}}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													bool_t
																																																														BgL_testz00_14642;
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg2407z00_2813;
																																																														BgL_arg2407z00_2813
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_testz00_14642
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg2407z00_2813));
																																																													}
																																																													if (BgL_testz00_14642)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_14647;
																																																														BgL_tagzd2384zd2_1727:
																																																															BgL_auxz00_14647 = BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																															BgL_auxz00_14144
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_14647);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_carzd2805zd2_2710;
																																																															BgL_carzd2805zd2_2710
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd2810zd2_2711;
																																																																BgL_cdrzd2810zd2_2711
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd2805zd2_2710));
																																																																if ((CAR(((obj_t) BgL_carzd2805zd2_2710)) == CNST_TABLE_REF(((long) 3))))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_arg2344z00_2714;
																																																																		obj_t
																																																																			BgL_arg2345z00_2715;
																																																																		obj_t
																																																																			BgL_arg2346z00_2716;
																																																																		BgL_arg2344z00_2714
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd2810zd2_2711));
																																																																		BgL_arg2345z00_2715
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd2810zd2_2711));
																																																																		BgL_arg2346z00_2716
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_14666;
																																																																			BgL_varsz00_1732
																																																																				=
																																																																				BgL_arg2344z00_2714;
																																																																			BgL_bodyz00_1733
																																																																				=
																																																																				BgL_arg2345z00_2715;
																																																																			BgL_argsz00_1734
																																																																				=
																																																																				BgL_arg2346z00_2716;
																																																																		BgL_tagzd2386zd2_1735:
																																																																			{	/* Ast/sexp.scm 378 */
																																																																				obj_t
																																																																					BgL_locz00_8730;
																																																																				obj_t
																																																																					BgL_nexpz00_8731;
																																																																				BgL_locz00_8730
																																																																					=
																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																					(BgL_expz00_21,
																																																																					BgL_locz00_23);
																																																																				{	/* Ast/sexp.scm 379 */
																																																																					obj_t
																																																																						BgL_arg6819z00_8732;
																																																																					obj_t
																																																																						BgL_arg6820z00_8733;
																																																																					BgL_arg6819z00_8732
																																																																						=
																																																																						BGl_letzd2symzd2zzast_letz00
																																																																						();
																																																																					{	/* Ast/sexp.scm 382 */
																																																																						obj_t
																																																																							BgL_arg6821z00_8734;
																																																																						obj_t
																																																																							BgL_arg6822z00_8735;
																																																																						BgL_arg6821z00_8734
																																																																							=
																																																																							BGl_loopze70ze7zzast_sexpz00
																																																																							(BgL_expz00_21,
																																																																							BgL_locz00_23,
																																																																							BgL_varsz00_1732,
																																																																							BgL_argsz00_1734);
																																																																						{	/* Ast/sexp.scm 421 */
																																																																							obj_t
																																																																								BgL_arg6864z00_8785;
																																																																							{	/* Ast/sexp.scm 421 */
																																																																								obj_t
																																																																									BgL_arg6865z00_8786;
																																																																								obj_t
																																																																									BgL_arg6866z00_8787;
																																																																								BgL_arg6865z00_8786
																																																																									=
																																																																									BGl_shapez00zztools_shapez00
																																																																									(BGl_currentzd2functionzd2zztools_errorz00
																																																																									());
																																																																								BgL_arg6866z00_8787
																																																																									=
																																																																									BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																									(BgL_bodyz00_1733);
																																																																								{	/* Ast/sexp.scm 425 */
																																																																									obj_t
																																																																										BgL_zc3anonymousza36869ze3z83_13696;
																																																																									BgL_zc3anonymousza36869ze3z83_13696
																																																																										=
																																																																										MAKE_FX_PROCEDURE
																																																																										(BGl_z62zc3anonymousza36869ze3ze1zzast_sexpz00,
																																																																										(int)
																																																																										(((long) 3)), (int) (((long) 1)));
																																																																									PROCEDURE_SET
																																																																										(BgL_zc3anonymousza36869ze3z83_13696,
																																																																										(int)
																																																																										(((long) 0)), BgL_locz00_23);
																																																																									BgL_arg6864z00_8785
																																																																										=
																																																																										BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																																																																										(BgL_arg6865z00_8786,
																																																																										BgL_varsz00_1732,
																																																																										BgL_arg6866z00_8787,
																																																																										BgL_zc3anonymousza36869ze3z83_13696);
																																																																							}}
																																																																							BgL_arg6822z00_8735
																																																																								=
																																																																								MAKE_YOUNG_PAIR
																																																																								(BgL_arg6864z00_8785,
																																																																								BNIL);
																																																																						}
																																																																						BgL_arg6820z00_8733
																																																																							=
																																																																							MAKE_YOUNG_PAIR
																																																																							(BgL_arg6821z00_8734,
																																																																							BgL_arg6822z00_8735);
																																																																					}
																																																																					BgL_nexpz00_8731
																																																																						=
																																																																						MAKE_YOUNG_PAIR
																																																																						(BgL_arg6819z00_8732,
																																																																						BgL_arg6820z00_8733);
																																																																				}
																																																																				BgL_auxz00_14666
																																																																					=
																																																																					BGl_letzd2ze3nodez31zzast_letz00
																																																																					(BgL_nexpz00_8731,
																																																																					BgL_stackz00_22,
																																																																					BgL_locz00_8730,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																			}
																																																																			BgL_auxz00_14144
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_14666);
																																																																	}}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd2833zd2_2718;
																																																																		BgL_cdrzd2833zd2_2718
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd2839zd2_2719;
																																																																			BgL_cdrzd2839zd2_2719
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd2805zd2_2710));
																																																																			if ((CAR(((obj_t) BgL_carzd2805zd2_2710)) == CNST_TABLE_REF(((long) 1))))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd2845zd2_2722;
																																																																					BgL_cdrzd2845zd2_2722
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd2839zd2_2719));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd2850zd2_2723;
																																																																						obj_t
																																																																							BgL_cdrzd2851zd2_2724;
																																																																						BgL_carzd2850zd2_2723
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd2845zd2_2722));
																																																																						BgL_cdrzd2851zd2_2724
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd2845zd2_2722));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2850zd2_2723))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (PAIRP(BgL_cdrzd2851zd2_2724))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd2858zd2_2727;
																																																																										BgL_carzd2858zd2_2727
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd2851zd2_2724);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2858zd2_2727))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (NULLP(CDR(BgL_cdrzd2851zd2_2724)))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														bool_t
																																																																															BgL_testz00_14710;
																																																																														{
																																																																															obj_t
																																																																																BgL_l1363z00_2760;
																																																																															BgL_l1363z00_2760
																																																																																=
																																																																																BgL_cdrzd2833zd2_2718;
																																																																														BgL_zc3anonymousza32369ze3z83_2761:
																																																																															if (NULLP(BgL_l1363z00_2760))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	BgL_testz00_14710
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	bool_t
																																																																																		BgL_testz00_14713;
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		bool_t
																																																																																			BgL_testz00_14714;
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_tmpz00_14715;
																																																																																			BgL_tmpz00_14715
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_l1363z00_2760));
																																																																																			BgL_testz00_14714
																																																																																				=
																																																																																				PAIRP
																																																																																				(BgL_tmpz00_14715);
																																																																																		}
																																																																																		if (BgL_testz00_14714)
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				BgL_testz00_14713
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				BgL_testz00_14713
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																	}
																																																																																	if (BgL_testz00_14713)
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_l1363z00_14719;
																																																																																			BgL_l1363z00_14719
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_l1363z00_2760));
																																																																																			BgL_l1363z00_2760
																																																																																				=
																																																																																				BgL_l1363z00_14719;
																																																																																			goto
																																																																																				BgL_zc3anonymousza32369ze3z83_2761;
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			BgL_testz00_14710
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																}
																																																																														}
																																																																														if (BgL_testz00_14710)
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg2359z00_2743;
																																																																																BgL_arg2359z00_2743
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd2839zd2_2719));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_14724;
																																																																																	BgL_testz00_1736
																																																																																		=
																																																																																		BgL_arg2359z00_2743;
																																																																																	BgL_proc1z00_1737
																																																																																		=
																																																																																		BgL_carzd2850zd2_2723;
																																																																																	BgL_proc2z00_1738
																																																																																		=
																																																																																		BgL_carzd2858zd2_2727;
																																																																																	BgL_argsz00_1739
																																																																																		=
																																																																																		BgL_cdrzd2833zd2_2718;
																																																																																BgL_tagzd2387zd2_1740:
																																																																																	{	/* Ast/sexp.scm 432 */
																																																																																		obj_t
																																																																																			BgL_nexpz00_8796;
																																																																																		{	/* Ast/sexp.scm 432 */
																																																																																			obj_t
																																																																																				BgL_arg6872z00_8798;
																																																																																			{	/* Ast/sexp.scm 432 */
																																																																																				obj_t
																																																																																					BgL_arg6873z00_8799;
																																																																																				{	/* Ast/sexp.scm 432 */
																																																																																					obj_t
																																																																																						BgL_arg6874z00_8800;
																																																																																					obj_t
																																																																																						BgL_arg6875z00_8801;
																																																																																					BgL_arg6874z00_8800
																																																																																						=
																																																																																						MAKE_YOUNG_PAIR
																																																																																						(BgL_proc1z00_1737,
																																																																																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																						(BgL_argsz00_1739,
																																																																																							BNIL));
																																																																																					{	/* Ast/sexp.scm 432 */
																																																																																						obj_t
																																																																																							BgL_arg6877z00_8803;
																																																																																						BgL_arg6877z00_8803
																																																																																							=
																																																																																							MAKE_YOUNG_PAIR
																																																																																							(BgL_proc2z00_1738,
																																																																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																							(BgL_argsz00_1739,
																																																																																								BNIL));
																																																																																						BgL_arg6875z00_8801
																																																																																							=
																																																																																							MAKE_YOUNG_PAIR
																																																																																							(BgL_arg6877z00_8803,
																																																																																							BNIL);
																																																																																					}
																																																																																					BgL_arg6873z00_8799
																																																																																						=
																																																																																						MAKE_YOUNG_PAIR
																																																																																						(BgL_arg6874z00_8800,
																																																																																						BgL_arg6875z00_8801);
																																																																																				}
																																																																																				BgL_arg6872z00_8798
																																																																																					=
																																																																																					MAKE_YOUNG_PAIR
																																																																																					(BgL_testz00_1736,
																																																																																					BgL_arg6873z00_8799);
																																																																																			}
																																																																																			BgL_nexpz00_8796
																																																																																				=
																																																																																				MAKE_YOUNG_PAIR
																																																																																				(CNST_TABLE_REF
																																																																																				(((long) 1)), BgL_arg6872z00_8798);
																																																																																		}
																																																																																		BgL_auxz00_14724
																																																																																			=
																																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																			(BgL_nexpz00_8796,
																																																																																			BgL_stackz00_22,
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_locz00_23),
																																																																																			BgL_sitez00_24);
																																																																																	}
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_14724);
																																																																															}}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd2882zd2_2744;
																																																																																BgL_cdrzd2882zd2_2744
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_cdrzd2889zd2_2745;
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_pairz00_10096;
																																																																																		BgL_pairz00_10096
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		BgL_cdrzd2889zd2_2745
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_pairz00_10096);
																																																																																	}
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_cdrzd2896zd2_2746;
																																																																																		BgL_cdrzd2896zd2_2746
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd2889zd2_2745));
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_carzd2902zd2_2747;
																																																																																			BgL_carzd2902zd2_2747
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd2896zd2_2746));
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2902zd2_2747))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_carzd2909zd2_2749;
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_pairz00_10100;
																																																																																						BgL_pairz00_10100
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd2896zd2_2746));
																																																																																						BgL_carzd2909zd2_2749
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_pairz00_10100);
																																																																																					}
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2909zd2_2749))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd2882zd2_2744))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									obj_t
																																																																																										BgL_arg2363z00_2752;
																																																																																									BgL_arg2363z00_2752
																																																																																										=
																																																																																										CAR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd2889zd2_2745));
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_14757;
																																																																																										BgL_testz00_1741
																																																																																											=
																																																																																											BgL_arg2363z00_2752;
																																																																																										BgL_proc1z00_1742
																																																																																											=
																																																																																											BgL_carzd2902zd2_2747;
																																																																																										BgL_proc2z00_1743
																																																																																											=
																																																																																											BgL_carzd2909zd2_2749;
																																																																																										BgL_argsz00_1744
																																																																																											=
																																																																																											BgL_cdrzd2882zd2_2744;
																																																																																									BgL_tagzd2388zd2_1745:
																																																																																										{	/* Ast/sexp.scm 438 */
																																																																																											obj_t
																																																																																												BgL_tmpsz00_8805;
																																																																																											if (NULLP(BgL_argsz00_1744))
																																																																																												{	/* Ast/sexp.scm 438 */
																																																																																													BgL_tmpsz00_8805
																																																																																														=
																																																																																														BNIL;
																																																																																												}
																																																																																											else
																																																																																												{	/* Ast/sexp.scm 438 */
																																																																																													obj_t
																																																																																														BgL_head1352z00_8849;
																																																																																													{	/* Ast/sexp.scm 438 */
																																																																																														obj_t
																																																																																															BgL_res7391z00_9911;
																																																																																														BgL_res7391z00_9911
																																																																																															=
																																																																																															MAKE_YOUNG_PAIR
																																																																																															(BNIL,
																																																																																															BNIL);
																																																																																														BgL_head1352z00_8849
																																																																																															=
																																																																																															BgL_res7391z00_9911;
																																																																																													}
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_l1350z00_8851;
																																																																																														obj_t
																																																																																															BgL_tail1353z00_8852;
																																																																																														BgL_l1350z00_8851
																																																																																															=
																																																																																															BgL_argsz00_1744;
																																																																																														BgL_tail1353z00_8852
																																																																																															=
																																																																																															BgL_head1352z00_8849;
																																																																																													BgL_zc3anonymousza36908ze3z83_8853:
																																																																																														if (NULLP(BgL_l1350z00_8851))
																																																																																															{	/* Ast/sexp.scm 438 */
																																																																																																BgL_tmpsz00_8805
																																																																																																	=
																																																																																																	CDR
																																																																																																	(BgL_head1352z00_8849);
																																																																																															}
																																																																																														else
																																																																																															{	/* Ast/sexp.scm 438 */
																																																																																																obj_t
																																																																																																	BgL_newtail1354z00_8855;
																																																																																																{	/* Ast/sexp.scm 438 */
																																																																																																	obj_t
																																																																																																		BgL_arg6911z00_8857;
																																																																																																	{	/* Ast/sexp.scm 438 */

																																																																																																		{	/* Ast/sexp.scm 438 */

																																																																																																			BgL_arg6911z00_8857
																																																																																																				=
																																																																																																				BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																																				(BFALSE);
																																																																																																		}
																																																																																																	}
																																																																																																	{	/* Ast/sexp.scm 438 */
																																																																																																		obj_t
																																																																																																			BgL_res7393z00_9915;
																																																																																																		BgL_res7393z00_9915
																																																																																																			=
																																																																																																			MAKE_YOUNG_PAIR
																																																																																																			(BgL_arg6911z00_8857,
																																																																																																			BNIL);
																																																																																																		BgL_newtail1354z00_8855
																																																																																																			=
																																																																																																			BgL_res7393z00_9915;
																																																																																																	}
																																																																																																}
																																																																																																SET_CDR
																																																																																																	(BgL_tail1353z00_8852,
																																																																																																	BgL_newtail1354z00_8855);
																																																																																																{	/* Ast/sexp.scm 438 */
																																																																																																	obj_t
																																																																																																		BgL_arg6910z00_8856;
																																																																																																	BgL_arg6910z00_8856
																																																																																																		=
																																																																																																		CDR
																																																																																																		(
																																																																																																		((obj_t) BgL_l1350z00_8851));
																																																																																																	{
																																																																																																		obj_t
																																																																																																			BgL_tail1353z00_14770;
																																																																																																		obj_t
																																																																																																			BgL_l1350z00_14769;
																																																																																																		BgL_l1350z00_14769
																																																																																																			=
																																																																																																			BgL_arg6910z00_8856;
																																																																																																		BgL_tail1353z00_14770
																																																																																																			=
																																																																																																			BgL_newtail1354z00_8855;
																																																																																																		BgL_tail1353z00_8852
																																																																																																			=
																																																																																																			BgL_tail1353z00_14770;
																																																																																																		BgL_l1350z00_8851
																																																																																																			=
																																																																																																			BgL_l1350z00_14769;
																																																																																																		goto
																																																																																																			BgL_zc3anonymousza36908ze3z83_8853;
																																																																																																	}
																																																																																																}
																																																																																															}
																																																																																													}
																																																																																												}
																																																																																											{	/* Ast/sexp.scm 438 */
																																																																																												obj_t
																																																																																													BgL_locz00_8806;
																																																																																												BgL_locz00_8806
																																																																																													=
																																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																													(BgL_expz00_21,
																																																																																													BgL_locz00_23);
																																																																																												{	/* Ast/sexp.scm 439 */
																																																																																													obj_t
																																																																																														BgL_nexpz00_8807;
																																																																																													{	/* Ast/sexp.scm 440 */
																																																																																														obj_t
																																																																																															BgL_arg6880z00_8809;
																																																																																														obj_t
																																																																																															BgL_arg6881z00_8810;
																																																																																														BgL_arg6880z00_8809
																																																																																															=
																																																																																															BGl_letzd2symzd2zzast_letz00
																																																																																															();
																																																																																														{	/* Ast/sexp.scm 440 */
																																																																																															obj_t
																																																																																																BgL_arg6882z00_8811;
																																																																																															obj_t
																																																																																																BgL_arg6883z00_8812;
																																																																																															if (NULLP(BgL_tmpsz00_8805))
																																																																																																{	/* Ast/sexp.scm 440 */
																																																																																																	BgL_arg6882z00_8811
																																																																																																		=
																																																																																																		BNIL;
																																																																																																}
																																																																																															else
																																																																																																{	/* Ast/sexp.scm 440 */
																																																																																																	obj_t
																																																																																																		BgL_head1357z00_8816;
																																																																																																	{	/* Ast/sexp.scm 440 */
																																																																																																		obj_t
																																																																																																			BgL_arg6894z00_8834;
																																																																																																		{	/* Ast/sexp.scm 440 */
																																																																																																			obj_t
																																																																																																				BgL_arg6895z00_8835;
																																																																																																			obj_t
																																																																																																				BgL_arg6896z00_8836;
																																																																																																			BgL_arg6895z00_8835
																																																																																																				=
																																																																																																				CAR
																																																																																																				(
																																																																																																				((obj_t) BgL_tmpsz00_8805));
																																																																																																			BgL_arg6896z00_8836
																																																																																																				=
																																																																																																				CAR
																																																																																																				(
																																																																																																				((obj_t) BgL_argsz00_1744));
																																																																																																			{	/* Ast/sexp.scm 440 */
																																																																																																				obj_t
																																																																																																					BgL_list6897z00_8837;
																																																																																																				{	/* Ast/sexp.scm 440 */
																																																																																																					obj_t
																																																																																																						BgL_arg6898z00_8838;
																																																																																																					BgL_arg6898z00_8838
																																																																																																						=
																																																																																																						MAKE_YOUNG_PAIR
																																																																																																						(BgL_arg6896z00_8836,
																																																																																																						BNIL);
																																																																																																					BgL_list6897z00_8837
																																																																																																						=
																																																																																																						MAKE_YOUNG_PAIR
																																																																																																						(BgL_arg6895z00_8835,
																																																																																																						BgL_arg6898z00_8838);
																																																																																																				}
																																																																																																				BgL_arg6894z00_8834
																																																																																																					=
																																																																																																					BgL_list6897z00_8837;
																																																																																																			}
																																																																																																		}
																																																																																																		{	/* Ast/sexp.scm 440 */
																																																																																																			obj_t
																																																																																																				BgL_res7396z00_9922;
																																																																																																			BgL_res7396z00_9922
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(BgL_arg6894z00_8834,
																																																																																																				BNIL);
																																																																																																			BgL_head1357z00_8816
																																																																																																				=
																																																																																																				BgL_res7396z00_9922;
																																																																																																		}
																																																																																																	}
																																																																																																	{	/* Ast/sexp.scm 440 */
																																																																																																		obj_t
																																																																																																			BgL_g1361z00_8817;
																																																																																																		obj_t
																																																																																																			BgL_g1362z00_8818;
																																																																																																		BgL_g1361z00_8817
																																																																																																			=
																																																																																																			CDR
																																																																																																			(
																																																																																																			((obj_t) BgL_tmpsz00_8805));
																																																																																																		BgL_g1362z00_8818
																																																																																																			=
																																																																																																			CDR
																																																																																																			(
																																																																																																			((obj_t) BgL_argsz00_1744));
																																																																																																		{
																																																																																																			obj_t
																																																																																																				BgL_ll1355z00_8820;
																																																																																																			obj_t
																																																																																																				BgL_ll1356z00_8821;
																																																																																																			obj_t
																																																																																																				BgL_tail1358z00_8822;
																																																																																																			BgL_ll1355z00_8820
																																																																																																				=
																																																																																																				BgL_g1361z00_8817;
																																																																																																			BgL_ll1356z00_8821
																																																																																																				=
																																																																																																				BgL_g1362z00_8818;
																																																																																																			BgL_tail1358z00_8822
																																																																																																				=
																																																																																																				BgL_head1357z00_8816;
																																																																																																		BgL_zc3anonymousza36885ze3z83_8823:
																																																																																																			if (NULLP(BgL_ll1355z00_8820))
																																																																																																				{	/* Ast/sexp.scm 440 */
																																																																																																					BgL_arg6882z00_8811
																																																																																																						=
																																																																																																						BgL_head1357z00_8816;
																																																																																																				}
																																																																																																			else
																																																																																																				{	/* Ast/sexp.scm 440 */
																																																																																																					obj_t
																																																																																																						BgL_newtail1359z00_8825;
																																																																																																					{	/* Ast/sexp.scm 440 */
																																																																																																						obj_t
																																																																																																							BgL_arg6889z00_8828;
																																																																																																						{	/* Ast/sexp.scm 440 */
																																																																																																							obj_t
																																																																																																								BgL_arg6890z00_8829;
																																																																																																							obj_t
																																																																																																								BgL_arg6891z00_8830;
																																																																																																							BgL_arg6890z00_8829
																																																																																																								=
																																																																																																								CAR
																																																																																																								(
																																																																																																								((obj_t) BgL_ll1355z00_8820));
																																																																																																							BgL_arg6891z00_8830
																																																																																																								=
																																																																																																								CAR
																																																																																																								(
																																																																																																								((obj_t) BgL_ll1356z00_8821));
																																																																																																							{	/* Ast/sexp.scm 440 */
																																																																																																								obj_t
																																																																																																									BgL_list6892z00_8831;
																																																																																																								{	/* Ast/sexp.scm 440 */
																																																																																																									obj_t
																																																																																																										BgL_arg6893z00_8832;
																																																																																																									BgL_arg6893z00_8832
																																																																																																										=
																																																																																																										MAKE_YOUNG_PAIR
																																																																																																										(BgL_arg6891z00_8830,
																																																																																																										BNIL);
																																																																																																									BgL_list6892z00_8831
																																																																																																										=
																																																																																																										MAKE_YOUNG_PAIR
																																																																																																										(BgL_arg6890z00_8829,
																																																																																																										BgL_arg6893z00_8832);
																																																																																																								}
																																																																																																								BgL_arg6889z00_8828
																																																																																																									=
																																																																																																									BgL_list6892z00_8831;
																																																																																																							}
																																																																																																						}
																																																																																																						{	/* Ast/sexp.scm 440 */
																																																																																																							obj_t
																																																																																																								BgL_res7399z00_9929;
																																																																																																							BgL_res7399z00_9929
																																																																																																								=
																																																																																																								MAKE_YOUNG_PAIR
																																																																																																								(BgL_arg6889z00_8828,
																																																																																																								BNIL);
																																																																																																							BgL_newtail1359z00_8825
																																																																																																								=
																																																																																																								BgL_res7399z00_9929;
																																																																																																						}
																																																																																																					}
																																																																																																					SET_CDR
																																																																																																						(BgL_tail1358z00_8822,
																																																																																																						BgL_newtail1359z00_8825);
																																																																																																					{	/* Ast/sexp.scm 440 */
																																																																																																						obj_t
																																																																																																							BgL_arg6887z00_8826;
																																																																																																						obj_t
																																																																																																							BgL_arg6888z00_8827;
																																																																																																						BgL_arg6887z00_8826
																																																																																																							=
																																																																																																							CDR
																																																																																																							(
																																																																																																							((obj_t) BgL_ll1355z00_8820));
																																																																																																						BgL_arg6888z00_8827
																																																																																																							=
																																																																																																							CDR
																																																																																																							(
																																																																																																							((obj_t) BgL_ll1356z00_8821));
																																																																																																						{
																																																																																																							obj_t
																																																																																																								BgL_tail1358z00_14802;
																																																																																																							obj_t
																																																																																																								BgL_ll1356z00_14801;
																																																																																																							obj_t
																																																																																																								BgL_ll1355z00_14800;
																																																																																																							BgL_ll1355z00_14800
																																																																																																								=
																																																																																																								BgL_arg6887z00_8826;
																																																																																																							BgL_ll1356z00_14801
																																																																																																								=
																																																																																																								BgL_arg6888z00_8827;
																																																																																																							BgL_tail1358z00_14802
																																																																																																								=
																																																																																																								BgL_newtail1359z00_8825;
																																																																																																							BgL_tail1358z00_8822
																																																																																																								=
																																																																																																								BgL_tail1358z00_14802;
																																																																																																							BgL_ll1356z00_8821
																																																																																																								=
																																																																																																								BgL_ll1356z00_14801;
																																																																																																							BgL_ll1355z00_8820
																																																																																																								=
																																																																																																								BgL_ll1355z00_14800;
																																																																																																							goto
																																																																																																								BgL_zc3anonymousza36885ze3z83_8823;
																																																																																																						}
																																																																																																					}
																																																																																																				}
																																																																																																		}
																																																																																																	}
																																																																																																}
																																																																																															{	/* Ast/sexp.scm 441 */
																																																																																																obj_t
																																																																																																	BgL_arg6899z00_8839;
																																																																																																{	/* Ast/sexp.scm 441 */
																																																																																																	obj_t
																																																																																																		BgL_arg6900z00_8840;
																																																																																																	{	/* Ast/sexp.scm 441 */
																																																																																																		obj_t
																																																																																																			BgL_arg6901z00_8841;
																																																																																																		{	/* Ast/sexp.scm 441 */
																																																																																																			obj_t
																																																																																																				BgL_arg6902z00_8842;
																																																																																																			obj_t
																																																																																																				BgL_arg6903z00_8843;
																																																																																																			BgL_arg6902z00_8842
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(BgL_proc1z00_1742,
																																																																																																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																																				(BgL_tmpsz00_8805,
																																																																																																					BNIL));
																																																																																																			{	/* Ast/sexp.scm 441 */
																																																																																																				obj_t
																																																																																																					BgL_arg6905z00_8845;
																																																																																																				BgL_arg6905z00_8845
																																																																																																					=
																																																																																																					MAKE_YOUNG_PAIR
																																																																																																					(BgL_proc2z00_1743,
																																																																																																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																																					(BgL_tmpsz00_8805,
																																																																																																						BNIL));
																																																																																																				BgL_arg6903z00_8843
																																																																																																					=
																																																																																																					MAKE_YOUNG_PAIR
																																																																																																					(BgL_arg6905z00_8845,
																																																																																																					BNIL);
																																																																																																			}
																																																																																																			BgL_arg6901z00_8841
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(BgL_arg6902z00_8842,
																																																																																																				BgL_arg6903z00_8843);
																																																																																																		}
																																																																																																		BgL_arg6900z00_8840
																																																																																																			=
																																																																																																			MAKE_YOUNG_PAIR
																																																																																																			(BgL_testz00_1741,
																																																																																																			BgL_arg6901z00_8841);
																																																																																																	}
																																																																																																	BgL_arg6899z00_8839
																																																																																																		=
																																																																																																		MAKE_YOUNG_PAIR
																																																																																																		(CNST_TABLE_REF
																																																																																																		(((long) 1)), BgL_arg6900z00_8840);
																																																																																																}
																																																																																																BgL_arg6883z00_8812
																																																																																																	=
																																																																																																	MAKE_YOUNG_PAIR
																																																																																																	(BgL_arg6899z00_8839,
																																																																																																	BNIL);
																																																																																															}
																																																																																															BgL_arg6881z00_8810
																																																																																																=
																																																																																																MAKE_YOUNG_PAIR
																																																																																																(BgL_arg6882z00_8811,
																																																																																																BgL_arg6883z00_8812);
																																																																																														}
																																																																																														BgL_nexpz00_8807
																																																																																															=
																																																																																															MAKE_YOUNG_PAIR
																																																																																															(BgL_arg6880z00_8809,
																																																																																															BgL_arg6881z00_8810);
																																																																																													}
																																																																																													{	/* Ast/sexp.scm 440 */

																																																																																														BgL_auxz00_14757
																																																																																															=
																																																																																															BGl_letzd2ze3nodez31zzast_letz00
																																																																																															(BgL_nexpz00_8807,
																																																																																															BgL_stackz00_22,
																																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																															(BgL_expz00_21,
																																																																																																BgL_locz00_8806),
																																																																																															BgL_sitez00_24);
																																																																																										}}}}
																																																																																										BgL_auxz00_14144
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_14757);
																																																																																								}}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																										BgL_tagzd2403zd2_1769:
																																																																																											BgL_auxz00_14144 = BGl_privatezd2nodezd2zzast_privatez00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_14821;
																																																																																										BgL_tagzd2404zd2_1770:
																																																																																											BgL_auxz00_14821 = BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																											BgL_auxz00_14144
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_14821);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1769;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_14826;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1770;
																																																																																									BgL_auxz00_14144
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_14826);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1769;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_14830;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1770;
																																																																																							BgL_auxz00_14144
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_14830);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	}
																																																																																}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1769;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_14834;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1770;
																																																																																BgL_auxz00_14144
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_14834);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd21185zd2_2771;
																																																																												BgL_cdrzd21185zd2_2771
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd21191zd2_2772;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_10104;
																																																																														BgL_pairz00_10104
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd21191zd2_2772
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_10104);
																																																																													}
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd21197zd2_2773;
																																																																														BgL_cdrzd21197zd2_2773
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd21191zd2_2772));
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd21202zd2_2774;
																																																																															obj_t
																																																																																BgL_cdrzd21203zd2_2775;
																																																																															BgL_carzd21202zd2_2774
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd21197zd2_2773));
																																																																															BgL_cdrzd21203zd2_2775
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd21197zd2_2773));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21202zd2_2774))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_carzd21208zd2_2777;
																																																																																	BgL_carzd21208zd2_2777
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd21203zd2_2775));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21208zd2_2777))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (NULLP(CDR(((obj_t) BgL_cdrzd21203zd2_2775))))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21185zd2_2771))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_arg2378z00_2782;
																																																																																							BgL_arg2378z00_2782
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd21191zd2_2772));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_14861;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_14865;
																																																																																									obj_t
																																																																																										BgL_proc2z00_14864;
																																																																																									obj_t
																																																																																										BgL_proc1z00_14863;
																																																																																									obj_t
																																																																																										BgL_testz00_14862;
																																																																																									BgL_testz00_14862
																																																																																										=
																																																																																										BgL_arg2378z00_2782;
																																																																																									BgL_proc1z00_14863
																																																																																										=
																																																																																										BgL_carzd21202zd2_2774;
																																																																																									BgL_proc2z00_14864
																																																																																										=
																																																																																										BgL_carzd21208zd2_2777;
																																																																																									BgL_argsz00_14865
																																																																																										=
																																																																																										BgL_cdrzd21185zd2_2771;
																																																																																									BgL_argsz00_1744
																																																																																										=
																																																																																										BgL_argsz00_14865;
																																																																																									BgL_proc2z00_1743
																																																																																										=
																																																																																										BgL_proc2z00_14864;
																																																																																									BgL_proc1z00_1742
																																																																																										=
																																																																																										BgL_proc1z00_14863;
																																																																																									BgL_testz00_1741
																																																																																										=
																																																																																										BgL_testz00_14862;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1745;
																																																																																								}
																																																																																								BgL_auxz00_14144
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_14861);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1769;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_14869;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1770;
																																																																																									BgL_auxz00_14144
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_14869);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1769;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_14873;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1770;
																																																																																							BgL_auxz00_14144
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_14873);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_14877;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_14144
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_14877);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_14881;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_14881);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_14885;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																												BgL_auxz00_14144
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_14885);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd21541zd2_2790;
																																																																								BgL_cdrzd21541zd2_2790
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd21548zd2_2791;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_10114;
																																																																										BgL_pairz00_10114
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd21548zd2_2791
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_10114);
																																																																									}
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd21555zd2_2792;
																																																																										BgL_cdrzd21555zd2_2792
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd21548zd2_2791));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd21561zd2_2793;
																																																																											obj_t
																																																																												BgL_cdrzd21562zd2_2794;
																																																																											BgL_carzd21561zd2_2793
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd21555zd2_2792));
																																																																											BgL_cdrzd21562zd2_2794
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd21555zd2_2792));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21561zd2_2793))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (PAIRP(BgL_cdrzd21562zd2_2794))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd21569zd2_2797;
																																																																															BgL_carzd21569zd2_2797
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd21562zd2_2794);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21569zd2_2797))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (NULLP(CDR(BgL_cdrzd21562zd2_2794)))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21541zd2_2790))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_arg2393z00_2802;
																																																																																					BgL_arg2393z00_2802
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd21548zd2_2791));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_14912;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_14916;
																																																																																							obj_t
																																																																																								BgL_proc2z00_14915;
																																																																																							obj_t
																																																																																								BgL_proc1z00_14914;
																																																																																							obj_t
																																																																																								BgL_testz00_14913;
																																																																																							BgL_testz00_14913
																																																																																								=
																																																																																								BgL_arg2393z00_2802;
																																																																																							BgL_proc1z00_14914
																																																																																								=
																																																																																								BgL_carzd21561zd2_2793;
																																																																																							BgL_proc2z00_14915
																																																																																								=
																																																																																								BgL_carzd21569zd2_2797;
																																																																																							BgL_argsz00_14916
																																																																																								=
																																																																																								BgL_cdrzd21541zd2_2790;
																																																																																							BgL_argsz00_1744
																																																																																								=
																																																																																								BgL_argsz00_14916;
																																																																																							BgL_proc2z00_1743
																																																																																								=
																																																																																								BgL_proc2z00_14915;
																																																																																							BgL_proc1z00_1742
																																																																																								=
																																																																																								BgL_proc1z00_14914;
																																																																																							BgL_testz00_1741
																																																																																								=
																																																																																								BgL_testz00_14913;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1745;
																																																																																						}
																																																																																						BgL_auxz00_14144
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_14912);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1769;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_14920;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1770;
																																																																																							BgL_auxz00_14144
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_14920);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_14924;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_14144
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_14924);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_14928;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_14928);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_14932;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_14932);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_14936;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_14936);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_14940;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_14940);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd21962zd2_2816;
																																																								BgL_cdrzd21962zd2_2816
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 118 */
																																																									bool_t
																																																										BgL_testz00_14944;
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg2425z00_2833;
																																																										BgL_arg2425z00_2833
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_testz00_14944
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg2425z00_2833));
																																																									}
																																																									if (BgL_testz00_14944)
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg2412z00_2819;
																																																											obj_t
																																																												BgL_arg2413z00_2820;
																																																											BgL_arg2412z00_2819
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd21962zd2_2816));
																																																											BgL_arg2413z00_2820
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd21962zd2_2816));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_14953;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_14955;
																																																													obj_t
																																																														BgL_bindingsz00_14954;
																																																													BgL_bindingsz00_14954
																																																														=
																																																														BgL_arg2412z00_2819;
																																																													BgL_exprz00_14955
																																																														=
																																																														BgL_arg2413z00_2820;
																																																													BgL_exprz00_1724
																																																														=
																																																														BgL_exprz00_14955;
																																																													BgL_bindingsz00_1723
																																																														=
																																																														BgL_bindingsz00_14954;
																																																													goto
																																																														BgL_tagzd2382zd2_1725;
																																																												}
																																																												BgL_auxz00_14144
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_14953);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											bool_t
																																																												BgL_testz00_14957;
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg2423z00_2832;
																																																												BgL_arg2423z00_2832
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_testz00_14957
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg2423z00_2832));
																																																											}
																																																											if (BgL_testz00_14957)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_14962;
																																																													goto
																																																														BgL_tagzd2384zd2_1727;
																																																													BgL_auxz00_14144
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_14962);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd22028zd2_2823;
																																																													BgL_carzd22028zd2_2823
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd22033zd2_2824;
																																																														BgL_cdrzd22033zd2_2824
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd22028zd2_2823));
																																																														if ((CAR(((obj_t) BgL_carzd22028zd2_2823)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_arg2418z00_2827;
																																																																obj_t
																																																																	BgL_arg2419z00_2828;
																																																																obj_t
																																																																	BgL_arg2420z00_2829;
																																																																BgL_arg2418z00_2827
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd22033zd2_2824));
																																																																BgL_arg2419z00_2828
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd22033zd2_2824));
																																																																BgL_arg2420z00_2829
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_14979;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_14982;
																																																																		obj_t
																																																																			BgL_bodyz00_14981;
																																																																		obj_t
																																																																			BgL_varsz00_14980;
																																																																		BgL_varsz00_14980
																																																																			=
																																																																			BgL_arg2418z00_2827;
																																																																		BgL_bodyz00_14981
																																																																			=
																																																																			BgL_arg2419z00_2828;
																																																																		BgL_argsz00_14982
																																																																			=
																																																																			BgL_arg2420z00_2829;
																																																																		BgL_argsz00_1734
																																																																			=
																																																																			BgL_argsz00_14982;
																																																																		BgL_bodyz00_1733
																																																																			=
																																																																			BgL_bodyz00_14981;
																																																																		BgL_varsz00_1732
																																																																			=
																																																																			BgL_varsz00_14980;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1735;
																																																																	}
																																																																	BgL_auxz00_14144
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_14979);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1769;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_14986;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1770;
																																																																		BgL_auxz00_14144
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_14986);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd22144zd2_2834;
																																																						BgL_cdrzd22144zd2_2834
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 118 */
																																																							bool_t
																																																								BgL_testz00_14990;
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg2434z00_2843;
																																																								BgL_arg2434z00_2843
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_testz00_14990
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg2434z00_2843));
																																																							}
																																																							if (BgL_testz00_14990)
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg2428z00_2837;
																																																									obj_t
																																																										BgL_arg2429z00_2838;
																																																									BgL_arg2428z00_2837
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd22144zd2_2834));
																																																									BgL_arg2429z00_2838
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd22144zd2_2834));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_14999;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_15001;
																																																											obj_t
																																																												BgL_bindingsz00_15000;
																																																											BgL_bindingsz00_15000
																																																												=
																																																												BgL_arg2428z00_2837;
																																																											BgL_exprz00_15001
																																																												=
																																																												BgL_arg2429z00_2838;
																																																											BgL_exprz00_1724
																																																												=
																																																												BgL_exprz00_15001;
																																																											BgL_bindingsz00_1723
																																																												=
																																																												BgL_bindingsz00_15000;
																																																											goto
																																																												BgL_tagzd2382zd2_1725;
																																																										}
																																																										BgL_auxz00_14144
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_14999);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									bool_t
																																																										BgL_testz00_15003;
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg2433z00_2842;
																																																										BgL_arg2433z00_2842
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_testz00_15003
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg2433z00_2842));
																																																									}
																																																									if (BgL_testz00_15003)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_15008;
																																																											goto
																																																												BgL_tagzd2384zd2_1727;
																																																											BgL_auxz00_14144
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_15008);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2403zd2_1769;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_15012;
																																																													goto
																																																														BgL_tagzd2404zd2_1770;
																																																													BgL_auxz00_14144
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_15012);
																																																												}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd2709zd2_2570)))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_kapzd2711zd2_2572;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if ((BgL_carzd2709zd2_2570 == CNST_TABLE_REF(((long) 18))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_kapzd2711zd2_2572;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if ((BgL_carzd2709zd2_2570 == CNST_TABLE_REF(((long) 19))))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_kapzd2711zd2_2572;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd2709zd2_2570)))
																																																											{	/* Ast/sexp.scm 118 */
																																																												goto
																																																													BgL_kapzd2711zd2_2572;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd22316zd2_2578;
																																																												BgL_cdrzd22316zd2_2578
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 118 */
																																																													bool_t
																																																														BgL_testz00_15028;
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg2329z00_2695;
																																																														BgL_arg2329z00_2695
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_testz00_15028
																																																															=
																																																															CBOOL
																																																															(BGl_letzd2symzf3z21zzast_letz00
																																																															(BgL_arg2329z00_2695));
																																																													}
																																																													if (BgL_testz00_15028)
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg2251z00_2581;
																																																															obj_t
																																																																BgL_arg2252z00_2582;
																																																															BgL_arg2251z00_2581
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd22316zd2_2578));
																																																															BgL_arg2252z00_2582
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd22316zd2_2578));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_15037;
																																																																{
																																																																	obj_t
																																																																		BgL_exprz00_15039;
																																																																	obj_t
																																																																		BgL_bindingsz00_15038;
																																																																	BgL_bindingsz00_15038
																																																																		=
																																																																		BgL_arg2251z00_2581;
																																																																	BgL_exprz00_15039
																																																																		=
																																																																		BgL_arg2252z00_2582;
																																																																	BgL_exprz00_1724
																																																																		=
																																																																		BgL_exprz00_15039;
																																																																	BgL_bindingsz00_1723
																																																																		=
																																																																		BgL_bindingsz00_15038;
																																																																	goto
																																																																		BgL_tagzd2382zd2_1725;
																																																																}
																																																																BgL_auxz00_14144
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_15037);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															bool_t
																																																																BgL_testz00_15041;
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_arg2328z00_2694;
																																																																BgL_arg2328z00_2694
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_testz00_15041
																																																																	=
																																																																	CBOOL
																																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																																	(BgL_arg2328z00_2694));
																																																															}
																																																															if (BgL_testz00_15041)
																																																																{
																																																																	BgL_letzd2funzd2_bglt
																																																																		BgL_auxz00_15046;
																																																																	goto
																																																																		BgL_tagzd2384zd2_1727;
																																																																	BgL_auxz00_14144
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_15046);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_carzd22382zd2_2585;
																																																																	BgL_carzd22382zd2_2585
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd22387zd2_2586;
																																																																		BgL_cdrzd22387zd2_2586
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd22382zd2_2585));
																																																																		if ((CAR(((obj_t) BgL_carzd22382zd2_2585)) == CNST_TABLE_REF(((long) 3))))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (PAIRP(BgL_cdrzd22387zd2_2586))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg2259z00_2590;
																																																																						obj_t
																																																																							BgL_arg2260z00_2591;
																																																																						obj_t
																																																																							BgL_arg2262z00_2592;
																																																																						BgL_arg2259z00_2590
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd22387zd2_2586);
																																																																						BgL_arg2260z00_2591
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd22387zd2_2586);
																																																																						BgL_arg2262z00_2592
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_15063;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_15066;
																																																																								obj_t
																																																																									BgL_bodyz00_15065;
																																																																								obj_t
																																																																									BgL_varsz00_15064;
																																																																								BgL_varsz00_15064
																																																																									=
																																																																									BgL_arg2259z00_2590;
																																																																								BgL_bodyz00_15065
																																																																									=
																																																																									BgL_arg2260z00_2591;
																																																																								BgL_argsz00_15066
																																																																									=
																																																																									BgL_arg2262z00_2592;
																																																																								BgL_argsz00_1734
																																																																									=
																																																																									BgL_argsz00_15066;
																																																																								BgL_bodyz00_1733
																																																																									=
																																																																									BgL_bodyz00_15065;
																																																																								BgL_varsz00_1732
																																																																									=
																																																																									BgL_varsz00_15064;
																																																																								goto
																																																																									BgL_tagzd2386zd2_1735;
																																																																							}
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_15063);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_15070;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_14144
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_15070);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd22494zd2_2595;
																																																																				BgL_cdrzd22494zd2_2595
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd22499zd2_2596;
																																																																					BgL_cdrzd22499zd2_2596
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_carzd22382zd2_2585));
																																																																					if ((CAR(((obj_t) BgL_carzd22382zd2_2585)) == CNST_TABLE_REF(((long) 1))))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (PAIRP(BgL_cdrzd22499zd2_2596))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd22504zd2_2600;
																																																																									BgL_cdrzd22504zd2_2600
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd22499zd2_2596);
																																																																									if (PAIRP(BgL_cdrzd22504zd2_2600))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd22508zd2_2602;
																																																																											obj_t
																																																																												BgL_cdrzd22509zd2_2603;
																																																																											BgL_carzd22508zd2_2602
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd22504zd2_2600);
																																																																											BgL_cdrzd22509zd2_2603
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd22504zd2_2600);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22508zd2_2602))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (PAIRP(BgL_cdrzd22509zd2_2603))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd22514zd2_2606;
																																																																															BgL_carzd22514zd2_2606
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd22509zd2_2603);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22514zd2_2606))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (NULLP(CDR(BgL_cdrzd22509zd2_2603)))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			bool_t
																																																																																				BgL_testz00_15098;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_l1366z00_2639;
																																																																																				BgL_l1366z00_2639
																																																																																					=
																																																																																					BgL_cdrzd22494zd2_2595;
																																																																																			BgL_zc3anonymousza32289ze3z83_2640:
																																																																																				if (NULLP(BgL_l1366z00_2639))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						BgL_testz00_15098
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							1);
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						bool_t
																																																																																							BgL_testz00_15101;
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							bool_t
																																																																																								BgL_testz00_15102;
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								obj_t
																																																																																									BgL_tmpz00_15103;
																																																																																								BgL_tmpz00_15103
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_l1366z00_2639));
																																																																																								BgL_testz00_15102
																																																																																									=
																																																																																									PAIRP
																																																																																									(BgL_tmpz00_15103);
																																																																																							}
																																																																																							if (BgL_testz00_15102)
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									BgL_testz00_15101
																																																																																										=
																																																																																										(
																																																																																										(bool_t)
																																																																																										0);
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									BgL_testz00_15101
																																																																																										=
																																																																																										(
																																																																																										(bool_t)
																																																																																										1);
																																																																																								}
																																																																																						}
																																																																																						if (BgL_testz00_15101)
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_l1366z00_15107;
																																																																																								BgL_l1366z00_15107
																																																																																									=
																																																																																									CDR
																																																																																									(
																																																																																									((obj_t) BgL_l1366z00_2639));
																																																																																								BgL_l1366z00_2639
																																																																																									=
																																																																																									BgL_l1366z00_15107;
																																																																																								goto
																																																																																									BgL_zc3anonymousza32289ze3z83_2640;
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								BgL_testz00_15098
																																																																																									=
																																																																																									(
																																																																																									(bool_t)
																																																																																									0);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																			if (BgL_testz00_15098)
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_arg2278z00_2622;
																																																																																					BgL_arg2278z00_2622
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_cdrzd22499zd2_2596);
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_15111;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_15115;
																																																																																							obj_t
																																																																																								BgL_proc2z00_15114;
																																																																																							obj_t
																																																																																								BgL_proc1z00_15113;
																																																																																							obj_t
																																																																																								BgL_testz00_15112;
																																																																																							BgL_testz00_15112
																																																																																								=
																																																																																								BgL_arg2278z00_2622;
																																																																																							BgL_proc1z00_15113
																																																																																								=
																																																																																								BgL_carzd22508zd2_2602;
																																																																																							BgL_proc2z00_15114
																																																																																								=
																																																																																								BgL_carzd22514zd2_2606;
																																																																																							BgL_argsz00_15115
																																																																																								=
																																																																																								BgL_cdrzd22494zd2_2595;
																																																																																							BgL_argsz00_1739
																																																																																								=
																																																																																								BgL_argsz00_15115;
																																																																																							BgL_proc2z00_1738
																																																																																								=
																																																																																								BgL_proc2z00_15114;
																																																																																							BgL_proc1z00_1737
																																																																																								=
																																																																																								BgL_proc1z00_15113;
																																																																																							BgL_testz00_1736
																																																																																								=
																																																																																								BgL_testz00_15112;
																																																																																							goto
																																																																																								BgL_tagzd2387zd2_1740;
																																																																																						}
																																																																																						BgL_auxz00_14144
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_15111);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_cdrzd22539zd2_2623;
																																																																																					BgL_cdrzd22539zd2_2623
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_cdrzd22547zd2_2624;
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_pairz00_10171;
																																																																																							BgL_pairz00_10171
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_expz00_21));
																																																																																							BgL_cdrzd22547zd2_2624
																																																																																								=
																																																																																								CDR
																																																																																								(BgL_pairz00_10171);
																																																																																						}
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_cdrzd22555zd2_2625;
																																																																																							BgL_cdrzd22555zd2_2625
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd22547zd2_2624));
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								obj_t
																																																																																									BgL_carzd22562zd2_2626;
																																																																																								BgL_carzd22562zd2_2626
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd22555zd2_2625));
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22562zd2_2626))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										obj_t
																																																																																											BgL_carzd22571zd2_2628;
																																																																																										{	/* Ast/sexp.scm 118 */
																																																																																											obj_t
																																																																																												BgL_pairz00_10175;
																																																																																											BgL_pairz00_10175
																																																																																												=
																																																																																												CDR
																																																																																												(
																																																																																												((obj_t) BgL_cdrzd22555zd2_2625));
																																																																																											BgL_carzd22571zd2_2628
																																																																																												=
																																																																																												CAR
																																																																																												(BgL_pairz00_10175);
																																																																																										}
																																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22571zd2_2628))
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22539zd2_2623))
																																																																																													{	/* Ast/sexp.scm 118 */
																																																																																														obj_t
																																																																																															BgL_arg2282z00_2631;
																																																																																														BgL_arg2282z00_2631
																																																																																															=
																																																																																															CAR
																																																																																															(
																																																																																															((obj_t) BgL_cdrzd22547zd2_2624));
																																																																																														{
																																																																																															BgL_nodez00_bglt
																																																																																																BgL_auxz00_15137;
																																																																																															{
																																																																																																obj_t
																																																																																																	BgL_argsz00_15141;
																																																																																																obj_t
																																																																																																	BgL_proc2z00_15140;
																																																																																																obj_t
																																																																																																	BgL_proc1z00_15139;
																																																																																																obj_t
																																																																																																	BgL_testz00_15138;
																																																																																																BgL_testz00_15138
																																																																																																	=
																																																																																																	BgL_arg2282z00_2631;
																																																																																																BgL_proc1z00_15139
																																																																																																	=
																																																																																																	BgL_carzd22562zd2_2626;
																																																																																																BgL_proc2z00_15140
																																																																																																	=
																																																																																																	BgL_carzd22571zd2_2628;
																																																																																																BgL_argsz00_15141
																																																																																																	=
																																																																																																	BgL_cdrzd22539zd2_2623;
																																																																																																BgL_argsz00_1744
																																																																																																	=
																																																																																																	BgL_argsz00_15141;
																																																																																																BgL_proc2z00_1743
																																																																																																	=
																																																																																																	BgL_proc2z00_15140;
																																																																																																BgL_proc1z00_1742
																																																																																																	=
																																																																																																	BgL_proc1z00_15139;
																																																																																																BgL_testz00_1741
																																																																																																	=
																																																																																																	BgL_testz00_15138;
																																																																																																goto
																																																																																																	BgL_tagzd2388zd2_1745;
																																																																																															}
																																																																																															BgL_auxz00_14144
																																																																																																=
																																																																																																(
																																																																																																(obj_t)
																																																																																																BgL_auxz00_15137);
																																																																																														}
																																																																																													}
																																																																																												else
																																																																																													{	/* Ast/sexp.scm 118 */
																																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																															{	/* Ast/sexp.scm 118 */
																																																																																																goto
																																																																																																	BgL_tagzd2403zd2_1769;
																																																																																															}
																																																																																														else
																																																																																															{
																																																																																																BgL_nodez00_bglt
																																																																																																	BgL_auxz00_15145;
																																																																																																goto
																																																																																																	BgL_tagzd2404zd2_1770;
																																																																																																BgL_auxz00_14144
																																																																																																	=
																																																																																																	(
																																																																																																	(obj_t)
																																																																																																	BgL_auxz00_15145);
																																																																																															}
																																																																																													}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 118 */
																																																																																														goto
																																																																																															BgL_tagzd2403zd2_1769;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_15149;
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1770;
																																																																																														BgL_auxz00_14144
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_15149);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1769;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_15153;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1770;
																																																																																												BgL_auxz00_14144
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_15153);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						}
																																																																																					}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_15157;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_14144
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_15157);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_cdrzd22849zd2_2650;
																																																																																	BgL_cdrzd22849zd2_2650
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_cdrzd22856zd2_2651;
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_pairz00_10179;
																																																																																			BgL_pairz00_10179
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			BgL_cdrzd22856zd2_2651
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_pairz00_10179);
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_cdrzd22863zd2_2652;
																																																																																			BgL_cdrzd22863zd2_2652
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd22856zd2_2651));
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_carzd22869zd2_2653;
																																																																																				obj_t
																																																																																					BgL_cdrzd22870zd2_2654;
																																																																																				BgL_carzd22869zd2_2653
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd22863zd2_2652));
																																																																																				BgL_cdrzd22870zd2_2654
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd22863zd2_2652));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22869zd2_2653))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_carzd22877zd2_2656;
																																																																																						BgL_carzd22877zd2_2656
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd22870zd2_2654));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22877zd2_2656))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd22870zd2_2654))))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22849zd2_2650))
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												obj_t
																																																																																													BgL_arg2299z00_2661;
																																																																																												BgL_arg2299z00_2661
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd22856zd2_2651));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_15184;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_15188;
																																																																																														obj_t
																																																																																															BgL_proc2z00_15187;
																																																																																														obj_t
																																																																																															BgL_proc1z00_15186;
																																																																																														obj_t
																																																																																															BgL_testz00_15185;
																																																																																														BgL_testz00_15185
																																																																																															=
																																																																																															BgL_arg2299z00_2661;
																																																																																														BgL_proc1z00_15186
																																																																																															=
																																																																																															BgL_carzd22869zd2_2653;
																																																																																														BgL_proc2z00_15187
																																																																																															=
																																																																																															BgL_carzd22877zd2_2656;
																																																																																														BgL_argsz00_15188
																																																																																															=
																																																																																															BgL_cdrzd22849zd2_2650;
																																																																																														BgL_argsz00_1744
																																																																																															=
																																																																																															BgL_argsz00_15188;
																																																																																														BgL_proc2z00_1743
																																																																																															=
																																																																																															BgL_proc2z00_15187;
																																																																																														BgL_proc1z00_1742
																																																																																															=
																																																																																															BgL_proc1z00_15186;
																																																																																														BgL_testz00_1741
																																																																																															=
																																																																																															BgL_testz00_15185;
																																																																																														goto
																																																																																															BgL_tagzd2388zd2_1745;
																																																																																													}
																																																																																													BgL_auxz00_14144
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_15184);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 118 */
																																																																																														goto
																																																																																															BgL_tagzd2403zd2_1769;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_15192;
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1770;
																																																																																														BgL_auxz00_14144
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_15192);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1769;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_15196;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1770;
																																																																																												BgL_auxz00_14144
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_15196);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1769;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_15200;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1770;
																																																																																										BgL_auxz00_14144
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_15200);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_15204;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_14144
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_15204);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15208;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15208);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd23210zd2_2669;
																																																																													BgL_cdrzd23210zd2_2669
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd23216zd2_2670;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_pairz00_10189;
																																																																															BgL_pairz00_10189
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd23216zd2_2670
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_10189);
																																																																														}
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd23222zd2_2671;
																																																																															BgL_cdrzd23222zd2_2671
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd23216zd2_2670));
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_carzd23227zd2_2672;
																																																																																obj_t
																																																																																	BgL_cdrzd23228zd2_2673;
																																																																																BgL_carzd23227zd2_2672
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd23222zd2_2671));
																																																																																BgL_cdrzd23228zd2_2673
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd23222zd2_2671));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23227zd2_2672))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (PAIRP(BgL_cdrzd23228zd2_2673))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_carzd23233zd2_2676;
																																																																																				BgL_carzd23233zd2_2676
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd23228zd2_2673);
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23233zd2_2676))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (NULLP(CDR(BgL_cdrzd23228zd2_2673)))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd23210zd2_2669))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										obj_t
																																																																																											BgL_arg2314z00_2681;
																																																																																										BgL_arg2314z00_2681
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd23216zd2_2670));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_15235;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_15239;
																																																																																												obj_t
																																																																																													BgL_proc2z00_15238;
																																																																																												obj_t
																																																																																													BgL_proc1z00_15237;
																																																																																												obj_t
																																																																																													BgL_testz00_15236;
																																																																																												BgL_testz00_15236
																																																																																													=
																																																																																													BgL_arg2314z00_2681;
																																																																																												BgL_proc1z00_15237
																																																																																													=
																																																																																													BgL_carzd23227zd2_2672;
																																																																																												BgL_proc2z00_15238
																																																																																													=
																																																																																													BgL_carzd23233zd2_2676;
																																																																																												BgL_argsz00_15239
																																																																																													=
																																																																																													BgL_cdrzd23210zd2_2669;
																																																																																												BgL_argsz00_1744
																																																																																													=
																																																																																													BgL_argsz00_15239;
																																																																																												BgL_proc2z00_1743
																																																																																													=
																																																																																													BgL_proc2z00_15238;
																																																																																												BgL_proc1z00_1742
																																																																																													=
																																																																																													BgL_proc1z00_15237;
																																																																																												BgL_testz00_1741
																																																																																													=
																																																																																													BgL_testz00_15236;
																																																																																												goto
																																																																																													BgL_tagzd2388zd2_1745;
																																																																																											}
																																																																																											BgL_auxz00_14144
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_15235);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1769;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_15243;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1770;
																																																																																												BgL_auxz00_14144
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_15243);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1769;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_15247;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1770;
																																																																																										BgL_auxz00_14144
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_15247);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_15251;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_14144
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_15251);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_15255;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_14144
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_15255);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_15259;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_14144
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_15259);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_15263;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_15263);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_15267;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_15267);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_15271;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_15271);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_cdrzd23771zd2_2845;
																																																	BgL_cdrzd23771zd2_2845
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	if ((BgL_carzd2706zd2_2568 == CNST_TABLE_REF(((long) 17))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg2437z00_2847;
																																																			obj_t
																																																				BgL_arg2438z00_2848;
																																																			BgL_arg2437z00_2847
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd23771zd2_2845));
																																																			BgL_arg2438z00_2848
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd23771zd2_2845));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_15282;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_15284;
																																																					obj_t
																																																						BgL_bindingsz00_15283;
																																																					BgL_bindingsz00_15283
																																																						=
																																																						BgL_arg2437z00_2847;
																																																					BgL_exprz00_15284
																																																						=
																																																						BgL_arg2438z00_2848;
																																																					BgL_exprz00_1724
																																																						=
																																																						BgL_exprz00_15284;
																																																					BgL_bindingsz00_1723
																																																						=
																																																						BgL_bindingsz00_15283;
																																																					goto
																																																						BgL_tagzd2382zd2_1725;
																																																				}
																																																				BgL_auxz00_14144
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_15282);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd2706zd2_2568)))
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg2440z00_2850;
																																																					obj_t
																																																						BgL_arg2441z00_2851;
																																																					BgL_arg2440z00_2850
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd23771zd2_2845));
																																																					BgL_arg2441z00_2851
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd23771zd2_2845));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_15293;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_15295;
																																																							obj_t
																																																								BgL_bindingsz00_15294;
																																																							BgL_bindingsz00_15294
																																																								=
																																																								BgL_arg2440z00_2850;
																																																							BgL_exprz00_15295
																																																								=
																																																								BgL_arg2441z00_2851;
																																																							BgL_exprz00_1724
																																																								=
																																																								BgL_exprz00_15295;
																																																							BgL_bindingsz00_1723
																																																								=
																																																								BgL_bindingsz00_15294;
																																																							goto
																																																								BgL_tagzd2382zd2_1725;
																																																						}
																																																						BgL_auxz00_14144
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_15293);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((BgL_carzd2706zd2_2568 == CNST_TABLE_REF(((long) 18))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg2443z00_2853;
																																																							obj_t
																																																								BgL_arg2444z00_2854;
																																																							BgL_arg2443z00_2853
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd23771zd2_2845));
																																																							BgL_arg2444z00_2854
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd23771zd2_2845));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_15304;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_15306;
																																																									obj_t
																																																										BgL_bindingsz00_15305;
																																																									BgL_bindingsz00_15305
																																																										=
																																																										BgL_arg2443z00_2853;
																																																									BgL_exprz00_15306
																																																										=
																																																										BgL_arg2444z00_2854;
																																																									BgL_exprz00_1724
																																																										=
																																																										BgL_exprz00_15306;
																																																									BgL_bindingsz00_1723
																																																										=
																																																										BgL_bindingsz00_15305;
																																																									goto
																																																										BgL_tagzd2382zd2_1725;
																																																								}
																																																								BgL_auxz00_14144
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_15304);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_15313;
																																																								BgL_tagzd2383zd2_1726:
																																																									BgL_auxz00_15313 = BGl_letrecza2zd2ze3nodez93zzast_letz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																									BgL_auxz00_14144
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_15313);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd23808zd2_2857;
																																																									BgL_carzd23808zd2_2857
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((BgL_carzd23808zd2_2857 == CNST_TABLE_REF(((long) 19))))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_15322;
																																																											goto
																																																												BgL_tagzd2384zd2_1727;
																																																											BgL_auxz00_14144
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_15322);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd23808zd2_2857)))
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_15327;
																																																													goto
																																																														BgL_tagzd2384zd2_1727;
																																																													BgL_auxz00_14144
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_15327);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_15334;
																																																														BgL_tagzd2389zd2_1746:
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_8861;
																																																																obj_t
																																																																	BgL_bodyz00_8862;
																																																																if (PAIRP(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd262362zd2_8867;
																																																																		BgL_cdrzd262362zd2_8867
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		if (PAIRP(BgL_cdrzd262362zd2_8867))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				BgL_argsz00_8861
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd262362zd2_8867);
																																																																				BgL_bodyz00_8862
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd262362zd2_8867);
																																																																				{	/* Ast/sexp.scm 448 */
																																																																					obj_t
																																																																						BgL_locz00_8871;
																																																																					obj_t
																																																																						BgL_funz00_8872;
																																																																					BgL_locz00_8871
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_expz00_21,
																																																																						BgL_locz00_23);
																																																																					BgL_funz00_8872
																																																																						=
																																																																						BGl_makezd2anonymouszd2namez00zzast_sexpz00
																																																																						(BgL_locz00_23,
																																																																						BNIL);
																																																																					{	/* Ast/sexp.scm 450 */
																																																																						obj_t
																																																																							BgL_arg6916z00_8873;
																																																																						{	/* Ast/sexp.scm 450 */
																																																																							obj_t
																																																																								BgL_arg6917z00_8874;
																																																																							obj_t
																																																																								BgL_arg6918z00_8875;
																																																																							BgL_arg6917z00_8874
																																																																								=
																																																																								BGl_labelszd2symzd2zzast_labelsz00
																																																																								();
																																																																							{	/* Ast/sexp.scm 450 */
																																																																								obj_t
																																																																									BgL_arg6919z00_8876;
																																																																								obj_t
																																																																									BgL_arg6920z00_8877;
																																																																								{	/* Ast/sexp.scm 450 */
																																																																									obj_t
																																																																										BgL_arg6921z00_8878;
																																																																									{	/* Ast/sexp.scm 450 */
																																																																										obj_t
																																																																											BgL_arg6922z00_8879;
																																																																										{	/* Ast/sexp.scm 450 */
																																																																											obj_t
																																																																												BgL_arg6923z00_8880;
																																																																											BgL_arg6923z00_8880
																																																																												=
																																																																												MAKE_YOUNG_PAIR
																																																																												(BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																												(BgL_bodyz00_8862),
																																																																												BNIL);
																																																																											BgL_arg6922z00_8879
																																																																												=
																																																																												MAKE_YOUNG_PAIR
																																																																												(BgL_argsz00_8861,
																																																																												BgL_arg6923z00_8880);
																																																																										}
																																																																										BgL_arg6921z00_8878
																																																																											=
																																																																											MAKE_YOUNG_PAIR
																																																																											(BgL_funz00_8872,
																																																																											BgL_arg6922z00_8879);
																																																																									}
																																																																									BgL_arg6919z00_8876
																																																																										=
																																																																										MAKE_YOUNG_PAIR
																																																																										(BgL_arg6921z00_8878,
																																																																										BNIL);
																																																																								}
																																																																								BgL_arg6920z00_8877
																																																																									=
																																																																									MAKE_YOUNG_PAIR
																																																																									(BgL_funz00_8872,
																																																																									BNIL);
																																																																								BgL_arg6918z00_8875
																																																																									=
																																																																									MAKE_YOUNG_PAIR
																																																																									(BgL_arg6919z00_8876,
																																																																									BgL_arg6920z00_8877);
																																																																							}
																																																																							BgL_arg6916z00_8873
																																																																								=
																																																																								MAKE_YOUNG_PAIR
																																																																								(BgL_arg6917z00_8874,
																																																																								BgL_arg6918z00_8875);
																																																																						}
																																																																						BgL_auxz00_15334
																																																																							=
																																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																							(BgL_arg6916z00_8873,
																																																																							BgL_stackz00_22,
																																																																							BgL_locz00_8871,
																																																																							BgL_sitez00_24);
																																																																					}
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																			BgL_tagzd262355zd2_8864:
																																																																				{	/* Ast/sexp.scm 457 */
																																																																					obj_t
																																																																						BgL_arg6926z00_8883;
																																																																					BgL_arg6926z00_8883
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_expz00_21,
																																																																						BgL_locz00_23);
																																																																					{	/* Ast/sexp.scm 455 */
																																																																						BgL_nodez00_bglt
																																																																							BgL_res7400z00_9938;
																																																																						{	/* Ast/sexp.scm 715 */
																																																																							obj_t
																																																																								BgL_arg7083z00_9934;
																																																																							BgL_nodez00_bglt
																																																																								BgL_arg7084z00_9935;
																																																																							BgL_arg7083z00_9934
																																																																								=
																																																																								BGl_shapez00zztools_shapez00
																																																																								(BGl_currentzd2functionzd2zztools_errorz00
																																																																								());
																																																																							BgL_arg7084z00_9935
																																																																								=
																																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																								(CNST_TABLE_REF
																																																																								(((long) 4)), BNIL, BgL_arg6926z00_8883, CNST_TABLE_REF(((long) 2)));
																																																																							{	/* Ast/sexp.scm 714 */
																																																																								obj_t
																																																																									BgL_list7085z00_9937;
																																																																								BgL_list7085z00_9937
																																																																									=
																																																																									MAKE_YOUNG_PAIR
																																																																									(
																																																																									((obj_t) BgL_arg7084z00_9935), BNIL);
																																																																								BgL_res7400z00_9938
																																																																									=
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																									(BgL_arg6926z00_8883,
																																																																										BgL_arg7083z00_9934,
																																																																										BGl_string7959z00zzast_sexpz00,
																																																																										BgL_expz00_21,
																																																																										BgL_list7085z00_9937));
																																																																						}}
																																																																						BgL_auxz00_15334
																																																																							=
																																																																							BgL_res7400z00_9938;
																																																																	}}}}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd262355zd2_8864;
																																																																	}
																																																															}
																																																															BgL_auxz00_14144
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_15334);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_15370;
																																																																BgL_tagzd2390zd2_1747:
																																																																	BgL_auxz00_15370 = BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 0), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																	BgL_auxz00_14144
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_15370);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd23888zd2_2864;
																																																																	BgL_cdrzd23888zd2_2864
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_arg2457z00_2867;
																																																																			obj_t
																																																																				BgL_arg2458z00_2868;
																																																																			BgL_arg2457z00_2867
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd23888zd2_2864));
																																																																			BgL_arg2458z00_2868
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd23888zd2_2864));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_15385;
																																																																				BgL_effectz00_1748
																																																																					=
																																																																					BgL_arg2457z00_2867;
																																																																				BgL_restz00_1749
																																																																					=
																																																																					BgL_arg2458z00_2868;
																																																																			BgL_tagzd2391zd2_1750:
																																																																				{	/* Ast/sexp.scm 464 */
																																																																					BgL_feffectz00_bglt
																																																																						BgL_arg6927z00_8884;
																																																																					obj_t
																																																																						BgL_arg6928z00_8885;
																																																																					BgL_arg6927z00_8884
																																																																						=
																																																																						BGl_parsezd2effectzd2zzeffect_feffectz00
																																																																						(BgL_effectz00_1748);
																																																																					{	/* Ast/sexp.scm 465 */
																																																																						obj_t
																																																																							BgL_arg6929z00_8886;
																																																																						BgL_arg6929z00_8886
																																																																							=
																																																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																							(BgL_restz00_1749,
																																																																							BNIL);
																																																																						BgL_arg6928z00_8885
																																																																							=
																																																																							MAKE_YOUNG_PAIR
																																																																							(CNST_TABLE_REF
																																																																							(((long) 6)), BgL_arg6929z00_8886);
																																																																					}
																																																																					BgL_auxz00_15385
																																																																						=
																																																																						BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																						(
																																																																						((bool_t) 0), ((obj_t) BgL_arg6927z00_8884), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg6928z00_8885, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																				}
																																																																				BgL_auxz00_14144
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_15385);
																																																																		}}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_15399;
																																																																				BgL_tagzd2392zd2_1751:
																																																																					BgL_auxz00_15399 = BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																					BgL_auxz00_14144
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_15399);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_15408;
																																																																						BgL_tagzd2393zd2_1752:
																																																																							{	/* Ast/sexp.scm 471 */
																																																																								bool_t
																																																																									BgL_testz00_15409;
																																																																								if (NULLP(BgL_stackz00_22))
																																																																									{	/* Ast/sexp.scm 471 */
																																																																										BgL_testz00_15409
																																																																											=
																																																																											(BgL_sitez00_24
																																																																											==
																																																																											CNST_TABLE_REF
																																																																											(((long) 2)));
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 471 */
																																																																										BgL_testz00_15409
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								if (BgL_testz00_15409)
																																																																									{	/* Ast/sexp.scm 471 */
																																																																										{	/* Ast/sexp.scm 475 */
																																																																											BgL_nodez00_bglt
																																																																												BgL_arg6932z00_8889;
																																																																											BgL_arg6932z00_8889
																																																																												=
																																																																												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																												(
																																																																												((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																											BGl_addzd2staticzd2pragmaz12z12zzast_pragmaz00
																																																																												(BgL_arg6932z00_8889);
																																																																										}
																																																																										BgL_auxz00_15408
																																																																											=
																																																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																											(BUNSPEC,
																																																																											BgL_stackz00_22,
																																																																											BgL_locz00_23,
																																																																											BgL_sitez00_24);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 472 */
																																																																										BgL_nodez00_bglt
																																																																											BgL_res7404z00_9950;
																																																																										{	/* Ast/sexp.scm 715 */
																																																																											obj_t
																																																																												BgL_arg7083z00_9946;
																																																																											BgL_nodez00_bglt
																																																																												BgL_arg7084z00_9947;
																																																																											BgL_arg7083z00_9946
																																																																												=
																																																																												BGl_shapez00zztools_shapez00
																																																																												(BGl_currentzd2functionzd2zztools_errorz00
																																																																												());
																																																																											BgL_arg7084z00_9947
																																																																												=
																																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																												(CNST_TABLE_REF
																																																																												(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																																											{	/* Ast/sexp.scm 714 */
																																																																												obj_t
																																																																													BgL_list7085z00_9949;
																																																																												BgL_list7085z00_9949
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(
																																																																													((obj_t) BgL_arg7084z00_9947), BNIL);
																																																																												BgL_res7404z00_9950
																																																																													=
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																													(BgL_locz00_23,
																																																																														BgL_arg7083z00_9946,
																																																																														BGl_string7958z00zzast_sexpz00,
																																																																														BgL_expz00_21,
																																																																														BgL_list7085z00_9949));
																																																																										}}
																																																																										BgL_auxz00_15408
																																																																											=
																																																																											BgL_res7404z00_9950;
																																																																							}}
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_15408);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_arg2467z00_2876;
																																																																									obj_t
																																																																										BgL_arg2468z00_2877;
																																																																									BgL_arg2467z00_2876
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd23888zd2_2864));
																																																																									BgL_arg2468z00_2877
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd23888zd2_2864));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_15437;
																																																																										BgL_effectz00_1753
																																																																											=
																																																																											BgL_arg2467z00_2876;
																																																																										BgL_restz00_1754
																																																																											=
																																																																											BgL_arg2468z00_2877;
																																																																									BgL_tagzd2394zd2_1755:
																																																																										{	/* Ast/sexp.scm 480 */
																																																																											BgL_feffectz00_bglt
																																																																												BgL_arg6933z00_8891;
																																																																											obj_t
																																																																												BgL_arg6934z00_8892;
																																																																											BgL_arg6933z00_8891
																																																																												=
																																																																												BGl_parsezd2effectzd2zzeffect_feffectz00
																																																																												(BgL_effectz00_1753);
																																																																											{	/* Ast/sexp.scm 481 */
																																																																												obj_t
																																																																													BgL_arg6935z00_8893;
																																																																												BgL_arg6935z00_8893
																																																																													=
																																																																													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																													(BgL_restz00_1754,
																																																																													BNIL);
																																																																												BgL_arg6934z00_8892
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(CNST_TABLE_REF
																																																																													(((long) 6)), BgL_arg6935z00_8893);
																																																																											}
																																																																											BgL_auxz00_15437
																																																																												=
																																																																												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																												(
																																																																												((bool_t) 1), ((obj_t) BgL_arg6933z00_8891), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg6934z00_8892, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																										}
																																																																										BgL_auxz00_14144
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_15437);
																																																																								}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_15451;
																																																																										BgL_tagzd2395zd2_1756:
																																																																											{
																																																																												obj_t
																																																																													BgL_procz00_8894;
																																																																												obj_t
																																																																													BgL_msgz00_8895;
																																																																												obj_t
																																																																													BgL_objz00_8896;
																																																																												if (PAIRP(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd262379zd2_8901;
																																																																														BgL_cdrzd262379zd2_8901
																																																																															=
																																																																															CDR
																																																																															(BgL_expz00_21);
																																																																														if (PAIRP(BgL_cdrzd262379zd2_8901))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd262384zd2_8903;
																																																																																BgL_cdrzd262384zd2_8903
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd262379zd2_8901);
																																																																																if (PAIRP(BgL_cdrzd262384zd2_8903))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_cdrzd262389zd2_8905;
																																																																																		BgL_cdrzd262389zd2_8905
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd262384zd2_8903);
																																																																																		if (PAIRP(BgL_cdrzd262389zd2_8905))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (NULLP(CDR(BgL_cdrzd262389zd2_8905)))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_arg6942z00_8909;
																																																																																						obj_t
																																																																																							BgL_arg6943z00_8910;
																																																																																						obj_t
																																																																																							BgL_arg6944z00_8911;
																																																																																						BgL_arg6942z00_8909
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd262379zd2_8901);
																																																																																						BgL_arg6943z00_8910
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd262384zd2_8903);
																																																																																						BgL_arg6944z00_8911
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd262389zd2_8905);
																																																																																						{
																																																																																							BgL_failz00_bglt
																																																																																								BgL_auxz00_15469;
																																																																																							BgL_procz00_8894
																																																																																								=
																																																																																								BgL_arg6942z00_8909;
																																																																																							BgL_msgz00_8895
																																																																																								=
																																																																																								BgL_arg6943z00_8910;
																																																																																							BgL_objz00_8896
																																																																																								=
																																																																																								BgL_arg6944z00_8911;
																																																																																							{	/* Ast/sexp.scm 486 */
																																																																																								obj_t
																																																																																									BgL_locz00_8913;
																																																																																								BgL_locz00_8913
																																																																																									=
																																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																									(BgL_expz00_21,
																																																																																									BgL_locz00_23);
																																																																																								{	/* Ast/sexp.scm 486 */
																																																																																									obj_t
																																																																																										BgL_cdlocz00_8914;
																																																																																									{	/* Ast/sexp.scm 487 */
																																																																																										obj_t
																																																																																											BgL_arg6949z00_8928;
																																																																																										BgL_arg6949z00_8928
																																																																																											=
																																																																																											CDR
																																																																																											(
																																																																																											((obj_t) BgL_expz00_21));
																																																																																										BgL_cdlocz00_8914
																																																																																											=
																																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																											(BgL_arg6949z00_8928,
																																																																																											BgL_locz00_8913);
																																																																																									}
																																																																																									{	/* Ast/sexp.scm 487 */
																																																																																										obj_t
																																																																																											BgL_cddlocz00_8915;
																																																																																										{	/* Ast/sexp.scm 488 */
																																																																																											obj_t
																																																																																												BgL_arg6948z00_8927;
																																																																																											{	/* Ast/sexp.scm 488 */
																																																																																												obj_t
																																																																																													BgL_pairz00_9955;
																																																																																												BgL_pairz00_9955
																																																																																													=
																																																																																													CDR
																																																																																													(
																																																																																													((obj_t) BgL_expz00_21));
																																																																																												BgL_arg6948z00_8927
																																																																																													=
																																																																																													CDR
																																																																																													(BgL_pairz00_9955);
																																																																																											}
																																																																																											BgL_cddlocz00_8915
																																																																																												=
																																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																												(BgL_arg6948z00_8927,
																																																																																												BgL_locz00_8913);
																																																																																										}
																																																																																										{	/* Ast/sexp.scm 488 */
																																																																																											obj_t
																																																																																												BgL_cdddlocz00_8916;
																																																																																											{	/* Ast/sexp.scm 489 */
																																																																																												obj_t
																																																																																													BgL_arg6947z00_8926;
																																																																																												{	/* Ast/sexp.scm 489 */
																																																																																													obj_t
																																																																																														BgL_pairz00_9961;
																																																																																													{	/* Ast/sexp.scm 489 */
																																																																																														obj_t
																																																																																															BgL_pairz00_9960;
																																																																																														BgL_pairz00_9960
																																																																																															=
																																																																																															CDR
																																																																																															(
																																																																																															((obj_t) BgL_expz00_21));
																																																																																														BgL_pairz00_9961
																																																																																															=
																																																																																															CDR
																																																																																															(BgL_pairz00_9960);
																																																																																													}
																																																																																													BgL_arg6947z00_8926
																																																																																														=
																																																																																														CDR
																																																																																														(BgL_pairz00_9961);
																																																																																												}
																																																																																												BgL_cdddlocz00_8916
																																																																																													=
																																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																													(BgL_arg6947z00_8926,
																																																																																													BgL_locz00_8913);
																																																																																											}
																																																																																											{	/* Ast/sexp.scm 489 */
																																																																																												obj_t
																																																																																													BgL_loczd2proczd2_8917;
																																																																																												BgL_loczd2proczd2_8917
																																																																																													=
																																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																													(BgL_procz00_8894,
																																																																																													BgL_cdlocz00_8914);
																																																																																												{	/* Ast/sexp.scm 490 */
																																																																																													obj_t
																																																																																														BgL_loczd2msgzd2_8918;
																																																																																													BgL_loczd2msgzd2_8918
																																																																																														=
																																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																														(BgL_msgz00_8895,
																																																																																														BgL_cddlocz00_8915);
																																																																																													{	/* Ast/sexp.scm 491 */
																																																																																														obj_t
																																																																																															BgL_loczd2objzd2_8919;
																																																																																														BgL_loczd2objzd2_8919
																																																																																															=
																																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																															(BgL_objz00_8896,
																																																																																															BgL_cdddlocz00_8916);
																																																																																														{	/* Ast/sexp.scm 492 */
																																																																																															BgL_nodez00_bglt
																																																																																																BgL_procz00_8920;
																																																																																															BgL_procz00_8920
																																																																																																=
																																																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																(BgL_procz00_8894,
																																																																																																BgL_stackz00_22,
																																																																																																BgL_loczd2proczd2_8917,
																																																																																																CNST_TABLE_REF
																																																																																																(((long) 2)));
																																																																																															{	/* Ast/sexp.scm 493 */
																																																																																																BgL_nodez00_bglt
																																																																																																	BgL_msgz00_8921;
																																																																																																BgL_msgz00_8921
																																																																																																	=
																																																																																																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																	(BgL_msgz00_8895,
																																																																																																	BgL_stackz00_22,
																																																																																																	BgL_loczd2msgzd2_8918,
																																																																																																	CNST_TABLE_REF
																																																																																																	(((long) 2)));
																																																																																																{	/* Ast/sexp.scm 494 */
																																																																																																	BgL_nodez00_bglt
																																																																																																		BgL_objz00_8922;
																																																																																																	BgL_objz00_8922
																																																																																																		=
																																																																																																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																		(BgL_objz00_8896,
																																																																																																		BgL_stackz00_22,
																																																																																																		BgL_loczd2objzd2_8919,
																																																																																																		CNST_TABLE_REF
																																																																																																		(((long) 2)));
																																																																																																	{	/* Ast/sexp.scm 495 */

																																																																																																		{	/* Ast/sexp.scm 496 */
																																																																																																			BgL_failz00_bglt
																																																																																																				BgL_new1138z00_8923;
																																																																																																			{	/* Ast/sexp.scm 497 */
																																																																																																				BgL_failz00_bglt
																																																																																																					BgL_new1137z00_8924;
																																																																																																				BgL_new1137z00_8924
																																																																																																					=
																																																																																																					(
																																																																																																					(BgL_failz00_bglt)
																																																																																																					BOBJECT
																																																																																																					(GC_MALLOC
																																																																																																						(sizeof
																																																																																																							(struct
																																																																																																								BgL_failz00_bgl))));
																																																																																																				{	/* Ast/sexp.scm 497 */
																																																																																																					long
																																																																																																						BgL_arg6946z00_8925;
																																																																																																					{	/* Ast/sexp.scm 497 */
																																																																																																						long
																																																																																																							BgL_res7405z00_9963;
																																																																																																						BgL_res7405z00_9963
																																																																																																							=
																																																																																																							BGL_CLASS_INDEX
																																																																																																							(BGl_failz00zzast_nodez00);
																																																																																																						BgL_arg6946z00_8925
																																																																																																							=
																																																																																																							BgL_res7405z00_9963;
																																																																																																					}
																																																																																																					BGL_OBJECT_CLASS_NUM_SET
																																																																																																						(
																																																																																																						((BgL_objectz00_bglt) BgL_new1137z00_8924), BgL_arg6946z00_8925);
																																																																																																				}
																																																																																																				{	/* Ast/sexp.scm 497 */
																																																																																																					BgL_objectz00_bglt
																																																																																																						BgL_tmpz00_15496;
																																																																																																					BgL_tmpz00_15496
																																																																																																						=
																																																																																																						(
																																																																																																						(BgL_objectz00_bglt)
																																																																																																						BgL_new1137z00_8924);
																																																																																																					BGL_OBJECT_WIDENING_SET
																																																																																																						(BgL_tmpz00_15496,
																																																																																																						BFALSE);
																																																																																																				}
																																																																																																				BgL_new1138z00_8923
																																																																																																					=
																																																																																																					BgL_new1137z00_8924;
																																																																																																			}
																																																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1138z00_8923)))->BgL_locz00) = ((obj_t) BgL_locz00_8913), BUNSPEC);
																																																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1138z00_8923)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00)), BUNSPEC);
																																																																																																			((((BgL_failz00_bglt) COBJECT(BgL_new1138z00_8923))->BgL_procz00) = ((BgL_nodez00_bglt) BgL_procz00_8920), BUNSPEC);
																																																																																																			((((BgL_failz00_bglt) COBJECT(BgL_new1138z00_8923))->BgL_msgz00) = ((BgL_nodez00_bglt) BgL_msgz00_8921), BUNSPEC);
																																																																																																			((((BgL_failz00_bglt) COBJECT(BgL_new1138z00_8923))->BgL_objz00) = ((BgL_nodez00_bglt) BgL_objz00_8922), BUNSPEC);
																																																																																																			BgL_auxz00_15469
																																																																																																				=
																																																																																																				BgL_new1138z00_8923;
																																																																																							}}}}}}}}}}}}
																																																																																							BgL_auxz00_15451
																																																																																								=
																																																																																								(
																																																																																								(BgL_nodez00_bglt)
																																																																																								BgL_auxz00_15469);
																																																																																					}}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																					BgL_tagzd262370zd2_8898:
																																																																																						{	/* Ast/sexp.scm 504 */
																																																																																							obj_t
																																																																																								BgL_arg6950z00_8929;
																																																																																							BgL_arg6950z00_8929
																																																																																								=
																																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																								(BgL_expz00_21,
																																																																																								BgL_locz00_23);
																																																																																							{	/* Ast/sexp.scm 503 */
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_res7406z00_9971;
																																																																																								{	/* Ast/sexp.scm 715 */
																																																																																									obj_t
																																																																																										BgL_arg7083z00_9967;
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_arg7084z00_9968;
																																																																																									BgL_arg7083z00_9967
																																																																																										=
																																																																																										BGl_shapez00zztools_shapez00
																																																																																										(BGl_currentzd2functionzd2zztools_errorz00
																																																																																										());
																																																																																									BgL_arg7084z00_9968
																																																																																										=
																																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																										(CNST_TABLE_REF
																																																																																										(((long) 4)), BNIL, BgL_arg6950z00_8929, CNST_TABLE_REF(((long) 2)));
																																																																																									{	/* Ast/sexp.scm 714 */
																																																																																										obj_t
																																																																																											BgL_list7085z00_9970;
																																																																																										BgL_list7085z00_9970
																																																																																											=
																																																																																											MAKE_YOUNG_PAIR
																																																																																											(
																																																																																											((obj_t) BgL_arg7084z00_9968), BNIL);
																																																																																										BgL_res7406z00_9971
																																																																																											=
																																																																																											(
																																																																																											(BgL_nodez00_bglt)
																																																																																											BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																											(BgL_arg6950z00_8929,
																																																																																												BgL_arg7083z00_9967,
																																																																																												BGl_string7957z00zzast_sexpz00,
																																																																																												BgL_expz00_21,
																																																																																												BgL_list7085z00_9970));
																																																																																								}}
																																																																																								BgL_auxz00_15451
																																																																																									=
																																																																																									BgL_res7406z00_9971;
																																																																																			}}}}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd262370zd2_8898;
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd262370zd2_8898;
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd262370zd2_8898;
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd262370zd2_8898;
																																																																													}
																																																																											}
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_15451);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_15524;
																																																																												BgL_tagzd2396zd2_1757:
																																																																													{
																																																																														obj_t
																																																																															BgL_testz00_8930;
																																																																														obj_t
																																																																															BgL_clausesz00_8931;
																																																																														if (PAIRP(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd262403zd2_8936;
																																																																																BgL_cdrzd262403zd2_8936
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_expz00_21);
																																																																																if (PAIRP(BgL_cdrzd262403zd2_8936))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		BgL_testz00_8930
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd262403zd2_8936);
																																																																																		BgL_clausesz00_8931
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd262403zd2_8936);
																																																																																		{	/* Ast/sexp.scm 515 */
																																																																																			obj_t
																																																																																				BgL_locz00_8940;
																																																																																			BgL_locz00_8940
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			{	/* Ast/sexp.scm 515 */
																																																																																				obj_t
																																																																																					BgL_cdlocz00_8941;
																																																																																				{	/* Ast/sexp.scm 516 */
																																																																																					obj_t
																																																																																						BgL_arg6980z00_8981;
																																																																																					BgL_arg6980z00_8981
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					BgL_cdlocz00_8941
																																																																																						=
																																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																						(BgL_arg6980z00_8981,
																																																																																						BgL_locz00_8940);
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 516 */
																																																																																					obj_t
																																																																																						BgL_cddlocz00_8942;
																																																																																					{	/* Ast/sexp.scm 517 */
																																																																																						obj_t
																																																																																							BgL_arg6979z00_8980;
																																																																																						BgL_arg6979z00_8980
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_expz00_21));
																																																																																						BgL_cddlocz00_8942
																																																																																							=
																																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																							(BgL_arg6979z00_8980,
																																																																																							BgL_locz00_8940);
																																																																																					}
																																																																																					{	/* Ast/sexp.scm 517 */
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_testz00_8943;
																																																																																						{	/* Ast/sexp.scm 520 */
																																																																																							obj_t
																																																																																								BgL_arg6978z00_8979;
																																																																																							BgL_arg6978z00_8979
																																																																																								=
																																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																								(BgL_testz00_8930,
																																																																																								BgL_cdlocz00_8941);
																																																																																							BgL_testz00_8943
																																																																																								=
																																																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																								(BgL_testz00_8930,
																																																																																								BgL_stackz00_22,
																																																																																								BgL_arg6978z00_8979,
																																																																																								CNST_TABLE_REF
																																																																																								(((long) 2)));
																																																																																						}
																																																																																						{	/* Ast/sexp.scm 518 */

																																																																																							{
																																																																																								obj_t
																																																																																									BgL_clsz00_8946;
																																																																																								obj_t
																																																																																									BgL_nclausesz00_8947;
																																																																																								BgL_clsz00_8946
																																																																																									=
																																																																																									BgL_clausesz00_8931;
																																																																																								BgL_nclausesz00_8947
																																																																																									=
																																																																																									BNIL;
																																																																																							BgL_zc3anonymousza36955ze3z83_8948:
																																																																																								if (NULLP(BgL_clsz00_8946))
																																																																																									{	/* Ast/sexp.scm 525 */
																																																																																										BgL_switchz00_bglt
																																																																																											BgL_new1142z00_8950;
																																																																																										{	/* Ast/sexp.scm 526 */
																																																																																											BgL_switchz00_bglt
																																																																																												BgL_new1141z00_8954;
																																																																																											BgL_new1141z00_8954
																																																																																												=
																																																																																												(
																																																																																												(BgL_switchz00_bglt)
																																																																																												BOBJECT
																																																																																												(GC_MALLOC
																																																																																													(sizeof
																																																																																														(struct
																																																																																															BgL_switchz00_bgl))));
																																																																																											{	/* Ast/sexp.scm 526 */
																																																																																												long
																																																																																													BgL_arg6960z00_8955;
																																																																																												{	/* Ast/sexp.scm 526 */
																																																																																													long
																																																																																														BgL_res7413z00_9988;
																																																																																													BgL_res7413z00_9988
																																																																																														=
																																																																																														BGL_CLASS_INDEX
																																																																																														(BGl_switchz00zzast_nodez00);
																																																																																													BgL_arg6960z00_8955
																																																																																														=
																																																																																														BgL_res7413z00_9988;
																																																																																												}
																																																																																												BGL_OBJECT_CLASS_NUM_SET
																																																																																													(
																																																																																													((BgL_objectz00_bglt) BgL_new1141z00_8954), BgL_arg6960z00_8955);
																																																																																											}
																																																																																											{	/* Ast/sexp.scm 526 */
																																																																																												BgL_objectz00_bglt
																																																																																													BgL_tmpz00_15546;
																																																																																												BgL_tmpz00_15546
																																																																																													=
																																																																																													(
																																																																																													(BgL_objectz00_bglt)
																																																																																													BgL_new1141z00_8954);
																																																																																												BGL_OBJECT_WIDENING_SET
																																																																																													(BgL_tmpz00_15546,
																																																																																													BFALSE);
																																																																																											}
																																																																																											BgL_new1142z00_8950
																																																																																												=
																																																																																												BgL_new1141z00_8954;
																																																																																										}
																																																																																										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1142z00_8950)))->BgL_locz00) = ((obj_t) BgL_locz00_8940), BUNSPEC);
																																																																																										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1142z00_8950)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																																										((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1142z00_8950)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																																										((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1142z00_8950)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																																										((((BgL_switchz00_bglt) COBJECT(BgL_new1142z00_8950))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_8943), BUNSPEC);
																																																																																										((((BgL_switchz00_bglt) COBJECT(BgL_new1142z00_8950))->BgL_clausesz00) = ((obj_t) bgl_reverse_bang(BgL_nclausesz00_8947)), BUNSPEC);
																																																																																										{
																																																																																											BgL_typez00_bglt
																																																																																												BgL_auxz00_15562;
																																																																																											{	/* Ast/sexp.scm 529 */
																																																																																												obj_t
																																																																																													BgL_arg6957z00_8951;
																																																																																												{	/* Ast/sexp.scm 529 */
																																																																																													obj_t
																																																																																														BgL_pairz00_9993;
																																																																																													{	/* Ast/sexp.scm 529 */
																																																																																														obj_t
																																																																																															BgL_pairz00_9992;
																																																																																														BgL_pairz00_9992
																																																																																															=
																																																																																															CAR
																																																																																															(
																																																																																															((obj_t) BgL_clausesz00_8931));
																																																																																														BgL_pairz00_9993
																																																																																															=
																																																																																															CAR
																																																																																															(BgL_pairz00_9992);
																																																																																													}
																																																																																													BgL_arg6957z00_8951
																																																																																														=
																																																																																														CAR
																																																																																														(BgL_pairz00_9993);
																																																																																												}
																																																																																												BgL_auxz00_15562
																																																																																													=
																																																																																													BGl_getzd2typezd2atomz00zztype_typeofz00
																																																																																													(BgL_arg6957z00_8951);
																																																																																											}
																																																																																											((((BgL_switchz00_bglt) COBJECT(BgL_new1142z00_8950))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt) BgL_auxz00_15562), BUNSPEC);
																																																																																										}
																																																																																										BgL_auxz00_15524
																																																																																											=
																																																																																											(
																																																																																											(BgL_nodez00_bglt)
																																																																																											BgL_new1142z00_8950);
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 531 */
																																																																																										obj_t
																																																																																											BgL_clausez00_8956;
																																																																																										BgL_clausez00_8956
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_clsz00_8946));
																																																																																										{	/* Ast/sexp.scm 531 */
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_bodyz00_8957;
																																																																																											{	/* Ast/sexp.scm 532 */
																																																																																												obj_t
																																																																																													BgL_arg6975z00_8975;
																																																																																												obj_t
																																																																																													BgL_arg6976z00_8976;
																																																																																												{	/* Ast/sexp.scm 532 */
																																																																																													obj_t
																																																																																														BgL_arg6977z00_8977;
																																																																																													BgL_arg6977z00_8977
																																																																																														=
																																																																																														CDR
																																																																																														(
																																																																																														((obj_t) BgL_clausez00_8956));
																																																																																													BgL_arg6975z00_8975
																																																																																														=
																																																																																														BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																																														(BgL_arg6977z00_8977);
																																																																																												}
																																																																																												BgL_arg6976z00_8976
																																																																																													=
																																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																													(BgL_clausez00_8956,
																																																																																													BgL_cddlocz00_8942);
																																																																																												BgL_bodyz00_8957
																																																																																													=
																																																																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																													(BgL_arg6975z00_8975,
																																																																																													BgL_stackz00_22,
																																																																																													BgL_arg6976z00_8976,
																																																																																													CNST_TABLE_REF
																																																																																													(((long) 2)));
																																																																																											}
																																																																																											{	/* Ast/sexp.scm 532 */
																																																																																												obj_t
																																																																																													BgL_nclausez00_8958;
																																																																																												{	/* Ast/sexp.scm 536 */
																																																																																													obj_t
																																																																																														BgL_arg6974z00_8974;
																																																																																													BgL_arg6974z00_8974
																																																																																														=
																																																																																														CAR
																																																																																														(
																																																																																														((obj_t) BgL_clausez00_8956));
																																																																																													BgL_nclausez00_8958
																																																																																														=
																																																																																														MAKE_YOUNG_PAIR
																																																																																														(BgL_arg6974z00_8974,
																																																																																														((obj_t) BgL_bodyz00_8957));
																																																																																												}
																																																																																												{	/* Ast/sexp.scm 536 */

																																																																																													{	/* Ast/sexp.scm 538 */
																																																																																														bool_t
																																																																																															BgL_testz00_15582;
																																																																																														if ((CAR(((obj_t) BgL_clausez00_8956)) == CNST_TABLE_REF(((long) 5))))
																																																																																															{	/* Ast/sexp.scm 538 */
																																																																																																if (NULLP(CDR(((obj_t) BgL_clsz00_8946))))
																																																																																																	{	/* Ast/sexp.scm 539 */
																																																																																																		BgL_testz00_15582
																																																																																																			=
																																																																																																			(
																																																																																																			(bool_t)
																																																																																																			0);
																																																																																																	}
																																																																																																else
																																																																																																	{	/* Ast/sexp.scm 539 */
																																																																																																		BgL_testz00_15582
																																																																																																			=
																																																																																																			(
																																																																																																			(bool_t)
																																																																																																			1);
																																																																																																	}
																																																																																															}
																																																																																														else
																																																																																															{	/* Ast/sexp.scm 538 */
																																																																																																BgL_testz00_15582
																																																																																																	=
																																																																																																	(
																																																																																																	(bool_t)
																																																																																																	0);
																																																																																															}
																																																																																														if (BgL_testz00_15582)
																																																																																															{	/* Ast/sexp.scm 541 */
																																																																																																obj_t
																																																																																																	BgL_arg6968z00_8966;
																																																																																																BgL_arg6968z00_8966
																																																																																																	=
																																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																																	(BgL_expz00_21,
																																																																																																	BgL_locz00_8940);
																																																																																																{	/* Ast/sexp.scm 540 */
																																																																																																	BgL_nodez00_bglt
																																																																																																		BgL_res7415z00_10005;
																																																																																																	{	/* Ast/sexp.scm 715 */
																																																																																																		obj_t
																																																																																																			BgL_arg7083z00_10001;
																																																																																																		BgL_nodez00_bglt
																																																																																																			BgL_arg7084z00_10002;
																																																																																																		BgL_arg7083z00_10001
																																																																																																			=
																																																																																																			BGl_shapez00zztools_shapez00
																																																																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																																																																			());
																																																																																																		BgL_arg7084z00_10002
																																																																																																			=
																																																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																			(CNST_TABLE_REF
																																																																																																			(((long) 4)), BNIL, BgL_arg6968z00_8966, CNST_TABLE_REF(((long) 2)));
																																																																																																		{	/* Ast/sexp.scm 714 */
																																																																																																			obj_t
																																																																																																				BgL_list7085z00_10004;
																																																																																																			BgL_list7085z00_10004
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(
																																																																																																				((obj_t) BgL_arg7084z00_10002), BNIL);
																																																																																																			BgL_res7415z00_10005
																																																																																																				=
																																																																																																				(
																																																																																																				(BgL_nodez00_bglt)
																																																																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																																				(BgL_arg6968z00_8966,
																																																																																																					BgL_arg7083z00_10001,
																																																																																																					BGl_string7956z00zzast_sexpz00,
																																																																																																					BgL_expz00_21,
																																																																																																					BgL_list7085z00_10004));
																																																																																																	}}
																																																																																																	BgL_auxz00_15524
																																																																																																		=
																																																																																																		BgL_res7415z00_10005;
																																																																																															}}
																																																																																														else
																																																																																															{	/* Ast/sexp.scm 542 */
																																																																																																obj_t
																																																																																																	BgL_arg6969z00_8967;
																																																																																																obj_t
																																																																																																	BgL_arg6970z00_8968;
																																																																																																BgL_arg6969z00_8967
																																																																																																	=
																																																																																																	CDR
																																																																																																	(
																																																																																																	((obj_t) BgL_clsz00_8946));
																																																																																																BgL_arg6970z00_8968
																																																																																																	=
																																																																																																	MAKE_YOUNG_PAIR
																																																																																																	(BGl_epairifyz00zztools_miscz00
																																																																																																	(BgL_nclausez00_8958,
																																																																																																		BgL_clausez00_8956),
																																																																																																	BgL_nclausesz00_8947);
																																																																																																{
																																																																																																	obj_t
																																																																																																		BgL_nclausesz00_15607;
																																																																																																	obj_t
																																																																																																		BgL_clsz00_15606;
																																																																																																	BgL_clsz00_15606
																																																																																																		=
																																																																																																		BgL_arg6969z00_8967;
																																																																																																	BgL_nclausesz00_15607
																																																																																																		=
																																																																																																		BgL_arg6970z00_8968;
																																																																																																	BgL_nclausesz00_8947
																																																																																																		=
																																																																																																		BgL_nclausesz00_15607;
																																																																																																	BgL_clsz00_8946
																																																																																																		=
																																																																																																		BgL_clsz00_15606;
																																																																																																	goto
																																																																																																		BgL_zc3anonymousza36955ze3z83_8948;
																																																																																																}
																																																																																															}
																																																																																													}
																																																																																												}
																																																																																											}
																																																																																										}
																																																																																									}
																																																																																							}
																																																																																						}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																	BgL_tagzd262396zd2_8933:
																																																																																		{	/* Ast/sexp.scm 547 */
																																																																																			obj_t
																																																																																				BgL_arg6981z00_8982;
																																																																																			BgL_arg6981z00_8982
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			{	/* Ast/sexp.scm 546 */
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_res7416z00_10012;
																																																																																				{	/* Ast/sexp.scm 715 */
																																																																																					obj_t
																																																																																						BgL_arg7083z00_10008;
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_arg7084z00_10009;
																																																																																					BgL_arg7083z00_10008
																																																																																						=
																																																																																						BGl_shapez00zztools_shapez00
																																																																																						(BGl_currentzd2functionzd2zztools_errorz00
																																																																																						());
																																																																																					BgL_arg7084z00_10009
																																																																																						=
																																																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																						(CNST_TABLE_REF
																																																																																						(((long) 4)), BNIL, BgL_arg6981z00_8982, CNST_TABLE_REF(((long) 2)));
																																																																																					{	/* Ast/sexp.scm 714 */
																																																																																						obj_t
																																																																																							BgL_list7085z00_10011;
																																																																																						BgL_list7085z00_10011
																																																																																							=
																																																																																							MAKE_YOUNG_PAIR
																																																																																							(
																																																																																							((obj_t) BgL_arg7084z00_10009), BNIL);
																																																																																						BgL_res7416z00_10012
																																																																																							=
																																																																																							(
																																																																																							(BgL_nodez00_bglt)
																																																																																							BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																							(BgL_arg6981z00_8982,
																																																																																								BgL_arg7083z00_10008,
																																																																																								BGl_string7956z00zzast_sexpz00,
																																																																																								BgL_expz00_21,
																																																																																								BgL_list7085z00_10011));
																																																																																				}}
																																																																																				BgL_auxz00_15524
																																																																																					=
																																																																																					BgL_res7416z00_10012;
																																																																															}}}}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd262396zd2_8933;
																																																																															}
																																																																													}
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_15524);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																														{
																																																																															BgL_letzd2funzd2_bglt
																																																																																BgL_auxz00_15626;
																																																																														BgL_tagzd2397zd2_1758:
																																																																															BgL_auxz00_15626 = BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_15626);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																																{
																																																																																	BgL_jumpzd2exzd2itz00_bglt
																																																																																		BgL_auxz00_15634;
																																																																																BgL_tagzd2398zd2_1759:
																																																																																	BgL_auxz00_15634 = BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15634);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_cdrzd23965zd2_2886;
																																																																																	BgL_cdrzd23965zd2_2886
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg2479z00_2889;
																																																																																			obj_t
																																																																																				BgL_arg2480z00_2890;
																																																																																			BgL_arg2479z00_2889
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd23965zd2_2886));
																																																																																			BgL_arg2480z00_2890
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd23965zd2_2886));
																																																																																			{	/* Ast/sexp.scm 561 */
																																																																																				obj_t
																																																																																					BgL_arg6983z00_10228;
																																																																																				BgL_arg6983z00_10228
																																																																																					=
																																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																					(BgL_expz00_21,
																																																																																					BgL_locz00_23);
																																																																																				BgL_auxz00_14144
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																					(BgL_expz00_21,
																																																																																						BgL_arg2479z00_2889,
																																																																																						CNST_TABLE_REF
																																																																																						(((long) 4)), BgL_arg2480z00_2890, BgL_stackz00_22, BgL_arg6983z00_10228, BgL_sitez00_24));
																																																																																		}}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_15654;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_14144
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_15654);
																																																																																				}
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd23990zd2_2907;
																																					BgL_carzd23990zd2_2907
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd23990zd2_2907
																																							==
																																							CNST_TABLE_REF
																																							(((long) 1))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_15661;
																																							goto
																																								BgL_tagzd2377zd2_1714;
																																							BgL_auxz00_14144
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_15661);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((BgL_carzd23990zd2_2907 == BGl_za2ifza2z00zzast_sexpz00))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_15665;
																																									goto
																																										BgL_tagzd2377zd2_1714;
																																									BgL_auxz00_14144
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_15665);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_15672;
																																											goto
																																												BgL_tagzd2379zd2_1718;
																																											BgL_auxz00_14144
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_15672);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_15679;
																																													goto
																																														BgL_tagzd2380zd2_1719;
																																													BgL_auxz00_14144
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_15679);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_carzd24059zd2_2914;
																																													BgL_carzd24059zd2_2914
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if (PAIRP(BgL_carzd24059zd2_2914))
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_carzd24062zd2_2916;
																																															obj_t
																																																BgL_cdrzd24063zd2_2917;
																																															BgL_carzd24062zd2_2916
																																																=
																																																CAR
																																																(BgL_carzd24059zd2_2914);
																																															BgL_cdrzd24063zd2_2917
																																																=
																																																CDR
																																																(BgL_carzd24059zd2_2914);
																																															{

																																																if ((BgL_carzd24062zd2_2916 == CNST_TABLE_REF(((long) 17))))
																																																	{	/* Ast/sexp.scm 118 */
																																																	BgL_kapzd24064zd2_2918:
																																																		if (PAIRP(BgL_cdrzd24063zd2_2917))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd24067zd2_3043;
																																																				BgL_cdrzd24067zd2_3043
																																																					=
																																																					CDR
																																																					(BgL_cdrzd24063zd2_2917);
																																																				if (PAIRP(BgL_cdrzd24067zd2_3043))
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (NULLP(CDR(BgL_cdrzd24067zd2_3043)))
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg2613z00_3047;
																																																								obj_t
																																																									BgL_arg2614z00_3048;
																																																								BgL_arg2613z00_3047
																																																									=
																																																									CAR
																																																									(BgL_cdrzd24067zd2_3043);
																																																								BgL_arg2614z00_3048
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_15701;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_15703;
																																																										obj_t
																																																											BgL_bodyz00_15702;
																																																										BgL_bodyz00_15702
																																																											=
																																																											BgL_arg2613z00_3047;
																																																										BgL_argsz00_15703
																																																											=
																																																											BgL_arg2614z00_3048;
																																																										BgL_argsz00_1721
																																																											=
																																																											BgL_argsz00_15703;
																																																										BgL_bodyz00_1720
																																																											=
																																																											BgL_bodyz00_15702;
																																																										goto
																																																											BgL_tagzd2381zd2_1722;
																																																									}
																																																									BgL_auxz00_14144
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_15701);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd24091zd2_3049;
																																																								BgL_cdrzd24091zd2_3049
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 118 */
																																																									bool_t
																																																										BgL_testz00_15707;
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg2691z00_3160;
																																																										BgL_arg2691z00_3160
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_testz00_15707
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg2691z00_3160));
																																																									}
																																																									if (BgL_testz00_15707)
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg2617z00_3052;
																																																											obj_t
																																																												BgL_arg2618z00_3053;
																																																											BgL_arg2617z00_3052
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd24091zd2_3049));
																																																											BgL_arg2618z00_3053
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd24091zd2_3049));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_15716;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_15718;
																																																													obj_t
																																																														BgL_bindingsz00_15717;
																																																													BgL_bindingsz00_15717
																																																														=
																																																														BgL_arg2617z00_3052;
																																																													BgL_exprz00_15718
																																																														=
																																																														BgL_arg2618z00_3053;
																																																													BgL_exprz00_1724
																																																														=
																																																														BgL_exprz00_15718;
																																																													BgL_bindingsz00_1723
																																																														=
																																																														BgL_bindingsz00_15717;
																																																													goto
																																																														BgL_tagzd2382zd2_1725;
																																																												}
																																																												BgL_auxz00_14144
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_15716);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											bool_t
																																																												BgL_testz00_15720;
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg2690z00_3159;
																																																												BgL_arg2690z00_3159
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_testz00_15720
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg2690z00_3159));
																																																											}
																																																											if (BgL_testz00_15720)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_15725;
																																																													goto
																																																														BgL_tagzd2384zd2_1727;
																																																													BgL_auxz00_14144
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_15725);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd24158zd2_3056;
																																																													BgL_carzd24158zd2_3056
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd24163zd2_3057;
																																																														BgL_cdrzd24163zd2_3057
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd24158zd2_3056));
																																																														if ((CAR(((obj_t) BgL_carzd24158zd2_3056)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_arg2624z00_3060;
																																																																obj_t
																																																																	BgL_arg2625z00_3061;
																																																																obj_t
																																																																	BgL_arg2626z00_3062;
																																																																BgL_arg2624z00_3060
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd24163zd2_3057));
																																																																BgL_arg2625z00_3061
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd24163zd2_3057));
																																																																BgL_arg2626z00_3062
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_15742;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_15745;
																																																																		obj_t
																																																																			BgL_bodyz00_15744;
																																																																		obj_t
																																																																			BgL_varsz00_15743;
																																																																		BgL_varsz00_15743
																																																																			=
																																																																			BgL_arg2624z00_3060;
																																																																		BgL_bodyz00_15744
																																																																			=
																																																																			BgL_arg2625z00_3061;
																																																																		BgL_argsz00_15745
																																																																			=
																																																																			BgL_arg2626z00_3062;
																																																																		BgL_argsz00_1734
																																																																			=
																																																																			BgL_argsz00_15745;
																																																																		BgL_bodyz00_1733
																																																																			=
																																																																			BgL_bodyz00_15744;
																																																																		BgL_varsz00_1732
																																																																			=
																																																																			BgL_varsz00_15743;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1735;
																																																																	}
																																																																	BgL_auxz00_14144
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_15742);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd24186zd2_3064;
																																																																BgL_cdrzd24186zd2_3064
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd24192zd2_3065;
																																																																	BgL_cdrzd24192zd2_3065
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd24158zd2_3056));
																																																																	if ((CAR(((obj_t) BgL_carzd24158zd2_3056)) == CNST_TABLE_REF(((long) 1))))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd24198zd2_3068;
																																																																			BgL_cdrzd24198zd2_3068
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd24192zd2_3065));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd24203zd2_3069;
																																																																				obj_t
																																																																					BgL_cdrzd24204zd2_3070;
																																																																				BgL_carzd24203zd2_3069
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd24198zd2_3068));
																																																																				BgL_cdrzd24204zd2_3070
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd24198zd2_3068));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24203zd2_3069))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (PAIRP(BgL_cdrzd24204zd2_3070))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd24211zd2_3073;
																																																																								BgL_carzd24211zd2_3073
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd24204zd2_3070);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24211zd2_3073))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (NULLP(CDR(BgL_cdrzd24204zd2_3070)))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												bool_t
																																																																													BgL_testz00_15772;
																																																																												{
																																																																													obj_t
																																																																														BgL_l1369z00_3106;
																																																																													BgL_l1369z00_3106
																																																																														=
																																																																														BgL_cdrzd24186zd2_3064;
																																																																												BgL_zc3anonymousza32652ze3z83_3107:
																																																																													if (NULLP(BgL_l1369z00_3106))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															BgL_testz00_15772
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															bool_t
																																																																																BgL_testz00_15775;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																bool_t
																																																																																	BgL_testz00_15776;
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_tmpz00_15777;
																																																																																	BgL_tmpz00_15777
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_l1369z00_3106));
																																																																																	BgL_testz00_15776
																																																																																		=
																																																																																		PAIRP
																																																																																		(BgL_tmpz00_15777);
																																																																																}
																																																																																if (BgL_testz00_15776)
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		BgL_testz00_15775
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		BgL_testz00_15775
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																															}
																																																																															if (BgL_testz00_15775)
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1369z00_15781;
																																																																																	BgL_l1369z00_15781
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_l1369z00_3106));
																																																																																	BgL_l1369z00_3106
																																																																																		=
																																																																																		BgL_l1369z00_15781;
																																																																																	goto
																																																																																		BgL_zc3anonymousza32652ze3z83_3107;
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	BgL_testz00_15772
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																														}
																																																																												}
																																																																												if (BgL_testz00_15772)
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg2642z00_3089;
																																																																														BgL_arg2642z00_3089
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd24192zd2_3065));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_15786;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_15790;
																																																																																obj_t
																																																																																	BgL_proc2z00_15789;
																																																																																obj_t
																																																																																	BgL_proc1z00_15788;
																																																																																obj_t
																																																																																	BgL_testz00_15787;
																																																																																BgL_testz00_15787
																																																																																	=
																																																																																	BgL_arg2642z00_3089;
																																																																																BgL_proc1z00_15788
																																																																																	=
																																																																																	BgL_carzd24203zd2_3069;
																																																																																BgL_proc2z00_15789
																																																																																	=
																																																																																	BgL_carzd24211zd2_3073;
																																																																																BgL_argsz00_15790
																																																																																	=
																																																																																	BgL_cdrzd24186zd2_3064;
																																																																																BgL_argsz00_1739
																																																																																	=
																																																																																	BgL_argsz00_15790;
																																																																																BgL_proc2z00_1738
																																																																																	=
																																																																																	BgL_proc2z00_15789;
																																																																																BgL_proc1z00_1737
																																																																																	=
																																																																																	BgL_proc1z00_15788;
																																																																																BgL_testz00_1736
																																																																																	=
																																																																																	BgL_testz00_15787;
																																																																																goto
																																																																																	BgL_tagzd2387zd2_1740;
																																																																															}
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_15786);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd24235zd2_3090;
																																																																														BgL_cdrzd24235zd2_3090
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd24242zd2_3091;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_pairz00_10272;
																																																																																BgL_pairz00_10272
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_cdrzd24242zd2_3091
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_10272);
																																																																															}
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd24249zd2_3092;
																																																																																BgL_cdrzd24249zd2_3092
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd24242zd2_3091));
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_carzd24255zd2_3093;
																																																																																	BgL_carzd24255zd2_3093
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd24249zd2_3092));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24255zd2_3093))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_carzd24262zd2_3095;
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_pairz00_10276;
																																																																																				BgL_pairz00_10276
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd24249zd2_3092));
																																																																																				BgL_carzd24262zd2_3095
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_pairz00_10276);
																																																																																			}
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24262zd2_3095))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24235zd2_3090))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_arg2646z00_3098;
																																																																																							BgL_arg2646z00_3098
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd24242zd2_3091));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_15812;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_15816;
																																																																																									obj_t
																																																																																										BgL_proc2z00_15815;
																																																																																									obj_t
																																																																																										BgL_proc1z00_15814;
																																																																																									obj_t
																																																																																										BgL_testz00_15813;
																																																																																									BgL_testz00_15813
																																																																																										=
																																																																																										BgL_arg2646z00_3098;
																																																																																									BgL_proc1z00_15814
																																																																																										=
																																																																																										BgL_carzd24255zd2_3093;
																																																																																									BgL_proc2z00_15815
																																																																																										=
																																																																																										BgL_carzd24262zd2_3095;
																																																																																									BgL_argsz00_15816
																																																																																										=
																																																																																										BgL_cdrzd24235zd2_3090;
																																																																																									BgL_argsz00_1744
																																																																																										=
																																																																																										BgL_argsz00_15816;
																																																																																									BgL_proc2z00_1743
																																																																																										=
																																																																																										BgL_proc2z00_15815;
																																																																																									BgL_proc1z00_1742
																																																																																										=
																																																																																										BgL_proc1z00_15814;
																																																																																									BgL_testz00_1741
																																																																																										=
																																																																																										BgL_testz00_15813;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1745;
																																																																																								}
																																																																																								BgL_auxz00_14144
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_15812);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1769;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_15820;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1770;
																																																																																									BgL_auxz00_14144
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_15820);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1769;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_15824;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1770;
																																																																																							BgL_auxz00_14144
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_15824);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_15828;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_14144
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_15828);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_15832;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																														BgL_auxz00_14144
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_15832);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd24538zd2_3117;
																																																																										BgL_cdrzd24538zd2_3117
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd24544zd2_3118;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_10280;
																																																																												BgL_pairz00_10280
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd24544zd2_3118
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_10280);
																																																																											}
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd24550zd2_3119;
																																																																												BgL_cdrzd24550zd2_3119
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd24544zd2_3118));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd24555zd2_3120;
																																																																													obj_t
																																																																														BgL_cdrzd24556zd2_3121;
																																																																													BgL_carzd24555zd2_3120
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd24550zd2_3119));
																																																																													BgL_cdrzd24556zd2_3121
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd24550zd2_3119));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24555zd2_3120))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd24561zd2_3123;
																																																																															BgL_carzd24561zd2_3123
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd24556zd2_3121));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24561zd2_3123))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (NULLP(CDR(((obj_t) BgL_cdrzd24556zd2_3121))))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24538zd2_3117))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_arg2664z00_3128;
																																																																																					BgL_arg2664z00_3128
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd24544zd2_3118));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_15859;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_15863;
																																																																																							obj_t
																																																																																								BgL_proc2z00_15862;
																																																																																							obj_t
																																																																																								BgL_proc1z00_15861;
																																																																																							obj_t
																																																																																								BgL_testz00_15860;
																																																																																							BgL_testz00_15860
																																																																																								=
																																																																																								BgL_arg2664z00_3128;
																																																																																							BgL_proc1z00_15861
																																																																																								=
																																																																																								BgL_carzd24555zd2_3120;
																																																																																							BgL_proc2z00_15862
																																																																																								=
																																																																																								BgL_carzd24561zd2_3123;
																																																																																							BgL_argsz00_15863
																																																																																								=
																																																																																								BgL_cdrzd24538zd2_3117;
																																																																																							BgL_argsz00_1744
																																																																																								=
																																																																																								BgL_argsz00_15863;
																																																																																							BgL_proc2z00_1743
																																																																																								=
																																																																																								BgL_proc2z00_15862;
																																																																																							BgL_proc1z00_1742
																																																																																								=
																																																																																								BgL_proc1z00_15861;
																																																																																							BgL_testz00_1741
																																																																																								=
																																																																																								BgL_testz00_15860;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1745;
																																																																																						}
																																																																																						BgL_auxz00_14144
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_15859);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1769;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_15867;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1770;
																																																																																							BgL_auxz00_14144
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_15867);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_15871;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_14144
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_15871);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_15875;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_15875);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15879;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15879);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_15883;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_14144
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_15883);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd24894zd2_3136;
																																																																						BgL_cdrzd24894zd2_3136
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd24901zd2_3137;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_pairz00_10290;
																																																																								BgL_pairz00_10290
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd24901zd2_3137
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_10290);
																																																																							}
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd24908zd2_3138;
																																																																								BgL_cdrzd24908zd2_3138
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd24901zd2_3137));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd24914zd2_3139;
																																																																									obj_t
																																																																										BgL_cdrzd24915zd2_3140;
																																																																									BgL_carzd24914zd2_3139
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd24908zd2_3138));
																																																																									BgL_cdrzd24915zd2_3140
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd24908zd2_3138));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24914zd2_3139))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (PAIRP(BgL_cdrzd24915zd2_3140))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd24922zd2_3143;
																																																																													BgL_carzd24922zd2_3143
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd24915zd2_3140);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24922zd2_3143))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (NULLP(CDR(BgL_cdrzd24915zd2_3140)))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24894zd2_3136))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg2679z00_3148;
																																																																																			BgL_arg2679z00_3148
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd24901zd2_3137));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_15910;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_15914;
																																																																																					obj_t
																																																																																						BgL_proc2z00_15913;
																																																																																					obj_t
																																																																																						BgL_proc1z00_15912;
																																																																																					obj_t
																																																																																						BgL_testz00_15911;
																																																																																					BgL_testz00_15911
																																																																																						=
																																																																																						BgL_arg2679z00_3148;
																																																																																					BgL_proc1z00_15912
																																																																																						=
																																																																																						BgL_carzd24914zd2_3139;
																																																																																					BgL_proc2z00_15913
																																																																																						=
																																																																																						BgL_carzd24922zd2_3143;
																																																																																					BgL_argsz00_15914
																																																																																						=
																																																																																						BgL_cdrzd24894zd2_3136;
																																																																																					BgL_argsz00_1744
																																																																																						=
																																																																																						BgL_argsz00_15914;
																																																																																					BgL_proc2z00_1743
																																																																																						=
																																																																																						BgL_proc2z00_15913;
																																																																																					BgL_proc1z00_1742
																																																																																						=
																																																																																						BgL_proc1z00_15912;
																																																																																					BgL_testz00_1741
																																																																																						=
																																																																																						BgL_testz00_15911;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1745;
																																																																																				}
																																																																																				BgL_auxz00_14144
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_15910);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_15918;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_14144
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_15918);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_15922;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_15922);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15926;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15926);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_15930;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_15930);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_15934;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_15934);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1769;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_15938;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1770;
																																																																					BgL_auxz00_14144
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_15938);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd25315zd2_3162;
																																																						BgL_cdrzd25315zd2_3162
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 118 */
																																																							bool_t
																																																								BgL_testz00_15942;
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg2707z00_3179;
																																																								BgL_arg2707z00_3179
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_testz00_15942
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg2707z00_3179));
																																																							}
																																																							if (BgL_testz00_15942)
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg2695z00_3165;
																																																									obj_t
																																																										BgL_arg2696z00_3166;
																																																									BgL_arg2695z00_3165
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd25315zd2_3162));
																																																									BgL_arg2696z00_3166
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd25315zd2_3162));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_15951;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_15953;
																																																											obj_t
																																																												BgL_bindingsz00_15952;
																																																											BgL_bindingsz00_15952
																																																												=
																																																												BgL_arg2695z00_3165;
																																																											BgL_exprz00_15953
																																																												=
																																																												BgL_arg2696z00_3166;
																																																											BgL_exprz00_1724
																																																												=
																																																												BgL_exprz00_15953;
																																																											BgL_bindingsz00_1723
																																																												=
																																																												BgL_bindingsz00_15952;
																																																											goto
																																																												BgL_tagzd2382zd2_1725;
																																																										}
																																																										BgL_auxz00_14144
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_15951);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									bool_t
																																																										BgL_testz00_15955;
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg2706z00_3178;
																																																										BgL_arg2706z00_3178
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_testz00_15955
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg2706z00_3178));
																																																									}
																																																									if (BgL_testz00_15955)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_15960;
																																																											goto
																																																												BgL_tagzd2384zd2_1727;
																																																											BgL_auxz00_14144
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_15960);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd25381zd2_3169;
																																																											BgL_carzd25381zd2_3169
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd25386zd2_3170;
																																																												BgL_cdrzd25386zd2_3170
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd25381zd2_3169));
																																																												if ((CAR(((obj_t) BgL_carzd25381zd2_3169)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg2701z00_3173;
																																																														obj_t
																																																															BgL_arg2702z00_3174;
																																																														obj_t
																																																															BgL_arg2703z00_3175;
																																																														BgL_arg2701z00_3173
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd25386zd2_3170));
																																																														BgL_arg2702z00_3174
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd25386zd2_3170));
																																																														BgL_arg2703z00_3175
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_15977;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_15980;
																																																																obj_t
																																																																	BgL_bodyz00_15979;
																																																																obj_t
																																																																	BgL_varsz00_15978;
																																																																BgL_varsz00_15978
																																																																	=
																																																																	BgL_arg2701z00_3173;
																																																																BgL_bodyz00_15979
																																																																	=
																																																																	BgL_arg2702z00_3174;
																																																																BgL_argsz00_15980
																																																																	=
																																																																	BgL_arg2703z00_3175;
																																																																BgL_argsz00_1734
																																																																	=
																																																																	BgL_argsz00_15980;
																																																																BgL_bodyz00_1733
																																																																	=
																																																																	BgL_bodyz00_15979;
																																																																BgL_varsz00_1732
																																																																	=
																																																																	BgL_varsz00_15978;
																																																																goto
																																																																	BgL_tagzd2386zd2_1735;
																																																															}
																																																															BgL_auxz00_14144
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_15977);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1769;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_15984;
																																																																goto
																																																																	BgL_tagzd2404zd2_1770;
																																																																BgL_auxz00_14144
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_15984);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd25497zd2_3180;
																																																				BgL_cdrzd25497zd2_3180
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_15988;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg2716z00_3189;
																																																						BgL_arg2716z00_3189
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_15988
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg2716z00_3189));
																																																					}
																																																					if (BgL_testz00_15988)
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg2710z00_3183;
																																																							obj_t
																																																								BgL_arg2711z00_3184;
																																																							BgL_arg2710z00_3183
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd25497zd2_3180));
																																																							BgL_arg2711z00_3184
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd25497zd2_3180));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_15997;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_15999;
																																																									obj_t
																																																										BgL_bindingsz00_15998;
																																																									BgL_bindingsz00_15998
																																																										=
																																																										BgL_arg2710z00_3183;
																																																									BgL_exprz00_15999
																																																										=
																																																										BgL_arg2711z00_3184;
																																																									BgL_exprz00_1724
																																																										=
																																																										BgL_exprz00_15999;
																																																									BgL_bindingsz00_1723
																																																										=
																																																										BgL_bindingsz00_15998;
																																																									goto
																																																										BgL_tagzd2382zd2_1725;
																																																								}
																																																								BgL_auxz00_14144
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_15997);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							bool_t
																																																								BgL_testz00_16001;
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg2715z00_3188;
																																																								BgL_arg2715z00_3188
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_testz00_16001
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg2715z00_3188));
																																																							}
																																																							if (BgL_testz00_16001)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_16006;
																																																									goto
																																																										BgL_tagzd2384zd2_1727;
																																																									BgL_auxz00_14144
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_16006);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2403zd2_1769;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_16010;
																																																											goto
																																																												BgL_tagzd2404zd2_1770;
																																																											BgL_auxz00_14144
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_16010);
																																																										}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd24062zd2_2916)))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd24064zd2_2918;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if ((BgL_carzd24062zd2_2916 == CNST_TABLE_REF(((long) 18))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_kapzd24064zd2_2918;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if ((BgL_carzd24062zd2_2916 == CNST_TABLE_REF(((long) 19))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_kapzd24064zd2_2918;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd24062zd2_2916)))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_kapzd24064zd2_2918;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd25669zd2_2924;
																																																										BgL_cdrzd25669zd2_2924
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 118 */
																																																											bool_t
																																																												BgL_testz00_16026;
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg2608z00_3041;
																																																												BgL_arg2608z00_3041
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_testz00_16026
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg2608z00_3041));
																																																											}
																																																											if (BgL_testz00_16026)
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg2514z00_2927;
																																																													obj_t
																																																														BgL_arg2516z00_2928;
																																																													BgL_arg2514z00_2927
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd25669zd2_2924));
																																																													BgL_arg2516z00_2928
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd25669zd2_2924));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_16035;
																																																														{
																																																															obj_t
																																																																BgL_exprz00_16037;
																																																															obj_t
																																																																BgL_bindingsz00_16036;
																																																															BgL_bindingsz00_16036
																																																																=
																																																																BgL_arg2514z00_2927;
																																																															BgL_exprz00_16037
																																																																=
																																																																BgL_arg2516z00_2928;
																																																															BgL_exprz00_1724
																																																																=
																																																																BgL_exprz00_16037;
																																																															BgL_bindingsz00_1723
																																																																=
																																																																BgL_bindingsz00_16036;
																																																															goto
																																																																BgL_tagzd2382zd2_1725;
																																																														}
																																																														BgL_auxz00_14144
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_16035);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													bool_t
																																																														BgL_testz00_16039;
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg2606z00_3040;
																																																														BgL_arg2606z00_3040
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_testz00_16039
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg2606z00_3040));
																																																													}
																																																													if (BgL_testz00_16039)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_16044;
																																																															goto
																																																																BgL_tagzd2384zd2_1727;
																																																															BgL_auxz00_14144
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_16044);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_carzd25735zd2_2931;
																																																															BgL_carzd25735zd2_2931
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd25740zd2_2932;
																																																																BgL_cdrzd25740zd2_2932
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd25735zd2_2931));
																																																																if ((CAR(((obj_t) BgL_carzd25735zd2_2931)) == CNST_TABLE_REF(((long) 3))))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (PAIRP(BgL_cdrzd25740zd2_2932))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_arg2522z00_2936;
																																																																				obj_t
																																																																					BgL_arg2523z00_2937;
																																																																				obj_t
																																																																					BgL_arg2524z00_2938;
																																																																				BgL_arg2522z00_2936
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd25740zd2_2932);
																																																																				BgL_arg2523z00_2937
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd25740zd2_2932);
																																																																				BgL_arg2524z00_2938
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_16061;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_16064;
																																																																						obj_t
																																																																							BgL_bodyz00_16063;
																																																																						obj_t
																																																																							BgL_varsz00_16062;
																																																																						BgL_varsz00_16062
																																																																							=
																																																																							BgL_arg2522z00_2936;
																																																																						BgL_bodyz00_16063
																																																																							=
																																																																							BgL_arg2523z00_2937;
																																																																						BgL_argsz00_16064
																																																																							=
																																																																							BgL_arg2524z00_2938;
																																																																						BgL_argsz00_1734
																																																																							=
																																																																							BgL_argsz00_16064;
																																																																						BgL_bodyz00_1733
																																																																							=
																																																																							BgL_bodyz00_16063;
																																																																						BgL_varsz00_1732
																																																																							=
																																																																							BgL_varsz00_16062;
																																																																						goto
																																																																							BgL_tagzd2386zd2_1735;
																																																																					}
																																																																					BgL_auxz00_14144
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_16061);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_16068;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_14144
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_16068);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd25847zd2_2941;
																																																																		BgL_cdrzd25847zd2_2941
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd25852zd2_2942;
																																																																			BgL_cdrzd25852zd2_2942
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd25735zd2_2931));
																																																																			if ((CAR(((obj_t) BgL_carzd25735zd2_2931)) == CNST_TABLE_REF(((long) 1))))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd25852zd2_2942))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd25857zd2_2946;
																																																																							BgL_cdrzd25857zd2_2946
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd25852zd2_2942);
																																																																							if (PAIRP(BgL_cdrzd25857zd2_2946))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd25861zd2_2948;
																																																																									obj_t
																																																																										BgL_cdrzd25862zd2_2949;
																																																																									BgL_carzd25861zd2_2948
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd25857zd2_2946);
																																																																									BgL_cdrzd25862zd2_2949
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd25857zd2_2946);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25861zd2_2948))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (PAIRP(BgL_cdrzd25862zd2_2949))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd25867zd2_2952;
																																																																													BgL_carzd25867zd2_2952
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd25862zd2_2949);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25867zd2_2952))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (NULLP(CDR(BgL_cdrzd25862zd2_2949)))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	bool_t
																																																																																		BgL_testz00_16096;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1372z00_2985;
																																																																																		BgL_l1372z00_2985
																																																																																			=
																																																																																			BgL_cdrzd25847zd2_2941;
																																																																																	BgL_zc3anonymousza32559ze3z83_2986:
																																																																																		if (NULLP(BgL_l1372z00_2985))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				BgL_testz00_16096
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				bool_t
																																																																																					BgL_testz00_16099;
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					bool_t
																																																																																						BgL_testz00_16100;
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_tmpz00_16101;
																																																																																						BgL_tmpz00_16101
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_l1372z00_2985));
																																																																																						BgL_testz00_16100
																																																																																							=
																																																																																							PAIRP
																																																																																							(BgL_tmpz00_16101);
																																																																																					}
																																																																																					if (BgL_testz00_16100)
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							BgL_testz00_16099
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								0);
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							BgL_testz00_16099
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								1);
																																																																																						}
																																																																																				}
																																																																																				if (BgL_testz00_16099)
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_l1372z00_16105;
																																																																																						BgL_l1372z00_16105
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_l1372z00_2985));
																																																																																						BgL_l1372z00_2985
																																																																																							=
																																																																																							BgL_l1372z00_16105;
																																																																																						goto
																																																																																							BgL_zc3anonymousza32559ze3z83_2986;
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						BgL_testz00_16096
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							0);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																	if (BgL_testz00_16096)
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg2544z00_2968;
																																																																																			BgL_arg2544z00_2968
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd25852zd2_2942);
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_16109;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_16113;
																																																																																					obj_t
																																																																																						BgL_proc2z00_16112;
																																																																																					obj_t
																																																																																						BgL_proc1z00_16111;
																																																																																					obj_t
																																																																																						BgL_testz00_16110;
																																																																																					BgL_testz00_16110
																																																																																						=
																																																																																						BgL_arg2544z00_2968;
																																																																																					BgL_proc1z00_16111
																																																																																						=
																																																																																						BgL_carzd25861zd2_2948;
																																																																																					BgL_proc2z00_16112
																																																																																						=
																																																																																						BgL_carzd25867zd2_2952;
																																																																																					BgL_argsz00_16113
																																																																																						=
																																																																																						BgL_cdrzd25847zd2_2941;
																																																																																					BgL_argsz00_1739
																																																																																						=
																																																																																						BgL_argsz00_16113;
																																																																																					BgL_proc2z00_1738
																																																																																						=
																																																																																						BgL_proc2z00_16112;
																																																																																					BgL_proc1z00_1737
																																																																																						=
																																																																																						BgL_proc1z00_16111;
																																																																																					BgL_testz00_1736
																																																																																						=
																																																																																						BgL_testz00_16110;
																																																																																					goto
																																																																																						BgL_tagzd2387zd2_1740;
																																																																																				}
																																																																																				BgL_auxz00_14144
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_16109);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_cdrzd25892zd2_2969;
																																																																																			BgL_cdrzd25892zd2_2969
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_cdrzd25900zd2_2970;
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_pairz00_10347;
																																																																																					BgL_pairz00_10347
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					BgL_cdrzd25900zd2_2970
																																																																																						=
																																																																																						CDR
																																																																																						(BgL_pairz00_10347);
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_cdrzd25908zd2_2971;
																																																																																					BgL_cdrzd25908zd2_2971
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd25900zd2_2970));
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_carzd25915zd2_2972;
																																																																																						BgL_carzd25915zd2_2972
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd25908zd2_2971));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25915zd2_2972))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								obj_t
																																																																																									BgL_carzd25924zd2_2974;
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									obj_t
																																																																																										BgL_pairz00_10351;
																																																																																									BgL_pairz00_10351
																																																																																										=
																																																																																										CDR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd25908zd2_2971));
																																																																																									BgL_carzd25924zd2_2974
																																																																																										=
																																																																																										CAR
																																																																																										(BgL_pairz00_10351);
																																																																																								}
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25924zd2_2974))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd25892zd2_2969))
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												obj_t
																																																																																													BgL_arg2552z00_2977;
																																																																																												BgL_arg2552z00_2977
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd25900zd2_2970));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_16135;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_16139;
																																																																																														obj_t
																																																																																															BgL_proc2z00_16138;
																																																																																														obj_t
																																																																																															BgL_proc1z00_16137;
																																																																																														obj_t
																																																																																															BgL_testz00_16136;
																																																																																														BgL_testz00_16136
																																																																																															=
																																																																																															BgL_arg2552z00_2977;
																																																																																														BgL_proc1z00_16137
																																																																																															=
																																																																																															BgL_carzd25915zd2_2972;
																																																																																														BgL_proc2z00_16138
																																																																																															=
																																																																																															BgL_carzd25924zd2_2974;
																																																																																														BgL_argsz00_16139
																																																																																															=
																																																																																															BgL_cdrzd25892zd2_2969;
																																																																																														BgL_argsz00_1744
																																																																																															=
																																																																																															BgL_argsz00_16139;
																																																																																														BgL_proc2z00_1743
																																																																																															=
																																																																																															BgL_proc2z00_16138;
																																																																																														BgL_proc1z00_1742
																																																																																															=
																																																																																															BgL_proc1z00_16137;
																																																																																														BgL_testz00_1741
																																																																																															=
																																																																																															BgL_testz00_16136;
																																																																																														goto
																																																																																															BgL_tagzd2388zd2_1745;
																																																																																													}
																																																																																													BgL_auxz00_14144
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_16135);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 118 */
																																																																																														goto
																																																																																															BgL_tagzd2403zd2_1769;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_16143;
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1770;
																																																																																														BgL_auxz00_14144
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_16143);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1769;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_16147;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1770;
																																																																																												BgL_auxz00_14144
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_16147);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1769;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_16151;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1770;
																																																																																										BgL_auxz00_14144
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_16151);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16155;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16155);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd26202zd2_2996;
																																																																															BgL_cdrzd26202zd2_2996
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd26209zd2_2997;
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_pairz00_10355;
																																																																																	BgL_pairz00_10355
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd26209zd2_2997
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_10355);
																																																																																}
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_cdrzd26216zd2_2998;
																																																																																	BgL_cdrzd26216zd2_2998
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd26209zd2_2997));
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_carzd26222zd2_2999;
																																																																																		obj_t
																																																																																			BgL_cdrzd26223zd2_3000;
																																																																																		BgL_carzd26222zd2_2999
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd26216zd2_2998));
																																																																																		BgL_cdrzd26223zd2_3000
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd26216zd2_2998));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26222zd2_2999))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_carzd26230zd2_3002;
																																																																																				BgL_carzd26230zd2_3002
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd26223zd2_3000));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26230zd2_3002))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd26223zd2_3000))))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd26202zd2_2996))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										obj_t
																																																																																											BgL_arg2577z00_3007;
																																																																																										BgL_arg2577z00_3007
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd26209zd2_2997));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_16182;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_16186;
																																																																																												obj_t
																																																																																													BgL_proc2z00_16185;
																																																																																												obj_t
																																																																																													BgL_proc1z00_16184;
																																																																																												obj_t
																																																																																													BgL_testz00_16183;
																																																																																												BgL_testz00_16183
																																																																																													=
																																																																																													BgL_arg2577z00_3007;
																																																																																												BgL_proc1z00_16184
																																																																																													=
																																																																																													BgL_carzd26222zd2_2999;
																																																																																												BgL_proc2z00_16185
																																																																																													=
																																																																																													BgL_carzd26230zd2_3002;
																																																																																												BgL_argsz00_16186
																																																																																													=
																																																																																													BgL_cdrzd26202zd2_2996;
																																																																																												BgL_argsz00_1744
																																																																																													=
																																																																																													BgL_argsz00_16186;
																																																																																												BgL_proc2z00_1743
																																																																																													=
																																																																																													BgL_proc2z00_16185;
																																																																																												BgL_proc1z00_1742
																																																																																													=
																																																																																													BgL_proc1z00_16184;
																																																																																												BgL_testz00_1741
																																																																																													=
																																																																																													BgL_testz00_16183;
																																																																																												goto
																																																																																													BgL_tagzd2388zd2_1745;
																																																																																											}
																																																																																											BgL_auxz00_14144
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_16182);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1769;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_16190;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1770;
																																																																																												BgL_auxz00_14144
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_16190);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1769;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_16194;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1770;
																																																																																										BgL_auxz00_14144
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_16194);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_16198;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_14144
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_16198);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_16202;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_14144
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_16202);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16206;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16206);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd26563zd2_3015;
																																																																											BgL_cdrzd26563zd2_3015
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd26569zd2_3016;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_10365;
																																																																													BgL_pairz00_10365
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd26569zd2_3016
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_10365);
																																																																												}
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd26575zd2_3017;
																																																																													BgL_cdrzd26575zd2_3017
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd26569zd2_3016));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd26580zd2_3018;
																																																																														obj_t
																																																																															BgL_cdrzd26581zd2_3019;
																																																																														BgL_carzd26580zd2_3018
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd26575zd2_3017));
																																																																														BgL_cdrzd26581zd2_3019
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd26575zd2_3017));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26580zd2_3018))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (PAIRP(BgL_cdrzd26581zd2_3019))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_carzd26586zd2_3022;
																																																																																		BgL_carzd26586zd2_3022
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd26581zd2_3019);
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26586zd2_3022))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (NULLP(CDR(BgL_cdrzd26581zd2_3019)))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd26563zd2_3015))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								obj_t
																																																																																									BgL_arg2593z00_3027;
																																																																																								BgL_arg2593z00_3027
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd26569zd2_3016));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_16233;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_16237;
																																																																																										obj_t
																																																																																											BgL_proc2z00_16236;
																																																																																										obj_t
																																																																																											BgL_proc1z00_16235;
																																																																																										obj_t
																																																																																											BgL_testz00_16234;
																																																																																										BgL_testz00_16234
																																																																																											=
																																																																																											BgL_arg2593z00_3027;
																																																																																										BgL_proc1z00_16235
																																																																																											=
																																																																																											BgL_carzd26580zd2_3018;
																																																																																										BgL_proc2z00_16236
																																																																																											=
																																																																																											BgL_carzd26586zd2_3022;
																																																																																										BgL_argsz00_16237
																																																																																											=
																																																																																											BgL_cdrzd26563zd2_3015;
																																																																																										BgL_argsz00_1744
																																																																																											=
																																																																																											BgL_argsz00_16237;
																																																																																										BgL_proc2z00_1743
																																																																																											=
																																																																																											BgL_proc2z00_16236;
																																																																																										BgL_proc1z00_1742
																																																																																											=
																																																																																											BgL_proc1z00_16235;
																																																																																										BgL_testz00_1741
																																																																																											=
																																																																																											BgL_testz00_16234;
																																																																																										goto
																																																																																											BgL_tagzd2388zd2_1745;
																																																																																									}
																																																																																									BgL_auxz00_14144
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_16233);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1769;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_16241;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1770;
																																																																																										BgL_auxz00_14144
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_16241);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_16245;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_14144
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_16245);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_16249;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_14144
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_16249);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_16253;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_14144
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_16253);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_16257;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																		BgL_auxz00_14144
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_16257);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_16261;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_16261);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_16265;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_16265);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_16269;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_16269);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_cdrzd27124zd2_3191;
																																															BgL_cdrzd27124zd2_3191
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if ((BgL_carzd24059zd2_2914 == CNST_TABLE_REF(((long) 17))))
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg2719z00_3193;
																																																	obj_t
																																																		BgL_arg2720z00_3194;
																																																	BgL_arg2719z00_3193
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27124zd2_3191));
																																																	BgL_arg2720z00_3194
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd27124zd2_3191));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_16280;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_16282;
																																																			obj_t
																																																				BgL_bindingsz00_16281;
																																																			BgL_bindingsz00_16281
																																																				=
																																																				BgL_arg2719z00_3193;
																																																			BgL_exprz00_16282
																																																				=
																																																				BgL_arg2720z00_3194;
																																																			BgL_exprz00_1724
																																																				=
																																																				BgL_exprz00_16282;
																																																			BgL_bindingsz00_1723
																																																				=
																																																				BgL_bindingsz00_16281;
																																																			goto
																																																				BgL_tagzd2382zd2_1725;
																																																		}
																																																		BgL_auxz00_14144
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_16280);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd24059zd2_2914)))
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg2722z00_3196;
																																																			obj_t
																																																				BgL_arg2723z00_3197;
																																																			BgL_arg2722z00_3196
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd27124zd2_3191));
																																																			BgL_arg2723z00_3197
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd27124zd2_3191));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_16291;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_16293;
																																																					obj_t
																																																						BgL_bindingsz00_16292;
																																																					BgL_bindingsz00_16292
																																																						=
																																																						BgL_arg2722z00_3196;
																																																					BgL_exprz00_16293
																																																						=
																																																						BgL_arg2723z00_3197;
																																																					BgL_exprz00_1724
																																																						=
																																																						BgL_exprz00_16293;
																																																					BgL_bindingsz00_1723
																																																						=
																																																						BgL_bindingsz00_16292;
																																																					goto
																																																						BgL_tagzd2382zd2_1725;
																																																				}
																																																				BgL_auxz00_14144
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_16291);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((BgL_carzd24059zd2_2914 == CNST_TABLE_REF(((long) 18))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg2725z00_3199;
																																																					obj_t
																																																						BgL_arg2726z00_3200;
																																																					BgL_arg2725z00_3199
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd27124zd2_3191));
																																																					BgL_arg2726z00_3200
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd27124zd2_3191));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_16302;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_16304;
																																																							obj_t
																																																								BgL_bindingsz00_16303;
																																																							BgL_bindingsz00_16303
																																																								=
																																																								BgL_arg2725z00_3199;
																																																							BgL_exprz00_16304
																																																								=
																																																								BgL_arg2726z00_3200;
																																																							BgL_exprz00_1724
																																																								=
																																																								BgL_exprz00_16304;
																																																							BgL_bindingsz00_1723
																																																								=
																																																								BgL_bindingsz00_16303;
																																																							goto
																																																								BgL_tagzd2382zd2_1725;
																																																						}
																																																						BgL_auxz00_14144
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_16302);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_16311;
																																																							goto
																																																								BgL_tagzd2383zd2_1726;
																																																							BgL_auxz00_14144
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_16311);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd27161zd2_3203;
																																																							BgL_carzd27161zd2_3203
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((BgL_carzd27161zd2_3203 == CNST_TABLE_REF(((long) 19))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_16318;
																																																									goto
																																																										BgL_tagzd2384zd2_1727;
																																																									BgL_auxz00_14144
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_16318);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd27161zd2_3203)))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_16323;
																																																											goto
																																																												BgL_tagzd2384zd2_1727;
																																																											BgL_auxz00_14144
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_16323);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_16330;
																																																													goto
																																																														BgL_tagzd2389zd2_1746;
																																																													BgL_auxz00_14144
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_16330);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_16337;
																																																															goto
																																																																BgL_tagzd2390zd2_1747;
																																																															BgL_auxz00_14144
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_16337);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd27241zd2_3210;
																																																															BgL_cdrzd27241zd2_3210
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg2739z00_3213;
																																																																	obj_t
																																																																		BgL_arg2742z00_3214;
																																																																	BgL_arg2739z00_3213
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd27241zd2_3210));
																																																																	BgL_arg2742z00_3214
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd27241zd2_3210));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_16350;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_16352;
																																																																			obj_t
																																																																				BgL_effectz00_16351;
																																																																			BgL_effectz00_16351
																																																																				=
																																																																				BgL_arg2739z00_3213;
																																																																			BgL_restz00_16352
																																																																				=
																																																																				BgL_arg2742z00_3214;
																																																																			BgL_restz00_1749
																																																																				=
																																																																				BgL_restz00_16352;
																																																																			BgL_effectz00_1748
																																																																				=
																																																																				BgL_effectz00_16351;
																																																																			goto
																																																																				BgL_tagzd2391zd2_1750;
																																																																		}
																																																																		BgL_auxz00_14144
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_16350);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_16359;
																																																																			goto
																																																																				BgL_tagzd2392zd2_1751;
																																																																			BgL_auxz00_14144
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_16359);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_16366;
																																																																					goto
																																																																						BgL_tagzd2393zd2_1752;
																																																																					BgL_auxz00_14144
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_16366);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_arg2749z00_3222;
																																																																							obj_t
																																																																								BgL_arg2751z00_3223;
																																																																							BgL_arg2749z00_3222
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd27241zd2_3210));
																																																																							BgL_arg2751z00_3223
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd27241zd2_3210));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_16377;
																																																																								{
																																																																									obj_t
																																																																										BgL_restz00_16379;
																																																																									obj_t
																																																																										BgL_effectz00_16378;
																																																																									BgL_effectz00_16378
																																																																										=
																																																																										BgL_arg2749z00_3222;
																																																																									BgL_restz00_16379
																																																																										=
																																																																										BgL_arg2751z00_3223;
																																																																									BgL_restz00_1754
																																																																										=
																																																																										BgL_restz00_16379;
																																																																									BgL_effectz00_1753
																																																																										=
																																																																										BgL_effectz00_16378;
																																																																									goto
																																																																										BgL_tagzd2394zd2_1755;
																																																																								}
																																																																								BgL_auxz00_14144
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_16377);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_16386;
																																																																									goto
																																																																										BgL_tagzd2395zd2_1756;
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_16386);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_16393;
																																																																											goto
																																																																												BgL_tagzd2396zd2_1757;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_16393);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																												{
																																																																													BgL_letzd2funzd2_bglt
																																																																														BgL_auxz00_16400;
																																																																													goto
																																																																														BgL_tagzd2397zd2_1758;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16400);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																														{
																																																																															BgL_jumpzd2exzd2itz00_bglt
																																																																																BgL_auxz00_16407;
																																																																															goto
																																																																																BgL_tagzd2398zd2_1759;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16407);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd27318zd2_3232;
																																																																															BgL_cdrzd27318zd2_3232
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg2766z00_3235;
																																																																																	obj_t
																																																																																		BgL_arg2767z00_3236;
																																																																																	BgL_arg2766z00_3235
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd27318zd2_3232));
																																																																																	BgL_arg2767z00_3236
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd27318zd2_3232));
																																																																																	{	/* Ast/sexp.scm 561 */
																																																																																		obj_t
																																																																																			BgL_arg6983z00_10404;
																																																																																		BgL_arg6983z00_10404
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		BgL_auxz00_14144
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_arg2766z00_3235,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 4)), BgL_arg2767z00_3236, BgL_stackz00_22, BgL_arg6983z00_10404, BgL_sitez00_24));
																																																																																}}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16426;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16426);
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_carzd27343zd2_3253;
																																			BgL_carzd27343zd2_3253
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (
																																				(BgL_carzd27343zd2_3253
																																					==
																																					CNST_TABLE_REF
																																					(((long) 1))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_16433;
																																					goto
																																						BgL_tagzd2377zd2_1714;
																																					BgL_auxz00_14144
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_16433);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(BgL_carzd27343zd2_3253
																																							==
																																							BGl_za2ifza2z00zzast_sexpz00))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_16437;
																																							goto
																																								BgL_tagzd2377zd2_1714;
																																							BgL_auxz00_14144
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_16437);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_16444;
																																									goto
																																										BgL_tagzd2379zd2_1718;
																																									BgL_auxz00_14144
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_16444);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_16451;
																																											goto
																																												BgL_tagzd2380zd2_1719;
																																											BgL_auxz00_14144
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_16451);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_carzd27412zd2_3260;
																																											BgL_carzd27412zd2_3260
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if (PAIRP(BgL_carzd27412zd2_3260))
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_carzd27415zd2_3262;
																																													obj_t
																																														BgL_cdrzd27416zd2_3263;
																																													BgL_carzd27415zd2_3262
																																														=
																																														CAR
																																														(BgL_carzd27412zd2_3260);
																																													BgL_cdrzd27416zd2_3263
																																														=
																																														CDR
																																														(BgL_carzd27412zd2_3260);
																																													{

																																														if ((BgL_carzd27415zd2_3262 == CNST_TABLE_REF(((long) 17))))
																																															{	/* Ast/sexp.scm 118 */
																																															BgL_kapzd27417zd2_3264:
																																																if (PAIRP(BgL_cdrzd27416zd2_3263))
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd27420zd2_3389;
																																																		BgL_cdrzd27420zd2_3389
																																																			=
																																																			CDR
																																																			(BgL_cdrzd27416zd2_3263);
																																																		if (PAIRP(BgL_cdrzd27420zd2_3389))
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (NULLP(CDR(BgL_cdrzd27420zd2_3389)))
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg2908z00_3393;
																																																						obj_t
																																																							BgL_arg2909z00_3394;
																																																						BgL_arg2908z00_3393
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27420zd2_3389);
																																																						BgL_arg2909z00_3394
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_16473;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_16475;
																																																								obj_t
																																																									BgL_bodyz00_16474;
																																																								BgL_bodyz00_16474
																																																									=
																																																									BgL_arg2908z00_3393;
																																																								BgL_argsz00_16475
																																																									=
																																																									BgL_arg2909z00_3394;
																																																								BgL_argsz00_1721
																																																									=
																																																									BgL_argsz00_16475;
																																																								BgL_bodyz00_1720
																																																									=
																																																									BgL_bodyz00_16474;
																																																								goto
																																																									BgL_tagzd2381zd2_1722;
																																																							}
																																																							BgL_auxz00_14144
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_16473);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd27444zd2_3395;
																																																						BgL_cdrzd27444zd2_3395
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 118 */
																																																							bool_t
																																																								BgL_testz00_16479;
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg2981z00_3506;
																																																								BgL_arg2981z00_3506
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_testz00_16479
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg2981z00_3506));
																																																							}
																																																							if (BgL_testz00_16479)
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg2912z00_3398;
																																																									obj_t
																																																										BgL_arg2914z00_3399;
																																																									BgL_arg2912z00_3398
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd27444zd2_3395));
																																																									BgL_arg2914z00_3399
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd27444zd2_3395));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_16488;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_16490;
																																																											obj_t
																																																												BgL_bindingsz00_16489;
																																																											BgL_bindingsz00_16489
																																																												=
																																																												BgL_arg2912z00_3398;
																																																											BgL_exprz00_16490
																																																												=
																																																												BgL_arg2914z00_3399;
																																																											BgL_exprz00_1724
																																																												=
																																																												BgL_exprz00_16490;
																																																											BgL_bindingsz00_1723
																																																												=
																																																												BgL_bindingsz00_16489;
																																																											goto
																																																												BgL_tagzd2382zd2_1725;
																																																										}
																																																										BgL_auxz00_14144
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_16488);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									bool_t
																																																										BgL_testz00_16492;
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg2980z00_3505;
																																																										BgL_arg2980z00_3505
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_testz00_16492
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg2980z00_3505));
																																																									}
																																																									if (BgL_testz00_16492)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_16497;
																																																											goto
																																																												BgL_tagzd2384zd2_1727;
																																																											BgL_auxz00_14144
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_16497);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd27511zd2_3402;
																																																											BgL_carzd27511zd2_3402
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd27516zd2_3403;
																																																												BgL_cdrzd27516zd2_3403
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd27511zd2_3402));
																																																												if ((CAR(((obj_t) BgL_carzd27511zd2_3402)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg2921z00_3406;
																																																														obj_t
																																																															BgL_arg2922z00_3407;
																																																														obj_t
																																																															BgL_arg2923z00_3408;
																																																														BgL_arg2921z00_3406
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd27516zd2_3403));
																																																														BgL_arg2922z00_3407
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd27516zd2_3403));
																																																														BgL_arg2923z00_3408
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_16514;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_16517;
																																																																obj_t
																																																																	BgL_bodyz00_16516;
																																																																obj_t
																																																																	BgL_varsz00_16515;
																																																																BgL_varsz00_16515
																																																																	=
																																																																	BgL_arg2921z00_3406;
																																																																BgL_bodyz00_16516
																																																																	=
																																																																	BgL_arg2922z00_3407;
																																																																BgL_argsz00_16517
																																																																	=
																																																																	BgL_arg2923z00_3408;
																																																																BgL_argsz00_1734
																																																																	=
																																																																	BgL_argsz00_16517;
																																																																BgL_bodyz00_1733
																																																																	=
																																																																	BgL_bodyz00_16516;
																																																																BgL_varsz00_1732
																																																																	=
																																																																	BgL_varsz00_16515;
																																																																goto
																																																																	BgL_tagzd2386zd2_1735;
																																																															}
																																																															BgL_auxz00_14144
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_16514);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd27539zd2_3410;
																																																														BgL_cdrzd27539zd2_3410
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd27545zd2_3411;
																																																															BgL_cdrzd27545zd2_3411
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd27511zd2_3402));
																																																															if ((CAR(((obj_t) BgL_carzd27511zd2_3402)) == CNST_TABLE_REF(((long) 1))))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd27551zd2_3414;
																																																																	BgL_cdrzd27551zd2_3414
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd27545zd2_3411));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd27556zd2_3415;
																																																																		obj_t
																																																																			BgL_cdrzd27557zd2_3416;
																																																																		BgL_carzd27556zd2_3415
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd27551zd2_3414));
																																																																		BgL_cdrzd27557zd2_3416
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd27551zd2_3414));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27556zd2_3415))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (PAIRP(BgL_cdrzd27557zd2_3416))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd27564zd2_3419;
																																																																						BgL_carzd27564zd2_3419
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd27557zd2_3416);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27564zd2_3419))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (NULLP(CDR(BgL_cdrzd27557zd2_3416)))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										bool_t
																																																																											BgL_testz00_16544;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1375z00_3452;
																																																																											BgL_l1375z00_3452
																																																																												=
																																																																												BgL_cdrzd27539zd2_3410;
																																																																										BgL_zc3anonymousza32946ze3z83_3453:
																																																																											if (NULLP(BgL_l1375z00_3452))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													BgL_testz00_16544
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													bool_t
																																																																														BgL_testz00_16547;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														bool_t
																																																																															BgL_testz00_16548;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_tmpz00_16549;
																																																																															BgL_tmpz00_16549
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_l1375z00_3452));
																																																																															BgL_testz00_16548
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_16549);
																																																																														}
																																																																														if (BgL_testz00_16548)
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																BgL_testz00_16547
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																BgL_testz00_16547
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_testz00_16547)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1375z00_16553;
																																																																															BgL_l1375z00_16553
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_l1375z00_3452));
																																																																															BgL_l1375z00_3452
																																																																																=
																																																																																BgL_l1375z00_16553;
																																																																															goto
																																																																																BgL_zc3anonymousza32946ze3z83_3453;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															BgL_testz00_16544
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_testz00_16544)
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg2936z00_3435;
																																																																												BgL_arg2936z00_3435
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd27545zd2_3411));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_16558;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_16562;
																																																																														obj_t
																																																																															BgL_proc2z00_16561;
																																																																														obj_t
																																																																															BgL_proc1z00_16560;
																																																																														obj_t
																																																																															BgL_testz00_16559;
																																																																														BgL_testz00_16559
																																																																															=
																																																																															BgL_arg2936z00_3435;
																																																																														BgL_proc1z00_16560
																																																																															=
																																																																															BgL_carzd27556zd2_3415;
																																																																														BgL_proc2z00_16561
																																																																															=
																																																																															BgL_carzd27564zd2_3419;
																																																																														BgL_argsz00_16562
																																																																															=
																																																																															BgL_cdrzd27539zd2_3410;
																																																																														BgL_argsz00_1739
																																																																															=
																																																																															BgL_argsz00_16562;
																																																																														BgL_proc2z00_1738
																																																																															=
																																																																															BgL_proc2z00_16561;
																																																																														BgL_proc1z00_1737
																																																																															=
																																																																															BgL_proc1z00_16560;
																																																																														BgL_testz00_1736
																																																																															=
																																																																															BgL_testz00_16559;
																																																																														goto
																																																																															BgL_tagzd2387zd2_1740;
																																																																													}
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16558);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd27588zd2_3436;
																																																																												BgL_cdrzd27588zd2_3436
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd27595zd2_3437;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_10448;
																																																																														BgL_pairz00_10448
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd27595zd2_3437
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_10448);
																																																																													}
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd27602zd2_3438;
																																																																														BgL_cdrzd27602zd2_3438
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd27595zd2_3437));
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd27608zd2_3439;
																																																																															BgL_carzd27608zd2_3439
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd27602zd2_3438));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27608zd2_3439))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_carzd27615zd2_3441;
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_pairz00_10452;
																																																																																		BgL_pairz00_10452
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd27602zd2_3438));
																																																																																		BgL_carzd27615zd2_3441
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_pairz00_10452);
																																																																																	}
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27615zd2_3441))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd27588zd2_3436))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_arg2940z00_3444;
																																																																																					BgL_arg2940z00_3444
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd27595zd2_3437));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_16584;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_16588;
																																																																																							obj_t
																																																																																								BgL_proc2z00_16587;
																																																																																							obj_t
																																																																																								BgL_proc1z00_16586;
																																																																																							obj_t
																																																																																								BgL_testz00_16585;
																																																																																							BgL_testz00_16585
																																																																																								=
																																																																																								BgL_arg2940z00_3444;
																																																																																							BgL_proc1z00_16586
																																																																																								=
																																																																																								BgL_carzd27608zd2_3439;
																																																																																							BgL_proc2z00_16587
																																																																																								=
																																																																																								BgL_carzd27615zd2_3441;
																																																																																							BgL_argsz00_16588
																																																																																								=
																																																																																								BgL_cdrzd27588zd2_3436;
																																																																																							BgL_argsz00_1744
																																																																																								=
																																																																																								BgL_argsz00_16588;
																																																																																							BgL_proc2z00_1743
																																																																																								=
																																																																																								BgL_proc2z00_16587;
																																																																																							BgL_proc1z00_1742
																																																																																								=
																																																																																								BgL_proc1z00_16586;
																																																																																							BgL_testz00_1741
																																																																																								=
																																																																																								BgL_testz00_16585;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1745;
																																																																																						}
																																																																																						BgL_auxz00_14144
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_16584);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1769;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_16592;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1770;
																																																																																							BgL_auxz00_14144
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_16592);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_16596;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_14144
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_16596);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16600;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16600);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_16604;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																												BgL_auxz00_14144
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_16604);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd27891zd2_3463;
																																																																								BgL_cdrzd27891zd2_3463
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd27897zd2_3464;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_10456;
																																																																										BgL_pairz00_10456
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd27897zd2_3464
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_10456);
																																																																									}
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd27903zd2_3465;
																																																																										BgL_cdrzd27903zd2_3465
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd27897zd2_3464));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd27908zd2_3466;
																																																																											obj_t
																																																																												BgL_cdrzd27909zd2_3467;
																																																																											BgL_carzd27908zd2_3466
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd27903zd2_3465));
																																																																											BgL_cdrzd27909zd2_3467
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd27903zd2_3465));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27908zd2_3466))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd27914zd2_3469;
																																																																													BgL_carzd27914zd2_3469
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd27909zd2_3467));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27914zd2_3469))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd27909zd2_3467))))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd27891zd2_3463))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg2955z00_3474;
																																																																																			BgL_arg2955z00_3474
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd27897zd2_3464));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_16631;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_16635;
																																																																																					obj_t
																																																																																						BgL_proc2z00_16634;
																																																																																					obj_t
																																																																																						BgL_proc1z00_16633;
																																																																																					obj_t
																																																																																						BgL_testz00_16632;
																																																																																					BgL_testz00_16632
																																																																																						=
																																																																																						BgL_arg2955z00_3474;
																																																																																					BgL_proc1z00_16633
																																																																																						=
																																																																																						BgL_carzd27908zd2_3466;
																																																																																					BgL_proc2z00_16634
																																																																																						=
																																																																																						BgL_carzd27914zd2_3469;
																																																																																					BgL_argsz00_16635
																																																																																						=
																																																																																						BgL_cdrzd27891zd2_3463;
																																																																																					BgL_argsz00_1744
																																																																																						=
																																																																																						BgL_argsz00_16635;
																																																																																					BgL_proc2z00_1743
																																																																																						=
																																																																																						BgL_proc2z00_16634;
																																																																																					BgL_proc1z00_1742
																																																																																						=
																																																																																						BgL_proc1z00_16633;
																																																																																					BgL_testz00_1741
																																																																																						=
																																																																																						BgL_testz00_16632;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1745;
																																																																																				}
																																																																																				BgL_auxz00_14144
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_16631);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_16639;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_14144
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_16639);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16643;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16643);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_16647;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16647);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16651;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16651);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_16655;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_14144
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_16655);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd28247zd2_3482;
																																																																				BgL_cdrzd28247zd2_3482
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd28254zd2_3483;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_pairz00_10466;
																																																																						BgL_pairz00_10466
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd28254zd2_3483
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_10466);
																																																																					}
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd28261zd2_3484;
																																																																						BgL_cdrzd28261zd2_3484
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd28254zd2_3483));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd28267zd2_3485;
																																																																							obj_t
																																																																								BgL_cdrzd28268zd2_3486;
																																																																							BgL_carzd28267zd2_3485
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd28261zd2_3484));
																																																																							BgL_cdrzd28268zd2_3486
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd28261zd2_3484));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28267zd2_3485))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (PAIRP(BgL_cdrzd28268zd2_3486))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd28275zd2_3489;
																																																																											BgL_carzd28275zd2_3489
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd28268zd2_3486);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28275zd2_3489))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (NULLP(CDR(BgL_cdrzd28268zd2_3486)))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd28247zd2_3482))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg2969z00_3494;
																																																																																	BgL_arg2969z00_3494
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd28254zd2_3483));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_16682;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_16686;
																																																																																			obj_t
																																																																																				BgL_proc2z00_16685;
																																																																																			obj_t
																																																																																				BgL_proc1z00_16684;
																																																																																			obj_t
																																																																																				BgL_testz00_16683;
																																																																																			BgL_testz00_16683
																																																																																				=
																																																																																				BgL_arg2969z00_3494;
																																																																																			BgL_proc1z00_16684
																																																																																				=
																																																																																				BgL_carzd28267zd2_3485;
																																																																																			BgL_proc2z00_16685
																																																																																				=
																																																																																				BgL_carzd28275zd2_3489;
																																																																																			BgL_argsz00_16686
																																																																																				=
																																																																																				BgL_cdrzd28247zd2_3482;
																																																																																			BgL_argsz00_1744
																																																																																				=
																																																																																				BgL_argsz00_16686;
																																																																																			BgL_proc2z00_1743
																																																																																				=
																																																																																				BgL_proc2z00_16685;
																																																																																			BgL_proc1z00_1742
																																																																																				=
																																																																																				BgL_proc1z00_16684;
																																																																																			BgL_testz00_1741
																																																																																				=
																																																																																				BgL_testz00_16683;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1745;
																																																																																		}
																																																																																		BgL_auxz00_14144
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_16682);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16690;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16690);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_16694;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16694);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16698;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16698);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_16702;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16702);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_16706;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_16706);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1769;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_16710;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1770;
																																																																			BgL_auxz00_14144
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_16710);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd28668zd2_3508;
																																																				BgL_cdrzd28668zd2_3508
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_16714;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg3002z00_3525;
																																																						BgL_arg3002z00_3525
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_16714
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg3002z00_3525));
																																																					}
																																																					if (BgL_testz00_16714)
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg2985z00_3511;
																																																							obj_t
																																																								BgL_arg2986z00_3512;
																																																							BgL_arg2985z00_3511
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd28668zd2_3508));
																																																							BgL_arg2986z00_3512
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd28668zd2_3508));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_16723;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_16725;
																																																									obj_t
																																																										BgL_bindingsz00_16724;
																																																									BgL_bindingsz00_16724
																																																										=
																																																										BgL_arg2985z00_3511;
																																																									BgL_exprz00_16725
																																																										=
																																																										BgL_arg2986z00_3512;
																																																									BgL_exprz00_1724
																																																										=
																																																										BgL_exprz00_16725;
																																																									BgL_bindingsz00_1723
																																																										=
																																																										BgL_bindingsz00_16724;
																																																									goto
																																																										BgL_tagzd2382zd2_1725;
																																																								}
																																																								BgL_auxz00_14144
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_16723);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							bool_t
																																																								BgL_testz00_16727;
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg3001z00_3524;
																																																								BgL_arg3001z00_3524
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_testz00_16727
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg3001z00_3524));
																																																							}
																																																							if (BgL_testz00_16727)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_16732;
																																																									goto
																																																										BgL_tagzd2384zd2_1727;
																																																									BgL_auxz00_14144
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_16732);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd28734zd2_3515;
																																																									BgL_carzd28734zd2_3515
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd28739zd2_3516;
																																																										BgL_cdrzd28739zd2_3516
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd28734zd2_3515));
																																																										if ((CAR(((obj_t) BgL_carzd28734zd2_3515)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg2992z00_3519;
																																																												obj_t
																																																													BgL_arg2995z00_3520;
																																																												obj_t
																																																													BgL_arg2998z00_3521;
																																																												BgL_arg2992z00_3519
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd28739zd2_3516));
																																																												BgL_arg2995z00_3520
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd28739zd2_3516));
																																																												BgL_arg2998z00_3521
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_16749;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_16752;
																																																														obj_t
																																																															BgL_bodyz00_16751;
																																																														obj_t
																																																															BgL_varsz00_16750;
																																																														BgL_varsz00_16750
																																																															=
																																																															BgL_arg2992z00_3519;
																																																														BgL_bodyz00_16751
																																																															=
																																																															BgL_arg2995z00_3520;
																																																														BgL_argsz00_16752
																																																															=
																																																															BgL_arg2998z00_3521;
																																																														BgL_argsz00_1734
																																																															=
																																																															BgL_argsz00_16752;
																																																														BgL_bodyz00_1733
																																																															=
																																																															BgL_bodyz00_16751;
																																																														BgL_varsz00_1732
																																																															=
																																																															BgL_varsz00_16750;
																																																														goto
																																																															BgL_tagzd2386zd2_1735;
																																																													}
																																																													BgL_auxz00_14144
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_16749);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1769;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_16756;
																																																														goto
																																																															BgL_tagzd2404zd2_1770;
																																																														BgL_auxz00_14144
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_16756);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd28850zd2_3526;
																																																		BgL_cdrzd28850zd2_3526
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			bool_t
																																																				BgL_testz00_16760;
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg3016z00_3535;
																																																				BgL_arg3016z00_3535
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_testz00_16760
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg3016z00_3535));
																																																			}
																																																			if (BgL_testz00_16760)
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg3005z00_3529;
																																																					obj_t
																																																						BgL_arg3007z00_3530;
																																																					BgL_arg3005z00_3529
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd28850zd2_3526));
																																																					BgL_arg3007z00_3530
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd28850zd2_3526));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_16769;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_16771;
																																																							obj_t
																																																								BgL_bindingsz00_16770;
																																																							BgL_bindingsz00_16770
																																																								=
																																																								BgL_arg3005z00_3529;
																																																							BgL_exprz00_16771
																																																								=
																																																								BgL_arg3007z00_3530;
																																																							BgL_exprz00_1724
																																																								=
																																																								BgL_exprz00_16771;
																																																							BgL_bindingsz00_1723
																																																								=
																																																								BgL_bindingsz00_16770;
																																																							goto
																																																								BgL_tagzd2382zd2_1725;
																																																						}
																																																						BgL_auxz00_14144
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_16769);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_16773;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg3013z00_3534;
																																																						BgL_arg3013z00_3534
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_16773
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg3013z00_3534));
																																																					}
																																																					if (BgL_testz00_16773)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_16778;
																																																							goto
																																																								BgL_tagzd2384zd2_1727;
																																																							BgL_auxz00_14144
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_16778);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 118 */
																																																									goto
																																																										BgL_tagzd2403zd2_1769;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_16782;
																																																									goto
																																																										BgL_tagzd2404zd2_1770;
																																																									BgL_auxz00_14144
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_16782);
																																																								}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd27415zd2_3262)))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd27417zd2_3264;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if ((BgL_carzd27415zd2_3262 == CNST_TABLE_REF(((long) 18))))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd27417zd2_3264;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if ((BgL_carzd27415zd2_3262 == CNST_TABLE_REF(((long) 19))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_kapzd27417zd2_3264;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd27415zd2_3262)))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_kapzd27417zd2_3264;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd29022zd2_3270;
																																																								BgL_cdrzd29022zd2_3270
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 118 */
																																																									bool_t
																																																										BgL_testz00_16798;
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg2903z00_3387;
																																																										BgL_arg2903z00_3387
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_testz00_16798
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg2903z00_3387));
																																																									}
																																																									if (BgL_testz00_16798)
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg2806z00_3273;
																																																											obj_t
																																																												BgL_arg2807z00_3274;
																																																											BgL_arg2806z00_3273
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd29022zd2_3270));
																																																											BgL_arg2807z00_3274
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd29022zd2_3270));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_16807;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_16809;
																																																													obj_t
																																																														BgL_bindingsz00_16808;
																																																													BgL_bindingsz00_16808
																																																														=
																																																														BgL_arg2806z00_3273;
																																																													BgL_exprz00_16809
																																																														=
																																																														BgL_arg2807z00_3274;
																																																													BgL_exprz00_1724
																																																														=
																																																														BgL_exprz00_16809;
																																																													BgL_bindingsz00_1723
																																																														=
																																																														BgL_bindingsz00_16808;
																																																													goto
																																																														BgL_tagzd2382zd2_1725;
																																																												}
																																																												BgL_auxz00_14144
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_16807);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											bool_t
																																																												BgL_testz00_16811;
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg2902z00_3386;
																																																												BgL_arg2902z00_3386
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_testz00_16811
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg2902z00_3386));
																																																											}
																																																											if (BgL_testz00_16811)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_16816;
																																																													goto
																																																														BgL_tagzd2384zd2_1727;
																																																													BgL_auxz00_14144
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_16816);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd29088zd2_3277;
																																																													BgL_carzd29088zd2_3277
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd29093zd2_3278;
																																																														BgL_cdrzd29093zd2_3278
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd29088zd2_3277));
																																																														if ((CAR(((obj_t) BgL_carzd29088zd2_3277)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (PAIRP(BgL_cdrzd29093zd2_3278))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_arg2818z00_3282;
																																																																		obj_t
																																																																			BgL_arg2821z00_3283;
																																																																		obj_t
																																																																			BgL_arg2822z00_3284;
																																																																		BgL_arg2818z00_3282
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd29093zd2_3278);
																																																																		BgL_arg2821z00_3283
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd29093zd2_3278);
																																																																		BgL_arg2822z00_3284
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_16833;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_16836;
																																																																				obj_t
																																																																					BgL_bodyz00_16835;
																																																																				obj_t
																																																																					BgL_varsz00_16834;
																																																																				BgL_varsz00_16834
																																																																					=
																																																																					BgL_arg2818z00_3282;
																																																																				BgL_bodyz00_16835
																																																																					=
																																																																					BgL_arg2821z00_3283;
																																																																				BgL_argsz00_16836
																																																																					=
																																																																					BgL_arg2822z00_3284;
																																																																				BgL_argsz00_1734
																																																																					=
																																																																					BgL_argsz00_16836;
																																																																				BgL_bodyz00_1733
																																																																					=
																																																																					BgL_bodyz00_16835;
																																																																				BgL_varsz00_1732
																																																																					=
																																																																					BgL_varsz00_16834;
																																																																				goto
																																																																					BgL_tagzd2386zd2_1735;
																																																																			}
																																																																			BgL_auxz00_14144
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_16833);
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_16840;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_14144
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_16840);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd29200zd2_3287;
																																																																BgL_cdrzd29200zd2_3287
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd29205zd2_3288;
																																																																	BgL_cdrzd29205zd2_3288
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd29088zd2_3277));
																																																																	if ((CAR(((obj_t) BgL_carzd29088zd2_3277)) == CNST_TABLE_REF(((long) 1))))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (PAIRP(BgL_cdrzd29205zd2_3288))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd29210zd2_3292;
																																																																					BgL_cdrzd29210zd2_3292
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd29205zd2_3288);
																																																																					if (PAIRP(BgL_cdrzd29210zd2_3292))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd29214zd2_3294;
																																																																							obj_t
																																																																								BgL_cdrzd29215zd2_3295;
																																																																							BgL_carzd29214zd2_3294
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd29210zd2_3292);
																																																																							BgL_cdrzd29215zd2_3295
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd29210zd2_3292);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29214zd2_3294))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (PAIRP(BgL_cdrzd29215zd2_3295))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd29220zd2_3298;
																																																																											BgL_carzd29220zd2_3298
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd29215zd2_3295);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29220zd2_3298))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (NULLP(CDR(BgL_cdrzd29215zd2_3295)))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															bool_t
																																																																																BgL_testz00_16868;
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1378z00_3331;
																																																																																BgL_l1378z00_3331
																																																																																	=
																																																																																	BgL_cdrzd29200zd2_3287;
																																																																															BgL_zc3anonymousza32848ze3z83_3332:
																																																																																if (NULLP(BgL_l1378z00_3331))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		BgL_testz00_16868
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		bool_t
																																																																																			BgL_testz00_16871;
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			bool_t
																																																																																				BgL_testz00_16872;
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_tmpz00_16873;
																																																																																				BgL_tmpz00_16873
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_l1378z00_3331));
																																																																																				BgL_testz00_16872
																																																																																					=
																																																																																					PAIRP
																																																																																					(BgL_tmpz00_16873);
																																																																																			}
																																																																																			if (BgL_testz00_16872)
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					BgL_testz00_16871
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						0);
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					BgL_testz00_16871
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						1);
																																																																																				}
																																																																																		}
																																																																																		if (BgL_testz00_16871)
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_l1378z00_16877;
																																																																																				BgL_l1378z00_16877
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_l1378z00_3331));
																																																																																				BgL_l1378z00_3331
																																																																																					=
																																																																																					BgL_l1378z00_16877;
																																																																																				goto
																																																																																					BgL_zc3anonymousza32848ze3z83_3332;
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				BgL_testz00_16868
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																	}
																																																																															}
																																																																															if (BgL_testz00_16868)
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg2838z00_3314;
																																																																																	BgL_arg2838z00_3314
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd29205zd2_3288);
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_16881;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_16885;
																																																																																			obj_t
																																																																																				BgL_proc2z00_16884;
																																																																																			obj_t
																																																																																				BgL_proc1z00_16883;
																																																																																			obj_t
																																																																																				BgL_testz00_16882;
																																																																																			BgL_testz00_16882
																																																																																				=
																																																																																				BgL_arg2838z00_3314;
																																																																																			BgL_proc1z00_16883
																																																																																				=
																																																																																				BgL_carzd29214zd2_3294;
																																																																																			BgL_proc2z00_16884
																																																																																				=
																																																																																				BgL_carzd29220zd2_3298;
																																																																																			BgL_argsz00_16885
																																																																																				=
																																																																																				BgL_cdrzd29200zd2_3287;
																																																																																			BgL_argsz00_1739
																																																																																				=
																																																																																				BgL_argsz00_16885;
																																																																																			BgL_proc2z00_1738
																																																																																				=
																																																																																				BgL_proc2z00_16884;
																																																																																			BgL_proc1z00_1737
																																																																																				=
																																																																																				BgL_proc1z00_16883;
																																																																																			BgL_testz00_1736
																																																																																				=
																																																																																				BgL_testz00_16882;
																																																																																			goto
																																																																																				BgL_tagzd2387zd2_1740;
																																																																																		}
																																																																																		BgL_auxz00_14144
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_16881);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_cdrzd29245zd2_3315;
																																																																																	BgL_cdrzd29245zd2_3315
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_cdrzd29253zd2_3316;
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_pairz00_10523;
																																																																																			BgL_pairz00_10523
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			BgL_cdrzd29253zd2_3316
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_pairz00_10523);
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_cdrzd29261zd2_3317;
																																																																																			BgL_cdrzd29261zd2_3317
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd29253zd2_3316));
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_carzd29268zd2_3318;
																																																																																				BgL_carzd29268zd2_3318
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd29261zd2_3317));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29268zd2_3318))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_carzd29277zd2_3320;
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_pairz00_10527;
																																																																																							BgL_pairz00_10527
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd29261zd2_3317));
																																																																																							BgL_carzd29277zd2_3320
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_pairz00_10527);
																																																																																						}
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29277zd2_3320))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29245zd2_3315))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										obj_t
																																																																																											BgL_arg2842z00_3323;
																																																																																										BgL_arg2842z00_3323
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd29253zd2_3316));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_16907;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_16911;
																																																																																												obj_t
																																																																																													BgL_proc2z00_16910;
																																																																																												obj_t
																																																																																													BgL_proc1z00_16909;
																																																																																												obj_t
																																																																																													BgL_testz00_16908;
																																																																																												BgL_testz00_16908
																																																																																													=
																																																																																													BgL_arg2842z00_3323;
																																																																																												BgL_proc1z00_16909
																																																																																													=
																																																																																													BgL_carzd29268zd2_3318;
																																																																																												BgL_proc2z00_16910
																																																																																													=
																																																																																													BgL_carzd29277zd2_3320;
																																																																																												BgL_argsz00_16911
																																																																																													=
																																																																																													BgL_cdrzd29245zd2_3315;
																																																																																												BgL_argsz00_1744
																																																																																													=
																																																																																													BgL_argsz00_16911;
																																																																																												BgL_proc2z00_1743
																																																																																													=
																																																																																													BgL_proc2z00_16910;
																																																																																												BgL_proc1z00_1742
																																																																																													=
																																																																																													BgL_proc1z00_16909;
																																																																																												BgL_testz00_1741
																																																																																													=
																																																																																													BgL_testz00_16908;
																																																																																												goto
																																																																																													BgL_tagzd2388zd2_1745;
																																																																																											}
																																																																																											BgL_auxz00_14144
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_16907);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1769;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_16915;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1770;
																																																																																												BgL_auxz00_14144
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_16915);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1769;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_16919;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1770;
																																																																																										BgL_auxz00_14144
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_16919);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_16923;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_14144
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_16923);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_16927;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16927);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd29555zd2_3342;
																																																																													BgL_cdrzd29555zd2_3342
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd29562zd2_3343;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_pairz00_10531;
																																																																															BgL_pairz00_10531
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd29562zd2_3343
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_10531);
																																																																														}
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd29569zd2_3344;
																																																																															BgL_cdrzd29569zd2_3344
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd29562zd2_3343));
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_carzd29575zd2_3345;
																																																																																obj_t
																																																																																	BgL_cdrzd29576zd2_3346;
																																																																																BgL_carzd29575zd2_3345
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd29569zd2_3344));
																																																																																BgL_cdrzd29576zd2_3346
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd29569zd2_3344));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29575zd2_3345))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_carzd29583zd2_3348;
																																																																																		BgL_carzd29583zd2_3348
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd29576zd2_3346));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29583zd2_3348))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd29576zd2_3346))))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29555zd2_3342))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								obj_t
																																																																																									BgL_arg2859z00_3353;
																																																																																								BgL_arg2859z00_3353
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd29562zd2_3343));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_16954;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_16958;
																																																																																										obj_t
																																																																																											BgL_proc2z00_16957;
																																																																																										obj_t
																																																																																											BgL_proc1z00_16956;
																																																																																										obj_t
																																																																																											BgL_testz00_16955;
																																																																																										BgL_testz00_16955
																																																																																											=
																																																																																											BgL_arg2859z00_3353;
																																																																																										BgL_proc1z00_16956
																																																																																											=
																																																																																											BgL_carzd29575zd2_3345;
																																																																																										BgL_proc2z00_16957
																																																																																											=
																																																																																											BgL_carzd29583zd2_3348;
																																																																																										BgL_argsz00_16958
																																																																																											=
																																																																																											BgL_cdrzd29555zd2_3342;
																																																																																										BgL_argsz00_1744
																																																																																											=
																																																																																											BgL_argsz00_16958;
																																																																																										BgL_proc2z00_1743
																																																																																											=
																																																																																											BgL_proc2z00_16957;
																																																																																										BgL_proc1z00_1742
																																																																																											=
																																																																																											BgL_proc1z00_16956;
																																																																																										BgL_testz00_1741
																																																																																											=
																																																																																											BgL_testz00_16955;
																																																																																										goto
																																																																																											BgL_tagzd2388zd2_1745;
																																																																																									}
																																																																																									BgL_auxz00_14144
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_16954);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1769;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_16962;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1770;
																																																																																										BgL_auxz00_14144
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_16962);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_16966;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_14144
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_16966);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_16970;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_14144
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_16970);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_16974;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_14144
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_16974);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_16978;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16978);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd29916zd2_3361;
																																																																									BgL_cdrzd29916zd2_3361
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd29922zd2_3362;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_10541;
																																																																											BgL_pairz00_10541
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd29922zd2_3362
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_10541);
																																																																										}
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd29928zd2_3363;
																																																																											BgL_cdrzd29928zd2_3363
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd29922zd2_3362));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd29933zd2_3364;
																																																																												obj_t
																																																																													BgL_cdrzd29934zd2_3365;
																																																																												BgL_carzd29933zd2_3364
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd29928zd2_3363));
																																																																												BgL_cdrzd29934zd2_3365
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd29928zd2_3363));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29933zd2_3364))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (PAIRP(BgL_cdrzd29934zd2_3365))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_carzd29939zd2_3368;
																																																																																BgL_carzd29939zd2_3368
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd29934zd2_3365);
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29939zd2_3368))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (NULLP(CDR(BgL_cdrzd29934zd2_3365)))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29916zd2_3361))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_arg2889z00_3373;
																																																																																						BgL_arg2889z00_3373
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd29922zd2_3362));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_17005;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_17009;
																																																																																								obj_t
																																																																																									BgL_proc2z00_17008;
																																																																																								obj_t
																																																																																									BgL_proc1z00_17007;
																																																																																								obj_t
																																																																																									BgL_testz00_17006;
																																																																																								BgL_testz00_17006
																																																																																									=
																																																																																									BgL_arg2889z00_3373;
																																																																																								BgL_proc1z00_17007
																																																																																									=
																																																																																									BgL_carzd29933zd2_3364;
																																																																																								BgL_proc2z00_17008
																																																																																									=
																																																																																									BgL_carzd29939zd2_3368;
																																																																																								BgL_argsz00_17009
																																																																																									=
																																																																																									BgL_cdrzd29916zd2_3361;
																																																																																								BgL_argsz00_1744
																																																																																									=
																																																																																									BgL_argsz00_17009;
																																																																																								BgL_proc2z00_1743
																																																																																									=
																																																																																									BgL_proc2z00_17008;
																																																																																								BgL_proc1z00_1742
																																																																																									=
																																																																																									BgL_proc1z00_17007;
																																																																																								BgL_testz00_1741
																																																																																									=
																																																																																									BgL_testz00_17006;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1745;
																																																																																							}
																																																																																							BgL_auxz00_14144
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_17005);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_17013;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_14144
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_17013);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_17017;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_14144
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_17017);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_17021;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_14144
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_17021);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_17025;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																		BgL_auxz00_14144
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_17025);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1769;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_17029;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1770;
																																																																																BgL_auxz00_14144
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_17029);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17033;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17033);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_17037;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_17037);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1769;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_17041;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1770;
																																																																					BgL_auxz00_14144
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_17041);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_cdrzd210477zd2_3537;
																																													BgL_cdrzd210477zd2_3537
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if ((BgL_carzd27412zd2_3260 == CNST_TABLE_REF(((long) 17))))
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg3019z00_3539;
																																															obj_t
																																																BgL_arg3020z00_3540;
																																															BgL_arg3019z00_3539
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd210477zd2_3537));
																																															BgL_arg3020z00_3540
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd210477zd2_3537));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_17052;
																																																{
																																																	obj_t
																																																		BgL_exprz00_17054;
																																																	obj_t
																																																		BgL_bindingsz00_17053;
																																																	BgL_bindingsz00_17053
																																																		=
																																																		BgL_arg3019z00_3539;
																																																	BgL_exprz00_17054
																																																		=
																																																		BgL_arg3020z00_3540;
																																																	BgL_exprz00_1724
																																																		=
																																																		BgL_exprz00_17054;
																																																	BgL_bindingsz00_1723
																																																		=
																																																		BgL_bindingsz00_17053;
																																																	goto
																																																		BgL_tagzd2382zd2_1725;
																																																}
																																																BgL_auxz00_14144
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_17052);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd27412zd2_3260)))
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg3022z00_3542;
																																																	obj_t
																																																		BgL_arg3023z00_3543;
																																																	BgL_arg3022z00_3542
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd210477zd2_3537));
																																																	BgL_arg3023z00_3543
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd210477zd2_3537));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_17063;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_17065;
																																																			obj_t
																																																				BgL_bindingsz00_17064;
																																																			BgL_bindingsz00_17064
																																																				=
																																																				BgL_arg3022z00_3542;
																																																			BgL_exprz00_17065
																																																				=
																																																				BgL_arg3023z00_3543;
																																																			BgL_exprz00_1724
																																																				=
																																																				BgL_exprz00_17065;
																																																			BgL_bindingsz00_1723
																																																				=
																																																				BgL_bindingsz00_17064;
																																																			goto
																																																				BgL_tagzd2382zd2_1725;
																																																		}
																																																		BgL_auxz00_14144
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_17063);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((BgL_carzd27412zd2_3260 == CNST_TABLE_REF(((long) 18))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg3026z00_3545;
																																																			obj_t
																																																				BgL_arg3028z00_3546;
																																																			BgL_arg3026z00_3545
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd210477zd2_3537));
																																																			BgL_arg3028z00_3546
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd210477zd2_3537));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_17074;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_17076;
																																																					obj_t
																																																						BgL_bindingsz00_17075;
																																																					BgL_bindingsz00_17075
																																																						=
																																																						BgL_arg3026z00_3545;
																																																					BgL_exprz00_17076
																																																						=
																																																						BgL_arg3028z00_3546;
																																																					BgL_exprz00_1724
																																																						=
																																																						BgL_exprz00_17076;
																																																					BgL_bindingsz00_1723
																																																						=
																																																						BgL_bindingsz00_17075;
																																																					goto
																																																						BgL_tagzd2382zd2_1725;
																																																				}
																																																				BgL_auxz00_14144
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_17074);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_17083;
																																																					goto
																																																						BgL_tagzd2383zd2_1726;
																																																					BgL_auxz00_14144
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_17083);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_carzd210514zd2_3549;
																																																					BgL_carzd210514zd2_3549
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					if ((BgL_carzd210514zd2_3549 == CNST_TABLE_REF(((long) 19))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_17090;
																																																							goto
																																																								BgL_tagzd2384zd2_1727;
																																																							BgL_auxz00_14144
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_17090);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd210514zd2_3549)))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_17095;
																																																									goto
																																																										BgL_tagzd2384zd2_1727;
																																																									BgL_auxz00_14144
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_17095);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_17102;
																																																											goto
																																																												BgL_tagzd2389zd2_1746;
																																																											BgL_auxz00_14144
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_17102);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_17109;
																																																													goto
																																																														BgL_tagzd2390zd2_1747;
																																																													BgL_auxz00_14144
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17109);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd210594zd2_3556;
																																																													BgL_cdrzd210594zd2_3556
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg3043z00_3559;
																																																															obj_t
																																																																BgL_arg3044z00_3560;
																																																															BgL_arg3043z00_3559
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd210594zd2_3556));
																																																															BgL_arg3044z00_3560
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd210594zd2_3556));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_17122;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_17124;
																																																																	obj_t
																																																																		BgL_effectz00_17123;
																																																																	BgL_effectz00_17123
																																																																		=
																																																																		BgL_arg3043z00_3559;
																																																																	BgL_restz00_17124
																																																																		=
																																																																		BgL_arg3044z00_3560;
																																																																	BgL_restz00_1749
																																																																		=
																																																																		BgL_restz00_17124;
																																																																	BgL_effectz00_1748
																																																																		=
																																																																		BgL_effectz00_17123;
																																																																	goto
																																																																		BgL_tagzd2391zd2_1750;
																																																																}
																																																																BgL_auxz00_14144
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_17122);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_17131;
																																																																	goto
																																																																		BgL_tagzd2392zd2_1751;
																																																																	BgL_auxz00_14144
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17131);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_17138;
																																																																			goto
																																																																				BgL_tagzd2393zd2_1752;
																																																																			BgL_auxz00_14144
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17138);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_arg3051z00_3568;
																																																																					obj_t
																																																																						BgL_arg3052z00_3569;
																																																																					BgL_arg3051z00_3568
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd210594zd2_3556));
																																																																					BgL_arg3052z00_3569
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd210594zd2_3556));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_17149;
																																																																						{
																																																																							obj_t
																																																																								BgL_restz00_17151;
																																																																							obj_t
																																																																								BgL_effectz00_17150;
																																																																							BgL_effectz00_17150
																																																																								=
																																																																								BgL_arg3051z00_3568;
																																																																							BgL_restz00_17151
																																																																								=
																																																																								BgL_arg3052z00_3569;
																																																																							BgL_restz00_1754
																																																																								=
																																																																								BgL_restz00_17151;
																																																																							BgL_effectz00_1753
																																																																								=
																																																																								BgL_effectz00_17150;
																																																																							goto
																																																																								BgL_tagzd2394zd2_1755;
																																																																						}
																																																																						BgL_auxz00_14144
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_17149);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_17158;
																																																																							goto
																																																																								BgL_tagzd2395zd2_1756;
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_17158);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17165;
																																																																									goto
																																																																										BgL_tagzd2396zd2_1757;
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17165);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																										{
																																																																											BgL_letzd2funzd2_bglt
																																																																												BgL_auxz00_17172;
																																																																											goto
																																																																												BgL_tagzd2397zd2_1758;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17172);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																												{
																																																																													BgL_jumpzd2exzd2itz00_bglt
																																																																														BgL_auxz00_17179;
																																																																													goto
																																																																														BgL_tagzd2398zd2_1759;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17179);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd210671zd2_3578;
																																																																													BgL_cdrzd210671zd2_3578
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg3063z00_3581;
																																																																															obj_t
																																																																																BgL_arg3064z00_3582;
																																																																															BgL_arg3063z00_3581
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd210671zd2_3578));
																																																																															BgL_arg3064z00_3582
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd210671zd2_3578));
																																																																															{	/* Ast/sexp.scm 561 */
																																																																																obj_t
																																																																																	BgL_arg6983z00_10580;
																																																																																BgL_arg6983z00_10580
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_14144
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg3063z00_3581,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg3064z00_3582, BgL_stackz00_22, BgL_arg6983z00_10580, BgL_sitez00_24));
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_17198;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_17198);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	obj_t
																																		BgL_carzd210696zd2_3599;
																																	BgL_carzd210696zd2_3599
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (
																																		(BgL_carzd210696zd2_3599
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					1))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_17205;
																																			goto
																																				BgL_tagzd2377zd2_1714;
																																			BgL_auxz00_14144
																																				=
																																				((obj_t)
																																				BgL_auxz00_17205);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			if (
																																				(BgL_carzd210696zd2_3599
																																					==
																																					BGl_za2ifza2z00zzast_sexpz00))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_17209;
																																					goto
																																						BgL_tagzd2377zd2_1714;
																																					BgL_auxz00_14144
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_17209);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_cdrzd210718zd2_3602;
																																					BgL_cdrzd210718zd2_3602
																																						=
																																						CDR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_carzd210721zd2_3605;
																																							obj_t
																																								BgL_cdrzd210722zd2_3606;
																																							BgL_carzd210721zd2_3605
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd210718zd2_3602));
																																							BgL_cdrzd210722zd2_3606
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd210718zd2_3602));
																																							if (PAIRP(BgL_carzd210721zd2_3605))
																																								{	/* Ast/sexp.scm 118 */
																																									if ((CAR(BgL_carzd210721zd2_3605) == CNST_TABLE_REF(((long) 14))))
																																										{	/* Ast/sexp.scm 118 */
																																											if (NULLP(CDR(((obj_t) BgL_cdrzd210722zd2_3606))))
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg3092z00_3612;
																																													obj_t
																																														BgL_arg3093z00_3613;
																																													BgL_arg3092z00_3612
																																														=
																																														CDR
																																														(BgL_carzd210721zd2_3605);
																																													BgL_arg3093z00_3613
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd210722zd2_3606));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_17235;
																																														BgL_lz00_1715
																																															=
																																															BgL_arg3092z00_3612;
																																														BgL_valz00_1716
																																															=
																																															BgL_arg3093z00_3613;
																																													BgL_tagzd2378zd2_1717:
																																														{	/* Ast/sexp.scm 283 */
																																															bool_t
																																																BgL_testz00_17236;
																																															if (PAIRP(BgL_lz00_1715))
																																																{	/* Ast/sexp.scm 283 */
																																																	bool_t
																																																		BgL_testz00_17239;
																																																	{	/* Ast/sexp.scm 283 */
																																																		obj_t
																																																			BgL_tmpz00_17240;
																																																		BgL_tmpz00_17240
																																																			=
																																																			CDR
																																																			(BgL_lz00_1715);
																																																		BgL_testz00_17239
																																																			=
																																																			PAIRP
																																																			(BgL_tmpz00_17240);
																																																	}
																																																	if (BgL_testz00_17239)
																																																		{
																																																			obj_t
																																																				BgL_l1347z00_8569;
																																																			BgL_l1347z00_8569
																																																				=
																																																				BgL_lz00_1715;
																																																		BgL_zc3anonymousza36726ze3z83_8570:
																																																			if (NULLP(BgL_l1347z00_8569))
																																																				{	/* Ast/sexp.scm 283 */
																																																					BgL_testz00_17236
																																																						=
																																																						(
																																																						(bool_t)
																																																						1);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 283 */
																																																					bool_t
																																																						BgL_testz00_17245;
																																																					{	/* Ast/sexp.scm 283 */
																																																						obj_t
																																																							BgL_tmpz00_17246;
																																																						BgL_tmpz00_17246
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_l1347z00_8569));
																																																						BgL_testz00_17245
																																																							=
																																																							SYMBOLP
																																																							(BgL_tmpz00_17246);
																																																					}
																																																					if (BgL_testz00_17245)
																																																						{
																																																							obj_t
																																																								BgL_l1347z00_17250;
																																																							BgL_l1347z00_17250
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_l1347z00_8569));
																																																							BgL_l1347z00_8569
																																																								=
																																																								BgL_l1347z00_17250;
																																																							goto
																																																								BgL_zc3anonymousza36726ze3z83_8570;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 283 */
																																																							BgL_testz00_17236
																																																								=
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 283 */
																																																			BgL_testz00_17236
																																																				=
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 283 */
																																																	BgL_testz00_17236
																																																		=
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																															if (BgL_testz00_17236)
																																																{	/* Ast/sexp.scm 283 */
																																																	BgL_auxz00_17235
																																																		=
																																																		BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00
																																																		(BgL_lz00_1715,
																																																		BgL_valz00_1716,
																																																		BgL_expz00_21,
																																																		BgL_stackz00_22,
																																																		BgL_locz00_23,
																																																		BgL_sitez00_24);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 285 */
																																																	BgL_nodez00_bglt
																																																		BgL_res7341z00_9746;
																																																	{	/* Ast/sexp.scm 715 */
																																																		obj_t
																																																			BgL_arg7083z00_9742;
																																																		BgL_nodez00_bglt
																																																			BgL_arg7084z00_9743;
																																																		BgL_arg7083z00_9742
																																																			=
																																																			BGl_shapez00zztools_shapez00
																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																			());
																																																		BgL_arg7084z00_9743
																																																			=
																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																			(CNST_TABLE_REF
																																																			(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																		{	/* Ast/sexp.scm 714 */
																																																			obj_t
																																																				BgL_list7085z00_9745;
																																																			BgL_list7085z00_9745
																																																				=
																																																				MAKE_YOUNG_PAIR
																																																				(
																																																				((obj_t) BgL_arg7084z00_9743), BNIL);
																																																			BgL_res7341z00_9746
																																																				=
																																																				(
																																																				(BgL_nodez00_bglt)
																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																				(BgL_locz00_23,
																																																					BgL_arg7083z00_9742,
																																																					BGl_string7965z00zzast_sexpz00,
																																																					BgL_expz00_21,
																																																					BgL_list7085z00_9745));
																																																	}}
																																																	BgL_auxz00_17235
																																																		=
																																																		BgL_res7341z00_9746;
																																														}}
																																														BgL_auxz00_14144
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_17235);
																																												}}
																																											else
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_17264;
																																													goto
																																														BgL_tagzd2379zd2_1718;
																																													BgL_auxz00_14144
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_17264);
																																												}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_17266;
																																											goto
																																												BgL_tagzd2379zd2_1718;
																																											BgL_auxz00_14144
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_17266);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_17268;
																																									goto
																																										BgL_tagzd2379zd2_1718;
																																									BgL_auxz00_14144
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_17268);
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_17275;
																																									goto
																																										BgL_tagzd2380zd2_1719;
																																									BgL_auxz00_14144
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_17275);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_carzd210819zd2_3618;
																																									BgL_carzd210819zd2_3618
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if (PAIRP(BgL_carzd210819zd2_3618))
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_carzd210822zd2_3620;
																																											obj_t
																																												BgL_cdrzd210823zd2_3621;
																																											BgL_carzd210822zd2_3620
																																												=
																																												CAR
																																												(BgL_carzd210819zd2_3618);
																																											BgL_cdrzd210823zd2_3621
																																												=
																																												CDR
																																												(BgL_carzd210819zd2_3618);
																																											{

																																												if ((BgL_carzd210822zd2_3620 == CNST_TABLE_REF(((long) 17))))
																																													{	/* Ast/sexp.scm 118 */
																																													BgL_kapzd210824zd2_3622:
																																														if (PAIRP(BgL_cdrzd210823zd2_3621))
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_cdrzd210827zd2_3747;
																																																BgL_cdrzd210827zd2_3747
																																																	=
																																																	CDR
																																																	(BgL_cdrzd210823zd2_3621);
																																																if (PAIRP(BgL_cdrzd210827zd2_3747))
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (NULLP(CDR(BgL_cdrzd210827zd2_3747)))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg3235z00_3751;
																																																				obj_t
																																																					BgL_arg3236z00_3752;
																																																				BgL_arg3235z00_3751
																																																					=
																																																					CAR
																																																					(BgL_cdrzd210827zd2_3747);
																																																				BgL_arg3236z00_3752
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_17297;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_17299;
																																																						obj_t
																																																							BgL_bodyz00_17298;
																																																						BgL_bodyz00_17298
																																																							=
																																																							BgL_arg3235z00_3751;
																																																						BgL_argsz00_17299
																																																							=
																																																							BgL_arg3236z00_3752;
																																																						BgL_argsz00_1721
																																																							=
																																																							BgL_argsz00_17299;
																																																						BgL_bodyz00_1720
																																																							=
																																																							BgL_bodyz00_17298;
																																																						goto
																																																							BgL_tagzd2381zd2_1722;
																																																					}
																																																					BgL_auxz00_14144
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_17297);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd210851zd2_3753;
																																																				BgL_cdrzd210851zd2_3753
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_17303;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg3350z00_3864;
																																																						BgL_arg3350z00_3864
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_17303
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg3350z00_3864));
																																																					}
																																																					if (BgL_testz00_17303)
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg3240z00_3756;
																																																							obj_t
																																																								BgL_arg3241z00_3757;
																																																							BgL_arg3240z00_3756
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd210851zd2_3753));
																																																							BgL_arg3241z00_3757
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd210851zd2_3753));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_17312;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_17314;
																																																									obj_t
																																																										BgL_bindingsz00_17313;
																																																									BgL_bindingsz00_17313
																																																										=
																																																										BgL_arg3240z00_3756;
																																																									BgL_exprz00_17314
																																																										=
																																																										BgL_arg3241z00_3757;
																																																									BgL_exprz00_1724
																																																										=
																																																										BgL_exprz00_17314;
																																																									BgL_bindingsz00_1723
																																																										=
																																																										BgL_bindingsz00_17313;
																																																									goto
																																																										BgL_tagzd2382zd2_1725;
																																																								}
																																																								BgL_auxz00_14144
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_17312);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							bool_t
																																																								BgL_testz00_17316;
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg3349z00_3863;
																																																								BgL_arg3349z00_3863
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_testz00_17316
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg3349z00_3863));
																																																							}
																																																							if (BgL_testz00_17316)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_17321;
																																																									goto
																																																										BgL_tagzd2384zd2_1727;
																																																									BgL_auxz00_14144
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_17321);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd210918zd2_3760;
																																																									BgL_carzd210918zd2_3760
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd210923zd2_3761;
																																																										BgL_cdrzd210923zd2_3761
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd210918zd2_3760));
																																																										if ((CAR(((obj_t) BgL_carzd210918zd2_3760)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg3249z00_3764;
																																																												obj_t
																																																													BgL_arg3254z00_3765;
																																																												obj_t
																																																													BgL_arg3257z00_3766;
																																																												BgL_arg3249z00_3764
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd210923zd2_3761));
																																																												BgL_arg3254z00_3765
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd210923zd2_3761));
																																																												BgL_arg3257z00_3766
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_17338;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_17341;
																																																														obj_t
																																																															BgL_bodyz00_17340;
																																																														obj_t
																																																															BgL_varsz00_17339;
																																																														BgL_varsz00_17339
																																																															=
																																																															BgL_arg3249z00_3764;
																																																														BgL_bodyz00_17340
																																																															=
																																																															BgL_arg3254z00_3765;
																																																														BgL_argsz00_17341
																																																															=
																																																															BgL_arg3257z00_3766;
																																																														BgL_argsz00_1734
																																																															=
																																																															BgL_argsz00_17341;
																																																														BgL_bodyz00_1733
																																																															=
																																																															BgL_bodyz00_17340;
																																																														BgL_varsz00_1732
																																																															=
																																																															BgL_varsz00_17339;
																																																														goto
																																																															BgL_tagzd2386zd2_1735;
																																																													}
																																																													BgL_auxz00_14144
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17338);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd210946zd2_3768;
																																																												BgL_cdrzd210946zd2_3768
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd210952zd2_3769;
																																																													BgL_cdrzd210952zd2_3769
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd210918zd2_3760));
																																																													if ((CAR(((obj_t) BgL_carzd210918zd2_3760)) == CNST_TABLE_REF(((long) 1))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd210958zd2_3772;
																																																															BgL_cdrzd210958zd2_3772
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd210952zd2_3769));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd210963zd2_3773;
																																																																obj_t
																																																																	BgL_cdrzd210964zd2_3774;
																																																																BgL_carzd210963zd2_3773
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd210958zd2_3772));
																																																																BgL_cdrzd210964zd2_3774
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd210958zd2_3772));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210963zd2_3773))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (PAIRP(BgL_cdrzd210964zd2_3774))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd210971zd2_3777;
																																																																				BgL_carzd210971zd2_3777
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd210964zd2_3774);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210971zd2_3777))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(BgL_cdrzd210964zd2_3774)))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								bool_t
																																																																									BgL_testz00_17368;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1381z00_3810;
																																																																									BgL_l1381z00_3810
																																																																										=
																																																																										BgL_cdrzd210946zd2_3768;
																																																																								BgL_zc3anonymousza33289ze3z83_3811:
																																																																									if (NULLP(BgL_l1381z00_3810))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_17368
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_17371;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												bool_t
																																																																													BgL_testz00_17372;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_tmpz00_17373;
																																																																													BgL_tmpz00_17373
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1381z00_3810));
																																																																													BgL_testz00_17372
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_17373);
																																																																												}
																																																																												if (BgL_testz00_17372)
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_17371
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_17371
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_testz00_17371)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1381z00_17377;
																																																																													BgL_l1381z00_17377
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1381z00_3810));
																																																																													BgL_l1381z00_3810
																																																																														=
																																																																														BgL_l1381z00_17377;
																																																																													goto
																																																																														BgL_zc3anonymousza33289ze3z83_3811;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													BgL_testz00_17368
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_testz00_17368)
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg3278z00_3793;
																																																																										BgL_arg3278z00_3793
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd210952zd2_3769));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_17382;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_17386;
																																																																												obj_t
																																																																													BgL_proc2z00_17385;
																																																																												obj_t
																																																																													BgL_proc1z00_17384;
																																																																												obj_t
																																																																													BgL_testz00_17383;
																																																																												BgL_testz00_17383
																																																																													=
																																																																													BgL_arg3278z00_3793;
																																																																												BgL_proc1z00_17384
																																																																													=
																																																																													BgL_carzd210963zd2_3773;
																																																																												BgL_proc2z00_17385
																																																																													=
																																																																													BgL_carzd210971zd2_3777;
																																																																												BgL_argsz00_17386
																																																																													=
																																																																													BgL_cdrzd210946zd2_3768;
																																																																												BgL_argsz00_1739
																																																																													=
																																																																													BgL_argsz00_17386;
																																																																												BgL_proc2z00_1738
																																																																													=
																																																																													BgL_proc2z00_17385;
																																																																												BgL_proc1z00_1737
																																																																													=
																																																																													BgL_proc1z00_17384;
																																																																												BgL_testz00_1736
																																																																													=
																																																																													BgL_testz00_17383;
																																																																												goto
																																																																													BgL_tagzd2387zd2_1740;
																																																																											}
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17382);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd210995zd2_3794;
																																																																										BgL_cdrzd210995zd2_3794
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd211002zd2_3795;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_10633;
																																																																												BgL_pairz00_10633
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd211002zd2_3795
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_10633);
																																																																											}
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd211009zd2_3796;
																																																																												BgL_cdrzd211009zd2_3796
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd211002zd2_3795));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd211015zd2_3797;
																																																																													BgL_carzd211015zd2_3797
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd211009zd2_3796));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211015zd2_3797))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd211022zd2_3799;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_pairz00_10637;
																																																																																BgL_pairz00_10637
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd211009zd2_3796));
																																																																																BgL_carzd211022zd2_3799
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_10637);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211022zd2_3799))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd210995zd2_3794))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg3282z00_3802;
																																																																																			BgL_arg3282z00_3802
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd211002zd2_3795));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_17408;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_17412;
																																																																																					obj_t
																																																																																						BgL_proc2z00_17411;
																																																																																					obj_t
																																																																																						BgL_proc1z00_17410;
																																																																																					obj_t
																																																																																						BgL_testz00_17409;
																																																																																					BgL_testz00_17409
																																																																																						=
																																																																																						BgL_arg3282z00_3802;
																																																																																					BgL_proc1z00_17410
																																																																																						=
																																																																																						BgL_carzd211015zd2_3797;
																																																																																					BgL_proc2z00_17411
																																																																																						=
																																																																																						BgL_carzd211022zd2_3799;
																																																																																					BgL_argsz00_17412
																																																																																						=
																																																																																						BgL_cdrzd210995zd2_3794;
																																																																																					BgL_argsz00_1744
																																																																																						=
																																																																																						BgL_argsz00_17412;
																																																																																					BgL_proc2z00_1743
																																																																																						=
																																																																																						BgL_proc2z00_17411;
																																																																																					BgL_proc1z00_1742
																																																																																						=
																																																																																						BgL_proc1z00_17410;
																																																																																					BgL_testz00_1741
																																																																																						=
																																																																																						BgL_testz00_17409;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1745;
																																																																																				}
																																																																																				BgL_auxz00_14144
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_17408);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_17416;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_14144
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_17416);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_17420;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_17420);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_17424;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_17424);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_17428;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_14144
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_17428);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd211298zd2_3821;
																																																																						BgL_cdrzd211298zd2_3821
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd211304zd2_3822;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_pairz00_10641;
																																																																								BgL_pairz00_10641
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd211304zd2_3822
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_10641);
																																																																							}
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd211310zd2_3823;
																																																																								BgL_cdrzd211310zd2_3823
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd211304zd2_3822));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd211315zd2_3824;
																																																																									obj_t
																																																																										BgL_cdrzd211316zd2_3825;
																																																																									BgL_carzd211315zd2_3824
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd211310zd2_3823));
																																																																									BgL_cdrzd211316zd2_3825
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd211310zd2_3823));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211315zd2_3824))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd211321zd2_3827;
																																																																											BgL_carzd211321zd2_3827
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd211316zd2_3825));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211321zd2_3827))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd211316zd2_3825))))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd211298zd2_3821))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg3307z00_3832;
																																																																																	BgL_arg3307z00_3832
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd211304zd2_3822));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_17455;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_17459;
																																																																																			obj_t
																																																																																				BgL_proc2z00_17458;
																																																																																			obj_t
																																																																																				BgL_proc1z00_17457;
																																																																																			obj_t
																																																																																				BgL_testz00_17456;
																																																																																			BgL_testz00_17456
																																																																																				=
																																																																																				BgL_arg3307z00_3832;
																																																																																			BgL_proc1z00_17457
																																																																																				=
																																																																																				BgL_carzd211315zd2_3824;
																																																																																			BgL_proc2z00_17458
																																																																																				=
																																																																																				BgL_carzd211321zd2_3827;
																																																																																			BgL_argsz00_17459
																																																																																				=
																																																																																				BgL_cdrzd211298zd2_3821;
																																																																																			BgL_argsz00_1744
																																																																																				=
																																																																																				BgL_argsz00_17459;
																																																																																			BgL_proc2z00_1743
																																																																																				=
																																																																																				BgL_proc2z00_17458;
																																																																																			BgL_proc1z00_1742
																																																																																				=
																																																																																				BgL_proc1z00_17457;
																																																																																			BgL_testz00_1741
																																																																																				=
																																																																																				BgL_testz00_17456;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1745;
																																																																																		}
																																																																																		BgL_auxz00_14144
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_17455);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_17463;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_17463);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_17467;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_17467);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17471;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17471);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_17475;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17475);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_17479;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_14144
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_17479);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd211654zd2_3840;
																																																																		BgL_cdrzd211654zd2_3840
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd211661zd2_3841;
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_pairz00_10651;
																																																																				BgL_pairz00_10651
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd211661zd2_3841
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_10651);
																																																																			}
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd211668zd2_3842;
																																																																				BgL_cdrzd211668zd2_3842
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd211661zd2_3841));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd211674zd2_3843;
																																																																					obj_t
																																																																						BgL_cdrzd211675zd2_3844;
																																																																					BgL_carzd211674zd2_3843
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd211668zd2_3842));
																																																																					BgL_cdrzd211675zd2_3844
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd211668zd2_3842));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211674zd2_3843))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (PAIRP(BgL_cdrzd211675zd2_3844))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd211682zd2_3847;
																																																																									BgL_carzd211682zd2_3847
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd211675zd2_3844);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211682zd2_3847))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (NULLP(CDR(BgL_cdrzd211675zd2_3844)))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd211654zd2_3840))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg3323z00_3852;
																																																																															BgL_arg3323z00_3852
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd211661zd2_3841));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_17506;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_17510;
																																																																																	obj_t
																																																																																		BgL_proc2z00_17509;
																																																																																	obj_t
																																																																																		BgL_proc1z00_17508;
																																																																																	obj_t
																																																																																		BgL_testz00_17507;
																																																																																	BgL_testz00_17507
																																																																																		=
																																																																																		BgL_arg3323z00_3852;
																																																																																	BgL_proc1z00_17508
																																																																																		=
																																																																																		BgL_carzd211674zd2_3843;
																																																																																	BgL_proc2z00_17509
																																																																																		=
																																																																																		BgL_carzd211682zd2_3847;
																																																																																	BgL_argsz00_17510
																																																																																		=
																																																																																		BgL_cdrzd211654zd2_3840;
																																																																																	BgL_argsz00_1744
																																																																																		=
																																																																																		BgL_argsz00_17510;
																																																																																	BgL_proc2z00_1743
																																																																																		=
																																																																																		BgL_proc2z00_17509;
																																																																																	BgL_proc1z00_1742
																																																																																		=
																																																																																		BgL_proc1z00_17508;
																																																																																	BgL_testz00_1741
																																																																																		=
																																																																																		BgL_testz00_17507;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1745;
																																																																																}
																																																																																BgL_auxz00_14144
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_17506);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_17514;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_17514);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17518;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17518);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_17522;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17522);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_17526;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17526);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17530;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17530);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1769;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_17534;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1770;
																																																																	BgL_auxz00_14144
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17534);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd212075zd2_3866;
																																																		BgL_cdrzd212075zd2_3866
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			bool_t
																																																				BgL_testz00_17538;
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg3372z00_3883;
																																																				BgL_arg3372z00_3883
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_testz00_17538
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg3372z00_3883));
																																																			}
																																																			if (BgL_testz00_17538)
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg3356z00_3869;
																																																					obj_t
																																																						BgL_arg3357z00_3870;
																																																					BgL_arg3356z00_3869
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd212075zd2_3866));
																																																					BgL_arg3357z00_3870
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd212075zd2_3866));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_17547;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_17549;
																																																							obj_t
																																																								BgL_bindingsz00_17548;
																																																							BgL_bindingsz00_17548
																																																								=
																																																								BgL_arg3356z00_3869;
																																																							BgL_exprz00_17549
																																																								=
																																																								BgL_arg3357z00_3870;
																																																							BgL_exprz00_1724
																																																								=
																																																								BgL_exprz00_17549;
																																																							BgL_bindingsz00_1723
																																																								=
																																																								BgL_bindingsz00_17548;
																																																							goto
																																																								BgL_tagzd2382zd2_1725;
																																																						}
																																																						BgL_auxz00_14144
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_17547);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_17551;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg3371z00_3882;
																																																						BgL_arg3371z00_3882
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_17551
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg3371z00_3882));
																																																					}
																																																					if (BgL_testz00_17551)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_17556;
																																																							goto
																																																								BgL_tagzd2384zd2_1727;
																																																							BgL_auxz00_14144
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_17556);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd212141zd2_3873;
																																																							BgL_carzd212141zd2_3873
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd212146zd2_3874;
																																																								BgL_cdrzd212146zd2_3874
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd212141zd2_3873));
																																																								if ((CAR(((obj_t) BgL_carzd212141zd2_3873)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg3362z00_3877;
																																																										obj_t
																																																											BgL_arg3366z00_3878;
																																																										obj_t
																																																											BgL_arg3367z00_3879;
																																																										BgL_arg3362z00_3877
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd212146zd2_3874));
																																																										BgL_arg3366z00_3878
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd212146zd2_3874));
																																																										BgL_arg3367z00_3879
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_17573;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_17576;
																																																												obj_t
																																																													BgL_bodyz00_17575;
																																																												obj_t
																																																													BgL_varsz00_17574;
																																																												BgL_varsz00_17574
																																																													=
																																																													BgL_arg3362z00_3877;
																																																												BgL_bodyz00_17575
																																																													=
																																																													BgL_arg3366z00_3878;
																																																												BgL_argsz00_17576
																																																													=
																																																													BgL_arg3367z00_3879;
																																																												BgL_argsz00_1734
																																																													=
																																																													BgL_argsz00_17576;
																																																												BgL_bodyz00_1733
																																																													=
																																																													BgL_bodyz00_17575;
																																																												BgL_varsz00_1732
																																																													=
																																																													BgL_varsz00_17574;
																																																												goto
																																																													BgL_tagzd2386zd2_1735;
																																																											}
																																																											BgL_auxz00_14144
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_17573);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 118 */
																																																												goto
																																																													BgL_tagzd2403zd2_1769;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_17580;
																																																												goto
																																																													BgL_tagzd2404zd2_1770;
																																																												BgL_auxz00_14144
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_17580);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_cdrzd212257zd2_3884;
																																																BgL_cdrzd212257zd2_3884
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	bool_t
																																																		BgL_testz00_17584;
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg3400z00_3893;
																																																		BgL_arg3400z00_3893
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_testz00_17584
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg3400z00_3893));
																																																	}
																																																	if (BgL_testz00_17584)
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg3378z00_3887;
																																																			obj_t
																																																				BgL_arg3379z00_3888;
																																																			BgL_arg3378z00_3887
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd212257zd2_3884));
																																																			BgL_arg3379z00_3888
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd212257zd2_3884));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_17593;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_17595;
																																																					obj_t
																																																						BgL_bindingsz00_17594;
																																																					BgL_bindingsz00_17594
																																																						=
																																																						BgL_arg3378z00_3887;
																																																					BgL_exprz00_17595
																																																						=
																																																						BgL_arg3379z00_3888;
																																																					BgL_exprz00_1724
																																																						=
																																																						BgL_exprz00_17595;
																																																					BgL_bindingsz00_1723
																																																						=
																																																						BgL_bindingsz00_17594;
																																																					goto
																																																						BgL_tagzd2382zd2_1725;
																																																				}
																																																				BgL_auxz00_14144
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_17593);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			bool_t
																																																				BgL_testz00_17597;
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg3387z00_3892;
																																																				BgL_arg3387z00_3892
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_testz00_17597
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg3387z00_3892));
																																																			}
																																																			if (BgL_testz00_17597)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_17602;
																																																					goto
																																																						BgL_tagzd2384zd2_1727;
																																																					BgL_auxz00_14144
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_17602);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 118 */
																																																							goto
																																																								BgL_tagzd2403zd2_1769;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_17606;
																																																							goto
																																																								BgL_tagzd2404zd2_1770;
																																																							BgL_auxz00_14144
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_17606);
																																																						}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd210822zd2_3620)))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd210824zd2_3622;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if ((BgL_carzd210822zd2_3620 == CNST_TABLE_REF(((long) 18))))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd210824zd2_3622;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if ((BgL_carzd210822zd2_3620 == CNST_TABLE_REF(((long) 19))))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd210824zd2_3622;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd210822zd2_3620)))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_kapzd210824zd2_3622;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd212429zd2_3628;
																																																						BgL_cdrzd212429zd2_3628
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 118 */
																																																							bool_t
																																																								BgL_testz00_17622;
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg3230z00_3745;
																																																								BgL_arg3230z00_3745
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_testz00_17622
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg3230z00_3745));
																																																							}
																																																							if (BgL_testz00_17622)
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg3108z00_3631;
																																																									obj_t
																																																										BgL_arg3109z00_3632;
																																																									BgL_arg3108z00_3631
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd212429zd2_3628));
																																																									BgL_arg3109z00_3632
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd212429zd2_3628));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_17631;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_17633;
																																																											obj_t
																																																												BgL_bindingsz00_17632;
																																																											BgL_bindingsz00_17632
																																																												=
																																																												BgL_arg3108z00_3631;
																																																											BgL_exprz00_17633
																																																												=
																																																												BgL_arg3109z00_3632;
																																																											BgL_exprz00_1724
																																																												=
																																																												BgL_exprz00_17633;
																																																											BgL_bindingsz00_1723
																																																												=
																																																												BgL_bindingsz00_17632;
																																																											goto
																																																												BgL_tagzd2382zd2_1725;
																																																										}
																																																										BgL_auxz00_14144
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_17631);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									bool_t
																																																										BgL_testz00_17635;
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg3227z00_3744;
																																																										BgL_arg3227z00_3744
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_testz00_17635
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg3227z00_3744));
																																																									}
																																																									if (BgL_testz00_17635)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_17640;
																																																											goto
																																																												BgL_tagzd2384zd2_1727;
																																																											BgL_auxz00_14144
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_17640);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd212495zd2_3635;
																																																											BgL_carzd212495zd2_3635
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd212500zd2_3636;
																																																												BgL_cdrzd212500zd2_3636
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd212495zd2_3635));
																																																												if ((CAR(((obj_t) BgL_carzd212495zd2_3635)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (PAIRP(BgL_cdrzd212500zd2_3636))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_arg3115z00_3640;
																																																																obj_t
																																																																	BgL_arg3132z00_3641;
																																																																obj_t
																																																																	BgL_arg3136z00_3642;
																																																																BgL_arg3115z00_3640
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd212500zd2_3636);
																																																																BgL_arg3132z00_3641
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd212500zd2_3636);
																																																																BgL_arg3136z00_3642
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_17657;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_17660;
																																																																		obj_t
																																																																			BgL_bodyz00_17659;
																																																																		obj_t
																																																																			BgL_varsz00_17658;
																																																																		BgL_varsz00_17658
																																																																			=
																																																																			BgL_arg3115z00_3640;
																																																																		BgL_bodyz00_17659
																																																																			=
																																																																			BgL_arg3132z00_3641;
																																																																		BgL_argsz00_17660
																																																																			=
																																																																			BgL_arg3136z00_3642;
																																																																		BgL_argsz00_1734
																																																																			=
																																																																			BgL_argsz00_17660;
																																																																		BgL_bodyz00_1733
																																																																			=
																																																																			BgL_bodyz00_17659;
																																																																		BgL_varsz00_1732
																																																																			=
																																																																			BgL_varsz00_17658;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1735;
																																																																	}
																																																																	BgL_auxz00_14144
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17657);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1769;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_17664;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1770;
																																																																		BgL_auxz00_14144
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_17664);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd212607zd2_3645;
																																																														BgL_cdrzd212607zd2_3645
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd212612zd2_3646;
																																																															BgL_cdrzd212612zd2_3646
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd212495zd2_3635));
																																																															if ((CAR(((obj_t) BgL_carzd212495zd2_3635)) == CNST_TABLE_REF(((long) 1))))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (PAIRP(BgL_cdrzd212612zd2_3646))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd212617zd2_3650;
																																																																			BgL_cdrzd212617zd2_3650
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd212612zd2_3646);
																																																																			if (PAIRP(BgL_cdrzd212617zd2_3650))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd212621zd2_3652;
																																																																					obj_t
																																																																						BgL_cdrzd212622zd2_3653;
																																																																					BgL_carzd212621zd2_3652
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd212617zd2_3650);
																																																																					BgL_cdrzd212622zd2_3653
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd212617zd2_3650);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212621zd2_3652))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (PAIRP(BgL_cdrzd212622zd2_3653))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd212627zd2_3656;
																																																																									BgL_carzd212627zd2_3656
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd212622zd2_3653);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212627zd2_3656))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (NULLP(CDR(BgL_cdrzd212622zd2_3653)))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													bool_t
																																																																														BgL_testz00_17692;
																																																																													{
																																																																														obj_t
																																																																															BgL_l1384z00_3689;
																																																																														BgL_l1384z00_3689
																																																																															=
																																																																															BgL_cdrzd212607zd2_3645;
																																																																													BgL_zc3anonymousza33176ze3z83_3690:
																																																																														if (NULLP(BgL_l1384z00_3689))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																BgL_testz00_17692
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																bool_t
																																																																																	BgL_testz00_17695;
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	bool_t
																																																																																		BgL_testz00_17696;
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_tmpz00_17697;
																																																																																		BgL_tmpz00_17697
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_l1384z00_3689));
																																																																																		BgL_testz00_17696
																																																																																			=
																																																																																			PAIRP
																																																																																			(BgL_tmpz00_17697);
																																																																																	}
																																																																																	if (BgL_testz00_17696)
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			BgL_testz00_17695
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			BgL_testz00_17695
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																}
																																																																																if (BgL_testz00_17695)
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1384z00_17701;
																																																																																		BgL_l1384z00_17701
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_l1384z00_3689));
																																																																																		BgL_l1384z00_3689
																																																																																			=
																																																																																			BgL_l1384z00_17701;
																																																																																		goto
																																																																																			BgL_zc3anonymousza33176ze3z83_3690;
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		BgL_testz00_17692
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																															}
																																																																													}
																																																																													if (BgL_testz00_17692)
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg3164z00_3672;
																																																																															BgL_arg3164z00_3672
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd212612zd2_3646);
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_17705;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_17709;
																																																																																	obj_t
																																																																																		BgL_proc2z00_17708;
																																																																																	obj_t
																																																																																		BgL_proc1z00_17707;
																																																																																	obj_t
																																																																																		BgL_testz00_17706;
																																																																																	BgL_testz00_17706
																																																																																		=
																																																																																		BgL_arg3164z00_3672;
																																																																																	BgL_proc1z00_17707
																																																																																		=
																																																																																		BgL_carzd212621zd2_3652;
																																																																																	BgL_proc2z00_17708
																																																																																		=
																																																																																		BgL_carzd212627zd2_3656;
																																																																																	BgL_argsz00_17709
																																																																																		=
																																																																																		BgL_cdrzd212607zd2_3645;
																																																																																	BgL_argsz00_1739
																																																																																		=
																																																																																		BgL_argsz00_17709;
																																																																																	BgL_proc2z00_1738
																																																																																		=
																																																																																		BgL_proc2z00_17708;
																																																																																	BgL_proc1z00_1737
																																																																																		=
																																																																																		BgL_proc1z00_17707;
																																																																																	BgL_testz00_1736
																																																																																		=
																																																																																		BgL_testz00_17706;
																																																																																	goto
																																																																																		BgL_tagzd2387zd2_1740;
																																																																																}
																																																																																BgL_auxz00_14144
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_17705);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd212652zd2_3673;
																																																																															BgL_cdrzd212652zd2_3673
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd212660zd2_3674;
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_pairz00_10708;
																																																																																	BgL_pairz00_10708
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd212660zd2_3674
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_10708);
																																																																																}
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_cdrzd212668zd2_3675;
																																																																																	BgL_cdrzd212668zd2_3675
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd212660zd2_3674));
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_carzd212675zd2_3676;
																																																																																		BgL_carzd212675zd2_3676
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd212668zd2_3675));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212675zd2_3676))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_carzd212684zd2_3678;
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_pairz00_10712;
																																																																																					BgL_pairz00_10712
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd212668zd2_3675));
																																																																																					BgL_carzd212684zd2_3678
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_pairz00_10712);
																																																																																				}
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212684zd2_3678))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd212652zd2_3673))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								obj_t
																																																																																									BgL_arg3168z00_3681;
																																																																																								BgL_arg3168z00_3681
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd212660zd2_3674));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_17731;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_17735;
																																																																																										obj_t
																																																																																											BgL_proc2z00_17734;
																																																																																										obj_t
																																																																																											BgL_proc1z00_17733;
																																																																																										obj_t
																																																																																											BgL_testz00_17732;
																																																																																										BgL_testz00_17732
																																																																																											=
																																																																																											BgL_arg3168z00_3681;
																																																																																										BgL_proc1z00_17733
																																																																																											=
																																																																																											BgL_carzd212675zd2_3676;
																																																																																										BgL_proc2z00_17734
																																																																																											=
																																																																																											BgL_carzd212684zd2_3678;
																																																																																										BgL_argsz00_17735
																																																																																											=
																																																																																											BgL_cdrzd212652zd2_3673;
																																																																																										BgL_argsz00_1744
																																																																																											=
																																																																																											BgL_argsz00_17735;
																																																																																										BgL_proc2z00_1743
																																																																																											=
																																																																																											BgL_proc2z00_17734;
																																																																																										BgL_proc1z00_1742
																																																																																											=
																																																																																											BgL_proc1z00_17733;
																																																																																										BgL_testz00_1741
																																																																																											=
																																																																																											BgL_testz00_17732;
																																																																																										goto
																																																																																											BgL_tagzd2388zd2_1745;
																																																																																									}
																																																																																									BgL_auxz00_14144
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_17731);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1769;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_17739;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1770;
																																																																																										BgL_auxz00_14144
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_17739);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_17743;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_14144
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_17743);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_17747;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_14144
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_17747);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17751;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17751);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd212962zd2_3700;
																																																																											BgL_cdrzd212962zd2_3700
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd212969zd2_3701;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_10716;
																																																																													BgL_pairz00_10716
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd212969zd2_3701
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_10716);
																																																																												}
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd212976zd2_3702;
																																																																													BgL_cdrzd212976zd2_3702
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd212969zd2_3701));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd212982zd2_3703;
																																																																														obj_t
																																																																															BgL_cdrzd212983zd2_3704;
																																																																														BgL_carzd212982zd2_3703
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd212976zd2_3702));
																																																																														BgL_cdrzd212983zd2_3704
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd212976zd2_3702));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212982zd2_3703))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_carzd212990zd2_3706;
																																																																																BgL_carzd212990zd2_3706
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd212983zd2_3704));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212990zd2_3706))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd212983zd2_3704))))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd212962zd2_3700))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_arg3187z00_3711;
																																																																																						BgL_arg3187z00_3711
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd212969zd2_3701));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_17778;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_17782;
																																																																																								obj_t
																																																																																									BgL_proc2z00_17781;
																																																																																								obj_t
																																																																																									BgL_proc1z00_17780;
																																																																																								obj_t
																																																																																									BgL_testz00_17779;
																																																																																								BgL_testz00_17779
																																																																																									=
																																																																																									BgL_arg3187z00_3711;
																																																																																								BgL_proc1z00_17780
																																																																																									=
																																																																																									BgL_carzd212982zd2_3703;
																																																																																								BgL_proc2z00_17781
																																																																																									=
																																																																																									BgL_carzd212990zd2_3706;
																																																																																								BgL_argsz00_17782
																																																																																									=
																																																																																									BgL_cdrzd212962zd2_3700;
																																																																																								BgL_argsz00_1744
																																																																																									=
																																																																																									BgL_argsz00_17782;
																																																																																								BgL_proc2z00_1743
																																																																																									=
																																																																																									BgL_proc2z00_17781;
																																																																																								BgL_proc1z00_1742
																																																																																									=
																																																																																									BgL_proc1z00_17780;
																																																																																								BgL_testz00_1741
																																																																																									=
																																																																																									BgL_testz00_17779;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1745;
																																																																																							}
																																																																																							BgL_auxz00_14144
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_17778);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_17786;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_14144
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_17786);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_17790;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_14144
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_17790);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_17794;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_14144
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_17794);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_17798;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																		BgL_auxz00_14144
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_17798);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_17802;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17802);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd213323zd2_3719;
																																																																							BgL_cdrzd213323zd2_3719
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd213329zd2_3720;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_10726;
																																																																									BgL_pairz00_10726
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd213329zd2_3720
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_10726);
																																																																								}
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd213335zd2_3721;
																																																																									BgL_cdrzd213335zd2_3721
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd213329zd2_3720));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd213340zd2_3722;
																																																																										obj_t
																																																																											BgL_cdrzd213341zd2_3723;
																																																																										BgL_carzd213340zd2_3722
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd213335zd2_3721));
																																																																										BgL_cdrzd213341zd2_3723
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd213335zd2_3721));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213340zd2_3722))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (PAIRP(BgL_cdrzd213341zd2_3723))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd213346zd2_3726;
																																																																														BgL_carzd213346zd2_3726
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd213341zd2_3723);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213346zd2_3726))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (NULLP(CDR(BgL_cdrzd213341zd2_3723)))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd213323zd2_3719))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_arg3207z00_3731;
																																																																																				BgL_arg3207z00_3731
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd213329zd2_3720));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_17829;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_17833;
																																																																																						obj_t
																																																																																							BgL_proc2z00_17832;
																																																																																						obj_t
																																																																																							BgL_proc1z00_17831;
																																																																																						obj_t
																																																																																							BgL_testz00_17830;
																																																																																						BgL_testz00_17830
																																																																																							=
																																																																																							BgL_arg3207z00_3731;
																																																																																						BgL_proc1z00_17831
																																																																																							=
																																																																																							BgL_carzd213340zd2_3722;
																																																																																						BgL_proc2z00_17832
																																																																																							=
																																																																																							BgL_carzd213346zd2_3726;
																																																																																						BgL_argsz00_17833
																																																																																							=
																																																																																							BgL_cdrzd213323zd2_3719;
																																																																																						BgL_argsz00_1744
																																																																																							=
																																																																																							BgL_argsz00_17833;
																																																																																						BgL_proc2z00_1743
																																																																																							=
																																																																																							BgL_proc2z00_17832;
																																																																																						BgL_proc1z00_1742
																																																																																							=
																																																																																							BgL_proc1z00_17831;
																																																																																						BgL_testz00_1741
																																																																																							=
																																																																																							BgL_testz00_17830;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1745;
																																																																																					}
																																																																																					BgL_auxz00_14144
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_17829);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_17837;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_14144
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_17837);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_17841;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_14144
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_17841);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_17845;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																		BgL_auxz00_14144
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_17845);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1769;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_17849;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1770;
																																																																																BgL_auxz00_14144
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_17849);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_17853;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																														BgL_auxz00_14144
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_17853);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_17857;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_17857);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1769;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_17861;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1770;
																																																																					BgL_auxz00_14144
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_17861);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1769;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_17865;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1770;
																																																																			BgL_auxz00_14144
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17865);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((BgL_carzd210819zd2_3618 == CNST_TABLE_REF(((long) 17))))
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg3403z00_3897;
																																													obj_t
																																														BgL_arg3404z00_3898;
																																													BgL_arg3403z00_3897
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd210718zd2_3602));
																																													BgL_arg3404z00_3898
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd210718zd2_3602));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_17874;
																																														{
																																															obj_t
																																																BgL_exprz00_17876;
																																															obj_t
																																																BgL_bindingsz00_17875;
																																															BgL_bindingsz00_17875
																																																=
																																																BgL_arg3403z00_3897;
																																															BgL_exprz00_17876
																																																=
																																																BgL_arg3404z00_3898;
																																															BgL_exprz00_1724
																																																=
																																																BgL_exprz00_17876;
																																															BgL_bindingsz00_1723
																																																=
																																																BgL_bindingsz00_17875;
																																															goto
																																																BgL_tagzd2382zd2_1725;
																																														}
																																														BgL_auxz00_14144
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_17874);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd210819zd2_3618)))
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg3406z00_3900;
																																															obj_t
																																																BgL_arg3407z00_3901;
																																															BgL_arg3406z00_3900
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd210718zd2_3602));
																																															BgL_arg3407z00_3901
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd210718zd2_3602));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_17885;
																																																{
																																																	obj_t
																																																		BgL_exprz00_17887;
																																																	obj_t
																																																		BgL_bindingsz00_17886;
																																																	BgL_bindingsz00_17886
																																																		=
																																																		BgL_arg3406z00_3900;
																																																	BgL_exprz00_17887
																																																		=
																																																		BgL_arg3407z00_3901;
																																																	BgL_exprz00_1724
																																																		=
																																																		BgL_exprz00_17887;
																																																	BgL_bindingsz00_1723
																																																		=
																																																		BgL_bindingsz00_17886;
																																																	goto
																																																		BgL_tagzd2382zd2_1725;
																																																}
																																																BgL_auxz00_14144
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_17885);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((BgL_carzd210819zd2_3618 == CNST_TABLE_REF(((long) 18))))
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg3409z00_3903;
																																																	obj_t
																																																		BgL_arg3410z00_3904;
																																																	BgL_arg3409z00_3903
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd210718zd2_3602));
																																																	BgL_arg3410z00_3904
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd210718zd2_3602));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_17896;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_17898;
																																																			obj_t
																																																				BgL_bindingsz00_17897;
																																																			BgL_bindingsz00_17897
																																																				=
																																																				BgL_arg3409z00_3903;
																																																			BgL_exprz00_17898
																																																				=
																																																				BgL_arg3410z00_3904;
																																																			BgL_exprz00_1724
																																																				=
																																																				BgL_exprz00_17898;
																																																			BgL_bindingsz00_1723
																																																				=
																																																				BgL_bindingsz00_17897;
																																																			goto
																																																				BgL_tagzd2382zd2_1725;
																																																		}
																																																		BgL_auxz00_14144
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_17896);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_17905;
																																																			goto
																																																				BgL_tagzd2383zd2_1726;
																																																			BgL_auxz00_14144
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_17905);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_carzd213921zd2_3907;
																																																			BgL_carzd213921zd2_3907
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			if ((BgL_carzd213921zd2_3907 == CNST_TABLE_REF(((long) 19))))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_17912;
																																																					goto
																																																						BgL_tagzd2384zd2_1727;
																																																					BgL_auxz00_14144
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_17912);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd213921zd2_3907)))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_17917;
																																																							goto
																																																								BgL_tagzd2384zd2_1727;
																																																							BgL_auxz00_14144
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_17917);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_17924;
																																																									goto
																																																										BgL_tagzd2389zd2_1746;
																																																									BgL_auxz00_14144
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_17924);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_17931;
																																																											goto
																																																												BgL_tagzd2390zd2_1747;
																																																											BgL_auxz00_14144
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_17931);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd214001zd2_3914;
																																																											BgL_cdrzd214001zd2_3914
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg3424z00_3917;
																																																													obj_t
																																																														BgL_arg3425z00_3918;
																																																													BgL_arg3424z00_3917
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd214001zd2_3914));
																																																													BgL_arg3425z00_3918
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd214001zd2_3914));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_17944;
																																																														{
																																																															obj_t
																																																																BgL_restz00_17946;
																																																															obj_t
																																																																BgL_effectz00_17945;
																																																															BgL_effectz00_17945
																																																																=
																																																																BgL_arg3424z00_3917;
																																																															BgL_restz00_17946
																																																																=
																																																																BgL_arg3425z00_3918;
																																																															BgL_restz00_1749
																																																																=
																																																																BgL_restz00_17946;
																																																															BgL_effectz00_1748
																																																																=
																																																																BgL_effectz00_17945;
																																																															goto
																																																																BgL_tagzd2391zd2_1750;
																																																														}
																																																														BgL_auxz00_14144
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_17944);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_17953;
																																																															goto
																																																																BgL_tagzd2392zd2_1751;
																																																															BgL_auxz00_14144
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_17953);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_17960;
																																																																	goto
																																																																		BgL_tagzd2393zd2_1752;
																																																																	BgL_auxz00_14144
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17960);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_arg3433z00_3926;
																																																																			obj_t
																																																																				BgL_arg3434z00_3927;
																																																																			BgL_arg3433z00_3926
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd214001zd2_3914));
																																																																			BgL_arg3434z00_3927
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd214001zd2_3914));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_17971;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_17973;
																																																																					obj_t
																																																																						BgL_effectz00_17972;
																																																																					BgL_effectz00_17972
																																																																						=
																																																																						BgL_arg3433z00_3926;
																																																																					BgL_restz00_17973
																																																																						=
																																																																						BgL_arg3434z00_3927;
																																																																					BgL_restz00_1754
																																																																						=
																																																																						BgL_restz00_17973;
																																																																					BgL_effectz00_1753
																																																																						=
																																																																						BgL_effectz00_17972;
																																																																					goto
																																																																						BgL_tagzd2394zd2_1755;
																																																																				}
																																																																				BgL_auxz00_14144
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_17971);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_17980;
																																																																					goto
																																																																						BgL_tagzd2395zd2_1756;
																																																																					BgL_auxz00_14144
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_17980);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_17987;
																																																																							goto
																																																																								BgL_tagzd2396zd2_1757;
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_17987);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																								{
																																																																									BgL_letzd2funzd2_bglt
																																																																										BgL_auxz00_17994;
																																																																									goto
																																																																										BgL_tagzd2397zd2_1758;
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17994);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																										{
																																																																											BgL_jumpzd2exzd2itz00_bglt
																																																																												BgL_auxz00_18001;
																																																																											goto
																																																																												BgL_tagzd2398zd2_1759;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_18001);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													bool_t
																																																																														BgL_testz00_18008;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_tmpz00_18009;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_pairz00_10764;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_pairz00_10763;
																																																																																BgL_pairz00_10763
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_pairz00_10764
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_10763);
																																																																															}
																																																																															BgL_tmpz00_18009
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_10764);
																																																																														}
																																																																														BgL_testz00_18008
																																																																															=
																																																																															NULLP
																																																																															(BgL_tmpz00_18009);
																																																																													}
																																																																													if (BgL_testz00_18008)
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18015;
																																																																														BgL_tagzd2399zd2_1760:
																																																																															BgL_auxz00_18015 = BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18015);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18020;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18020);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd214094zd2_3946;
																																																																													BgL_cdrzd214094zd2_3946
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg3459z00_3949;
																																																																															obj_t
																																																																																BgL_arg3460z00_3950;
																																																																															BgL_arg3459z00_3949
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd214094zd2_3946));
																																																																															BgL_arg3460z00_3950
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd214094zd2_3946));
																																																																															{	/* Ast/sexp.scm 561 */
																																																																																obj_t
																																																																																	BgL_arg6983z00_10770;
																																																																																BgL_arg6983z00_10770
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_14144
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg3459z00_3949,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg3460z00_3950, BgL_stackz00_22, BgL_arg6983z00_10770, BgL_sitez00_24));
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18039;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18039);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															obj_t
																																BgL_carzd214119zd2_3967;
																															BgL_carzd214119zd2_3967
																																=
																																CAR(((obj_t)
																																	BgL_expz00_21));
																															if (
																																(BgL_carzd214119zd2_3967
																																	==
																																	CNST_TABLE_REF
																																	(((long) 1))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_18046;
																																	goto
																																		BgL_tagzd2377zd2_1714;
																																	BgL_auxz00_14144
																																		=
																																		((obj_t)
																																		BgL_auxz00_18046);
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	if (
																																		(BgL_carzd214119zd2_3967
																																			==
																																			BGl_za2ifza2z00zzast_sexpz00))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_18050;
																																			goto
																																				BgL_tagzd2377zd2_1714;
																																			BgL_auxz00_14144
																																				=
																																				((obj_t)
																																				BgL_auxz00_18050);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_cdrzd214141zd2_3970;
																																			BgL_cdrzd214141zd2_3970
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if ((CAR((
																																							(obj_t)
																																							BgL_expz00_21))
																																					==
																																					CNST_TABLE_REF
																																					(((long) 7))))
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd214144zd2_3973;
																																					obj_t
																																						BgL_cdrzd214145zd2_3974;
																																					BgL_carzd214144zd2_3973
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd214141zd2_3970));
																																					BgL_cdrzd214145zd2_3974
																																						=
																																						CDR(
																																						((obj_t) BgL_cdrzd214141zd2_3970));
																																					if (PAIRP(BgL_carzd214144zd2_3973))
																																						{	/* Ast/sexp.scm 118 */
																																							if ((CAR(BgL_carzd214144zd2_3973) == CNST_TABLE_REF(((long) 14))))
																																								{	/* Ast/sexp.scm 118 */
																																									if (NULLP(CDR(((obj_t) BgL_cdrzd214145zd2_3974))))
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg3490z00_3980;
																																											obj_t
																																												BgL_arg3491z00_3981;
																																											BgL_arg3490z00_3980
																																												=
																																												CDR
																																												(BgL_carzd214144zd2_3973);
																																											BgL_arg3491z00_3981
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd214145zd2_3974));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_18076;
																																												{
																																													obj_t
																																														BgL_valz00_18078;
																																													obj_t
																																														BgL_lz00_18077;
																																													BgL_lz00_18077
																																														=
																																														BgL_arg3490z00_3980;
																																													BgL_valz00_18078
																																														=
																																														BgL_arg3491z00_3981;
																																													BgL_valz00_1716
																																														=
																																														BgL_valz00_18078;
																																													BgL_lz00_1715
																																														=
																																														BgL_lz00_18077;
																																													goto
																																														BgL_tagzd2378zd2_1717;
																																												}
																																												BgL_auxz00_14144
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_18076);
																																											}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_18080;
																																											goto
																																												BgL_tagzd2379zd2_1718;
																																											BgL_auxz00_14144
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_18080);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_18082;
																																									goto
																																										BgL_tagzd2379zd2_1718;
																																									BgL_auxz00_14144
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_18082);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_18084;
																																							goto
																																								BgL_tagzd2379zd2_1718;
																																							BgL_auxz00_14144
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_18084);
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_18091;
																																							goto
																																								BgL_tagzd2380zd2_1719;
																																							BgL_auxz00_14144
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_18091);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_carzd214242zd2_3986;
																																							BgL_carzd214242zd2_3986
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if (PAIRP(BgL_carzd214242zd2_3986))
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_carzd214245zd2_3988;
																																									obj_t
																																										BgL_cdrzd214246zd2_3989;
																																									BgL_carzd214245zd2_3988
																																										=
																																										CAR
																																										(BgL_carzd214242zd2_3986);
																																									BgL_cdrzd214246zd2_3989
																																										=
																																										CDR
																																										(BgL_carzd214242zd2_3986);
																																									{

																																										if ((BgL_carzd214245zd2_3988 == CNST_TABLE_REF(((long) 17))))
																																											{	/* Ast/sexp.scm 118 */
																																											BgL_kapzd214247zd2_3990:
																																												if (PAIRP(BgL_cdrzd214246zd2_3989))
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_cdrzd214250zd2_4115;
																																														BgL_cdrzd214250zd2_4115
																																															=
																																															CDR
																																															(BgL_cdrzd214246zd2_3989);
																																														if (PAIRP(BgL_cdrzd214250zd2_4115))
																																															{	/* Ast/sexp.scm 118 */
																																																if (NULLP(CDR(BgL_cdrzd214250zd2_4115)))
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg3587z00_4119;
																																																		obj_t
																																																			BgL_arg3589z00_4120;
																																																		BgL_arg3587z00_4119
																																																			=
																																																			CAR
																																																			(BgL_cdrzd214250zd2_4115);
																																																		BgL_arg3589z00_4120
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_18113;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_18115;
																																																				obj_t
																																																					BgL_bodyz00_18114;
																																																				BgL_bodyz00_18114
																																																					=
																																																					BgL_arg3587z00_4119;
																																																				BgL_argsz00_18115
																																																					=
																																																					BgL_arg3589z00_4120;
																																																				BgL_argsz00_1721
																																																					=
																																																					BgL_argsz00_18115;
																																																				BgL_bodyz00_1720
																																																					=
																																																					BgL_bodyz00_18114;
																																																				goto
																																																					BgL_tagzd2381zd2_1722;
																																																			}
																																																			BgL_auxz00_14144
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_18113);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd214274zd2_4121;
																																																		BgL_cdrzd214274zd2_4121
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			bool_t
																																																				BgL_testz00_18119;
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg3663z00_4232;
																																																				BgL_arg3663z00_4232
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_testz00_18119
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg3663z00_4232));
																																																			}
																																																			if (BgL_testz00_18119)
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg3592z00_4124;
																																																					obj_t
																																																						BgL_arg3593z00_4125;
																																																					BgL_arg3592z00_4124
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd214274zd2_4121));
																																																					BgL_arg3593z00_4125
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd214274zd2_4121));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_18128;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_18130;
																																																							obj_t
																																																								BgL_bindingsz00_18129;
																																																							BgL_bindingsz00_18129
																																																								=
																																																								BgL_arg3592z00_4124;
																																																							BgL_exprz00_18130
																																																								=
																																																								BgL_arg3593z00_4125;
																																																							BgL_exprz00_1724
																																																								=
																																																								BgL_exprz00_18130;
																																																							BgL_bindingsz00_1723
																																																								=
																																																								BgL_bindingsz00_18129;
																																																							goto
																																																								BgL_tagzd2382zd2_1725;
																																																						}
																																																						BgL_auxz00_14144
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_18128);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_18132;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg3662z00_4231;
																																																						BgL_arg3662z00_4231
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_18132
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg3662z00_4231));
																																																					}
																																																					if (BgL_testz00_18132)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_18137;
																																																							goto
																																																								BgL_tagzd2384zd2_1727;
																																																							BgL_auxz00_14144
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_18137);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd214341zd2_4128;
																																																							BgL_carzd214341zd2_4128
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd214346zd2_4129;
																																																								BgL_cdrzd214346zd2_4129
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd214341zd2_4128));
																																																								if ((CAR(((obj_t) BgL_carzd214341zd2_4128)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg3600z00_4132;
																																																										obj_t
																																																											BgL_arg3601z00_4133;
																																																										obj_t
																																																											BgL_arg3602z00_4134;
																																																										BgL_arg3600z00_4132
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd214346zd2_4129));
																																																										BgL_arg3601z00_4133
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd214346zd2_4129));
																																																										BgL_arg3602z00_4134
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_18154;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_18157;
																																																												obj_t
																																																													BgL_bodyz00_18156;
																																																												obj_t
																																																													BgL_varsz00_18155;
																																																												BgL_varsz00_18155
																																																													=
																																																													BgL_arg3600z00_4132;
																																																												BgL_bodyz00_18156
																																																													=
																																																													BgL_arg3601z00_4133;
																																																												BgL_argsz00_18157
																																																													=
																																																													BgL_arg3602z00_4134;
																																																												BgL_argsz00_1734
																																																													=
																																																													BgL_argsz00_18157;
																																																												BgL_bodyz00_1733
																																																													=
																																																													BgL_bodyz00_18156;
																																																												BgL_varsz00_1732
																																																													=
																																																													BgL_varsz00_18155;
																																																												goto
																																																													BgL_tagzd2386zd2_1735;
																																																											}
																																																											BgL_auxz00_14144
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_18154);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd214369zd2_4136;
																																																										BgL_cdrzd214369zd2_4136
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd214375zd2_4137;
																																																											BgL_cdrzd214375zd2_4137
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd214341zd2_4128));
																																																											if ((CAR(((obj_t) BgL_carzd214341zd2_4128)) == CNST_TABLE_REF(((long) 1))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd214381zd2_4140;
																																																													BgL_cdrzd214381zd2_4140
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd214375zd2_4137));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd214386zd2_4141;
																																																														obj_t
																																																															BgL_cdrzd214387zd2_4142;
																																																														BgL_carzd214386zd2_4141
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd214381zd2_4140));
																																																														BgL_cdrzd214387zd2_4142
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd214381zd2_4140));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214386zd2_4141))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (PAIRP(BgL_cdrzd214387zd2_4142))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd214394zd2_4145;
																																																																		BgL_carzd214394zd2_4145
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd214387zd2_4142);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214394zd2_4145))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (NULLP(CDR(BgL_cdrzd214387zd2_4142)))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						bool_t
																																																																							BgL_testz00_18184;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1387z00_4178;
																																																																							BgL_l1387z00_4178
																																																																								=
																																																																								BgL_cdrzd214369zd2_4136;
																																																																						BgL_zc3anonymousza33627ze3z83_4179:
																																																																							if (NULLP(BgL_l1387z00_4178))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_18184
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									bool_t
																																																																										BgL_testz00_18187;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										bool_t
																																																																											BgL_testz00_18188;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_tmpz00_18189;
																																																																											BgL_tmpz00_18189
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_l1387z00_4178));
																																																																											BgL_testz00_18188
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_18189);
																																																																										}
																																																																										if (BgL_testz00_18188)
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_18187
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_18187
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_testz00_18187)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1387z00_18193;
																																																																											BgL_l1387z00_18193
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_l1387z00_4178));
																																																																											BgL_l1387z00_4178
																																																																												=
																																																																												BgL_l1387z00_18193;
																																																																											goto
																																																																												BgL_zc3anonymousza33627ze3z83_4179;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_18184
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_testz00_18184)
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg3616z00_4161;
																																																																								BgL_arg3616z00_4161
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd214375zd2_4137));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_18198;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_18202;
																																																																										obj_t
																																																																											BgL_proc2z00_18201;
																																																																										obj_t
																																																																											BgL_proc1z00_18200;
																																																																										obj_t
																																																																											BgL_testz00_18199;
																																																																										BgL_testz00_18199
																																																																											=
																																																																											BgL_arg3616z00_4161;
																																																																										BgL_proc1z00_18200
																																																																											=
																																																																											BgL_carzd214386zd2_4141;
																																																																										BgL_proc2z00_18201
																																																																											=
																																																																											BgL_carzd214394zd2_4145;
																																																																										BgL_argsz00_18202
																																																																											=
																																																																											BgL_cdrzd214369zd2_4136;
																																																																										BgL_argsz00_1739
																																																																											=
																																																																											BgL_argsz00_18202;
																																																																										BgL_proc2z00_1738
																																																																											=
																																																																											BgL_proc2z00_18201;
																																																																										BgL_proc1z00_1737
																																																																											=
																																																																											BgL_proc1z00_18200;
																																																																										BgL_testz00_1736
																																																																											=
																																																																											BgL_testz00_18199;
																																																																										goto
																																																																											BgL_tagzd2387zd2_1740;
																																																																									}
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_18198);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd214418zd2_4162;
																																																																								BgL_cdrzd214418zd2_4162
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd214425zd2_4163;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_10823;
																																																																										BgL_pairz00_10823
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd214425zd2_4163
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_10823);
																																																																									}
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd214432zd2_4164;
																																																																										BgL_cdrzd214432zd2_4164
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd214425zd2_4163));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd214438zd2_4165;
																																																																											BgL_carzd214438zd2_4165
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd214432zd2_4164));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214438zd2_4165))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd214445zd2_4167;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_10827;
																																																																														BgL_pairz00_10827
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd214432zd2_4164));
																																																																														BgL_carzd214445zd2_4167
																																																																															=
																																																																															CAR
																																																																															(BgL_pairz00_10827);
																																																																													}
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214445zd2_4167))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd214418zd2_4162))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg3620z00_4170;
																																																																																	BgL_arg3620z00_4170
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd214425zd2_4163));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_18224;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_18228;
																																																																																			obj_t
																																																																																				BgL_proc2z00_18227;
																																																																																			obj_t
																																																																																				BgL_proc1z00_18226;
																																																																																			obj_t
																																																																																				BgL_testz00_18225;
																																																																																			BgL_testz00_18225
																																																																																				=
																																																																																				BgL_arg3620z00_4170;
																																																																																			BgL_proc1z00_18226
																																																																																				=
																																																																																				BgL_carzd214438zd2_4165;
																																																																																			BgL_proc2z00_18227
																																																																																				=
																																																																																				BgL_carzd214445zd2_4167;
																																																																																			BgL_argsz00_18228
																																																																																				=
																																																																																				BgL_cdrzd214418zd2_4162;
																																																																																			BgL_argsz00_1744
																																																																																				=
																																																																																				BgL_argsz00_18228;
																																																																																			BgL_proc2z00_1743
																																																																																				=
																																																																																				BgL_proc2z00_18227;
																																																																																			BgL_proc1z00_1742
																																																																																				=
																																																																																				BgL_proc1z00_18226;
																																																																																			BgL_testz00_1741
																																																																																				=
																																																																																				BgL_testz00_18225;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1745;
																																																																																		}
																																																																																		BgL_auxz00_14144
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_18224);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_18232;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_18232);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18236;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18236);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18240;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18240);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_18244;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_14144
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_18244);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd214721zd2_4189;
																																																																				BgL_cdrzd214721zd2_4189
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd214727zd2_4190;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_pairz00_10831;
																																																																						BgL_pairz00_10831
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd214727zd2_4190
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_10831);
																																																																					}
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd214733zd2_4191;
																																																																						BgL_cdrzd214733zd2_4191
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd214727zd2_4190));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd214738zd2_4192;
																																																																							obj_t
																																																																								BgL_cdrzd214739zd2_4193;
																																																																							BgL_carzd214738zd2_4192
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd214733zd2_4191));
																																																																							BgL_cdrzd214739zd2_4193
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd214733zd2_4191));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214738zd2_4192))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd214744zd2_4195;
																																																																									BgL_carzd214744zd2_4195
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd214739zd2_4193));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214744zd2_4195))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (NULLP(CDR(((obj_t) BgL_cdrzd214739zd2_4193))))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd214721zd2_4189))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg3637z00_4200;
																																																																															BgL_arg3637z00_4200
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd214727zd2_4190));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_18271;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_18275;
																																																																																	obj_t
																																																																																		BgL_proc2z00_18274;
																																																																																	obj_t
																																																																																		BgL_proc1z00_18273;
																																																																																	obj_t
																																																																																		BgL_testz00_18272;
																																																																																	BgL_testz00_18272
																																																																																		=
																																																																																		BgL_arg3637z00_4200;
																																																																																	BgL_proc1z00_18273
																																																																																		=
																																																																																		BgL_carzd214738zd2_4192;
																																																																																	BgL_proc2z00_18274
																																																																																		=
																																																																																		BgL_carzd214744zd2_4195;
																																																																																	BgL_argsz00_18275
																																																																																		=
																																																																																		BgL_cdrzd214721zd2_4189;
																																																																																	BgL_argsz00_1744
																																																																																		=
																																																																																		BgL_argsz00_18275;
																																																																																	BgL_proc2z00_1743
																																																																																		=
																																																																																		BgL_proc2z00_18274;
																																																																																	BgL_proc1z00_1742
																																																																																		=
																																																																																		BgL_proc1z00_18273;
																																																																																	BgL_testz00_1741
																																																																																		=
																																																																																		BgL_testz00_18272;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1745;
																																																																																}
																																																																																BgL_auxz00_14144
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_18271);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18279;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18279);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18283;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18283);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_18287;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_18287);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_18291;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_18291);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_18295;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_14144
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_18295);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd215077zd2_4208;
																																																																BgL_cdrzd215077zd2_4208
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd215084zd2_4209;
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_pairz00_10841;
																																																																		BgL_pairz00_10841
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd215084zd2_4209
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_10841);
																																																																	}
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd215091zd2_4210;
																																																																		BgL_cdrzd215091zd2_4210
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd215084zd2_4209));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd215097zd2_4211;
																																																																			obj_t
																																																																				BgL_cdrzd215098zd2_4212;
																																																																			BgL_carzd215097zd2_4211
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd215091zd2_4210));
																																																																			BgL_cdrzd215098zd2_4212
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd215091zd2_4210));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215097zd2_4211))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd215098zd2_4212))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd215105zd2_4215;
																																																																							BgL_carzd215105zd2_4215
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd215098zd2_4212);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215105zd2_4215))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(BgL_cdrzd215098zd2_4212)))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd215077zd2_4208))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg3651z00_4220;
																																																																													BgL_arg3651z00_4220
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd215084zd2_4209));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_18322;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_18326;
																																																																															obj_t
																																																																																BgL_proc2z00_18325;
																																																																															obj_t
																																																																																BgL_proc1z00_18324;
																																																																															obj_t
																																																																																BgL_testz00_18323;
																																																																															BgL_testz00_18323
																																																																																=
																																																																																BgL_arg3651z00_4220;
																																																																															BgL_proc1z00_18324
																																																																																=
																																																																																BgL_carzd215097zd2_4211;
																																																																															BgL_proc2z00_18325
																																																																																=
																																																																																BgL_carzd215105zd2_4215;
																																																																															BgL_argsz00_18326
																																																																																=
																																																																																BgL_cdrzd215077zd2_4208;
																																																																															BgL_argsz00_1744
																																																																																=
																																																																																BgL_argsz00_18326;
																																																																															BgL_proc2z00_1743
																																																																																=
																																																																																BgL_proc2z00_18325;
																																																																															BgL_proc1z00_1742
																																																																																=
																																																																																BgL_proc1z00_18324;
																																																																															BgL_testz00_1741
																																																																																=
																																																																																BgL_testz00_18323;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1745;
																																																																														}
																																																																														BgL_auxz00_14144
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_18322);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18330;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18330);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_18334;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_18334);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_18338;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_18338);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_18342;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_18342);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_18346;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_18346);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1769;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_18350;
																																																															goto
																																																																BgL_tagzd2404zd2_1770;
																																																															BgL_auxz00_14144
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_18350);
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_cdrzd215498zd2_4234;
																																																BgL_cdrzd215498zd2_4234
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	bool_t
																																																		BgL_testz00_18354;
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg3682z00_4251;
																																																		BgL_arg3682z00_4251
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_testz00_18354
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg3682z00_4251));
																																																	}
																																																	if (BgL_testz00_18354)
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg3668z00_4237;
																																																			obj_t
																																																				BgL_arg3669z00_4238;
																																																			BgL_arg3668z00_4237
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd215498zd2_4234));
																																																			BgL_arg3669z00_4238
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd215498zd2_4234));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_18363;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_18365;
																																																					obj_t
																																																						BgL_bindingsz00_18364;
																																																					BgL_bindingsz00_18364
																																																						=
																																																						BgL_arg3668z00_4237;
																																																					BgL_exprz00_18365
																																																						=
																																																						BgL_arg3669z00_4238;
																																																					BgL_exprz00_1724
																																																						=
																																																						BgL_exprz00_18365;
																																																					BgL_bindingsz00_1723
																																																						=
																																																						BgL_bindingsz00_18364;
																																																					goto
																																																						BgL_tagzd2382zd2_1725;
																																																				}
																																																				BgL_auxz00_14144
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_18363);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			bool_t
																																																				BgL_testz00_18367;
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg3681z00_4250;
																																																				BgL_arg3681z00_4250
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_testz00_18367
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg3681z00_4250));
																																																			}
																																																			if (BgL_testz00_18367)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_18372;
																																																					goto
																																																						BgL_tagzd2384zd2_1727;
																																																					BgL_auxz00_14144
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_18372);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_carzd215564zd2_4241;
																																																					BgL_carzd215564zd2_4241
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd215569zd2_4242;
																																																						BgL_cdrzd215569zd2_4242
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd215564zd2_4241));
																																																						if ((CAR(((obj_t) BgL_carzd215564zd2_4241)) == CNST_TABLE_REF(((long) 3))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg3674z00_4245;
																																																								obj_t
																																																									BgL_arg3676z00_4246;
																																																								obj_t
																																																									BgL_arg3678z00_4247;
																																																								BgL_arg3674z00_4245
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_cdrzd215569zd2_4242));
																																																								BgL_arg3676z00_4246
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd215569zd2_4242));
																																																								BgL_arg3678z00_4247
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_18389;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_18392;
																																																										obj_t
																																																											BgL_bodyz00_18391;
																																																										obj_t
																																																											BgL_varsz00_18390;
																																																										BgL_varsz00_18390
																																																											=
																																																											BgL_arg3674z00_4245;
																																																										BgL_bodyz00_18391
																																																											=
																																																											BgL_arg3676z00_4246;
																																																										BgL_argsz00_18392
																																																											=
																																																											BgL_arg3678z00_4247;
																																																										BgL_argsz00_1734
																																																											=
																																																											BgL_argsz00_18392;
																																																										BgL_bodyz00_1733
																																																											=
																																																											BgL_bodyz00_18391;
																																																										BgL_varsz00_1732
																																																											=
																																																											BgL_varsz00_18390;
																																																										goto
																																																											BgL_tagzd2386zd2_1735;
																																																									}
																																																									BgL_auxz00_14144
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_18389);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_tagzd2403zd2_1769;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_18396;
																																																										goto
																																																											BgL_tagzd2404zd2_1770;
																																																										BgL_auxz00_14144
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_18396);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_cdrzd215680zd2_4252;
																																														BgL_cdrzd215680zd2_4252
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 118 */
																																															bool_t
																																																BgL_testz00_18400;
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_arg3693z00_4261;
																																																BgL_arg3693z00_4261
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_testz00_18400
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg3693z00_4261));
																																															}
																																															if (BgL_testz00_18400)
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg3686z00_4255;
																																																	obj_t
																																																		BgL_arg3688z00_4256;
																																																	BgL_arg3686z00_4255
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd215680zd2_4252));
																																																	BgL_arg3688z00_4256
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd215680zd2_4252));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_18409;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_18411;
																																																			obj_t
																																																				BgL_bindingsz00_18410;
																																																			BgL_bindingsz00_18410
																																																				=
																																																				BgL_arg3686z00_4255;
																																																			BgL_exprz00_18411
																																																				=
																																																				BgL_arg3688z00_4256;
																																																			BgL_exprz00_1724
																																																				=
																																																				BgL_exprz00_18411;
																																																			BgL_bindingsz00_1723
																																																				=
																																																				BgL_bindingsz00_18410;
																																																			goto
																																																				BgL_tagzd2382zd2_1725;
																																																		}
																																																		BgL_auxz00_14144
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_18409);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	bool_t
																																																		BgL_testz00_18413;
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg3692z00_4260;
																																																		BgL_arg3692z00_4260
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_testz00_18413
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg3692z00_4260));
																																																	}
																																																	if (BgL_testz00_18413)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_18418;
																																																			goto
																																																				BgL_tagzd2384zd2_1727;
																																																			BgL_auxz00_14144
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_18418);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 118 */
																																																					goto
																																																						BgL_tagzd2403zd2_1769;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_18422;
																																																					goto
																																																						BgL_tagzd2404zd2_1770;
																																																					BgL_auxz00_14144
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_18422);
																																																				}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd214245zd2_3988)))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_kapzd214247zd2_3990;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if ((BgL_carzd214245zd2_3988 == CNST_TABLE_REF(((long) 18))))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd214247zd2_3990;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if ((BgL_carzd214245zd2_3988 == CNST_TABLE_REF(((long) 19))))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd214247zd2_3990;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd214245zd2_3988)))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd214247zd2_3990;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd215852zd2_3996;
																																																				BgL_cdrzd215852zd2_3996
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_18438;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg3582z00_4113;
																																																						BgL_arg3582z00_4113
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_18438
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg3582z00_4113));
																																																					}
																																																					if (BgL_testz00_18438)
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg3506z00_3999;
																																																							obj_t
																																																								BgL_arg3507z00_4000;
																																																							BgL_arg3506z00_3999
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd215852zd2_3996));
																																																							BgL_arg3507z00_4000
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd215852zd2_3996));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_18447;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_18449;
																																																									obj_t
																																																										BgL_bindingsz00_18448;
																																																									BgL_bindingsz00_18448
																																																										=
																																																										BgL_arg3506z00_3999;
																																																									BgL_exprz00_18449
																																																										=
																																																										BgL_arg3507z00_4000;
																																																									BgL_exprz00_1724
																																																										=
																																																										BgL_exprz00_18449;
																																																									BgL_bindingsz00_1723
																																																										=
																																																										BgL_bindingsz00_18448;
																																																									goto
																																																										BgL_tagzd2382zd2_1725;
																																																								}
																																																								BgL_auxz00_14144
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_18447);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							bool_t
																																																								BgL_testz00_18451;
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg3581z00_4112;
																																																								BgL_arg3581z00_4112
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_testz00_18451
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg3581z00_4112));
																																																							}
																																																							if (BgL_testz00_18451)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_18456;
																																																									goto
																																																										BgL_tagzd2384zd2_1727;
																																																									BgL_auxz00_14144
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_18456);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd215918zd2_4003;
																																																									BgL_carzd215918zd2_4003
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd215923zd2_4004;
																																																										BgL_cdrzd215923zd2_4004
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd215918zd2_4003));
																																																										if ((CAR(((obj_t) BgL_carzd215918zd2_4003)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (PAIRP(BgL_cdrzd215923zd2_4004))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg3514z00_4008;
																																																														obj_t
																																																															BgL_arg3515z00_4009;
																																																														obj_t
																																																															BgL_arg3516z00_4010;
																																																														BgL_arg3514z00_4008
																																																															=
																																																															CAR
																																																															(BgL_cdrzd215923zd2_4004);
																																																														BgL_arg3515z00_4009
																																																															=
																																																															CDR
																																																															(BgL_cdrzd215923zd2_4004);
																																																														BgL_arg3516z00_4010
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_18473;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_18476;
																																																																obj_t
																																																																	BgL_bodyz00_18475;
																																																																obj_t
																																																																	BgL_varsz00_18474;
																																																																BgL_varsz00_18474
																																																																	=
																																																																	BgL_arg3514z00_4008;
																																																																BgL_bodyz00_18475
																																																																	=
																																																																	BgL_arg3515z00_4009;
																																																																BgL_argsz00_18476
																																																																	=
																																																																	BgL_arg3516z00_4010;
																																																																BgL_argsz00_1734
																																																																	=
																																																																	BgL_argsz00_18476;
																																																																BgL_bodyz00_1733
																																																																	=
																																																																	BgL_bodyz00_18475;
																																																																BgL_varsz00_1732
																																																																	=
																																																																	BgL_varsz00_18474;
																																																																goto
																																																																	BgL_tagzd2386zd2_1735;
																																																															}
																																																															BgL_auxz00_14144
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_18473);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1769;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_18480;
																																																																goto
																																																																	BgL_tagzd2404zd2_1770;
																																																																BgL_auxz00_14144
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_18480);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd216030zd2_4013;
																																																												BgL_cdrzd216030zd2_4013
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd216035zd2_4014;
																																																													BgL_cdrzd216035zd2_4014
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd215918zd2_4003));
																																																													if ((CAR(((obj_t) BgL_carzd215918zd2_4003)) == CNST_TABLE_REF(((long) 1))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (PAIRP(BgL_cdrzd216035zd2_4014))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd216040zd2_4018;
																																																																	BgL_cdrzd216040zd2_4018
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd216035zd2_4014);
																																																																	if (PAIRP(BgL_cdrzd216040zd2_4018))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd216044zd2_4020;
																																																																			obj_t
																																																																				BgL_cdrzd216045zd2_4021;
																																																																			BgL_carzd216044zd2_4020
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd216040zd2_4018);
																																																																			BgL_cdrzd216045zd2_4021
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd216040zd2_4018);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216044zd2_4020))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd216045zd2_4021))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd216050zd2_4024;
																																																																							BgL_carzd216050zd2_4024
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd216045zd2_4021);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216050zd2_4024))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(BgL_cdrzd216045zd2_4021)))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_18508;
																																																																											{
																																																																												obj_t
																																																																													BgL_l1390z00_4057;
																																																																												BgL_l1390z00_4057
																																																																													=
																																																																													BgL_cdrzd216030zd2_4013;
																																																																											BgL_zc3anonymousza33544ze3z83_4058:
																																																																												if (NULLP(BgL_l1390z00_4057))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_18508
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														bool_t
																																																																															BgL_testz00_18511;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															bool_t
																																																																																BgL_testz00_18512;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_tmpz00_18513;
																																																																																BgL_tmpz00_18513
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_l1390z00_4057));
																																																																																BgL_testz00_18512
																																																																																	=
																																																																																	PAIRP
																																																																																	(BgL_tmpz00_18513);
																																																																															}
																																																																															if (BgL_testz00_18512)
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	BgL_testz00_18511
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	BgL_testz00_18511
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																														}
																																																																														if (BgL_testz00_18511)
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1390z00_18517;
																																																																																BgL_l1390z00_18517
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_l1390z00_4057));
																																																																																BgL_l1390z00_4057
																																																																																	=
																																																																																	BgL_l1390z00_18517;
																																																																																goto
																																																																																	BgL_zc3anonymousza33544ze3z83_4058;
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																BgL_testz00_18508
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																													}
																																																																											}
																																																																											if (BgL_testz00_18508)
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg3533z00_4040;
																																																																													BgL_arg3533z00_4040
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd216035zd2_4014);
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_18521;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_18525;
																																																																															obj_t
																																																																																BgL_proc2z00_18524;
																																																																															obj_t
																																																																																BgL_proc1z00_18523;
																																																																															obj_t
																																																																																BgL_testz00_18522;
																																																																															BgL_testz00_18522
																																																																																=
																																																																																BgL_arg3533z00_4040;
																																																																															BgL_proc1z00_18523
																																																																																=
																																																																																BgL_carzd216044zd2_4020;
																																																																															BgL_proc2z00_18524
																																																																																=
																																																																																BgL_carzd216050zd2_4024;
																																																																															BgL_argsz00_18525
																																																																																=
																																																																																BgL_cdrzd216030zd2_4013;
																																																																															BgL_argsz00_1739
																																																																																=
																																																																																BgL_argsz00_18525;
																																																																															BgL_proc2z00_1738
																																																																																=
																																																																																BgL_proc2z00_18524;
																																																																															BgL_proc1z00_1737
																																																																																=
																																																																																BgL_proc1z00_18523;
																																																																															BgL_testz00_1736
																																																																																=
																																																																																BgL_testz00_18522;
																																																																															goto
																																																																																BgL_tagzd2387zd2_1740;
																																																																														}
																																																																														BgL_auxz00_14144
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_18521);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd216075zd2_4041;
																																																																													BgL_cdrzd216075zd2_4041
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd216083zd2_4042;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_pairz00_10898;
																																																																															BgL_pairz00_10898
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd216083zd2_4042
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_10898);
																																																																														}
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd216091zd2_4043;
																																																																															BgL_cdrzd216091zd2_4043
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd216083zd2_4042));
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_carzd216098zd2_4044;
																																																																																BgL_carzd216098zd2_4044
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd216091zd2_4043));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216098zd2_4044))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_carzd216107zd2_4046;
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_pairz00_10902;
																																																																																			BgL_pairz00_10902
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd216091zd2_4043));
																																																																																			BgL_carzd216107zd2_4046
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_pairz00_10902);
																																																																																		}
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216107zd2_4046))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd216075zd2_4041))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_arg3537z00_4049;
																																																																																						BgL_arg3537z00_4049
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd216083zd2_4042));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_18547;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_18551;
																																																																																								obj_t
																																																																																									BgL_proc2z00_18550;
																																																																																								obj_t
																																																																																									BgL_proc1z00_18549;
																																																																																								obj_t
																																																																																									BgL_testz00_18548;
																																																																																								BgL_testz00_18548
																																																																																									=
																																																																																									BgL_arg3537z00_4049;
																																																																																								BgL_proc1z00_18549
																																																																																									=
																																																																																									BgL_carzd216098zd2_4044;
																																																																																								BgL_proc2z00_18550
																																																																																									=
																																																																																									BgL_carzd216107zd2_4046;
																																																																																								BgL_argsz00_18551
																																																																																									=
																																																																																									BgL_cdrzd216075zd2_4041;
																																																																																								BgL_argsz00_1744
																																																																																									=
																																																																																									BgL_argsz00_18551;
																																																																																								BgL_proc2z00_1743
																																																																																									=
																																																																																									BgL_proc2z00_18550;
																																																																																								BgL_proc1z00_1742
																																																																																									=
																																																																																									BgL_proc1z00_18549;
																																																																																								BgL_testz00_1741
																																																																																									=
																																																																																									BgL_testz00_18548;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1745;
																																																																																							}
																																																																																							BgL_auxz00_14144
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_18547);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_18555;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_14144
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_18555);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_18559;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_14144
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_18559);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_18563;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_14144
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_18563);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_18567;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_18567);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd216385zd2_4068;
																																																																									BgL_cdrzd216385zd2_4068
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd216392zd2_4069;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_10906;
																																																																											BgL_pairz00_10906
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd216392zd2_4069
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_10906);
																																																																										}
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd216399zd2_4070;
																																																																											BgL_cdrzd216399zd2_4070
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd216392zd2_4069));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd216405zd2_4071;
																																																																												obj_t
																																																																													BgL_cdrzd216406zd2_4072;
																																																																												BgL_carzd216405zd2_4071
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd216399zd2_4070));
																																																																												BgL_cdrzd216406zd2_4072
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd216399zd2_4070));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216405zd2_4071))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd216413zd2_4074;
																																																																														BgL_carzd216413zd2_4074
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd216406zd2_4072));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216413zd2_4074))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (NULLP(CDR(((obj_t) BgL_cdrzd216406zd2_4072))))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd216385zd2_4068))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_arg3553z00_4079;
																																																																																				BgL_arg3553z00_4079
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd216392zd2_4069));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_18594;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_18598;
																																																																																						obj_t
																																																																																							BgL_proc2z00_18597;
																																																																																						obj_t
																																																																																							BgL_proc1z00_18596;
																																																																																						obj_t
																																																																																							BgL_testz00_18595;
																																																																																						BgL_testz00_18595
																																																																																							=
																																																																																							BgL_arg3553z00_4079;
																																																																																						BgL_proc1z00_18596
																																																																																							=
																																																																																							BgL_carzd216405zd2_4071;
																																																																																						BgL_proc2z00_18597
																																																																																							=
																																																																																							BgL_carzd216413zd2_4074;
																																																																																						BgL_argsz00_18598
																																																																																							=
																																																																																							BgL_cdrzd216385zd2_4068;
																																																																																						BgL_argsz00_1744
																																																																																							=
																																																																																							BgL_argsz00_18598;
																																																																																						BgL_proc2z00_1743
																																																																																							=
																																																																																							BgL_proc2z00_18597;
																																																																																						BgL_proc1z00_1742
																																																																																							=
																																																																																							BgL_proc1z00_18596;
																																																																																						BgL_testz00_1741
																																																																																							=
																																																																																							BgL_testz00_18595;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1745;
																																																																																					}
																																																																																					BgL_auxz00_14144
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_18594);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_18602;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_14144
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_18602);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_18606;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_14144
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_18606);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_18610;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																		BgL_auxz00_14144
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_18610);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1769;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_18614;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1770;
																																																																																BgL_auxz00_14144
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_18614);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_18618;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_18618);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd216746zd2_4087;
																																																																					BgL_cdrzd216746zd2_4087
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd216752zd2_4088;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_10916;
																																																																							BgL_pairz00_10916
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd216752zd2_4088
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_10916);
																																																																						}
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd216758zd2_4089;
																																																																							BgL_cdrzd216758zd2_4089
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd216752zd2_4088));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd216763zd2_4090;
																																																																								obj_t
																																																																									BgL_cdrzd216764zd2_4091;
																																																																								BgL_carzd216763zd2_4090
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd216758zd2_4089));
																																																																								BgL_cdrzd216764zd2_4091
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd216758zd2_4089));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216763zd2_4090))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (PAIRP(BgL_cdrzd216764zd2_4091))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd216769zd2_4094;
																																																																												BgL_carzd216769zd2_4094
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd216764zd2_4091);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216769zd2_4094))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (NULLP(CDR(BgL_cdrzd216764zd2_4091)))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd216746zd2_4087))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg3567z00_4099;
																																																																																		BgL_arg3567z00_4099
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd216752zd2_4088));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_18645;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_18649;
																																																																																				obj_t
																																																																																					BgL_proc2z00_18648;
																																																																																				obj_t
																																																																																					BgL_proc1z00_18647;
																																																																																				obj_t
																																																																																					BgL_testz00_18646;
																																																																																				BgL_testz00_18646
																																																																																					=
																																																																																					BgL_arg3567z00_4099;
																																																																																				BgL_proc1z00_18647
																																																																																					=
																																																																																					BgL_carzd216763zd2_4090;
																																																																																				BgL_proc2z00_18648
																																																																																					=
																																																																																					BgL_carzd216769zd2_4094;
																																																																																				BgL_argsz00_18649
																																																																																					=
																																																																																					BgL_cdrzd216746zd2_4087;
																																																																																				BgL_argsz00_1744
																																																																																					=
																																																																																					BgL_argsz00_18649;
																																																																																				BgL_proc2z00_1743
																																																																																					=
																																																																																					BgL_proc2z00_18648;
																																																																																				BgL_proc1z00_1742
																																																																																					=
																																																																																					BgL_proc1z00_18647;
																																																																																				BgL_testz00_1741
																																																																																					=
																																																																																					BgL_testz00_18646;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1745;
																																																																																			}
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_18645);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_18653;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_14144
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_18653);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_18657;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																		BgL_auxz00_14144
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_18657);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1769;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_18661;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1770;
																																																																																BgL_auxz00_14144
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_18661);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_18665;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																														BgL_auxz00_14144
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_18665);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_18669;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																												BgL_auxz00_14144
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_18669);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1769;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_18673;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1770;
																																																																					BgL_auxz00_14144
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_18673);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1769;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_18677;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1770;
																																																																			BgL_auxz00_14144
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_18677);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1769;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_18681;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1770;
																																																																	BgL_auxz00_14144
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_18681);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((BgL_carzd214242zd2_3986 == CNST_TABLE_REF(((long) 17))))
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg3695z00_4265;
																																											obj_t
																																												BgL_arg3696z00_4266;
																																											BgL_arg3695z00_4265
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd214141zd2_3970));
																																											BgL_arg3696z00_4266
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd214141zd2_3970));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_18690;
																																												{
																																													obj_t
																																														BgL_exprz00_18692;
																																													obj_t
																																														BgL_bindingsz00_18691;
																																													BgL_bindingsz00_18691
																																														=
																																														BgL_arg3695z00_4265;
																																													BgL_exprz00_18692
																																														=
																																														BgL_arg3696z00_4266;
																																													BgL_exprz00_1724
																																														=
																																														BgL_exprz00_18692;
																																													BgL_bindingsz00_1723
																																														=
																																														BgL_bindingsz00_18691;
																																													goto
																																														BgL_tagzd2382zd2_1725;
																																												}
																																												BgL_auxz00_14144
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_18690);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd214242zd2_3986)))
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg3699z00_4268;
																																													obj_t
																																														BgL_arg3700z00_4269;
																																													BgL_arg3699z00_4268
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd214141zd2_3970));
																																													BgL_arg3700z00_4269
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd214141zd2_3970));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_18701;
																																														{
																																															obj_t
																																																BgL_exprz00_18703;
																																															obj_t
																																																BgL_bindingsz00_18702;
																																															BgL_bindingsz00_18702
																																																=
																																																BgL_arg3699z00_4268;
																																															BgL_exprz00_18703
																																																=
																																																BgL_arg3700z00_4269;
																																															BgL_exprz00_1724
																																																=
																																																BgL_exprz00_18703;
																																															BgL_bindingsz00_1723
																																																=
																																																BgL_bindingsz00_18702;
																																															goto
																																																BgL_tagzd2382zd2_1725;
																																														}
																																														BgL_auxz00_14144
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_18701);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((BgL_carzd214242zd2_3986 == CNST_TABLE_REF(((long) 18))))
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg3702z00_4271;
																																															obj_t
																																																BgL_arg3703z00_4272;
																																															BgL_arg3702z00_4271
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd214141zd2_3970));
																																															BgL_arg3703z00_4272
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd214141zd2_3970));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_18712;
																																																{
																																																	obj_t
																																																		BgL_exprz00_18714;
																																																	obj_t
																																																		BgL_bindingsz00_18713;
																																																	BgL_bindingsz00_18713
																																																		=
																																																		BgL_arg3702z00_4271;
																																																	BgL_exprz00_18714
																																																		=
																																																		BgL_arg3703z00_4272;
																																																	BgL_exprz00_1724
																																																		=
																																																		BgL_exprz00_18714;
																																																	BgL_bindingsz00_1723
																																																		=
																																																		BgL_bindingsz00_18713;
																																																	goto
																																																		BgL_tagzd2382zd2_1725;
																																																}
																																																BgL_auxz00_14144
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_18712);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_18721;
																																																	goto
																																																		BgL_tagzd2383zd2_1726;
																																																	BgL_auxz00_14144
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_18721);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_carzd217344zd2_4275;
																																																	BgL_carzd217344zd2_4275
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	if ((BgL_carzd217344zd2_4275 == CNST_TABLE_REF(((long) 19))))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_18728;
																																																			goto
																																																				BgL_tagzd2384zd2_1727;
																																																			BgL_auxz00_14144
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_18728);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd217344zd2_4275)))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_18733;
																																																					goto
																																																						BgL_tagzd2384zd2_1727;
																																																					BgL_auxz00_14144
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_18733);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_18740;
																																																							goto
																																																								BgL_tagzd2389zd2_1746;
																																																							BgL_auxz00_14144
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_18740);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_18747;
																																																									goto
																																																										BgL_tagzd2390zd2_1747;
																																																									BgL_auxz00_14144
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_18747);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd217424zd2_4282;
																																																									BgL_cdrzd217424zd2_4282
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg3717z00_4285;
																																																											obj_t
																																																												BgL_arg3718z00_4286;
																																																											BgL_arg3717z00_4285
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd217424zd2_4282));
																																																											BgL_arg3718z00_4286
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd217424zd2_4282));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_18760;
																																																												{
																																																													obj_t
																																																														BgL_restz00_18762;
																																																													obj_t
																																																														BgL_effectz00_18761;
																																																													BgL_effectz00_18761
																																																														=
																																																														BgL_arg3717z00_4285;
																																																													BgL_restz00_18762
																																																														=
																																																														BgL_arg3718z00_4286;
																																																													BgL_restz00_1749
																																																														=
																																																														BgL_restz00_18762;
																																																													BgL_effectz00_1748
																																																														=
																																																														BgL_effectz00_18761;
																																																													goto
																																																														BgL_tagzd2391zd2_1750;
																																																												}
																																																												BgL_auxz00_14144
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_18760);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_18769;
																																																													goto
																																																														BgL_tagzd2392zd2_1751;
																																																													BgL_auxz00_14144
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_18769);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_18776;
																																																															goto
																																																																BgL_tagzd2393zd2_1752;
																																																															BgL_auxz00_14144
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_18776);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg3726z00_4294;
																																																																	obj_t
																																																																		BgL_arg3727z00_4295;
																																																																	BgL_arg3726z00_4294
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd217424zd2_4282));
																																																																	BgL_arg3727z00_4295
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd217424zd2_4282));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_18787;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_18789;
																																																																			obj_t
																																																																				BgL_effectz00_18788;
																																																																			BgL_effectz00_18788
																																																																				=
																																																																				BgL_arg3726z00_4294;
																																																																			BgL_restz00_18789
																																																																				=
																																																																				BgL_arg3727z00_4295;
																																																																			BgL_restz00_1754
																																																																				=
																																																																				BgL_restz00_18789;
																																																																			BgL_effectz00_1753
																																																																				=
																																																																				BgL_effectz00_18788;
																																																																			goto
																																																																				BgL_tagzd2394zd2_1755;
																																																																		}
																																																																		BgL_auxz00_14144
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_18787);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_18796;
																																																																			goto
																																																																				BgL_tagzd2395zd2_1756;
																																																																			BgL_auxz00_14144
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_18796);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_18803;
																																																																					goto
																																																																						BgL_tagzd2396zd2_1757;
																																																																					BgL_auxz00_14144
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_18803);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																						{
																																																																							BgL_letzd2funzd2_bglt
																																																																								BgL_auxz00_18810;
																																																																							goto
																																																																								BgL_tagzd2397zd2_1758;
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_18810);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																								{
																																																																									BgL_jumpzd2exzd2itz00_bglt
																																																																										BgL_auxz00_18817;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1759;
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_18817);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_18824;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_tmpz00_18825;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_10954;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_10953;
																																																																														BgL_pairz00_10953
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_pairz00_10954
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_10953);
																																																																													}
																																																																													BgL_tmpz00_18825
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_10954);
																																																																												}
																																																																												BgL_testz00_18824
																																																																													=
																																																																													NULLP
																																																																													(BgL_tmpz00_18825);
																																																																											}
																																																																											if (BgL_testz00_18824)
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_18831;
																																																																													goto
																																																																														BgL_tagzd2399zd2_1760;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_18831);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18835;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18835);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd217512zd2_4314;
																																																																											BgL_cdrzd217512zd2_4314
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd217518zd2_4317;
																																																																													BgL_cdrzd217518zd2_4317
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd217512zd2_4314));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd217524zd2_4318;
																																																																														BgL_cdrzd217524zd2_4318
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd217518zd2_4317));
																																																																														if ((CAR(((obj_t) BgL_cdrzd217518zd2_4317)) == CNST_TABLE_REF(((long) 31))))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (PAIRP(BgL_cdrzd217524zd2_4318))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg3751z00_4322;
																																																																																		obj_t
																																																																																			BgL_arg3752z00_4323;
																																																																																		obj_t
																																																																																			BgL_arg3753z00_4324;
																																																																																		BgL_arg3751z00_4322
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd217512zd2_4314));
																																																																																		BgL_arg3752z00_4323
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd217524zd2_4318);
																																																																																		BgL_arg3753z00_4324
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd217524zd2_4318);
																																																																																		{	/* Ast/sexp.scm 559 */
																																																																																			obj_t
																																																																																				BgL_arg6982z00_10965;
																																																																																			BgL_arg6982z00_10965
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																				(BgL_expz00_21,
																																																																																					BgL_arg3751z00_4322,
																																																																																					BgL_arg3752z00_4323,
																																																																																					BgL_arg3753z00_4324,
																																																																																					BgL_stackz00_22,
																																																																																					BgL_arg6982z00_10965,
																																																																																					BgL_sitez00_24));
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg3754z00_4326;
																																																																																		obj_t
																																																																																			BgL_arg3755z00_4327;
																																																																																		BgL_arg3754z00_4326
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd217512zd2_4314));
																																																																																		BgL_arg3755z00_4327
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd217512zd2_4314));
																																																																																		{	/* Ast/sexp.scm 561 */
																																																																																			obj_t
																																																																																				BgL_arg6983z00_10969;
																																																																																			BgL_arg6983z00_10969
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																				(BgL_expz00_21,
																																																																																					BgL_arg3754z00_4326,
																																																																																					CNST_TABLE_REF
																																																																																					(((long) 4)), BgL_arg3755z00_4327, BgL_stackz00_22, BgL_arg6983z00_10969, BgL_sitez00_24));
																																																																															}}}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg3756z00_4329;
																																																																																obj_t
																																																																																	BgL_arg3757z00_4330;
																																																																																BgL_arg3756z00_4329
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd217512zd2_4314));
																																																																																BgL_arg3757z00_4330
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd217512zd2_4314));
																																																																																{	/* Ast/sexp.scm 561 */
																																																																																	obj_t
																																																																																		BgL_arg6983z00_10973;
																																																																																	BgL_arg6983z00_10973
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_arg3756z00_4329,
																																																																																			CNST_TABLE_REF
																																																																																			(((long) 4)), BgL_arg3757z00_4330, BgL_stackz00_22, BgL_arg6983z00_10973, BgL_sitez00_24));
																																																																												}}}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18880;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18880);
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 118 */
																													obj_t
																														BgL_carzd217575zd2_4349;
																													BgL_carzd217575zd2_4349
																														=
																														CAR(((obj_t)
																															BgL_expz00_21));
																													if (
																														(BgL_carzd217575zd2_4349
																															==
																															CNST_TABLE_REF((
																																	(long) 1))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_18887;
																															goto
																																BgL_tagzd2377zd2_1714;
																															BgL_auxz00_14144 =
																																((obj_t)
																																BgL_auxz00_18887);
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															if (
																																(BgL_carzd217575zd2_4349
																																	==
																																	BGl_za2ifza2z00zzast_sexpz00))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_18891;
																																	goto
																																		BgL_tagzd2377zd2_1714;
																																	BgL_auxz00_14144
																																		=
																																		((obj_t)
																																		BgL_auxz00_18891);
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					7))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_18898;
																																			goto
																																				BgL_tagzd2379zd2_1718;
																																			BgL_auxz00_14144
																																				=
																																				((obj_t)
																																				BgL_auxz00_18898);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			if (
																																				(CAR(
																																						((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_18905;
																																					goto
																																						BgL_tagzd2380zd2_1719;
																																					BgL_auxz00_14144
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_18905);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd217644zd2_4356;
																																					BgL_carzd217644zd2_4356
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (PAIRP(BgL_carzd217644zd2_4356))
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_carzd217647zd2_4358;
																																							obj_t
																																								BgL_cdrzd217648zd2_4359;
																																							BgL_carzd217647zd2_4358
																																								=
																																								CAR
																																								(BgL_carzd217644zd2_4356);
																																							BgL_cdrzd217648zd2_4359
																																								=
																																								CDR
																																								(BgL_carzd217644zd2_4356);
																																							{

																																								if ((BgL_carzd217647zd2_4358 == CNST_TABLE_REF(((long) 17))))
																																									{	/* Ast/sexp.scm 118 */
																																									BgL_kapzd217649zd2_4360:
																																										if (PAIRP(BgL_cdrzd217648zd2_4359))
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_cdrzd217652zd2_4542;
																																												BgL_cdrzd217652zd2_4542
																																													=
																																													CDR
																																													(BgL_cdrzd217648zd2_4359);
																																												if (PAIRP(BgL_cdrzd217652zd2_4542))
																																													{	/* Ast/sexp.scm 118 */
																																														if (NULLP(CDR(BgL_cdrzd217652zd2_4542)))
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_arg3912z00_4546;
																																																obj_t
																																																	BgL_arg3913z00_4547;
																																																BgL_arg3912z00_4546
																																																	=
																																																	CAR
																																																	(BgL_cdrzd217652zd2_4542);
																																																BgL_arg3913z00_4547
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_18927;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_18929;
																																																		obj_t
																																																			BgL_bodyz00_18928;
																																																		BgL_bodyz00_18928
																																																			=
																																																			BgL_arg3912z00_4546;
																																																		BgL_argsz00_18929
																																																			=
																																																			BgL_arg3913z00_4547;
																																																		BgL_argsz00_1721
																																																			=
																																																			BgL_argsz00_18929;
																																																		BgL_bodyz00_1720
																																																			=
																																																			BgL_bodyz00_18928;
																																																		goto
																																																			BgL_tagzd2381zd2_1722;
																																																	}
																																																	BgL_auxz00_14144
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_18927);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_cdrzd217676zd2_4548;
																																																BgL_cdrzd217676zd2_4548
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	bool_t
																																																		BgL_testz00_18933;
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg3982z00_4659;
																																																		BgL_arg3982z00_4659
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_testz00_18933
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg3982z00_4659));
																																																	}
																																																	if (BgL_testz00_18933)
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg3916z00_4551;
																																																			obj_t
																																																				BgL_arg3917z00_4552;
																																																			BgL_arg3916z00_4551
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd217676zd2_4548));
																																																			BgL_arg3917z00_4552
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd217676zd2_4548));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_18942;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_18944;
																																																					obj_t
																																																						BgL_bindingsz00_18943;
																																																					BgL_bindingsz00_18943
																																																						=
																																																						BgL_arg3916z00_4551;
																																																					BgL_exprz00_18944
																																																						=
																																																						BgL_arg3917z00_4552;
																																																					BgL_exprz00_1724
																																																						=
																																																						BgL_exprz00_18944;
																																																					BgL_bindingsz00_1723
																																																						=
																																																						BgL_bindingsz00_18943;
																																																					goto
																																																						BgL_tagzd2382zd2_1725;
																																																				}
																																																				BgL_auxz00_14144
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_18942);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			bool_t
																																																				BgL_testz00_18946;
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg3981z00_4658;
																																																				BgL_arg3981z00_4658
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_testz00_18946
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg3981z00_4658));
																																																			}
																																																			if (BgL_testz00_18946)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_18951;
																																																					goto
																																																						BgL_tagzd2384zd2_1727;
																																																					BgL_auxz00_14144
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_18951);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_carzd217743zd2_4555;
																																																					BgL_carzd217743zd2_4555
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd217748zd2_4556;
																																																						BgL_cdrzd217748zd2_4556
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd217743zd2_4555));
																																																						if ((CAR(((obj_t) BgL_carzd217743zd2_4555)) == CNST_TABLE_REF(((long) 3))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg3922z00_4559;
																																																								obj_t
																																																									BgL_arg3923z00_4560;
																																																								obj_t
																																																									BgL_arg3924z00_4561;
																																																								BgL_arg3922z00_4559
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_cdrzd217748zd2_4556));
																																																								BgL_arg3923z00_4560
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd217748zd2_4556));
																																																								BgL_arg3924z00_4561
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_18968;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_18971;
																																																										obj_t
																																																											BgL_bodyz00_18970;
																																																										obj_t
																																																											BgL_varsz00_18969;
																																																										BgL_varsz00_18969
																																																											=
																																																											BgL_arg3922z00_4559;
																																																										BgL_bodyz00_18970
																																																											=
																																																											BgL_arg3923z00_4560;
																																																										BgL_argsz00_18971
																																																											=
																																																											BgL_arg3924z00_4561;
																																																										BgL_argsz00_1734
																																																											=
																																																											BgL_argsz00_18971;
																																																										BgL_bodyz00_1733
																																																											=
																																																											BgL_bodyz00_18970;
																																																										BgL_varsz00_1732
																																																											=
																																																											BgL_varsz00_18969;
																																																										goto
																																																											BgL_tagzd2386zd2_1735;
																																																									}
																																																									BgL_auxz00_14144
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_18968);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd217771zd2_4563;
																																																								BgL_cdrzd217771zd2_4563
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd217777zd2_4564;
																																																									BgL_cdrzd217777zd2_4564
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd217743zd2_4555));
																																																									if ((CAR(((obj_t) BgL_carzd217743zd2_4555)) == CNST_TABLE_REF(((long) 1))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd217783zd2_4567;
																																																											BgL_cdrzd217783zd2_4567
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd217777zd2_4564));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_carzd217788zd2_4568;
																																																												obj_t
																																																													BgL_cdrzd217789zd2_4569;
																																																												BgL_carzd217788zd2_4568
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd217783zd2_4567));
																																																												BgL_cdrzd217789zd2_4569
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd217783zd2_4567));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217788zd2_4568))
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (PAIRP(BgL_cdrzd217789zd2_4569))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd217796zd2_4572;
																																																																BgL_carzd217796zd2_4572
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd217789zd2_4569);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217796zd2_4572))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (NULLP(CDR(BgL_cdrzd217789zd2_4569)))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				bool_t
																																																																					BgL_testz00_18998;
																																																																				{
																																																																					obj_t
																																																																						BgL_l1393z00_4605;
																																																																					BgL_l1393z00_4605
																																																																						=
																																																																						BgL_cdrzd217771zd2_4563;
																																																																				BgL_zc3anonymousza33947ze3z83_4606:
																																																																					if (NULLP(BgL_l1393z00_4605))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_18998
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							bool_t
																																																																								BgL_testz00_19001;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								bool_t
																																																																									BgL_testz00_19002;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_tmpz00_19003;
																																																																									BgL_tmpz00_19003
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_l1393z00_4605));
																																																																									BgL_testz00_19002
																																																																										=
																																																																										PAIRP
																																																																										(BgL_tmpz00_19003);
																																																																								}
																																																																								if (BgL_testz00_19002)
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										BgL_testz00_19001
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										BgL_testz00_19001
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																							}
																																																																							if (BgL_testz00_19001)
																																																																								{
																																																																									obj_t
																																																																										BgL_l1393z00_19007;
																																																																									BgL_l1393z00_19007
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_l1393z00_4605));
																																																																									BgL_l1393z00_4605
																																																																										=
																																																																										BgL_l1393z00_19007;
																																																																									goto
																																																																										BgL_zc3anonymousza33947ze3z83_4606;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_18998
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																				if (BgL_testz00_18998)
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg3937z00_4588;
																																																																						BgL_arg3937z00_4588
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd217777zd2_4564));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_19012;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_19016;
																																																																								obj_t
																																																																									BgL_proc2z00_19015;
																																																																								obj_t
																																																																									BgL_proc1z00_19014;
																																																																								obj_t
																																																																									BgL_testz00_19013;
																																																																								BgL_testz00_19013
																																																																									=
																																																																									BgL_arg3937z00_4588;
																																																																								BgL_proc1z00_19014
																																																																									=
																																																																									BgL_carzd217788zd2_4568;
																																																																								BgL_proc2z00_19015
																																																																									=
																																																																									BgL_carzd217796zd2_4572;
																																																																								BgL_argsz00_19016
																																																																									=
																																																																									BgL_cdrzd217771zd2_4563;
																																																																								BgL_argsz00_1739
																																																																									=
																																																																									BgL_argsz00_19016;
																																																																								BgL_proc2z00_1738
																																																																									=
																																																																									BgL_proc2z00_19015;
																																																																								BgL_proc1z00_1737
																																																																									=
																																																																									BgL_proc1z00_19014;
																																																																								BgL_testz00_1736
																																																																									=
																																																																									BgL_testz00_19013;
																																																																								goto
																																																																									BgL_tagzd2387zd2_1740;
																																																																							}
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_19012);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd217820zd2_4589;
																																																																						BgL_cdrzd217820zd2_4589
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd217827zd2_4590;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_pairz00_11017;
																																																																								BgL_pairz00_11017
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd217827zd2_4590
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_11017);
																																																																							}
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd217834zd2_4591;
																																																																								BgL_cdrzd217834zd2_4591
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd217827zd2_4590));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd217840zd2_4592;
																																																																									BgL_carzd217840zd2_4592
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd217834zd2_4591));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217840zd2_4592))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd217847zd2_4594;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_11021;
																																																																												BgL_pairz00_11021
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd217834zd2_4591));
																																																																												BgL_carzd217847zd2_4594
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_11021);
																																																																											}
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217847zd2_4594))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd217820zd2_4589))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg3941z00_4597;
																																																																															BgL_arg3941z00_4597
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd217827zd2_4590));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_19038;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_19042;
																																																																																	obj_t
																																																																																		BgL_proc2z00_19041;
																																																																																	obj_t
																																																																																		BgL_proc1z00_19040;
																																																																																	obj_t
																																																																																		BgL_testz00_19039;
																																																																																	BgL_testz00_19039
																																																																																		=
																																																																																		BgL_arg3941z00_4597;
																																																																																	BgL_proc1z00_19040
																																																																																		=
																																																																																		BgL_carzd217840zd2_4592;
																																																																																	BgL_proc2z00_19041
																																																																																		=
																																																																																		BgL_carzd217847zd2_4594;
																																																																																	BgL_argsz00_19042
																																																																																		=
																																																																																		BgL_cdrzd217820zd2_4589;
																																																																																	BgL_argsz00_1744
																																																																																		=
																																																																																		BgL_argsz00_19042;
																																																																																	BgL_proc2z00_1743
																																																																																		=
																																																																																		BgL_proc2z00_19041;
																																																																																	BgL_proc1z00_1742
																																																																																		=
																																																																																		BgL_proc1z00_19040;
																																																																																	BgL_testz00_1741
																																																																																		=
																																																																																		BgL_testz00_19039;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1745;
																																																																																}
																																																																																BgL_auxz00_14144
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_19038);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19046;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19046);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19050;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19050);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19054;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19054);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_19058;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_14144
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_19058);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd218123zd2_4616;
																																																																		BgL_cdrzd218123zd2_4616
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd218129zd2_4617;
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_pairz00_11025;
																																																																				BgL_pairz00_11025
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd218129zd2_4617
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_11025);
																																																																			}
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd218135zd2_4618;
																																																																				BgL_cdrzd218135zd2_4618
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd218129zd2_4617));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd218140zd2_4619;
																																																																					obj_t
																																																																						BgL_cdrzd218141zd2_4620;
																																																																					BgL_carzd218140zd2_4619
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd218135zd2_4618));
																																																																					BgL_cdrzd218141zd2_4620
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd218135zd2_4618));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218140zd2_4619))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd218146zd2_4622;
																																																																							BgL_carzd218146zd2_4622
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd218141zd2_4620));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218146zd2_4622))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(((obj_t) BgL_cdrzd218141zd2_4620))))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd218123zd2_4616))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg3956z00_4627;
																																																																													BgL_arg3956z00_4627
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd218129zd2_4617));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_19085;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_19089;
																																																																															obj_t
																																																																																BgL_proc2z00_19088;
																																																																															obj_t
																																																																																BgL_proc1z00_19087;
																																																																															obj_t
																																																																																BgL_testz00_19086;
																																																																															BgL_testz00_19086
																																																																																=
																																																																																BgL_arg3956z00_4627;
																																																																															BgL_proc1z00_19087
																																																																																=
																																																																																BgL_carzd218140zd2_4619;
																																																																															BgL_proc2z00_19088
																																																																																=
																																																																																BgL_carzd218146zd2_4622;
																																																																															BgL_argsz00_19089
																																																																																=
																																																																																BgL_cdrzd218123zd2_4616;
																																																																															BgL_argsz00_1744
																																																																																=
																																																																																BgL_argsz00_19089;
																																																																															BgL_proc2z00_1743
																																																																																=
																																																																																BgL_proc2z00_19088;
																																																																															BgL_proc1z00_1742
																																																																																=
																																																																																BgL_proc1z00_19087;
																																																																															BgL_testz00_1741
																																																																																=
																																																																																BgL_testz00_19086;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1745;
																																																																														}
																																																																														BgL_auxz00_14144
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_19085);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19093;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19093);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19097;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19097);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19101;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19101);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19105;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19105);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1769;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_19109;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1770;
																																																																		BgL_auxz00_14144
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_19109);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd218479zd2_4635;
																																																														BgL_cdrzd218479zd2_4635
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd218486zd2_4636;
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_pairz00_11035;
																																																																BgL_pairz00_11035
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_cdrzd218486zd2_4636
																																																																	=
																																																																	CDR
																																																																	(BgL_pairz00_11035);
																																																															}
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd218493zd2_4637;
																																																																BgL_cdrzd218493zd2_4637
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd218486zd2_4636));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_carzd218499zd2_4638;
																																																																	obj_t
																																																																		BgL_cdrzd218500zd2_4639;
																																																																	BgL_carzd218499zd2_4638
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd218493zd2_4637));
																																																																	BgL_cdrzd218500zd2_4639
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd218493zd2_4637));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218499zd2_4638))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (PAIRP(BgL_cdrzd218500zd2_4639))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd218507zd2_4642;
																																																																					BgL_carzd218507zd2_4642
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd218500zd2_4639);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218507zd2_4642))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(BgL_cdrzd218500zd2_4639)))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd218479zd2_4635))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_arg3970z00_4647;
																																																																											BgL_arg3970z00_4647
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd218486zd2_4636));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_19136;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_19140;
																																																																													obj_t
																																																																														BgL_proc2z00_19139;
																																																																													obj_t
																																																																														BgL_proc1z00_19138;
																																																																													obj_t
																																																																														BgL_testz00_19137;
																																																																													BgL_testz00_19137
																																																																														=
																																																																														BgL_arg3970z00_4647;
																																																																													BgL_proc1z00_19138
																																																																														=
																																																																														BgL_carzd218499zd2_4638;
																																																																													BgL_proc2z00_19139
																																																																														=
																																																																														BgL_carzd218507zd2_4642;
																																																																													BgL_argsz00_19140
																																																																														=
																																																																														BgL_cdrzd218479zd2_4635;
																																																																													BgL_argsz00_1744
																																																																														=
																																																																														BgL_argsz00_19140;
																																																																													BgL_proc2z00_1743
																																																																														=
																																																																														BgL_proc2z00_19139;
																																																																													BgL_proc1z00_1742
																																																																														=
																																																																														BgL_proc1z00_19138;
																																																																													BgL_testz00_1741
																																																																														=
																																																																														BgL_testz00_19137;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1745;
																																																																												}
																																																																												BgL_auxz00_14144
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_19136);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19144;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19144);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19148;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19148);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19152;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19152);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_19156;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_19156);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1769;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_19160;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1770;
																																																																					BgL_auxz00_14144
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_19160);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2403zd2_1769;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_19164;
																																																													goto
																																																														BgL_tagzd2404zd2_1770;
																																																													BgL_auxz00_14144
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_19164);
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_cdrzd218900zd2_4661;
																																														BgL_cdrzd218900zd2_4661
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 118 */
																																															bool_t
																																																BgL_testz00_19168;
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_arg3998z00_4678;
																																																BgL_arg3998z00_4678
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_testz00_19168
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg3998z00_4678));
																																															}
																																															if (BgL_testz00_19168)
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg3986z00_4664;
																																																	obj_t
																																																		BgL_arg3987z00_4665;
																																																	BgL_arg3986z00_4664
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd218900zd2_4661));
																																																	BgL_arg3987z00_4665
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd218900zd2_4661));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_19177;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_19179;
																																																			obj_t
																																																				BgL_bindingsz00_19178;
																																																			BgL_bindingsz00_19178
																																																				=
																																																				BgL_arg3986z00_4664;
																																																			BgL_exprz00_19179
																																																				=
																																																				BgL_arg3987z00_4665;
																																																			BgL_exprz00_1724
																																																				=
																																																				BgL_exprz00_19179;
																																																			BgL_bindingsz00_1723
																																																				=
																																																				BgL_bindingsz00_19178;
																																																			goto
																																																				BgL_tagzd2382zd2_1725;
																																																		}
																																																		BgL_auxz00_14144
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_19177);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	bool_t
																																																		BgL_testz00_19181;
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg3997z00_4677;
																																																		BgL_arg3997z00_4677
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_testz00_19181
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg3997z00_4677));
																																																	}
																																																	if (BgL_testz00_19181)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_19186;
																																																			goto
																																																				BgL_tagzd2384zd2_1727;
																																																			BgL_auxz00_14144
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_19186);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_carzd218966zd2_4668;
																																																			BgL_carzd218966zd2_4668
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd218971zd2_4669;
																																																				BgL_cdrzd218971zd2_4669
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd218966zd2_4668));
																																																				if ((CAR(((obj_t) BgL_carzd218966zd2_4668)) == CNST_TABLE_REF(((long) 3))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg3992z00_4672;
																																																						obj_t
																																																							BgL_arg3993z00_4673;
																																																						obj_t
																																																							BgL_arg3994z00_4674;
																																																						BgL_arg3992z00_4672
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd218971zd2_4669));
																																																						BgL_arg3993z00_4673
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd218971zd2_4669));
																																																						BgL_arg3994z00_4674
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_19203;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_19206;
																																																								obj_t
																																																									BgL_bodyz00_19205;
																																																								obj_t
																																																									BgL_varsz00_19204;
																																																								BgL_varsz00_19204
																																																									=
																																																									BgL_arg3992z00_4672;
																																																								BgL_bodyz00_19205
																																																									=
																																																									BgL_arg3993z00_4673;
																																																								BgL_argsz00_19206
																																																									=
																																																									BgL_arg3994z00_4674;
																																																								BgL_argsz00_1734
																																																									=
																																																									BgL_argsz00_19206;
																																																								BgL_bodyz00_1733
																																																									=
																																																									BgL_bodyz00_19205;
																																																								BgL_varsz00_1732
																																																									=
																																																									BgL_varsz00_19204;
																																																								goto
																																																									BgL_tagzd2386zd2_1735;
																																																							}
																																																							BgL_auxz00_14144
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_19203);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_tagzd2403zd2_1769;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_19210;
																																																								goto
																																																									BgL_tagzd2404zd2_1770;
																																																								BgL_auxz00_14144
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_19210);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_cdrzd219082zd2_4679;
																																												BgL_cdrzd219082zd2_4679
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{	/* Ast/sexp.scm 118 */
																																													bool_t
																																														BgL_testz00_19214;
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_arg4007z00_4688;
																																														BgL_arg4007z00_4688
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														BgL_testz00_19214
																																															=
																																															CBOOL
																																															(BGl_letzd2symzf3z21zzast_letz00
																																															(BgL_arg4007z00_4688));
																																													}
																																													if (BgL_testz00_19214)
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg4001z00_4682;
																																															obj_t
																																																BgL_arg4002z00_4683;
																																															BgL_arg4001z00_4682
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd219082zd2_4679));
																																															BgL_arg4002z00_4683
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd219082zd2_4679));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_19223;
																																																{
																																																	obj_t
																																																		BgL_exprz00_19225;
																																																	obj_t
																																																		BgL_bindingsz00_19224;
																																																	BgL_bindingsz00_19224
																																																		=
																																																		BgL_arg4001z00_4682;
																																																	BgL_exprz00_19225
																																																		=
																																																		BgL_arg4002z00_4683;
																																																	BgL_exprz00_1724
																																																		=
																																																		BgL_exprz00_19225;
																																																	BgL_bindingsz00_1723
																																																		=
																																																		BgL_bindingsz00_19224;
																																																	goto
																																																		BgL_tagzd2382zd2_1725;
																																																}
																																																BgL_auxz00_14144
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_19223);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															bool_t
																																																BgL_testz00_19227;
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_arg4006z00_4687;
																																																BgL_arg4006z00_4687
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_testz00_19227
																																																	=
																																																	CBOOL
																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																	(BgL_arg4006z00_4687));
																																															}
																																															if (BgL_testz00_19227)
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_19232;
																																																	goto
																																																		BgL_tagzd2384zd2_1727;
																																																	BgL_auxz00_14144
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_19232);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 118 */
																																																			goto
																																																				BgL_tagzd2403zd2_1769;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_19236;
																																																			goto
																																																				BgL_tagzd2404zd2_1770;
																																																			BgL_auxz00_14144
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_19236);
																																																		}
																																																}
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd217647zd2_4358)))
																																											{	/* Ast/sexp.scm 118 */
																																												goto
																																													BgL_kapzd217649zd2_4360;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if ((BgL_carzd217647zd2_4358 == CNST_TABLE_REF(((long) 18))))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_kapzd217649zd2_4360;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if ((BgL_carzd217647zd2_4358 == CNST_TABLE_REF(((long) 19))))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd217649zd2_4360;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd217647zd2_4358)))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd217649zd2_4360;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd219254zd2_4366;
																																																		BgL_cdrzd219254zd2_4366
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			bool_t
																																																				BgL_testz00_19252;
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg3907z00_4540;
																																																				BgL_arg3907z00_4540
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_testz00_19252
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg3907z00_4540));
																																																			}
																																																			if (BgL_testz00_19252)
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg3791z00_4369;
																																																					obj_t
																																																						BgL_arg3792z00_4370;
																																																					BgL_arg3791z00_4369
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd219254zd2_4366));
																																																					BgL_arg3792z00_4370
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd219254zd2_4366));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_19261;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_19263;
																																																							obj_t
																																																								BgL_bindingsz00_19262;
																																																							BgL_bindingsz00_19262
																																																								=
																																																								BgL_arg3791z00_4369;
																																																							BgL_exprz00_19263
																																																								=
																																																								BgL_arg3792z00_4370;
																																																							BgL_exprz00_1724
																																																								=
																																																								BgL_exprz00_19263;
																																																							BgL_bindingsz00_1723
																																																								=
																																																								BgL_bindingsz00_19262;
																																																							goto
																																																								BgL_tagzd2382zd2_1725;
																																																						}
																																																						BgL_auxz00_14144
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_19261);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_19265;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg3906z00_4539;
																																																						BgL_arg3906z00_4539
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_19265
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg3906z00_4539));
																																																					}
																																																					if (BgL_testz00_19265)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_19270;
																																																							goto
																																																								BgL_tagzd2384zd2_1727;
																																																							BgL_auxz00_14144
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_19270);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd219307zd2_4373;
																																																							obj_t
																																																								BgL_cdrzd219308zd2_4374;
																																																							BgL_carzd219307zd2_4373
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_cdrzd219308zd2_4374
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd219312zd2_4375;
																																																								BgL_cdrzd219312zd2_4375
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd219307zd2_4373));
																																																								if ((CAR(((obj_t) BgL_carzd219307zd2_4373)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (PAIRP(BgL_cdrzd219312zd2_4375))
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_carzd219315zd2_4379;
																																																												obj_t
																																																													BgL_cdrzd219316zd2_4380;
																																																												BgL_carzd219315zd2_4379
																																																													=
																																																													CAR
																																																													(BgL_cdrzd219312zd2_4375);
																																																												BgL_cdrzd219316zd2_4380
																																																													=
																																																													CDR
																																																													(BgL_cdrzd219312zd2_4375);
																																																												if (PAIRP(BgL_carzd219315zd2_4379))
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (NULLP(CDR(BgL_carzd219315zd2_4379)))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (PAIRP(BgL_cdrzd219316zd2_4380))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd219322zd2_4385;
																																																																		BgL_carzd219322zd2_4385
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd219316zd2_4380);
																																																																		if (PAIRP(BgL_carzd219322zd2_4385))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd219322zd2_4385))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(BgL_cdrzd219316zd2_4380)))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd219329zd2_4390;
																																																																								BgL_carzd219329zd2_4390
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd219308zd2_4374));
																																																																								if (PAIRP(BgL_carzd219329zd2_4390))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd219354zd2_4392;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_11083;
																																																																											BgL_pairz00_11083
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd219354zd2_4392
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_11083);
																																																																										}
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_arg3807z00_4393;
																																																																											obj_t
																																																																												BgL_arg3808z00_4394;
																																																																											obj_t
																																																																												BgL_arg3809z00_4395;
																																																																											BgL_arg3807z00_4393
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd219354zd2_4392));
																																																																											BgL_arg3808z00_4394
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd219354zd2_4392));
																																																																											BgL_arg3809z00_4395
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_19315;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_19318;
																																																																													obj_t
																																																																														BgL_bodyz00_19317;
																																																																													obj_t
																																																																														BgL_varsz00_19316;
																																																																													BgL_varsz00_19316
																																																																														=
																																																																														BgL_arg3807z00_4393;
																																																																													BgL_bodyz00_19317
																																																																														=
																																																																														BgL_arg3808z00_4394;
																																																																													BgL_argsz00_19318
																																																																														=
																																																																														BgL_arg3809z00_4395;
																																																																													BgL_argsz00_1734
																																																																														=
																																																																														BgL_argsz00_19318;
																																																																													BgL_bodyz00_1733
																																																																														=
																																																																														BgL_bodyz00_19317;
																																																																													BgL_varsz00_1732
																																																																														=
																																																																														BgL_varsz00_19316;
																																																																													goto
																																																																														BgL_tagzd2386zd2_1735;
																																																																												}
																																																																												BgL_auxz00_14144
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_19315);
																																																																											}
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (NULLP(CDR(((obj_t) BgL_cdrzd219308zd2_4374))))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg3813z00_4399;
																																																																												BgL_arg3813z00_4399
																																																																													=
																																																																													CAR
																																																																													(BgL_carzd219315zd2_4379);
																																																																												{
																																																																													BgL_castz00_bglt
																																																																														BgL_auxz00_19325;
																																																																													BgL_varz00_1728
																																																																														=
																																																																														BgL_arg3813z00_4399;
																																																																													BgL_bodyz00_1729
																																																																														=
																																																																														BgL_carzd219322zd2_4385;
																																																																													BgL_argz00_1730
																																																																														=
																																																																														BgL_carzd219329zd2_4390;
																																																																												BgL_tagzd2385zd2_1731:
																																																																													{	/* Ast/sexp.scm 373 */
																																																																														BgL_castz00_bglt
																																																																															BgL_new1136z00_8726;
																																																																														{	/* Ast/sexp.scm 374 */
																																																																															BgL_castz00_bglt
																																																																																BgL_new1135z00_8728;
																																																																															BgL_new1135z00_8728
																																																																																=
																																																																																(
																																																																																(BgL_castz00_bglt)
																																																																																BOBJECT
																																																																																(GC_MALLOC
																																																																																	(sizeof
																																																																																		(struct
																																																																																			BgL_castz00_bgl))));
																																																																															{	/* Ast/sexp.scm 374 */
																																																																																long
																																																																																	BgL_arg6818z00_8729;
																																																																																{	/* Ast/sexp.scm 374 */
																																																																																	long
																																																																																		BgL_res7380z00_9888;
																																																																																	BgL_res7380z00_9888
																																																																																		=
																																																																																		BGL_CLASS_INDEX
																																																																																		(BGl_castz00zzast_nodez00);
																																																																																	BgL_arg6818z00_8729
																																																																																		=
																																																																																		BgL_res7380z00_9888;
																																																																																}
																																																																																BGL_OBJECT_CLASS_NUM_SET
																																																																																	(
																																																																																	((BgL_objectz00_bglt) BgL_new1135z00_8728), BgL_arg6818z00_8729);
																																																																															}
																																																																															{	/* Ast/sexp.scm 374 */
																																																																																BgL_objectz00_bglt
																																																																																	BgL_tmpz00_19330;
																																																																																BgL_tmpz00_19330
																																																																																	=
																																																																																	(
																																																																																	(BgL_objectz00_bglt)
																																																																																	BgL_new1135z00_8728);
																																																																																BGL_OBJECT_WIDENING_SET
																																																																																	(BgL_tmpz00_19330,
																																																																																	BFALSE);
																																																																															}
																																																																															BgL_new1136z00_8726
																																																																																=
																																																																																BgL_new1135z00_8728;
																																																																														}
																																																																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1136z00_8726)))->BgL_locz00) = ((obj_t) BgL_locz00_23), BUNSPEC);
																																																																														{
																																																																															BgL_typez00_bglt
																																																																																BgL_auxz00_19335;
																																																																															{	/* Ast/sexp.scm 375 */
																																																																																obj_t
																																																																																	BgL_arg6817z00_8727;
																																																																																BgL_arg6817z00_8727
																																																																																	=
																																																																																	BGl_castzd2sexpzd2typez00zzast_privatez00
																																																																																	(BgL_bodyz00_1729);
																																																																																BgL_auxz00_19335
																																																																																	=
																																																																																	BGl_usezd2typez12zc0zztype_envz00
																																																																																	(BgL_arg6817z00_8727,
																																																																																	BgL_locz00_23);
																																																																															}
																																																																															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1136z00_8726)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_19335), BUNSPEC);
																																																																														}
																																																																														((((BgL_castz00_bglt) COBJECT(BgL_new1136z00_8726))->BgL_argz00) = ((BgL_nodez00_bglt) BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_argz00_1730, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24)), BUNSPEC);
																																																																														BgL_auxz00_19325
																																																																															=
																																																																															BgL_new1136z00_8726;
																																																																													}
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19325);
																																																																											}}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd219382zd2_4400;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_11091;
																																																																													BgL_pairz00_11091
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd219382zd2_4400
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_11091);
																																																																												}
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg3814z00_4401;
																																																																													obj_t
																																																																														BgL_arg3815z00_4402;
																																																																													obj_t
																																																																														BgL_arg3816z00_4403;
																																																																													BgL_arg3814z00_4401
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd219382zd2_4400));
																																																																													BgL_arg3815z00_4402
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd219382zd2_4400));
																																																																													BgL_arg3816z00_4403
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_19352;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_19355;
																																																																															obj_t
																																																																																BgL_bodyz00_19354;
																																																																															obj_t
																																																																																BgL_varsz00_19353;
																																																																															BgL_varsz00_19353
																																																																																=
																																																																																BgL_arg3814z00_4401;
																																																																															BgL_bodyz00_19354
																																																																																=
																																																																																BgL_arg3815z00_4402;
																																																																															BgL_argsz00_19355
																																																																																=
																																																																																BgL_arg3816z00_4403;
																																																																															BgL_argsz00_1734
																																																																																=
																																																																																BgL_argsz00_19355;
																																																																															BgL_bodyz00_1733
																																																																																=
																																																																																BgL_bodyz00_19354;
																																																																															BgL_varsz00_1732
																																																																																=
																																																																																BgL_varsz00_19353;
																																																																															goto
																																																																																BgL_tagzd2386zd2_1735;
																																																																														}
																																																																														BgL_auxz00_14144
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_19352);
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd219408zd2_4406;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_11096;
																																																																									BgL_pairz00_11096
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd219408zd2_4406
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_11096);
																																																																								}
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_arg3819z00_4407;
																																																																									obj_t
																																																																										BgL_arg3820z00_4408;
																																																																									obj_t
																																																																										BgL_arg3821z00_4409;
																																																																									BgL_arg3819z00_4407
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd219408zd2_4406));
																																																																									BgL_arg3820z00_4408
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd219408zd2_4406));
																																																																									BgL_arg3821z00_4409
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_19366;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_19369;
																																																																											obj_t
																																																																												BgL_bodyz00_19368;
																																																																											obj_t
																																																																												BgL_varsz00_19367;
																																																																											BgL_varsz00_19367
																																																																												=
																																																																												BgL_arg3819z00_4407;
																																																																											BgL_bodyz00_19368
																																																																												=
																																																																												BgL_arg3820z00_4408;
																																																																											BgL_argsz00_19369
																																																																												=
																																																																												BgL_arg3821z00_4409;
																																																																											BgL_argsz00_1734
																																																																												=
																																																																												BgL_argsz00_19369;
																																																																											BgL_bodyz00_1733
																																																																												=
																																																																												BgL_bodyz00_19368;
																																																																											BgL_varsz00_1732
																																																																												=
																																																																												BgL_varsz00_19367;
																																																																											goto
																																																																												BgL_tagzd2386zd2_1735;
																																																																										}
																																																																										BgL_auxz00_14144
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_19366);
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd219434zd2_4412;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_11101;
																																																																							BgL_pairz00_11101
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd219434zd2_4412
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_11101);
																																																																						}
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_arg3824z00_4413;
																																																																							obj_t
																																																																								BgL_arg3825z00_4414;
																																																																							obj_t
																																																																								BgL_arg3826z00_4415;
																																																																							BgL_arg3824z00_4413
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd219434zd2_4412));
																																																																							BgL_arg3825z00_4414
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd219434zd2_4412));
																																																																							BgL_arg3826z00_4415
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_19380;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_19383;
																																																																									obj_t
																																																																										BgL_bodyz00_19382;
																																																																									obj_t
																																																																										BgL_varsz00_19381;
																																																																									BgL_varsz00_19381
																																																																										=
																																																																										BgL_arg3824z00_4413;
																																																																									BgL_bodyz00_19382
																																																																										=
																																																																										BgL_arg3825z00_4414;
																																																																									BgL_argsz00_19383
																																																																										=
																																																																										BgL_arg3826z00_4415;
																																																																									BgL_argsz00_1734
																																																																										=
																																																																										BgL_argsz00_19383;
																																																																									BgL_bodyz00_1733
																																																																										=
																																																																										BgL_bodyz00_19382;
																																																																									BgL_varsz00_1732
																																																																										=
																																																																										BgL_varsz00_19381;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1735;
																																																																								}
																																																																								BgL_auxz00_14144
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_19380);
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd219460zd2_4417;
																																																																				BgL_cdrzd219460zd2_4417
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_carzd219307zd2_4373));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_arg3828z00_4418;
																																																																					obj_t
																																																																						BgL_arg3829z00_4419;
																																																																					obj_t
																																																																						BgL_arg3830z00_4420;
																																																																					BgL_arg3828z00_4418
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd219460zd2_4417));
																																																																					BgL_arg3829z00_4419
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd219460zd2_4417));
																																																																					BgL_arg3830z00_4420
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_19393;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_19396;
																																																																							obj_t
																																																																								BgL_bodyz00_19395;
																																																																							obj_t
																																																																								BgL_varsz00_19394;
																																																																							BgL_varsz00_19394
																																																																								=
																																																																								BgL_arg3828z00_4418;
																																																																							BgL_bodyz00_19395
																																																																								=
																																																																								BgL_arg3829z00_4419;
																																																																							BgL_argsz00_19396
																																																																								=
																																																																								BgL_arg3830z00_4420;
																																																																							BgL_argsz00_1734
																																																																								=
																																																																								BgL_argsz00_19396;
																																																																							BgL_bodyz00_1733
																																																																								=
																																																																								BgL_bodyz00_19395;
																																																																							BgL_varsz00_1732
																																																																								=
																																																																								BgL_varsz00_19394;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1735;
																																																																						}
																																																																						BgL_auxz00_14144
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_19393);
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd219486zd2_4422;
																																																																		BgL_cdrzd219486zd2_4422
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd219307zd2_4373));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_arg3832z00_4423;
																																																																			obj_t
																																																																				BgL_arg3833z00_4424;
																																																																			obj_t
																																																																				BgL_arg3834z00_4425;
																																																																			BgL_arg3832z00_4423
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd219486zd2_4422));
																																																																			BgL_arg3833z00_4424
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd219486zd2_4422));
																																																																			BgL_arg3834z00_4425
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_19406;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_19409;
																																																																					obj_t
																																																																						BgL_bodyz00_19408;
																																																																					obj_t
																																																																						BgL_varsz00_19407;
																																																																					BgL_varsz00_19407
																																																																						=
																																																																						BgL_arg3832z00_4423;
																																																																					BgL_bodyz00_19408
																																																																						=
																																																																						BgL_arg3833z00_4424;
																																																																					BgL_argsz00_19409
																																																																						=
																																																																						BgL_arg3834z00_4425;
																																																																					BgL_argsz00_1734
																																																																						=
																																																																						BgL_argsz00_19409;
																																																																					BgL_bodyz00_1733
																																																																						=
																																																																						BgL_bodyz00_19408;
																																																																					BgL_varsz00_1732
																																																																						=
																																																																						BgL_varsz00_19407;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1735;
																																																																				}
																																																																				BgL_auxz00_14144
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_19406);
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd219512zd2_4427;
																																																																BgL_cdrzd219512zd2_4427
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd219307zd2_4373));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg3836z00_4428;
																																																																	obj_t
																																																																		BgL_arg3837z00_4429;
																																																																	obj_t
																																																																		BgL_arg3838z00_4430;
																																																																	BgL_arg3836z00_4428
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd219512zd2_4427));
																																																																	BgL_arg3837z00_4429
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd219512zd2_4427));
																																																																	BgL_arg3838z00_4430
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_19419;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_19422;
																																																																			obj_t
																																																																				BgL_bodyz00_19421;
																																																																			obj_t
																																																																				BgL_varsz00_19420;
																																																																			BgL_varsz00_19420
																																																																				=
																																																																				BgL_arg3836z00_4428;
																																																																			BgL_bodyz00_19421
																																																																				=
																																																																				BgL_arg3837z00_4429;
																																																																			BgL_argsz00_19422
																																																																				=
																																																																				BgL_arg3838z00_4430;
																																																																			BgL_argsz00_1734
																																																																				=
																																																																				BgL_argsz00_19422;
																																																																			BgL_bodyz00_1733
																																																																				=
																																																																				BgL_bodyz00_19421;
																																																																			BgL_varsz00_1732
																																																																				=
																																																																				BgL_varsz00_19420;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1735;
																																																																		}
																																																																		BgL_auxz00_14144
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_19419);
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd219538zd2_4433;
																																																														BgL_cdrzd219538zd2_4433
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd219307zd2_4373));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg3841z00_4434;
																																																															obj_t
																																																																BgL_arg3842z00_4435;
																																																															obj_t
																																																																BgL_arg3843z00_4436;
																																																															BgL_arg3841z00_4434
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd219538zd2_4433));
																																																															BgL_arg3842z00_4435
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd219538zd2_4433));
																																																															BgL_arg3843z00_4436
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_19432;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_19435;
																																																																	obj_t
																																																																		BgL_bodyz00_19434;
																																																																	obj_t
																																																																		BgL_varsz00_19433;
																																																																	BgL_varsz00_19433
																																																																		=
																																																																		BgL_arg3841z00_4434;
																																																																	BgL_bodyz00_19434
																																																																		=
																																																																		BgL_arg3842z00_4435;
																																																																	BgL_argsz00_19435
																																																																		=
																																																																		BgL_arg3843z00_4436;
																																																																	BgL_argsz00_1734
																																																																		=
																																																																		BgL_argsz00_19435;
																																																																	BgL_bodyz00_1733
																																																																		=
																																																																		BgL_bodyz00_19434;
																																																																	BgL_varsz00_1732
																																																																		=
																																																																		BgL_varsz00_19433;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1735;
																																																																}
																																																																BgL_auxz00_14144
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_19432);
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1769;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_19439;
																																																														goto
																																																															BgL_tagzd2404zd2_1770;
																																																														BgL_auxz00_14144
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_19439);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd219676zd2_4441;
																																																										BgL_cdrzd219676zd2_4441
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd219307zd2_4373));
																																																										if ((CAR(((obj_t) BgL_carzd219307zd2_4373)) == CNST_TABLE_REF(((long) 1))))
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (PAIRP(BgL_cdrzd219676zd2_4441))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd219681zd2_4445;
																																																														BgL_cdrzd219681zd2_4445
																																																															=
																																																															CDR
																																																															(BgL_cdrzd219676zd2_4441);
																																																														if (PAIRP(BgL_cdrzd219681zd2_4445))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd219685zd2_4447;
																																																																obj_t
																																																																	BgL_cdrzd219686zd2_4448;
																																																																BgL_carzd219685zd2_4447
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd219681zd2_4445);
																																																																BgL_cdrzd219686zd2_4448
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd219681zd2_4445);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219685zd2_4447))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (PAIRP(BgL_cdrzd219686zd2_4448))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd219691zd2_4451;
																																																																				BgL_carzd219691zd2_4451
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd219686zd2_4448);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219691zd2_4451))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(BgL_cdrzd219686zd2_4448)))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								bool_t
																																																																									BgL_testz00_19465;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1396z00_4484;
																																																																									BgL_l1396z00_4484
																																																																										=
																																																																										BgL_cdrzd219308zd2_4374;
																																																																								BgL_zc3anonymousza33870ze3z83_4485:
																																																																									if (NULLP(BgL_l1396z00_4484))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_19465
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_19468;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												bool_t
																																																																													BgL_testz00_19469;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_tmpz00_19470;
																																																																													BgL_tmpz00_19470
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1396z00_4484));
																																																																													BgL_testz00_19469
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_19470);
																																																																												}
																																																																												if (BgL_testz00_19469)
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_19468
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_19468
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_testz00_19468)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1396z00_19474;
																																																																													BgL_l1396z00_19474
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1396z00_4484));
																																																																													BgL_l1396z00_4484
																																																																														=
																																																																														BgL_l1396z00_19474;
																																																																													goto
																																																																														BgL_zc3anonymousza33870ze3z83_4485;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													BgL_testz00_19465
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_testz00_19465)
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg3860z00_4467;
																																																																										BgL_arg3860z00_4467
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd219676zd2_4441);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19478;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_19482;
																																																																												obj_t
																																																																													BgL_proc2z00_19481;
																																																																												obj_t
																																																																													BgL_proc1z00_19480;
																																																																												obj_t
																																																																													BgL_testz00_19479;
																																																																												BgL_testz00_19479
																																																																													=
																																																																													BgL_arg3860z00_4467;
																																																																												BgL_proc1z00_19480
																																																																													=
																																																																													BgL_carzd219685zd2_4447;
																																																																												BgL_proc2z00_19481
																																																																													=
																																																																													BgL_carzd219691zd2_4451;
																																																																												BgL_argsz00_19482
																																																																													=
																																																																													BgL_cdrzd219308zd2_4374;
																																																																												BgL_argsz00_1739
																																																																													=
																																																																													BgL_argsz00_19482;
																																																																												BgL_proc2z00_1738
																																																																													=
																																																																													BgL_proc2z00_19481;
																																																																												BgL_proc1z00_1737
																																																																													=
																																																																													BgL_proc1z00_19480;
																																																																												BgL_testz00_1736
																																																																													=
																																																																													BgL_testz00_19479;
																																																																												goto
																																																																													BgL_tagzd2387zd2_1740;
																																																																											}
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19478);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd219716zd2_4468;
																																																																										BgL_cdrzd219716zd2_4468
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd219724zd2_4469;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_11145;
																																																																												BgL_pairz00_11145
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd219724zd2_4469
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_11145);
																																																																											}
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd219732zd2_4470;
																																																																												BgL_cdrzd219732zd2_4470
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd219724zd2_4469));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd219739zd2_4471;
																																																																													BgL_carzd219739zd2_4471
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd219732zd2_4470));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219739zd2_4471))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd219748zd2_4473;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_pairz00_11149;
																																																																																BgL_pairz00_11149
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd219732zd2_4470));
																																																																																BgL_carzd219748zd2_4473
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_11149);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219748zd2_4473))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd219716zd2_4468))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg3864z00_4476;
																																																																																			BgL_arg3864z00_4476
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd219724zd2_4469));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19504;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_19508;
																																																																																					obj_t
																																																																																						BgL_proc2z00_19507;
																																																																																					obj_t
																																																																																						BgL_proc1z00_19506;
																																																																																					obj_t
																																																																																						BgL_testz00_19505;
																																																																																					BgL_testz00_19505
																																																																																						=
																																																																																						BgL_arg3864z00_4476;
																																																																																					BgL_proc1z00_19506
																																																																																						=
																																																																																						BgL_carzd219739zd2_4471;
																																																																																					BgL_proc2z00_19507
																																																																																						=
																																																																																						BgL_carzd219748zd2_4473;
																																																																																					BgL_argsz00_19508
																																																																																						=
																																																																																						BgL_cdrzd219716zd2_4468;
																																																																																					BgL_argsz00_1744
																																																																																						=
																																																																																						BgL_argsz00_19508;
																																																																																					BgL_proc2z00_1743
																																																																																						=
																																																																																						BgL_proc2z00_19507;
																																																																																					BgL_proc1z00_1742
																																																																																						=
																																																																																						BgL_proc1z00_19506;
																																																																																					BgL_testz00_1741
																																																																																						=
																																																																																						BgL_testz00_19505;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1745;
																																																																																				}
																																																																																				BgL_auxz00_14144
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19504);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_19512;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_14144
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_19512);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19516;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19516);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19520;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19520);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_19524;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_14144
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_19524);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd220026zd2_4495;
																																																																						BgL_cdrzd220026zd2_4495
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd220033zd2_4496;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_pairz00_11153;
																																																																								BgL_pairz00_11153
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd220033zd2_4496
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_11153);
																																																																							}
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd220040zd2_4497;
																																																																								BgL_cdrzd220040zd2_4497
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd220033zd2_4496));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd220046zd2_4498;
																																																																									obj_t
																																																																										BgL_cdrzd220047zd2_4499;
																																																																									BgL_carzd220046zd2_4498
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd220040zd2_4497));
																																																																									BgL_cdrzd220047zd2_4499
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd220040zd2_4497));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220046zd2_4498))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd220054zd2_4501;
																																																																											BgL_carzd220054zd2_4501
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd220047zd2_4499));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220054zd2_4501))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd220047zd2_4499))))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd220026zd2_4495))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg3879z00_4506;
																																																																																	BgL_arg3879z00_4506
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd220033zd2_4496));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_19551;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_19555;
																																																																																			obj_t
																																																																																				BgL_proc2z00_19554;
																																																																																			obj_t
																																																																																				BgL_proc1z00_19553;
																																																																																			obj_t
																																																																																				BgL_testz00_19552;
																																																																																			BgL_testz00_19552
																																																																																				=
																																																																																				BgL_arg3879z00_4506;
																																																																																			BgL_proc1z00_19553
																																																																																				=
																																																																																				BgL_carzd220046zd2_4498;
																																																																																			BgL_proc2z00_19554
																																																																																				=
																																																																																				BgL_carzd220054zd2_4501;
																																																																																			BgL_argsz00_19555
																																																																																				=
																																																																																				BgL_cdrzd220026zd2_4495;
																																																																																			BgL_argsz00_1744
																																																																																				=
																																																																																				BgL_argsz00_19555;
																																																																																			BgL_proc2z00_1743
																																																																																				=
																																																																																				BgL_proc2z00_19554;
																																																																																			BgL_proc1z00_1742
																																																																																				=
																																																																																				BgL_proc1z00_19553;
																																																																																			BgL_testz00_1741
																																																																																				=
																																																																																				BgL_testz00_19552;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1745;
																																																																																		}
																																																																																		BgL_auxz00_14144
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_19551);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19559;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_14144
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19559);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19563;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19563);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19567;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19567);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19571;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19571);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_19575;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_14144
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_19575);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd220387zd2_4514;
																																																																		BgL_cdrzd220387zd2_4514
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd220393zd2_4515;
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_pairz00_11163;
																																																																				BgL_pairz00_11163
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd220393zd2_4515
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_11163);
																																																																			}
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd220399zd2_4516;
																																																																				BgL_cdrzd220399zd2_4516
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd220393zd2_4515));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd220404zd2_4517;
																																																																					obj_t
																																																																						BgL_cdrzd220405zd2_4518;
																																																																					BgL_carzd220404zd2_4517
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd220399zd2_4516));
																																																																					BgL_cdrzd220405zd2_4518
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd220399zd2_4516));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220404zd2_4517))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (PAIRP(BgL_cdrzd220405zd2_4518))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd220410zd2_4521;
																																																																									BgL_carzd220410zd2_4521
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd220405zd2_4518);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220410zd2_4521))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (NULLP(CDR(BgL_cdrzd220405zd2_4518)))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd220387zd2_4514))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg3893z00_4526;
																																																																															BgL_arg3893z00_4526
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd220393zd2_4515));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_19602;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_19606;
																																																																																	obj_t
																																																																																		BgL_proc2z00_19605;
																																																																																	obj_t
																																																																																		BgL_proc1z00_19604;
																																																																																	obj_t
																																																																																		BgL_testz00_19603;
																																																																																	BgL_testz00_19603
																																																																																		=
																																																																																		BgL_arg3893z00_4526;
																																																																																	BgL_proc1z00_19604
																																																																																		=
																																																																																		BgL_carzd220404zd2_4517;
																																																																																	BgL_proc2z00_19605
																																																																																		=
																																																																																		BgL_carzd220410zd2_4521;
																																																																																	BgL_argsz00_19606
																																																																																		=
																																																																																		BgL_cdrzd220387zd2_4514;
																																																																																	BgL_argsz00_1744
																																																																																		=
																																																																																		BgL_argsz00_19606;
																																																																																	BgL_proc2z00_1743
																																																																																		=
																																																																																		BgL_proc2z00_19605;
																																																																																	BgL_proc1z00_1742
																																																																																		=
																																																																																		BgL_proc1z00_19604;
																																																																																	BgL_testz00_1741
																																																																																		=
																																																																																		BgL_testz00_19603;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1745;
																																																																																}
																																																																																BgL_auxz00_14144
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_19602);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19610;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19610);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19614;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19614);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19618;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19618);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19622;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19622);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19626;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19626);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1769;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_19630;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1770;
																																																																		BgL_auxz00_14144
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_19630);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1769;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_19634;
																																																																goto
																																																																	BgL_tagzd2404zd2_1770;
																																																																BgL_auxz00_14144
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_19634);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1769;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_19638;
																																																														goto
																																																															BgL_tagzd2404zd2_1770;
																																																														BgL_auxz00_14144
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_19638);
																																																													}
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_cdrzd220948zd2_4690;
																																							BgL_cdrzd220948zd2_4690
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if ((BgL_carzd217644zd2_4356 == CNST_TABLE_REF(((long) 17))))
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_arg4009z00_4692;
																																									obj_t
																																										BgL_arg4010z00_4693;
																																									BgL_arg4009z00_4692
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd220948zd2_4690));
																																									BgL_arg4010z00_4693
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd220948zd2_4690));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_19649;
																																										{
																																											obj_t
																																												BgL_exprz00_19651;
																																											obj_t
																																												BgL_bindingsz00_19650;
																																											BgL_bindingsz00_19650
																																												=
																																												BgL_arg4009z00_4692;
																																											BgL_exprz00_19651
																																												=
																																												BgL_arg4010z00_4693;
																																											BgL_exprz00_1724
																																												=
																																												BgL_exprz00_19651;
																																											BgL_bindingsz00_1723
																																												=
																																												BgL_bindingsz00_19650;
																																											goto
																																												BgL_tagzd2382zd2_1725;
																																										}
																																										BgL_auxz00_14144
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_19649);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd217644zd2_4356)))
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg4012z00_4695;
																																											obj_t
																																												BgL_arg4013z00_4696;
																																											BgL_arg4012z00_4695
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd220948zd2_4690));
																																											BgL_arg4013z00_4696
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd220948zd2_4690));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_19660;
																																												{
																																													obj_t
																																														BgL_exprz00_19662;
																																													obj_t
																																														BgL_bindingsz00_19661;
																																													BgL_bindingsz00_19661
																																														=
																																														BgL_arg4012z00_4695;
																																													BgL_exprz00_19662
																																														=
																																														BgL_arg4013z00_4696;
																																													BgL_exprz00_1724
																																														=
																																														BgL_exprz00_19662;
																																													BgL_bindingsz00_1723
																																														=
																																														BgL_bindingsz00_19661;
																																													goto
																																														BgL_tagzd2382zd2_1725;
																																												}
																																												BgL_auxz00_14144
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_19660);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((BgL_carzd217644zd2_4356 == CNST_TABLE_REF(((long) 18))))
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg4015z00_4698;
																																													obj_t
																																														BgL_arg4016z00_4699;
																																													BgL_arg4015z00_4698
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd220948zd2_4690));
																																													BgL_arg4016z00_4699
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd220948zd2_4690));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_19671;
																																														{
																																															obj_t
																																																BgL_exprz00_19673;
																																															obj_t
																																																BgL_bindingsz00_19672;
																																															BgL_bindingsz00_19672
																																																=
																																																BgL_arg4015z00_4698;
																																															BgL_exprz00_19673
																																																=
																																																BgL_arg4016z00_4699;
																																															BgL_exprz00_1724
																																																=
																																																BgL_exprz00_19673;
																																															BgL_bindingsz00_1723
																																																=
																																																BgL_bindingsz00_19672;
																																															goto
																																																BgL_tagzd2382zd2_1725;
																																														}
																																														BgL_auxz00_14144
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_19671);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_19680;
																																															goto
																																																BgL_tagzd2383zd2_1726;
																																															BgL_auxz00_14144
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_19680);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_carzd220985zd2_4702;
																																															BgL_carzd220985zd2_4702
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if ((BgL_carzd220985zd2_4702 == CNST_TABLE_REF(((long) 19))))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_19687;
																																																	goto
																																																		BgL_tagzd2384zd2_1727;
																																																	BgL_auxz00_14144
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_19687);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd220985zd2_4702)))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_19692;
																																																			goto
																																																				BgL_tagzd2384zd2_1727;
																																																			BgL_auxz00_14144
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_19692);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_19699;
																																																					goto
																																																						BgL_tagzd2389zd2_1746;
																																																					BgL_auxz00_14144
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_19699);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_19706;
																																																							goto
																																																								BgL_tagzd2390zd2_1747;
																																																							BgL_auxz00_14144
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_19706);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd221065zd2_4709;
																																																							BgL_cdrzd221065zd2_4709
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg4027z00_4712;
																																																									obj_t
																																																										BgL_arg4028z00_4713;
																																																									BgL_arg4027z00_4712
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd221065zd2_4709));
																																																									BgL_arg4028z00_4713
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd221065zd2_4709));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_19719;
																																																										{
																																																											obj_t
																																																												BgL_restz00_19721;
																																																											obj_t
																																																												BgL_effectz00_19720;
																																																											BgL_effectz00_19720
																																																												=
																																																												BgL_arg4027z00_4712;
																																																											BgL_restz00_19721
																																																												=
																																																												BgL_arg4028z00_4713;
																																																											BgL_restz00_1749
																																																												=
																																																												BgL_restz00_19721;
																																																											BgL_effectz00_1748
																																																												=
																																																												BgL_effectz00_19720;
																																																											goto
																																																												BgL_tagzd2391zd2_1750;
																																																										}
																																																										BgL_auxz00_14144
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_19719);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_19728;
																																																											goto
																																																												BgL_tagzd2392zd2_1751;
																																																											BgL_auxz00_14144
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_19728);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_19735;
																																																													goto
																																																														BgL_tagzd2393zd2_1752;
																																																													BgL_auxz00_14144
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_19735);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg4035z00_4721;
																																																															obj_t
																																																																BgL_arg4036z00_4722;
																																																															BgL_arg4035z00_4721
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd221065zd2_4709));
																																																															BgL_arg4036z00_4722
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd221065zd2_4709));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_19746;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_19748;
																																																																	obj_t
																																																																		BgL_effectz00_19747;
																																																																	BgL_effectz00_19747
																																																																		=
																																																																		BgL_arg4035z00_4721;
																																																																	BgL_restz00_19748
																																																																		=
																																																																		BgL_arg4036z00_4722;
																																																																	BgL_restz00_1754
																																																																		=
																																																																		BgL_restz00_19748;
																																																																	BgL_effectz00_1753
																																																																		=
																																																																		BgL_effectz00_19747;
																																																																	goto
																																																																		BgL_tagzd2394zd2_1755;
																																																																}
																																																																BgL_auxz00_14144
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_19746);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_19755;
																																																																	goto
																																																																		BgL_tagzd2395zd2_1756;
																																																																	BgL_auxz00_14144
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_19755);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_19762;
																																																																			goto
																																																																				BgL_tagzd2396zd2_1757;
																																																																			BgL_auxz00_14144
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_19762);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																				{
																																																																					BgL_letzd2funzd2_bglt
																																																																						BgL_auxz00_19769;
																																																																					goto
																																																																						BgL_tagzd2397zd2_1758;
																																																																					BgL_auxz00_14144
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_19769);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																						{
																																																																							BgL_jumpzd2exzd2itz00_bglt
																																																																								BgL_auxz00_19776;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1759;
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_19776);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd221142zd2_4731;
																																																																							BgL_cdrzd221142zd2_4731
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_arg4047z00_4734;
																																																																									obj_t
																																																																										BgL_arg4048z00_4735;
																																																																									BgL_arg4047z00_4734
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd221142zd2_4731));
																																																																									BgL_arg4048z00_4735
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd221142zd2_4731));
																																																																									{	/* Ast/sexp.scm 561 */
																																																																										obj_t
																																																																											BgL_arg6983z00_11202;
																																																																										BgL_arg6983z00_11202
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_expz00_21,
																																																																											BgL_locz00_23);
																																																																										BgL_auxz00_14144
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																											(BgL_expz00_21,
																																																																												BgL_arg4047z00_4734,
																																																																												CNST_TABLE_REF
																																																																												(((long) 4)), BgL_arg4048z00_4735, BgL_stackz00_22, BgL_arg6983z00_11202, BgL_sitez00_24));
																																																																								}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19795;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19795);
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 118 */
																											obj_t
																												BgL_carzd221167zd2_4751;
																											BgL_carzd221167zd2_4751 =
																												CAR(((obj_t)
																													BgL_expz00_21));
																											if (
																												(BgL_carzd221167zd2_4751
																													==
																													CNST_TABLE_REF(((long)
																															1))))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_19802;
																													goto
																														BgL_tagzd2377zd2_1714;
																													BgL_auxz00_14144 =
																														((obj_t)
																														BgL_auxz00_19802);
																												}
																											else
																												{	/* Ast/sexp.scm 118 */
																													if (
																														(BgL_carzd221167zd2_4751
																															==
																															BGl_za2ifza2z00zzast_sexpz00))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_19806;
																															goto
																																BgL_tagzd2377zd2_1714;
																															BgL_auxz00_14144 =
																																((obj_t)
																																BgL_auxz00_19806);
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	CNST_TABLE_REF
																																	(((long) 7))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_19813;
																																	goto
																																		BgL_tagzd2379zd2_1718;
																																	BgL_auxz00_14144
																																		=
																																		((obj_t)
																																		BgL_auxz00_19813);
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					16))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_19820;
																																			goto
																																				BgL_tagzd2380zd2_1719;
																																			BgL_auxz00_14144
																																				=
																																				((obj_t)
																																				BgL_auxz00_19820);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_carzd221236zd2_4758;
																																			BgL_carzd221236zd2_4758
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (PAIRP
																																				(BgL_carzd221236zd2_4758))
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd221239zd2_4760;
																																					obj_t
																																						BgL_cdrzd221240zd2_4761;
																																					BgL_carzd221239zd2_4760
																																						=
																																						CAR
																																						(BgL_carzd221236zd2_4758);
																																					BgL_cdrzd221240zd2_4761
																																						=
																																						CDR
																																						(BgL_carzd221236zd2_4758);
																																					{

																																						if (
																																							(BgL_carzd221239zd2_4760
																																								==
																																								CNST_TABLE_REF
																																								(((long) 17))))
																																							{	/* Ast/sexp.scm 118 */
																																							BgL_kapzd221241zd2_4762:
																																								if (PAIRP(BgL_cdrzd221240zd2_4761))
																																									{	/* Ast/sexp.scm 118 */
																																										obj_t
																																											BgL_cdrzd221244zd2_4881;
																																										BgL_cdrzd221244zd2_4881
																																											=
																																											CDR
																																											(BgL_cdrzd221240zd2_4761);
																																										if (PAIRP(BgL_cdrzd221244zd2_4881))
																																											{	/* Ast/sexp.scm 118 */
																																												if (NULLP(CDR(BgL_cdrzd221244zd2_4881)))
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_arg4150z00_4885;
																																														obj_t
																																															BgL_arg4151z00_4886;
																																														BgL_arg4150z00_4885
																																															=
																																															CAR
																																															(BgL_cdrzd221244zd2_4881);
																																														BgL_arg4151z00_4886
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_19842;
																																															{
																																																obj_t
																																																	BgL_argsz00_19844;
																																																obj_t
																																																	BgL_bodyz00_19843;
																																																BgL_bodyz00_19843
																																																	=
																																																	BgL_arg4150z00_4885;
																																																BgL_argsz00_19844
																																																	=
																																																	BgL_arg4151z00_4886;
																																																BgL_argsz00_1721
																																																	=
																																																	BgL_argsz00_19844;
																																																BgL_bodyz00_1720
																																																	=
																																																	BgL_bodyz00_19843;
																																																goto
																																																	BgL_tagzd2381zd2_1722;
																																															}
																																															BgL_auxz00_14144
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_19842);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_19846;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg4215z00_4992;
																																															BgL_arg4215z00_4992
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_19846
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg4215z00_4992));
																																														}
																																														if (BgL_testz00_19846)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_19851;
																																																goto
																																																	BgL_tagzd2384zd2_1727;
																																																BgL_auxz00_14144
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_19851);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_carzd221322zd2_4889;
																																																BgL_carzd221322zd2_4889
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_cdrzd221327zd2_4890;
																																																	BgL_cdrzd221327zd2_4890
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd221322zd2_4889));
																																																	if ((CAR(((obj_t) BgL_carzd221322zd2_4889)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg4156z00_4893;
																																																			obj_t
																																																				BgL_arg4157z00_4894;
																																																			obj_t
																																																				BgL_arg4158z00_4895;
																																																			BgL_arg4156z00_4893
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd221327zd2_4890));
																																																			BgL_arg4157z00_4894
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd221327zd2_4890));
																																																			BgL_arg4158z00_4895
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_19868;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_19871;
																																																					obj_t
																																																						BgL_bodyz00_19870;
																																																					obj_t
																																																						BgL_varsz00_19869;
																																																					BgL_varsz00_19869
																																																						=
																																																						BgL_arg4156z00_4893;
																																																					BgL_bodyz00_19870
																																																						=
																																																						BgL_arg4157z00_4894;
																																																					BgL_argsz00_19871
																																																						=
																																																						BgL_arg4158z00_4895;
																																																					BgL_argsz00_1734
																																																						=
																																																						BgL_argsz00_19871;
																																																					BgL_bodyz00_1733
																																																						=
																																																						BgL_bodyz00_19870;
																																																					BgL_varsz00_1732
																																																						=
																																																						BgL_varsz00_19869;
																																																					goto
																																																						BgL_tagzd2386zd2_1735;
																																																				}
																																																				BgL_auxz00_14144
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_19868);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd221350zd2_4897;
																																																			BgL_cdrzd221350zd2_4897
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd221356zd2_4898;
																																																				BgL_cdrzd221356zd2_4898
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd221322zd2_4889));
																																																				if ((CAR(((obj_t) BgL_carzd221322zd2_4889)) == CNST_TABLE_REF(((long) 1))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd221362zd2_4901;
																																																						BgL_cdrzd221362zd2_4901
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd221356zd2_4898));
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd221367zd2_4902;
																																																							obj_t
																																																								BgL_cdrzd221368zd2_4903;
																																																							BgL_carzd221367zd2_4902
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd221362zd2_4901));
																																																							BgL_cdrzd221368zd2_4903
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd221362zd2_4901));
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221367zd2_4902))
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (PAIRP(BgL_cdrzd221368zd2_4903))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd221375zd2_4906;
																																																											BgL_carzd221375zd2_4906
																																																												=
																																																												CAR
																																																												(BgL_cdrzd221368zd2_4903);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221375zd2_4906))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (NULLP(CDR(BgL_cdrzd221368zd2_4903)))
																																																														{	/* Ast/sexp.scm 118 */
																																																															bool_t
																																																																BgL_testz00_19898;
																																																															{
																																																																obj_t
																																																																	BgL_l1399z00_4939;
																																																																BgL_l1399z00_4939
																																																																	=
																																																																	BgL_cdrzd221350zd2_4897;
																																																															BgL_zc3anonymousza34181ze3z83_4940:
																																																																if (NULLP(BgL_l1399z00_4939))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		BgL_testz00_19898
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		bool_t
																																																																			BgL_testz00_19901;
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			bool_t
																																																																				BgL_testz00_19902;
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_tmpz00_19903;
																																																																				BgL_tmpz00_19903
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_l1399z00_4939));
																																																																				BgL_testz00_19902
																																																																					=
																																																																					PAIRP
																																																																					(BgL_tmpz00_19903);
																																																																			}
																																																																			if (BgL_testz00_19902)
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					BgL_testz00_19901
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					BgL_testz00_19901
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																		}
																																																																		if (BgL_testz00_19901)
																																																																			{
																																																																				obj_t
																																																																					BgL_l1399z00_19907;
																																																																				BgL_l1399z00_19907
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_l1399z00_4939));
																																																																				BgL_l1399z00_4939
																																																																					=
																																																																					BgL_l1399z00_19907;
																																																																				goto
																																																																					BgL_zc3anonymousza34181ze3z83_4940;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				BgL_testz00_19898
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					0);
																																																																			}
																																																																	}
																																																															}
																																																															if (BgL_testz00_19898)
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg4171z00_4922;
																																																																	BgL_arg4171z00_4922
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd221356zd2_4898));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_19912;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_19916;
																																																																			obj_t
																																																																				BgL_proc2z00_19915;
																																																																			obj_t
																																																																				BgL_proc1z00_19914;
																																																																			obj_t
																																																																				BgL_testz00_19913;
																																																																			BgL_testz00_19913
																																																																				=
																																																																				BgL_arg4171z00_4922;
																																																																			BgL_proc1z00_19914
																																																																				=
																																																																				BgL_carzd221367zd2_4902;
																																																																			BgL_proc2z00_19915
																																																																				=
																																																																				BgL_carzd221375zd2_4906;
																																																																			BgL_argsz00_19916
																																																																				=
																																																																				BgL_cdrzd221350zd2_4897;
																																																																			BgL_argsz00_1739
																																																																				=
																																																																				BgL_argsz00_19916;
																																																																			BgL_proc2z00_1738
																																																																				=
																																																																				BgL_proc2z00_19915;
																																																																			BgL_proc1z00_1737
																																																																				=
																																																																				BgL_proc1z00_19914;
																																																																			BgL_testz00_1736
																																																																				=
																																																																				BgL_testz00_19913;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1740;
																																																																		}
																																																																		BgL_auxz00_14144
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_19912);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd221399zd2_4923;
																																																																	BgL_cdrzd221399zd2_4923
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd221406zd2_4924;
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_pairz00_11242;
																																																																			BgL_pairz00_11242
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd221406zd2_4924
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_11242);
																																																																		}
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd221413zd2_4925;
																																																																			BgL_cdrzd221413zd2_4925
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd221406zd2_4924));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd221419zd2_4926;
																																																																				BgL_carzd221419zd2_4926
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd221413zd2_4925));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221419zd2_4926))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd221426zd2_4928;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_11246;
																																																																							BgL_pairz00_11246
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd221413zd2_4925));
																																																																							BgL_carzd221426zd2_4928
																																																																								=
																																																																								CAR
																																																																								(BgL_pairz00_11246);
																																																																						}
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221426zd2_4928))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd221399zd2_4923))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg4175z00_4931;
																																																																										BgL_arg4175z00_4931
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd221406zd2_4924));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19938;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_19942;
																																																																												obj_t
																																																																													BgL_proc2z00_19941;
																																																																												obj_t
																																																																													BgL_proc1z00_19940;
																																																																												obj_t
																																																																													BgL_testz00_19939;
																																																																												BgL_testz00_19939
																																																																													=
																																																																													BgL_arg4175z00_4931;
																																																																												BgL_proc1z00_19940
																																																																													=
																																																																													BgL_carzd221419zd2_4926;
																																																																												BgL_proc2z00_19941
																																																																													=
																																																																													BgL_carzd221426zd2_4928;
																																																																												BgL_argsz00_19942
																																																																													=
																																																																													BgL_cdrzd221399zd2_4923;
																																																																												BgL_argsz00_1744
																																																																													=
																																																																													BgL_argsz00_19942;
																																																																												BgL_proc2z00_1743
																																																																													=
																																																																													BgL_proc2z00_19941;
																																																																												BgL_proc1z00_1742
																																																																													=
																																																																													BgL_proc1z00_19940;
																																																																												BgL_testz00_1741
																																																																													=
																																																																													BgL_testz00_19939;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1745;
																																																																											}
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19938);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_19946;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																												BgL_auxz00_14144
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_19946);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_19950;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_14144
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_19950);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_19954;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_14144
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_19954);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1769;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_19958;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1770;
																																																																	BgL_auxz00_14144
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_19958);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd221702zd2_4950;
																																																													BgL_cdrzd221702zd2_4950
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd221708zd2_4951;
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_pairz00_11250;
																																																															BgL_pairz00_11250
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd221708zd2_4951
																																																																=
																																																																CDR
																																																																(BgL_pairz00_11250);
																																																														}
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd221714zd2_4952;
																																																															BgL_cdrzd221714zd2_4952
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd221708zd2_4951));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd221719zd2_4953;
																																																																obj_t
																																																																	BgL_cdrzd221720zd2_4954;
																																																																BgL_carzd221719zd2_4953
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd221714zd2_4952));
																																																																BgL_cdrzd221720zd2_4954
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd221714zd2_4952));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221719zd2_4953))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd221725zd2_4956;
																																																																		BgL_carzd221725zd2_4956
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd221720zd2_4954));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221725zd2_4956))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd221720zd2_4954))))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd221702zd2_4950))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg4190z00_4961;
																																																																								BgL_arg4190z00_4961
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd221708zd2_4951));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19985;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_19989;
																																																																										obj_t
																																																																											BgL_proc2z00_19988;
																																																																										obj_t
																																																																											BgL_proc1z00_19987;
																																																																										obj_t
																																																																											BgL_testz00_19986;
																																																																										BgL_testz00_19986
																																																																											=
																																																																											BgL_arg4190z00_4961;
																																																																										BgL_proc1z00_19987
																																																																											=
																																																																											BgL_carzd221719zd2_4953;
																																																																										BgL_proc2z00_19988
																																																																											=
																																																																											BgL_carzd221725zd2_4956;
																																																																										BgL_argsz00_19989
																																																																											=
																																																																											BgL_cdrzd221702zd2_4950;
																																																																										BgL_argsz00_1744
																																																																											=
																																																																											BgL_argsz00_19989;
																																																																										BgL_proc2z00_1743
																																																																											=
																																																																											BgL_proc2z00_19988;
																																																																										BgL_proc1z00_1742
																																																																											=
																																																																											BgL_proc1z00_19987;
																																																																										BgL_testz00_1741
																																																																											=
																																																																											BgL_testz00_19986;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1745;
																																																																									}
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19985);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_19993;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_14144
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_19993);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_19997;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_14144
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_19997);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20001;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_14144
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20001);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_20005;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_14144
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_20005);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2403zd2_1769;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_20009;
																																																													goto
																																																														BgL_tagzd2404zd2_1770;
																																																													BgL_auxz00_14144
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_20009);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd222058zd2_4969;
																																																									BgL_cdrzd222058zd2_4969
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd222065zd2_4970;
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_pairz00_11260;
																																																											BgL_pairz00_11260
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_cdrzd222065zd2_4970
																																																												=
																																																												CDR
																																																												(BgL_pairz00_11260);
																																																										}
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd222072zd2_4971;
																																																											BgL_cdrzd222072zd2_4971
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd222065zd2_4970));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_carzd222078zd2_4972;
																																																												obj_t
																																																													BgL_cdrzd222079zd2_4973;
																																																												BgL_carzd222078zd2_4972
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd222072zd2_4971));
																																																												BgL_cdrzd222079zd2_4973
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd222072zd2_4971));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222078zd2_4972))
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (PAIRP(BgL_cdrzd222079zd2_4973))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd222086zd2_4976;
																																																																BgL_carzd222086zd2_4976
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd222079zd2_4973);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222086zd2_4976))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (NULLP(CDR(BgL_cdrzd222079zd2_4973)))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd222058zd2_4969))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg4204z00_4981;
																																																																						BgL_arg4204z00_4981
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd222065zd2_4970));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_20036;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_20040;
																																																																								obj_t
																																																																									BgL_proc2z00_20039;
																																																																								obj_t
																																																																									BgL_proc1z00_20038;
																																																																								obj_t
																																																																									BgL_testz00_20037;
																																																																								BgL_testz00_20037
																																																																									=
																																																																									BgL_arg4204z00_4981;
																																																																								BgL_proc1z00_20038
																																																																									=
																																																																									BgL_carzd222078zd2_4972;
																																																																								BgL_proc2z00_20039
																																																																									=
																																																																									BgL_carzd222086zd2_4976;
																																																																								BgL_argsz00_20040
																																																																									=
																																																																									BgL_cdrzd222058zd2_4969;
																																																																								BgL_argsz00_1744
																																																																									=
																																																																									BgL_argsz00_20040;
																																																																								BgL_proc2z00_1743
																																																																									=
																																																																									BgL_proc2z00_20039;
																																																																								BgL_proc1z00_1742
																																																																									=
																																																																									BgL_proc1z00_20038;
																																																																								BgL_testz00_1741
																																																																									=
																																																																									BgL_testz00_20037;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1745;
																																																																							}
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_20036);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20044;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_14144
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20044);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20048;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_14144
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20048);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_20052;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_14144
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_20052);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1769;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_20056;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1770;
																																																																		BgL_auxz00_14144
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_20056);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1769;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_20060;
																																																																goto
																																																																	BgL_tagzd2404zd2_1770;
																																																																BgL_auxz00_14144
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_20060);
																																																															}
																																																													}
																																																											}
																																																										}
																																																									}
																																																								}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_tagzd2403zd2_1769;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_20064;
																																																								goto
																																																									BgL_tagzd2404zd2_1770;
																																																								BgL_auxz00_14144
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_20064);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_20066;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg4226z00_5005;
																																													BgL_arg4226z00_5005
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_20066
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg4226z00_5005));
																																												}
																																												if (BgL_testz00_20066)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_20071;
																																														goto
																																															BgL_tagzd2384zd2_1727;
																																														BgL_auxz00_14144
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_20071);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_carzd222532zd2_4996;
																																														BgL_carzd222532zd2_4996
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_cdrzd222537zd2_4997;
																																															BgL_cdrzd222537zd2_4997
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd222532zd2_4996));
																																															if ((CAR(((obj_t) BgL_carzd222532zd2_4996)) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg4221z00_5000;
																																																	obj_t
																																																		BgL_arg4222z00_5001;
																																																	obj_t
																																																		BgL_arg4223z00_5002;
																																																	BgL_arg4221z00_5000
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd222537zd2_4997));
																																																	BgL_arg4222z00_5001
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd222537zd2_4997));
																																																	BgL_arg4223z00_5002
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_20088;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_20091;
																																																			obj_t
																																																				BgL_bodyz00_20090;
																																																			obj_t
																																																				BgL_varsz00_20089;
																																																			BgL_varsz00_20089
																																																				=
																																																				BgL_arg4221z00_5000;
																																																			BgL_bodyz00_20090
																																																				=
																																																				BgL_arg4222z00_5001;
																																																			BgL_argsz00_20091
																																																				=
																																																				BgL_arg4223z00_5002;
																																																			BgL_argsz00_1734
																																																				=
																																																				BgL_argsz00_20091;
																																																			BgL_bodyz00_1733
																																																				=
																																																				BgL_bodyz00_20090;
																																																			BgL_varsz00_1732
																																																				=
																																																				BgL_varsz00_20089;
																																																			goto
																																																				BgL_tagzd2386zd2_1735;
																																																		}
																																																		BgL_auxz00_14144
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_20088);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 118 */
																																																			goto
																																																				BgL_tagzd2403zd2_1769;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_20095;
																																																			goto
																																																				BgL_tagzd2404zd2_1770;
																																																			BgL_auxz00_14144
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_20095);
																																																		}
																																																}
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										bool_t
																																											BgL_testz00_20097;
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg4230z00_5009;
																																											BgL_arg4230z00_5009
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_testz00_20097
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg4230z00_5009));
																																										}
																																										if (BgL_testz00_20097)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_20102;
																																												goto
																																													BgL_tagzd2384zd2_1727;
																																												BgL_auxz00_14144
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_20102);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_tagzd2403zd2_1769;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_20106;
																																														goto
																																															BgL_tagzd2404zd2_1770;
																																														BgL_auxz00_14144
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_20106);
																																													}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd221239zd2_4760)))
																																									{	/* Ast/sexp.scm 118 */
																																										goto
																																											BgL_kapzd221241zd2_4762;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if ((BgL_carzd221239zd2_4760 == CNST_TABLE_REF(((long) 18))))
																																											{	/* Ast/sexp.scm 118 */
																																												goto
																																													BgL_kapzd221241zd2_4762;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if ((BgL_carzd221239zd2_4760 == CNST_TABLE_REF(((long) 19))))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_kapzd221241zd2_4762;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd221239zd2_4760)))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd221241zd2_4762;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_20120;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg4145z00_4879;
																																																	BgL_arg4145z00_4879
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_20120
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg4145z00_4879));
																																																}
																																																if (BgL_testz00_20120)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_20125;
																																																		goto
																																																			BgL_tagzd2384zd2_1727;
																																																		BgL_auxz00_14144
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_20125);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_carzd222860zd2_4770;
																																																		BgL_carzd222860zd2_4770
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd222865zd2_4771;
																																																			BgL_cdrzd222865zd2_4771
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd222860zd2_4770));
																																																			if ((CAR(((obj_t) BgL_carzd222860zd2_4770)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (PAIRP(BgL_cdrzd222865zd2_4771))
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg4081z00_4775;
																																																							obj_t
																																																								BgL_arg4082z00_4776;
																																																							obj_t
																																																								BgL_arg4083z00_4777;
																																																							BgL_arg4081z00_4775
																																																								=
																																																								CAR
																																																								(BgL_cdrzd222865zd2_4771);
																																																							BgL_arg4082z00_4776
																																																								=
																																																								CDR
																																																								(BgL_cdrzd222865zd2_4771);
																																																							BgL_arg4083z00_4777
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_20142;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_20145;
																																																									obj_t
																																																										BgL_bodyz00_20144;
																																																									obj_t
																																																										BgL_varsz00_20143;
																																																									BgL_varsz00_20143
																																																										=
																																																										BgL_arg4081z00_4775;
																																																									BgL_bodyz00_20144
																																																										=
																																																										BgL_arg4082z00_4776;
																																																									BgL_argsz00_20145
																																																										=
																																																										BgL_arg4083z00_4777;
																																																									BgL_argsz00_1734
																																																										=
																																																										BgL_argsz00_20145;
																																																									BgL_bodyz00_1733
																																																										=
																																																										BgL_bodyz00_20144;
																																																									BgL_varsz00_1732
																																																										=
																																																										BgL_varsz00_20143;
																																																									goto
																																																										BgL_tagzd2386zd2_1735;
																																																								}
																																																								BgL_auxz00_14144
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_20142);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 118 */
																																																									goto
																																																										BgL_tagzd2403zd2_1769;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_20149;
																																																									goto
																																																										BgL_tagzd2404zd2_1770;
																																																									BgL_auxz00_14144
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_20149);
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd222972zd2_4780;
																																																					BgL_cdrzd222972zd2_4780
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd222977zd2_4781;
																																																						BgL_cdrzd222977zd2_4781
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd222860zd2_4770));
																																																						if ((CAR(((obj_t) BgL_carzd222860zd2_4770)) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (PAIRP(BgL_cdrzd222977zd2_4781))
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd222982zd2_4785;
																																																										BgL_cdrzd222982zd2_4785
																																																											=
																																																											CDR
																																																											(BgL_cdrzd222977zd2_4781);
																																																										if (PAIRP(BgL_cdrzd222982zd2_4785))
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_carzd222986zd2_4787;
																																																												obj_t
																																																													BgL_cdrzd222987zd2_4788;
																																																												BgL_carzd222986zd2_4787
																																																													=
																																																													CAR
																																																													(BgL_cdrzd222982zd2_4785);
																																																												BgL_cdrzd222987zd2_4788
																																																													=
																																																													CDR
																																																													(BgL_cdrzd222982zd2_4785);
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222986zd2_4787))
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (PAIRP(BgL_cdrzd222987zd2_4788))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd222992zd2_4791;
																																																																BgL_carzd222992zd2_4791
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd222987zd2_4788);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222992zd2_4791))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (NULLP(CDR(BgL_cdrzd222987zd2_4788)))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				bool_t
																																																																					BgL_testz00_20177;
																																																																				{
																																																																					obj_t
																																																																						BgL_l1402z00_4824;
																																																																					BgL_l1402z00_4824
																																																																						=
																																																																						BgL_cdrzd222972zd2_4780;
																																																																				BgL_zc3anonymousza34109ze3z83_4825:
																																																																					if (NULLP(BgL_l1402z00_4824))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_20177
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							bool_t
																																																																								BgL_testz00_20180;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								bool_t
																																																																									BgL_testz00_20181;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_tmpz00_20182;
																																																																									BgL_tmpz00_20182
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_l1402z00_4824));
																																																																									BgL_testz00_20181
																																																																										=
																																																																										PAIRP
																																																																										(BgL_tmpz00_20182);
																																																																								}
																																																																								if (BgL_testz00_20181)
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										BgL_testz00_20180
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										BgL_testz00_20180
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																							}
																																																																							if (BgL_testz00_20180)
																																																																								{
																																																																									obj_t
																																																																										BgL_l1402z00_20186;
																																																																									BgL_l1402z00_20186
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_l1402z00_4824));
																																																																									BgL_l1402z00_4824
																																																																										=
																																																																										BgL_l1402z00_20186;
																																																																									goto
																																																																										BgL_zc3anonymousza34109ze3z83_4825;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_20177
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																				if (BgL_testz00_20177)
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg4099z00_4807;
																																																																						BgL_arg4099z00_4807
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd222977zd2_4781);
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_20190;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_20194;
																																																																								obj_t
																																																																									BgL_proc2z00_20193;
																																																																								obj_t
																																																																									BgL_proc1z00_20192;
																																																																								obj_t
																																																																									BgL_testz00_20191;
																																																																								BgL_testz00_20191
																																																																									=
																																																																									BgL_arg4099z00_4807;
																																																																								BgL_proc1z00_20192
																																																																									=
																																																																									BgL_carzd222986zd2_4787;
																																																																								BgL_proc2z00_20193
																																																																									=
																																																																									BgL_carzd222992zd2_4791;
																																																																								BgL_argsz00_20194
																																																																									=
																																																																									BgL_cdrzd222972zd2_4780;
																																																																								BgL_argsz00_1739
																																																																									=
																																																																									BgL_argsz00_20194;
																																																																								BgL_proc2z00_1738
																																																																									=
																																																																									BgL_proc2z00_20193;
																																																																								BgL_proc1z00_1737
																																																																									=
																																																																									BgL_proc1z00_20192;
																																																																								BgL_testz00_1736
																																																																									=
																																																																									BgL_testz00_20191;
																																																																								goto
																																																																									BgL_tagzd2387zd2_1740;
																																																																							}
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_20190);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd223017zd2_4808;
																																																																						BgL_cdrzd223017zd2_4808
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd223025zd2_4809;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_pairz00_11305;
																																																																								BgL_pairz00_11305
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd223025zd2_4809
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_11305);
																																																																							}
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd223033zd2_4810;
																																																																								BgL_cdrzd223033zd2_4810
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd223025zd2_4809));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd223040zd2_4811;
																																																																									BgL_carzd223040zd2_4811
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd223033zd2_4810));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223040zd2_4811))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd223049zd2_4813;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_11309;
																																																																												BgL_pairz00_11309
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd223033zd2_4810));
																																																																												BgL_carzd223049zd2_4813
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_11309);
																																																																											}
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223049zd2_4813))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd223017zd2_4808))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg4103z00_4816;
																																																																															BgL_arg4103z00_4816
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd223025zd2_4809));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20216;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_20220;
																																																																																	obj_t
																																																																																		BgL_proc2z00_20219;
																																																																																	obj_t
																																																																																		BgL_proc1z00_20218;
																																																																																	obj_t
																																																																																		BgL_testz00_20217;
																																																																																	BgL_testz00_20217
																																																																																		=
																																																																																		BgL_arg4103z00_4816;
																																																																																	BgL_proc1z00_20218
																																																																																		=
																																																																																		BgL_carzd223040zd2_4811;
																																																																																	BgL_proc2z00_20219
																																																																																		=
																																																																																		BgL_carzd223049zd2_4813;
																																																																																	BgL_argsz00_20220
																																																																																		=
																																																																																		BgL_cdrzd223017zd2_4808;
																																																																																	BgL_argsz00_1744
																																																																																		=
																																																																																		BgL_argsz00_20220;
																																																																																	BgL_proc2z00_1743
																																																																																		=
																																																																																		BgL_proc2z00_20219;
																																																																																	BgL_proc1z00_1742
																																																																																		=
																																																																																		BgL_proc1z00_20218;
																																																																																	BgL_testz00_1741
																																																																																		=
																																																																																		BgL_testz00_20217;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1745;
																																																																																}
																																																																																BgL_auxz00_14144
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20216);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20224;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_14144
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20224);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20228;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20228);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20232;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20232);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20236;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_14144
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20236);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd223327zd2_4835;
																																																																		BgL_cdrzd223327zd2_4835
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd223334zd2_4836;
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_pairz00_11313;
																																																																				BgL_pairz00_11313
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd223334zd2_4836
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_11313);
																																																																			}
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd223341zd2_4837;
																																																																				BgL_cdrzd223341zd2_4837
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd223334zd2_4836));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd223347zd2_4838;
																																																																					obj_t
																																																																						BgL_cdrzd223348zd2_4839;
																																																																					BgL_carzd223347zd2_4838
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd223341zd2_4837));
																																																																					BgL_cdrzd223348zd2_4839
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd223341zd2_4837));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223347zd2_4838))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd223355zd2_4841;
																																																																							BgL_carzd223355zd2_4841
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd223348zd2_4839));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223355zd2_4841))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(((obj_t) BgL_cdrzd223348zd2_4839))))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd223327zd2_4835))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg4118z00_4846;
																																																																													BgL_arg4118z00_4846
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd223334zd2_4836));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_20263;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_20267;
																																																																															obj_t
																																																																																BgL_proc2z00_20266;
																																																																															obj_t
																																																																																BgL_proc1z00_20265;
																																																																															obj_t
																																																																																BgL_testz00_20264;
																																																																															BgL_testz00_20264
																																																																																=
																																																																																BgL_arg4118z00_4846;
																																																																															BgL_proc1z00_20265
																																																																																=
																																																																																BgL_carzd223347zd2_4838;
																																																																															BgL_proc2z00_20266
																																																																																=
																																																																																BgL_carzd223355zd2_4841;
																																																																															BgL_argsz00_20267
																																																																																=
																																																																																BgL_cdrzd223327zd2_4835;
																																																																															BgL_argsz00_1744
																																																																																=
																																																																																BgL_argsz00_20267;
																																																																															BgL_proc2z00_1743
																																																																																=
																																																																																BgL_proc2z00_20266;
																																																																															BgL_proc1z00_1742
																																																																																=
																																																																																BgL_proc1z00_20265;
																																																																															BgL_testz00_1741
																																																																																=
																																																																																BgL_testz00_20264;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1745;
																																																																														}
																																																																														BgL_auxz00_14144
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_20263);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20271;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_14144
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20271);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20275;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20275);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20279;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20279);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_20283;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_20283);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1769;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_20287;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1770;
																																																																		BgL_auxz00_14144
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_20287);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd223688zd2_4854;
																																																														BgL_cdrzd223688zd2_4854
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd223694zd2_4855;
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_pairz00_11323;
																																																																BgL_pairz00_11323
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_cdrzd223694zd2_4855
																																																																	=
																																																																	CDR
																																																																	(BgL_pairz00_11323);
																																																															}
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd223700zd2_4856;
																																																																BgL_cdrzd223700zd2_4856
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd223694zd2_4855));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_carzd223705zd2_4857;
																																																																	obj_t
																																																																		BgL_cdrzd223706zd2_4858;
																																																																	BgL_carzd223705zd2_4857
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd223700zd2_4856));
																																																																	BgL_cdrzd223706zd2_4858
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd223700zd2_4856));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223705zd2_4857))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (PAIRP(BgL_cdrzd223706zd2_4858))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd223711zd2_4861;
																																																																					BgL_carzd223711zd2_4861
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd223706zd2_4858);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223711zd2_4861))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(BgL_cdrzd223706zd2_4858)))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd223688zd2_4854))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_arg4132z00_4866;
																																																																											BgL_arg4132z00_4866
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd223694zd2_4855));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_20314;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_20318;
																																																																													obj_t
																																																																														BgL_proc2z00_20317;
																																																																													obj_t
																																																																														BgL_proc1z00_20316;
																																																																													obj_t
																																																																														BgL_testz00_20315;
																																																																													BgL_testz00_20315
																																																																														=
																																																																														BgL_arg4132z00_4866;
																																																																													BgL_proc1z00_20316
																																																																														=
																																																																														BgL_carzd223705zd2_4857;
																																																																													BgL_proc2z00_20317
																																																																														=
																																																																														BgL_carzd223711zd2_4861;
																																																																													BgL_argsz00_20318
																																																																														=
																																																																														BgL_cdrzd223688zd2_4854;
																																																																													BgL_argsz00_1744
																																																																														=
																																																																														BgL_argsz00_20318;
																																																																													BgL_proc2z00_1743
																																																																														=
																																																																														BgL_proc2z00_20317;
																																																																													BgL_proc1z00_1742
																																																																														=
																																																																														BgL_proc1z00_20316;
																																																																													BgL_testz00_1741
																																																																														=
																																																																														BgL_testz00_20315;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1745;
																																																																												}
																																																																												BgL_auxz00_14144
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_20314);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20322;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_14144
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20322);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20326;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_14144
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20326);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_20330;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_14144
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_20330);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_20334;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_14144
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_20334);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1769;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_20338;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1770;
																																																																					BgL_auxz00_14144
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_20338);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1769;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_20342;
																																																														goto
																																																															BgL_tagzd2404zd2_1770;
																																																														BgL_auxz00_14144
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_20342);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 118 */
																																																												goto
																																																													BgL_tagzd2403zd2_1769;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_20346;
																																																												goto
																																																													BgL_tagzd2404zd2_1770;
																																																												BgL_auxz00_14144
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_20346);
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_tagzd2403zd2_1769;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_20350;
																																																										goto
																																																											BgL_tagzd2404zd2_1770;
																																																										BgL_auxz00_14144
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_20350);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(BgL_carzd221236zd2_4758
																																							==
																																							CNST_TABLE_REF
																																							(((long) 20))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_20355;
																																							goto
																																								BgL_tagzd2383zd2_1726;
																																							BgL_auxz00_14144
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_20355);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_carzd224273zd2_5012;
																																							BgL_carzd224273zd2_5012
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if ((BgL_carzd224273zd2_5012 == CNST_TABLE_REF(((long) 19))))
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_20362;
																																									goto
																																										BgL_tagzd2384zd2_1727;
																																									BgL_auxz00_14144
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_20362);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd224273zd2_5012)))
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_20367;
																																											goto
																																												BgL_tagzd2384zd2_1727;
																																											BgL_auxz00_14144
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_20367);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_20374;
																																													goto
																																														BgL_tagzd2389zd2_1746;
																																													BgL_auxz00_14144
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_20374);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_20381;
																																															goto
																																																BgL_tagzd2390zd2_1747;
																																															BgL_auxz00_14144
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_20381);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_20388;
																																																	goto
																																																		BgL_tagzd2392zd2_1751;
																																																	BgL_auxz00_14144
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_20388);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_20395;
																																																			goto
																																																				BgL_tagzd2393zd2_1752;
																																																			BgL_auxz00_14144
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_20395);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_20402;
																																																					goto
																																																						BgL_tagzd2395zd2_1756;
																																																					BgL_auxz00_14144
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_20402);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_20409;
																																																							goto
																																																								BgL_tagzd2396zd2_1757;
																																																							BgL_auxz00_14144
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_20409);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_20416;
																																																									goto
																																																										BgL_tagzd2397zd2_1758;
																																																									BgL_auxz00_14144
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_20416);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																										{
																																																											BgL_jumpzd2exzd2itz00_bglt
																																																												BgL_auxz00_20423;
																																																											goto
																																																												BgL_tagzd2398zd2_1759;
																																																											BgL_auxz00_14144
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_20423);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_20433;
																																																														BgL_tagzd2402zd2_1768:
																																																															{	/* Ast/sexp.scm 565 */
																																																																obj_t
																																																																	BgL_arg6984z00_8985;
																																																																BgL_arg6984z00_8985
																																																																	=
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_21,
																																																																	BgL_locz00_23);
																																																																{	/* Ast/sexp.scm 564 */
																																																																	BgL_nodez00_bglt
																																																																		BgL_res7419z00_10025;
																																																																	{	/* Ast/sexp.scm 715 */
																																																																		obj_t
																																																																			BgL_arg7083z00_10021;
																																																																		BgL_nodez00_bglt
																																																																			BgL_arg7084z00_10022;
																																																																		BgL_arg7083z00_10021
																																																																			=
																																																																			BGl_shapez00zztools_shapez00
																																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																																			());
																																																																		BgL_arg7084z00_10022
																																																																			=
																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																			(CNST_TABLE_REF
																																																																			(((long) 4)), BNIL, BgL_arg6984z00_8985, CNST_TABLE_REF(((long) 2)));
																																																																		{	/* Ast/sexp.scm 714 */
																																																																			obj_t
																																																																				BgL_list7085z00_10024;
																																																																			BgL_list7085z00_10024
																																																																				=
																																																																				MAKE_YOUNG_PAIR
																																																																				(
																																																																				((obj_t) BgL_arg7084z00_10022), BNIL);
																																																																			BgL_res7419z00_10025
																																																																				=
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																				(BgL_arg6984z00_8985,
																																																																					BgL_arg7083z00_10021,
																																																																					BGl_string7955z00zzast_sexpz00,
																																																																					BgL_expz00_21,
																																																																					BgL_list7085z00_10024));
																																																																	}}
																																																																	BgL_auxz00_20433
																																																																		=
																																																																		BgL_res7419z00_10025;
																																																															}}
																																																															BgL_auxz00_14144
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_20433);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1769;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_20447;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1770;
																																																																	BgL_auxz00_14144
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_20447);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1769;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_20451;
																																																															goto
																																																																BgL_tagzd2404zd2_1770;
																																																															BgL_auxz00_14144
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_20451);
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_14144);
																								}
																							else
																								{	/* Ast/sexp.scm 118 */
																									if (
																										(BgL_carzd2610zd2_1799 ==
																											BGl_za2ifza2z00zzast_sexpz00))
																										{
																											obj_t BgL_auxz00_20456;

																											goto
																												BgL_kapzd2612zd2_1801;
																											return ((BgL_nodez00_bglt)
																												BgL_auxz00_20456);
																										}
																									else
																										{	/* Ast/sexp.scm 118 */
																											bool_t BgL_testz00_20458;

																											{	/* Ast/sexp.scm 118 */
																												obj_t
																													BgL_arg2225z00_2546;
																												BgL_arg2225z00_2546 =
																													CAR(BgL_expz00_21);
																												BgL_testz00_20458 =
																													(BgL_arg2225z00_2546
																													==
																													BGl_za2ifza2z00zzast_sexpz00);
																											}
																											if (BgL_testz00_20458)
																												{	/* Ast/sexp.scm 118 */
																													goto
																														BgL_tagzd2377zd2_1714;
																												}
																											else
																												{	/* Ast/sexp.scm 118 */
																													obj_t
																														BgL_cdrzd224445zd2_1806;
																													BgL_cdrzd224445zd2_1806
																														=
																														CDR(BgL_expz00_21);
																													if ((CAR
																															(BgL_expz00_21) ==
																															CNST_TABLE_REF((
																																	(long) 7))))
																														{	/* Ast/sexp.scm 118 */
																															if (PAIRP
																																(BgL_cdrzd224445zd2_1806))
																																{	/* Ast/sexp.scm 118 */
																																	obj_t
																																		BgL_carzd224448zd2_1810;
																																	obj_t
																																		BgL_cdrzd224449zd2_1811;
																																	BgL_carzd224448zd2_1810
																																		=
																																		CAR
																																		(BgL_cdrzd224445zd2_1806);
																																	BgL_cdrzd224449zd2_1811
																																		=
																																		CDR
																																		(BgL_cdrzd224445zd2_1806);
																																	if (PAIRP
																																		(BgL_carzd224448zd2_1810))
																																		{	/* Ast/sexp.scm 118 */
																																			if (
																																				(CAR
																																					(BgL_carzd224448zd2_1810)
																																					==
																																					CNST_TABLE_REF
																																					(((long) 14))))
																																				{	/* Ast/sexp.scm 118 */
																																					if (PAIRP(BgL_cdrzd224449zd2_1811))
																																						{	/* Ast/sexp.scm 118 */
																																							if (NULLP(CDR(BgL_cdrzd224449zd2_1811)))
																																								{
																																									obj_t
																																										BgL_valz00_20483;
																																									obj_t
																																										BgL_lz00_20481;
																																									BgL_lz00_20481
																																										=
																																										CDR
																																										(BgL_carzd224448zd2_1810);
																																									BgL_valz00_20483
																																										=
																																										CAR
																																										(BgL_cdrzd224449zd2_1811);
																																									BgL_valz00_1716
																																										=
																																										BgL_valz00_20483;
																																									BgL_lz00_1715
																																										=
																																										BgL_lz00_20481;
																																									goto
																																										BgL_tagzd2378zd2_1717;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									goto
																																										BgL_tagzd2379zd2_1718;
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							goto
																																								BgL_tagzd2379zd2_1718;
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					goto
																																						BgL_tagzd2379zd2_1718;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			goto
																																				BgL_tagzd2379zd2_1718;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	goto
																																		BgL_tagzd2379zd2_1718;
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															if (
																																(CAR
																																	(BgL_expz00_21)
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			16))))
																																{	/* Ast/sexp.scm 118 */
																																	goto
																																		BgL_tagzd2380zd2_1719;
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	obj_t
																																		BgL_carzd224574zd2_1824;
																																	BgL_carzd224574zd2_1824
																																		=
																																		CAR
																																		(BgL_expz00_21);
																																	if (PAIRP
																																		(BgL_carzd224574zd2_1824))
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_carzd224577zd2_1826;
																																			obj_t
																																				BgL_cdrzd224578zd2_1827;
																																			BgL_carzd224577zd2_1826
																																				=
																																				CAR
																																				(BgL_carzd224574zd2_1824);
																																			BgL_cdrzd224578zd2_1827
																																				=
																																				CDR
																																				(BgL_carzd224574zd2_1824);
																																			{

																																				if (
																																					(BgL_carzd224577zd2_1826
																																						==
																																						CNST_TABLE_REF
																																						(((long) 17))))
																																					{
																																						obj_t
																																							BgL_auxz00_20497;
																																					BgL_kapzd224579zd2_1828:
																																						if (PAIRP(BgL_cdrzd224578zd2_1827))
																																							{	/* Ast/sexp.scm 118 */
																																								obj_t
																																									BgL_cdrzd224582zd2_2130;
																																								BgL_cdrzd224582zd2_2130
																																									=
																																									CDR
																																									(BgL_cdrzd224578zd2_1827);
																																								if (PAIRP(BgL_cdrzd224582zd2_2130))
																																									{	/* Ast/sexp.scm 118 */
																																										if (NULLP(CDR(BgL_cdrzd224582zd2_2130)))
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_arg1909z00_2134;
																																												obj_t
																																													BgL_arg1910z00_2135;
																																												BgL_arg1909z00_2134
																																													=
																																													CAR
																																													(BgL_cdrzd224582zd2_2130);
																																												BgL_arg1910z00_2135
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_20509;
																																													{
																																														obj_t
																																															BgL_argsz00_20511;
																																														obj_t
																																															BgL_bodyz00_20510;
																																														BgL_bodyz00_20510
																																															=
																																															BgL_arg1909z00_2134;
																																														BgL_argsz00_20511
																																															=
																																															BgL_arg1910z00_2135;
																																														BgL_argsz00_1721
																																															=
																																															BgL_argsz00_20511;
																																														BgL_bodyz00_1720
																																															=
																																															BgL_bodyz00_20510;
																																														goto
																																															BgL_tagzd2381zd2_1722;
																																													}
																																													BgL_auxz00_20497
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_20509);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_cdrzd224605zd2_2136;
																																												BgL_cdrzd224605zd2_2136
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{

																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_20515;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg1979z00_2246;
																																															BgL_arg1979z00_2246
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_20515
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg1979z00_2246));
																																														}
																																														if (BgL_testz00_20515)
																																															{	/* Ast/sexp.scm 118 */
																																																if (PAIRP(BgL_cdrzd224605zd2_2136))
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg1981z00_2248;
																																																		obj_t
																																																			BgL_arg1982z00_2249;
																																																		BgL_arg1981z00_2248
																																																			=
																																																			CAR
																																																			(BgL_cdrzd224605zd2_2136);
																																																		BgL_arg1982z00_2249
																																																			=
																																																			CDR
																																																			(BgL_cdrzd224605zd2_2136);
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_20524;
																																																			{
																																																				obj_t
																																																					BgL_exprz00_20526;
																																																				obj_t
																																																					BgL_bindingsz00_20525;
																																																				BgL_bindingsz00_20525
																																																					=
																																																					BgL_arg1981z00_2248;
																																																				BgL_exprz00_20526
																																																					=
																																																					BgL_arg1982z00_2249;
																																																				BgL_exprz00_1724
																																																					=
																																																					BgL_exprz00_20526;
																																																				BgL_bindingsz00_1723
																																																					=
																																																					BgL_bindingsz00_20525;
																																																				goto
																																																					BgL_tagzd2382zd2_1725;
																																																			}
																																																			BgL_auxz00_20497
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_20524);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_20528;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg2049z00_2355;
																																																			BgL_arg2049z00_2355
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_20528
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg2049z00_2355));
																																																		}
																																																		if (BgL_testz00_20528)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_20533;
																																																				goto
																																																					BgL_tagzd2384zd2_1727;
																																																				BgL_auxz00_20497
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_20533);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_carzd224669zd2_2252;
																																																				BgL_carzd224669zd2_2252
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd224674zd2_2253;
																																																					BgL_cdrzd224674zd2_2253
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd224669zd2_2252));
																																																					if ((CAR(((obj_t) BgL_carzd224669zd2_2252)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg1988z00_2256;
																																																							obj_t
																																																								BgL_arg1990z00_2257;
																																																							obj_t
																																																								BgL_arg1991z00_2258;
																																																							BgL_arg1988z00_2256
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd224674zd2_2253));
																																																							BgL_arg1990z00_2257
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd224674zd2_2253));
																																																							BgL_arg1991z00_2258
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_20550;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_20553;
																																																									obj_t
																																																										BgL_bodyz00_20552;
																																																									obj_t
																																																										BgL_varsz00_20551;
																																																									BgL_varsz00_20551
																																																										=
																																																										BgL_arg1988z00_2256;
																																																									BgL_bodyz00_20552
																																																										=
																																																										BgL_arg1990z00_2257;
																																																									BgL_argsz00_20553
																																																										=
																																																										BgL_arg1991z00_2258;
																																																									BgL_argsz00_1734
																																																										=
																																																										BgL_argsz00_20553;
																																																									BgL_bodyz00_1733
																																																										=
																																																										BgL_bodyz00_20552;
																																																									BgL_varsz00_1732
																																																										=
																																																										BgL_varsz00_20551;
																																																									goto
																																																										BgL_tagzd2386zd2_1735;
																																																								}
																																																								BgL_auxz00_20497
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_20550);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd224697zd2_2260;
																																																							BgL_cdrzd224697zd2_2260
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd224703zd2_2261;
																																																								BgL_cdrzd224703zd2_2261
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd224669zd2_2252));
																																																								if ((CAR(((obj_t) BgL_carzd224669zd2_2252)) == CNST_TABLE_REF(((long) 1))))
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd224709zd2_2264;
																																																										BgL_cdrzd224709zd2_2264
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd224703zd2_2261));
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd224714zd2_2265;
																																																											obj_t
																																																												BgL_cdrzd224715zd2_2266;
																																																											BgL_carzd224714zd2_2265
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd224709zd2_2264));
																																																											BgL_cdrzd224715zd2_2266
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd224709zd2_2264));
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224714zd2_2265))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (PAIRP(BgL_cdrzd224715zd2_2266))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_carzd224722zd2_2269;
																																																															BgL_carzd224722zd2_2269
																																																																=
																																																																CAR
																																																																(BgL_cdrzd224715zd2_2266);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224722zd2_2269))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (NULLP(CDR(BgL_cdrzd224715zd2_2266)))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			bool_t
																																																																				BgL_testz00_20580;
																																																																			{
																																																																				obj_t
																																																																					BgL_l1405z00_2302;
																																																																				BgL_l1405z00_2302
																																																																					=
																																																																					BgL_cdrzd224697zd2_2260;
																																																																			BgL_zc3anonymousza32014ze3z83_2303:
																																																																				if (NULLP(BgL_l1405z00_2302))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						BgL_testz00_20580
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						bool_t
																																																																							BgL_testz00_20583;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							bool_t
																																																																								BgL_testz00_20584;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_tmpz00_20585;
																																																																								BgL_tmpz00_20585
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_l1405z00_2302));
																																																																								BgL_testz00_20584
																																																																									=
																																																																									PAIRP
																																																																									(BgL_tmpz00_20585);
																																																																							}
																																																																							if (BgL_testz00_20584)
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_20583
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_20583
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																						}
																																																																						if (BgL_testz00_20583)
																																																																							{
																																																																								obj_t
																																																																									BgL_l1405z00_20589;
																																																																								BgL_l1405z00_20589
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_l1405z00_2302));
																																																																								BgL_l1405z00_2302
																																																																									=
																																																																									BgL_l1405z00_20589;
																																																																								goto
																																																																									BgL_zc3anonymousza32014ze3z83_2303;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								BgL_testz00_20580
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																			if (BgL_testz00_20580)
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_arg2004z00_2285;
																																																																					BgL_arg2004z00_2285
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd224703zd2_2261));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20594;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_20598;
																																																																							obj_t
																																																																								BgL_proc2z00_20597;
																																																																							obj_t
																																																																								BgL_proc1z00_20596;
																																																																							obj_t
																																																																								BgL_testz00_20595;
																																																																							BgL_testz00_20595
																																																																								=
																																																																								BgL_arg2004z00_2285;
																																																																							BgL_proc1z00_20596
																																																																								=
																																																																								BgL_carzd224714zd2_2265;
																																																																							BgL_proc2z00_20597
																																																																								=
																																																																								BgL_carzd224722zd2_2269;
																																																																							BgL_argsz00_20598
																																																																								=
																																																																								BgL_cdrzd224697zd2_2260;
																																																																							BgL_argsz00_1739
																																																																								=
																																																																								BgL_argsz00_20598;
																																																																							BgL_proc2z00_1738
																																																																								=
																																																																								BgL_proc2z00_20597;
																																																																							BgL_proc1z00_1737
																																																																								=
																																																																								BgL_proc1z00_20596;
																																																																							BgL_testz00_1736
																																																																								=
																																																																								BgL_testz00_20595;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1740;
																																																																						}
																																																																						BgL_auxz00_20497
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20594);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd224746zd2_2286;
																																																																					BgL_cdrzd224746zd2_2286
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd224753zd2_2287;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_11399;
																																																																							BgL_pairz00_11399
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd224753zd2_2287
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_11399);
																																																																						}
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd224760zd2_2288;
																																																																							BgL_cdrzd224760zd2_2288
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd224753zd2_2287));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd224766zd2_2289;
																																																																								BgL_carzd224766zd2_2289
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd224760zd2_2288));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224766zd2_2289))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd224773zd2_2291;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_11403;
																																																																											BgL_pairz00_11403
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd224760zd2_2288));
																																																																											BgL_carzd224773zd2_2291
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_11403);
																																																																										}
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224773zd2_2291))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd224746zd2_2286))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg2008z00_2294;
																																																																														BgL_arg2008z00_2294
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd224753zd2_2287));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20620;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_20624;
																																																																																obj_t
																																																																																	BgL_proc2z00_20623;
																																																																																obj_t
																																																																																	BgL_proc1z00_20622;
																																																																																obj_t
																																																																																	BgL_testz00_20621;
																																																																																BgL_testz00_20621
																																																																																	=
																																																																																	BgL_arg2008z00_2294;
																																																																																BgL_proc1z00_20622
																																																																																	=
																																																																																	BgL_carzd224766zd2_2289;
																																																																																BgL_proc2z00_20623
																																																																																	=
																																																																																	BgL_carzd224773zd2_2291;
																																																																																BgL_argsz00_20624
																																																																																	=
																																																																																	BgL_cdrzd224746zd2_2286;
																																																																																BgL_argsz00_1744
																																																																																	=
																																																																																	BgL_argsz00_20624;
																																																																																BgL_proc2z00_1743
																																																																																	=
																																																																																	BgL_proc2z00_20623;
																																																																																BgL_proc1z00_1742
																																																																																	=
																																																																																	BgL_proc1z00_20622;
																																																																																BgL_testz00_1741
																																																																																	=
																																																																																	BgL_testz00_20621;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1745;
																																																																															}
																																																																															BgL_auxz00_20497
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20620);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1769;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20628;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1770;
																																																																																BgL_auxz00_20497
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20628);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_20632;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																														BgL_auxz00_20497
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_20632);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_20636;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																												BgL_auxz00_20497
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_20636);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1769;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_20640;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1770;
																																																																					BgL_auxz00_20497
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_20640);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd225049zd2_2313;
																																																																	BgL_cdrzd225049zd2_2313
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd225055zd2_2314;
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_pairz00_11407;
																																																																			BgL_pairz00_11407
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd225055zd2_2314
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_11407);
																																																																		}
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd225061zd2_2315;
																																																																			BgL_cdrzd225061zd2_2315
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd225055zd2_2314));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd225066zd2_2316;
																																																																				obj_t
																																																																					BgL_cdrzd225067zd2_2317;
																																																																				BgL_carzd225066zd2_2316
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd225061zd2_2315));
																																																																				BgL_cdrzd225067zd2_2317
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd225061zd2_2315));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225066zd2_2316))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd225072zd2_2319;
																																																																						BgL_carzd225072zd2_2319
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd225067zd2_2317));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225072zd2_2319))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd225067zd2_2317))))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd225049zd2_2313))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg2023z00_2324;
																																																																												BgL_arg2023z00_2324
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd225055zd2_2314));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20667;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_20671;
																																																																														obj_t
																																																																															BgL_proc2z00_20670;
																																																																														obj_t
																																																																															BgL_proc1z00_20669;
																																																																														obj_t
																																																																															BgL_testz00_20668;
																																																																														BgL_testz00_20668
																																																																															=
																																																																															BgL_arg2023z00_2324;
																																																																														BgL_proc1z00_20669
																																																																															=
																																																																															BgL_carzd225066zd2_2316;
																																																																														BgL_proc2z00_20670
																																																																															=
																																																																															BgL_carzd225072zd2_2319;
																																																																														BgL_argsz00_20671
																																																																															=
																																																																															BgL_cdrzd225049zd2_2313;
																																																																														BgL_argsz00_1744
																																																																															=
																																																																															BgL_argsz00_20671;
																																																																														BgL_proc2z00_1743
																																																																															=
																																																																															BgL_proc2z00_20670;
																																																																														BgL_proc1z00_1742
																																																																															=
																																																																															BgL_proc1z00_20669;
																																																																														BgL_testz00_1741
																																																																															=
																																																																															BgL_testz00_20668;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1745;
																																																																													}
																																																																													BgL_auxz00_20497
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20667);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_20675;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																														BgL_auxz00_20497
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_20675);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_20679;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																												BgL_auxz00_20497
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_20679);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20683;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_20497
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20683);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20687;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_20497
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20687);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1769;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_20691;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1770;
																																																																	BgL_auxz00_20497
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_20691);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd225405zd2_2332;
																																																													BgL_cdrzd225405zd2_2332
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd225412zd2_2333;
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_pairz00_11417;
																																																															BgL_pairz00_11417
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd225412zd2_2333
																																																																=
																																																																CDR
																																																																(BgL_pairz00_11417);
																																																														}
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd225419zd2_2334;
																																																															BgL_cdrzd225419zd2_2334
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd225412zd2_2333));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd225425zd2_2335;
																																																																obj_t
																																																																	BgL_cdrzd225426zd2_2336;
																																																																BgL_carzd225425zd2_2335
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd225419zd2_2334));
																																																																BgL_cdrzd225426zd2_2336
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd225419zd2_2334));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225425zd2_2335))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (PAIRP(BgL_cdrzd225426zd2_2336))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd225433zd2_2339;
																																																																				BgL_carzd225433zd2_2339
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd225426zd2_2336);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225433zd2_2339))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(BgL_cdrzd225426zd2_2336)))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd225405zd2_2332))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg2037z00_2344;
																																																																										BgL_arg2037z00_2344
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd225412zd2_2333));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20718;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_20722;
																																																																												obj_t
																																																																													BgL_proc2z00_20721;
																																																																												obj_t
																																																																													BgL_proc1z00_20720;
																																																																												obj_t
																																																																													BgL_testz00_20719;
																																																																												BgL_testz00_20719
																																																																													=
																																																																													BgL_arg2037z00_2344;
																																																																												BgL_proc1z00_20720
																																																																													=
																																																																													BgL_carzd225425zd2_2335;
																																																																												BgL_proc2z00_20721
																																																																													=
																																																																													BgL_carzd225433zd2_2339;
																																																																												BgL_argsz00_20722
																																																																													=
																																																																													BgL_cdrzd225405zd2_2332;
																																																																												BgL_argsz00_1744
																																																																													=
																																																																													BgL_argsz00_20722;
																																																																												BgL_proc2z00_1743
																																																																													=
																																																																													BgL_proc2z00_20721;
																																																																												BgL_proc1z00_1742
																																																																													=
																																																																													BgL_proc1z00_20720;
																																																																												BgL_testz00_1741
																																																																													=
																																																																													BgL_testz00_20719;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1745;
																																																																											}
																																																																											BgL_auxz00_20497
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20718);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_20726;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																												BgL_auxz00_20497
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_20726);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20730;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_20497
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20730);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20734;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_20497
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20734);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20738;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_20497
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20738);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_20742;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_20497
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_20742);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 118 */
																																																												goto
																																																													BgL_tagzd2403zd2_1769;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_20746;
																																																												goto
																																																													BgL_tagzd2404zd2_1770;
																																																												BgL_auxz00_20497
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_20746);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_20748;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg1978z00_2245;
																																																	BgL_arg1978z00_2245
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_20748
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg1978z00_2245));
																																																}
																																																if (BgL_testz00_20748)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_20753;
																																																		goto
																																																			BgL_tagzd2384zd2_1727;
																																																		BgL_auxz00_20497
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_20753);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_carzd225865zd2_2142;
																																																		BgL_carzd225865zd2_2142
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd225870zd2_2143;
																																																			BgL_cdrzd225870zd2_2143
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd225865zd2_2142));
																																																			if ((CAR(((obj_t) BgL_carzd225865zd2_2142)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg1917z00_2146;
																																																					obj_t
																																																						BgL_arg1918z00_2147;
																																																					obj_t
																																																						BgL_arg1919z00_2148;
																																																					BgL_arg1917z00_2146
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd225870zd2_2143));
																																																					BgL_arg1918z00_2147
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd225870zd2_2143));
																																																					BgL_arg1919z00_2148
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_20770;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_20773;
																																																							obj_t
																																																								BgL_bodyz00_20772;
																																																							obj_t
																																																								BgL_varsz00_20771;
																																																							BgL_varsz00_20771
																																																								=
																																																								BgL_arg1917z00_2146;
																																																							BgL_bodyz00_20772
																																																								=
																																																								BgL_arg1918z00_2147;
																																																							BgL_argsz00_20773
																																																								=
																																																								BgL_arg1919z00_2148;
																																																							BgL_argsz00_1734
																																																								=
																																																								BgL_argsz00_20773;
																																																							BgL_bodyz00_1733
																																																								=
																																																								BgL_bodyz00_20772;
																																																							BgL_varsz00_1732
																																																								=
																																																								BgL_varsz00_20771;
																																																							goto
																																																								BgL_tagzd2386zd2_1735;
																																																						}
																																																						BgL_auxz00_20497
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_20770);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd225893zd2_2150;
																																																					BgL_cdrzd225893zd2_2150
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd225899zd2_2151;
																																																						BgL_cdrzd225899zd2_2151
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd225865zd2_2142));
																																																						if ((CAR(((obj_t) BgL_carzd225865zd2_2142)) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd225905zd2_2154;
																																																								BgL_cdrzd225905zd2_2154
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd225899zd2_2151));
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd225910zd2_2155;
																																																									obj_t
																																																										BgL_cdrzd225911zd2_2156;
																																																									BgL_carzd225910zd2_2155
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd225905zd2_2154));
																																																									BgL_cdrzd225911zd2_2156
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd225905zd2_2154));
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225910zd2_2155))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (PAIRP(BgL_cdrzd225911zd2_2156))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd225918zd2_2159;
																																																													BgL_carzd225918zd2_2159
																																																														=
																																																														CAR
																																																														(BgL_cdrzd225911zd2_2156);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225918zd2_2159))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (NULLP(CDR(BgL_cdrzd225911zd2_2156)))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	bool_t
																																																																		BgL_testz00_20800;
																																																																	{
																																																																		obj_t
																																																																			BgL_l1408z00_2192;
																																																																		BgL_l1408z00_2192
																																																																			=
																																																																			BgL_cdrzd225893zd2_2150;
																																																																	BgL_zc3anonymousza31943ze3z83_2193:
																																																																		if (NULLP(BgL_l1408z00_2192))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				BgL_testz00_20800
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				bool_t
																																																																					BgL_testz00_20803;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					bool_t
																																																																						BgL_testz00_20804;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_tmpz00_20805;
																																																																						BgL_tmpz00_20805
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_l1408z00_2192));
																																																																						BgL_testz00_20804
																																																																							=
																																																																							PAIRP
																																																																							(BgL_tmpz00_20805);
																																																																					}
																																																																					if (BgL_testz00_20804)
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_20803
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_20803
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																				}
																																																																				if (BgL_testz00_20803)
																																																																					{
																																																																						obj_t
																																																																							BgL_l1408z00_20809;
																																																																						BgL_l1408z00_20809
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_l1408z00_2192));
																																																																						BgL_l1408z00_2192
																																																																							=
																																																																							BgL_l1408z00_20809;
																																																																						goto
																																																																							BgL_zc3anonymousza31943ze3z83_2193;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						BgL_testz00_20800
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																			}
																																																																	}
																																																																	if (BgL_testz00_20800)
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_arg1933z00_2175;
																																																																			BgL_arg1933z00_2175
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd225899zd2_2151));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_20814;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_20818;
																																																																					obj_t
																																																																						BgL_proc2z00_20817;
																																																																					obj_t
																																																																						BgL_proc1z00_20816;
																																																																					obj_t
																																																																						BgL_testz00_20815;
																																																																					BgL_testz00_20815
																																																																						=
																																																																						BgL_arg1933z00_2175;
																																																																					BgL_proc1z00_20816
																																																																						=
																																																																						BgL_carzd225910zd2_2155;
																																																																					BgL_proc2z00_20817
																																																																						=
																																																																						BgL_carzd225918zd2_2159;
																																																																					BgL_argsz00_20818
																																																																						=
																																																																						BgL_cdrzd225893zd2_2150;
																																																																					BgL_argsz00_1739
																																																																						=
																																																																						BgL_argsz00_20818;
																																																																					BgL_proc2z00_1738
																																																																						=
																																																																						BgL_proc2z00_20817;
																																																																					BgL_proc1z00_1737
																																																																						=
																																																																						BgL_proc1z00_20816;
																																																																					BgL_testz00_1736
																																																																						=
																																																																						BgL_testz00_20815;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1740;
																																																																				}
																																																																				BgL_auxz00_20497
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_20814);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd225942zd2_2176;
																																																																			BgL_cdrzd225942zd2_2176
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd225949zd2_2177;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_pairz00_11452;
																																																																					BgL_pairz00_11452
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd225949zd2_2177
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_11452);
																																																																				}
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd225956zd2_2178;
																																																																					BgL_cdrzd225956zd2_2178
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd225949zd2_2177));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd225962zd2_2179;
																																																																						BgL_carzd225962zd2_2179
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd225956zd2_2178));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225962zd2_2179))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd225969zd2_2181;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_11456;
																																																																									BgL_pairz00_11456
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd225956zd2_2178));
																																																																									BgL_carzd225969zd2_2181
																																																																										=
																																																																										CAR
																																																																										(BgL_pairz00_11456);
																																																																								}
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225969zd2_2181))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd225942zd2_2176))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg1937z00_2184;
																																																																												BgL_arg1937z00_2184
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd225949zd2_2177));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20840;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_20844;
																																																																														obj_t
																																																																															BgL_proc2z00_20843;
																																																																														obj_t
																																																																															BgL_proc1z00_20842;
																																																																														obj_t
																																																																															BgL_testz00_20841;
																																																																														BgL_testz00_20841
																																																																															=
																																																																															BgL_arg1937z00_2184;
																																																																														BgL_proc1z00_20842
																																																																															=
																																																																															BgL_carzd225962zd2_2179;
																																																																														BgL_proc2z00_20843
																																																																															=
																																																																															BgL_carzd225969zd2_2181;
																																																																														BgL_argsz00_20844
																																																																															=
																																																																															BgL_cdrzd225942zd2_2176;
																																																																														BgL_argsz00_1744
																																																																															=
																																																																															BgL_argsz00_20844;
																																																																														BgL_proc2z00_1743
																																																																															=
																																																																															BgL_proc2z00_20843;
																																																																														BgL_proc1z00_1742
																																																																															=
																																																																															BgL_proc1z00_20842;
																																																																														BgL_testz00_1741
																																																																															=
																																																																															BgL_testz00_20841;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1745;
																																																																													}
																																																																													BgL_auxz00_20497
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20840);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_20848;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																														BgL_auxz00_20497
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_20848);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_20852;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																												BgL_auxz00_20497
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_20852);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20856;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_20497
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20856);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1769;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_20860;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1770;
																																																																			BgL_auxz00_20497
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_20860);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd226245zd2_2203;
																																																															BgL_cdrzd226245zd2_2203
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd226251zd2_2204;
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_pairz00_11460;
																																																																	BgL_pairz00_11460
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd226251zd2_2204
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_11460);
																																																																}
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd226257zd2_2205;
																																																																	BgL_cdrzd226257zd2_2205
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd226251zd2_2204));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd226262zd2_2206;
																																																																		obj_t
																																																																			BgL_cdrzd226263zd2_2207;
																																																																		BgL_carzd226262zd2_2206
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd226257zd2_2205));
																																																																		BgL_cdrzd226263zd2_2207
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd226257zd2_2205));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226262zd2_2206))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd226268zd2_2209;
																																																																				BgL_carzd226268zd2_2209
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd226263zd2_2207));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226268zd2_2209))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd226263zd2_2207))))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd226245zd2_2203))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg1952z00_2214;
																																																																										BgL_arg1952z00_2214
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd226251zd2_2204));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20887;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_20891;
																																																																												obj_t
																																																																													BgL_proc2z00_20890;
																																																																												obj_t
																																																																													BgL_proc1z00_20889;
																																																																												obj_t
																																																																													BgL_testz00_20888;
																																																																												BgL_testz00_20888
																																																																													=
																																																																													BgL_arg1952z00_2214;
																																																																												BgL_proc1z00_20889
																																																																													=
																																																																													BgL_carzd226262zd2_2206;
																																																																												BgL_proc2z00_20890
																																																																													=
																																																																													BgL_carzd226268zd2_2209;
																																																																												BgL_argsz00_20891
																																																																													=
																																																																													BgL_cdrzd226245zd2_2203;
																																																																												BgL_argsz00_1744
																																																																													=
																																																																													BgL_argsz00_20891;
																																																																												BgL_proc2z00_1743
																																																																													=
																																																																													BgL_proc2z00_20890;
																																																																												BgL_proc1z00_1742
																																																																													=
																																																																													BgL_proc1z00_20889;
																																																																												BgL_testz00_1741
																																																																													=
																																																																													BgL_testz00_20888;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1745;
																																																																											}
																																																																											BgL_auxz00_20497
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20887);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_20895;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																												BgL_auxz00_20497
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_20895);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20899;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_20497
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20899);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20903;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_20497
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20903);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20907;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_20497
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20907);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1769;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_20911;
																																																															goto
																																																																BgL_tagzd2404zd2_1770;
																																																															BgL_auxz00_20497
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_20911);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd226601zd2_2222;
																																																											BgL_cdrzd226601zd2_2222
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd226608zd2_2223;
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_pairz00_11470;
																																																													BgL_pairz00_11470
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_cdrzd226608zd2_2223
																																																														=
																																																														CDR
																																																														(BgL_pairz00_11470);
																																																												}
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd226615zd2_2224;
																																																													BgL_cdrzd226615zd2_2224
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd226608zd2_2223));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd226621zd2_2225;
																																																														obj_t
																																																															BgL_cdrzd226622zd2_2226;
																																																														BgL_carzd226621zd2_2225
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd226615zd2_2224));
																																																														BgL_cdrzd226622zd2_2226
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd226615zd2_2224));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226621zd2_2225))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (PAIRP(BgL_cdrzd226622zd2_2226))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd226629zd2_2229;
																																																																		BgL_carzd226629zd2_2229
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd226622zd2_2226);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226629zd2_2229))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (NULLP(CDR(BgL_cdrzd226622zd2_2226)))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd226601zd2_2222))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg1967z00_2234;
																																																																								BgL_arg1967z00_2234
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd226608zd2_2223));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_20938;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_20942;
																																																																										obj_t
																																																																											BgL_proc2z00_20941;
																																																																										obj_t
																																																																											BgL_proc1z00_20940;
																																																																										obj_t
																																																																											BgL_testz00_20939;
																																																																										BgL_testz00_20939
																																																																											=
																																																																											BgL_arg1967z00_2234;
																																																																										BgL_proc1z00_20940
																																																																											=
																																																																											BgL_carzd226621zd2_2225;
																																																																										BgL_proc2z00_20941
																																																																											=
																																																																											BgL_carzd226629zd2_2229;
																																																																										BgL_argsz00_20942
																																																																											=
																																																																											BgL_cdrzd226601zd2_2222;
																																																																										BgL_argsz00_1744
																																																																											=
																																																																											BgL_argsz00_20942;
																																																																										BgL_proc2z00_1743
																																																																											=
																																																																											BgL_proc2z00_20941;
																																																																										BgL_proc1z00_1742
																																																																											=
																																																																											BgL_proc1z00_20940;
																																																																										BgL_testz00_1741
																																																																											=
																																																																											BgL_testz00_20939;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1745;
																																																																									}
																																																																									BgL_auxz00_20497
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_20938);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20946;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_20497
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20946);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20950;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_20497
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20950);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20954;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_20497
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20954);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_20958;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_20497
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_20958);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1769;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_20962;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1770;
																																																																		BgL_auxz00_20497
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_20962);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_tagzd2403zd2_1769;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_20966;
																																																										goto
																																																											BgL_tagzd2404zd2_1770;
																																																										BgL_auxz00_20497
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_20966);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										obj_t
																																											BgL_cdrzd227021zd2_2357;
																																										BgL_cdrzd227021zd2_2357
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_expz00_21));
																																										{

																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_20970;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg2063z00_2373;
																																													BgL_arg2063z00_2373
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_20970
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg2063z00_2373));
																																												}
																																												if (BgL_testz00_20970)
																																													{	/* Ast/sexp.scm 118 */
																																														if (PAIRP(BgL_cdrzd227021zd2_2357))
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_arg2065z00_2375;
																																																obj_t
																																																	BgL_arg2066z00_2376;
																																																BgL_arg2065z00_2375
																																																	=
																																																	CAR
																																																	(BgL_cdrzd227021zd2_2357);
																																																BgL_arg2066z00_2376
																																																	=
																																																	CDR
																																																	(BgL_cdrzd227021zd2_2357);
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_20979;
																																																	{
																																																		obj_t
																																																			BgL_exprz00_20981;
																																																		obj_t
																																																			BgL_bindingsz00_20980;
																																																		BgL_bindingsz00_20980
																																																			=
																																																			BgL_arg2065z00_2375;
																																																		BgL_exprz00_20981
																																																			=
																																																			BgL_arg2066z00_2376;
																																																		BgL_exprz00_1724
																																																			=
																																																			BgL_exprz00_20981;
																																																		BgL_bindingsz00_1723
																																																			=
																																																			BgL_bindingsz00_20980;
																																																		goto
																																																			BgL_tagzd2382zd2_1725;
																																																	}
																																																	BgL_auxz00_20497
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_20979);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_20983;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg2078z00_2388;
																																																	BgL_arg2078z00_2388
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_20983
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg2078z00_2388));
																																																}
																																																if (BgL_testz00_20983)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_20988;
																																																		goto
																																																			BgL_tagzd2384zd2_1727;
																																																		BgL_auxz00_20497
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_20988);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_carzd227084zd2_2379;
																																																		BgL_carzd227084zd2_2379
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd227089zd2_2380;
																																																			BgL_cdrzd227089zd2_2380
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd227084zd2_2379));
																																																			if ((CAR(((obj_t) BgL_carzd227084zd2_2379)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg2071z00_2383;
																																																					obj_t
																																																						BgL_arg2072z00_2384;
																																																					obj_t
																																																						BgL_arg2073z00_2385;
																																																					BgL_arg2071z00_2383
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd227089zd2_2380));
																																																					BgL_arg2072z00_2384
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd227089zd2_2380));
																																																					BgL_arg2073z00_2385
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_21005;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_21008;
																																																							obj_t
																																																								BgL_bodyz00_21007;
																																																							obj_t
																																																								BgL_varsz00_21006;
																																																							BgL_varsz00_21006
																																																								=
																																																								BgL_arg2071z00_2383;
																																																							BgL_bodyz00_21007
																																																								=
																																																								BgL_arg2072z00_2384;
																																																							BgL_argsz00_21008
																																																								=
																																																								BgL_arg2073z00_2385;
																																																							BgL_argsz00_1734
																																																								=
																																																								BgL_argsz00_21008;
																																																							BgL_bodyz00_1733
																																																								=
																																																								BgL_bodyz00_21007;
																																																							BgL_varsz00_1732
																																																								=
																																																								BgL_varsz00_21006;
																																																							goto
																																																								BgL_tagzd2386zd2_1735;
																																																						}
																																																						BgL_auxz00_20497
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_21005);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 118 */
																																																							goto
																																																								BgL_tagzd2403zd2_1769;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_21012;
																																																							goto
																																																								BgL_tagzd2404zd2_1770;
																																																							BgL_auxz00_20497
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_21012);
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_21014;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg2062z00_2372;
																																															BgL_arg2062z00_2372
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_21014
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg2062z00_2372));
																																														}
																																														if (BgL_testz00_21014)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_21019;
																																																goto
																																																	BgL_tagzd2384zd2_1727;
																																																BgL_auxz00_20497
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_21019);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_carzd227238zd2_2363;
																																																BgL_carzd227238zd2_2363
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_cdrzd227243zd2_2364;
																																																	BgL_cdrzd227243zd2_2364
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd227238zd2_2363));
																																																	if ((CAR(((obj_t) BgL_carzd227238zd2_2363)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg2057z00_2367;
																																																			obj_t
																																																				BgL_arg2058z00_2368;
																																																			obj_t
																																																				BgL_arg2059z00_2369;
																																																			BgL_arg2057z00_2367
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd227243zd2_2364));
																																																			BgL_arg2058z00_2368
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd227243zd2_2364));
																																																			BgL_arg2059z00_2369
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_21036;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_21039;
																																																					obj_t
																																																						BgL_bodyz00_21038;
																																																					obj_t
																																																						BgL_varsz00_21037;
																																																					BgL_varsz00_21037
																																																						=
																																																						BgL_arg2057z00_2367;
																																																					BgL_bodyz00_21038
																																																						=
																																																						BgL_arg2058z00_2368;
																																																					BgL_argsz00_21039
																																																						=
																																																						BgL_arg2059z00_2369;
																																																					BgL_argsz00_1734
																																																						=
																																																						BgL_argsz00_21039;
																																																					BgL_bodyz00_1733
																																																						=
																																																						BgL_bodyz00_21038;
																																																					BgL_varsz00_1732
																																																						=
																																																						BgL_varsz00_21037;
																																																					goto
																																																						BgL_tagzd2386zd2_1735;
																																																				}
																																																				BgL_auxz00_20497
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_21036);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 118 */
																																																					goto
																																																						BgL_tagzd2403zd2_1769;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_21043;
																																																					goto
																																																						BgL_tagzd2404zd2_1770;
																																																					BgL_auxz00_20497
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21043);
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								obj_t
																																									BgL_cdrzd227353zd2_2389;
																																								BgL_cdrzd227353zd2_2389
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_expz00_21));
																																								{

																																									{	/* Ast/sexp.scm 118 */
																																										bool_t
																																											BgL_testz00_21047;
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg2086z00_2397;
																																											BgL_arg2086z00_2397
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_testz00_21047
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg2086z00_2397));
																																										}
																																										if (BgL_testz00_21047)
																																											{	/* Ast/sexp.scm 118 */
																																												if (PAIRP(BgL_cdrzd227353zd2_2389))
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_arg2089z00_2399;
																																														obj_t
																																															BgL_arg2090z00_2400;
																																														BgL_arg2089z00_2399
																																															=
																																															CAR
																																															(BgL_cdrzd227353zd2_2389);
																																														BgL_arg2090z00_2400
																																															=
																																															CDR
																																															(BgL_cdrzd227353zd2_2389);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_21056;
																																															{
																																																obj_t
																																																	BgL_exprz00_21058;
																																																obj_t
																																																	BgL_bindingsz00_21057;
																																																BgL_bindingsz00_21057
																																																	=
																																																	BgL_arg2089z00_2399;
																																																BgL_exprz00_21058
																																																	=
																																																	BgL_arg2090z00_2400;
																																																BgL_exprz00_1724
																																																	=
																																																	BgL_exprz00_21058;
																																																BgL_bindingsz00_1723
																																																	=
																																																	BgL_bindingsz00_21057;
																																																goto
																																																	BgL_tagzd2382zd2_1725;
																																															}
																																															BgL_auxz00_20497
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_21056);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_21060;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg2094z00_2404;
																																															BgL_arg2094z00_2404
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_21060
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg2094z00_2404));
																																														}
																																														if (BgL_testz00_21060)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_21065;
																																																goto
																																																	BgL_tagzd2384zd2_1727;
																																																BgL_auxz00_20497
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_21065);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_tagzd2403zd2_1769;
																																																	}
																																																else
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_21069;
																																																		goto
																																																			BgL_tagzd2404zd2_1770;
																																																		BgL_auxz00_20497
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_21069);
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_21071;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg2085z00_2396;
																																													BgL_arg2085z00_2396
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_21071
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg2085z00_2396));
																																												}
																																												if (BgL_testz00_21071)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_21076;
																																														goto
																																															BgL_tagzd2384zd2_1727;
																																														BgL_auxz00_20497
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_21076);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_tagzd2403zd2_1769;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_21080;
																																																goto
																																																	BgL_tagzd2404zd2_1770;
																																																BgL_auxz00_20497
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_21080);
																																															}
																																													}
																																											}
																																									}
																																								}
																																							}
																																						return
																																							(
																																							(BgL_nodez00_bglt)
																																							BgL_auxz00_20497);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 118 */
																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd224577zd2_1826)))
																																							{
																																								obj_t
																																									BgL_auxz00_21086;
																																								goto
																																									BgL_kapzd224579zd2_1828;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_21086);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								if ((BgL_carzd224577zd2_1826 == CNST_TABLE_REF(((long) 18))))
																																									{
																																										obj_t
																																											BgL_auxz00_21091;
																																										goto
																																											BgL_kapzd224579zd2_1828;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_21091);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if ((BgL_carzd224577zd2_1826 == CNST_TABLE_REF(((long) 19))))
																																											{
																																												obj_t
																																													BgL_auxz00_21096;
																																												goto
																																													BgL_kapzd224579zd2_1828;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_21096);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd224577zd2_1826)))
																																													{
																																														obj_t
																																															BgL_auxz00_21101;
																																														goto
																																															BgL_kapzd224579zd2_1828;
																																														return
																																															(
																																															(BgL_nodez00_bglt)
																																															BgL_auxz00_21101);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_cdrzd227662zd2_1834;
																																														BgL_cdrzd227662zd2_1834
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														{

																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_21104;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg1822z00_2013;
																																																	BgL_arg1822z00_2013
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_21104
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg1822z00_2013));
																																																}
																																																if (BgL_testz00_21104)
																																																	{
																																																		obj_t
																																																			BgL_auxz00_21108;
																																																		if (PAIRP(BgL_cdrzd227662zd2_1834))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg1824z00_2015;
																																																				obj_t
																																																					BgL_arg1825z00_2016;
																																																				BgL_arg1824z00_2015
																																																					=
																																																					CAR
																																																					(BgL_cdrzd227662zd2_1834);
																																																				BgL_arg1825z00_2016
																																																					=
																																																					CDR
																																																					(BgL_cdrzd227662zd2_1834);
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_21113;
																																																					{
																																																						obj_t
																																																							BgL_exprz00_21115;
																																																						obj_t
																																																							BgL_bindingsz00_21114;
																																																						BgL_bindingsz00_21114
																																																							=
																																																							BgL_arg1824z00_2015;
																																																						BgL_exprz00_21115
																																																							=
																																																							BgL_arg1825z00_2016;
																																																						BgL_exprz00_1724
																																																							=
																																																							BgL_exprz00_21115;
																																																						BgL_bindingsz00_1723
																																																							=
																																																							BgL_bindingsz00_21114;
																																																						goto
																																																							BgL_tagzd2382zd2_1725;
																																																					}
																																																					BgL_auxz00_21108
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21113);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				bool_t
																																																					BgL_testz00_21117;
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg1904z00_2128;
																																																					BgL_arg1904z00_2128
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_testz00_21117
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg1904z00_2128));
																																																				}
																																																				if (BgL_testz00_21117)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_21122;
																																																						goto
																																																							BgL_tagzd2384zd2_1727;
																																																						BgL_auxz00_21108
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_21122);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_carzd227725zd2_2019;
																																																						BgL_carzd227725zd2_2019
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd227730zd2_2020;
																																																							BgL_cdrzd227730zd2_2020
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd227725zd2_2019));
																																																							if ((CAR(((obj_t) BgL_carzd227725zd2_2019)) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (PAIRP(BgL_cdrzd227730zd2_2020))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg1833z00_2024;
																																																											obj_t
																																																												BgL_arg1834z00_2025;
																																																											obj_t
																																																												BgL_arg1835z00_2026;
																																																											BgL_arg1833z00_2024
																																																												=
																																																												CAR
																																																												(BgL_cdrzd227730zd2_2020);
																																																											BgL_arg1834z00_2025
																																																												=
																																																												CDR
																																																												(BgL_cdrzd227730zd2_2020);
																																																											BgL_arg1835z00_2026
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_21139;
																																																												{
																																																													obj_t
																																																														BgL_argsz00_21142;
																																																													obj_t
																																																														BgL_bodyz00_21141;
																																																													obj_t
																																																														BgL_varsz00_21140;
																																																													BgL_varsz00_21140
																																																														=
																																																														BgL_arg1833z00_2024;
																																																													BgL_bodyz00_21141
																																																														=
																																																														BgL_arg1834z00_2025;
																																																													BgL_argsz00_21142
																																																														=
																																																														BgL_arg1835z00_2026;
																																																													BgL_argsz00_1734
																																																														=
																																																														BgL_argsz00_21142;
																																																													BgL_bodyz00_1733
																																																														=
																																																														BgL_bodyz00_21141;
																																																													BgL_varsz00_1732
																																																														=
																																																														BgL_varsz00_21140;
																																																													goto
																																																														BgL_tagzd2386zd2_1735;
																																																												}
																																																												BgL_auxz00_21108
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_21139);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2403zd2_1769;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_21146;
																																																													goto
																																																														BgL_tagzd2404zd2_1770;
																																																													BgL_auxz00_21108
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_21146);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd227837zd2_2029;
																																																									BgL_cdrzd227837zd2_2029
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd227842zd2_2030;
																																																										BgL_cdrzd227842zd2_2030
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd227725zd2_2019));
																																																										if ((CAR(((obj_t) BgL_carzd227725zd2_2019)) == CNST_TABLE_REF(((long) 1))))
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (PAIRP(BgL_cdrzd227842zd2_2030))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd227847zd2_2034;
																																																														BgL_cdrzd227847zd2_2034
																																																															=
																																																															CDR
																																																															(BgL_cdrzd227842zd2_2030);
																																																														if (PAIRP(BgL_cdrzd227847zd2_2034))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd227851zd2_2036;
																																																																obj_t
																																																																	BgL_cdrzd227852zd2_2037;
																																																																BgL_carzd227851zd2_2036
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd227847zd2_2034);
																																																																BgL_cdrzd227852zd2_2037
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd227847zd2_2034);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227851zd2_2036))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (PAIRP(BgL_cdrzd227852zd2_2037))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd227857zd2_2040;
																																																																				BgL_carzd227857zd2_2040
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd227852zd2_2037);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227857zd2_2040))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(BgL_cdrzd227852zd2_2037)))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								bool_t
																																																																									BgL_testz00_21174;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1411z00_2073;
																																																																									BgL_l1411z00_2073
																																																																										=
																																																																										BgL_cdrzd227837zd2_2029;
																																																																								BgL_zc3anonymousza31865ze3z83_2074:
																																																																									if (NULLP(BgL_l1411z00_2073))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_21174
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_21177;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												bool_t
																																																																													BgL_testz00_21178;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_tmpz00_21179;
																																																																													BgL_tmpz00_21179
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1411z00_2073));
																																																																													BgL_testz00_21178
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_21179);
																																																																												}
																																																																												if (BgL_testz00_21178)
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_21177
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_21177
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_testz00_21177)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1411z00_21183;
																																																																													BgL_l1411z00_21183
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1411z00_2073));
																																																																													BgL_l1411z00_2073
																																																																														=
																																																																														BgL_l1411z00_21183;
																																																																													goto
																																																																														BgL_zc3anonymousza31865ze3z83_2074;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													BgL_testz00_21174
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_testz00_21174)
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg1853z00_2056;
																																																																										BgL_arg1853z00_2056
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd227842zd2_2030);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21187;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_21191;
																																																																												obj_t
																																																																													BgL_proc2z00_21190;
																																																																												obj_t
																																																																													BgL_proc1z00_21189;
																																																																												obj_t
																																																																													BgL_testz00_21188;
																																																																												BgL_testz00_21188
																																																																													=
																																																																													BgL_arg1853z00_2056;
																																																																												BgL_proc1z00_21189
																																																																													=
																																																																													BgL_carzd227851zd2_2036;
																																																																												BgL_proc2z00_21190
																																																																													=
																																																																													BgL_carzd227857zd2_2040;
																																																																												BgL_argsz00_21191
																																																																													=
																																																																													BgL_cdrzd227837zd2_2029;
																																																																												BgL_argsz00_1739
																																																																													=
																																																																													BgL_argsz00_21191;
																																																																												BgL_proc2z00_1738
																																																																													=
																																																																													BgL_proc2z00_21190;
																																																																												BgL_proc1z00_1737
																																																																													=
																																																																													BgL_proc1z00_21189;
																																																																												BgL_testz00_1736
																																																																													=
																																																																													BgL_testz00_21188;
																																																																												goto
																																																																													BgL_tagzd2387zd2_1740;
																																																																											}
																																																																											BgL_auxz00_21108
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21187);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd227882zd2_2057;
																																																																										BgL_cdrzd227882zd2_2057
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd227890zd2_2058;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_11537;
																																																																												BgL_pairz00_11537
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd227890zd2_2058
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_11537);
																																																																											}
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd227898zd2_2059;
																																																																												BgL_cdrzd227898zd2_2059
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd227890zd2_2058));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd227905zd2_2060;
																																																																													BgL_carzd227905zd2_2060
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd227898zd2_2059));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227905zd2_2060))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd227914zd2_2062;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_pairz00_11541;
																																																																																BgL_pairz00_11541
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd227898zd2_2059));
																																																																																BgL_carzd227914zd2_2062
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_11541);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227914zd2_2062))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd227882zd2_2057))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg1858z00_2065;
																																																																																			BgL_arg1858z00_2065
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd227890zd2_2058));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_21213;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_21217;
																																																																																					obj_t
																																																																																						BgL_proc2z00_21216;
																																																																																					obj_t
																																																																																						BgL_proc1z00_21215;
																																																																																					obj_t
																																																																																						BgL_testz00_21214;
																																																																																					BgL_testz00_21214
																																																																																						=
																																																																																						BgL_arg1858z00_2065;
																																																																																					BgL_proc1z00_21215
																																																																																						=
																																																																																						BgL_carzd227905zd2_2060;
																																																																																					BgL_proc2z00_21216
																																																																																						=
																																																																																						BgL_carzd227914zd2_2062;
																																																																																					BgL_argsz00_21217
																																																																																						=
																																																																																						BgL_cdrzd227882zd2_2057;
																																																																																					BgL_argsz00_1744
																																																																																						=
																																																																																						BgL_argsz00_21217;
																																																																																					BgL_proc2z00_1743
																																																																																						=
																																																																																						BgL_proc2z00_21216;
																																																																																					BgL_proc1z00_1742
																																																																																						=
																																																																																						BgL_proc1z00_21215;
																																																																																					BgL_testz00_1741
																																																																																						=
																																																																																						BgL_testz00_21214;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1745;
																																																																																				}
																																																																																				BgL_auxz00_21108
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_21213);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_21221;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_21108
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_21221);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_21225;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_21108
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_21225);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21229;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21108
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21229);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21233;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_21108
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21233);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd228192zd2_2084;
																																																																						BgL_cdrzd228192zd2_2084
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd228199zd2_2085;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_pairz00_11545;
																																																																								BgL_pairz00_11545
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd228199zd2_2085
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_11545);
																																																																							}
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd228206zd2_2086;
																																																																								BgL_cdrzd228206zd2_2086
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd228199zd2_2085));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd228212zd2_2087;
																																																																									obj_t
																																																																										BgL_cdrzd228213zd2_2088;
																																																																									BgL_carzd228212zd2_2087
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd228206zd2_2086));
																																																																									BgL_cdrzd228213zd2_2088
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd228206zd2_2086));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228212zd2_2087))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd228220zd2_2090;
																																																																											BgL_carzd228220zd2_2090
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd228213zd2_2088));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228220zd2_2090))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd228213zd2_2088))))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228192zd2_2084))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg1876z00_2095;
																																																																																	BgL_arg1876z00_2095
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd228199zd2_2085));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_21260;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_21264;
																																																																																			obj_t
																																																																																				BgL_proc2z00_21263;
																																																																																			obj_t
																																																																																				BgL_proc1z00_21262;
																																																																																			obj_t
																																																																																				BgL_testz00_21261;
																																																																																			BgL_testz00_21261
																																																																																				=
																																																																																				BgL_arg1876z00_2095;
																																																																																			BgL_proc1z00_21262
																																																																																				=
																																																																																				BgL_carzd228212zd2_2087;
																																																																																			BgL_proc2z00_21263
																																																																																				=
																																																																																				BgL_carzd228220zd2_2090;
																																																																																			BgL_argsz00_21264
																																																																																				=
																																																																																				BgL_cdrzd228192zd2_2084;
																																																																																			BgL_argsz00_1744
																																																																																				=
																																																																																				BgL_argsz00_21264;
																																																																																			BgL_proc2z00_1743
																																																																																				=
																																																																																				BgL_proc2z00_21263;
																																																																																			BgL_proc1z00_1742
																																																																																				=
																																																																																				BgL_proc1z00_21262;
																																																																																			BgL_testz00_1741
																																																																																				=
																																																																																				BgL_testz00_21261;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1745;
																																																																																		}
																																																																																		BgL_auxz00_21108
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_21260);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_21268;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_21108
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_21268);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21272;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21108
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21272);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21276;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21108
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21276);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21280;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21108
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21280);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_21284;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_21108
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_21284);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd228553zd2_2103;
																																																																		BgL_cdrzd228553zd2_2103
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd228559zd2_2104;
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_pairz00_11555;
																																																																				BgL_pairz00_11555
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd228559zd2_2104
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_11555);
																																																																			}
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd228565zd2_2105;
																																																																				BgL_cdrzd228565zd2_2105
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd228559zd2_2104));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd228570zd2_2106;
																																																																					obj_t
																																																																						BgL_cdrzd228571zd2_2107;
																																																																					BgL_carzd228570zd2_2106
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd228565zd2_2105));
																																																																					BgL_cdrzd228571zd2_2107
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd228565zd2_2105));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228570zd2_2106))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (PAIRP(BgL_cdrzd228571zd2_2107))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd228576zd2_2110;
																																																																									BgL_carzd228576zd2_2110
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd228571zd2_2107);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228576zd2_2110))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (NULLP(CDR(BgL_cdrzd228571zd2_2107)))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228553zd2_2103))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg1890z00_2115;
																																																																															BgL_arg1890z00_2115
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd228559zd2_2104));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_21311;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_21315;
																																																																																	obj_t
																																																																																		BgL_proc2z00_21314;
																																																																																	obj_t
																																																																																		BgL_proc1z00_21313;
																																																																																	obj_t
																																																																																		BgL_testz00_21312;
																																																																																	BgL_testz00_21312
																																																																																		=
																																																																																		BgL_arg1890z00_2115;
																																																																																	BgL_proc1z00_21313
																																																																																		=
																																																																																		BgL_carzd228570zd2_2106;
																																																																																	BgL_proc2z00_21314
																																																																																		=
																																																																																		BgL_carzd228576zd2_2110;
																																																																																	BgL_argsz00_21315
																																																																																		=
																																																																																		BgL_cdrzd228553zd2_2103;
																																																																																	BgL_argsz00_1744
																																																																																		=
																																																																																		BgL_argsz00_21315;
																																																																																	BgL_proc2z00_1743
																																																																																		=
																																																																																		BgL_proc2z00_21314;
																																																																																	BgL_proc1z00_1742
																																																																																		=
																																																																																		BgL_proc1z00_21313;
																																																																																	BgL_testz00_1741
																																																																																		=
																																																																																		BgL_testz00_21312;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1745;
																																																																																}
																																																																																BgL_auxz00_21108
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_21311);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21319;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21108
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21319);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21323;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21108
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21323);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21327;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21108
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21327);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21331;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21108
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21331);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_21335;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_21108
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_21335);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1769;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_21339;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1770;
																																																																		BgL_auxz00_21108
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_21339);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1769;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_21343;
																																																																goto
																																																																	BgL_tagzd2404zd2_1770;
																																																																BgL_auxz00_21108
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_21343);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1769;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_21347;
																																																														goto
																																																															BgL_tagzd2404zd2_1770;
																																																														BgL_auxz00_21108
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_21347);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_21108);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_21350;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg1821z00_2012;
																																																			BgL_arg1821z00_2012
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_21350
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg1821z00_2012));
																																																		}
																																																		if (BgL_testz00_21350)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_21354;
																																																				goto
																																																					BgL_tagzd2384zd2_1727;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_21354);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_carzd229139zd2_1840;
																																																				obj_t
																																																					BgL_cdrzd229140zd2_1841;
																																																				BgL_carzd229139zd2_1840
																																																					=
																																																					CAR
																																																					(BgL_expz00_21);
																																																				BgL_cdrzd229140zd2_1841
																																																					=
																																																					CDR
																																																					(BgL_expz00_21);
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd229144zd2_1842;
																																																					BgL_cdrzd229144zd2_1842
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd229139zd2_1840));
																																																					if ((CAR(((obj_t) BgL_carzd229139zd2_1840)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (PAIRP(BgL_cdrzd229144zd2_1842))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd229147zd2_1846;
																																																									obj_t
																																																										BgL_cdrzd229148zd2_1847;
																																																									BgL_carzd229147zd2_1846
																																																										=
																																																										CAR
																																																										(BgL_cdrzd229144zd2_1842);
																																																									BgL_cdrzd229148zd2_1847
																																																										=
																																																										CDR
																																																										(BgL_cdrzd229144zd2_1842);
																																																									if (PAIRP(BgL_carzd229147zd2_1846))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (NULLP(CDR(BgL_carzd229147zd2_1846)))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (PAIRP(BgL_cdrzd229148zd2_1847))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_carzd229154zd2_1852;
																																																															BgL_carzd229154zd2_1852
																																																																=
																																																																CAR
																																																																(BgL_cdrzd229148zd2_1847);
																																																															if (PAIRP(BgL_carzd229154zd2_1852))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd229154zd2_1852))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (NULLP(CDR(BgL_cdrzd229148zd2_1847)))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd229140zd2_1841))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd229161zd2_1858;
																																																																							BgL_carzd229161zd2_1858
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd229140zd2_1841);
																																																																							if (PAIRP(BgL_carzd229161zd2_1858))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd229185zd2_1860;
																																																																									BgL_cdrzd229185zd2_1860
																																																																										=
																																																																										CDR
																																																																										(CAR
																																																																										(BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg1662z00_1861;
																																																																										obj_t
																																																																											BgL_arg1665z00_1862;
																																																																										obj_t
																																																																											BgL_arg1667z00_1863;
																																																																										BgL_arg1662z00_1861
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd229185zd2_1860));
																																																																										BgL_arg1665z00_1862
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd229185zd2_1860));
																																																																										BgL_arg1667z00_1863
																																																																											=
																																																																											CDR
																																																																											(BgL_expz00_21);
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_21398;
																																																																											obj_t
																																																																												BgL_bodyz00_21397;
																																																																											obj_t
																																																																												BgL_varsz00_21396;
																																																																											BgL_varsz00_21396
																																																																												=
																																																																												BgL_arg1662z00_1861;
																																																																											BgL_bodyz00_21397
																																																																												=
																																																																												BgL_arg1665z00_1862;
																																																																											BgL_argsz00_21398
																																																																												=
																																																																												BgL_arg1667z00_1863;
																																																																											BgL_argsz00_1734
																																																																												=
																																																																												BgL_argsz00_21398;
																																																																											BgL_bodyz00_1733
																																																																												=
																																																																												BgL_bodyz00_21397;
																																																																											BgL_varsz00_1732
																																																																												=
																																																																												BgL_varsz00_21396;
																																																																											goto
																																																																												BgL_tagzd2386zd2_1735;
																																																																										}
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(BgL_cdrzd229140zd2_1841)))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_arg1671z00_1867;
																																																																											BgL_arg1671z00_1867
																																																																												=
																																																																												CAR
																																																																												(BgL_carzd229147zd2_1846);
																																																																											{
																																																																												BgL_castz00_bglt
																																																																													BgL_auxz00_21403;
																																																																												{
																																																																													obj_t
																																																																														BgL_argz00_21406;
																																																																													obj_t
																																																																														BgL_bodyz00_21405;
																																																																													obj_t
																																																																														BgL_varz00_21404;
																																																																													BgL_varz00_21404
																																																																														=
																																																																														BgL_arg1671z00_1867;
																																																																													BgL_bodyz00_21405
																																																																														=
																																																																														BgL_carzd229154zd2_1852;
																																																																													BgL_argz00_21406
																																																																														=
																																																																														BgL_carzd229161zd2_1858;
																																																																													BgL_argz00_1730
																																																																														=
																																																																														BgL_argz00_21406;
																																																																													BgL_bodyz00_1729
																																																																														=
																																																																														BgL_bodyz00_21405;
																																																																													BgL_varz00_1728
																																																																														=
																																																																														BgL_varz00_21404;
																																																																													goto
																																																																														BgL_tagzd2385zd2_1731;
																																																																												}
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_21403);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd229212zd2_1868;
																																																																											BgL_cdrzd229212zd2_1868
																																																																												=
																																																																												CDR
																																																																												(CAR
																																																																												(BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg1672z00_1869;
																																																																												obj_t
																																																																													BgL_arg1673z00_1870;
																																																																												obj_t
																																																																													BgL_arg1674z00_1871;
																																																																												BgL_arg1672z00_1869
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd229212zd2_1868));
																																																																												BgL_arg1673z00_1870
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd229212zd2_1868));
																																																																												BgL_arg1674z00_1871
																																																																													=
																																																																													CDR
																																																																													(BgL_expz00_21);
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_21417;
																																																																													obj_t
																																																																														BgL_bodyz00_21416;
																																																																													obj_t
																																																																														BgL_varsz00_21415;
																																																																													BgL_varsz00_21415
																																																																														=
																																																																														BgL_arg1672z00_1869;
																																																																													BgL_bodyz00_21416
																																																																														=
																																																																														BgL_arg1673z00_1870;
																																																																													BgL_argsz00_21417
																																																																														=
																																																																														BgL_arg1674z00_1871;
																																																																													BgL_argsz00_1734
																																																																														=
																																																																														BgL_argsz00_21417;
																																																																													BgL_bodyz00_1733
																																																																														=
																																																																														BgL_bodyz00_21416;
																																																																													BgL_varsz00_1732
																																																																														=
																																																																														BgL_varsz00_21415;
																																																																													goto
																																																																														BgL_tagzd2386zd2_1735;
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd229238zd2_1874;
																																																																							BgL_cdrzd229238zd2_1874
																																																																								=
																																																																								CDR
																																																																								(CAR
																																																																								(BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg1680z00_1875;
																																																																								obj_t
																																																																									BgL_arg1684z00_1876;
																																																																								obj_t
																																																																									BgL_arg1685z00_1877;
																																																																								BgL_arg1680z00_1875
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd229238zd2_1874));
																																																																								BgL_arg1684z00_1876
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd229238zd2_1874));
																																																																								BgL_arg1685z00_1877
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_21427;
																																																																									obj_t
																																																																										BgL_bodyz00_21426;
																																																																									obj_t
																																																																										BgL_varsz00_21425;
																																																																									BgL_varsz00_21425
																																																																										=
																																																																										BgL_arg1680z00_1875;
																																																																									BgL_bodyz00_21426
																																																																										=
																																																																										BgL_arg1684z00_1876;
																																																																									BgL_argsz00_21427
																																																																										=
																																																																										BgL_arg1685z00_1877;
																																																																									BgL_argsz00_1734
																																																																										=
																																																																										BgL_argsz00_21427;
																																																																									BgL_bodyz00_1733
																																																																										=
																																																																										BgL_bodyz00_21426;
																																																																									BgL_varsz00_1732
																																																																										=
																																																																										BgL_varsz00_21425;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1735;
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd229264zd2_1879;
																																																																					BgL_cdrzd229264zd2_1879
																																																																						=
																																																																						CDR
																																																																						(CAR
																																																																						(BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg1688z00_1880;
																																																																						obj_t
																																																																							BgL_arg1689z00_1881;
																																																																						obj_t
																																																																							BgL_arg1690z00_1882;
																																																																						BgL_arg1688z00_1880
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd229264zd2_1879));
																																																																						BgL_arg1689z00_1881
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd229264zd2_1879));
																																																																						BgL_arg1690z00_1882
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_21437;
																																																																							obj_t
																																																																								BgL_bodyz00_21436;
																																																																							obj_t
																																																																								BgL_varsz00_21435;
																																																																							BgL_varsz00_21435
																																																																								=
																																																																								BgL_arg1688z00_1880;
																																																																							BgL_bodyz00_21436
																																																																								=
																																																																								BgL_arg1689z00_1881;
																																																																							BgL_argsz00_21437
																																																																								=
																																																																								BgL_arg1690z00_1882;
																																																																							BgL_argsz00_1734
																																																																								=
																																																																								BgL_argsz00_21437;
																																																																							BgL_bodyz00_1733
																																																																								=
																																																																								BgL_bodyz00_21436;
																																																																							BgL_varsz00_1732
																																																																								=
																																																																								BgL_varsz00_21435;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1735;
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd229290zd2_1885;
																																																																			BgL_cdrzd229290zd2_1885
																																																																				=
																																																																				CDR
																																																																				(CAR
																																																																				(BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_arg1699z00_1886;
																																																																				obj_t
																																																																					BgL_arg1702z00_1887;
																																																																				obj_t
																																																																					BgL_arg1704z00_1888;
																																																																				BgL_arg1699z00_1886
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd229290zd2_1885));
																																																																				BgL_arg1702z00_1887
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd229290zd2_1885));
																																																																				BgL_arg1704z00_1888
																																																																					=
																																																																					CDR
																																																																					(BgL_expz00_21);
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_21447;
																																																																					obj_t
																																																																						BgL_bodyz00_21446;
																																																																					obj_t
																																																																						BgL_varsz00_21445;
																																																																					BgL_varsz00_21445
																																																																						=
																																																																						BgL_arg1699z00_1886;
																																																																					BgL_bodyz00_21446
																																																																						=
																																																																						BgL_arg1702z00_1887;
																																																																					BgL_argsz00_21447
																																																																						=
																																																																						BgL_arg1704z00_1888;
																																																																					BgL_argsz00_1734
																																																																						=
																																																																						BgL_argsz00_21447;
																																																																					BgL_bodyz00_1733
																																																																						=
																																																																						BgL_bodyz00_21446;
																																																																					BgL_varsz00_1732
																																																																						=
																																																																						BgL_varsz00_21445;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1735;
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd229316zd2_1890;
																																																																	BgL_cdrzd229316zd2_1890
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd229139zd2_1840));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_arg1710z00_1891;
																																																																		obj_t
																																																																			BgL_arg1711z00_1892;
																																																																		obj_t
																																																																			BgL_arg1714z00_1893;
																																																																		BgL_arg1710z00_1891
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd229316zd2_1890));
																																																																		BgL_arg1711z00_1892
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd229316zd2_1890));
																																																																		BgL_arg1714z00_1893
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_21457;
																																																																			obj_t
																																																																				BgL_bodyz00_21456;
																																																																			obj_t
																																																																				BgL_varsz00_21455;
																																																																			BgL_varsz00_21455
																																																																				=
																																																																				BgL_arg1710z00_1891;
																																																																			BgL_bodyz00_21456
																																																																				=
																																																																				BgL_arg1711z00_1892;
																																																																			BgL_argsz00_21457
																																																																				=
																																																																				BgL_arg1714z00_1893;
																																																																			BgL_argsz00_1734
																																																																				=
																																																																				BgL_argsz00_21457;
																																																																			BgL_bodyz00_1733
																																																																				=
																																																																				BgL_bodyz00_21456;
																																																																			BgL_varsz00_1732
																																																																				=
																																																																				BgL_varsz00_21455;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1735;
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd229342zd2_1895;
																																																															BgL_cdrzd229342zd2_1895
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd229139zd2_1840));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_arg1732z00_1896;
																																																																obj_t
																																																																	BgL_arg1733z00_1897;
																																																																obj_t
																																																																	BgL_arg1736z00_1898;
																																																																BgL_arg1732z00_1896
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd229342zd2_1895));
																																																																BgL_arg1733z00_1897
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd229342zd2_1895));
																																																																BgL_arg1736z00_1898
																																																																	=
																																																																	CDR
																																																																	(BgL_expz00_21);
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_21467;
																																																																	obj_t
																																																																		BgL_bodyz00_21466;
																																																																	obj_t
																																																																		BgL_varsz00_21465;
																																																																	BgL_varsz00_21465
																																																																		=
																																																																		BgL_arg1732z00_1896;
																																																																	BgL_bodyz00_21466
																																																																		=
																																																																		BgL_arg1733z00_1897;
																																																																	BgL_argsz00_21467
																																																																		=
																																																																		BgL_arg1736z00_1898;
																																																																	BgL_argsz00_1734
																																																																		=
																																																																		BgL_argsz00_21467;
																																																																	BgL_bodyz00_1733
																																																																		=
																																																																		BgL_bodyz00_21466;
																																																																	BgL_varsz00_1732
																																																																		=
																																																																		BgL_varsz00_21465;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1735;
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd229368zd2_1900;
																																																													BgL_cdrzd229368zd2_1900
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd229139zd2_1840));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg1745z00_1901;
																																																														obj_t
																																																															BgL_arg1746z00_1902;
																																																														obj_t
																																																															BgL_arg1747z00_1903;
																																																														BgL_arg1745z00_1901
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd229368zd2_1900));
																																																														BgL_arg1746z00_1902
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd229368zd2_1900));
																																																														BgL_arg1747z00_1903
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														{
																																																															obj_t
																																																																BgL_argsz00_21477;
																																																															obj_t
																																																																BgL_bodyz00_21476;
																																																															obj_t
																																																																BgL_varsz00_21475;
																																																															BgL_varsz00_21475
																																																																=
																																																																BgL_arg1745z00_1901;
																																																															BgL_bodyz00_21476
																																																																=
																																																																BgL_arg1746z00_1902;
																																																															BgL_argsz00_21477
																																																																=
																																																																BgL_arg1747z00_1903;
																																																															BgL_argsz00_1734
																																																																=
																																																																BgL_argsz00_21477;
																																																															BgL_bodyz00_1733
																																																																=
																																																																BgL_bodyz00_21476;
																																																															BgL_varsz00_1732
																																																																=
																																																																BgL_varsz00_21475;
																																																															goto
																																																																BgL_tagzd2386zd2_1735;
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd229394zd2_1906;
																																																											BgL_cdrzd229394zd2_1906
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd229139zd2_1840));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg1750z00_1907;
																																																												obj_t
																																																													BgL_arg1751z00_1908;
																																																												obj_t
																																																													BgL_arg1753z00_1909;
																																																												BgL_arg1750z00_1907
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd229394zd2_1906));
																																																												BgL_arg1751z00_1908
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd229394zd2_1906));
																																																												BgL_arg1753z00_1909
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												{
																																																													obj_t
																																																														BgL_argsz00_21487;
																																																													obj_t
																																																														BgL_bodyz00_21486;
																																																													obj_t
																																																														BgL_varsz00_21485;
																																																													BgL_varsz00_21485
																																																														=
																																																														BgL_arg1750z00_1907;
																																																													BgL_bodyz00_21486
																																																														=
																																																														BgL_arg1751z00_1908;
																																																													BgL_argsz00_21487
																																																														=
																																																														BgL_arg1753z00_1909;
																																																													BgL_argsz00_1734
																																																														=
																																																														BgL_argsz00_21487;
																																																													BgL_bodyz00_1733
																																																														=
																																																														BgL_bodyz00_21486;
																																																													BgL_varsz00_1732
																																																														=
																																																														BgL_varsz00_21485;
																																																													goto
																																																														BgL_tagzd2386zd2_1735;
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_21490;
																																																											goto
																																																												BgL_tagzd2403zd2_1769;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_21490);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2404zd2_1770;
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd229532zd2_1914;
																																																							BgL_cdrzd229532zd2_1914
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd229139zd2_1840));
																																																							if ((CAR(((obj_t) BgL_carzd229139zd2_1840)) == CNST_TABLE_REF(((long) 1))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (PAIRP(BgL_cdrzd229532zd2_1914))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd229537zd2_1918;
																																																											BgL_cdrzd229537zd2_1918
																																																												=
																																																												CDR
																																																												(BgL_cdrzd229532zd2_1914);
																																																											if (PAIRP(BgL_cdrzd229537zd2_1918))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd229541zd2_1920;
																																																													obj_t
																																																														BgL_cdrzd229542zd2_1921;
																																																													BgL_carzd229541zd2_1920
																																																														=
																																																														CAR
																																																														(BgL_cdrzd229537zd2_1918);
																																																													BgL_cdrzd229542zd2_1921
																																																														=
																																																														CDR
																																																														(BgL_cdrzd229537zd2_1918);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229541zd2_1920))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (PAIRP(BgL_cdrzd229542zd2_1921))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_carzd229547zd2_1924;
																																																																	BgL_carzd229547zd2_1924
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd229542zd2_1921);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229547zd2_1924))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (NULLP(CDR(BgL_cdrzd229542zd2_1921)))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					bool_t
																																																																						BgL_testz00_21516;
																																																																					{
																																																																						obj_t
																																																																							BgL_l1414z00_1957;
																																																																						BgL_l1414z00_1957
																																																																							=
																																																																							BgL_cdrzd229140zd2_1841;
																																																																					BgL_zc3anonymousza31783ze3z83_1958:
																																																																						if (NULLP(BgL_l1414z00_1957))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								BgL_testz00_21516
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								bool_t
																																																																									BgL_testz00_21519;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									bool_t
																																																																										BgL_testz00_21520;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_tmpz00_21521;
																																																																										BgL_tmpz00_21521
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_l1414z00_1957));
																																																																										BgL_testz00_21520
																																																																											=
																																																																											PAIRP
																																																																											(BgL_tmpz00_21521);
																																																																									}
																																																																									if (BgL_testz00_21520)
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_21519
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_21519
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																								}
																																																																								if (BgL_testz00_21519)
																																																																									{
																																																																										obj_t
																																																																											BgL_l1414z00_21525;
																																																																										BgL_l1414z00_21525
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_l1414z00_1957));
																																																																										BgL_l1414z00_1957
																																																																											=
																																																																											BgL_l1414z00_21525;
																																																																										goto
																																																																											BgL_zc3anonymousza31783ze3z83_1958;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										BgL_testz00_21516
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																							}
																																																																					}
																																																																					if (BgL_testz00_21516)
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_21532;
																																																																							obj_t
																																																																								BgL_proc2z00_21531;
																																																																							obj_t
																																																																								BgL_proc1z00_21530;
																																																																							obj_t
																																																																								BgL_testz00_21528;
																																																																							BgL_testz00_21528
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd229532zd2_1914);
																																																																							BgL_proc1z00_21530
																																																																								=
																																																																								BgL_carzd229541zd2_1920;
																																																																							BgL_proc2z00_21531
																																																																								=
																																																																								BgL_carzd229547zd2_1924;
																																																																							BgL_argsz00_21532
																																																																								=
																																																																								BgL_cdrzd229140zd2_1841;
																																																																							BgL_argsz00_1739
																																																																								=
																																																																								BgL_argsz00_21532;
																																																																							BgL_proc2z00_1738
																																																																								=
																																																																								BgL_proc2z00_21531;
																																																																							BgL_proc1z00_1737
																																																																								=
																																																																								BgL_proc1z00_21530;
																																																																							BgL_testz00_1736
																																																																								=
																																																																								BgL_testz00_21528;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1740;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd229572zd2_1941;
																																																																							BgL_cdrzd229572zd2_1941
																																																																								=
																																																																								CDR
																																																																								(BgL_expz00_21);
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd229580zd2_1942;
																																																																								BgL_cdrzd229580zd2_1942
																																																																									=
																																																																									CDR
																																																																									(CAR
																																																																									(BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd229588zd2_1943;
																																																																									BgL_cdrzd229588zd2_1943
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd229580zd2_1942));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd229595zd2_1944;
																																																																										BgL_carzd229595zd2_1944
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd229588zd2_1943));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229595zd2_1944))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd229604zd2_1946;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_11656;
																																																																													BgL_pairz00_11656
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd229588zd2_1943));
																																																																													BgL_carzd229604zd2_1946
																																																																														=
																																																																														CAR
																																																																														(BgL_pairz00_11656);
																																																																												}
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229604zd2_1946))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd229572zd2_1941))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg1777z00_1949;
																																																																																BgL_arg1777z00_1949
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd229580zd2_1942));
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_21554;
																																																																																	obj_t
																																																																																		BgL_proc2z00_21553;
																																																																																	obj_t
																																																																																		BgL_proc1z00_21552;
																																																																																	obj_t
																																																																																		BgL_testz00_21551;
																																																																																	BgL_testz00_21551
																																																																																		=
																																																																																		BgL_arg1777z00_1949;
																																																																																	BgL_proc1z00_21552
																																																																																		=
																																																																																		BgL_carzd229595zd2_1944;
																																																																																	BgL_proc2z00_21553
																																																																																		=
																																																																																		BgL_carzd229604zd2_1946;
																																																																																	BgL_argsz00_21554
																																																																																		=
																																																																																		BgL_cdrzd229572zd2_1941;
																																																																																	BgL_argsz00_1744
																																																																																		=
																																																																																		BgL_argsz00_21554;
																																																																																	BgL_proc2z00_1743
																																																																																		=
																																																																																		BgL_proc2z00_21553;
																																																																																	BgL_proc1z00_1742
																																																																																		=
																																																																																		BgL_proc1z00_21552;
																																																																																	BgL_testz00_1741
																																																																																		=
																																																																																		BgL_testz00_21551;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1745;
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_auxz00_21557;
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																		return
																																																																																			(
																																																																																			(BgL_nodez00_bglt)
																																																																																			BgL_auxz00_21557);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_21561;
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1769;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_21561);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1770;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_21565;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_21565);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_21569;
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_21569);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd229882zd2_1968;
																																																																			BgL_cdrzd229882zd2_1968
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd229889zd2_1969;
																																																																				BgL_cdrzd229889zd2_1969
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd229896zd2_1970;
																																																																					BgL_cdrzd229896zd2_1970
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd229889zd2_1969));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd229902zd2_1971;
																																																																						obj_t
																																																																							BgL_cdrzd229903zd2_1972;
																																																																						BgL_carzd229902zd2_1971
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd229896zd2_1970));
																																																																						BgL_cdrzd229903zd2_1972
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd229896zd2_1970));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229902zd2_1971))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd229910zd2_1974;
																																																																								BgL_carzd229910zd2_1974
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd229903zd2_1972));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229910zd2_1974))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (NULLP(CDR(((obj_t) BgL_cdrzd229903zd2_1972))))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd229882zd2_1968))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg1792z00_1979;
																																																																														BgL_arg1792z00_1979
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd229889zd2_1969));
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_21597;
																																																																															obj_t
																																																																																BgL_proc2z00_21596;
																																																																															obj_t
																																																																																BgL_proc1z00_21595;
																																																																															obj_t
																																																																																BgL_testz00_21594;
																																																																															BgL_testz00_21594
																																																																																=
																																																																																BgL_arg1792z00_1979;
																																																																															BgL_proc1z00_21595
																																																																																=
																																																																																BgL_carzd229902zd2_1971;
																																																																															BgL_proc2z00_21596
																																																																																=
																																																																																BgL_carzd229910zd2_1974;
																																																																															BgL_argsz00_21597
																																																																																=
																																																																																BgL_cdrzd229882zd2_1968;
																																																																															BgL_argsz00_1744
																																																																																=
																																																																																BgL_argsz00_21597;
																																																																															BgL_proc2z00_1743
																																																																																=
																																																																																BgL_proc2z00_21596;
																																																																															BgL_proc1z00_1742
																																																																																=
																																																																																BgL_proc1z00_21595;
																																																																															BgL_testz00_1741
																																																																																=
																																																																																BgL_testz00_21594;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1745;
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_21600;
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1769;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_21600);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1770;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_21604;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_21604);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_21608;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_21608);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_21612;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_21612);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_21616;
																																																																			goto
																																																																				BgL_tagzd2403zd2_1769;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_21616);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1770;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd230243zd2_1987;
																																																															BgL_cdrzd230243zd2_1987
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd230249zd2_1988;
																																																																BgL_cdrzd230249zd2_1988
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd230255zd2_1989;
																																																																	BgL_cdrzd230255zd2_1989
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd230249zd2_1988));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd230260zd2_1990;
																																																																		obj_t
																																																																			BgL_cdrzd230261zd2_1991;
																																																																		BgL_carzd230260zd2_1990
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd230255zd2_1989));
																																																																		BgL_cdrzd230261zd2_1991
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd230255zd2_1989));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd230260zd2_1990))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (PAIRP(BgL_cdrzd230261zd2_1991))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd230266zd2_1994;
																																																																						BgL_carzd230266zd2_1994
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd230261zd2_1991);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd230266zd2_1994))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (NULLP(CDR(BgL_cdrzd230261zd2_1991)))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd230243zd2_1987))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg1807z00_1999;
																																																																												BgL_arg1807z00_1999
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd230249zd2_1988));
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_21644;
																																																																													obj_t
																																																																														BgL_proc2z00_21643;
																																																																													obj_t
																																																																														BgL_proc1z00_21642;
																																																																													obj_t
																																																																														BgL_testz00_21641;
																																																																													BgL_testz00_21641
																																																																														=
																																																																														BgL_arg1807z00_1999;
																																																																													BgL_proc1z00_21642
																																																																														=
																																																																														BgL_carzd230260zd2_1990;
																																																																													BgL_proc2z00_21643
																																																																														=
																																																																														BgL_carzd230266zd2_1994;
																																																																													BgL_argsz00_21644
																																																																														=
																																																																														BgL_cdrzd230243zd2_1987;
																																																																													BgL_argsz00_1744
																																																																														=
																																																																														BgL_argsz00_21644;
																																																																													BgL_proc2z00_1743
																																																																														=
																																																																														BgL_proc2z00_21643;
																																																																													BgL_proc1z00_1742
																																																																														=
																																																																														BgL_proc1z00_21642;
																																																																													BgL_testz00_1741
																																																																														=
																																																																														BgL_testz00_21641;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1745;
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_21647;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_21647);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_21651;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_21651);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_21655;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_21655);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_21659;
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_21659);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_21663;
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_21663);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_21667;
																																																															goto
																																																																BgL_tagzd2403zd2_1769;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_21667);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2404zd2_1770;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_21671;
																																																													goto
																																																														BgL_tagzd2403zd2_1769;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_21671);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2404zd2_1770;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_21675;
																																																											goto
																																																												BgL_tagzd2403zd2_1769;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_21675);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2404zd2_1770;
																																																										}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																														}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																		}
																																	else
																																		{

																																			if (
																																				(BgL_carzd224574zd2_1824
																																					==
																																					CNST_TABLE_REF
																																					(((long) 17))))
																																				{
																																					obj_t
																																						BgL_auxz00_21680;
																																				BgL_kapzd230804zd2_2407:
																																					if (PAIRP(BgL_cdrzd224445zd2_1806))
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_arg2182z00_2504;
																																							obj_t
																																								BgL_arg2183z00_2505;
																																							BgL_arg2182z00_2504
																																								=
																																								CAR
																																								(BgL_cdrzd224445zd2_1806);
																																							BgL_arg2183z00_2505
																																								=
																																								CDR
																																								(BgL_cdrzd224445zd2_1806);
																																							{
																																								BgL_nodez00_bglt
																																									BgL_auxz00_21685;
																																								{
																																									obj_t
																																										BgL_exprz00_21687;
																																									obj_t
																																										BgL_bindingsz00_21686;
																																									BgL_bindingsz00_21686
																																										=
																																										BgL_arg2182z00_2504;
																																									BgL_exprz00_21687
																																										=
																																										BgL_arg2183z00_2505;
																																									BgL_exprz00_1724
																																										=
																																										BgL_exprz00_21687;
																																									BgL_bindingsz00_1723
																																										=
																																										BgL_bindingsz00_21686;
																																									goto
																																										BgL_tagzd2382zd2_1725;
																																								}
																																								BgL_auxz00_21680
																																									=
																																									(
																																									(obj_t)
																																									BgL_auxz00_21685);
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_21694;
																																									goto
																																										BgL_tagzd2383zd2_1726;
																																									BgL_auxz00_21680
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_21694);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_carzd230837zd2_2508;
																																									BgL_carzd230837zd2_2508
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if ((BgL_carzd230837zd2_2508 == CNST_TABLE_REF(((long) 19))))
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_21701;
																																											goto
																																												BgL_tagzd2384zd2_1727;
																																											BgL_auxz00_21680
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_21701);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd230837zd2_2508)))
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_21706;
																																													goto
																																														BgL_tagzd2384zd2_1727;
																																													BgL_auxz00_21680
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_21706);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_21713;
																																															goto
																																																BgL_tagzd2389zd2_1746;
																																															BgL_auxz00_21680
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_21713);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_21720;
																																																	goto
																																																		BgL_tagzd2390zd2_1747;
																																																	BgL_auxz00_21680
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_21720);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_21727;
																																																			goto
																																																				BgL_tagzd2392zd2_1751;
																																																			BgL_auxz00_21680
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_21727);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_21734;
																																																					goto
																																																						BgL_tagzd2393zd2_1752;
																																																					BgL_auxz00_21680
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21734);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_21741;
																																																							goto
																																																								BgL_tagzd2395zd2_1756;
																																																							BgL_auxz00_21680
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_21741);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_21748;
																																																									goto
																																																										BgL_tagzd2396zd2_1757;
																																																									BgL_auxz00_21680
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_21748);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_21755;
																																																											goto
																																																												BgL_tagzd2397zd2_1758;
																																																											BgL_auxz00_21680
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_21755);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																												{
																																																													BgL_jumpzd2exzd2itz00_bglt
																																																														BgL_auxz00_21762;
																																																													goto
																																																														BgL_tagzd2398zd2_1759;
																																																													BgL_auxz00_21680
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_21762);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_21772;
																																																																	goto
																																																																		BgL_tagzd2402zd2_1768;
																																																																	BgL_auxz00_21680
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_21772);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1769;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_21776;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1770;
																																																																			BgL_auxz00_21680
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_21776);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1769;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_21780;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1770;
																																																																	BgL_auxz00_21680
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_21780);
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_auxz00_21680);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd224574zd2_1824)))
																																						{
																																							obj_t
																																								BgL_auxz00_21786;
																																							goto
																																								BgL_kapzd230804zd2_2407;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_21786);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((BgL_carzd224574zd2_1824 == CNST_TABLE_REF(((long) 18))))
																																								{
																																									obj_t
																																										BgL_auxz00_21791;
																																									goto
																																										BgL_kapzd230804zd2_2407;
																																									return
																																										(
																																										(BgL_nodez00_bglt)
																																										BgL_auxz00_21791);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 20))))
																																										{	/* Ast/sexp.scm 118 */
																																											goto
																																												BgL_tagzd2383zd2_1726;
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_carzd230998zd2_2413;
																																											BgL_carzd230998zd2_2413
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											if ((BgL_carzd230998zd2_2413 == CNST_TABLE_REF(((long) 19))))
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_21801;
																																													goto
																																														BgL_tagzd2384zd2_1727;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_auxz00_21801);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd230998zd2_2413)))
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_21806;
																																															goto
																																																BgL_tagzd2384zd2_1727;
																																															return
																																																(
																																																(BgL_nodez00_bglt)
																																																BgL_auxz00_21806);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 118 */
																																																	goto
																																																		BgL_tagzd2389zd2_1746;
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			goto
																																																				BgL_tagzd2390zd2_1747;
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd231077zd2_2420;
																																																			BgL_cdrzd231077zd2_2420
																																																				=
																																																				CDR
																																																				(BgL_expz00_21);
																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (PAIRP(BgL_cdrzd231077zd2_2420))
																																																						{
																																																							obj_t
																																																								BgL_restz00_21825;
																																																							obj_t
																																																								BgL_effectz00_21823;
																																																							BgL_effectz00_21823
																																																								=
																																																								CAR
																																																								(BgL_cdrzd231077zd2_2420);
																																																							BgL_restz00_21825
																																																								=
																																																								CDR
																																																								(BgL_cdrzd231077zd2_2420);
																																																							BgL_restz00_1749
																																																								=
																																																								BgL_restz00_21825;
																																																							BgL_effectz00_1748
																																																								=
																																																								BgL_effectz00_21823;
																																																							goto
																																																								BgL_tagzd2391zd2_1750;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_21829;
																																																									goto
																																																										BgL_tagzd2403zd2_1769;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_21829);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									goto
																																																										BgL_tagzd2404zd2_1770;
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							goto
																																																								BgL_tagzd2392zd2_1751;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									goto
																																																										BgL_tagzd2393zd2_1752;
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (PAIRP(BgL_cdrzd231077zd2_2420))
																																																												{
																																																													obj_t
																																																														BgL_restz00_21847;
																																																													obj_t
																																																														BgL_effectz00_21845;
																																																													BgL_effectz00_21845
																																																														=
																																																														CAR
																																																														(BgL_cdrzd231077zd2_2420);
																																																													BgL_restz00_21847
																																																														=
																																																														CDR
																																																														(BgL_cdrzd231077zd2_2420);
																																																													BgL_restz00_1754
																																																														=
																																																														BgL_restz00_21847;
																																																													BgL_effectz00_1753
																																																														=
																																																														BgL_effectz00_21845;
																																																													goto
																																																														BgL_tagzd2394zd2_1755;
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_21851;
																																																															goto
																																																																BgL_tagzd2403zd2_1769;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_21851);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2404zd2_1770;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2395zd2_1756;
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2396zd2_1757;
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																																{
																																																																	BgL_letzd2funzd2_bglt
																																																																		BgL_auxz00_21865;
																																																																	goto
																																																																		BgL_tagzd2397zd2_1758;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_21865);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																		{
																																																																			BgL_jumpzd2exzd2itz00_bglt
																																																																				BgL_auxz00_21871;
																																																																			goto
																																																																				BgL_tagzd2398zd2_1759;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_21871);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd231204zd2_2446;
																																																																			BgL_cdrzd231204zd2_2446
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd231204zd2_2446))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd231206zd2_2450;
																																																																							BgL_cdrzd231206zd2_2450
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd231204zd2_2446);
																																																																							if (PAIRP(BgL_cdrzd231206zd2_2450))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(BgL_cdrzd231206zd2_2450)))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2399zd2_1760;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_21888;
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_21888);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_21892;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_21892);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_21896;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_21896);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (PAIRP(BgL_cdrzd231204zd2_2446))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd231251zd2_2462;
																																																																									BgL_cdrzd231251zd2_2462
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd231204zd2_2446);
																																																																									if (PAIRP(BgL_cdrzd231251zd2_2462))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd231256zd2_2464;
																																																																											BgL_cdrzd231256zd2_2464
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd231251zd2_2462);
																																																																											if ((CAR(BgL_cdrzd231251zd2_2462) == CNST_TABLE_REF(((long) 31))))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (PAIRP(BgL_cdrzd231256zd2_2464))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg2149z00_2468;
																																																																															obj_t
																																																																																BgL_arg2150z00_2469;
																																																																															obj_t
																																																																																BgL_arg2151z00_2470;
																																																																															BgL_arg2149z00_2468
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd231204zd2_2446);
																																																																															BgL_arg2150z00_2469
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd231256zd2_2464);
																																																																															BgL_arg2151z00_2470
																																																																																=
																																																																																CDR
																																																																																(BgL_cdrzd231256zd2_2464);
																																																																															return
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																BgL_arg2149z00_2468,
																																																																																BgL_arg2150z00_2469,
																																																																																BgL_arg2151z00_2470,
																																																																																BgL_stackz00_22,
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																	BgL_locz00_23),
																																																																																BgL_sitez00_24);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd231269zd2_2471;
																																																																															BgL_cdrzd231269zd2_2471
																																																																																=
																																																																																CDR
																																																																																(BgL_expz00_21);
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg2152z00_2472;
																																																																																obj_t
																																																																																	BgL_arg2153z00_2473;
																																																																																BgL_arg2152z00_2472
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd231269zd2_2471));
																																																																																BgL_arg2153z00_2473
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd231269zd2_2471));
																																																																																{	/* Ast/sexp.scm 561 */
																																																																																	obj_t
																																																																																		BgL_arg6983z00_11739;
																																																																																	BgL_arg6983z00_11739
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	return
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_arg2152z00_2472,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg2153z00_2473, BgL_stackz00_22, BgL_arg6983z00_11739, BgL_sitez00_24);
																																																																												}}}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd231284zd2_2474;
																																																																													BgL_cdrzd231284zd2_2474
																																																																														=
																																																																														CDR
																																																																														(BgL_expz00_21);
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg2154z00_2475;
																																																																														obj_t
																																																																															BgL_arg2155z00_2476;
																																																																														BgL_arg2154z00_2475
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd231284zd2_2474));
																																																																														BgL_arg2155z00_2476
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd231284zd2_2474));
																																																																														{	/* Ast/sexp.scm 561 */
																																																																															obj_t
																																																																																BgL_arg6983z00_11743;
																																																																															BgL_arg6983z00_11743
																																																																																=
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																BgL_locz00_23);
																																																																															return
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																BgL_arg2154z00_2475,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg2155z00_2476, BgL_stackz00_22, BgL_arg6983z00_11743, BgL_sitez00_24);
																																																																										}}}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd231299zd2_2478;
																																																																											BgL_cdrzd231299zd2_2478
																																																																												=
																																																																												CDR
																																																																												(BgL_expz00_21);
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg2157z00_2479;
																																																																												obj_t
																																																																													BgL_arg2158z00_2480;
																																																																												BgL_arg2157z00_2479
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd231299zd2_2478));
																																																																												BgL_arg2158z00_2480
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd231299zd2_2478));
																																																																												{	/* Ast/sexp.scm 561 */
																																																																													obj_t
																																																																														BgL_arg6983z00_11747;
																																																																													BgL_arg6983z00_11747
																																																																														=
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_21,
																																																																														BgL_locz00_23);
																																																																													return
																																																																														BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																														(BgL_expz00_21,
																																																																														BgL_arg2157z00_2479,
																																																																														CNST_TABLE_REF
																																																																														(((long) 4)), BgL_arg2158z00_2480, BgL_stackz00_22, BgL_arg6983z00_11747, BgL_sitez00_24);
																																																																								}}}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_21945;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_21945);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(BgL_expz00_21)))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2402zd2_1768;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_21955;
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_21955);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_21959;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_21959);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Ast/sexp.scm 118 */
												if (
													(BgL_carzd2478zd2_1775 ==
														CNST_TABLE_REF(((long) 11))))
													{	/* Ast/sexp.scm 118 */
														goto BgL_tagzd2371zd2_1705;
													}
												else
													{	/* Ast/sexp.scm 118 */
														if (
															(CAR(BgL_expz00_21) ==
																CNST_TABLE_REF(((long) 14))))
															{
																obj_t BgL_lz00_21968;

																BgL_lz00_21968 = CDR(BgL_expz00_21);
																BgL_lz00_1706 = BgL_lz00_21968;
																goto BgL_tagzd2372zd2_1707;
															}
														else
															{	/* Ast/sexp.scm 118 */
																if (
																	(CAR(BgL_expz00_21) ==
																		CNST_TABLE_REF(((long) 12))))
																	{	/* Ast/sexp.scm 118 */
																		goto BgL_tagzd2373zd2_1708;
																	}
																else
																	{	/* Ast/sexp.scm 118 */
																		if (
																			(CAR(BgL_expz00_21) ==
																				CNST_TABLE_REF(((long) 15))))
																			{	/* Ast/sexp.scm 118 */
																				if (NULLP(CDR(BgL_expz00_21)))
																					{	/* Ast/sexp.scm 118 */
																						goto BgL_tagzd2374zd2_1709;
																					}
																				else
																					{	/* Ast/sexp.scm 118 */
																						obj_t BgL_arg4287z00_5071;

																						BgL_arg4287z00_5071 =
																							CDR(BgL_expz00_21);
																						{
																							BgL_sequencez00_bglt
																								BgL_auxz00_21982;
																							{
																								obj_t BgL_bodyz00_21983;

																								BgL_bodyz00_21983 =
																									BgL_arg4287z00_5071;
																								BgL_bodyz00_1710 =
																									BgL_bodyz00_21983;
																								goto BgL_tagzd2375zd2_1711;
																							}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_21982);
																						}
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 118 */
																				obj_t BgL_carzd231447zd2_5073;
																				obj_t BgL_cdrzd231448zd2_5074;

																				BgL_carzd231447zd2_5073 =
																					CAR(BgL_expz00_21);
																				BgL_cdrzd231448zd2_5074 =
																					CDR(BgL_expz00_21);
																				{

																					if (
																						(BgL_carzd231447zd2_5073 ==
																							CNST_TABLE_REF(((long) 1))))
																						{
																							obj_t BgL_auxz00_21990;

																						BgL_kapzd231449zd2_5075:
																							if (PAIRP
																								(BgL_cdrzd231448zd2_5074))
																								{	/* Ast/sexp.scm 118 */
																									obj_t BgL_cdrzd231452zd2_5822;

																									BgL_cdrzd231452zd2_5822 =
																										CDR
																										(BgL_cdrzd231448zd2_5074);
																									if (PAIRP
																										(BgL_cdrzd231452zd2_5822))
																										{	/* Ast/sexp.scm 118 */
																											obj_t
																												BgL_cdrzd231455zd2_5824;
																											BgL_cdrzd231455zd2_5824 =
																												CDR
																												(BgL_cdrzd231452zd2_5822);
																											if ((CAR
																													(BgL_cdrzd231452zd2_5822)
																													== BTRUE))
																												{	/* Ast/sexp.scm 118 */
																													if (PAIRP
																														(BgL_cdrzd231455zd2_5824))
																														{	/* Ast/sexp.scm 118 */
																															if (
																																(CAR
																																	(BgL_cdrzd231455zd2_5824)
																																	== BFALSE))
																																{	/* Ast/sexp.scm 118 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd231455zd2_5824)))
																																		{	/* Ast/sexp.scm 118 */
																																			if (
																																				(BgL_sitez00_24
																																					==
																																					CNST_TABLE_REF
																																					(((long) 8))))
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_arg4827z00_5834;
																																					BgL_arg4827z00_5834
																																						=
																																						CAR
																																						(BgL_cdrzd231448zd2_5074);
																																					BgL_auxz00_21990
																																						=
																																						(
																																						(obj_t)
																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																						(BgL_arg4827z00_5834,
																																							BgL_stackz00_22,
																																							BgL_locz00_23,
																																							BgL_sitez00_24));
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd231474zd2_5835;
																																					BgL_carzd231474zd2_5835
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd231474zd2_5835
																																							==
																																							CNST_TABLE_REF
																																							(((long) 1))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_22019;
																																							goto
																																								BgL_tagzd2377zd2_1714;
																																							BgL_auxz00_21990
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_22019);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((BgL_carzd231474zd2_5835 == BGl_za2ifza2z00zzast_sexpz00))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_22023;
																																									goto
																																										BgL_tagzd2377zd2_1714;
																																									BgL_auxz00_21990
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_22023);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_22030;
																																											goto
																																												BgL_tagzd2379zd2_1718;
																																											BgL_auxz00_21990
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_22030);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_22037;
																																													goto
																																														BgL_tagzd2380zd2_1719;
																																													BgL_auxz00_21990
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_22037);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_carzd231543zd2_5842;
																																													BgL_carzd231543zd2_5842
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if (PAIRP(BgL_carzd231543zd2_5842))
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_carzd231546zd2_5844;
																																															obj_t
																																																BgL_cdrzd231547zd2_5845;
																																															BgL_carzd231546zd2_5844
																																																=
																																																CAR
																																																(BgL_carzd231543zd2_5842);
																																															BgL_cdrzd231547zd2_5845
																																																=
																																																CDR
																																																(BgL_carzd231543zd2_5842);
																																															{

																																																if ((BgL_carzd231546zd2_5844 == CNST_TABLE_REF(((long) 17))))
																																																	{	/* Ast/sexp.scm 118 */
																																																	BgL_kapzd231548zd2_5846:
																																																		if (PAIRP(BgL_cdrzd231547zd2_5845))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd231551zd2_5971;
																																																				BgL_cdrzd231551zd2_5971
																																																					=
																																																					CDR
																																																					(BgL_cdrzd231547zd2_5845);
																																																				if (PAIRP(BgL_cdrzd231551zd2_5971))
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (NULLP(CDR(BgL_cdrzd231551zd2_5971)))
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg4919z00_5975;
																																																								obj_t
																																																									BgL_arg4920z00_5976;
																																																								BgL_arg4919z00_5975
																																																									=
																																																									CAR
																																																									(BgL_cdrzd231551zd2_5971);
																																																								BgL_arg4920z00_5976
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_22059;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_22061;
																																																										obj_t
																																																											BgL_bodyz00_22060;
																																																										BgL_bodyz00_22060
																																																											=
																																																											BgL_arg4919z00_5975;
																																																										BgL_argsz00_22061
																																																											=
																																																											BgL_arg4920z00_5976;
																																																										BgL_argsz00_1721
																																																											=
																																																											BgL_argsz00_22061;
																																																										BgL_bodyz00_1720
																																																											=
																																																											BgL_bodyz00_22060;
																																																										goto
																																																											BgL_tagzd2381zd2_1722;
																																																									}
																																																									BgL_auxz00_21990
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_22059);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd231575zd2_5977;
																																																								BgL_cdrzd231575zd2_5977
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 118 */
																																																									bool_t
																																																										BgL_testz00_22065;
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg4989z00_6088;
																																																										BgL_arg4989z00_6088
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_testz00_22065
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg4989z00_6088));
																																																									}
																																																									if (BgL_testz00_22065)
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg4923z00_5980;
																																																											obj_t
																																																												BgL_arg4924z00_5981;
																																																											BgL_arg4923z00_5980
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd231575zd2_5977));
																																																											BgL_arg4924z00_5981
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd231575zd2_5977));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_22074;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_22076;
																																																													obj_t
																																																														BgL_bindingsz00_22075;
																																																													BgL_bindingsz00_22075
																																																														=
																																																														BgL_arg4923z00_5980;
																																																													BgL_exprz00_22076
																																																														=
																																																														BgL_arg4924z00_5981;
																																																													BgL_exprz00_1724
																																																														=
																																																														BgL_exprz00_22076;
																																																													BgL_bindingsz00_1723
																																																														=
																																																														BgL_bindingsz00_22075;
																																																													goto
																																																														BgL_tagzd2382zd2_1725;
																																																												}
																																																												BgL_auxz00_21990
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_22074);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											bool_t
																																																												BgL_testz00_22078;
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg4988z00_6087;
																																																												BgL_arg4988z00_6087
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_testz00_22078
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg4988z00_6087));
																																																											}
																																																											if (BgL_testz00_22078)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_22083;
																																																													goto
																																																														BgL_tagzd2384zd2_1727;
																																																													BgL_auxz00_21990
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_22083);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd231642zd2_5984;
																																																													BgL_carzd231642zd2_5984
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd231647zd2_5985;
																																																														BgL_cdrzd231647zd2_5985
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd231642zd2_5984));
																																																														if ((CAR(((obj_t) BgL_carzd231642zd2_5984)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_arg4929z00_5988;
																																																																obj_t
																																																																	BgL_arg4930z00_5989;
																																																																obj_t
																																																																	BgL_arg4931z00_5990;
																																																																BgL_arg4929z00_5988
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd231647zd2_5985));
																																																																BgL_arg4930z00_5989
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd231647zd2_5985));
																																																																BgL_arg4931z00_5990
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_22100;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_22103;
																																																																		obj_t
																																																																			BgL_bodyz00_22102;
																																																																		obj_t
																																																																			BgL_varsz00_22101;
																																																																		BgL_varsz00_22101
																																																																			=
																																																																			BgL_arg4929z00_5988;
																																																																		BgL_bodyz00_22102
																																																																			=
																																																																			BgL_arg4930z00_5989;
																																																																		BgL_argsz00_22103
																																																																			=
																																																																			BgL_arg4931z00_5990;
																																																																		BgL_argsz00_1734
																																																																			=
																																																																			BgL_argsz00_22103;
																																																																		BgL_bodyz00_1733
																																																																			=
																																																																			BgL_bodyz00_22102;
																																																																		BgL_varsz00_1732
																																																																			=
																																																																			BgL_varsz00_22101;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1735;
																																																																	}
																																																																	BgL_auxz00_21990
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_22100);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd231670zd2_5992;
																																																																BgL_cdrzd231670zd2_5992
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd231676zd2_5993;
																																																																	BgL_cdrzd231676zd2_5993
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd231642zd2_5984));
																																																																	if ((CAR(((obj_t) BgL_carzd231642zd2_5984)) == CNST_TABLE_REF(((long) 1))))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd231682zd2_5996;
																																																																			BgL_cdrzd231682zd2_5996
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd231676zd2_5993));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd231687zd2_5997;
																																																																				obj_t
																																																																					BgL_cdrzd231688zd2_5998;
																																																																				BgL_carzd231687zd2_5997
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd231682zd2_5996));
																																																																				BgL_cdrzd231688zd2_5998
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd231682zd2_5996));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231687zd2_5997))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (PAIRP(BgL_cdrzd231688zd2_5998))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd231695zd2_6001;
																																																																								BgL_carzd231695zd2_6001
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd231688zd2_5998);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231695zd2_6001))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (NULLP(CDR(BgL_cdrzd231688zd2_5998)))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												bool_t
																																																																													BgL_testz00_22130;
																																																																												{
																																																																													obj_t
																																																																														BgL_l1417z00_6034;
																																																																													BgL_l1417z00_6034
																																																																														=
																																																																														BgL_cdrzd231670zd2_5992;
																																																																												BgL_zc3anonymousza34954ze3z83_6035:
																																																																													if (NULLP(BgL_l1417z00_6034))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															BgL_testz00_22130
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															bool_t
																																																																																BgL_testz00_22133;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																bool_t
																																																																																	BgL_testz00_22134;
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_tmpz00_22135;
																																																																																	BgL_tmpz00_22135
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_l1417z00_6034));
																																																																																	BgL_testz00_22134
																																																																																		=
																																																																																		PAIRP
																																																																																		(BgL_tmpz00_22135);
																																																																																}
																																																																																if (BgL_testz00_22134)
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		BgL_testz00_22133
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		BgL_testz00_22133
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																															}
																																																																															if (BgL_testz00_22133)
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1417z00_22139;
																																																																																	BgL_l1417z00_22139
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_l1417z00_6034));
																																																																																	BgL_l1417z00_6034
																																																																																		=
																																																																																		BgL_l1417z00_22139;
																																																																																	goto
																																																																																		BgL_zc3anonymousza34954ze3z83_6035;
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	BgL_testz00_22130
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																														}
																																																																												}
																																																																												if (BgL_testz00_22130)
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg4944z00_6017;
																																																																														BgL_arg4944z00_6017
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd231676zd2_5993));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22144;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_22148;
																																																																																obj_t
																																																																																	BgL_proc2z00_22147;
																																																																																obj_t
																																																																																	BgL_proc1z00_22146;
																																																																																obj_t
																																																																																	BgL_testz00_22145;
																																																																																BgL_testz00_22145
																																																																																	=
																																																																																	BgL_arg4944z00_6017;
																																																																																BgL_proc1z00_22146
																																																																																	=
																																																																																	BgL_carzd231687zd2_5997;
																																																																																BgL_proc2z00_22147
																																																																																	=
																																																																																	BgL_carzd231695zd2_6001;
																																																																																BgL_argsz00_22148
																																																																																	=
																																																																																	BgL_cdrzd231670zd2_5992;
																																																																																BgL_argsz00_1739
																																																																																	=
																																																																																	BgL_argsz00_22148;
																																																																																BgL_proc2z00_1738
																																																																																	=
																																																																																	BgL_proc2z00_22147;
																																																																																BgL_proc1z00_1737
																																																																																	=
																																																																																	BgL_proc1z00_22146;
																																																																																BgL_testz00_1736
																																																																																	=
																																																																																	BgL_testz00_22145;
																																																																																goto
																																																																																	BgL_tagzd2387zd2_1740;
																																																																															}
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22144);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd231719zd2_6018;
																																																																														BgL_cdrzd231719zd2_6018
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd231726zd2_6019;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_pairz00_11814;
																																																																																BgL_pairz00_11814
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_cdrzd231726zd2_6019
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_11814);
																																																																															}
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd231733zd2_6020;
																																																																																BgL_cdrzd231733zd2_6020
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd231726zd2_6019));
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_carzd231739zd2_6021;
																																																																																	BgL_carzd231739zd2_6021
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd231733zd2_6020));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231739zd2_6021))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_carzd231746zd2_6023;
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_pairz00_11818;
																																																																																				BgL_pairz00_11818
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd231733zd2_6020));
																																																																																				BgL_carzd231746zd2_6023
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_pairz00_11818);
																																																																																			}
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231746zd2_6023))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd231719zd2_6018))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_arg4948z00_6026;
																																																																																							BgL_arg4948z00_6026
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd231726zd2_6019));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_22170;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_22174;
																																																																																									obj_t
																																																																																										BgL_proc2z00_22173;
																																																																																									obj_t
																																																																																										BgL_proc1z00_22172;
																																																																																									obj_t
																																																																																										BgL_testz00_22171;
																																																																																									BgL_testz00_22171
																																																																																										=
																																																																																										BgL_arg4948z00_6026;
																																																																																									BgL_proc1z00_22172
																																																																																										=
																																																																																										BgL_carzd231739zd2_6021;
																																																																																									BgL_proc2z00_22173
																																																																																										=
																																																																																										BgL_carzd231746zd2_6023;
																																																																																									BgL_argsz00_22174
																																																																																										=
																																																																																										BgL_cdrzd231719zd2_6018;
																																																																																									BgL_argsz00_1744
																																																																																										=
																																																																																										BgL_argsz00_22174;
																																																																																									BgL_proc2z00_1743
																																																																																										=
																																																																																										BgL_proc2z00_22173;
																																																																																									BgL_proc1z00_1742
																																																																																										=
																																																																																										BgL_proc1z00_22172;
																																																																																									BgL_testz00_1741
																																																																																										=
																																																																																										BgL_testz00_22171;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1745;
																																																																																								}
																																																																																								BgL_auxz00_21990
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_22170);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1769;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_22178;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1770;
																																																																																									BgL_auxz00_21990
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_22178);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1769;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_22182;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1770;
																																																																																							BgL_auxz00_21990
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_22182);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_22186;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_21990
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_22186);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_22190;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																														BgL_auxz00_21990
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_22190);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd232022zd2_6045;
																																																																										BgL_cdrzd232022zd2_6045
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd232028zd2_6046;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_11822;
																																																																												BgL_pairz00_11822
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd232028zd2_6046
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_11822);
																																																																											}
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd232034zd2_6047;
																																																																												BgL_cdrzd232034zd2_6047
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd232028zd2_6046));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd232039zd2_6048;
																																																																													obj_t
																																																																														BgL_cdrzd232040zd2_6049;
																																																																													BgL_carzd232039zd2_6048
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd232034zd2_6047));
																																																																													BgL_cdrzd232040zd2_6049
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd232034zd2_6047));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232039zd2_6048))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd232045zd2_6051;
																																																																															BgL_carzd232045zd2_6051
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd232040zd2_6049));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232045zd2_6051))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (NULLP(CDR(((obj_t) BgL_cdrzd232040zd2_6049))))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd232022zd2_6045))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_arg4963z00_6056;
																																																																																					BgL_arg4963z00_6056
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd232028zd2_6046));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_22217;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_22221;
																																																																																							obj_t
																																																																																								BgL_proc2z00_22220;
																																																																																							obj_t
																																																																																								BgL_proc1z00_22219;
																																																																																							obj_t
																																																																																								BgL_testz00_22218;
																																																																																							BgL_testz00_22218
																																																																																								=
																																																																																								BgL_arg4963z00_6056;
																																																																																							BgL_proc1z00_22219
																																																																																								=
																																																																																								BgL_carzd232039zd2_6048;
																																																																																							BgL_proc2z00_22220
																																																																																								=
																																																																																								BgL_carzd232045zd2_6051;
																																																																																							BgL_argsz00_22221
																																																																																								=
																																																																																								BgL_cdrzd232022zd2_6045;
																																																																																							BgL_argsz00_1744
																																																																																								=
																																																																																								BgL_argsz00_22221;
																																																																																							BgL_proc2z00_1743
																																																																																								=
																																																																																								BgL_proc2z00_22220;
																																																																																							BgL_proc1z00_1742
																																																																																								=
																																																																																								BgL_proc1z00_22219;
																																																																																							BgL_testz00_1741
																																																																																								=
																																																																																								BgL_testz00_22218;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1745;
																																																																																						}
																																																																																						BgL_auxz00_21990
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_22217);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1769;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_22225;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1770;
																																																																																							BgL_auxz00_21990
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_22225);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_22229;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_21990
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_22229);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_22233;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_21990
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_22233);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_22237;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_22237);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22241;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_21990
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22241);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd232378zd2_6064;
																																																																						BgL_cdrzd232378zd2_6064
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd232385zd2_6065;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_pairz00_11832;
																																																																								BgL_pairz00_11832
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd232385zd2_6065
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_11832);
																																																																							}
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd232392zd2_6066;
																																																																								BgL_cdrzd232392zd2_6066
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd232385zd2_6065));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd232398zd2_6067;
																																																																									obj_t
																																																																										BgL_cdrzd232399zd2_6068;
																																																																									BgL_carzd232398zd2_6067
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd232392zd2_6066));
																																																																									BgL_cdrzd232399zd2_6068
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd232392zd2_6066));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232398zd2_6067))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (PAIRP(BgL_cdrzd232399zd2_6068))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd232406zd2_6071;
																																																																													BgL_carzd232406zd2_6071
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd232399zd2_6068);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232406zd2_6071))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (NULLP(CDR(BgL_cdrzd232399zd2_6068)))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd232378zd2_6064))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg4977z00_6076;
																																																																																			BgL_arg4977z00_6076
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd232385zd2_6065));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_22268;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_22272;
																																																																																					obj_t
																																																																																						BgL_proc2z00_22271;
																																																																																					obj_t
																																																																																						BgL_proc1z00_22270;
																																																																																					obj_t
																																																																																						BgL_testz00_22269;
																																																																																					BgL_testz00_22269
																																																																																						=
																																																																																						BgL_arg4977z00_6076;
																																																																																					BgL_proc1z00_22270
																																																																																						=
																																																																																						BgL_carzd232398zd2_6067;
																																																																																					BgL_proc2z00_22271
																																																																																						=
																																																																																						BgL_carzd232406zd2_6071;
																																																																																					BgL_argsz00_22272
																																																																																						=
																																																																																						BgL_cdrzd232378zd2_6064;
																																																																																					BgL_argsz00_1744
																																																																																						=
																																																																																						BgL_argsz00_22272;
																																																																																					BgL_proc2z00_1743
																																																																																						=
																																																																																						BgL_proc2z00_22271;
																																																																																					BgL_proc1z00_1742
																																																																																						=
																																																																																						BgL_proc1z00_22270;
																																																																																					BgL_testz00_1741
																																																																																						=
																																																																																						BgL_testz00_22269;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1745;
																																																																																				}
																																																																																				BgL_auxz00_21990
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_22268);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_22276;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_21990
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_22276);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_22280;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_21990
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_22280);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_22284;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_22284);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22288;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22288);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22292;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22292);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1769;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_22296;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1770;
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_22296);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd232799zd2_6090;
																																																						BgL_cdrzd232799zd2_6090
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 118 */
																																																							bool_t
																																																								BgL_testz00_22300;
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg5005z00_6107;
																																																								BgL_arg5005z00_6107
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_testz00_22300
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg5005z00_6107));
																																																							}
																																																							if (BgL_testz00_22300)
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg4993z00_6093;
																																																									obj_t
																																																										BgL_arg4994z00_6094;
																																																									BgL_arg4993z00_6093
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd232799zd2_6090));
																																																									BgL_arg4994z00_6094
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd232799zd2_6090));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_22309;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_22311;
																																																											obj_t
																																																												BgL_bindingsz00_22310;
																																																											BgL_bindingsz00_22310
																																																												=
																																																												BgL_arg4993z00_6093;
																																																											BgL_exprz00_22311
																																																												=
																																																												BgL_arg4994z00_6094;
																																																											BgL_exprz00_1724
																																																												=
																																																												BgL_exprz00_22311;
																																																											BgL_bindingsz00_1723
																																																												=
																																																												BgL_bindingsz00_22310;
																																																											goto
																																																												BgL_tagzd2382zd2_1725;
																																																										}
																																																										BgL_auxz00_21990
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_22309);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									bool_t
																																																										BgL_testz00_22313;
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg5004z00_6106;
																																																										BgL_arg5004z00_6106
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_testz00_22313
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg5004z00_6106));
																																																									}
																																																									if (BgL_testz00_22313)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_22318;
																																																											goto
																																																												BgL_tagzd2384zd2_1727;
																																																											BgL_auxz00_21990
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_22318);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd232865zd2_6097;
																																																											BgL_carzd232865zd2_6097
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd232870zd2_6098;
																																																												BgL_cdrzd232870zd2_6098
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd232865zd2_6097));
																																																												if ((CAR(((obj_t) BgL_carzd232865zd2_6097)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg4999z00_6101;
																																																														obj_t
																																																															BgL_arg5000z00_6102;
																																																														obj_t
																																																															BgL_arg5001z00_6103;
																																																														BgL_arg4999z00_6101
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd232870zd2_6098));
																																																														BgL_arg5000z00_6102
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd232870zd2_6098));
																																																														BgL_arg5001z00_6103
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_22335;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_22338;
																																																																obj_t
																																																																	BgL_bodyz00_22337;
																																																																obj_t
																																																																	BgL_varsz00_22336;
																																																																BgL_varsz00_22336
																																																																	=
																																																																	BgL_arg4999z00_6101;
																																																																BgL_bodyz00_22337
																																																																	=
																																																																	BgL_arg5000z00_6102;
																																																																BgL_argsz00_22338
																																																																	=
																																																																	BgL_arg5001z00_6103;
																																																																BgL_argsz00_1734
																																																																	=
																																																																	BgL_argsz00_22338;
																																																																BgL_bodyz00_1733
																																																																	=
																																																																	BgL_bodyz00_22337;
																																																																BgL_varsz00_1732
																																																																	=
																																																																	BgL_varsz00_22336;
																																																																goto
																																																																	BgL_tagzd2386zd2_1735;
																																																															}
																																																															BgL_auxz00_21990
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_22335);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1769;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_22342;
																																																																goto
																																																																	BgL_tagzd2404zd2_1770;
																																																																BgL_auxz00_21990
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_22342);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd232981zd2_6108;
																																																				BgL_cdrzd232981zd2_6108
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_22346;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg5014z00_6117;
																																																						BgL_arg5014z00_6117
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_22346
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg5014z00_6117));
																																																					}
																																																					if (BgL_testz00_22346)
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg5008z00_6111;
																																																							obj_t
																																																								BgL_arg5009z00_6112;
																																																							BgL_arg5008z00_6111
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd232981zd2_6108));
																																																							BgL_arg5009z00_6112
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd232981zd2_6108));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_22355;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_22357;
																																																									obj_t
																																																										BgL_bindingsz00_22356;
																																																									BgL_bindingsz00_22356
																																																										=
																																																										BgL_arg5008z00_6111;
																																																									BgL_exprz00_22357
																																																										=
																																																										BgL_arg5009z00_6112;
																																																									BgL_exprz00_1724
																																																										=
																																																										BgL_exprz00_22357;
																																																									BgL_bindingsz00_1723
																																																										=
																																																										BgL_bindingsz00_22356;
																																																									goto
																																																										BgL_tagzd2382zd2_1725;
																																																								}
																																																								BgL_auxz00_21990
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_22355);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							bool_t
																																																								BgL_testz00_22359;
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg5013z00_6116;
																																																								BgL_arg5013z00_6116
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_testz00_22359
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg5013z00_6116));
																																																							}
																																																							if (BgL_testz00_22359)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_22364;
																																																									goto
																																																										BgL_tagzd2384zd2_1727;
																																																									BgL_auxz00_21990
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_22364);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2403zd2_1769;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_22368;
																																																											goto
																																																												BgL_tagzd2404zd2_1770;
																																																											BgL_auxz00_21990
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_22368);
																																																										}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd231546zd2_5844)))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd231548zd2_5846;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if ((BgL_carzd231546zd2_5844 == CNST_TABLE_REF(((long) 18))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_kapzd231548zd2_5846;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if ((BgL_carzd231546zd2_5844 == CNST_TABLE_REF(((long) 19))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_kapzd231548zd2_5846;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd231546zd2_5844)))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_kapzd231548zd2_5846;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd233153zd2_5852;
																																																										BgL_cdrzd233153zd2_5852
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 118 */
																																																											bool_t
																																																												BgL_testz00_22384;
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg4914z00_5969;
																																																												BgL_arg4914z00_5969
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_testz00_22384
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg4914z00_5969));
																																																											}
																																																											if (BgL_testz00_22384)
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg4842z00_5855;
																																																													obj_t
																																																														BgL_arg4843z00_5856;
																																																													BgL_arg4842z00_5855
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd233153zd2_5852));
																																																													BgL_arg4843z00_5856
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd233153zd2_5852));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_22393;
																																																														{
																																																															obj_t
																																																																BgL_exprz00_22395;
																																																															obj_t
																																																																BgL_bindingsz00_22394;
																																																															BgL_bindingsz00_22394
																																																																=
																																																																BgL_arg4842z00_5855;
																																																															BgL_exprz00_22395
																																																																=
																																																																BgL_arg4843z00_5856;
																																																															BgL_exprz00_1724
																																																																=
																																																																BgL_exprz00_22395;
																																																															BgL_bindingsz00_1723
																																																																=
																																																																BgL_bindingsz00_22394;
																																																															goto
																																																																BgL_tagzd2382zd2_1725;
																																																														}
																																																														BgL_auxz00_21990
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_22393);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													bool_t
																																																														BgL_testz00_22397;
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg4913z00_5968;
																																																														BgL_arg4913z00_5968
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_testz00_22397
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg4913z00_5968));
																																																													}
																																																													if (BgL_testz00_22397)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_22402;
																																																															goto
																																																																BgL_tagzd2384zd2_1727;
																																																															BgL_auxz00_21990
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_22402);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_carzd233219zd2_5859;
																																																															BgL_carzd233219zd2_5859
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd233224zd2_5860;
																																																																BgL_cdrzd233224zd2_5860
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd233219zd2_5859));
																																																																if ((CAR(((obj_t) BgL_carzd233219zd2_5859)) == CNST_TABLE_REF(((long) 3))))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (PAIRP(BgL_cdrzd233224zd2_5860))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_arg4849z00_5864;
																																																																				obj_t
																																																																					BgL_arg4850z00_5865;
																																																																				obj_t
																																																																					BgL_arg4851z00_5866;
																																																																				BgL_arg4849z00_5864
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd233224zd2_5860);
																																																																				BgL_arg4850z00_5865
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd233224zd2_5860);
																																																																				BgL_arg4851z00_5866
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_22419;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_22422;
																																																																						obj_t
																																																																							BgL_bodyz00_22421;
																																																																						obj_t
																																																																							BgL_varsz00_22420;
																																																																						BgL_varsz00_22420
																																																																							=
																																																																							BgL_arg4849z00_5864;
																																																																						BgL_bodyz00_22421
																																																																							=
																																																																							BgL_arg4850z00_5865;
																																																																						BgL_argsz00_22422
																																																																							=
																																																																							BgL_arg4851z00_5866;
																																																																						BgL_argsz00_1734
																																																																							=
																																																																							BgL_argsz00_22422;
																																																																						BgL_bodyz00_1733
																																																																							=
																																																																							BgL_bodyz00_22421;
																																																																						BgL_varsz00_1732
																																																																							=
																																																																							BgL_varsz00_22420;
																																																																						goto
																																																																							BgL_tagzd2386zd2_1735;
																																																																					}
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_22419);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22426;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_21990
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22426);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd233331zd2_5869;
																																																																		BgL_cdrzd233331zd2_5869
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd233336zd2_5870;
																																																																			BgL_cdrzd233336zd2_5870
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd233219zd2_5859));
																																																																			if ((CAR(((obj_t) BgL_carzd233219zd2_5859)) == CNST_TABLE_REF(((long) 1))))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd233336zd2_5870))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd233341zd2_5874;
																																																																							BgL_cdrzd233341zd2_5874
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd233336zd2_5870);
																																																																							if (PAIRP(BgL_cdrzd233341zd2_5874))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd233345zd2_5876;
																																																																									obj_t
																																																																										BgL_cdrzd233346zd2_5877;
																																																																									BgL_carzd233345zd2_5876
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd233341zd2_5874);
																																																																									BgL_cdrzd233346zd2_5877
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd233341zd2_5874);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233345zd2_5876))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (PAIRP(BgL_cdrzd233346zd2_5877))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd233351zd2_5880;
																																																																													BgL_carzd233351zd2_5880
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd233346zd2_5877);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233351zd2_5880))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (NULLP(CDR(BgL_cdrzd233346zd2_5877)))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	bool_t
																																																																																		BgL_testz00_22454;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1420z00_5913;
																																																																																		BgL_l1420z00_5913
																																																																																			=
																																																																																			BgL_cdrzd233331zd2_5869;
																																																																																	BgL_zc3anonymousza34877ze3z83_5914:
																																																																																		if (NULLP(BgL_l1420z00_5913))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				BgL_testz00_22454
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				bool_t
																																																																																					BgL_testz00_22457;
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					bool_t
																																																																																						BgL_testz00_22458;
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_tmpz00_22459;
																																																																																						BgL_tmpz00_22459
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_l1420z00_5913));
																																																																																						BgL_testz00_22458
																																																																																							=
																																																																																							PAIRP
																																																																																							(BgL_tmpz00_22459);
																																																																																					}
																																																																																					if (BgL_testz00_22458)
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							BgL_testz00_22457
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								0);
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							BgL_testz00_22457
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								1);
																																																																																						}
																																																																																				}
																																																																																				if (BgL_testz00_22457)
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_l1420z00_22463;
																																																																																						BgL_l1420z00_22463
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_l1420z00_5913));
																																																																																						BgL_l1420z00_5913
																																																																																							=
																																																																																							BgL_l1420z00_22463;
																																																																																						goto
																																																																																							BgL_zc3anonymousza34877ze3z83_5914;
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						BgL_testz00_22454
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							0);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																	if (BgL_testz00_22454)
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg4867z00_5896;
																																																																																			BgL_arg4867z00_5896
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd233336zd2_5870);
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_22467;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_22471;
																																																																																					obj_t
																																																																																						BgL_proc2z00_22470;
																																																																																					obj_t
																																																																																						BgL_proc1z00_22469;
																																																																																					obj_t
																																																																																						BgL_testz00_22468;
																																																																																					BgL_testz00_22468
																																																																																						=
																																																																																						BgL_arg4867z00_5896;
																																																																																					BgL_proc1z00_22469
																																																																																						=
																																																																																						BgL_carzd233345zd2_5876;
																																																																																					BgL_proc2z00_22470
																																																																																						=
																																																																																						BgL_carzd233351zd2_5880;
																																																																																					BgL_argsz00_22471
																																																																																						=
																																																																																						BgL_cdrzd233331zd2_5869;
																																																																																					BgL_argsz00_1739
																																																																																						=
																																																																																						BgL_argsz00_22471;
																																																																																					BgL_proc2z00_1738
																																																																																						=
																																																																																						BgL_proc2z00_22470;
																																																																																					BgL_proc1z00_1737
																																																																																						=
																																																																																						BgL_proc1z00_22469;
																																																																																					BgL_testz00_1736
																																																																																						=
																																																																																						BgL_testz00_22468;
																																																																																					goto
																																																																																						BgL_tagzd2387zd2_1740;
																																																																																				}
																																																																																				BgL_auxz00_21990
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_22467);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_cdrzd233376zd2_5897;
																																																																																			BgL_cdrzd233376zd2_5897
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_cdrzd233384zd2_5898;
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_pairz00_11889;
																																																																																					BgL_pairz00_11889
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					BgL_cdrzd233384zd2_5898
																																																																																						=
																																																																																						CDR
																																																																																						(BgL_pairz00_11889);
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_cdrzd233392zd2_5899;
																																																																																					BgL_cdrzd233392zd2_5899
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd233384zd2_5898));
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_carzd233399zd2_5900;
																																																																																						BgL_carzd233399zd2_5900
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd233392zd2_5899));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233399zd2_5900))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								obj_t
																																																																																									BgL_carzd233408zd2_5902;
																																																																																								{	/* Ast/sexp.scm 118 */
																																																																																									obj_t
																																																																																										BgL_pairz00_11893;
																																																																																									BgL_pairz00_11893
																																																																																										=
																																																																																										CDR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd233392zd2_5899));
																																																																																									BgL_carzd233408zd2_5902
																																																																																										=
																																																																																										CAR
																																																																																										(BgL_pairz00_11893);
																																																																																								}
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233408zd2_5902))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd233376zd2_5897))
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												obj_t
																																																																																													BgL_arg4871z00_5905;
																																																																																												BgL_arg4871z00_5905
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd233384zd2_5898));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_22493;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_22497;
																																																																																														obj_t
																																																																																															BgL_proc2z00_22496;
																																																																																														obj_t
																																																																																															BgL_proc1z00_22495;
																																																																																														obj_t
																																																																																															BgL_testz00_22494;
																																																																																														BgL_testz00_22494
																																																																																															=
																																																																																															BgL_arg4871z00_5905;
																																																																																														BgL_proc1z00_22495
																																																																																															=
																																																																																															BgL_carzd233399zd2_5900;
																																																																																														BgL_proc2z00_22496
																																																																																															=
																																																																																															BgL_carzd233408zd2_5902;
																																																																																														BgL_argsz00_22497
																																																																																															=
																																																																																															BgL_cdrzd233376zd2_5897;
																																																																																														BgL_argsz00_1744
																																																																																															=
																																																																																															BgL_argsz00_22497;
																																																																																														BgL_proc2z00_1743
																																																																																															=
																																																																																															BgL_proc2z00_22496;
																																																																																														BgL_proc1z00_1742
																																																																																															=
																																																																																															BgL_proc1z00_22495;
																																																																																														BgL_testz00_1741
																																																																																															=
																																																																																															BgL_testz00_22494;
																																																																																														goto
																																																																																															BgL_tagzd2388zd2_1745;
																																																																																													}
																																																																																													BgL_auxz00_21990
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_22493);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 118 */
																																																																																														goto
																																																																																															BgL_tagzd2403zd2_1769;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_22501;
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1770;
																																																																																														BgL_auxz00_21990
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_22501);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1769;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_22505;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1770;
																																																																																												BgL_auxz00_21990
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_22505);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1769;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_22509;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1770;
																																																																																										BgL_auxz00_21990
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_22509);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_22513;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_21990
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_22513);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd233686zd2_5924;
																																																																															BgL_cdrzd233686zd2_5924
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd233693zd2_5925;
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_pairz00_11897;
																																																																																	BgL_pairz00_11897
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd233693zd2_5925
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_11897);
																																																																																}
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_cdrzd233700zd2_5926;
																																																																																	BgL_cdrzd233700zd2_5926
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd233693zd2_5925));
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_carzd233706zd2_5927;
																																																																																		obj_t
																																																																																			BgL_cdrzd233707zd2_5928;
																																																																																		BgL_carzd233706zd2_5927
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd233700zd2_5926));
																																																																																		BgL_cdrzd233707zd2_5928
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd233700zd2_5926));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233706zd2_5927))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_carzd233714zd2_5930;
																																																																																				BgL_carzd233714zd2_5930
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd233707zd2_5928));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233714zd2_5930))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd233707zd2_5928))))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd233686zd2_5924))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										obj_t
																																																																																											BgL_arg4886z00_5935;
																																																																																										BgL_arg4886z00_5935
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd233693zd2_5925));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_22540;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_22544;
																																																																																												obj_t
																																																																																													BgL_proc2z00_22543;
																																																																																												obj_t
																																																																																													BgL_proc1z00_22542;
																																																																																												obj_t
																																																																																													BgL_testz00_22541;
																																																																																												BgL_testz00_22541
																																																																																													=
																																																																																													BgL_arg4886z00_5935;
																																																																																												BgL_proc1z00_22542
																																																																																													=
																																																																																													BgL_carzd233706zd2_5927;
																																																																																												BgL_proc2z00_22543
																																																																																													=
																																																																																													BgL_carzd233714zd2_5930;
																																																																																												BgL_argsz00_22544
																																																																																													=
																																																																																													BgL_cdrzd233686zd2_5924;
																																																																																												BgL_argsz00_1744
																																																																																													=
																																																																																													BgL_argsz00_22544;
																																																																																												BgL_proc2z00_1743
																																																																																													=
																																																																																													BgL_proc2z00_22543;
																																																																																												BgL_proc1z00_1742
																																																																																													=
																																																																																													BgL_proc1z00_22542;
																																																																																												BgL_testz00_1741
																																																																																													=
																																																																																													BgL_testz00_22541;
																																																																																												goto
																																																																																													BgL_tagzd2388zd2_1745;
																																																																																											}
																																																																																											BgL_auxz00_21990
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_22540);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1769;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_22548;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1770;
																																																																																												BgL_auxz00_21990
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_22548);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1769;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_22552;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1770;
																																																																																										BgL_auxz00_21990
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_22552);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_22556;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_21990
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_22556);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_22560;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_21990
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_22560);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22564;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22564);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd234047zd2_5943;
																																																																											BgL_cdrzd234047zd2_5943
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd234053zd2_5944;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_11907;
																																																																													BgL_pairz00_11907
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd234053zd2_5944
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_11907);
																																																																												}
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd234059zd2_5945;
																																																																													BgL_cdrzd234059zd2_5945
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd234053zd2_5944));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd234064zd2_5946;
																																																																														obj_t
																																																																															BgL_cdrzd234065zd2_5947;
																																																																														BgL_carzd234064zd2_5946
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd234059zd2_5945));
																																																																														BgL_cdrzd234065zd2_5947
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd234059zd2_5945));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234064zd2_5946))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (PAIRP(BgL_cdrzd234065zd2_5947))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_carzd234070zd2_5950;
																																																																																		BgL_carzd234070zd2_5950
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd234065zd2_5947);
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234070zd2_5950))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (NULLP(CDR(BgL_cdrzd234065zd2_5947)))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd234047zd2_5943))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								obj_t
																																																																																									BgL_arg4900z00_5955;
																																																																																								BgL_arg4900z00_5955
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd234053zd2_5944));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_22591;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_22595;
																																																																																										obj_t
																																																																																											BgL_proc2z00_22594;
																																																																																										obj_t
																																																																																											BgL_proc1z00_22593;
																																																																																										obj_t
																																																																																											BgL_testz00_22592;
																																																																																										BgL_testz00_22592
																																																																																											=
																																																																																											BgL_arg4900z00_5955;
																																																																																										BgL_proc1z00_22593
																																																																																											=
																																																																																											BgL_carzd234064zd2_5946;
																																																																																										BgL_proc2z00_22594
																																																																																											=
																																																																																											BgL_carzd234070zd2_5950;
																																																																																										BgL_argsz00_22595
																																																																																											=
																																																																																											BgL_cdrzd234047zd2_5943;
																																																																																										BgL_argsz00_1744
																																																																																											=
																																																																																											BgL_argsz00_22595;
																																																																																										BgL_proc2z00_1743
																																																																																											=
																																																																																											BgL_proc2z00_22594;
																																																																																										BgL_proc1z00_1742
																																																																																											=
																																																																																											BgL_proc1z00_22593;
																																																																																										BgL_testz00_1741
																																																																																											=
																																																																																											BgL_testz00_22592;
																																																																																										goto
																																																																																											BgL_tagzd2388zd2_1745;
																																																																																									}
																																																																																									BgL_auxz00_21990
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_22591);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1769;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_22599;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1770;
																																																																																										BgL_auxz00_21990
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_22599);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_22603;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_21990
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_22603);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_22607;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_21990
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_22607);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_22611;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_21990
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_22611);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_22615;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																		BgL_auxz00_21990
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_22615);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22619;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22619);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_22623;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22623);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_22627;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_22627);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_cdrzd234608zd2_6119;
																																															BgL_cdrzd234608zd2_6119
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if ((BgL_carzd231543zd2_5842 == CNST_TABLE_REF(((long) 17))))
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg5016z00_6121;
																																																	obj_t
																																																		BgL_arg5017z00_6122;
																																																	BgL_arg5016z00_6121
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd234608zd2_6119));
																																																	BgL_arg5017z00_6122
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd234608zd2_6119));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_22638;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_22640;
																																																			obj_t
																																																				BgL_bindingsz00_22639;
																																																			BgL_bindingsz00_22639
																																																				=
																																																				BgL_arg5016z00_6121;
																																																			BgL_exprz00_22640
																																																				=
																																																				BgL_arg5017z00_6122;
																																																			BgL_exprz00_1724
																																																				=
																																																				BgL_exprz00_22640;
																																																			BgL_bindingsz00_1723
																																																				=
																																																				BgL_bindingsz00_22639;
																																																			goto
																																																				BgL_tagzd2382zd2_1725;
																																																		}
																																																		BgL_auxz00_21990
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_22638);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd231543zd2_5842)))
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg5019z00_6124;
																																																			obj_t
																																																				BgL_arg5020z00_6125;
																																																			BgL_arg5019z00_6124
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd234608zd2_6119));
																																																			BgL_arg5020z00_6125
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd234608zd2_6119));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_22649;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_22651;
																																																					obj_t
																																																						BgL_bindingsz00_22650;
																																																					BgL_bindingsz00_22650
																																																						=
																																																						BgL_arg5019z00_6124;
																																																					BgL_exprz00_22651
																																																						=
																																																						BgL_arg5020z00_6125;
																																																					BgL_exprz00_1724
																																																						=
																																																						BgL_exprz00_22651;
																																																					BgL_bindingsz00_1723
																																																						=
																																																						BgL_bindingsz00_22650;
																																																					goto
																																																						BgL_tagzd2382zd2_1725;
																																																				}
																																																				BgL_auxz00_21990
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_22649);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((BgL_carzd231543zd2_5842 == CNST_TABLE_REF(((long) 18))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg5022z00_6127;
																																																					obj_t
																																																						BgL_arg5023z00_6128;
																																																					BgL_arg5022z00_6127
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd234608zd2_6119));
																																																					BgL_arg5023z00_6128
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd234608zd2_6119));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_22660;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_22662;
																																																							obj_t
																																																								BgL_bindingsz00_22661;
																																																							BgL_bindingsz00_22661
																																																								=
																																																								BgL_arg5022z00_6127;
																																																							BgL_exprz00_22662
																																																								=
																																																								BgL_arg5023z00_6128;
																																																							BgL_exprz00_1724
																																																								=
																																																								BgL_exprz00_22662;
																																																							BgL_bindingsz00_1723
																																																								=
																																																								BgL_bindingsz00_22661;
																																																							goto
																																																								BgL_tagzd2382zd2_1725;
																																																						}
																																																						BgL_auxz00_21990
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_22660);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_22669;
																																																							goto
																																																								BgL_tagzd2383zd2_1726;
																																																							BgL_auxz00_21990
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_22669);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd234645zd2_6131;
																																																							BgL_carzd234645zd2_6131
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((BgL_carzd234645zd2_6131 == CNST_TABLE_REF(((long) 19))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_22676;
																																																									goto
																																																										BgL_tagzd2384zd2_1727;
																																																									BgL_auxz00_21990
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_22676);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd234645zd2_6131)))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_22681;
																																																											goto
																																																												BgL_tagzd2384zd2_1727;
																																																											BgL_auxz00_21990
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_22681);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_22688;
																																																													goto
																																																														BgL_tagzd2389zd2_1746;
																																																													BgL_auxz00_21990
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_22688);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_22695;
																																																															goto
																																																																BgL_tagzd2390zd2_1747;
																																																															BgL_auxz00_21990
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_22695);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd234725zd2_6138;
																																																															BgL_cdrzd234725zd2_6138
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg5034z00_6141;
																																																																	obj_t
																																																																		BgL_arg5035z00_6142;
																																																																	BgL_arg5034z00_6141
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd234725zd2_6138));
																																																																	BgL_arg5035z00_6142
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd234725zd2_6138));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22708;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_22710;
																																																																			obj_t
																																																																				BgL_effectz00_22709;
																																																																			BgL_effectz00_22709
																																																																				=
																																																																				BgL_arg5034z00_6141;
																																																																			BgL_restz00_22710
																																																																				=
																																																																				BgL_arg5035z00_6142;
																																																																			BgL_restz00_1749
																																																																				=
																																																																				BgL_restz00_22710;
																																																																			BgL_effectz00_1748
																																																																				=
																																																																				BgL_effectz00_22709;
																																																																			goto
																																																																				BgL_tagzd2391zd2_1750;
																																																																		}
																																																																		BgL_auxz00_21990
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22708);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_22717;
																																																																			goto
																																																																				BgL_tagzd2392zd2_1751;
																																																																			BgL_auxz00_21990
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_22717);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_22724;
																																																																					goto
																																																																						BgL_tagzd2393zd2_1752;
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_22724);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_arg5042z00_6150;
																																																																							obj_t
																																																																								BgL_arg5043z00_6151;
																																																																							BgL_arg5042z00_6150
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd234725zd2_6138));
																																																																							BgL_arg5043z00_6151
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd234725zd2_6138));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22735;
																																																																								{
																																																																									obj_t
																																																																										BgL_restz00_22737;
																																																																									obj_t
																																																																										BgL_effectz00_22736;
																																																																									BgL_effectz00_22736
																																																																										=
																																																																										BgL_arg5042z00_6150;
																																																																									BgL_restz00_22737
																																																																										=
																																																																										BgL_arg5043z00_6151;
																																																																									BgL_restz00_1754
																																																																										=
																																																																										BgL_restz00_22737;
																																																																									BgL_effectz00_1753
																																																																										=
																																																																										BgL_effectz00_22736;
																																																																									goto
																																																																										BgL_tagzd2394zd2_1755;
																																																																								}
																																																																								BgL_auxz00_21990
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22735);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_22744;
																																																																									goto
																																																																										BgL_tagzd2395zd2_1756;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22744);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22751;
																																																																											goto
																																																																												BgL_tagzd2396zd2_1757;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22751);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																												{
																																																																													BgL_letzd2funzd2_bglt
																																																																														BgL_auxz00_22758;
																																																																													goto
																																																																														BgL_tagzd2397zd2_1758;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22758);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																														{
																																																																															BgL_jumpzd2exzd2itz00_bglt
																																																																																BgL_auxz00_22765;
																																																																															goto
																																																																																BgL_tagzd2398zd2_1759;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22765);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd234802zd2_6160;
																																																																															BgL_cdrzd234802zd2_6160
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg5054z00_6163;
																																																																																	obj_t
																																																																																		BgL_arg5055z00_6164;
																																																																																	BgL_arg5054z00_6163
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd234802zd2_6160));
																																																																																	BgL_arg5055z00_6164
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd234802zd2_6160));
																																																																																	{	/* Ast/sexp.scm 561 */
																																																																																		obj_t
																																																																																			BgL_arg6983z00_11946;
																																																																																		BgL_arg6983z00_11946
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		BgL_auxz00_21990
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_arg5054z00_6163,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 4)), BgL_arg5055z00_6164, BgL_stackz00_22, BgL_arg6983z00_11946, BgL_sitez00_24));
																																																																																}}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_22784;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_21990
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_22784);
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_carzd234827zd2_6181;
																																			BgL_carzd234827zd2_6181
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (
																																				(BgL_carzd234827zd2_6181
																																					==
																																					CNST_TABLE_REF
																																					(((long) 1))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_22791;
																																					goto
																																						BgL_tagzd2377zd2_1714;
																																					BgL_auxz00_21990
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_22791);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(BgL_carzd234827zd2_6181
																																							==
																																							BGl_za2ifza2z00zzast_sexpz00))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_22795;
																																							goto
																																								BgL_tagzd2377zd2_1714;
																																							BgL_auxz00_21990
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_22795);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_22802;
																																									goto
																																										BgL_tagzd2379zd2_1718;
																																									BgL_auxz00_21990
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_22802);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_22809;
																																											goto
																																												BgL_tagzd2380zd2_1719;
																																											BgL_auxz00_21990
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_22809);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_carzd234896zd2_6188;
																																											BgL_carzd234896zd2_6188
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if (PAIRP(BgL_carzd234896zd2_6188))
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_carzd234899zd2_6190;
																																													obj_t
																																														BgL_cdrzd234900zd2_6191;
																																													BgL_carzd234899zd2_6190
																																														=
																																														CAR
																																														(BgL_carzd234896zd2_6188);
																																													BgL_cdrzd234900zd2_6191
																																														=
																																														CDR
																																														(BgL_carzd234896zd2_6188);
																																													{

																																														if ((BgL_carzd234899zd2_6190 == CNST_TABLE_REF(((long) 17))))
																																															{	/* Ast/sexp.scm 118 */
																																															BgL_kapzd234901zd2_6192:
																																																if (PAIRP(BgL_cdrzd234900zd2_6191))
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd234904zd2_6317;
																																																		BgL_cdrzd234904zd2_6317
																																																			=
																																																			CDR
																																																			(BgL_cdrzd234900zd2_6191);
																																																		if (PAIRP(BgL_cdrzd234904zd2_6317))
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (NULLP(CDR(BgL_cdrzd234904zd2_6317)))
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg5162z00_6321;
																																																						obj_t
																																																							BgL_arg5163z00_6322;
																																																						BgL_arg5162z00_6321
																																																							=
																																																							CAR
																																																							(BgL_cdrzd234904zd2_6317);
																																																						BgL_arg5163z00_6322
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_22831;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_22833;
																																																								obj_t
																																																									BgL_bodyz00_22832;
																																																								BgL_bodyz00_22832
																																																									=
																																																									BgL_arg5162z00_6321;
																																																								BgL_argsz00_22833
																																																									=
																																																									BgL_arg5163z00_6322;
																																																								BgL_argsz00_1721
																																																									=
																																																									BgL_argsz00_22833;
																																																								BgL_bodyz00_1720
																																																									=
																																																									BgL_bodyz00_22832;
																																																								goto
																																																									BgL_tagzd2381zd2_1722;
																																																							}
																																																							BgL_auxz00_21990
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_22831);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd234928zd2_6323;
																																																						BgL_cdrzd234928zd2_6323
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 118 */
																																																							bool_t
																																																								BgL_testz00_22837;
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg5232z00_6434;
																																																								BgL_arg5232z00_6434
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_testz00_22837
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg5232z00_6434));
																																																							}
																																																							if (BgL_testz00_22837)
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg5166z00_6326;
																																																									obj_t
																																																										BgL_arg5167z00_6327;
																																																									BgL_arg5166z00_6326
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd234928zd2_6323));
																																																									BgL_arg5167z00_6327
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd234928zd2_6323));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_22846;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_22848;
																																																											obj_t
																																																												BgL_bindingsz00_22847;
																																																											BgL_bindingsz00_22847
																																																												=
																																																												BgL_arg5166z00_6326;
																																																											BgL_exprz00_22848
																																																												=
																																																												BgL_arg5167z00_6327;
																																																											BgL_exprz00_1724
																																																												=
																																																												BgL_exprz00_22848;
																																																											BgL_bindingsz00_1723
																																																												=
																																																												BgL_bindingsz00_22847;
																																																											goto
																																																												BgL_tagzd2382zd2_1725;
																																																										}
																																																										BgL_auxz00_21990
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_22846);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									bool_t
																																																										BgL_testz00_22850;
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg5231z00_6433;
																																																										BgL_arg5231z00_6433
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_testz00_22850
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg5231z00_6433));
																																																									}
																																																									if (BgL_testz00_22850)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_22855;
																																																											goto
																																																												BgL_tagzd2384zd2_1727;
																																																											BgL_auxz00_21990
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_22855);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd234995zd2_6330;
																																																											BgL_carzd234995zd2_6330
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd235000zd2_6331;
																																																												BgL_cdrzd235000zd2_6331
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd234995zd2_6330));
																																																												if ((CAR(((obj_t) BgL_carzd234995zd2_6330)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg5172z00_6334;
																																																														obj_t
																																																															BgL_arg5173z00_6335;
																																																														obj_t
																																																															BgL_arg5174z00_6336;
																																																														BgL_arg5172z00_6334
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd235000zd2_6331));
																																																														BgL_arg5173z00_6335
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd235000zd2_6331));
																																																														BgL_arg5174z00_6336
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_22872;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_22875;
																																																																obj_t
																																																																	BgL_bodyz00_22874;
																																																																obj_t
																																																																	BgL_varsz00_22873;
																																																																BgL_varsz00_22873
																																																																	=
																																																																	BgL_arg5172z00_6334;
																																																																BgL_bodyz00_22874
																																																																	=
																																																																	BgL_arg5173z00_6335;
																																																																BgL_argsz00_22875
																																																																	=
																																																																	BgL_arg5174z00_6336;
																																																																BgL_argsz00_1734
																																																																	=
																																																																	BgL_argsz00_22875;
																																																																BgL_bodyz00_1733
																																																																	=
																																																																	BgL_bodyz00_22874;
																																																																BgL_varsz00_1732
																																																																	=
																																																																	BgL_varsz00_22873;
																																																																goto
																																																																	BgL_tagzd2386zd2_1735;
																																																															}
																																																															BgL_auxz00_21990
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_22872);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd235023zd2_6338;
																																																														BgL_cdrzd235023zd2_6338
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd235029zd2_6339;
																																																															BgL_cdrzd235029zd2_6339
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd234995zd2_6330));
																																																															if ((CAR(((obj_t) BgL_carzd234995zd2_6330)) == CNST_TABLE_REF(((long) 1))))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd235035zd2_6342;
																																																																	BgL_cdrzd235035zd2_6342
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd235029zd2_6339));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd235040zd2_6343;
																																																																		obj_t
																																																																			BgL_cdrzd235041zd2_6344;
																																																																		BgL_carzd235040zd2_6343
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd235035zd2_6342));
																																																																		BgL_cdrzd235041zd2_6344
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd235035zd2_6342));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235040zd2_6343))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (PAIRP(BgL_cdrzd235041zd2_6344))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd235048zd2_6347;
																																																																						BgL_carzd235048zd2_6347
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd235041zd2_6344);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235048zd2_6347))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (NULLP(CDR(BgL_cdrzd235041zd2_6344)))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										bool_t
																																																																											BgL_testz00_22902;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1423z00_6380;
																																																																											BgL_l1423z00_6380
																																																																												=
																																																																												BgL_cdrzd235023zd2_6338;
																																																																										BgL_zc3anonymousza35197ze3z83_6381:
																																																																											if (NULLP(BgL_l1423z00_6380))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													BgL_testz00_22902
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													bool_t
																																																																														BgL_testz00_22905;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														bool_t
																																																																															BgL_testz00_22906;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_tmpz00_22907;
																																																																															BgL_tmpz00_22907
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_l1423z00_6380));
																																																																															BgL_testz00_22906
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_22907);
																																																																														}
																																																																														if (BgL_testz00_22906)
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																BgL_testz00_22905
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																BgL_testz00_22905
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_testz00_22905)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1423z00_22911;
																																																																															BgL_l1423z00_22911
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_l1423z00_6380));
																																																																															BgL_l1423z00_6380
																																																																																=
																																																																																BgL_l1423z00_22911;
																																																																															goto
																																																																																BgL_zc3anonymousza35197ze3z83_6381;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															BgL_testz00_22902
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_testz00_22902)
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg5187z00_6363;
																																																																												BgL_arg5187z00_6363
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd235029zd2_6339));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22916;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_22920;
																																																																														obj_t
																																																																															BgL_proc2z00_22919;
																																																																														obj_t
																																																																															BgL_proc1z00_22918;
																																																																														obj_t
																																																																															BgL_testz00_22917;
																																																																														BgL_testz00_22917
																																																																															=
																																																																															BgL_arg5187z00_6363;
																																																																														BgL_proc1z00_22918
																																																																															=
																																																																															BgL_carzd235040zd2_6343;
																																																																														BgL_proc2z00_22919
																																																																															=
																																																																															BgL_carzd235048zd2_6347;
																																																																														BgL_argsz00_22920
																																																																															=
																																																																															BgL_cdrzd235023zd2_6338;
																																																																														BgL_argsz00_1739
																																																																															=
																																																																															BgL_argsz00_22920;
																																																																														BgL_proc2z00_1738
																																																																															=
																																																																															BgL_proc2z00_22919;
																																																																														BgL_proc1z00_1737
																																																																															=
																																																																															BgL_proc1z00_22918;
																																																																														BgL_testz00_1736
																																																																															=
																																																																															BgL_testz00_22917;
																																																																														goto
																																																																															BgL_tagzd2387zd2_1740;
																																																																													}
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22916);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd235072zd2_6364;
																																																																												BgL_cdrzd235072zd2_6364
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd235079zd2_6365;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_11990;
																																																																														BgL_pairz00_11990
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd235079zd2_6365
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_11990);
																																																																													}
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd235086zd2_6366;
																																																																														BgL_cdrzd235086zd2_6366
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd235079zd2_6365));
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd235092zd2_6367;
																																																																															BgL_carzd235092zd2_6367
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd235086zd2_6366));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235092zd2_6367))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_carzd235099zd2_6369;
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_pairz00_11994;
																																																																																		BgL_pairz00_11994
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd235086zd2_6366));
																																																																																		BgL_carzd235099zd2_6369
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_pairz00_11994);
																																																																																	}
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235099zd2_6369))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd235072zd2_6364))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_arg5191z00_6372;
																																																																																					BgL_arg5191z00_6372
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd235079zd2_6365));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_22942;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_22946;
																																																																																							obj_t
																																																																																								BgL_proc2z00_22945;
																																																																																							obj_t
																																																																																								BgL_proc1z00_22944;
																																																																																							obj_t
																																																																																								BgL_testz00_22943;
																																																																																							BgL_testz00_22943
																																																																																								=
																																																																																								BgL_arg5191z00_6372;
																																																																																							BgL_proc1z00_22944
																																																																																								=
																																																																																								BgL_carzd235092zd2_6367;
																																																																																							BgL_proc2z00_22945
																																																																																								=
																																																																																								BgL_carzd235099zd2_6369;
																																																																																							BgL_argsz00_22946
																																																																																								=
																																																																																								BgL_cdrzd235072zd2_6364;
																																																																																							BgL_argsz00_1744
																																																																																								=
																																																																																								BgL_argsz00_22946;
																																																																																							BgL_proc2z00_1743
																																																																																								=
																																																																																								BgL_proc2z00_22945;
																																																																																							BgL_proc1z00_1742
																																																																																								=
																																																																																								BgL_proc1z00_22944;
																																																																																							BgL_testz00_1741
																																																																																								=
																																																																																								BgL_testz00_22943;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1745;
																																																																																						}
																																																																																						BgL_auxz00_21990
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_22942);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1769;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_22950;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1770;
																																																																																							BgL_auxz00_21990
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_22950);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_22954;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_21990
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_22954);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_22958;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_21990
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_22958);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22962;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																												BgL_auxz00_21990
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22962);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd235375zd2_6391;
																																																																								BgL_cdrzd235375zd2_6391
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd235381zd2_6392;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_11998;
																																																																										BgL_pairz00_11998
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd235381zd2_6392
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_11998);
																																																																									}
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd235387zd2_6393;
																																																																										BgL_cdrzd235387zd2_6393
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd235381zd2_6392));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd235392zd2_6394;
																																																																											obj_t
																																																																												BgL_cdrzd235393zd2_6395;
																																																																											BgL_carzd235392zd2_6394
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd235387zd2_6393));
																																																																											BgL_cdrzd235393zd2_6395
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd235387zd2_6393));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235392zd2_6394))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd235398zd2_6397;
																																																																													BgL_carzd235398zd2_6397
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd235393zd2_6395));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235398zd2_6397))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd235393zd2_6395))))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd235375zd2_6391))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg5206z00_6402;
																																																																																			BgL_arg5206z00_6402
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd235381zd2_6392));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_22989;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_22993;
																																																																																					obj_t
																																																																																						BgL_proc2z00_22992;
																																																																																					obj_t
																																																																																						BgL_proc1z00_22991;
																																																																																					obj_t
																																																																																						BgL_testz00_22990;
																																																																																					BgL_testz00_22990
																																																																																						=
																																																																																						BgL_arg5206z00_6402;
																																																																																					BgL_proc1z00_22991
																																																																																						=
																																																																																						BgL_carzd235392zd2_6394;
																																																																																					BgL_proc2z00_22992
																																																																																						=
																																																																																						BgL_carzd235398zd2_6397;
																																																																																					BgL_argsz00_22993
																																																																																						=
																																																																																						BgL_cdrzd235375zd2_6391;
																																																																																					BgL_argsz00_1744
																																																																																						=
																																																																																						BgL_argsz00_22993;
																																																																																					BgL_proc2z00_1743
																																																																																						=
																																																																																						BgL_proc2z00_22992;
																																																																																					BgL_proc1z00_1742
																																																																																						=
																																																																																						BgL_proc1z00_22991;
																																																																																					BgL_testz00_1741
																																																																																						=
																																																																																						BgL_testz00_22990;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1745;
																																																																																				}
																																																																																				BgL_auxz00_21990
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_22989);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_22997;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_21990
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_22997);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_23001;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_21990
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_23001);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_23005;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_23005);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_23009;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_23009);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_23013;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_21990
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_23013);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd235731zd2_6410;
																																																																				BgL_cdrzd235731zd2_6410
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd235738zd2_6411;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_pairz00_12008;
																																																																						BgL_pairz00_12008
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd235738zd2_6411
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12008);
																																																																					}
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd235745zd2_6412;
																																																																						BgL_cdrzd235745zd2_6412
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd235738zd2_6411));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd235751zd2_6413;
																																																																							obj_t
																																																																								BgL_cdrzd235752zd2_6414;
																																																																							BgL_carzd235751zd2_6413
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd235745zd2_6412));
																																																																							BgL_cdrzd235752zd2_6414
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd235745zd2_6412));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235751zd2_6413))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (PAIRP(BgL_cdrzd235752zd2_6414))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd235759zd2_6417;
																																																																											BgL_carzd235759zd2_6417
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd235752zd2_6414);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235759zd2_6417))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (NULLP(CDR(BgL_cdrzd235752zd2_6414)))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd235731zd2_6410))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg5220z00_6422;
																																																																																	BgL_arg5220z00_6422
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd235738zd2_6411));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_23040;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_23044;
																																																																																			obj_t
																																																																																				BgL_proc2z00_23043;
																																																																																			obj_t
																																																																																				BgL_proc1z00_23042;
																																																																																			obj_t
																																																																																				BgL_testz00_23041;
																																																																																			BgL_testz00_23041
																																																																																				=
																																																																																				BgL_arg5220z00_6422;
																																																																																			BgL_proc1z00_23042
																																																																																				=
																																																																																				BgL_carzd235751zd2_6413;
																																																																																			BgL_proc2z00_23043
																																																																																				=
																																																																																				BgL_carzd235759zd2_6417;
																																																																																			BgL_argsz00_23044
																																																																																				=
																																																																																				BgL_cdrzd235731zd2_6410;
																																																																																			BgL_argsz00_1744
																																																																																				=
																																																																																				BgL_argsz00_23044;
																																																																																			BgL_proc2z00_1743
																																																																																				=
																																																																																				BgL_proc2z00_23043;
																																																																																			BgL_proc1z00_1742
																																																																																				=
																																																																																				BgL_proc1z00_23042;
																																																																																			BgL_testz00_1741
																																																																																				=
																																																																																				BgL_testz00_23041;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1745;
																																																																																		}
																																																																																		BgL_auxz00_21990
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_23040);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_23048;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_21990
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_23048);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_23052;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_23052);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_23056;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_23056);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23060;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23060);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_23064;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_23064);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1769;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_23068;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1770;
																																																																			BgL_auxz00_21990
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_23068);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd236152zd2_6436;
																																																				BgL_cdrzd236152zd2_6436
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_23072;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg5248z00_6453;
																																																						BgL_arg5248z00_6453
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_23072
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg5248z00_6453));
																																																					}
																																																					if (BgL_testz00_23072)
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg5236z00_6439;
																																																							obj_t
																																																								BgL_arg5237z00_6440;
																																																							BgL_arg5236z00_6439
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd236152zd2_6436));
																																																							BgL_arg5237z00_6440
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd236152zd2_6436));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_23081;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_23083;
																																																									obj_t
																																																										BgL_bindingsz00_23082;
																																																									BgL_bindingsz00_23082
																																																										=
																																																										BgL_arg5236z00_6439;
																																																									BgL_exprz00_23083
																																																										=
																																																										BgL_arg5237z00_6440;
																																																									BgL_exprz00_1724
																																																										=
																																																										BgL_exprz00_23083;
																																																									BgL_bindingsz00_1723
																																																										=
																																																										BgL_bindingsz00_23082;
																																																									goto
																																																										BgL_tagzd2382zd2_1725;
																																																								}
																																																								BgL_auxz00_21990
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_23081);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							bool_t
																																																								BgL_testz00_23085;
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg5247z00_6452;
																																																								BgL_arg5247z00_6452
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_testz00_23085
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg5247z00_6452));
																																																							}
																																																							if (BgL_testz00_23085)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_23090;
																																																									goto
																																																										BgL_tagzd2384zd2_1727;
																																																									BgL_auxz00_21990
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_23090);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd236218zd2_6443;
																																																									BgL_carzd236218zd2_6443
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd236223zd2_6444;
																																																										BgL_cdrzd236223zd2_6444
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd236218zd2_6443));
																																																										if ((CAR(((obj_t) BgL_carzd236218zd2_6443)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg5242z00_6447;
																																																												obj_t
																																																													BgL_arg5243z00_6448;
																																																												obj_t
																																																													BgL_arg5244z00_6449;
																																																												BgL_arg5242z00_6447
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd236223zd2_6444));
																																																												BgL_arg5243z00_6448
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd236223zd2_6444));
																																																												BgL_arg5244z00_6449
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_23107;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_23110;
																																																														obj_t
																																																															BgL_bodyz00_23109;
																																																														obj_t
																																																															BgL_varsz00_23108;
																																																														BgL_varsz00_23108
																																																															=
																																																															BgL_arg5242z00_6447;
																																																														BgL_bodyz00_23109
																																																															=
																																																															BgL_arg5243z00_6448;
																																																														BgL_argsz00_23110
																																																															=
																																																															BgL_arg5244z00_6449;
																																																														BgL_argsz00_1734
																																																															=
																																																															BgL_argsz00_23110;
																																																														BgL_bodyz00_1733
																																																															=
																																																															BgL_bodyz00_23109;
																																																														BgL_varsz00_1732
																																																															=
																																																															BgL_varsz00_23108;
																																																														goto
																																																															BgL_tagzd2386zd2_1735;
																																																													}
																																																													BgL_auxz00_21990
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_23107);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1769;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_23114;
																																																														goto
																																																															BgL_tagzd2404zd2_1770;
																																																														BgL_auxz00_21990
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_23114);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd236334zd2_6454;
																																																		BgL_cdrzd236334zd2_6454
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			bool_t
																																																				BgL_testz00_23118;
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg5257z00_6463;
																																																				BgL_arg5257z00_6463
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_testz00_23118
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg5257z00_6463));
																																																			}
																																																			if (BgL_testz00_23118)
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg5251z00_6457;
																																																					obj_t
																																																						BgL_arg5252z00_6458;
																																																					BgL_arg5251z00_6457
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd236334zd2_6454));
																																																					BgL_arg5252z00_6458
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd236334zd2_6454));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_23127;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_23129;
																																																							obj_t
																																																								BgL_bindingsz00_23128;
																																																							BgL_bindingsz00_23128
																																																								=
																																																								BgL_arg5251z00_6457;
																																																							BgL_exprz00_23129
																																																								=
																																																								BgL_arg5252z00_6458;
																																																							BgL_exprz00_1724
																																																								=
																																																								BgL_exprz00_23129;
																																																							BgL_bindingsz00_1723
																																																								=
																																																								BgL_bindingsz00_23128;
																																																							goto
																																																								BgL_tagzd2382zd2_1725;
																																																						}
																																																						BgL_auxz00_21990
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_23127);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_23131;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg5256z00_6462;
																																																						BgL_arg5256z00_6462
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_23131
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg5256z00_6462));
																																																					}
																																																					if (BgL_testz00_23131)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_23136;
																																																							goto
																																																								BgL_tagzd2384zd2_1727;
																																																							BgL_auxz00_21990
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_23136);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 118 */
																																																									goto
																																																										BgL_tagzd2403zd2_1769;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_23140;
																																																									goto
																																																										BgL_tagzd2404zd2_1770;
																																																									BgL_auxz00_21990
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_23140);
																																																								}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd234899zd2_6190)))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd234901zd2_6192;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if ((BgL_carzd234899zd2_6190 == CNST_TABLE_REF(((long) 18))))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd234901zd2_6192;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if ((BgL_carzd234899zd2_6190 == CNST_TABLE_REF(((long) 19))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_kapzd234901zd2_6192;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd234899zd2_6190)))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_kapzd234901zd2_6192;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd236506zd2_6198;
																																																								BgL_cdrzd236506zd2_6198
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 118 */
																																																									bool_t
																																																										BgL_testz00_23156;
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg5157z00_6315;
																																																										BgL_arg5157z00_6315
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_testz00_23156
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg5157z00_6315));
																																																									}
																																																									if (BgL_testz00_23156)
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg5085z00_6201;
																																																											obj_t
																																																												BgL_arg5086z00_6202;
																																																											BgL_arg5085z00_6201
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd236506zd2_6198));
																																																											BgL_arg5086z00_6202
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd236506zd2_6198));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_23165;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_23167;
																																																													obj_t
																																																														BgL_bindingsz00_23166;
																																																													BgL_bindingsz00_23166
																																																														=
																																																														BgL_arg5085z00_6201;
																																																													BgL_exprz00_23167
																																																														=
																																																														BgL_arg5086z00_6202;
																																																													BgL_exprz00_1724
																																																														=
																																																														BgL_exprz00_23167;
																																																													BgL_bindingsz00_1723
																																																														=
																																																														BgL_bindingsz00_23166;
																																																													goto
																																																														BgL_tagzd2382zd2_1725;
																																																												}
																																																												BgL_auxz00_21990
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_23165);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											bool_t
																																																												BgL_testz00_23169;
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg5156z00_6314;
																																																												BgL_arg5156z00_6314
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_testz00_23169
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg5156z00_6314));
																																																											}
																																																											if (BgL_testz00_23169)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_23174;
																																																													goto
																																																														BgL_tagzd2384zd2_1727;
																																																													BgL_auxz00_21990
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_23174);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd236572zd2_6205;
																																																													BgL_carzd236572zd2_6205
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd236577zd2_6206;
																																																														BgL_cdrzd236577zd2_6206
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd236572zd2_6205));
																																																														if ((CAR(((obj_t) BgL_carzd236572zd2_6205)) == CNST_TABLE_REF(((long) 3))))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (PAIRP(BgL_cdrzd236577zd2_6206))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_arg5092z00_6210;
																																																																		obj_t
																																																																			BgL_arg5093z00_6211;
																																																																		obj_t
																																																																			BgL_arg5094z00_6212;
																																																																		BgL_arg5092z00_6210
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd236577zd2_6206);
																																																																		BgL_arg5093z00_6211
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd236577zd2_6206);
																																																																		BgL_arg5094z00_6212
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_23191;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_23194;
																																																																				obj_t
																																																																					BgL_bodyz00_23193;
																																																																				obj_t
																																																																					BgL_varsz00_23192;
																																																																				BgL_varsz00_23192
																																																																					=
																																																																					BgL_arg5092z00_6210;
																																																																				BgL_bodyz00_23193
																																																																					=
																																																																					BgL_arg5093z00_6211;
																																																																				BgL_argsz00_23194
																																																																					=
																																																																					BgL_arg5094z00_6212;
																																																																				BgL_argsz00_1734
																																																																					=
																																																																					BgL_argsz00_23194;
																																																																				BgL_bodyz00_1733
																																																																					=
																																																																					BgL_bodyz00_23193;
																																																																				BgL_varsz00_1732
																																																																					=
																																																																					BgL_varsz00_23192;
																																																																				goto
																																																																					BgL_tagzd2386zd2_1735;
																																																																			}
																																																																			BgL_auxz00_21990
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_23191);
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_23198;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_21990
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_23198);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd236684zd2_6215;
																																																																BgL_cdrzd236684zd2_6215
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd236689zd2_6216;
																																																																	BgL_cdrzd236689zd2_6216
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd236572zd2_6205));
																																																																	if ((CAR(((obj_t) BgL_carzd236572zd2_6205)) == CNST_TABLE_REF(((long) 1))))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (PAIRP(BgL_cdrzd236689zd2_6216))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd236694zd2_6220;
																																																																					BgL_cdrzd236694zd2_6220
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd236689zd2_6216);
																																																																					if (PAIRP(BgL_cdrzd236694zd2_6220))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd236698zd2_6222;
																																																																							obj_t
																																																																								BgL_cdrzd236699zd2_6223;
																																																																							BgL_carzd236698zd2_6222
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd236694zd2_6220);
																																																																							BgL_cdrzd236699zd2_6223
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd236694zd2_6220);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236698zd2_6222))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (PAIRP(BgL_cdrzd236699zd2_6223))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd236704zd2_6226;
																																																																											BgL_carzd236704zd2_6226
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd236699zd2_6223);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236704zd2_6226))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (NULLP(CDR(BgL_cdrzd236699zd2_6223)))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															bool_t
																																																																																BgL_testz00_23226;
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1426z00_6259;
																																																																																BgL_l1426z00_6259
																																																																																	=
																																																																																	BgL_cdrzd236684zd2_6215;
																																																																															BgL_zc3anonymousza35120ze3z83_6260:
																																																																																if (NULLP(BgL_l1426z00_6259))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		BgL_testz00_23226
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		bool_t
																																																																																			BgL_testz00_23229;
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			bool_t
																																																																																				BgL_testz00_23230;
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_tmpz00_23231;
																																																																																				BgL_tmpz00_23231
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_l1426z00_6259));
																																																																																				BgL_testz00_23230
																																																																																					=
																																																																																					PAIRP
																																																																																					(BgL_tmpz00_23231);
																																																																																			}
																																																																																			if (BgL_testz00_23230)
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					BgL_testz00_23229
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						0);
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					BgL_testz00_23229
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						1);
																																																																																				}
																																																																																		}
																																																																																		if (BgL_testz00_23229)
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_l1426z00_23235;
																																																																																				BgL_l1426z00_23235
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_l1426z00_6259));
																																																																																				BgL_l1426z00_6259
																																																																																					=
																																																																																					BgL_l1426z00_23235;
																																																																																				goto
																																																																																					BgL_zc3anonymousza35120ze3z83_6260;
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				BgL_testz00_23226
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																	}
																																																																															}
																																																																															if (BgL_testz00_23226)
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg5110z00_6242;
																																																																																	BgL_arg5110z00_6242
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd236689zd2_6216);
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_23239;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_23243;
																																																																																			obj_t
																																																																																				BgL_proc2z00_23242;
																																																																																			obj_t
																																																																																				BgL_proc1z00_23241;
																																																																																			obj_t
																																																																																				BgL_testz00_23240;
																																																																																			BgL_testz00_23240
																																																																																				=
																																																																																				BgL_arg5110z00_6242;
																																																																																			BgL_proc1z00_23241
																																																																																				=
																																																																																				BgL_carzd236698zd2_6222;
																																																																																			BgL_proc2z00_23242
																																																																																				=
																																																																																				BgL_carzd236704zd2_6226;
																																																																																			BgL_argsz00_23243
																																																																																				=
																																																																																				BgL_cdrzd236684zd2_6215;
																																																																																			BgL_argsz00_1739
																																																																																				=
																																																																																				BgL_argsz00_23243;
																																																																																			BgL_proc2z00_1738
																																																																																				=
																																																																																				BgL_proc2z00_23242;
																																																																																			BgL_proc1z00_1737
																																																																																				=
																																																																																				BgL_proc1z00_23241;
																																																																																			BgL_testz00_1736
																																																																																				=
																																																																																				BgL_testz00_23240;
																																																																																			goto
																																																																																				BgL_tagzd2387zd2_1740;
																																																																																		}
																																																																																		BgL_auxz00_21990
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_23239);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_cdrzd236729zd2_6243;
																																																																																	BgL_cdrzd236729zd2_6243
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_cdrzd236737zd2_6244;
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_pairz00_12065;
																																																																																			BgL_pairz00_12065
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			BgL_cdrzd236737zd2_6244
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_pairz00_12065);
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_cdrzd236745zd2_6245;
																																																																																			BgL_cdrzd236745zd2_6245
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd236737zd2_6244));
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_carzd236752zd2_6246;
																																																																																				BgL_carzd236752zd2_6246
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd236745zd2_6245));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236752zd2_6246))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_carzd236761zd2_6248;
																																																																																						{	/* Ast/sexp.scm 118 */
																																																																																							obj_t
																																																																																								BgL_pairz00_12069;
																																																																																							BgL_pairz00_12069
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd236745zd2_6245));
																																																																																							BgL_carzd236761zd2_6248
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_pairz00_12069);
																																																																																						}
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236761zd2_6248))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd236729zd2_6243))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										obj_t
																																																																																											BgL_arg5114z00_6251;
																																																																																										BgL_arg5114z00_6251
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd236737zd2_6244));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_23265;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_23269;
																																																																																												obj_t
																																																																																													BgL_proc2z00_23268;
																																																																																												obj_t
																																																																																													BgL_proc1z00_23267;
																																																																																												obj_t
																																																																																													BgL_testz00_23266;
																																																																																												BgL_testz00_23266
																																																																																													=
																																																																																													BgL_arg5114z00_6251;
																																																																																												BgL_proc1z00_23267
																																																																																													=
																																																																																													BgL_carzd236752zd2_6246;
																																																																																												BgL_proc2z00_23268
																																																																																													=
																																																																																													BgL_carzd236761zd2_6248;
																																																																																												BgL_argsz00_23269
																																																																																													=
																																																																																													BgL_cdrzd236729zd2_6243;
																																																																																												BgL_argsz00_1744
																																																																																													=
																																																																																													BgL_argsz00_23269;
																																																																																												BgL_proc2z00_1743
																																																																																													=
																																																																																													BgL_proc2z00_23268;
																																																																																												BgL_proc1z00_1742
																																																																																													=
																																																																																													BgL_proc1z00_23267;
																																																																																												BgL_testz00_1741
																																																																																													=
																																																																																													BgL_testz00_23266;
																																																																																												goto
																																																																																													BgL_tagzd2388zd2_1745;
																																																																																											}
																																																																																											BgL_auxz00_21990
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_23265);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 118 */
																																																																																												goto
																																																																																													BgL_tagzd2403zd2_1769;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_23273;
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1770;
																																																																																												BgL_auxz00_21990
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_23273);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1769;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_23277;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1770;
																																																																																										BgL_auxz00_21990
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_23277);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_23281;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_21990
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_23281);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_23285;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_23285);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd237039zd2_6270;
																																																																													BgL_cdrzd237039zd2_6270
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd237046zd2_6271;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_pairz00_12073;
																																																																															BgL_pairz00_12073
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd237046zd2_6271
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_12073);
																																																																														}
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd237053zd2_6272;
																																																																															BgL_cdrzd237053zd2_6272
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd237046zd2_6271));
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_carzd237059zd2_6273;
																																																																																obj_t
																																																																																	BgL_cdrzd237060zd2_6274;
																																																																																BgL_carzd237059zd2_6273
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd237053zd2_6272));
																																																																																BgL_cdrzd237060zd2_6274
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd237053zd2_6272));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237059zd2_6273))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_carzd237067zd2_6276;
																																																																																		BgL_carzd237067zd2_6276
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd237060zd2_6274));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237067zd2_6276))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd237060zd2_6274))))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd237039zd2_6270))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								obj_t
																																																																																									BgL_arg5129z00_6281;
																																																																																								BgL_arg5129z00_6281
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd237046zd2_6271));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_23312;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_23316;
																																																																																										obj_t
																																																																																											BgL_proc2z00_23315;
																																																																																										obj_t
																																																																																											BgL_proc1z00_23314;
																																																																																										obj_t
																																																																																											BgL_testz00_23313;
																																																																																										BgL_testz00_23313
																																																																																											=
																																																																																											BgL_arg5129z00_6281;
																																																																																										BgL_proc1z00_23314
																																																																																											=
																																																																																											BgL_carzd237059zd2_6273;
																																																																																										BgL_proc2z00_23315
																																																																																											=
																																																																																											BgL_carzd237067zd2_6276;
																																																																																										BgL_argsz00_23316
																																																																																											=
																																																																																											BgL_cdrzd237039zd2_6270;
																																																																																										BgL_argsz00_1744
																																																																																											=
																																																																																											BgL_argsz00_23316;
																																																																																										BgL_proc2z00_1743
																																																																																											=
																																																																																											BgL_proc2z00_23315;
																																																																																										BgL_proc1z00_1742
																																																																																											=
																																																																																											BgL_proc1z00_23314;
																																																																																										BgL_testz00_1741
																																																																																											=
																																																																																											BgL_testz00_23313;
																																																																																										goto
																																																																																											BgL_tagzd2388zd2_1745;
																																																																																									}
																																																																																									BgL_auxz00_21990
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_23312);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1769;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_23320;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1770;
																																																																																										BgL_auxz00_21990
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_23320);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_23324;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_21990
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_23324);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_23328;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_21990
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_23328);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_23332;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_21990
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_23332);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23336;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23336);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd237400zd2_6289;
																																																																									BgL_cdrzd237400zd2_6289
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd237406zd2_6290;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_12083;
																																																																											BgL_pairz00_12083
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd237406zd2_6290
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_12083);
																																																																										}
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd237412zd2_6291;
																																																																											BgL_cdrzd237412zd2_6291
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd237406zd2_6290));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd237417zd2_6292;
																																																																												obj_t
																																																																													BgL_cdrzd237418zd2_6293;
																																																																												BgL_carzd237417zd2_6292
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd237412zd2_6291));
																																																																												BgL_cdrzd237418zd2_6293
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd237412zd2_6291));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237417zd2_6292))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (PAIRP(BgL_cdrzd237418zd2_6293))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_carzd237423zd2_6296;
																																																																																BgL_carzd237423zd2_6296
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd237418zd2_6293);
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237423zd2_6296))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (NULLP(CDR(BgL_cdrzd237418zd2_6293)))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd237400zd2_6289))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_arg5143z00_6301;
																																																																																						BgL_arg5143z00_6301
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd237406zd2_6290));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_23363;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_23367;
																																																																																								obj_t
																																																																																									BgL_proc2z00_23366;
																																																																																								obj_t
																																																																																									BgL_proc1z00_23365;
																																																																																								obj_t
																																																																																									BgL_testz00_23364;
																																																																																								BgL_testz00_23364
																																																																																									=
																																																																																									BgL_arg5143z00_6301;
																																																																																								BgL_proc1z00_23365
																																																																																									=
																																																																																									BgL_carzd237417zd2_6292;
																																																																																								BgL_proc2z00_23366
																																																																																									=
																																																																																									BgL_carzd237423zd2_6296;
																																																																																								BgL_argsz00_23367
																																																																																									=
																																																																																									BgL_cdrzd237400zd2_6289;
																																																																																								BgL_argsz00_1744
																																																																																									=
																																																																																									BgL_argsz00_23367;
																																																																																								BgL_proc2z00_1743
																																																																																									=
																																																																																									BgL_proc2z00_23366;
																																																																																								BgL_proc1z00_1742
																																																																																									=
																																																																																									BgL_proc1z00_23365;
																																																																																								BgL_testz00_1741
																																																																																									=
																																																																																									BgL_testz00_23364;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1745;
																																																																																							}
																																																																																							BgL_auxz00_21990
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_23363);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_23371;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_21990
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_23371);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_23375;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_21990
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_23375);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_23379;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_21990
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_23379);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_23383;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																		BgL_auxz00_21990
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_23383);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1769;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_23387;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1770;
																																																																																BgL_auxz00_21990
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_23387);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_23391;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_23391);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_23395;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_23395);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1769;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_23399;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1770;
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_23399);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_cdrzd237961zd2_6465;
																																													BgL_cdrzd237961zd2_6465
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if ((BgL_carzd234896zd2_6188 == CNST_TABLE_REF(((long) 17))))
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg5259z00_6467;
																																															obj_t
																																																BgL_arg5260z00_6468;
																																															BgL_arg5259z00_6467
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd237961zd2_6465));
																																															BgL_arg5260z00_6468
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd237961zd2_6465));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_23410;
																																																{
																																																	obj_t
																																																		BgL_exprz00_23412;
																																																	obj_t
																																																		BgL_bindingsz00_23411;
																																																	BgL_bindingsz00_23411
																																																		=
																																																		BgL_arg5259z00_6467;
																																																	BgL_exprz00_23412
																																																		=
																																																		BgL_arg5260z00_6468;
																																																	BgL_exprz00_1724
																																																		=
																																																		BgL_exprz00_23412;
																																																	BgL_bindingsz00_1723
																																																		=
																																																		BgL_bindingsz00_23411;
																																																	goto
																																																		BgL_tagzd2382zd2_1725;
																																																}
																																																BgL_auxz00_21990
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_23410);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd234896zd2_6188)))
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg5262z00_6470;
																																																	obj_t
																																																		BgL_arg5263z00_6471;
																																																	BgL_arg5262z00_6470
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd237961zd2_6465));
																																																	BgL_arg5263z00_6471
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd237961zd2_6465));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_23421;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_23423;
																																																			obj_t
																																																				BgL_bindingsz00_23422;
																																																			BgL_bindingsz00_23422
																																																				=
																																																				BgL_arg5262z00_6470;
																																																			BgL_exprz00_23423
																																																				=
																																																				BgL_arg5263z00_6471;
																																																			BgL_exprz00_1724
																																																				=
																																																				BgL_exprz00_23423;
																																																			BgL_bindingsz00_1723
																																																				=
																																																				BgL_bindingsz00_23422;
																																																			goto
																																																				BgL_tagzd2382zd2_1725;
																																																		}
																																																		BgL_auxz00_21990
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_23421);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((BgL_carzd234896zd2_6188 == CNST_TABLE_REF(((long) 18))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg5265z00_6473;
																																																			obj_t
																																																				BgL_arg5266z00_6474;
																																																			BgL_arg5265z00_6473
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd237961zd2_6465));
																																																			BgL_arg5266z00_6474
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd237961zd2_6465));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_23432;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_23434;
																																																					obj_t
																																																						BgL_bindingsz00_23433;
																																																					BgL_bindingsz00_23433
																																																						=
																																																						BgL_arg5265z00_6473;
																																																					BgL_exprz00_23434
																																																						=
																																																						BgL_arg5266z00_6474;
																																																					BgL_exprz00_1724
																																																						=
																																																						BgL_exprz00_23434;
																																																					BgL_bindingsz00_1723
																																																						=
																																																						BgL_bindingsz00_23433;
																																																					goto
																																																						BgL_tagzd2382zd2_1725;
																																																				}
																																																				BgL_auxz00_21990
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_23432);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_23441;
																																																					goto
																																																						BgL_tagzd2383zd2_1726;
																																																					BgL_auxz00_21990
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_23441);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_carzd237998zd2_6477;
																																																					BgL_carzd237998zd2_6477
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					if ((BgL_carzd237998zd2_6477 == CNST_TABLE_REF(((long) 19))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_23448;
																																																							goto
																																																								BgL_tagzd2384zd2_1727;
																																																							BgL_auxz00_21990
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_23448);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd237998zd2_6477)))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_23453;
																																																									goto
																																																										BgL_tagzd2384zd2_1727;
																																																									BgL_auxz00_21990
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_23453);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_23460;
																																																											goto
																																																												BgL_tagzd2389zd2_1746;
																																																											BgL_auxz00_21990
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_23460);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_23467;
																																																													goto
																																																														BgL_tagzd2390zd2_1747;
																																																													BgL_auxz00_21990
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_23467);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd238078zd2_6484;
																																																													BgL_cdrzd238078zd2_6484
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg5277z00_6487;
																																																															obj_t
																																																																BgL_arg5278z00_6488;
																																																															BgL_arg5277z00_6487
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd238078zd2_6484));
																																																															BgL_arg5278z00_6488
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd238078zd2_6484));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_23480;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_23482;
																																																																	obj_t
																																																																		BgL_effectz00_23481;
																																																																	BgL_effectz00_23481
																																																																		=
																																																																		BgL_arg5277z00_6487;
																																																																	BgL_restz00_23482
																																																																		=
																																																																		BgL_arg5278z00_6488;
																																																																	BgL_restz00_1749
																																																																		=
																																																																		BgL_restz00_23482;
																																																																	BgL_effectz00_1748
																																																																		=
																																																																		BgL_effectz00_23481;
																																																																	goto
																																																																		BgL_tagzd2391zd2_1750;
																																																																}
																																																																BgL_auxz00_21990
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_23480);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_23489;
																																																																	goto
																																																																		BgL_tagzd2392zd2_1751;
																																																																	BgL_auxz00_21990
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_23489);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_23496;
																																																																			goto
																																																																				BgL_tagzd2393zd2_1752;
																																																																			BgL_auxz00_21990
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_23496);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_arg5285z00_6496;
																																																																					obj_t
																																																																						BgL_arg5286z00_6497;
																																																																					BgL_arg5285z00_6496
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd238078zd2_6484));
																																																																					BgL_arg5286z00_6497
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd238078zd2_6484));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23507;
																																																																						{
																																																																							obj_t
																																																																								BgL_restz00_23509;
																																																																							obj_t
																																																																								BgL_effectz00_23508;
																																																																							BgL_effectz00_23508
																																																																								=
																																																																								BgL_arg5285z00_6496;
																																																																							BgL_restz00_23509
																																																																								=
																																																																								BgL_arg5286z00_6497;
																																																																							BgL_restz00_1754
																																																																								=
																																																																								BgL_restz00_23509;
																																																																							BgL_effectz00_1753
																																																																								=
																																																																								BgL_effectz00_23508;
																																																																							goto
																																																																								BgL_tagzd2394zd2_1755;
																																																																						}
																																																																						BgL_auxz00_21990
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23507);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_23516;
																																																																							goto
																																																																								BgL_tagzd2395zd2_1756;
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_23516);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_23523;
																																																																									goto
																																																																										BgL_tagzd2396zd2_1757;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_23523);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																										{
																																																																											BgL_letzd2funzd2_bglt
																																																																												BgL_auxz00_23530;
																																																																											goto
																																																																												BgL_tagzd2397zd2_1758;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_23530);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																												{
																																																																													BgL_jumpzd2exzd2itz00_bglt
																																																																														BgL_auxz00_23537;
																																																																													goto
																																																																														BgL_tagzd2398zd2_1759;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23537);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd238155zd2_6506;
																																																																													BgL_cdrzd238155zd2_6506
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg5297z00_6509;
																																																																															obj_t
																																																																																BgL_arg5298z00_6510;
																																																																															BgL_arg5297z00_6509
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd238155zd2_6506));
																																																																															BgL_arg5298z00_6510
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd238155zd2_6506));
																																																																															{	/* Ast/sexp.scm 561 */
																																																																																obj_t
																																																																																	BgL_arg6983z00_12122;
																																																																																BgL_arg6983z00_12122
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_21990
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg5297z00_6509,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg5298z00_6510, BgL_stackz00_22, BgL_arg6983z00_12122, BgL_sitez00_24));
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_23556;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_23556);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	obj_t
																																		BgL_carzd238180zd2_6527;
																																	BgL_carzd238180zd2_6527
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (
																																		(BgL_carzd238180zd2_6527
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					1))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_23563;
																																			goto
																																				BgL_tagzd2377zd2_1714;
																																			BgL_auxz00_21990
																																				=
																																				((obj_t)
																																				BgL_auxz00_23563);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			if (
																																				(BgL_carzd238180zd2_6527
																																					==
																																					BGl_za2ifza2z00zzast_sexpz00))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_23567;
																																					goto
																																						BgL_tagzd2377zd2_1714;
																																					BgL_auxz00_21990
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_23567);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 7))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_23574;
																																							goto
																																								BgL_tagzd2379zd2_1718;
																																							BgL_auxz00_21990
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_23574);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_23581;
																																									goto
																																										BgL_tagzd2380zd2_1719;
																																									BgL_auxz00_21990
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_23581);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_carzd238249zd2_6534;
																																									BgL_carzd238249zd2_6534
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if (PAIRP(BgL_carzd238249zd2_6534))
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_carzd238252zd2_6536;
																																											obj_t
																																												BgL_cdrzd238253zd2_6537;
																																											BgL_carzd238252zd2_6536
																																												=
																																												CAR
																																												(BgL_carzd238249zd2_6534);
																																											BgL_cdrzd238253zd2_6537
																																												=
																																												CDR
																																												(BgL_carzd238249zd2_6534);
																																											{

																																												if ((BgL_carzd238252zd2_6536 == CNST_TABLE_REF(((long) 17))))
																																													{	/* Ast/sexp.scm 118 */
																																													BgL_kapzd238254zd2_6538:
																																														if (PAIRP(BgL_cdrzd238253zd2_6537))
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_cdrzd238257zd2_6663;
																																																BgL_cdrzd238257zd2_6663
																																																	=
																																																	CDR
																																																	(BgL_cdrzd238253zd2_6537);
																																																if (PAIRP(BgL_cdrzd238257zd2_6663))
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (NULLP(CDR(BgL_cdrzd238257zd2_6663)))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg5406z00_6667;
																																																				obj_t
																																																					BgL_arg5407z00_6668;
																																																				BgL_arg5406z00_6667
																																																					=
																																																					CAR
																																																					(BgL_cdrzd238257zd2_6663);
																																																				BgL_arg5407z00_6668
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_23603;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_23605;
																																																						obj_t
																																																							BgL_bodyz00_23604;
																																																						BgL_bodyz00_23604
																																																							=
																																																							BgL_arg5406z00_6667;
																																																						BgL_argsz00_23605
																																																							=
																																																							BgL_arg5407z00_6668;
																																																						BgL_argsz00_1721
																																																							=
																																																							BgL_argsz00_23605;
																																																						BgL_bodyz00_1720
																																																							=
																																																							BgL_bodyz00_23604;
																																																						goto
																																																							BgL_tagzd2381zd2_1722;
																																																					}
																																																					BgL_auxz00_21990
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_23603);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd238281zd2_6669;
																																																				BgL_cdrzd238281zd2_6669
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_23609;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg5477z00_6780;
																																																						BgL_arg5477z00_6780
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_23609
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg5477z00_6780));
																																																					}
																																																					if (BgL_testz00_23609)
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg5410z00_6672;
																																																							obj_t
																																																								BgL_arg5411z00_6673;
																																																							BgL_arg5410z00_6672
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd238281zd2_6669));
																																																							BgL_arg5411z00_6673
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd238281zd2_6669));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_23618;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_23620;
																																																									obj_t
																																																										BgL_bindingsz00_23619;
																																																									BgL_bindingsz00_23619
																																																										=
																																																										BgL_arg5410z00_6672;
																																																									BgL_exprz00_23620
																																																										=
																																																										BgL_arg5411z00_6673;
																																																									BgL_exprz00_1724
																																																										=
																																																										BgL_exprz00_23620;
																																																									BgL_bindingsz00_1723
																																																										=
																																																										BgL_bindingsz00_23619;
																																																									goto
																																																										BgL_tagzd2382zd2_1725;
																																																								}
																																																								BgL_auxz00_21990
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_23618);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							bool_t
																																																								BgL_testz00_23622;
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg5476z00_6779;
																																																								BgL_arg5476z00_6779
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_testz00_23622
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg5476z00_6779));
																																																							}
																																																							if (BgL_testz00_23622)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_23627;
																																																									goto
																																																										BgL_tagzd2384zd2_1727;
																																																									BgL_auxz00_21990
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_23627);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd238348zd2_6676;
																																																									BgL_carzd238348zd2_6676
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd238353zd2_6677;
																																																										BgL_cdrzd238353zd2_6677
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd238348zd2_6676));
																																																										if ((CAR(((obj_t) BgL_carzd238348zd2_6676)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg5416z00_6680;
																																																												obj_t
																																																													BgL_arg5417z00_6681;
																																																												obj_t
																																																													BgL_arg5418z00_6682;
																																																												BgL_arg5416z00_6680
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd238353zd2_6677));
																																																												BgL_arg5417z00_6681
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd238353zd2_6677));
																																																												BgL_arg5418z00_6682
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_23644;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_23647;
																																																														obj_t
																																																															BgL_bodyz00_23646;
																																																														obj_t
																																																															BgL_varsz00_23645;
																																																														BgL_varsz00_23645
																																																															=
																																																															BgL_arg5416z00_6680;
																																																														BgL_bodyz00_23646
																																																															=
																																																															BgL_arg5417z00_6681;
																																																														BgL_argsz00_23647
																																																															=
																																																															BgL_arg5418z00_6682;
																																																														BgL_argsz00_1734
																																																															=
																																																															BgL_argsz00_23647;
																																																														BgL_bodyz00_1733
																																																															=
																																																															BgL_bodyz00_23646;
																																																														BgL_varsz00_1732
																																																															=
																																																															BgL_varsz00_23645;
																																																														goto
																																																															BgL_tagzd2386zd2_1735;
																																																													}
																																																													BgL_auxz00_21990
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_23644);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd238376zd2_6684;
																																																												BgL_cdrzd238376zd2_6684
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd238382zd2_6685;
																																																													BgL_cdrzd238382zd2_6685
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd238348zd2_6676));
																																																													if ((CAR(((obj_t) BgL_carzd238348zd2_6676)) == CNST_TABLE_REF(((long) 1))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd238388zd2_6688;
																																																															BgL_cdrzd238388zd2_6688
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd238382zd2_6685));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd238393zd2_6689;
																																																																obj_t
																																																																	BgL_cdrzd238394zd2_6690;
																																																																BgL_carzd238393zd2_6689
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd238388zd2_6688));
																																																																BgL_cdrzd238394zd2_6690
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd238388zd2_6688));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238393zd2_6689))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (PAIRP(BgL_cdrzd238394zd2_6690))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd238401zd2_6693;
																																																																				BgL_carzd238401zd2_6693
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd238394zd2_6690);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238401zd2_6693))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(BgL_cdrzd238394zd2_6690)))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								bool_t
																																																																									BgL_testz00_23674;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1429z00_6726;
																																																																									BgL_l1429z00_6726
																																																																										=
																																																																										BgL_cdrzd238376zd2_6684;
																																																																								BgL_zc3anonymousza35442ze3z83_6727:
																																																																									if (NULLP(BgL_l1429z00_6726))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_23674
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_23677;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												bool_t
																																																																													BgL_testz00_23678;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_tmpz00_23679;
																																																																													BgL_tmpz00_23679
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1429z00_6726));
																																																																													BgL_testz00_23678
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_23679);
																																																																												}
																																																																												if (BgL_testz00_23678)
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_23677
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_23677
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_testz00_23677)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1429z00_23683;
																																																																													BgL_l1429z00_23683
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1429z00_6726));
																																																																													BgL_l1429z00_6726
																																																																														=
																																																																														BgL_l1429z00_23683;
																																																																													goto
																																																																														BgL_zc3anonymousza35442ze3z83_6727;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													BgL_testz00_23674
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_testz00_23674)
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg5432z00_6709;
																																																																										BgL_arg5432z00_6709
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd238382zd2_6685));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_23688;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_23692;
																																																																												obj_t
																																																																													BgL_proc2z00_23691;
																																																																												obj_t
																																																																													BgL_proc1z00_23690;
																																																																												obj_t
																																																																													BgL_testz00_23689;
																																																																												BgL_testz00_23689
																																																																													=
																																																																													BgL_arg5432z00_6709;
																																																																												BgL_proc1z00_23690
																																																																													=
																																																																													BgL_carzd238393zd2_6689;
																																																																												BgL_proc2z00_23691
																																																																													=
																																																																													BgL_carzd238401zd2_6693;
																																																																												BgL_argsz00_23692
																																																																													=
																																																																													BgL_cdrzd238376zd2_6684;
																																																																												BgL_argsz00_1739
																																																																													=
																																																																													BgL_argsz00_23692;
																																																																												BgL_proc2z00_1738
																																																																													=
																																																																													BgL_proc2z00_23691;
																																																																												BgL_proc1z00_1737
																																																																													=
																																																																													BgL_proc1z00_23690;
																																																																												BgL_testz00_1736
																																																																													=
																																																																													BgL_testz00_23689;
																																																																												goto
																																																																													BgL_tagzd2387zd2_1740;
																																																																											}
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_23688);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd238425zd2_6710;
																																																																										BgL_cdrzd238425zd2_6710
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd238432zd2_6711;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_12166;
																																																																												BgL_pairz00_12166
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd238432zd2_6711
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_12166);
																																																																											}
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd238439zd2_6712;
																																																																												BgL_cdrzd238439zd2_6712
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd238432zd2_6711));
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd238445zd2_6713;
																																																																													BgL_carzd238445zd2_6713
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd238439zd2_6712));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238445zd2_6713))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_carzd238452zd2_6715;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_pairz00_12170;
																																																																																BgL_pairz00_12170
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd238439zd2_6712));
																																																																																BgL_carzd238452zd2_6715
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_12170);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238452zd2_6715))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd238425zd2_6710))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_arg5436z00_6718;
																																																																																			BgL_arg5436z00_6718
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd238432zd2_6711));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_23714;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_23718;
																																																																																					obj_t
																																																																																						BgL_proc2z00_23717;
																																																																																					obj_t
																																																																																						BgL_proc1z00_23716;
																																																																																					obj_t
																																																																																						BgL_testz00_23715;
																																																																																					BgL_testz00_23715
																																																																																						=
																																																																																						BgL_arg5436z00_6718;
																																																																																					BgL_proc1z00_23716
																																																																																						=
																																																																																						BgL_carzd238445zd2_6713;
																																																																																					BgL_proc2z00_23717
																																																																																						=
																																																																																						BgL_carzd238452zd2_6715;
																																																																																					BgL_argsz00_23718
																																																																																						=
																																																																																						BgL_cdrzd238425zd2_6710;
																																																																																					BgL_argsz00_1744
																																																																																						=
																																																																																						BgL_argsz00_23718;
																																																																																					BgL_proc2z00_1743
																																																																																						=
																																																																																						BgL_proc2z00_23717;
																																																																																					BgL_proc1z00_1742
																																																																																						=
																																																																																						BgL_proc1z00_23716;
																																																																																					BgL_testz00_1741
																																																																																						=
																																																																																						BgL_testz00_23715;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1745;
																																																																																				}
																																																																																				BgL_auxz00_21990
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_23714);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1769;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_23722;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1770;
																																																																																					BgL_auxz00_21990
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_23722);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_23726;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_21990
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_23726);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_23730;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_23730);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_23734;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_21990
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_23734);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd238728zd2_6737;
																																																																						BgL_cdrzd238728zd2_6737
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd238734zd2_6738;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_pairz00_12174;
																																																																								BgL_pairz00_12174
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd238734zd2_6738
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_12174);
																																																																							}
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd238740zd2_6739;
																																																																								BgL_cdrzd238740zd2_6739
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd238734zd2_6738));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd238745zd2_6740;
																																																																									obj_t
																																																																										BgL_cdrzd238746zd2_6741;
																																																																									BgL_carzd238745zd2_6740
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd238740zd2_6739));
																																																																									BgL_cdrzd238746zd2_6741
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd238740zd2_6739));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238745zd2_6740))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd238751zd2_6743;
																																																																											BgL_carzd238751zd2_6743
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd238746zd2_6741));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238751zd2_6743))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd238746zd2_6741))))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd238728zd2_6737))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg5451z00_6748;
																																																																																	BgL_arg5451z00_6748
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd238734zd2_6738));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_23761;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_23765;
																																																																																			obj_t
																																																																																				BgL_proc2z00_23764;
																																																																																			obj_t
																																																																																				BgL_proc1z00_23763;
																																																																																			obj_t
																																																																																				BgL_testz00_23762;
																																																																																			BgL_testz00_23762
																																																																																				=
																																																																																				BgL_arg5451z00_6748;
																																																																																			BgL_proc1z00_23763
																																																																																				=
																																																																																				BgL_carzd238745zd2_6740;
																																																																																			BgL_proc2z00_23764
																																																																																				=
																																																																																				BgL_carzd238751zd2_6743;
																																																																																			BgL_argsz00_23765
																																																																																				=
																																																																																				BgL_cdrzd238728zd2_6737;
																																																																																			BgL_argsz00_1744
																																																																																				=
																																																																																				BgL_argsz00_23765;
																																																																																			BgL_proc2z00_1743
																																																																																				=
																																																																																				BgL_proc2z00_23764;
																																																																																			BgL_proc1z00_1742
																																																																																				=
																																																																																				BgL_proc1z00_23763;
																																																																																			BgL_testz00_1741
																																																																																				=
																																																																																				BgL_testz00_23762;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1745;
																																																																																		}
																																																																																		BgL_auxz00_21990
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_23761);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_23769;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_21990
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_23769);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_23773;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_23773);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_23777;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_23777);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23781;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23781);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23785;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_21990
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23785);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd239084zd2_6756;
																																																																		BgL_cdrzd239084zd2_6756
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd239091zd2_6757;
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_pairz00_12184;
																																																																				BgL_pairz00_12184
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd239091zd2_6757
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_12184);
																																																																			}
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd239098zd2_6758;
																																																																				BgL_cdrzd239098zd2_6758
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd239091zd2_6757));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd239104zd2_6759;
																																																																					obj_t
																																																																						BgL_cdrzd239105zd2_6760;
																																																																					BgL_carzd239104zd2_6759
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd239098zd2_6758));
																																																																					BgL_cdrzd239105zd2_6760
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd239098zd2_6758));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239104zd2_6759))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (PAIRP(BgL_cdrzd239105zd2_6760))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd239112zd2_6763;
																																																																									BgL_carzd239112zd2_6763
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd239105zd2_6760);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239112zd2_6763))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (NULLP(CDR(BgL_cdrzd239105zd2_6760)))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd239084zd2_6756))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg5465z00_6768;
																																																																															BgL_arg5465z00_6768
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd239091zd2_6757));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_23812;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_23816;
																																																																																	obj_t
																																																																																		BgL_proc2z00_23815;
																																																																																	obj_t
																																																																																		BgL_proc1z00_23814;
																																																																																	obj_t
																																																																																		BgL_testz00_23813;
																																																																																	BgL_testz00_23813
																																																																																		=
																																																																																		BgL_arg5465z00_6768;
																																																																																	BgL_proc1z00_23814
																																																																																		=
																																																																																		BgL_carzd239104zd2_6759;
																																																																																	BgL_proc2z00_23815
																																																																																		=
																																																																																		BgL_carzd239112zd2_6763;
																																																																																	BgL_argsz00_23816
																																																																																		=
																																																																																		BgL_cdrzd239084zd2_6756;
																																																																																	BgL_argsz00_1744
																																																																																		=
																																																																																		BgL_argsz00_23816;
																																																																																	BgL_proc2z00_1743
																																																																																		=
																																																																																		BgL_proc2z00_23815;
																																																																																	BgL_proc1z00_1742
																																																																																		=
																																																																																		BgL_proc1z00_23814;
																																																																																	BgL_testz00_1741
																																																																																		=
																																																																																		BgL_testz00_23813;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1745;
																																																																																}
																																																																																BgL_auxz00_21990
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_23812);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_23820;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_23820);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_23824;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_23824);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23828;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23828);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_23832;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_23832);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_23836;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_23836);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1769;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_23840;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1770;
																																																																	BgL_auxz00_21990
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_23840);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd239505zd2_6782;
																																																		BgL_cdrzd239505zd2_6782
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			bool_t
																																																				BgL_testz00_23844;
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg5493z00_6799;
																																																				BgL_arg5493z00_6799
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_testz00_23844
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg5493z00_6799));
																																																			}
																																																			if (BgL_testz00_23844)
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg5481z00_6785;
																																																					obj_t
																																																						BgL_arg5482z00_6786;
																																																					BgL_arg5481z00_6785
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd239505zd2_6782));
																																																					BgL_arg5482z00_6786
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd239505zd2_6782));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_23853;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_23855;
																																																							obj_t
																																																								BgL_bindingsz00_23854;
																																																							BgL_bindingsz00_23854
																																																								=
																																																								BgL_arg5481z00_6785;
																																																							BgL_exprz00_23855
																																																								=
																																																								BgL_arg5482z00_6786;
																																																							BgL_exprz00_1724
																																																								=
																																																								BgL_exprz00_23855;
																																																							BgL_bindingsz00_1723
																																																								=
																																																								BgL_bindingsz00_23854;
																																																							goto
																																																								BgL_tagzd2382zd2_1725;
																																																						}
																																																						BgL_auxz00_21990
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_23853);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_23857;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg5492z00_6798;
																																																						BgL_arg5492z00_6798
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_23857
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg5492z00_6798));
																																																					}
																																																					if (BgL_testz00_23857)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_23862;
																																																							goto
																																																								BgL_tagzd2384zd2_1727;
																																																							BgL_auxz00_21990
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_23862);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd239571zd2_6789;
																																																							BgL_carzd239571zd2_6789
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd239576zd2_6790;
																																																								BgL_cdrzd239576zd2_6790
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd239571zd2_6789));
																																																								if ((CAR(((obj_t) BgL_carzd239571zd2_6789)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg5487z00_6793;
																																																										obj_t
																																																											BgL_arg5488z00_6794;
																																																										obj_t
																																																											BgL_arg5489z00_6795;
																																																										BgL_arg5487z00_6793
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd239576zd2_6790));
																																																										BgL_arg5488z00_6794
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd239576zd2_6790));
																																																										BgL_arg5489z00_6795
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_23879;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_23882;
																																																												obj_t
																																																													BgL_bodyz00_23881;
																																																												obj_t
																																																													BgL_varsz00_23880;
																																																												BgL_varsz00_23880
																																																													=
																																																													BgL_arg5487z00_6793;
																																																												BgL_bodyz00_23881
																																																													=
																																																													BgL_arg5488z00_6794;
																																																												BgL_argsz00_23882
																																																													=
																																																													BgL_arg5489z00_6795;
																																																												BgL_argsz00_1734
																																																													=
																																																													BgL_argsz00_23882;
																																																												BgL_bodyz00_1733
																																																													=
																																																													BgL_bodyz00_23881;
																																																												BgL_varsz00_1732
																																																													=
																																																													BgL_varsz00_23880;
																																																												goto
																																																													BgL_tagzd2386zd2_1735;
																																																											}
																																																											BgL_auxz00_21990
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_23879);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 118 */
																																																												goto
																																																													BgL_tagzd2403zd2_1769;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_23886;
																																																												goto
																																																													BgL_tagzd2404zd2_1770;
																																																												BgL_auxz00_21990
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_23886);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_cdrzd239687zd2_6800;
																																																BgL_cdrzd239687zd2_6800
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	bool_t
																																																		BgL_testz00_23890;
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg5502z00_6809;
																																																		BgL_arg5502z00_6809
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_testz00_23890
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg5502z00_6809));
																																																	}
																																																	if (BgL_testz00_23890)
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg5496z00_6803;
																																																			obj_t
																																																				BgL_arg5497z00_6804;
																																																			BgL_arg5496z00_6803
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd239687zd2_6800));
																																																			BgL_arg5497z00_6804
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd239687zd2_6800));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_23899;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_23901;
																																																					obj_t
																																																						BgL_bindingsz00_23900;
																																																					BgL_bindingsz00_23900
																																																						=
																																																						BgL_arg5496z00_6803;
																																																					BgL_exprz00_23901
																																																						=
																																																						BgL_arg5497z00_6804;
																																																					BgL_exprz00_1724
																																																						=
																																																						BgL_exprz00_23901;
																																																					BgL_bindingsz00_1723
																																																						=
																																																						BgL_bindingsz00_23900;
																																																					goto
																																																						BgL_tagzd2382zd2_1725;
																																																				}
																																																				BgL_auxz00_21990
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_23899);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			bool_t
																																																				BgL_testz00_23903;
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg5501z00_6808;
																																																				BgL_arg5501z00_6808
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_testz00_23903
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg5501z00_6808));
																																																			}
																																																			if (BgL_testz00_23903)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_23908;
																																																					goto
																																																						BgL_tagzd2384zd2_1727;
																																																					BgL_auxz00_21990
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_23908);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 118 */
																																																							goto
																																																								BgL_tagzd2403zd2_1769;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_23912;
																																																							goto
																																																								BgL_tagzd2404zd2_1770;
																																																							BgL_auxz00_21990
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_23912);
																																																						}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd238252zd2_6536)))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd238254zd2_6538;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if ((BgL_carzd238252zd2_6536 == CNST_TABLE_REF(((long) 18))))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd238254zd2_6538;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if ((BgL_carzd238252zd2_6536 == CNST_TABLE_REF(((long) 19))))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd238254zd2_6538;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd238252zd2_6536)))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_kapzd238254zd2_6538;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd239859zd2_6544;
																																																						BgL_cdrzd239859zd2_6544
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 118 */
																																																							bool_t
																																																								BgL_testz00_23928;
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg5401z00_6661;
																																																								BgL_arg5401z00_6661
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_testz00_23928
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg5401z00_6661));
																																																							}
																																																							if (BgL_testz00_23928)
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg5329z00_6547;
																																																									obj_t
																																																										BgL_arg5330z00_6548;
																																																									BgL_arg5329z00_6547
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd239859zd2_6544));
																																																									BgL_arg5330z00_6548
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd239859zd2_6544));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_23937;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_23939;
																																																											obj_t
																																																												BgL_bindingsz00_23938;
																																																											BgL_bindingsz00_23938
																																																												=
																																																												BgL_arg5329z00_6547;
																																																											BgL_exprz00_23939
																																																												=
																																																												BgL_arg5330z00_6548;
																																																											BgL_exprz00_1724
																																																												=
																																																												BgL_exprz00_23939;
																																																											BgL_bindingsz00_1723
																																																												=
																																																												BgL_bindingsz00_23938;
																																																											goto
																																																												BgL_tagzd2382zd2_1725;
																																																										}
																																																										BgL_auxz00_21990
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_23937);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									bool_t
																																																										BgL_testz00_23941;
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg5400z00_6660;
																																																										BgL_arg5400z00_6660
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_testz00_23941
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg5400z00_6660));
																																																									}
																																																									if (BgL_testz00_23941)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_23946;
																																																											goto
																																																												BgL_tagzd2384zd2_1727;
																																																											BgL_auxz00_21990
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_23946);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd239925zd2_6551;
																																																											BgL_carzd239925zd2_6551
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd239930zd2_6552;
																																																												BgL_cdrzd239930zd2_6552
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd239925zd2_6551));
																																																												if ((CAR(((obj_t) BgL_carzd239925zd2_6551)) == CNST_TABLE_REF(((long) 3))))
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (PAIRP(BgL_cdrzd239930zd2_6552))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_arg5336z00_6556;
																																																																obj_t
																																																																	BgL_arg5337z00_6557;
																																																																obj_t
																																																																	BgL_arg5338z00_6558;
																																																																BgL_arg5336z00_6556
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd239930zd2_6552);
																																																																BgL_arg5337z00_6557
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd239930zd2_6552);
																																																																BgL_arg5338z00_6558
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_23963;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_23966;
																																																																		obj_t
																																																																			BgL_bodyz00_23965;
																																																																		obj_t
																																																																			BgL_varsz00_23964;
																																																																		BgL_varsz00_23964
																																																																			=
																																																																			BgL_arg5336z00_6556;
																																																																		BgL_bodyz00_23965
																																																																			=
																																																																			BgL_arg5337z00_6557;
																																																																		BgL_argsz00_23966
																																																																			=
																																																																			BgL_arg5338z00_6558;
																																																																		BgL_argsz00_1734
																																																																			=
																																																																			BgL_argsz00_23966;
																																																																		BgL_bodyz00_1733
																																																																			=
																																																																			BgL_bodyz00_23965;
																																																																		BgL_varsz00_1732
																																																																			=
																																																																			BgL_varsz00_23964;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1735;
																																																																	}
																																																																	BgL_auxz00_21990
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_23963);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1769;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_23970;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1770;
																																																																		BgL_auxz00_21990
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_23970);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd240037zd2_6561;
																																																														BgL_cdrzd240037zd2_6561
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd240042zd2_6562;
																																																															BgL_cdrzd240042zd2_6562
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd239925zd2_6551));
																																																															if ((CAR(((obj_t) BgL_carzd239925zd2_6551)) == CNST_TABLE_REF(((long) 1))))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (PAIRP(BgL_cdrzd240042zd2_6562))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd240047zd2_6566;
																																																																			BgL_cdrzd240047zd2_6566
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd240042zd2_6562);
																																																																			if (PAIRP(BgL_cdrzd240047zd2_6566))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd240051zd2_6568;
																																																																					obj_t
																																																																						BgL_cdrzd240052zd2_6569;
																																																																					BgL_carzd240051zd2_6568
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd240047zd2_6566);
																																																																					BgL_cdrzd240052zd2_6569
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd240047zd2_6566);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240051zd2_6568))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (PAIRP(BgL_cdrzd240052zd2_6569))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd240057zd2_6572;
																																																																									BgL_carzd240057zd2_6572
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd240052zd2_6569);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240057zd2_6572))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (NULLP(CDR(BgL_cdrzd240052zd2_6569)))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													bool_t
																																																																														BgL_testz00_23998;
																																																																													{
																																																																														obj_t
																																																																															BgL_l1432z00_6605;
																																																																														BgL_l1432z00_6605
																																																																															=
																																																																															BgL_cdrzd240037zd2_6561;
																																																																													BgL_zc3anonymousza35364ze3z83_6606:
																																																																														if (NULLP(BgL_l1432z00_6605))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																BgL_testz00_23998
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																bool_t
																																																																																	BgL_testz00_24001;
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	bool_t
																																																																																		BgL_testz00_24002;
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_tmpz00_24003;
																																																																																		BgL_tmpz00_24003
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_l1432z00_6605));
																																																																																		BgL_testz00_24002
																																																																																			=
																																																																																			PAIRP
																																																																																			(BgL_tmpz00_24003);
																																																																																	}
																																																																																	if (BgL_testz00_24002)
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			BgL_testz00_24001
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			BgL_testz00_24001
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																}
																																																																																if (BgL_testz00_24001)
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1432z00_24007;
																																																																																		BgL_l1432z00_24007
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_l1432z00_6605));
																																																																																		BgL_l1432z00_6605
																																																																																			=
																																																																																			BgL_l1432z00_24007;
																																																																																		goto
																																																																																			BgL_zc3anonymousza35364ze3z83_6606;
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		BgL_testz00_23998
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																															}
																																																																													}
																																																																													if (BgL_testz00_23998)
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg5354z00_6588;
																																																																															BgL_arg5354z00_6588
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd240042zd2_6562);
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_24011;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_24015;
																																																																																	obj_t
																																																																																		BgL_proc2z00_24014;
																																																																																	obj_t
																																																																																		BgL_proc1z00_24013;
																																																																																	obj_t
																																																																																		BgL_testz00_24012;
																																																																																	BgL_testz00_24012
																																																																																		=
																																																																																		BgL_arg5354z00_6588;
																																																																																	BgL_proc1z00_24013
																																																																																		=
																																																																																		BgL_carzd240051zd2_6568;
																																																																																	BgL_proc2z00_24014
																																																																																		=
																																																																																		BgL_carzd240057zd2_6572;
																																																																																	BgL_argsz00_24015
																																																																																		=
																																																																																		BgL_cdrzd240037zd2_6561;
																																																																																	BgL_argsz00_1739
																																																																																		=
																																																																																		BgL_argsz00_24015;
																																																																																	BgL_proc2z00_1738
																																																																																		=
																																																																																		BgL_proc2z00_24014;
																																																																																	BgL_proc1z00_1737
																																																																																		=
																																																																																		BgL_proc1z00_24013;
																																																																																	BgL_testz00_1736
																																																																																		=
																																																																																		BgL_testz00_24012;
																																																																																	goto
																																																																																		BgL_tagzd2387zd2_1740;
																																																																																}
																																																																																BgL_auxz00_21990
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_24011);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd240082zd2_6589;
																																																																															BgL_cdrzd240082zd2_6589
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_cdrzd240090zd2_6590;
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_pairz00_12241;
																																																																																	BgL_pairz00_12241
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd240090zd2_6590
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_12241);
																																																																																}
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_cdrzd240098zd2_6591;
																																																																																	BgL_cdrzd240098zd2_6591
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd240090zd2_6590));
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_carzd240105zd2_6592;
																																																																																		BgL_carzd240105zd2_6592
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd240098zd2_6591));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240105zd2_6592))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_carzd240114zd2_6594;
																																																																																				{	/* Ast/sexp.scm 118 */
																																																																																					obj_t
																																																																																						BgL_pairz00_12245;
																																																																																					BgL_pairz00_12245
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd240098zd2_6591));
																																																																																					BgL_carzd240114zd2_6594
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_pairz00_12245);
																																																																																				}
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240114zd2_6594))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd240082zd2_6589))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								obj_t
																																																																																									BgL_arg5358z00_6597;
																																																																																								BgL_arg5358z00_6597
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd240090zd2_6590));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_24037;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_24041;
																																																																																										obj_t
																																																																																											BgL_proc2z00_24040;
																																																																																										obj_t
																																																																																											BgL_proc1z00_24039;
																																																																																										obj_t
																																																																																											BgL_testz00_24038;
																																																																																										BgL_testz00_24038
																																																																																											=
																																																																																											BgL_arg5358z00_6597;
																																																																																										BgL_proc1z00_24039
																																																																																											=
																																																																																											BgL_carzd240105zd2_6592;
																																																																																										BgL_proc2z00_24040
																																																																																											=
																																																																																											BgL_carzd240114zd2_6594;
																																																																																										BgL_argsz00_24041
																																																																																											=
																																																																																											BgL_cdrzd240082zd2_6589;
																																																																																										BgL_argsz00_1744
																																																																																											=
																																																																																											BgL_argsz00_24041;
																																																																																										BgL_proc2z00_1743
																																																																																											=
																																																																																											BgL_proc2z00_24040;
																																																																																										BgL_proc1z00_1742
																																																																																											=
																																																																																											BgL_proc1z00_24039;
																																																																																										BgL_testz00_1741
																																																																																											=
																																																																																											BgL_testz00_24038;
																																																																																										goto
																																																																																											BgL_tagzd2388zd2_1745;
																																																																																									}
																																																																																									BgL_auxz00_21990
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_24037);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 118 */
																																																																																										goto
																																																																																											BgL_tagzd2403zd2_1769;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_24045;
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1770;
																																																																																										BgL_auxz00_21990
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_24045);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_24049;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_21990
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_24049);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_24053;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_21990
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_24053);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24057;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24057);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd240392zd2_6616;
																																																																											BgL_cdrzd240392zd2_6616
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd240399zd2_6617;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_12249;
																																																																													BgL_pairz00_12249
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd240399zd2_6617
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_12249);
																																																																												}
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd240406zd2_6618;
																																																																													BgL_cdrzd240406zd2_6618
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd240399zd2_6617));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd240412zd2_6619;
																																																																														obj_t
																																																																															BgL_cdrzd240413zd2_6620;
																																																																														BgL_carzd240412zd2_6619
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd240406zd2_6618));
																																																																														BgL_cdrzd240413zd2_6620
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd240406zd2_6618));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240412zd2_6619))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_carzd240420zd2_6622;
																																																																																BgL_carzd240420zd2_6622
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd240413zd2_6620));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240420zd2_6622))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd240413zd2_6620))))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd240392zd2_6616))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_arg5373z00_6627;
																																																																																						BgL_arg5373z00_6627
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd240399zd2_6617));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_24084;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_24088;
																																																																																								obj_t
																																																																																									BgL_proc2z00_24087;
																																																																																								obj_t
																																																																																									BgL_proc1z00_24086;
																																																																																								obj_t
																																																																																									BgL_testz00_24085;
																																																																																								BgL_testz00_24085
																																																																																									=
																																																																																									BgL_arg5373z00_6627;
																																																																																								BgL_proc1z00_24086
																																																																																									=
																																																																																									BgL_carzd240412zd2_6619;
																																																																																								BgL_proc2z00_24087
																																																																																									=
																																																																																									BgL_carzd240420zd2_6622;
																																																																																								BgL_argsz00_24088
																																																																																									=
																																																																																									BgL_cdrzd240392zd2_6616;
																																																																																								BgL_argsz00_1744
																																																																																									=
																																																																																									BgL_argsz00_24088;
																																																																																								BgL_proc2z00_1743
																																																																																									=
																																																																																									BgL_proc2z00_24087;
																																																																																								BgL_proc1z00_1742
																																																																																									=
																																																																																									BgL_proc1z00_24086;
																																																																																								BgL_testz00_1741
																																																																																									=
																																																																																									BgL_testz00_24085;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1745;
																																																																																							}
																																																																																							BgL_auxz00_21990
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_24084);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_24092;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_21990
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_24092);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_24096;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_21990
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_24096);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_24100;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_21990
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_24100);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_24104;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																		BgL_auxz00_21990
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_24104);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_24108;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_24108);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd240753zd2_6635;
																																																																							BgL_cdrzd240753zd2_6635
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd240759zd2_6636;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_12259;
																																																																									BgL_pairz00_12259
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd240759zd2_6636
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_12259);
																																																																								}
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd240765zd2_6637;
																																																																									BgL_cdrzd240765zd2_6637
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd240759zd2_6636));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd240770zd2_6638;
																																																																										obj_t
																																																																											BgL_cdrzd240771zd2_6639;
																																																																										BgL_carzd240770zd2_6638
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd240765zd2_6637));
																																																																										BgL_cdrzd240771zd2_6639
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd240765zd2_6637));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240770zd2_6638))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (PAIRP(BgL_cdrzd240771zd2_6639))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd240776zd2_6642;
																																																																														BgL_carzd240776zd2_6642
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd240771zd2_6639);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240776zd2_6642))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (NULLP(CDR(BgL_cdrzd240771zd2_6639)))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd240753zd2_6635))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_arg5387z00_6647;
																																																																																				BgL_arg5387z00_6647
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd240759zd2_6636));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_24135;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_24139;
																																																																																						obj_t
																																																																																							BgL_proc2z00_24138;
																																																																																						obj_t
																																																																																							BgL_proc1z00_24137;
																																																																																						obj_t
																																																																																							BgL_testz00_24136;
																																																																																						BgL_testz00_24136
																																																																																							=
																																																																																							BgL_arg5387z00_6647;
																																																																																						BgL_proc1z00_24137
																																																																																							=
																																																																																							BgL_carzd240770zd2_6638;
																																																																																						BgL_proc2z00_24138
																																																																																							=
																																																																																							BgL_carzd240776zd2_6642;
																																																																																						BgL_argsz00_24139
																																																																																							=
																																																																																							BgL_cdrzd240753zd2_6635;
																																																																																						BgL_argsz00_1744
																																																																																							=
																																																																																							BgL_argsz00_24139;
																																																																																						BgL_proc2z00_1743
																																																																																							=
																																																																																							BgL_proc2z00_24138;
																																																																																						BgL_proc1z00_1742
																																																																																							=
																																																																																							BgL_proc1z00_24137;
																																																																																						BgL_testz00_1741
																																																																																							=
																																																																																							BgL_testz00_24136;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1745;
																																																																																					}
																																																																																					BgL_auxz00_21990
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_24135);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_24143;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_21990
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_24143);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_24147;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_21990
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_24147);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_24151;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																		BgL_auxz00_21990
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_24151);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1769;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_24155;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1770;
																																																																																BgL_auxz00_21990
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_24155);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_24159;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																														BgL_auxz00_21990
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_24159);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_24163;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_24163);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1769;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_24167;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1770;
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_24167);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1769;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_24171;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1770;
																																																																			BgL_auxz00_21990
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_24171);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_cdrzd241314zd2_6811;
																																											BgL_cdrzd241314zd2_6811
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if ((BgL_carzd238249zd2_6534 == CNST_TABLE_REF(((long) 17))))
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg5504z00_6813;
																																													obj_t
																																														BgL_arg5505z00_6814;
																																													BgL_arg5504z00_6813
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd241314zd2_6811));
																																													BgL_arg5505z00_6814
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd241314zd2_6811));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_24182;
																																														{
																																															obj_t
																																																BgL_exprz00_24184;
																																															obj_t
																																																BgL_bindingsz00_24183;
																																															BgL_bindingsz00_24183
																																																=
																																																BgL_arg5504z00_6813;
																																															BgL_exprz00_24184
																																																=
																																																BgL_arg5505z00_6814;
																																															BgL_exprz00_1724
																																																=
																																																BgL_exprz00_24184;
																																															BgL_bindingsz00_1723
																																																=
																																																BgL_bindingsz00_24183;
																																															goto
																																																BgL_tagzd2382zd2_1725;
																																														}
																																														BgL_auxz00_21990
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_24182);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd238249zd2_6534)))
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg5507z00_6816;
																																															obj_t
																																																BgL_arg5508z00_6817;
																																															BgL_arg5507z00_6816
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd241314zd2_6811));
																																															BgL_arg5508z00_6817
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd241314zd2_6811));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_24193;
																																																{
																																																	obj_t
																																																		BgL_exprz00_24195;
																																																	obj_t
																																																		BgL_bindingsz00_24194;
																																																	BgL_bindingsz00_24194
																																																		=
																																																		BgL_arg5507z00_6816;
																																																	BgL_exprz00_24195
																																																		=
																																																		BgL_arg5508z00_6817;
																																																	BgL_exprz00_1724
																																																		=
																																																		BgL_exprz00_24195;
																																																	BgL_bindingsz00_1723
																																																		=
																																																		BgL_bindingsz00_24194;
																																																	goto
																																																		BgL_tagzd2382zd2_1725;
																																																}
																																																BgL_auxz00_21990
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_24193);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((BgL_carzd238249zd2_6534 == CNST_TABLE_REF(((long) 18))))
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg5510z00_6819;
																																																	obj_t
																																																		BgL_arg5511z00_6820;
																																																	BgL_arg5510z00_6819
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd241314zd2_6811));
																																																	BgL_arg5511z00_6820
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd241314zd2_6811));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_24204;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_24206;
																																																			obj_t
																																																				BgL_bindingsz00_24205;
																																																			BgL_bindingsz00_24205
																																																				=
																																																				BgL_arg5510z00_6819;
																																																			BgL_exprz00_24206
																																																				=
																																																				BgL_arg5511z00_6820;
																																																			BgL_exprz00_1724
																																																				=
																																																				BgL_exprz00_24206;
																																																			BgL_bindingsz00_1723
																																																				=
																																																				BgL_bindingsz00_24205;
																																																			goto
																																																				BgL_tagzd2382zd2_1725;
																																																		}
																																																		BgL_auxz00_21990
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_24204);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_24213;
																																																			goto
																																																				BgL_tagzd2383zd2_1726;
																																																			BgL_auxz00_21990
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_24213);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_carzd241351zd2_6823;
																																																			BgL_carzd241351zd2_6823
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			if ((BgL_carzd241351zd2_6823 == CNST_TABLE_REF(((long) 19))))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_24220;
																																																					goto
																																																						BgL_tagzd2384zd2_1727;
																																																					BgL_auxz00_21990
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_24220);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd241351zd2_6823)))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_24225;
																																																							goto
																																																								BgL_tagzd2384zd2_1727;
																																																							BgL_auxz00_21990
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_24225);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_24232;
																																																									goto
																																																										BgL_tagzd2389zd2_1746;
																																																									BgL_auxz00_21990
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_24232);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_24239;
																																																											goto
																																																												BgL_tagzd2390zd2_1747;
																																																											BgL_auxz00_21990
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_24239);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd241431zd2_6830;
																																																											BgL_cdrzd241431zd2_6830
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg5522z00_6833;
																																																													obj_t
																																																														BgL_arg5523z00_6834;
																																																													BgL_arg5522z00_6833
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd241431zd2_6830));
																																																													BgL_arg5523z00_6834
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd241431zd2_6830));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_24252;
																																																														{
																																																															obj_t
																																																																BgL_restz00_24254;
																																																															obj_t
																																																																BgL_effectz00_24253;
																																																															BgL_effectz00_24253
																																																																=
																																																																BgL_arg5522z00_6833;
																																																															BgL_restz00_24254
																																																																=
																																																																BgL_arg5523z00_6834;
																																																															BgL_restz00_1749
																																																																=
																																																																BgL_restz00_24254;
																																																															BgL_effectz00_1748
																																																																=
																																																																BgL_effectz00_24253;
																																																															goto
																																																																BgL_tagzd2391zd2_1750;
																																																														}
																																																														BgL_auxz00_21990
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_24252);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_24261;
																																																															goto
																																																																BgL_tagzd2392zd2_1751;
																																																															BgL_auxz00_21990
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_24261);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_24268;
																																																																	goto
																																																																		BgL_tagzd2393zd2_1752;
																																																																	BgL_auxz00_21990
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_24268);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_arg5530z00_6842;
																																																																			obj_t
																																																																				BgL_arg5531z00_6843;
																																																																			BgL_arg5530z00_6842
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd241431zd2_6830));
																																																																			BgL_arg5531z00_6843
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd241431zd2_6830));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_24279;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_24281;
																																																																					obj_t
																																																																						BgL_effectz00_24280;
																																																																					BgL_effectz00_24280
																																																																						=
																																																																						BgL_arg5530z00_6842;
																																																																					BgL_restz00_24281
																																																																						=
																																																																						BgL_arg5531z00_6843;
																																																																					BgL_restz00_1754
																																																																						=
																																																																						BgL_restz00_24281;
																																																																					BgL_effectz00_1753
																																																																						=
																																																																						BgL_effectz00_24280;
																																																																					goto
																																																																						BgL_tagzd2394zd2_1755;
																																																																				}
																																																																				BgL_auxz00_21990
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_24279);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_24288;
																																																																					goto
																																																																						BgL_tagzd2395zd2_1756;
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_24288);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_24295;
																																																																							goto
																																																																								BgL_tagzd2396zd2_1757;
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_24295);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																								{
																																																																									BgL_letzd2funzd2_bglt
																																																																										BgL_auxz00_24302;
																																																																									goto
																																																																										BgL_tagzd2397zd2_1758;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_24302);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																										{
																																																																											BgL_jumpzd2exzd2itz00_bglt
																																																																												BgL_auxz00_24309;
																																																																											goto
																																																																												BgL_tagzd2398zd2_1759;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_24309);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd241508zd2_6852;
																																																																											BgL_cdrzd241508zd2_6852
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg5542z00_6855;
																																																																													obj_t
																																																																														BgL_arg5543z00_6856;
																																																																													BgL_arg5542z00_6855
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd241508zd2_6852));
																																																																													BgL_arg5543z00_6856
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd241508zd2_6852));
																																																																													{	/* Ast/sexp.scm 561 */
																																																																														obj_t
																																																																															BgL_arg6983z00_12298;
																																																																														BgL_arg6983z00_12298
																																																																															=
																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																															(BgL_expz00_21,
																																																																															BgL_locz00_23);
																																																																														BgL_auxz00_21990
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																															(BgL_expz00_21,
																																																																																BgL_arg5542z00_6855,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg5543z00_6856, BgL_stackz00_22, BgL_arg6983z00_12298, BgL_sitez00_24));
																																																																												}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24328;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24328);
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															obj_t
																																BgL_carzd241533zd2_6873;
																															BgL_carzd241533zd2_6873
																																=
																																CAR(((obj_t)
																																	BgL_expz00_21));
																															if (
																																(BgL_carzd241533zd2_6873
																																	==
																																	CNST_TABLE_REF
																																	(((long) 1))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_24335;
																																	goto
																																		BgL_tagzd2377zd2_1714;
																																	BgL_auxz00_21990
																																		=
																																		((obj_t)
																																		BgL_auxz00_24335);
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	if (
																																		(BgL_carzd241533zd2_6873
																																			==
																																			BGl_za2ifza2z00zzast_sexpz00))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_24339;
																																			goto
																																				BgL_tagzd2377zd2_1714;
																																			BgL_auxz00_21990
																																				=
																																				((obj_t)
																																				BgL_auxz00_24339);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_cdrzd241555zd2_6876;
																																			BgL_cdrzd241555zd2_6876
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if ((CAR((
																																							(obj_t)
																																							BgL_expz00_21))
																																					==
																																					CNST_TABLE_REF
																																					(((long) 7))))
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd241558zd2_6879;
																																					obj_t
																																						BgL_cdrzd241559zd2_6880;
																																					BgL_carzd241558zd2_6879
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd241555zd2_6876));
																																					BgL_cdrzd241559zd2_6880
																																						=
																																						CDR(
																																						((obj_t) BgL_cdrzd241555zd2_6876));
																																					if (PAIRP(BgL_carzd241558zd2_6879))
																																						{	/* Ast/sexp.scm 118 */
																																							if ((CAR(BgL_carzd241558zd2_6879) == CNST_TABLE_REF(((long) 14))))
																																								{	/* Ast/sexp.scm 118 */
																																									if (NULLP(CDR(((obj_t) BgL_cdrzd241559zd2_6880))))
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg5569z00_6886;
																																											obj_t
																																												BgL_arg5570z00_6887;
																																											BgL_arg5569z00_6886
																																												=
																																												CDR
																																												(BgL_carzd241558zd2_6879);
																																											BgL_arg5570z00_6887
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd241559zd2_6880));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_24365;
																																												{
																																													obj_t
																																														BgL_valz00_24367;
																																													obj_t
																																														BgL_lz00_24366;
																																													BgL_lz00_24366
																																														=
																																														BgL_arg5569z00_6886;
																																													BgL_valz00_24367
																																														=
																																														BgL_arg5570z00_6887;
																																													BgL_valz00_1716
																																														=
																																														BgL_valz00_24367;
																																													BgL_lz00_1715
																																														=
																																														BgL_lz00_24366;
																																													goto
																																														BgL_tagzd2378zd2_1717;
																																												}
																																												BgL_auxz00_21990
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_24365);
																																											}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_24369;
																																											goto
																																												BgL_tagzd2379zd2_1718;
																																											BgL_auxz00_21990
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_24369);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_24371;
																																									goto
																																										BgL_tagzd2379zd2_1718;
																																									BgL_auxz00_21990
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_24371);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_24373;
																																							goto
																																								BgL_tagzd2379zd2_1718;
																																							BgL_auxz00_21990
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_24373);
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_24380;
																																							goto
																																								BgL_tagzd2380zd2_1719;
																																							BgL_auxz00_21990
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_24380);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_carzd241656zd2_6892;
																																							BgL_carzd241656zd2_6892
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if (PAIRP(BgL_carzd241656zd2_6892))
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_carzd241659zd2_6894;
																																									obj_t
																																										BgL_cdrzd241660zd2_6895;
																																									BgL_carzd241659zd2_6894
																																										=
																																										CAR
																																										(BgL_carzd241656zd2_6892);
																																									BgL_cdrzd241660zd2_6895
																																										=
																																										CDR
																																										(BgL_carzd241656zd2_6892);
																																									{

																																										if ((BgL_carzd241659zd2_6894 == CNST_TABLE_REF(((long) 17))))
																																											{	/* Ast/sexp.scm 118 */
																																											BgL_kapzd241661zd2_6896:
																																												if (PAIRP(BgL_cdrzd241660zd2_6895))
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_cdrzd241664zd2_7021;
																																														BgL_cdrzd241664zd2_7021
																																															=
																																															CDR
																																															(BgL_cdrzd241660zd2_6895);
																																														if (PAIRP(BgL_cdrzd241664zd2_7021))
																																															{	/* Ast/sexp.scm 118 */
																																																if (NULLP(CDR(BgL_cdrzd241664zd2_7021)))
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg5660z00_7025;
																																																		obj_t
																																																			BgL_arg5661z00_7026;
																																																		BgL_arg5660z00_7025
																																																			=
																																																			CAR
																																																			(BgL_cdrzd241664zd2_7021);
																																																		BgL_arg5661z00_7026
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_24402;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_24404;
																																																				obj_t
																																																					BgL_bodyz00_24403;
																																																				BgL_bodyz00_24403
																																																					=
																																																					BgL_arg5660z00_7025;
																																																				BgL_argsz00_24404
																																																					=
																																																					BgL_arg5661z00_7026;
																																																				BgL_argsz00_1721
																																																					=
																																																					BgL_argsz00_24404;
																																																				BgL_bodyz00_1720
																																																					=
																																																					BgL_bodyz00_24403;
																																																				goto
																																																					BgL_tagzd2381zd2_1722;
																																																			}
																																																			BgL_auxz00_21990
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_24402);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd241688zd2_7027;
																																																		BgL_cdrzd241688zd2_7027
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			bool_t
																																																				BgL_testz00_24408;
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg5730z00_7138;
																																																				BgL_arg5730z00_7138
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_testz00_24408
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg5730z00_7138));
																																																			}
																																																			if (BgL_testz00_24408)
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg5664z00_7030;
																																																					obj_t
																																																						BgL_arg5665z00_7031;
																																																					BgL_arg5664z00_7030
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd241688zd2_7027));
																																																					BgL_arg5665z00_7031
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd241688zd2_7027));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_24417;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_24419;
																																																							obj_t
																																																								BgL_bindingsz00_24418;
																																																							BgL_bindingsz00_24418
																																																								=
																																																								BgL_arg5664z00_7030;
																																																							BgL_exprz00_24419
																																																								=
																																																								BgL_arg5665z00_7031;
																																																							BgL_exprz00_1724
																																																								=
																																																								BgL_exprz00_24419;
																																																							BgL_bindingsz00_1723
																																																								=
																																																								BgL_bindingsz00_24418;
																																																							goto
																																																								BgL_tagzd2382zd2_1725;
																																																						}
																																																						BgL_auxz00_21990
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_24417);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_24421;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg5729z00_7137;
																																																						BgL_arg5729z00_7137
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_24421
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg5729z00_7137));
																																																					}
																																																					if (BgL_testz00_24421)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_24426;
																																																							goto
																																																								BgL_tagzd2384zd2_1727;
																																																							BgL_auxz00_21990
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_24426);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd241755zd2_7034;
																																																							BgL_carzd241755zd2_7034
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd241760zd2_7035;
																																																								BgL_cdrzd241760zd2_7035
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd241755zd2_7034));
																																																								if ((CAR(((obj_t) BgL_carzd241755zd2_7034)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg5670z00_7038;
																																																										obj_t
																																																											BgL_arg5671z00_7039;
																																																										obj_t
																																																											BgL_arg5672z00_7040;
																																																										BgL_arg5670z00_7038
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd241760zd2_7035));
																																																										BgL_arg5671z00_7039
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd241760zd2_7035));
																																																										BgL_arg5672z00_7040
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_24443;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_24446;
																																																												obj_t
																																																													BgL_bodyz00_24445;
																																																												obj_t
																																																													BgL_varsz00_24444;
																																																												BgL_varsz00_24444
																																																													=
																																																													BgL_arg5670z00_7038;
																																																												BgL_bodyz00_24445
																																																													=
																																																													BgL_arg5671z00_7039;
																																																												BgL_argsz00_24446
																																																													=
																																																													BgL_arg5672z00_7040;
																																																												BgL_argsz00_1734
																																																													=
																																																													BgL_argsz00_24446;
																																																												BgL_bodyz00_1733
																																																													=
																																																													BgL_bodyz00_24445;
																																																												BgL_varsz00_1732
																																																													=
																																																													BgL_varsz00_24444;
																																																												goto
																																																													BgL_tagzd2386zd2_1735;
																																																											}
																																																											BgL_auxz00_21990
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_24443);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd241783zd2_7042;
																																																										BgL_cdrzd241783zd2_7042
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd241789zd2_7043;
																																																											BgL_cdrzd241789zd2_7043
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd241755zd2_7034));
																																																											if ((CAR(((obj_t) BgL_carzd241755zd2_7034)) == CNST_TABLE_REF(((long) 1))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd241795zd2_7046;
																																																													BgL_cdrzd241795zd2_7046
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd241789zd2_7043));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd241800zd2_7047;
																																																														obj_t
																																																															BgL_cdrzd241801zd2_7048;
																																																														BgL_carzd241800zd2_7047
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd241795zd2_7046));
																																																														BgL_cdrzd241801zd2_7048
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd241795zd2_7046));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241800zd2_7047))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (PAIRP(BgL_cdrzd241801zd2_7048))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd241808zd2_7051;
																																																																		BgL_carzd241808zd2_7051
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd241801zd2_7048);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241808zd2_7051))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (NULLP(CDR(BgL_cdrzd241801zd2_7048)))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						bool_t
																																																																							BgL_testz00_24473;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1435z00_7084;
																																																																							BgL_l1435z00_7084
																																																																								=
																																																																								BgL_cdrzd241783zd2_7042;
																																																																						BgL_zc3anonymousza35695ze3z83_7085:
																																																																							if (NULLP(BgL_l1435z00_7084))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_24473
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									bool_t
																																																																										BgL_testz00_24476;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										bool_t
																																																																											BgL_testz00_24477;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_tmpz00_24478;
																																																																											BgL_tmpz00_24478
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_l1435z00_7084));
																																																																											BgL_testz00_24477
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_24478);
																																																																										}
																																																																										if (BgL_testz00_24477)
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_24476
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_24476
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_testz00_24476)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1435z00_24482;
																																																																											BgL_l1435z00_24482
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_l1435z00_7084));
																																																																											BgL_l1435z00_7084
																																																																												=
																																																																												BgL_l1435z00_24482;
																																																																											goto
																																																																												BgL_zc3anonymousza35695ze3z83_7085;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_24473
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_testz00_24473)
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg5685z00_7067;
																																																																								BgL_arg5685z00_7067
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd241789zd2_7043));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_24487;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_24491;
																																																																										obj_t
																																																																											BgL_proc2z00_24490;
																																																																										obj_t
																																																																											BgL_proc1z00_24489;
																																																																										obj_t
																																																																											BgL_testz00_24488;
																																																																										BgL_testz00_24488
																																																																											=
																																																																											BgL_arg5685z00_7067;
																																																																										BgL_proc1z00_24489
																																																																											=
																																																																											BgL_carzd241800zd2_7047;
																																																																										BgL_proc2z00_24490
																																																																											=
																																																																											BgL_carzd241808zd2_7051;
																																																																										BgL_argsz00_24491
																																																																											=
																																																																											BgL_cdrzd241783zd2_7042;
																																																																										BgL_argsz00_1739
																																																																											=
																																																																											BgL_argsz00_24491;
																																																																										BgL_proc2z00_1738
																																																																											=
																																																																											BgL_proc2z00_24490;
																																																																										BgL_proc1z00_1737
																																																																											=
																																																																											BgL_proc1z00_24489;
																																																																										BgL_testz00_1736
																																																																											=
																																																																											BgL_testz00_24488;
																																																																										goto
																																																																											BgL_tagzd2387zd2_1740;
																																																																									}
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_24487);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd241832zd2_7068;
																																																																								BgL_cdrzd241832zd2_7068
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd241839zd2_7069;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_12351;
																																																																										BgL_pairz00_12351
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd241839zd2_7069
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_12351);
																																																																									}
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd241846zd2_7070;
																																																																										BgL_cdrzd241846zd2_7070
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd241839zd2_7069));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd241852zd2_7071;
																																																																											BgL_carzd241852zd2_7071
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd241846zd2_7070));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241852zd2_7071))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd241859zd2_7073;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_12355;
																																																																														BgL_pairz00_12355
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd241846zd2_7070));
																																																																														BgL_carzd241859zd2_7073
																																																																															=
																																																																															CAR
																																																																															(BgL_pairz00_12355);
																																																																													}
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241859zd2_7073))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd241832zd2_7068))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg5689z00_7076;
																																																																																	BgL_arg5689z00_7076
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd241839zd2_7069));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_24513;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_24517;
																																																																																			obj_t
																																																																																				BgL_proc2z00_24516;
																																																																																			obj_t
																																																																																				BgL_proc1z00_24515;
																																																																																			obj_t
																																																																																				BgL_testz00_24514;
																																																																																			BgL_testz00_24514
																																																																																				=
																																																																																				BgL_arg5689z00_7076;
																																																																																			BgL_proc1z00_24515
																																																																																				=
																																																																																				BgL_carzd241852zd2_7071;
																																																																																			BgL_proc2z00_24516
																																																																																				=
																																																																																				BgL_carzd241859zd2_7073;
																																																																																			BgL_argsz00_24517
																																																																																				=
																																																																																				BgL_cdrzd241832zd2_7068;
																																																																																			BgL_argsz00_1744
																																																																																				=
																																																																																				BgL_argsz00_24517;
																																																																																			BgL_proc2z00_1743
																																																																																				=
																																																																																				BgL_proc2z00_24516;
																																																																																			BgL_proc1z00_1742
																																																																																				=
																																																																																				BgL_proc1z00_24515;
																																																																																			BgL_testz00_1741
																																																																																				=
																																																																																				BgL_testz00_24514;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1745;
																																																																																		}
																																																																																		BgL_auxz00_21990
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_24513);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_24521;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_21990
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_24521);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_24525;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_24525);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24529;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24529);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_24533;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_21990
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_24533);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd242135zd2_7095;
																																																																				BgL_cdrzd242135zd2_7095
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd242141zd2_7096;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_pairz00_12359;
																																																																						BgL_pairz00_12359
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd242141zd2_7096
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12359);
																																																																					}
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd242147zd2_7097;
																																																																						BgL_cdrzd242147zd2_7097
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd242141zd2_7096));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd242152zd2_7098;
																																																																							obj_t
																																																																								BgL_cdrzd242153zd2_7099;
																																																																							BgL_carzd242152zd2_7098
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd242147zd2_7097));
																																																																							BgL_cdrzd242153zd2_7099
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd242147zd2_7097));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242152zd2_7098))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd242158zd2_7101;
																																																																									BgL_carzd242158zd2_7101
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd242153zd2_7099));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242158zd2_7101))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (NULLP(CDR(((obj_t) BgL_cdrzd242153zd2_7099))))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd242135zd2_7095))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg5704z00_7106;
																																																																															BgL_arg5704z00_7106
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd242141zd2_7096));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_24560;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_24564;
																																																																																	obj_t
																																																																																		BgL_proc2z00_24563;
																																																																																	obj_t
																																																																																		BgL_proc1z00_24562;
																																																																																	obj_t
																																																																																		BgL_testz00_24561;
																																																																																	BgL_testz00_24561
																																																																																		=
																																																																																		BgL_arg5704z00_7106;
																																																																																	BgL_proc1z00_24562
																																																																																		=
																																																																																		BgL_carzd242152zd2_7098;
																																																																																	BgL_proc2z00_24563
																																																																																		=
																																																																																		BgL_carzd242158zd2_7101;
																																																																																	BgL_argsz00_24564
																																																																																		=
																																																																																		BgL_cdrzd242135zd2_7095;
																																																																																	BgL_argsz00_1744
																																																																																		=
																																																																																		BgL_argsz00_24564;
																																																																																	BgL_proc2z00_1743
																																																																																		=
																																																																																		BgL_proc2z00_24563;
																																																																																	BgL_proc1z00_1742
																																																																																		=
																																																																																		BgL_proc1z00_24562;
																																																																																	BgL_testz00_1741
																																																																																		=
																																																																																		BgL_testz00_24561;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1745;
																																																																																}
																																																																																BgL_auxz00_21990
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_24560);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_24568;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_24568);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24572;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24572);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24576;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24576);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_24580;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_24580);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_24584;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_21990
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_24584);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd242491zd2_7114;
																																																																BgL_cdrzd242491zd2_7114
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd242498zd2_7115;
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_pairz00_12369;
																																																																		BgL_pairz00_12369
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd242498zd2_7115
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_12369);
																																																																	}
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd242505zd2_7116;
																																																																		BgL_cdrzd242505zd2_7116
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd242498zd2_7115));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd242511zd2_7117;
																																																																			obj_t
																																																																				BgL_cdrzd242512zd2_7118;
																																																																			BgL_carzd242511zd2_7117
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd242505zd2_7116));
																																																																			BgL_cdrzd242512zd2_7118
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd242505zd2_7116));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242511zd2_7117))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd242512zd2_7118))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd242519zd2_7121;
																																																																							BgL_carzd242519zd2_7121
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd242512zd2_7118);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242519zd2_7121))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(BgL_cdrzd242512zd2_7118)))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd242491zd2_7114))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg5718z00_7126;
																																																																													BgL_arg5718z00_7126
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd242498zd2_7115));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_24611;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_24615;
																																																																															obj_t
																																																																																BgL_proc2z00_24614;
																																																																															obj_t
																																																																																BgL_proc1z00_24613;
																																																																															obj_t
																																																																																BgL_testz00_24612;
																																																																															BgL_testz00_24612
																																																																																=
																																																																																BgL_arg5718z00_7126;
																																																																															BgL_proc1z00_24613
																																																																																=
																																																																																BgL_carzd242511zd2_7117;
																																																																															BgL_proc2z00_24614
																																																																																=
																																																																																BgL_carzd242519zd2_7121;
																																																																															BgL_argsz00_24615
																																																																																=
																																																																																BgL_cdrzd242491zd2_7114;
																																																																															BgL_argsz00_1744
																																																																																=
																																																																																BgL_argsz00_24615;
																																																																															BgL_proc2z00_1743
																																																																																=
																																																																																BgL_proc2z00_24614;
																																																																															BgL_proc1z00_1742
																																																																																=
																																																																																BgL_proc1z00_24613;
																																																																															BgL_testz00_1741
																																																																																=
																																																																																BgL_testz00_24612;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1745;
																																																																														}
																																																																														BgL_auxz00_21990
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_24611);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24619;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24619);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24623;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24623);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_24627;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_24627);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_24631;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_24631);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_24635;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_24635);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1769;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_24639;
																																																															goto
																																																																BgL_tagzd2404zd2_1770;
																																																															BgL_auxz00_21990
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_24639);
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_cdrzd242912zd2_7140;
																																																BgL_cdrzd242912zd2_7140
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	bool_t
																																																		BgL_testz00_24643;
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg5746z00_7157;
																																																		BgL_arg5746z00_7157
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_testz00_24643
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg5746z00_7157));
																																																	}
																																																	if (BgL_testz00_24643)
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg5734z00_7143;
																																																			obj_t
																																																				BgL_arg5735z00_7144;
																																																			BgL_arg5734z00_7143
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd242912zd2_7140));
																																																			BgL_arg5735z00_7144
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd242912zd2_7140));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_24652;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_24654;
																																																					obj_t
																																																						BgL_bindingsz00_24653;
																																																					BgL_bindingsz00_24653
																																																						=
																																																						BgL_arg5734z00_7143;
																																																					BgL_exprz00_24654
																																																						=
																																																						BgL_arg5735z00_7144;
																																																					BgL_exprz00_1724
																																																						=
																																																						BgL_exprz00_24654;
																																																					BgL_bindingsz00_1723
																																																						=
																																																						BgL_bindingsz00_24653;
																																																					goto
																																																						BgL_tagzd2382zd2_1725;
																																																				}
																																																				BgL_auxz00_21990
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_24652);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			bool_t
																																																				BgL_testz00_24656;
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg5745z00_7156;
																																																				BgL_arg5745z00_7156
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_testz00_24656
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg5745z00_7156));
																																																			}
																																																			if (BgL_testz00_24656)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_24661;
																																																					goto
																																																						BgL_tagzd2384zd2_1727;
																																																					BgL_auxz00_21990
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_24661);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_carzd242978zd2_7147;
																																																					BgL_carzd242978zd2_7147
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd242983zd2_7148;
																																																						BgL_cdrzd242983zd2_7148
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd242978zd2_7147));
																																																						if ((CAR(((obj_t) BgL_carzd242978zd2_7147)) == CNST_TABLE_REF(((long) 3))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg5740z00_7151;
																																																								obj_t
																																																									BgL_arg5741z00_7152;
																																																								obj_t
																																																									BgL_arg5742z00_7153;
																																																								BgL_arg5740z00_7151
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_cdrzd242983zd2_7148));
																																																								BgL_arg5741z00_7152
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd242983zd2_7148));
																																																								BgL_arg5742z00_7153
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_24678;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_24681;
																																																										obj_t
																																																											BgL_bodyz00_24680;
																																																										obj_t
																																																											BgL_varsz00_24679;
																																																										BgL_varsz00_24679
																																																											=
																																																											BgL_arg5740z00_7151;
																																																										BgL_bodyz00_24680
																																																											=
																																																											BgL_arg5741z00_7152;
																																																										BgL_argsz00_24681
																																																											=
																																																											BgL_arg5742z00_7153;
																																																										BgL_argsz00_1734
																																																											=
																																																											BgL_argsz00_24681;
																																																										BgL_bodyz00_1733
																																																											=
																																																											BgL_bodyz00_24680;
																																																										BgL_varsz00_1732
																																																											=
																																																											BgL_varsz00_24679;
																																																										goto
																																																											BgL_tagzd2386zd2_1735;
																																																									}
																																																									BgL_auxz00_21990
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_24678);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_tagzd2403zd2_1769;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_24685;
																																																										goto
																																																											BgL_tagzd2404zd2_1770;
																																																										BgL_auxz00_21990
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_24685);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_cdrzd243094zd2_7158;
																																														BgL_cdrzd243094zd2_7158
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 118 */
																																															bool_t
																																																BgL_testz00_24689;
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_arg5755z00_7167;
																																																BgL_arg5755z00_7167
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_testz00_24689
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg5755z00_7167));
																																															}
																																															if (BgL_testz00_24689)
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg5749z00_7161;
																																																	obj_t
																																																		BgL_arg5750z00_7162;
																																																	BgL_arg5749z00_7161
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd243094zd2_7158));
																																																	BgL_arg5750z00_7162
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd243094zd2_7158));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_24698;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_24700;
																																																			obj_t
																																																				BgL_bindingsz00_24699;
																																																			BgL_bindingsz00_24699
																																																				=
																																																				BgL_arg5749z00_7161;
																																																			BgL_exprz00_24700
																																																				=
																																																				BgL_arg5750z00_7162;
																																																			BgL_exprz00_1724
																																																				=
																																																				BgL_exprz00_24700;
																																																			BgL_bindingsz00_1723
																																																				=
																																																				BgL_bindingsz00_24699;
																																																			goto
																																																				BgL_tagzd2382zd2_1725;
																																																		}
																																																		BgL_auxz00_21990
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_24698);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	bool_t
																																																		BgL_testz00_24702;
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg5754z00_7166;
																																																		BgL_arg5754z00_7166
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_testz00_24702
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg5754z00_7166));
																																																	}
																																																	if (BgL_testz00_24702)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_24707;
																																																			goto
																																																				BgL_tagzd2384zd2_1727;
																																																			BgL_auxz00_21990
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_24707);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 118 */
																																																					goto
																																																						BgL_tagzd2403zd2_1769;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_24711;
																																																					goto
																																																						BgL_tagzd2404zd2_1770;
																																																					BgL_auxz00_21990
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_24711);
																																																				}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd241659zd2_6894)))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_kapzd241661zd2_6896;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if ((BgL_carzd241659zd2_6894 == CNST_TABLE_REF(((long) 18))))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd241661zd2_6896;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if ((BgL_carzd241659zd2_6894 == CNST_TABLE_REF(((long) 19))))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd241661zd2_6896;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd241659zd2_6894)))
																																																			{	/* Ast/sexp.scm 118 */
																																																				goto
																																																					BgL_kapzd241661zd2_6896;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd243266zd2_6902;
																																																				BgL_cdrzd243266zd2_6902
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_24727;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg5655z00_7019;
																																																						BgL_arg5655z00_7019
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_24727
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg5655z00_7019));
																																																					}
																																																					if (BgL_testz00_24727)
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg5583z00_6905;
																																																							obj_t
																																																								BgL_arg5584z00_6906;
																																																							BgL_arg5583z00_6905
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd243266zd2_6902));
																																																							BgL_arg5584z00_6906
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd243266zd2_6902));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_24736;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_24738;
																																																									obj_t
																																																										BgL_bindingsz00_24737;
																																																									BgL_bindingsz00_24737
																																																										=
																																																										BgL_arg5583z00_6905;
																																																									BgL_exprz00_24738
																																																										=
																																																										BgL_arg5584z00_6906;
																																																									BgL_exprz00_1724
																																																										=
																																																										BgL_exprz00_24738;
																																																									BgL_bindingsz00_1723
																																																										=
																																																										BgL_bindingsz00_24737;
																																																									goto
																																																										BgL_tagzd2382zd2_1725;
																																																								}
																																																								BgL_auxz00_21990
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_24736);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							bool_t
																																																								BgL_testz00_24740;
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg5654z00_7018;
																																																								BgL_arg5654z00_7018
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_testz00_24740
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg5654z00_7018));
																																																							}
																																																							if (BgL_testz00_24740)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_24745;
																																																									goto
																																																										BgL_tagzd2384zd2_1727;
																																																									BgL_auxz00_21990
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_24745);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd243332zd2_6909;
																																																									BgL_carzd243332zd2_6909
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd243337zd2_6910;
																																																										BgL_cdrzd243337zd2_6910
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd243332zd2_6909));
																																																										if ((CAR(((obj_t) BgL_carzd243332zd2_6909)) == CNST_TABLE_REF(((long) 3))))
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (PAIRP(BgL_cdrzd243337zd2_6910))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg5590z00_6914;
																																																														obj_t
																																																															BgL_arg5591z00_6915;
																																																														obj_t
																																																															BgL_arg5592z00_6916;
																																																														BgL_arg5590z00_6914
																																																															=
																																																															CAR
																																																															(BgL_cdrzd243337zd2_6910);
																																																														BgL_arg5591z00_6915
																																																															=
																																																															CDR
																																																															(BgL_cdrzd243337zd2_6910);
																																																														BgL_arg5592z00_6916
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_24762;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_24765;
																																																																obj_t
																																																																	BgL_bodyz00_24764;
																																																																obj_t
																																																																	BgL_varsz00_24763;
																																																																BgL_varsz00_24763
																																																																	=
																																																																	BgL_arg5590z00_6914;
																																																																BgL_bodyz00_24764
																																																																	=
																																																																	BgL_arg5591z00_6915;
																																																																BgL_argsz00_24765
																																																																	=
																																																																	BgL_arg5592z00_6916;
																																																																BgL_argsz00_1734
																																																																	=
																																																																	BgL_argsz00_24765;
																																																																BgL_bodyz00_1733
																																																																	=
																																																																	BgL_bodyz00_24764;
																																																																BgL_varsz00_1732
																																																																	=
																																																																	BgL_varsz00_24763;
																																																																goto
																																																																	BgL_tagzd2386zd2_1735;
																																																															}
																																																															BgL_auxz00_21990
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_24762);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1769;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_24769;
																																																																goto
																																																																	BgL_tagzd2404zd2_1770;
																																																																BgL_auxz00_21990
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_24769);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd243444zd2_6919;
																																																												BgL_cdrzd243444zd2_6919
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd243449zd2_6920;
																																																													BgL_cdrzd243449zd2_6920
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd243332zd2_6909));
																																																													if ((CAR(((obj_t) BgL_carzd243332zd2_6909)) == CNST_TABLE_REF(((long) 1))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (PAIRP(BgL_cdrzd243449zd2_6920))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd243454zd2_6924;
																																																																	BgL_cdrzd243454zd2_6924
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd243449zd2_6920);
																																																																	if (PAIRP(BgL_cdrzd243454zd2_6924))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd243458zd2_6926;
																																																																			obj_t
																																																																				BgL_cdrzd243459zd2_6927;
																																																																			BgL_carzd243458zd2_6926
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd243454zd2_6924);
																																																																			BgL_cdrzd243459zd2_6927
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd243454zd2_6924);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243458zd2_6926))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd243459zd2_6927))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd243464zd2_6930;
																																																																							BgL_carzd243464zd2_6930
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd243459zd2_6927);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243464zd2_6930))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(BgL_cdrzd243459zd2_6927)))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_24797;
																																																																											{
																																																																												obj_t
																																																																													BgL_l1438z00_6963;
																																																																												BgL_l1438z00_6963
																																																																													=
																																																																													BgL_cdrzd243444zd2_6919;
																																																																											BgL_zc3anonymousza35618ze3z83_6964:
																																																																												if (NULLP(BgL_l1438z00_6963))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_24797
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														bool_t
																																																																															BgL_testz00_24800;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															bool_t
																																																																																BgL_testz00_24801;
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_tmpz00_24802;
																																																																																BgL_tmpz00_24802
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_l1438z00_6963));
																																																																																BgL_testz00_24801
																																																																																	=
																																																																																	PAIRP
																																																																																	(BgL_tmpz00_24802);
																																																																															}
																																																																															if (BgL_testz00_24801)
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	BgL_testz00_24800
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	BgL_testz00_24800
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																														}
																																																																														if (BgL_testz00_24800)
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1438z00_24806;
																																																																																BgL_l1438z00_24806
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_l1438z00_6963));
																																																																																BgL_l1438z00_6963
																																																																																	=
																																																																																	BgL_l1438z00_24806;
																																																																																goto
																																																																																	BgL_zc3anonymousza35618ze3z83_6964;
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																BgL_testz00_24797
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																													}
																																																																											}
																																																																											if (BgL_testz00_24797)
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg5608z00_6946;
																																																																													BgL_arg5608z00_6946
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd243449zd2_6920);
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_24810;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_24814;
																																																																															obj_t
																																																																																BgL_proc2z00_24813;
																																																																															obj_t
																																																																																BgL_proc1z00_24812;
																																																																															obj_t
																																																																																BgL_testz00_24811;
																																																																															BgL_testz00_24811
																																																																																=
																																																																																BgL_arg5608z00_6946;
																																																																															BgL_proc1z00_24812
																																																																																=
																																																																																BgL_carzd243458zd2_6926;
																																																																															BgL_proc2z00_24813
																																																																																=
																																																																																BgL_carzd243464zd2_6930;
																																																																															BgL_argsz00_24814
																																																																																=
																																																																																BgL_cdrzd243444zd2_6919;
																																																																															BgL_argsz00_1739
																																																																																=
																																																																																BgL_argsz00_24814;
																																																																															BgL_proc2z00_1738
																																																																																=
																																																																																BgL_proc2z00_24813;
																																																																															BgL_proc1z00_1737
																																																																																=
																																																																																BgL_proc1z00_24812;
																																																																															BgL_testz00_1736
																																																																																=
																																																																																BgL_testz00_24811;
																																																																															goto
																																																																																BgL_tagzd2387zd2_1740;
																																																																														}
																																																																														BgL_auxz00_21990
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_24810);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd243489zd2_6947;
																																																																													BgL_cdrzd243489zd2_6947
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_cdrzd243497zd2_6948;
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_pairz00_12426;
																																																																															BgL_pairz00_12426
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd243497zd2_6948
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_12426);
																																																																														}
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_cdrzd243505zd2_6949;
																																																																															BgL_cdrzd243505zd2_6949
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd243497zd2_6948));
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_carzd243512zd2_6950;
																																																																																BgL_carzd243512zd2_6950
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd243505zd2_6949));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243512zd2_6950))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_carzd243521zd2_6952;
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			obj_t
																																																																																				BgL_pairz00_12430;
																																																																																			BgL_pairz00_12430
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd243505zd2_6949));
																																																																																			BgL_carzd243521zd2_6952
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_pairz00_12430);
																																																																																		}
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243521zd2_6952))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd243489zd2_6947))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						obj_t
																																																																																							BgL_arg5612z00_6955;
																																																																																						BgL_arg5612z00_6955
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd243497zd2_6948));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_24836;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_24840;
																																																																																								obj_t
																																																																																									BgL_proc2z00_24839;
																																																																																								obj_t
																																																																																									BgL_proc1z00_24838;
																																																																																								obj_t
																																																																																									BgL_testz00_24837;
																																																																																								BgL_testz00_24837
																																																																																									=
																																																																																									BgL_arg5612z00_6955;
																																																																																								BgL_proc1z00_24838
																																																																																									=
																																																																																									BgL_carzd243512zd2_6950;
																																																																																								BgL_proc2z00_24839
																																																																																									=
																																																																																									BgL_carzd243521zd2_6952;
																																																																																								BgL_argsz00_24840
																																																																																									=
																																																																																									BgL_cdrzd243489zd2_6947;
																																																																																								BgL_argsz00_1744
																																																																																									=
																																																																																									BgL_argsz00_24840;
																																																																																								BgL_proc2z00_1743
																																																																																									=
																																																																																									BgL_proc2z00_24839;
																																																																																								BgL_proc1z00_1742
																																																																																									=
																																																																																									BgL_proc1z00_24838;
																																																																																								BgL_testz00_1741
																																																																																									=
																																																																																									BgL_testz00_24837;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1745;
																																																																																							}
																																																																																							BgL_auxz00_21990
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_24836);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 118 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1769;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_24844;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1770;
																																																																																								BgL_auxz00_21990
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_24844);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_24848;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_21990
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_24848);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_24852;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_21990
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_24852);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24856;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24856);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd243799zd2_6974;
																																																																									BgL_cdrzd243799zd2_6974
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd243806zd2_6975;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_12434;
																																																																											BgL_pairz00_12434
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd243806zd2_6975
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_12434);
																																																																										}
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd243813zd2_6976;
																																																																											BgL_cdrzd243813zd2_6976
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd243806zd2_6975));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd243819zd2_6977;
																																																																												obj_t
																																																																													BgL_cdrzd243820zd2_6978;
																																																																												BgL_carzd243819zd2_6977
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd243813zd2_6976));
																																																																												BgL_cdrzd243820zd2_6978
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd243813zd2_6976));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243819zd2_6977))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd243827zd2_6980;
																																																																														BgL_carzd243827zd2_6980
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd243820zd2_6978));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243827zd2_6980))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (NULLP(CDR(((obj_t) BgL_cdrzd243820zd2_6978))))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd243799zd2_6974))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_arg5627z00_6985;
																																																																																				BgL_arg5627z00_6985
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd243806zd2_6975));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_24883;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_24887;
																																																																																						obj_t
																																																																																							BgL_proc2z00_24886;
																																																																																						obj_t
																																																																																							BgL_proc1z00_24885;
																																																																																						obj_t
																																																																																							BgL_testz00_24884;
																																																																																						BgL_testz00_24884
																																																																																							=
																																																																																							BgL_arg5627z00_6985;
																																																																																						BgL_proc1z00_24885
																																																																																							=
																																																																																							BgL_carzd243819zd2_6977;
																																																																																						BgL_proc2z00_24886
																																																																																							=
																																																																																							BgL_carzd243827zd2_6980;
																																																																																						BgL_argsz00_24887
																																																																																							=
																																																																																							BgL_cdrzd243799zd2_6974;
																																																																																						BgL_argsz00_1744
																																																																																							=
																																																																																							BgL_argsz00_24887;
																																																																																						BgL_proc2z00_1743
																																																																																							=
																																																																																							BgL_proc2z00_24886;
																																																																																						BgL_proc1z00_1742
																																																																																							=
																																																																																							BgL_proc1z00_24885;
																																																																																						BgL_testz00_1741
																																																																																							=
																																																																																							BgL_testz00_24884;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1745;
																																																																																					}
																																																																																					BgL_auxz00_21990
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_24883);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_24891;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_21990
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_24891);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_24895;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_21990
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_24895);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_24899;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																		BgL_auxz00_21990
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_24899);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1769;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_24903;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1770;
																																																																																BgL_auxz00_21990
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_24903);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_24907;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_24907);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd244160zd2_6993;
																																																																					BgL_cdrzd244160zd2_6993
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd244166zd2_6994;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_12444;
																																																																							BgL_pairz00_12444
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd244166zd2_6994
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_12444);
																																																																						}
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd244172zd2_6995;
																																																																							BgL_cdrzd244172zd2_6995
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd244166zd2_6994));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd244177zd2_6996;
																																																																								obj_t
																																																																									BgL_cdrzd244178zd2_6997;
																																																																								BgL_carzd244177zd2_6996
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd244172zd2_6995));
																																																																								BgL_cdrzd244178zd2_6997
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd244172zd2_6995));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244177zd2_6996))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (PAIRP(BgL_cdrzd244178zd2_6997))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd244183zd2_7000;
																																																																												BgL_carzd244183zd2_7000
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd244178zd2_6997);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244183zd2_7000))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (NULLP(CDR(BgL_cdrzd244178zd2_6997)))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd244160zd2_6993))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg5641z00_7005;
																																																																																		BgL_arg5641z00_7005
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd244166zd2_6994));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_24934;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_24938;
																																																																																				obj_t
																																																																																					BgL_proc2z00_24937;
																																																																																				obj_t
																																																																																					BgL_proc1z00_24936;
																																																																																				obj_t
																																																																																					BgL_testz00_24935;
																																																																																				BgL_testz00_24935
																																																																																					=
																																																																																					BgL_arg5641z00_7005;
																																																																																				BgL_proc1z00_24936
																																																																																					=
																																																																																					BgL_carzd244177zd2_6996;
																																																																																				BgL_proc2z00_24937
																																																																																					=
																																																																																					BgL_carzd244183zd2_7000;
																																																																																				BgL_argsz00_24938
																																																																																					=
																																																																																					BgL_cdrzd244160zd2_6993;
																																																																																				BgL_argsz00_1744
																																																																																					=
																																																																																					BgL_argsz00_24938;
																																																																																				BgL_proc2z00_1743
																																																																																					=
																																																																																					BgL_proc2z00_24937;
																																																																																				BgL_proc1z00_1742
																																																																																					=
																																																																																					BgL_proc1z00_24936;
																																																																																				BgL_testz00_1741
																																																																																					=
																																																																																					BgL_testz00_24935;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1745;
																																																																																			}
																																																																																			BgL_auxz00_21990
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_24934);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_24942;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_21990
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_24942);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_24946;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																		BgL_auxz00_21990
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_24946);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1769;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_24950;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1770;
																																																																																BgL_auxz00_21990
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_24950);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_24954;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																														BgL_auxz00_21990
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_24954);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_24958;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																												BgL_auxz00_21990
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_24958);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1769;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_24962;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1770;
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_24962);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1769;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_24966;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1770;
																																																																			BgL_auxz00_21990
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_24966);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1769;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_24970;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1770;
																																																																	BgL_auxz00_21990
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_24970);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((BgL_carzd241656zd2_6892 == CNST_TABLE_REF(((long) 17))))
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg5757z00_7171;
																																											obj_t
																																												BgL_arg5758z00_7172;
																																											BgL_arg5757z00_7171
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd241555zd2_6876));
																																											BgL_arg5758z00_7172
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd241555zd2_6876));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_24979;
																																												{
																																													obj_t
																																														BgL_exprz00_24981;
																																													obj_t
																																														BgL_bindingsz00_24980;
																																													BgL_bindingsz00_24980
																																														=
																																														BgL_arg5757z00_7171;
																																													BgL_exprz00_24981
																																														=
																																														BgL_arg5758z00_7172;
																																													BgL_exprz00_1724
																																														=
																																														BgL_exprz00_24981;
																																													BgL_bindingsz00_1723
																																														=
																																														BgL_bindingsz00_24980;
																																													goto
																																														BgL_tagzd2382zd2_1725;
																																												}
																																												BgL_auxz00_21990
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_24979);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd241656zd2_6892)))
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg5760z00_7174;
																																													obj_t
																																														BgL_arg5761z00_7175;
																																													BgL_arg5760z00_7174
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd241555zd2_6876));
																																													BgL_arg5761z00_7175
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd241555zd2_6876));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_24990;
																																														{
																																															obj_t
																																																BgL_exprz00_24992;
																																															obj_t
																																																BgL_bindingsz00_24991;
																																															BgL_bindingsz00_24991
																																																=
																																																BgL_arg5760z00_7174;
																																															BgL_exprz00_24992
																																																=
																																																BgL_arg5761z00_7175;
																																															BgL_exprz00_1724
																																																=
																																																BgL_exprz00_24992;
																																															BgL_bindingsz00_1723
																																																=
																																																BgL_bindingsz00_24991;
																																															goto
																																																BgL_tagzd2382zd2_1725;
																																														}
																																														BgL_auxz00_21990
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_24990);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((BgL_carzd241656zd2_6892 == CNST_TABLE_REF(((long) 18))))
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg5763z00_7177;
																																															obj_t
																																																BgL_arg5764z00_7178;
																																															BgL_arg5763z00_7177
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd241555zd2_6876));
																																															BgL_arg5764z00_7178
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd241555zd2_6876));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_25001;
																																																{
																																																	obj_t
																																																		BgL_exprz00_25003;
																																																	obj_t
																																																		BgL_bindingsz00_25002;
																																																	BgL_bindingsz00_25002
																																																		=
																																																		BgL_arg5763z00_7177;
																																																	BgL_exprz00_25003
																																																		=
																																																		BgL_arg5764z00_7178;
																																																	BgL_exprz00_1724
																																																		=
																																																		BgL_exprz00_25003;
																																																	BgL_bindingsz00_1723
																																																		=
																																																		BgL_bindingsz00_25002;
																																																	goto
																																																		BgL_tagzd2382zd2_1725;
																																																}
																																																BgL_auxz00_21990
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_25001);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_25010;
																																																	goto
																																																		BgL_tagzd2383zd2_1726;
																																																	BgL_auxz00_21990
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_25010);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_carzd244758zd2_7181;
																																																	BgL_carzd244758zd2_7181
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	if ((BgL_carzd244758zd2_7181 == CNST_TABLE_REF(((long) 19))))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_25017;
																																																			goto
																																																				BgL_tagzd2384zd2_1727;
																																																			BgL_auxz00_21990
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_25017);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd244758zd2_7181)))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_25022;
																																																					goto
																																																						BgL_tagzd2384zd2_1727;
																																																					BgL_auxz00_21990
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_25022);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_25029;
																																																							goto
																																																								BgL_tagzd2389zd2_1746;
																																																							BgL_auxz00_21990
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_25029);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_25036;
																																																									goto
																																																										BgL_tagzd2390zd2_1747;
																																																									BgL_auxz00_21990
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_25036);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd244838zd2_7188;
																																																									BgL_cdrzd244838zd2_7188
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_arg5775z00_7191;
																																																											obj_t
																																																												BgL_arg5776z00_7192;
																																																											BgL_arg5775z00_7191
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd244838zd2_7188));
																																																											BgL_arg5776z00_7192
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd244838zd2_7188));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_25049;
																																																												{
																																																													obj_t
																																																														BgL_restz00_25051;
																																																													obj_t
																																																														BgL_effectz00_25050;
																																																													BgL_effectz00_25050
																																																														=
																																																														BgL_arg5775z00_7191;
																																																													BgL_restz00_25051
																																																														=
																																																														BgL_arg5776z00_7192;
																																																													BgL_restz00_1749
																																																														=
																																																														BgL_restz00_25051;
																																																													BgL_effectz00_1748
																																																														=
																																																														BgL_effectz00_25050;
																																																													goto
																																																														BgL_tagzd2391zd2_1750;
																																																												}
																																																												BgL_auxz00_21990
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_25049);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_25058;
																																																													goto
																																																														BgL_tagzd2392zd2_1751;
																																																													BgL_auxz00_21990
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_25058);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_25065;
																																																															goto
																																																																BgL_tagzd2393zd2_1752;
																																																															BgL_auxz00_21990
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_25065);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg5783z00_7200;
																																																																	obj_t
																																																																		BgL_arg5784z00_7201;
																																																																	BgL_arg5783z00_7200
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd244838zd2_7188));
																																																																	BgL_arg5784z00_7201
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd244838zd2_7188));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_25076;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_25078;
																																																																			obj_t
																																																																				BgL_effectz00_25077;
																																																																			BgL_effectz00_25077
																																																																				=
																																																																				BgL_arg5783z00_7200;
																																																																			BgL_restz00_25078
																																																																				=
																																																																				BgL_arg5784z00_7201;
																																																																			BgL_restz00_1754
																																																																				=
																																																																				BgL_restz00_25078;
																																																																			BgL_effectz00_1753
																																																																				=
																																																																				BgL_effectz00_25077;
																																																																			goto
																																																																				BgL_tagzd2394zd2_1755;
																																																																		}
																																																																		BgL_auxz00_21990
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_25076);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_25085;
																																																																			goto
																																																																				BgL_tagzd2395zd2_1756;
																																																																			BgL_auxz00_21990
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_25085);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_25092;
																																																																					goto
																																																																						BgL_tagzd2396zd2_1757;
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_25092);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																						{
																																																																							BgL_letzd2funzd2_bglt
																																																																								BgL_auxz00_25099;
																																																																							goto
																																																																								BgL_tagzd2397zd2_1758;
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_25099);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																								{
																																																																									BgL_jumpzd2exzd2itz00_bglt
																																																																										BgL_auxz00_25106;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1759;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_25106);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											bool_t
																																																																												BgL_testz00_25113;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_tmpz00_25114;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_12482;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_12481;
																																																																														BgL_pairz00_12481
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_pairz00_12482
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_12481);
																																																																													}
																																																																													BgL_tmpz00_25114
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_12482);
																																																																												}
																																																																												BgL_testz00_25113
																																																																													=
																																																																													NULLP
																																																																													(BgL_tmpz00_25114);
																																																																											}
																																																																											if (BgL_testz00_25113)
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_25120;
																																																																													goto
																																																																														BgL_tagzd2399zd2_1760;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_25120);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_25124;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_25124);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd244931zd2_7220;
																																																																											BgL_cdrzd244931zd2_7220
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg5805z00_7223;
																																																																													obj_t
																																																																														BgL_arg5806z00_7224;
																																																																													BgL_arg5805z00_7223
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd244931zd2_7220));
																																																																													BgL_arg5806z00_7224
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd244931zd2_7220));
																																																																													{	/* Ast/sexp.scm 561 */
																																																																														obj_t
																																																																															BgL_arg6983z00_12488;
																																																																														BgL_arg6983z00_12488
																																																																															=
																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																															(BgL_expz00_21,
																																																																															BgL_locz00_23);
																																																																														BgL_auxz00_21990
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																															(BgL_expz00_21,
																																																																																BgL_arg5805z00_7223,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg5806z00_7224, BgL_stackz00_22, BgL_arg6983z00_12488, BgL_sitez00_24));
																																																																												}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_25143;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_25143);
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 118 */
																													obj_t
																														BgL_carzd244956zd2_7241;
																													BgL_carzd244956zd2_7241
																														=
																														CAR(((obj_t)
																															BgL_expz00_21));
																													if (
																														(BgL_carzd244956zd2_7241
																															==
																															CNST_TABLE_REF((
																																	(long) 1))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_25150;
																															goto
																																BgL_tagzd2377zd2_1714;
																															BgL_auxz00_21990 =
																																((obj_t)
																																BgL_auxz00_25150);
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															if (
																																(BgL_carzd244956zd2_7241
																																	==
																																	BGl_za2ifza2z00zzast_sexpz00))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_25154;
																																	goto
																																		BgL_tagzd2377zd2_1714;
																																	BgL_auxz00_21990
																																		=
																																		((obj_t)
																																		BgL_auxz00_25154);
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	obj_t
																																		BgL_cdrzd244978zd2_7244;
																																	BgL_cdrzd244978zd2_7244
																																		=
																																		CDR(((obj_t)
																																			BgL_expz00_21));
																																	if ((CAR((
																																					(obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					7))))
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_carzd244981zd2_7247;
																																			obj_t
																																				BgL_cdrzd244982zd2_7248;
																																			BgL_carzd244981zd2_7247
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd244978zd2_7244));
																																			BgL_cdrzd244982zd2_7248
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_cdrzd244978zd2_7244));
																																			if (PAIRP
																																				(BgL_carzd244981zd2_7247))
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(CAR
																																							(BgL_carzd244981zd2_7247)
																																							==
																																							CNST_TABLE_REF
																																							(((long) 14))))
																																						{	/* Ast/sexp.scm 118 */
																																							if (NULLP(CDR(((obj_t) BgL_cdrzd244982zd2_7248))))
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_arg5832z00_7254;
																																									obj_t
																																										BgL_arg5833z00_7255;
																																									BgL_arg5832z00_7254
																																										=
																																										CDR
																																										(BgL_carzd244981zd2_7247);
																																									BgL_arg5833z00_7255
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd244982zd2_7248));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_25180;
																																										{
																																											obj_t
																																												BgL_valz00_25182;
																																											obj_t
																																												BgL_lz00_25181;
																																											BgL_lz00_25181
																																												=
																																												BgL_arg5832z00_7254;
																																											BgL_valz00_25182
																																												=
																																												BgL_arg5833z00_7255;
																																											BgL_valz00_1716
																																												=
																																												BgL_valz00_25182;
																																											BgL_lz00_1715
																																												=
																																												BgL_lz00_25181;
																																											goto
																																												BgL_tagzd2378zd2_1717;
																																										}
																																										BgL_auxz00_21990
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_25180);
																																									}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_25184;
																																									goto
																																										BgL_tagzd2379zd2_1718;
																																									BgL_auxz00_21990
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_25184);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_25186;
																																							goto
																																								BgL_tagzd2379zd2_1718;
																																							BgL_auxz00_21990
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_25186);
																																						}
																																				}
																																			else
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_25188;
																																					goto
																																						BgL_tagzd2379zd2_1718;
																																					BgL_auxz00_21990
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_25188);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			if (
																																				(CAR(
																																						((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 16))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_25195;
																																					goto
																																						BgL_tagzd2380zd2_1719;
																																					BgL_auxz00_21990
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_25195);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd245079zd2_7260;
																																					BgL_carzd245079zd2_7260
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (PAIRP(BgL_carzd245079zd2_7260))
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_carzd245082zd2_7262;
																																							obj_t
																																								BgL_cdrzd245083zd2_7263;
																																							BgL_carzd245082zd2_7262
																																								=
																																								CAR
																																								(BgL_carzd245079zd2_7260);
																																							BgL_cdrzd245083zd2_7263
																																								=
																																								CDR
																																								(BgL_carzd245079zd2_7260);
																																							{

																																								if ((BgL_carzd245082zd2_7262 == CNST_TABLE_REF(((long) 17))))
																																									{	/* Ast/sexp.scm 118 */
																																									BgL_kapzd245084zd2_7264:
																																										if (PAIRP(BgL_cdrzd245083zd2_7263))
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_cdrzd245087zd2_7389;
																																												BgL_cdrzd245087zd2_7389
																																													=
																																													CDR
																																													(BgL_cdrzd245083zd2_7263);
																																												if (PAIRP(BgL_cdrzd245087zd2_7389))
																																													{	/* Ast/sexp.scm 118 */
																																														if (NULLP(CDR(BgL_cdrzd245087zd2_7389)))
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_arg5923z00_7393;
																																																obj_t
																																																	BgL_arg5924z00_7394;
																																																BgL_arg5923z00_7393
																																																	=
																																																	CAR
																																																	(BgL_cdrzd245087zd2_7389);
																																																BgL_arg5924z00_7394
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_25217;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_25219;
																																																		obj_t
																																																			BgL_bodyz00_25218;
																																																		BgL_bodyz00_25218
																																																			=
																																																			BgL_arg5923z00_7393;
																																																		BgL_argsz00_25219
																																																			=
																																																			BgL_arg5924z00_7394;
																																																		BgL_argsz00_1721
																																																			=
																																																			BgL_argsz00_25219;
																																																		BgL_bodyz00_1720
																																																			=
																																																			BgL_bodyz00_25218;
																																																		goto
																																																			BgL_tagzd2381zd2_1722;
																																																	}
																																																	BgL_auxz00_21990
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_25217);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_cdrzd245111zd2_7395;
																																																BgL_cdrzd245111zd2_7395
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	bool_t
																																																		BgL_testz00_25223;
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg5993z00_7506;
																																																		BgL_arg5993z00_7506
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_testz00_25223
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg5993z00_7506));
																																																	}
																																																	if (BgL_testz00_25223)
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg5927z00_7398;
																																																			obj_t
																																																				BgL_arg5928z00_7399;
																																																			BgL_arg5927z00_7398
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd245111zd2_7395));
																																																			BgL_arg5928z00_7399
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd245111zd2_7395));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_25232;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_25234;
																																																					obj_t
																																																						BgL_bindingsz00_25233;
																																																					BgL_bindingsz00_25233
																																																						=
																																																						BgL_arg5927z00_7398;
																																																					BgL_exprz00_25234
																																																						=
																																																						BgL_arg5928z00_7399;
																																																					BgL_exprz00_1724
																																																						=
																																																						BgL_exprz00_25234;
																																																					BgL_bindingsz00_1723
																																																						=
																																																						BgL_bindingsz00_25233;
																																																					goto
																																																						BgL_tagzd2382zd2_1725;
																																																				}
																																																				BgL_auxz00_21990
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_25232);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			bool_t
																																																				BgL_testz00_25236;
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg5992z00_7505;
																																																				BgL_arg5992z00_7505
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_testz00_25236
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg5992z00_7505));
																																																			}
																																																			if (BgL_testz00_25236)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_25241;
																																																					goto
																																																						BgL_tagzd2384zd2_1727;
																																																					BgL_auxz00_21990
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_25241);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_carzd245178zd2_7402;
																																																					BgL_carzd245178zd2_7402
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd245183zd2_7403;
																																																						BgL_cdrzd245183zd2_7403
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd245178zd2_7402));
																																																						if ((CAR(((obj_t) BgL_carzd245178zd2_7402)) == CNST_TABLE_REF(((long) 3))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_arg5933z00_7406;
																																																								obj_t
																																																									BgL_arg5934z00_7407;
																																																								obj_t
																																																									BgL_arg5935z00_7408;
																																																								BgL_arg5933z00_7406
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_cdrzd245183zd2_7403));
																																																								BgL_arg5934z00_7407
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd245183zd2_7403));
																																																								BgL_arg5935z00_7408
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_25258;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_25261;
																																																										obj_t
																																																											BgL_bodyz00_25260;
																																																										obj_t
																																																											BgL_varsz00_25259;
																																																										BgL_varsz00_25259
																																																											=
																																																											BgL_arg5933z00_7406;
																																																										BgL_bodyz00_25260
																																																											=
																																																											BgL_arg5934z00_7407;
																																																										BgL_argsz00_25261
																																																											=
																																																											BgL_arg5935z00_7408;
																																																										BgL_argsz00_1734
																																																											=
																																																											BgL_argsz00_25261;
																																																										BgL_bodyz00_1733
																																																											=
																																																											BgL_bodyz00_25260;
																																																										BgL_varsz00_1732
																																																											=
																																																											BgL_varsz00_25259;
																																																										goto
																																																											BgL_tagzd2386zd2_1735;
																																																									}
																																																									BgL_auxz00_21990
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_25258);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd245206zd2_7410;
																																																								BgL_cdrzd245206zd2_7410
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd245212zd2_7411;
																																																									BgL_cdrzd245212zd2_7411
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd245178zd2_7402));
																																																									if ((CAR(((obj_t) BgL_carzd245178zd2_7402)) == CNST_TABLE_REF(((long) 1))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd245218zd2_7414;
																																																											BgL_cdrzd245218zd2_7414
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd245212zd2_7411));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_carzd245223zd2_7415;
																																																												obj_t
																																																													BgL_cdrzd245224zd2_7416;
																																																												BgL_carzd245223zd2_7415
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd245218zd2_7414));
																																																												BgL_cdrzd245224zd2_7416
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd245218zd2_7414));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245223zd2_7415))
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (PAIRP(BgL_cdrzd245224zd2_7416))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd245231zd2_7419;
																																																																BgL_carzd245231zd2_7419
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd245224zd2_7416);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245231zd2_7419))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (NULLP(CDR(BgL_cdrzd245224zd2_7416)))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				bool_t
																																																																					BgL_testz00_25288;
																																																																				{
																																																																					obj_t
																																																																						BgL_l1441z00_7452;
																																																																					BgL_l1441z00_7452
																																																																						=
																																																																						BgL_cdrzd245206zd2_7410;
																																																																				BgL_zc3anonymousza35958ze3z83_7453:
																																																																					if (NULLP(BgL_l1441z00_7452))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_25288
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							bool_t
																																																																								BgL_testz00_25291;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								bool_t
																																																																									BgL_testz00_25292;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_tmpz00_25293;
																																																																									BgL_tmpz00_25293
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_l1441z00_7452));
																																																																									BgL_testz00_25292
																																																																										=
																																																																										PAIRP
																																																																										(BgL_tmpz00_25293);
																																																																								}
																																																																								if (BgL_testz00_25292)
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										BgL_testz00_25291
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										BgL_testz00_25291
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																							}
																																																																							if (BgL_testz00_25291)
																																																																								{
																																																																									obj_t
																																																																										BgL_l1441z00_25297;
																																																																									BgL_l1441z00_25297
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_l1441z00_7452));
																																																																									BgL_l1441z00_7452
																																																																										=
																																																																										BgL_l1441z00_25297;
																																																																									goto
																																																																										BgL_zc3anonymousza35958ze3z83_7453;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_25288
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																				if (BgL_testz00_25288)
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg5948z00_7435;
																																																																						BgL_arg5948z00_7435
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd245212zd2_7411));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_25302;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_25306;
																																																																								obj_t
																																																																									BgL_proc2z00_25305;
																																																																								obj_t
																																																																									BgL_proc1z00_25304;
																																																																								obj_t
																																																																									BgL_testz00_25303;
																																																																								BgL_testz00_25303
																																																																									=
																																																																									BgL_arg5948z00_7435;
																																																																								BgL_proc1z00_25304
																																																																									=
																																																																									BgL_carzd245223zd2_7415;
																																																																								BgL_proc2z00_25305
																																																																									=
																																																																									BgL_carzd245231zd2_7419;
																																																																								BgL_argsz00_25306
																																																																									=
																																																																									BgL_cdrzd245206zd2_7410;
																																																																								BgL_argsz00_1739
																																																																									=
																																																																									BgL_argsz00_25306;
																																																																								BgL_proc2z00_1738
																																																																									=
																																																																									BgL_proc2z00_25305;
																																																																								BgL_proc1z00_1737
																																																																									=
																																																																									BgL_proc1z00_25304;
																																																																								BgL_testz00_1736
																																																																									=
																																																																									BgL_testz00_25303;
																																																																								goto
																																																																									BgL_tagzd2387zd2_1740;
																																																																							}
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_25302);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd245255zd2_7436;
																																																																						BgL_cdrzd245255zd2_7436
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd245262zd2_7437;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_pairz00_12541;
																																																																								BgL_pairz00_12541
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd245262zd2_7437
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_12541);
																																																																							}
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd245269zd2_7438;
																																																																								BgL_cdrzd245269zd2_7438
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd245262zd2_7437));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd245275zd2_7439;
																																																																									BgL_carzd245275zd2_7439
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd245269zd2_7438));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245275zd2_7439))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd245282zd2_7441;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_12545;
																																																																												BgL_pairz00_12545
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd245269zd2_7438));
																																																																												BgL_carzd245282zd2_7441
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_12545);
																																																																											}
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245282zd2_7441))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd245255zd2_7436))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg5952z00_7444;
																																																																															BgL_arg5952z00_7444
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd245262zd2_7437));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_25328;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_25332;
																																																																																	obj_t
																																																																																		BgL_proc2z00_25331;
																																																																																	obj_t
																																																																																		BgL_proc1z00_25330;
																																																																																	obj_t
																																																																																		BgL_testz00_25329;
																																																																																	BgL_testz00_25329
																																																																																		=
																																																																																		BgL_arg5952z00_7444;
																																																																																	BgL_proc1z00_25330
																																																																																		=
																																																																																		BgL_carzd245275zd2_7439;
																																																																																	BgL_proc2z00_25331
																																																																																		=
																																																																																		BgL_carzd245282zd2_7441;
																																																																																	BgL_argsz00_25332
																																																																																		=
																																																																																		BgL_cdrzd245255zd2_7436;
																																																																																	BgL_argsz00_1744
																																																																																		=
																																																																																		BgL_argsz00_25332;
																																																																																	BgL_proc2z00_1743
																																																																																		=
																																																																																		BgL_proc2z00_25331;
																																																																																	BgL_proc1z00_1742
																																																																																		=
																																																																																		BgL_proc1z00_25330;
																																																																																	BgL_testz00_1741
																																																																																		=
																																																																																		BgL_testz00_25329;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1745;
																																																																																}
																																																																																BgL_auxz00_21990
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_25328);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_25336;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_25336);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_25340;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_25340);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_25344;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_25344);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_25348;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_21990
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_25348);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd245558zd2_7463;
																																																																		BgL_cdrzd245558zd2_7463
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd245564zd2_7464;
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_pairz00_12549;
																																																																				BgL_pairz00_12549
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd245564zd2_7464
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_12549);
																																																																			}
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd245570zd2_7465;
																																																																				BgL_cdrzd245570zd2_7465
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd245564zd2_7464));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd245575zd2_7466;
																																																																					obj_t
																																																																						BgL_cdrzd245576zd2_7467;
																																																																					BgL_carzd245575zd2_7466
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd245570zd2_7465));
																																																																					BgL_cdrzd245576zd2_7467
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd245570zd2_7465));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245575zd2_7466))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd245581zd2_7469;
																																																																							BgL_carzd245581zd2_7469
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd245576zd2_7467));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245581zd2_7469))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(((obj_t) BgL_cdrzd245576zd2_7467))))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd245558zd2_7463))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg5967z00_7474;
																																																																													BgL_arg5967z00_7474
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd245564zd2_7464));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_25375;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_25379;
																																																																															obj_t
																																																																																BgL_proc2z00_25378;
																																																																															obj_t
																																																																																BgL_proc1z00_25377;
																																																																															obj_t
																																																																																BgL_testz00_25376;
																																																																															BgL_testz00_25376
																																																																																=
																																																																																BgL_arg5967z00_7474;
																																																																															BgL_proc1z00_25377
																																																																																=
																																																																																BgL_carzd245575zd2_7466;
																																																																															BgL_proc2z00_25378
																																																																																=
																																																																																BgL_carzd245581zd2_7469;
																																																																															BgL_argsz00_25379
																																																																																=
																																																																																BgL_cdrzd245558zd2_7463;
																																																																															BgL_argsz00_1744
																																																																																=
																																																																																BgL_argsz00_25379;
																																																																															BgL_proc2z00_1743
																																																																																=
																																																																																BgL_proc2z00_25378;
																																																																															BgL_proc1z00_1742
																																																																																=
																																																																																BgL_proc1z00_25377;
																																																																															BgL_testz00_1741
																																																																																=
																																																																																BgL_testz00_25376;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1745;
																																																																														}
																																																																														BgL_auxz00_21990
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_25375);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_25383;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_25383);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_25387;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_25387);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_25391;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_25391);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_25395;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_25395);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1769;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_25399;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1770;
																																																																		BgL_auxz00_21990
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_25399);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd245914zd2_7482;
																																																														BgL_cdrzd245914zd2_7482
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd245921zd2_7483;
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_pairz00_12559;
																																																																BgL_pairz00_12559
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_cdrzd245921zd2_7483
																																																																	=
																																																																	CDR
																																																																	(BgL_pairz00_12559);
																																																															}
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd245928zd2_7484;
																																																																BgL_cdrzd245928zd2_7484
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd245921zd2_7483));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_carzd245934zd2_7485;
																																																																	obj_t
																																																																		BgL_cdrzd245935zd2_7486;
																																																																	BgL_carzd245934zd2_7485
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd245928zd2_7484));
																																																																	BgL_cdrzd245935zd2_7486
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd245928zd2_7484));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245934zd2_7485))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (PAIRP(BgL_cdrzd245935zd2_7486))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd245942zd2_7489;
																																																																					BgL_carzd245942zd2_7489
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd245935zd2_7486);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245942zd2_7489))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(BgL_cdrzd245935zd2_7486)))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd245914zd2_7482))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_arg5981z00_7494;
																																																																											BgL_arg5981z00_7494
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd245921zd2_7483));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_25426;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_25430;
																																																																													obj_t
																																																																														BgL_proc2z00_25429;
																																																																													obj_t
																																																																														BgL_proc1z00_25428;
																																																																													obj_t
																																																																														BgL_testz00_25427;
																																																																													BgL_testz00_25427
																																																																														=
																																																																														BgL_arg5981z00_7494;
																																																																													BgL_proc1z00_25428
																																																																														=
																																																																														BgL_carzd245934zd2_7485;
																																																																													BgL_proc2z00_25429
																																																																														=
																																																																														BgL_carzd245942zd2_7489;
																																																																													BgL_argsz00_25430
																																																																														=
																																																																														BgL_cdrzd245914zd2_7482;
																																																																													BgL_argsz00_1744
																																																																														=
																																																																														BgL_argsz00_25430;
																																																																													BgL_proc2z00_1743
																																																																														=
																																																																														BgL_proc2z00_25429;
																																																																													BgL_proc1z00_1742
																																																																														=
																																																																														BgL_proc1z00_25428;
																																																																													BgL_testz00_1741
																																																																														=
																																																																														BgL_testz00_25427;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1745;
																																																																												}
																																																																												BgL_auxz00_21990
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_25426);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_25434;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_25434);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_25438;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_25438);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_25442;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_25442);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_25446;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_25446);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1769;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_25450;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1770;
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_25450);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2403zd2_1769;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_25454;
																																																													goto
																																																														BgL_tagzd2404zd2_1770;
																																																													BgL_auxz00_21990
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_25454);
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_cdrzd246335zd2_7508;
																																														BgL_cdrzd246335zd2_7508
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 118 */
																																															bool_t
																																																BgL_testz00_25458;
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_arg6009z00_7525;
																																																BgL_arg6009z00_7525
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_testz00_25458
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg6009z00_7525));
																																															}
																																															if (BgL_testz00_25458)
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg5997z00_7511;
																																																	obj_t
																																																		BgL_arg5998z00_7512;
																																																	BgL_arg5997z00_7511
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd246335zd2_7508));
																																																	BgL_arg5998z00_7512
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd246335zd2_7508));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_25467;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_25469;
																																																			obj_t
																																																				BgL_bindingsz00_25468;
																																																			BgL_bindingsz00_25468
																																																				=
																																																				BgL_arg5997z00_7511;
																																																			BgL_exprz00_25469
																																																				=
																																																				BgL_arg5998z00_7512;
																																																			BgL_exprz00_1724
																																																				=
																																																				BgL_exprz00_25469;
																																																			BgL_bindingsz00_1723
																																																				=
																																																				BgL_bindingsz00_25468;
																																																			goto
																																																				BgL_tagzd2382zd2_1725;
																																																		}
																																																		BgL_auxz00_21990
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_25467);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	bool_t
																																																		BgL_testz00_25471;
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg6008z00_7524;
																																																		BgL_arg6008z00_7524
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_testz00_25471
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg6008z00_7524));
																																																	}
																																																	if (BgL_testz00_25471)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_25476;
																																																			goto
																																																				BgL_tagzd2384zd2_1727;
																																																			BgL_auxz00_21990
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_25476);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_carzd246401zd2_7515;
																																																			BgL_carzd246401zd2_7515
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd246406zd2_7516;
																																																				BgL_cdrzd246406zd2_7516
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd246401zd2_7515));
																																																				if ((CAR(((obj_t) BgL_carzd246401zd2_7515)) == CNST_TABLE_REF(((long) 3))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg6003z00_7519;
																																																						obj_t
																																																							BgL_arg6004z00_7520;
																																																						obj_t
																																																							BgL_arg6005z00_7521;
																																																						BgL_arg6003z00_7519
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd246406zd2_7516));
																																																						BgL_arg6004z00_7520
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd246406zd2_7516));
																																																						BgL_arg6005z00_7521
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_25493;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_25496;
																																																								obj_t
																																																									BgL_bodyz00_25495;
																																																								obj_t
																																																									BgL_varsz00_25494;
																																																								BgL_varsz00_25494
																																																									=
																																																									BgL_arg6003z00_7519;
																																																								BgL_bodyz00_25495
																																																									=
																																																									BgL_arg6004z00_7520;
																																																								BgL_argsz00_25496
																																																									=
																																																									BgL_arg6005z00_7521;
																																																								BgL_argsz00_1734
																																																									=
																																																									BgL_argsz00_25496;
																																																								BgL_bodyz00_1733
																																																									=
																																																									BgL_bodyz00_25495;
																																																								BgL_varsz00_1732
																																																									=
																																																									BgL_varsz00_25494;
																																																								goto
																																																									BgL_tagzd2386zd2_1735;
																																																							}
																																																							BgL_auxz00_21990
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_25493);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_tagzd2403zd2_1769;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_25500;
																																																								goto
																																																									BgL_tagzd2404zd2_1770;
																																																								BgL_auxz00_21990
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_25500);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_cdrzd246517zd2_7526;
																																												BgL_cdrzd246517zd2_7526
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{	/* Ast/sexp.scm 118 */
																																													bool_t
																																														BgL_testz00_25504;
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_arg6018z00_7535;
																																														BgL_arg6018z00_7535
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														BgL_testz00_25504
																																															=
																																															CBOOL
																																															(BGl_letzd2symzf3z21zzast_letz00
																																															(BgL_arg6018z00_7535));
																																													}
																																													if (BgL_testz00_25504)
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg6012z00_7529;
																																															obj_t
																																																BgL_arg6013z00_7530;
																																															BgL_arg6012z00_7529
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd246517zd2_7526));
																																															BgL_arg6013z00_7530
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd246517zd2_7526));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_25513;
																																																{
																																																	obj_t
																																																		BgL_exprz00_25515;
																																																	obj_t
																																																		BgL_bindingsz00_25514;
																																																	BgL_bindingsz00_25514
																																																		=
																																																		BgL_arg6012z00_7529;
																																																	BgL_exprz00_25515
																																																		=
																																																		BgL_arg6013z00_7530;
																																																	BgL_exprz00_1724
																																																		=
																																																		BgL_exprz00_25515;
																																																	BgL_bindingsz00_1723
																																																		=
																																																		BgL_bindingsz00_25514;
																																																	goto
																																																		BgL_tagzd2382zd2_1725;
																																																}
																																																BgL_auxz00_21990
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_25513);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															bool_t
																																																BgL_testz00_25517;
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_arg6017z00_7534;
																																																BgL_arg6017z00_7534
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_testz00_25517
																																																	=
																																																	CBOOL
																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																	(BgL_arg6017z00_7534));
																																															}
																																															if (BgL_testz00_25517)
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_25522;
																																																	goto
																																																		BgL_tagzd2384zd2_1727;
																																																	BgL_auxz00_21990
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_25522);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 118 */
																																																			goto
																																																				BgL_tagzd2403zd2_1769;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_25526;
																																																			goto
																																																				BgL_tagzd2404zd2_1770;
																																																			BgL_auxz00_21990
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_25526);
																																																		}
																																																}
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd245082zd2_7262)))
																																											{	/* Ast/sexp.scm 118 */
																																												goto
																																													BgL_kapzd245084zd2_7264;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if ((BgL_carzd245082zd2_7262 == CNST_TABLE_REF(((long) 18))))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_kapzd245084zd2_7264;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if ((BgL_carzd245082zd2_7262 == CNST_TABLE_REF(((long) 19))))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd245084zd2_7264;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd245082zd2_7262)))
																																																	{	/* Ast/sexp.scm 118 */
																																																		goto
																																																			BgL_kapzd245084zd2_7264;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd246689zd2_7270;
																																																		BgL_cdrzd246689zd2_7270
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			bool_t
																																																				BgL_testz00_25542;
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg5918z00_7387;
																																																				BgL_arg5918z00_7387
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_testz00_25542
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg5918z00_7387));
																																																			}
																																																			if (BgL_testz00_25542)
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg5846z00_7273;
																																																					obj_t
																																																						BgL_arg5847z00_7274;
																																																					BgL_arg5846z00_7273
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd246689zd2_7270));
																																																					BgL_arg5847z00_7274
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd246689zd2_7270));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_25551;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_25553;
																																																							obj_t
																																																								BgL_bindingsz00_25552;
																																																							BgL_bindingsz00_25552
																																																								=
																																																								BgL_arg5846z00_7273;
																																																							BgL_exprz00_25553
																																																								=
																																																								BgL_arg5847z00_7274;
																																																							BgL_exprz00_1724
																																																								=
																																																								BgL_exprz00_25553;
																																																							BgL_bindingsz00_1723
																																																								=
																																																								BgL_bindingsz00_25552;
																																																							goto
																																																								BgL_tagzd2382zd2_1725;
																																																						}
																																																						BgL_auxz00_21990
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_25551);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					bool_t
																																																						BgL_testz00_25555;
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg5917z00_7386;
																																																						BgL_arg5917z00_7386
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_testz00_25555
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg5917z00_7386));
																																																					}
																																																					if (BgL_testz00_25555)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_25560;
																																																							goto
																																																								BgL_tagzd2384zd2_1727;
																																																							BgL_auxz00_21990
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_25560);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd246755zd2_7277;
																																																							BgL_carzd246755zd2_7277
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd246760zd2_7278;
																																																								BgL_cdrzd246760zd2_7278
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd246755zd2_7277));
																																																								if ((CAR(((obj_t) BgL_carzd246755zd2_7277)) == CNST_TABLE_REF(((long) 3))))
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (PAIRP(BgL_cdrzd246760zd2_7278))
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg5853z00_7282;
																																																												obj_t
																																																													BgL_arg5854z00_7283;
																																																												obj_t
																																																													BgL_arg5855z00_7284;
																																																												BgL_arg5853z00_7282
																																																													=
																																																													CAR
																																																													(BgL_cdrzd246760zd2_7278);
																																																												BgL_arg5854z00_7283
																																																													=
																																																													CDR
																																																													(BgL_cdrzd246760zd2_7278);
																																																												BgL_arg5855z00_7284
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_25577;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_25580;
																																																														obj_t
																																																															BgL_bodyz00_25579;
																																																														obj_t
																																																															BgL_varsz00_25578;
																																																														BgL_varsz00_25578
																																																															=
																																																															BgL_arg5853z00_7282;
																																																														BgL_bodyz00_25579
																																																															=
																																																															BgL_arg5854z00_7283;
																																																														BgL_argsz00_25580
																																																															=
																																																															BgL_arg5855z00_7284;
																																																														BgL_argsz00_1734
																																																															=
																																																															BgL_argsz00_25580;
																																																														BgL_bodyz00_1733
																																																															=
																																																															BgL_bodyz00_25579;
																																																														BgL_varsz00_1732
																																																															=
																																																															BgL_varsz00_25578;
																																																														goto
																																																															BgL_tagzd2386zd2_1735;
																																																													}
																																																													BgL_auxz00_21990
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_25577);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1769;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_25584;
																																																														goto
																																																															BgL_tagzd2404zd2_1770;
																																																														BgL_auxz00_21990
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_25584);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd246867zd2_7287;
																																																										BgL_cdrzd246867zd2_7287
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd246872zd2_7288;
																																																											BgL_cdrzd246872zd2_7288
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd246755zd2_7277));
																																																											if ((CAR(((obj_t) BgL_carzd246755zd2_7277)) == CNST_TABLE_REF(((long) 1))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (PAIRP(BgL_cdrzd246872zd2_7288))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd246877zd2_7292;
																																																															BgL_cdrzd246877zd2_7292
																																																																=
																																																																CDR
																																																																(BgL_cdrzd246872zd2_7288);
																																																															if (PAIRP(BgL_cdrzd246877zd2_7292))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_carzd246881zd2_7294;
																																																																	obj_t
																																																																		BgL_cdrzd246882zd2_7295;
																																																																	BgL_carzd246881zd2_7294
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd246877zd2_7292);
																																																																	BgL_cdrzd246882zd2_7295
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd246877zd2_7292);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246881zd2_7294))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (PAIRP(BgL_cdrzd246882zd2_7295))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd246887zd2_7298;
																																																																					BgL_carzd246887zd2_7298
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd246882zd2_7295);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246887zd2_7298))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(BgL_cdrzd246882zd2_7295)))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									bool_t
																																																																										BgL_testz00_25612;
																																																																									{
																																																																										obj_t
																																																																											BgL_l1444z00_7331;
																																																																										BgL_l1444z00_7331
																																																																											=
																																																																											BgL_cdrzd246867zd2_7287;
																																																																									BgL_zc3anonymousza35881ze3z83_7332:
																																																																										if (NULLP(BgL_l1444z00_7331))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_25612
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												bool_t
																																																																													BgL_testz00_25615;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													bool_t
																																																																														BgL_testz00_25616;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_tmpz00_25617;
																																																																														BgL_tmpz00_25617
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_l1444z00_7331));
																																																																														BgL_testz00_25616
																																																																															=
																																																																															PAIRP
																																																																															(BgL_tmpz00_25617);
																																																																													}
																																																																													if (BgL_testz00_25616)
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															BgL_testz00_25615
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															BgL_testz00_25615
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																												}
																																																																												if (BgL_testz00_25615)
																																																																													{
																																																																														obj_t
																																																																															BgL_l1444z00_25621;
																																																																														BgL_l1444z00_25621
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_l1444z00_7331));
																																																																														BgL_l1444z00_7331
																																																																															=
																																																																															BgL_l1444z00_25621;
																																																																														goto
																																																																															BgL_zc3anonymousza35881ze3z83_7332;
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														BgL_testz00_25612
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																											}
																																																																									}
																																																																									if (BgL_testz00_25612)
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_arg5871z00_7314;
																																																																											BgL_arg5871z00_7314
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd246872zd2_7288);
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_25625;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_25629;
																																																																													obj_t
																																																																														BgL_proc2z00_25628;
																																																																													obj_t
																																																																														BgL_proc1z00_25627;
																																																																													obj_t
																																																																														BgL_testz00_25626;
																																																																													BgL_testz00_25626
																																																																														=
																																																																														BgL_arg5871z00_7314;
																																																																													BgL_proc1z00_25627
																																																																														=
																																																																														BgL_carzd246881zd2_7294;
																																																																													BgL_proc2z00_25628
																																																																														=
																																																																														BgL_carzd246887zd2_7298;
																																																																													BgL_argsz00_25629
																																																																														=
																																																																														BgL_cdrzd246867zd2_7287;
																																																																													BgL_argsz00_1739
																																																																														=
																																																																														BgL_argsz00_25629;
																																																																													BgL_proc2z00_1738
																																																																														=
																																																																														BgL_proc2z00_25628;
																																																																													BgL_proc1z00_1737
																																																																														=
																																																																														BgL_proc1z00_25627;
																																																																													BgL_testz00_1736
																																																																														=
																																																																														BgL_testz00_25626;
																																																																													goto
																																																																														BgL_tagzd2387zd2_1740;
																																																																												}
																																																																												BgL_auxz00_21990
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_25625);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd246912zd2_7315;
																																																																											BgL_cdrzd246912zd2_7315
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd246920zd2_7316;
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_pairz00_12616;
																																																																													BgL_pairz00_12616
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd246920zd2_7316
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_12616);
																																																																												}
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd246928zd2_7317;
																																																																													BgL_cdrzd246928zd2_7317
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd246920zd2_7316));
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_carzd246935zd2_7318;
																																																																														BgL_carzd246935zd2_7318
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd246928zd2_7317));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246935zd2_7318))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_carzd246944zd2_7320;
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_pairz00_12620;
																																																																																	BgL_pairz00_12620
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd246928zd2_7317));
																																																																																	BgL_carzd246944zd2_7320
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_pairz00_12620);
																																																																																}
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246944zd2_7320))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd246912zd2_7315))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				obj_t
																																																																																					BgL_arg5875z00_7323;
																																																																																				BgL_arg5875z00_7323
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd246920zd2_7316));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_25651;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_25655;
																																																																																						obj_t
																																																																																							BgL_proc2z00_25654;
																																																																																						obj_t
																																																																																							BgL_proc1z00_25653;
																																																																																						obj_t
																																																																																							BgL_testz00_25652;
																																																																																						BgL_testz00_25652
																																																																																							=
																																																																																							BgL_arg5875z00_7323;
																																																																																						BgL_proc1z00_25653
																																																																																							=
																																																																																							BgL_carzd246935zd2_7318;
																																																																																						BgL_proc2z00_25654
																																																																																							=
																																																																																							BgL_carzd246944zd2_7320;
																																																																																						BgL_argsz00_25655
																																																																																							=
																																																																																							BgL_cdrzd246912zd2_7315;
																																																																																						BgL_argsz00_1744
																																																																																							=
																																																																																							BgL_argsz00_25655;
																																																																																						BgL_proc2z00_1743
																																																																																							=
																																																																																							BgL_proc2z00_25654;
																																																																																						BgL_proc1z00_1742
																																																																																							=
																																																																																							BgL_proc1z00_25653;
																																																																																						BgL_testz00_1741
																																																																																							=
																																																																																							BgL_testz00_25652;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1745;
																																																																																					}
																																																																																					BgL_auxz00_21990
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_25651);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 118 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1769;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_25659;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1770;
																																																																																						BgL_auxz00_21990
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_25659);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_25663;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_21990
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_25663);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_25667;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																		BgL_auxz00_21990
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_25667);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_25671;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_25671);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd247222zd2_7342;
																																																																							BgL_cdrzd247222zd2_7342
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd247229zd2_7343;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_12624;
																																																																									BgL_pairz00_12624
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd247229zd2_7343
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_12624);
																																																																								}
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd247236zd2_7344;
																																																																									BgL_cdrzd247236zd2_7344
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd247229zd2_7343));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd247242zd2_7345;
																																																																										obj_t
																																																																											BgL_cdrzd247243zd2_7346;
																																																																										BgL_carzd247242zd2_7345
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd247236zd2_7344));
																																																																										BgL_cdrzd247243zd2_7346
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd247236zd2_7344));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247242zd2_7345))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_carzd247250zd2_7348;
																																																																												BgL_carzd247250zd2_7348
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd247243zd2_7346));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247250zd2_7348))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (NULLP(CDR(((obj_t) BgL_cdrzd247243zd2_7346))))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd247222zd2_7342))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		obj_t
																																																																																			BgL_arg5890z00_7353;
																																																																																		BgL_arg5890z00_7353
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd247229zd2_7343));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_25698;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_25702;
																																																																																				obj_t
																																																																																					BgL_proc2z00_25701;
																																																																																				obj_t
																																																																																					BgL_proc1z00_25700;
																																																																																				obj_t
																																																																																					BgL_testz00_25699;
																																																																																				BgL_testz00_25699
																																																																																					=
																																																																																					BgL_arg5890z00_7353;
																																																																																				BgL_proc1z00_25700
																																																																																					=
																																																																																					BgL_carzd247242zd2_7345;
																																																																																				BgL_proc2z00_25701
																																																																																					=
																																																																																					BgL_carzd247250zd2_7348;
																																																																																				BgL_argsz00_25702
																																																																																					=
																																																																																					BgL_cdrzd247222zd2_7342;
																																																																																				BgL_argsz00_1744
																																																																																					=
																																																																																					BgL_argsz00_25702;
																																																																																				BgL_proc2z00_1743
																																																																																					=
																																																																																					BgL_proc2z00_25701;
																																																																																				BgL_proc1z00_1742
																																																																																					=
																																																																																					BgL_proc1z00_25700;
																																																																																				BgL_testz00_1741
																																																																																					=
																																																																																					BgL_testz00_25699;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1745;
																																																																																			}
																																																																																			BgL_auxz00_21990
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_25698);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 118 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1769;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_25706;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1770;
																																																																																				BgL_auxz00_21990
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_25706);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_25710;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																		BgL_auxz00_21990
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_25710);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1769;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_25714;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1770;
																																																																																BgL_auxz00_21990
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_25714);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_25718;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																														BgL_auxz00_21990
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_25718);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_25722;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_25722);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd247583zd2_7361;
																																																																			BgL_cdrzd247583zd2_7361
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd247589zd2_7362;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_pairz00_12634;
																																																																					BgL_pairz00_12634
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd247589zd2_7362
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_12634);
																																																																				}
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd247595zd2_7363;
																																																																					BgL_cdrzd247595zd2_7363
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd247589zd2_7362));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd247600zd2_7364;
																																																																						obj_t
																																																																							BgL_cdrzd247601zd2_7365;
																																																																						BgL_carzd247600zd2_7364
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd247595zd2_7363));
																																																																						BgL_cdrzd247601zd2_7365
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd247595zd2_7363));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247600zd2_7364))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (PAIRP(BgL_cdrzd247601zd2_7365))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd247606zd2_7368;
																																																																										BgL_carzd247606zd2_7368
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd247601zd2_7365);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247606zd2_7368))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (NULLP(CDR(BgL_cdrzd247601zd2_7365)))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd247583zd2_7361))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg5904z00_7373;
																																																																																BgL_arg5904z00_7373
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd247589zd2_7362));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_25749;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_25753;
																																																																																		obj_t
																																																																																			BgL_proc2z00_25752;
																																																																																		obj_t
																																																																																			BgL_proc1z00_25751;
																																																																																		obj_t
																																																																																			BgL_testz00_25750;
																																																																																		BgL_testz00_25750
																																																																																			=
																																																																																			BgL_arg5904z00_7373;
																																																																																		BgL_proc1z00_25751
																																																																																			=
																																																																																			BgL_carzd247600zd2_7364;
																																																																																		BgL_proc2z00_25752
																																																																																			=
																																																																																			BgL_carzd247606zd2_7368;
																																																																																		BgL_argsz00_25753
																																																																																			=
																																																																																			BgL_cdrzd247583zd2_7361;
																																																																																		BgL_argsz00_1744
																																																																																			=
																																																																																			BgL_argsz00_25753;
																																																																																		BgL_proc2z00_1743
																																																																																			=
																																																																																			BgL_proc2z00_25752;
																																																																																		BgL_proc1z00_1742
																																																																																			=
																																																																																			BgL_proc1z00_25751;
																																																																																		BgL_testz00_1741
																																																																																			=
																																																																																			BgL_testz00_25750;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1745;
																																																																																	}
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_25749);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 118 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1769;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_25757;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1770;
																																																																																		BgL_auxz00_21990
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_25757);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1769;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_25761;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1770;
																																																																																BgL_auxz00_21990
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_25761);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_25765;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																														BgL_auxz00_21990
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_25765);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_25769;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																												BgL_auxz00_21990
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_25769);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_25773;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_21990
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_25773);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1769;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_25777;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1770;
																																																																			BgL_auxz00_21990
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_25777);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1769;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_25781;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1770;
																																																																	BgL_auxz00_21990
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_25781);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1769;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_25785;
																																																															goto
																																																																BgL_tagzd2404zd2_1770;
																																																															BgL_auxz00_21990
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_25785);
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((BgL_carzd245079zd2_7260 == CNST_TABLE_REF(((long) 17))))
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_arg6020z00_7539;
																																									obj_t
																																										BgL_arg6021z00_7540;
																																									BgL_arg6020z00_7539
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd244978zd2_7244));
																																									BgL_arg6021z00_7540
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd244978zd2_7244));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_25794;
																																										{
																																											obj_t
																																												BgL_exprz00_25796;
																																											obj_t
																																												BgL_bindingsz00_25795;
																																											BgL_bindingsz00_25795
																																												=
																																												BgL_arg6020z00_7539;
																																											BgL_exprz00_25796
																																												=
																																												BgL_arg6021z00_7540;
																																											BgL_exprz00_1724
																																												=
																																												BgL_exprz00_25796;
																																											BgL_bindingsz00_1723
																																												=
																																												BgL_bindingsz00_25795;
																																											goto
																																												BgL_tagzd2382zd2_1725;
																																										}
																																										BgL_auxz00_21990
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_25794);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd245079zd2_7260)))
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg6023z00_7542;
																																											obj_t
																																												BgL_arg6024z00_7543;
																																											BgL_arg6023z00_7542
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd244978zd2_7244));
																																											BgL_arg6024z00_7543
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd244978zd2_7244));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_25805;
																																												{
																																													obj_t
																																														BgL_exprz00_25807;
																																													obj_t
																																														BgL_bindingsz00_25806;
																																													BgL_bindingsz00_25806
																																														=
																																														BgL_arg6023z00_7542;
																																													BgL_exprz00_25807
																																														=
																																														BgL_arg6024z00_7543;
																																													BgL_exprz00_1724
																																														=
																																														BgL_exprz00_25807;
																																													BgL_bindingsz00_1723
																																														=
																																														BgL_bindingsz00_25806;
																																													goto
																																														BgL_tagzd2382zd2_1725;
																																												}
																																												BgL_auxz00_21990
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_25805);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((BgL_carzd245079zd2_7260 == CNST_TABLE_REF(((long) 18))))
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg6026z00_7545;
																																													obj_t
																																														BgL_arg6027z00_7546;
																																													BgL_arg6026z00_7545
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd244978zd2_7244));
																																													BgL_arg6027z00_7546
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd244978zd2_7244));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_25816;
																																														{
																																															obj_t
																																																BgL_exprz00_25818;
																																															obj_t
																																																BgL_bindingsz00_25817;
																																															BgL_bindingsz00_25817
																																																=
																																																BgL_arg6026z00_7545;
																																															BgL_exprz00_25818
																																																=
																																																BgL_arg6027z00_7546;
																																															BgL_exprz00_1724
																																																=
																																																BgL_exprz00_25818;
																																															BgL_bindingsz00_1723
																																																=
																																																BgL_bindingsz00_25817;
																																															goto
																																																BgL_tagzd2382zd2_1725;
																																														}
																																														BgL_auxz00_21990
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_25816);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_25825;
																																															goto
																																																BgL_tagzd2383zd2_1726;
																																															BgL_auxz00_21990
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_25825);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_carzd248181zd2_7549;
																																															BgL_carzd248181zd2_7549
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if ((BgL_carzd248181zd2_7549 == CNST_TABLE_REF(((long) 19))))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_25832;
																																																	goto
																																																		BgL_tagzd2384zd2_1727;
																																																	BgL_auxz00_21990
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_25832);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd248181zd2_7549)))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_25837;
																																																			goto
																																																				BgL_tagzd2384zd2_1727;
																																																			BgL_auxz00_21990
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_25837);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_25844;
																																																					goto
																																																						BgL_tagzd2389zd2_1746;
																																																					BgL_auxz00_21990
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_25844);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_25851;
																																																							goto
																																																								BgL_tagzd2390zd2_1747;
																																																							BgL_auxz00_21990
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_25851);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd248261zd2_7556;
																																																							BgL_cdrzd248261zd2_7556
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg6038z00_7559;
																																																									obj_t
																																																										BgL_arg6039z00_7560;
																																																									BgL_arg6038z00_7559
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd248261zd2_7556));
																																																									BgL_arg6039z00_7560
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd248261zd2_7556));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_25864;
																																																										{
																																																											obj_t
																																																												BgL_restz00_25866;
																																																											obj_t
																																																												BgL_effectz00_25865;
																																																											BgL_effectz00_25865
																																																												=
																																																												BgL_arg6038z00_7559;
																																																											BgL_restz00_25866
																																																												=
																																																												BgL_arg6039z00_7560;
																																																											BgL_restz00_1749
																																																												=
																																																												BgL_restz00_25866;
																																																											BgL_effectz00_1748
																																																												=
																																																												BgL_effectz00_25865;
																																																											goto
																																																												BgL_tagzd2391zd2_1750;
																																																										}
																																																										BgL_auxz00_21990
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_25864);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_25873;
																																																											goto
																																																												BgL_tagzd2392zd2_1751;
																																																											BgL_auxz00_21990
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_25873);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_25880;
																																																													goto
																																																														BgL_tagzd2393zd2_1752;
																																																													BgL_auxz00_21990
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_25880);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg6046z00_7568;
																																																															obj_t
																																																																BgL_arg6047z00_7569;
																																																															BgL_arg6046z00_7568
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd248261zd2_7556));
																																																															BgL_arg6047z00_7569
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd248261zd2_7556));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_25891;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_25893;
																																																																	obj_t
																																																																		BgL_effectz00_25892;
																																																																	BgL_effectz00_25892
																																																																		=
																																																																		BgL_arg6046z00_7568;
																																																																	BgL_restz00_25893
																																																																		=
																																																																		BgL_arg6047z00_7569;
																																																																	BgL_restz00_1754
																																																																		=
																																																																		BgL_restz00_25893;
																																																																	BgL_effectz00_1753
																																																																		=
																																																																		BgL_effectz00_25892;
																																																																	goto
																																																																		BgL_tagzd2394zd2_1755;
																																																																}
																																																																BgL_auxz00_21990
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_25891);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_25900;
																																																																	goto
																																																																		BgL_tagzd2395zd2_1756;
																																																																	BgL_auxz00_21990
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_25900);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_25907;
																																																																			goto
																																																																				BgL_tagzd2396zd2_1757;
																																																																			BgL_auxz00_21990
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_25907);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																				{
																																																																					BgL_letzd2funzd2_bglt
																																																																						BgL_auxz00_25914;
																																																																					goto
																																																																						BgL_tagzd2397zd2_1758;
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_25914);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																						{
																																																																							BgL_jumpzd2exzd2itz00_bglt
																																																																								BgL_auxz00_25921;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1759;
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_25921);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 30))))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									bool_t
																																																																										BgL_testz00_25928;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_tmpz00_25929;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_12672;
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_pairz00_12671;
																																																																												BgL_pairz00_12671
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_pairz00_12672
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_12671);
																																																																											}
																																																																											BgL_tmpz00_25929
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_12672);
																																																																										}
																																																																										BgL_testz00_25928
																																																																											=
																																																																											NULLP
																																																																											(BgL_tmpz00_25929);
																																																																									}
																																																																									if (BgL_testz00_25928)
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_25935;
																																																																											goto
																																																																												BgL_tagzd2399zd2_1760;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_25935);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_25939;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_25939);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd248349zd2_7588;
																																																																									BgL_cdrzd248349zd2_7588
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd248355zd2_7591;
																																																																											BgL_cdrzd248355zd2_7591
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd248349zd2_7588));
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_cdrzd248361zd2_7592;
																																																																												BgL_cdrzd248361zd2_7592
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd248355zd2_7591));
																																																																												if ((CAR(((obj_t) BgL_cdrzd248355zd2_7591)) == CNST_TABLE_REF(((long) 31))))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (PAIRP(BgL_cdrzd248361zd2_7592))
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg6071z00_7596;
																																																																																obj_t
																																																																																	BgL_arg6072z00_7597;
																																																																																obj_t
																																																																																	BgL_arg6073z00_7598;
																																																																																BgL_arg6071z00_7596
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd248349zd2_7588));
																																																																																BgL_arg6072z00_7597
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd248361zd2_7592);
																																																																																BgL_arg6073z00_7598
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd248361zd2_7592);
																																																																																{	/* Ast/sexp.scm 559 */
																																																																																	obj_t
																																																																																		BgL_arg6982z00_12683;
																																																																																	BgL_arg6982z00_12683
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_arg6071z00_7596,
																																																																																			BgL_arg6072z00_7597,
																																																																																			BgL_arg6073z00_7598,
																																																																																			BgL_stackz00_22,
																																																																																			BgL_arg6982z00_12683,
																																																																																			BgL_sitez00_24));
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																obj_t
																																																																																	BgL_arg6074z00_7600;
																																																																																obj_t
																																																																																	BgL_arg6075z00_7601;
																																																																																BgL_arg6074z00_7600
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd248349zd2_7588));
																																																																																BgL_arg6075z00_7601
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd248349zd2_7588));
																																																																																{	/* Ast/sexp.scm 561 */
																																																																																	obj_t
																																																																																		BgL_arg6983z00_12687;
																																																																																	BgL_arg6983z00_12687
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_arg6074z00_7600,
																																																																																			CNST_TABLE_REF
																																																																																			(((long) 4)), BgL_arg6075z00_7601, BgL_stackz00_22, BgL_arg6983z00_12687, BgL_sitez00_24));
																																																																													}}}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg6076z00_7603;
																																																																														obj_t
																																																																															BgL_arg6077z00_7604;
																																																																														BgL_arg6076z00_7603
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd248349zd2_7588));
																																																																														BgL_arg6077z00_7604
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd248349zd2_7588));
																																																																														{	/* Ast/sexp.scm 561 */
																																																																															obj_t
																																																																																BgL_arg6983z00_12691;
																																																																															BgL_arg6983z00_12691
																																																																																=
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																BgL_locz00_23);
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																	BgL_arg6076z00_7603,
																																																																																	CNST_TABLE_REF
																																																																																	(((long) 4)), BgL_arg6077z00_7604, BgL_stackz00_22, BgL_arg6983z00_12691, BgL_sitez00_24));
																																																																										}}}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_25984;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_25984);
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 118 */
																											obj_t
																												BgL_carzd248412zd2_7623;
																											BgL_carzd248412zd2_7623 =
																												CAR(((obj_t)
																													BgL_expz00_21));
																											if (
																												(BgL_carzd248412zd2_7623
																													==
																													CNST_TABLE_REF(((long)
																															1))))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_25991;
																													goto
																														BgL_tagzd2377zd2_1714;
																													BgL_auxz00_21990 =
																														((obj_t)
																														BgL_auxz00_25991);
																												}
																											else
																												{	/* Ast/sexp.scm 118 */
																													if (
																														(BgL_carzd248412zd2_7623
																															==
																															BGl_za2ifza2z00zzast_sexpz00))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_25995;
																															goto
																																BgL_tagzd2377zd2_1714;
																															BgL_auxz00_21990 =
																																((obj_t)
																																BgL_auxz00_25995);
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	CNST_TABLE_REF
																																	(((long) 7))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_26002;
																																	goto
																																		BgL_tagzd2379zd2_1718;
																																	BgL_auxz00_21990
																																		=
																																		((obj_t)
																																		BgL_auxz00_26002);
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					16))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_26009;
																																			goto
																																				BgL_tagzd2380zd2_1719;
																																			BgL_auxz00_21990
																																				=
																																				((obj_t)
																																				BgL_auxz00_26009);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_carzd248481zd2_7630;
																																			BgL_carzd248481zd2_7630
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (PAIRP
																																				(BgL_carzd248481zd2_7630))
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd248484zd2_7632;
																																					obj_t
																																						BgL_cdrzd248485zd2_7633;
																																					BgL_carzd248484zd2_7632
																																						=
																																						CAR
																																						(BgL_carzd248481zd2_7630);
																																					BgL_cdrzd248485zd2_7633
																																						=
																																						CDR
																																						(BgL_carzd248481zd2_7630);
																																					{

																																						if (
																																							(BgL_carzd248484zd2_7632
																																								==
																																								CNST_TABLE_REF
																																								(((long) 17))))
																																							{	/* Ast/sexp.scm 118 */
																																							BgL_kapzd248486zd2_7634:
																																								if (PAIRP(BgL_cdrzd248485zd2_7633))
																																									{	/* Ast/sexp.scm 118 */
																																										obj_t
																																											BgL_cdrzd248489zd2_7816;
																																										BgL_cdrzd248489zd2_7816
																																											=
																																											CDR
																																											(BgL_cdrzd248485zd2_7633);
																																										if (PAIRP(BgL_cdrzd248489zd2_7816))
																																											{	/* Ast/sexp.scm 118 */
																																												if (NULLP(CDR(BgL_cdrzd248489zd2_7816)))
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_arg6231z00_7820;
																																														obj_t
																																															BgL_arg6232z00_7821;
																																														BgL_arg6231z00_7820
																																															=
																																															CAR
																																															(BgL_cdrzd248489zd2_7816);
																																														BgL_arg6232z00_7821
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_26031;
																																															{
																																																obj_t
																																																	BgL_argsz00_26033;
																																																obj_t
																																																	BgL_bodyz00_26032;
																																																BgL_bodyz00_26032
																																																	=
																																																	BgL_arg6231z00_7820;
																																																BgL_argsz00_26033
																																																	=
																																																	BgL_arg6232z00_7821;
																																																BgL_argsz00_1721
																																																	=
																																																	BgL_argsz00_26033;
																																																BgL_bodyz00_1720
																																																	=
																																																	BgL_bodyz00_26032;
																																																goto
																																																	BgL_tagzd2381zd2_1722;
																																															}
																																															BgL_auxz00_21990
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_26031);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_cdrzd248513zd2_7822;
																																														BgL_cdrzd248513zd2_7822
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 118 */
																																															bool_t
																																																BgL_testz00_26037;
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_arg6301z00_7933;
																																																BgL_arg6301z00_7933
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_testz00_26037
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg6301z00_7933));
																																															}
																																															if (BgL_testz00_26037)
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg6235z00_7825;
																																																	obj_t
																																																		BgL_arg6236z00_7826;
																																																	BgL_arg6235z00_7825
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd248513zd2_7822));
																																																	BgL_arg6236z00_7826
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd248513zd2_7822));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_26046;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_26048;
																																																			obj_t
																																																				BgL_bindingsz00_26047;
																																																			BgL_bindingsz00_26047
																																																				=
																																																				BgL_arg6235z00_7825;
																																																			BgL_exprz00_26048
																																																				=
																																																				BgL_arg6236z00_7826;
																																																			BgL_exprz00_1724
																																																				=
																																																				BgL_exprz00_26048;
																																																			BgL_bindingsz00_1723
																																																				=
																																																				BgL_bindingsz00_26047;
																																																			goto
																																																				BgL_tagzd2382zd2_1725;
																																																		}
																																																		BgL_auxz00_21990
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_26046);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	bool_t
																																																		BgL_testz00_26050;
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg6300z00_7932;
																																																		BgL_arg6300z00_7932
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_testz00_26050
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg6300z00_7932));
																																																	}
																																																	if (BgL_testz00_26050)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_26055;
																																																			goto
																																																				BgL_tagzd2384zd2_1727;
																																																			BgL_auxz00_21990
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_26055);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_carzd248580zd2_7829;
																																																			BgL_carzd248580zd2_7829
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd248585zd2_7830;
																																																				BgL_cdrzd248585zd2_7830
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd248580zd2_7829));
																																																				if ((CAR(((obj_t) BgL_carzd248580zd2_7829)) == CNST_TABLE_REF(((long) 3))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_arg6241z00_7833;
																																																						obj_t
																																																							BgL_arg6242z00_7834;
																																																						obj_t
																																																							BgL_arg6243z00_7835;
																																																						BgL_arg6241z00_7833
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd248585zd2_7830));
																																																						BgL_arg6242z00_7834
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd248585zd2_7830));
																																																						BgL_arg6243z00_7835
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_26072;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_26075;
																																																								obj_t
																																																									BgL_bodyz00_26074;
																																																								obj_t
																																																									BgL_varsz00_26073;
																																																								BgL_varsz00_26073
																																																									=
																																																									BgL_arg6241z00_7833;
																																																								BgL_bodyz00_26074
																																																									=
																																																									BgL_arg6242z00_7834;
																																																								BgL_argsz00_26075
																																																									=
																																																									BgL_arg6243z00_7835;
																																																								BgL_argsz00_1734
																																																									=
																																																									BgL_argsz00_26075;
																																																								BgL_bodyz00_1733
																																																									=
																																																									BgL_bodyz00_26074;
																																																								BgL_varsz00_1732
																																																									=
																																																									BgL_varsz00_26073;
																																																								goto
																																																									BgL_tagzd2386zd2_1735;
																																																							}
																																																							BgL_auxz00_21990
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_26072);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd248608zd2_7837;
																																																						BgL_cdrzd248608zd2_7837
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd248614zd2_7838;
																																																							BgL_cdrzd248614zd2_7838
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd248580zd2_7829));
																																																							if ((CAR(((obj_t) BgL_carzd248580zd2_7829)) == CNST_TABLE_REF(((long) 1))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd248620zd2_7841;
																																																									BgL_cdrzd248620zd2_7841
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd248614zd2_7838));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_carzd248625zd2_7842;
																																																										obj_t
																																																											BgL_cdrzd248626zd2_7843;
																																																										BgL_carzd248625zd2_7842
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd248620zd2_7841));
																																																										BgL_cdrzd248626zd2_7843
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd248620zd2_7841));
																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248625zd2_7842))
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (PAIRP(BgL_cdrzd248626zd2_7843))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd248633zd2_7846;
																																																														BgL_carzd248633zd2_7846
																																																															=
																																																															CAR
																																																															(BgL_cdrzd248626zd2_7843);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248633zd2_7846))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (NULLP(CDR(BgL_cdrzd248626zd2_7843)))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		bool_t
																																																																			BgL_testz00_26102;
																																																																		{
																																																																			obj_t
																																																																				BgL_l1447z00_7879;
																																																																			BgL_l1447z00_7879
																																																																				=
																																																																				BgL_cdrzd248608zd2_7837;
																																																																		BgL_zc3anonymousza36266ze3z83_7880:
																																																																			if (NULLP(BgL_l1447z00_7879))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					BgL_testz00_26102
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					bool_t
																																																																						BgL_testz00_26105;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						bool_t
																																																																							BgL_testz00_26106;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_tmpz00_26107;
																																																																							BgL_tmpz00_26107
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_l1447z00_7879));
																																																																							BgL_testz00_26106
																																																																								=
																																																																								PAIRP
																																																																								(BgL_tmpz00_26107);
																																																																						}
																																																																						if (BgL_testz00_26106)
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								BgL_testz00_26105
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								BgL_testz00_26105
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																					}
																																																																					if (BgL_testz00_26105)
																																																																						{
																																																																							obj_t
																																																																								BgL_l1447z00_26111;
																																																																							BgL_l1447z00_26111
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_l1447z00_7879));
																																																																							BgL_l1447z00_7879
																																																																								=
																																																																								BgL_l1447z00_26111;
																																																																							goto
																																																																								BgL_zc3anonymousza36266ze3z83_7880;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_26102
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																				}
																																																																		}
																																																																		if (BgL_testz00_26102)
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_arg6256z00_7862;
																																																																				BgL_arg6256z00_7862
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd248614zd2_7838));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_26116;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_26120;
																																																																						obj_t
																																																																							BgL_proc2z00_26119;
																																																																						obj_t
																																																																							BgL_proc1z00_26118;
																																																																						obj_t
																																																																							BgL_testz00_26117;
																																																																						BgL_testz00_26117
																																																																							=
																																																																							BgL_arg6256z00_7862;
																																																																						BgL_proc1z00_26118
																																																																							=
																																																																							BgL_carzd248625zd2_7842;
																																																																						BgL_proc2z00_26119
																																																																							=
																																																																							BgL_carzd248633zd2_7846;
																																																																						BgL_argsz00_26120
																																																																							=
																																																																							BgL_cdrzd248608zd2_7837;
																																																																						BgL_argsz00_1739
																																																																							=
																																																																							BgL_argsz00_26120;
																																																																						BgL_proc2z00_1738
																																																																							=
																																																																							BgL_proc2z00_26119;
																																																																						BgL_proc1z00_1737
																																																																							=
																																																																							BgL_proc1z00_26118;
																																																																						BgL_testz00_1736
																																																																							=
																																																																							BgL_testz00_26117;
																																																																						goto
																																																																							BgL_tagzd2387zd2_1740;
																																																																					}
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_26116);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd248657zd2_7863;
																																																																				BgL_cdrzd248657zd2_7863
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd248664zd2_7864;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_pairz00_12735;
																																																																						BgL_pairz00_12735
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd248664zd2_7864
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12735);
																																																																					}
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd248671zd2_7865;
																																																																						BgL_cdrzd248671zd2_7865
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd248664zd2_7864));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd248677zd2_7866;
																																																																							BgL_carzd248677zd2_7866
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd248671zd2_7865));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248677zd2_7866))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd248684zd2_7868;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_12739;
																																																																										BgL_pairz00_12739
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd248671zd2_7865));
																																																																										BgL_carzd248684zd2_7868
																																																																											=
																																																																											CAR
																																																																											(BgL_pairz00_12739);
																																																																									}
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248684zd2_7868))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd248657zd2_7863))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg6260z00_7871;
																																																																													BgL_arg6260z00_7871
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd248664zd2_7864));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_26142;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_26146;
																																																																															obj_t
																																																																																BgL_proc2z00_26145;
																																																																															obj_t
																																																																																BgL_proc1z00_26144;
																																																																															obj_t
																																																																																BgL_testz00_26143;
																																																																															BgL_testz00_26143
																																																																																=
																																																																																BgL_arg6260z00_7871;
																																																																															BgL_proc1z00_26144
																																																																																=
																																																																																BgL_carzd248677zd2_7866;
																																																																															BgL_proc2z00_26145
																																																																																=
																																																																																BgL_carzd248684zd2_7868;
																																																																															BgL_argsz00_26146
																																																																																=
																																																																																BgL_cdrzd248657zd2_7863;
																																																																															BgL_argsz00_1744
																																																																																=
																																																																																BgL_argsz00_26146;
																																																																															BgL_proc2z00_1743
																																																																																=
																																																																																BgL_proc2z00_26145;
																																																																															BgL_proc1z00_1742
																																																																																=
																																																																																BgL_proc1z00_26144;
																																																																															BgL_testz00_1741
																																																																																=
																																																																																BgL_testz00_26143;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1745;
																																																																														}
																																																																														BgL_auxz00_21990
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_26142);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_26150;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26150);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26154;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26154);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26158;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26158);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_26162;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_21990
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_26162);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd248960zd2_7890;
																																																																BgL_cdrzd248960zd2_7890
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd248966zd2_7891;
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_pairz00_12743;
																																																																		BgL_pairz00_12743
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd248966zd2_7891
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_12743);
																																																																	}
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd248972zd2_7892;
																																																																		BgL_cdrzd248972zd2_7892
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd248966zd2_7891));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd248977zd2_7893;
																																																																			obj_t
																																																																				BgL_cdrzd248978zd2_7894;
																																																																			BgL_carzd248977zd2_7893
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd248972zd2_7892));
																																																																			BgL_cdrzd248978zd2_7894
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd248972zd2_7892));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248977zd2_7893))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd248983zd2_7896;
																																																																					BgL_carzd248983zd2_7896
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd248978zd2_7894));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248983zd2_7896))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(((obj_t) BgL_cdrzd248978zd2_7894))))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd248960zd2_7890))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_arg6275z00_7901;
																																																																											BgL_arg6275z00_7901
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd248966zd2_7891));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_26189;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_26193;
																																																																													obj_t
																																																																														BgL_proc2z00_26192;
																																																																													obj_t
																																																																														BgL_proc1z00_26191;
																																																																													obj_t
																																																																														BgL_testz00_26190;
																																																																													BgL_testz00_26190
																																																																														=
																																																																														BgL_arg6275z00_7901;
																																																																													BgL_proc1z00_26191
																																																																														=
																																																																														BgL_carzd248977zd2_7893;
																																																																													BgL_proc2z00_26192
																																																																														=
																																																																														BgL_carzd248983zd2_7896;
																																																																													BgL_argsz00_26193
																																																																														=
																																																																														BgL_cdrzd248960zd2_7890;
																																																																													BgL_argsz00_1744
																																																																														=
																																																																														BgL_argsz00_26193;
																																																																													BgL_proc2z00_1743
																																																																														=
																																																																														BgL_proc2z00_26192;
																																																																													BgL_proc1z00_1742
																																																																														=
																																																																														BgL_proc1z00_26191;
																																																																													BgL_testz00_1741
																																																																														=
																																																																														BgL_testz00_26190;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1745;
																																																																												}
																																																																												BgL_auxz00_21990
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_26189);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26197;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26197);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26201;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26201);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_26205;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_26205);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_26209;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_26209);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1769;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_26213;
																																																																goto
																																																																	BgL_tagzd2404zd2_1770;
																																																																BgL_auxz00_21990
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_26213);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd249316zd2_7909;
																																																												BgL_cdrzd249316zd2_7909
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd249323zd2_7910;
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_pairz00_12753;
																																																														BgL_pairz00_12753
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_cdrzd249323zd2_7910
																																																															=
																																																															CDR
																																																															(BgL_pairz00_12753);
																																																													}
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd249330zd2_7911;
																																																														BgL_cdrzd249330zd2_7911
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd249323zd2_7910));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_carzd249336zd2_7912;
																																																															obj_t
																																																																BgL_cdrzd249337zd2_7913;
																																																															BgL_carzd249336zd2_7912
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd249330zd2_7911));
																																																															BgL_cdrzd249337zd2_7913
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd249330zd2_7911));
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249336zd2_7912))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (PAIRP(BgL_cdrzd249337zd2_7913))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd249344zd2_7916;
																																																																			BgL_carzd249344zd2_7916
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd249337zd2_7913);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249344zd2_7916))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (NULLP(CDR(BgL_cdrzd249337zd2_7913)))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd249316zd2_7909))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_arg6289z00_7921;
																																																																									BgL_arg6289z00_7921
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd249323zd2_7910));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_26240;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_26244;
																																																																											obj_t
																																																																												BgL_proc2z00_26243;
																																																																											obj_t
																																																																												BgL_proc1z00_26242;
																																																																											obj_t
																																																																												BgL_testz00_26241;
																																																																											BgL_testz00_26241
																																																																												=
																																																																												BgL_arg6289z00_7921;
																																																																											BgL_proc1z00_26242
																																																																												=
																																																																												BgL_carzd249336zd2_7912;
																																																																											BgL_proc2z00_26243
																																																																												=
																																																																												BgL_carzd249344zd2_7916;
																																																																											BgL_argsz00_26244
																																																																												=
																																																																												BgL_cdrzd249316zd2_7909;
																																																																											BgL_argsz00_1744
																																																																												=
																																																																												BgL_argsz00_26244;
																																																																											BgL_proc2z00_1743
																																																																												=
																																																																												BgL_proc2z00_26243;
																																																																											BgL_proc1z00_1742
																																																																												=
																																																																												BgL_proc1z00_26242;
																																																																											BgL_testz00_1741
																																																																												=
																																																																												BgL_testz00_26241;
																																																																											goto
																																																																												BgL_tagzd2388zd2_1745;
																																																																										}
																																																																										BgL_auxz00_21990
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_26240);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26248;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26248);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_26252;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_26252);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_26256;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_26256);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1769;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_26260;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1770;
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_26260);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1769;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_26264;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1770;
																																																																			BgL_auxz00_21990
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_26264);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																												}
																																																											}
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2403zd2_1769;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_26268;
																																																											goto
																																																												BgL_tagzd2404zd2_1770;
																																																											BgL_auxz00_21990
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_26268);
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_cdrzd249737zd2_7935;
																																												BgL_cdrzd249737zd2_7935
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{	/* Ast/sexp.scm 118 */
																																													bool_t
																																														BgL_testz00_26272;
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_arg6317z00_7952;
																																														BgL_arg6317z00_7952
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														BgL_testz00_26272
																																															=
																																															CBOOL
																																															(BGl_letzd2symzf3z21zzast_letz00
																																															(BgL_arg6317z00_7952));
																																													}
																																													if (BgL_testz00_26272)
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg6305z00_7938;
																																															obj_t
																																																BgL_arg6306z00_7939;
																																															BgL_arg6305z00_7938
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd249737zd2_7935));
																																															BgL_arg6306z00_7939
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd249737zd2_7935));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_26281;
																																																{
																																																	obj_t
																																																		BgL_exprz00_26283;
																																																	obj_t
																																																		BgL_bindingsz00_26282;
																																																	BgL_bindingsz00_26282
																																																		=
																																																		BgL_arg6305z00_7938;
																																																	BgL_exprz00_26283
																																																		=
																																																		BgL_arg6306z00_7939;
																																																	BgL_exprz00_1724
																																																		=
																																																		BgL_exprz00_26283;
																																																	BgL_bindingsz00_1723
																																																		=
																																																		BgL_bindingsz00_26282;
																																																	goto
																																																		BgL_tagzd2382zd2_1725;
																																																}
																																																BgL_auxz00_21990
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_26281);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															bool_t
																																																BgL_testz00_26285;
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_arg6316z00_7951;
																																																BgL_arg6316z00_7951
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_testz00_26285
																																																	=
																																																	CBOOL
																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																	(BgL_arg6316z00_7951));
																																															}
																																															if (BgL_testz00_26285)
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_26290;
																																																	goto
																																																		BgL_tagzd2384zd2_1727;
																																																	BgL_auxz00_21990
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_26290);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_carzd249803zd2_7942;
																																																	BgL_carzd249803zd2_7942
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd249808zd2_7943;
																																																		BgL_cdrzd249808zd2_7943
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_carzd249803zd2_7942));
																																																		if ((CAR(((obj_t) BgL_carzd249803zd2_7942)) == CNST_TABLE_REF(((long) 3))))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg6311z00_7946;
																																																				obj_t
																																																					BgL_arg6312z00_7947;
																																																				obj_t
																																																					BgL_arg6313z00_7948;
																																																				BgL_arg6311z00_7946
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd249808zd2_7943));
																																																				BgL_arg6312z00_7947
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd249808zd2_7943));
																																																				BgL_arg6313z00_7948
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_26307;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_26310;
																																																						obj_t
																																																							BgL_bodyz00_26309;
																																																						obj_t
																																																							BgL_varsz00_26308;
																																																						BgL_varsz00_26308
																																																							=
																																																							BgL_arg6311z00_7946;
																																																						BgL_bodyz00_26309
																																																							=
																																																							BgL_arg6312z00_7947;
																																																						BgL_argsz00_26310
																																																							=
																																																							BgL_arg6313z00_7948;
																																																						BgL_argsz00_1734
																																																							=
																																																							BgL_argsz00_26310;
																																																						BgL_bodyz00_1733
																																																							=
																																																							BgL_bodyz00_26309;
																																																						BgL_varsz00_1732
																																																							=
																																																							BgL_varsz00_26308;
																																																						goto
																																																							BgL_tagzd2386zd2_1735;
																																																					}
																																																					BgL_auxz00_21990
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_26307);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_tagzd2403zd2_1769;
																																																					}
																																																				else
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_26314;
																																																						goto
																																																							BgL_tagzd2404zd2_1770;
																																																						BgL_auxz00_21990
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_26314);
																																																					}
																																																			}
																																																	}
																																																}
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										obj_t
																																											BgL_cdrzd249919zd2_7953;
																																										BgL_cdrzd249919zd2_7953
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_expz00_21));
																																										{	/* Ast/sexp.scm 118 */
																																											bool_t
																																												BgL_testz00_26318;
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_arg6326z00_7962;
																																												BgL_arg6326z00_7962
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												BgL_testz00_26318
																																													=
																																													CBOOL
																																													(BGl_letzd2symzf3z21zzast_letz00
																																													(BgL_arg6326z00_7962));
																																											}
																																											if (BgL_testz00_26318)
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg6320z00_7956;
																																													obj_t
																																														BgL_arg6321z00_7957;
																																													BgL_arg6320z00_7956
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd249919zd2_7953));
																																													BgL_arg6321z00_7957
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd249919zd2_7953));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_26327;
																																														{
																																															obj_t
																																																BgL_exprz00_26329;
																																															obj_t
																																																BgL_bindingsz00_26328;
																																															BgL_bindingsz00_26328
																																																=
																																																BgL_arg6320z00_7956;
																																															BgL_exprz00_26329
																																																=
																																																BgL_arg6321z00_7957;
																																															BgL_exprz00_1724
																																																=
																																																BgL_exprz00_26329;
																																															BgL_bindingsz00_1723
																																																=
																																																BgL_bindingsz00_26328;
																																															goto
																																																BgL_tagzd2382zd2_1725;
																																														}
																																														BgL_auxz00_21990
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_26327);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													bool_t
																																														BgL_testz00_26331;
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_arg6325z00_7961;
																																														BgL_arg6325z00_7961
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														BgL_testz00_26331
																																															=
																																															CBOOL
																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																															(BgL_arg6325z00_7961));
																																													}
																																													if (BgL_testz00_26331)
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_26336;
																																															goto
																																																BgL_tagzd2384zd2_1727;
																																															BgL_auxz00_21990
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_26336);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																{	/* Ast/sexp.scm 118 */
																																																	goto
																																																		BgL_tagzd2403zd2_1769;
																																																}
																																															else
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_26340;
																																																	goto
																																																		BgL_tagzd2404zd2_1770;
																																																	BgL_auxz00_21990
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_26340);
																																																}
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd248484zd2_7632)))
																																									{	/* Ast/sexp.scm 118 */
																																										goto
																																											BgL_kapzd248486zd2_7634;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if ((BgL_carzd248484zd2_7632 == CNST_TABLE_REF(((long) 18))))
																																											{	/* Ast/sexp.scm 118 */
																																												goto
																																													BgL_kapzd248486zd2_7634;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if ((BgL_carzd248484zd2_7632 == CNST_TABLE_REF(((long) 19))))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_kapzd248486zd2_7634;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd248484zd2_7632)))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_kapzd248486zd2_7634;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_cdrzd250091zd2_7640;
																																																BgL_cdrzd250091zd2_7640
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	bool_t
																																																		BgL_testz00_26356;
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg6226z00_7814;
																																																		BgL_arg6226z00_7814
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_testz00_26356
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg6226z00_7814));
																																																	}
																																																	if (BgL_testz00_26356)
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg6110z00_7643;
																																																			obj_t
																																																				BgL_arg6111z00_7644;
																																																			BgL_arg6110z00_7643
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd250091zd2_7640));
																																																			BgL_arg6111z00_7644
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd250091zd2_7640));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_26365;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_26367;
																																																					obj_t
																																																						BgL_bindingsz00_26366;
																																																					BgL_bindingsz00_26366
																																																						=
																																																						BgL_arg6110z00_7643;
																																																					BgL_exprz00_26367
																																																						=
																																																						BgL_arg6111z00_7644;
																																																					BgL_exprz00_1724
																																																						=
																																																						BgL_exprz00_26367;
																																																					BgL_bindingsz00_1723
																																																						=
																																																						BgL_bindingsz00_26366;
																																																					goto
																																																						BgL_tagzd2382zd2_1725;
																																																				}
																																																				BgL_auxz00_21990
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_26365);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			bool_t
																																																				BgL_testz00_26369;
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_arg6225z00_7813;
																																																				BgL_arg6225z00_7813
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_testz00_26369
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg6225z00_7813));
																																																			}
																																																			if (BgL_testz00_26369)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_26374;
																																																					goto
																																																						BgL_tagzd2384zd2_1727;
																																																					BgL_auxz00_21990
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_26374);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_carzd250144zd2_7647;
																																																					obj_t
																																																						BgL_cdrzd250145zd2_7648;
																																																					BgL_carzd250144zd2_7647
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_cdrzd250145zd2_7648
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd250149zd2_7649;
																																																						BgL_cdrzd250149zd2_7649
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd250144zd2_7647));
																																																						if ((CAR(((obj_t) BgL_carzd250144zd2_7647)) == CNST_TABLE_REF(((long) 3))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (PAIRP(BgL_cdrzd250149zd2_7649))
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_carzd250152zd2_7653;
																																																										obj_t
																																																											BgL_cdrzd250153zd2_7654;
																																																										BgL_carzd250152zd2_7653
																																																											=
																																																											CAR
																																																											(BgL_cdrzd250149zd2_7649);
																																																										BgL_cdrzd250153zd2_7654
																																																											=
																																																											CDR
																																																											(BgL_cdrzd250149zd2_7649);
																																																										if (PAIRP(BgL_carzd250152zd2_7653))
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (NULLP(CDR(BgL_carzd250152zd2_7653)))
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (PAIRP(BgL_cdrzd250153zd2_7654))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd250159zd2_7659;
																																																																BgL_carzd250159zd2_7659
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd250153zd2_7654);
																																																																if (PAIRP(BgL_carzd250159zd2_7659))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd250159zd2_7659))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (NULLP(CDR(BgL_cdrzd250153zd2_7654)))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd250166zd2_7664;
																																																																						BgL_carzd250166zd2_7664
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd250145zd2_7648));
																																																																						if (PAIRP(BgL_carzd250166zd2_7664))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd250191zd2_7666;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_12801;
																																																																									BgL_pairz00_12801
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd250191zd2_7666
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_12801);
																																																																								}
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_arg6126z00_7667;
																																																																									obj_t
																																																																										BgL_arg6127z00_7668;
																																																																									obj_t
																																																																										BgL_arg6128z00_7669;
																																																																									BgL_arg6126z00_7667
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd250191zd2_7666));
																																																																									BgL_arg6127z00_7668
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd250191zd2_7666));
																																																																									BgL_arg6128z00_7669
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_26419;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_26422;
																																																																											obj_t
																																																																												BgL_bodyz00_26421;
																																																																											obj_t
																																																																												BgL_varsz00_26420;
																																																																											BgL_varsz00_26420
																																																																												=
																																																																												BgL_arg6126z00_7667;
																																																																											BgL_bodyz00_26421
																																																																												=
																																																																												BgL_arg6127z00_7668;
																																																																											BgL_argsz00_26422
																																																																												=
																																																																												BgL_arg6128z00_7669;
																																																																											BgL_argsz00_1734
																																																																												=
																																																																												BgL_argsz00_26422;
																																																																											BgL_bodyz00_1733
																																																																												=
																																																																												BgL_bodyz00_26421;
																																																																											BgL_varsz00_1732
																																																																												=
																																																																												BgL_varsz00_26420;
																																																																											goto
																																																																												BgL_tagzd2386zd2_1735;
																																																																										}
																																																																										BgL_auxz00_21990
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_26419);
																																																																									}
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd250145zd2_7648))))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg6132z00_7673;
																																																																										BgL_arg6132z00_7673
																																																																											=
																																																																											CAR
																																																																											(BgL_carzd250152zd2_7653);
																																																																										{
																																																																											BgL_castz00_bglt
																																																																												BgL_auxz00_26429;
																																																																											{
																																																																												obj_t
																																																																													BgL_argz00_26432;
																																																																												obj_t
																																																																													BgL_bodyz00_26431;
																																																																												obj_t
																																																																													BgL_varz00_26430;
																																																																												BgL_varz00_26430
																																																																													=
																																																																													BgL_arg6132z00_7673;
																																																																												BgL_bodyz00_26431
																																																																													=
																																																																													BgL_carzd250159zd2_7659;
																																																																												BgL_argz00_26432
																																																																													=
																																																																													BgL_carzd250166zd2_7664;
																																																																												BgL_argz00_1730
																																																																													=
																																																																													BgL_argz00_26432;
																																																																												BgL_bodyz00_1729
																																																																													=
																																																																													BgL_bodyz00_26431;
																																																																												BgL_varz00_1728
																																																																													=
																																																																													BgL_varz00_26430;
																																																																												goto
																																																																													BgL_tagzd2385zd2_1731;
																																																																											}
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26429);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd250219zd2_7674;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_12809;
																																																																											BgL_pairz00_12809
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd250219zd2_7674
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_12809);
																																																																										}
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_arg6133z00_7675;
																																																																											obj_t
																																																																												BgL_arg6134z00_7676;
																																																																											obj_t
																																																																												BgL_arg6135z00_7677;
																																																																											BgL_arg6133z00_7675
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd250219zd2_7674));
																																																																											BgL_arg6134z00_7676
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd250219zd2_7674));
																																																																											BgL_arg6135z00_7677
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_26443;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_26446;
																																																																													obj_t
																																																																														BgL_bodyz00_26445;
																																																																													obj_t
																																																																														BgL_varsz00_26444;
																																																																													BgL_varsz00_26444
																																																																														=
																																																																														BgL_arg6133z00_7675;
																																																																													BgL_bodyz00_26445
																																																																														=
																																																																														BgL_arg6134z00_7676;
																																																																													BgL_argsz00_26446
																																																																														=
																																																																														BgL_arg6135z00_7677;
																																																																													BgL_argsz00_1734
																																																																														=
																																																																														BgL_argsz00_26446;
																																																																													BgL_bodyz00_1733
																																																																														=
																																																																														BgL_bodyz00_26445;
																																																																													BgL_varsz00_1732
																																																																														=
																																																																														BgL_varsz00_26444;
																																																																													goto
																																																																														BgL_tagzd2386zd2_1735;
																																																																												}
																																																																												BgL_auxz00_21990
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_26443);
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd250245zd2_7680;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_12814;
																																																																							BgL_pairz00_12814
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd250245zd2_7680
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_12814);
																																																																						}
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_arg6138z00_7681;
																																																																							obj_t
																																																																								BgL_arg6139z00_7682;
																																																																							obj_t
																																																																								BgL_arg6140z00_7683;
																																																																							BgL_arg6138z00_7681
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd250245zd2_7680));
																																																																							BgL_arg6139z00_7682
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd250245zd2_7680));
																																																																							BgL_arg6140z00_7683
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_26457;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_26460;
																																																																									obj_t
																																																																										BgL_bodyz00_26459;
																																																																									obj_t
																																																																										BgL_varsz00_26458;
																																																																									BgL_varsz00_26458
																																																																										=
																																																																										BgL_arg6138z00_7681;
																																																																									BgL_bodyz00_26459
																																																																										=
																																																																										BgL_arg6139z00_7682;
																																																																									BgL_argsz00_26460
																																																																										=
																																																																										BgL_arg6140z00_7683;
																																																																									BgL_argsz00_1734
																																																																										=
																																																																										BgL_argsz00_26460;
																																																																									BgL_bodyz00_1733
																																																																										=
																																																																										BgL_bodyz00_26459;
																																																																									BgL_varsz00_1732
																																																																										=
																																																																										BgL_varsz00_26458;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1735;
																																																																								}
																																																																								BgL_auxz00_21990
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_26457);
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd250271zd2_7686;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_pairz00_12819;
																																																																					BgL_pairz00_12819
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd250271zd2_7686
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_12819);
																																																																				}
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_arg6143z00_7687;
																																																																					obj_t
																																																																						BgL_arg6144z00_7688;
																																																																					obj_t
																																																																						BgL_arg6145z00_7689;
																																																																					BgL_arg6143z00_7687
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd250271zd2_7686));
																																																																					BgL_arg6144z00_7688
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd250271zd2_7686));
																																																																					BgL_arg6145z00_7689
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_26471;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_26474;
																																																																							obj_t
																																																																								BgL_bodyz00_26473;
																																																																							obj_t
																																																																								BgL_varsz00_26472;
																																																																							BgL_varsz00_26472
																																																																								=
																																																																								BgL_arg6143z00_7687;
																																																																							BgL_bodyz00_26473
																																																																								=
																																																																								BgL_arg6144z00_7688;
																																																																							BgL_argsz00_26474
																																																																								=
																																																																								BgL_arg6145z00_7689;
																																																																							BgL_argsz00_1734
																																																																								=
																																																																								BgL_argsz00_26474;
																																																																							BgL_bodyz00_1733
																																																																								=
																																																																								BgL_bodyz00_26473;
																																																																							BgL_varsz00_1732
																																																																								=
																																																																								BgL_varsz00_26472;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1735;
																																																																						}
																																																																						BgL_auxz00_21990
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_26471);
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd250297zd2_7691;
																																																																		BgL_cdrzd250297zd2_7691
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd250144zd2_7647));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_arg6147z00_7692;
																																																																			obj_t
																																																																				BgL_arg6148z00_7693;
																																																																			obj_t
																																																																				BgL_arg6149z00_7694;
																																																																			BgL_arg6147z00_7692
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd250297zd2_7691));
																																																																			BgL_arg6148z00_7693
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd250297zd2_7691));
																																																																			BgL_arg6149z00_7694
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_26484;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_26487;
																																																																					obj_t
																																																																						BgL_bodyz00_26486;
																																																																					obj_t
																																																																						BgL_varsz00_26485;
																																																																					BgL_varsz00_26485
																																																																						=
																																																																						BgL_arg6147z00_7692;
																																																																					BgL_bodyz00_26486
																																																																						=
																																																																						BgL_arg6148z00_7693;
																																																																					BgL_argsz00_26487
																																																																						=
																																																																						BgL_arg6149z00_7694;
																																																																					BgL_argsz00_1734
																																																																						=
																																																																						BgL_argsz00_26487;
																																																																					BgL_bodyz00_1733
																																																																						=
																																																																						BgL_bodyz00_26486;
																																																																					BgL_varsz00_1732
																																																																						=
																																																																						BgL_varsz00_26485;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1735;
																																																																				}
																																																																				BgL_auxz00_21990
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_26484);
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd250323zd2_7696;
																																																																BgL_cdrzd250323zd2_7696
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd250144zd2_7647));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg6151z00_7697;
																																																																	obj_t
																																																																		BgL_arg6152z00_7698;
																																																																	obj_t
																																																																		BgL_arg6153z00_7699;
																																																																	BgL_arg6151z00_7697
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd250323zd2_7696));
																																																																	BgL_arg6152z00_7698
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd250323zd2_7696));
																																																																	BgL_arg6153z00_7699
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_26497;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_26500;
																																																																			obj_t
																																																																				BgL_bodyz00_26499;
																																																																			obj_t
																																																																				BgL_varsz00_26498;
																																																																			BgL_varsz00_26498
																																																																				=
																																																																				BgL_arg6151z00_7697;
																																																																			BgL_bodyz00_26499
																																																																				=
																																																																				BgL_arg6152z00_7698;
																																																																			BgL_argsz00_26500
																																																																				=
																																																																				BgL_arg6153z00_7699;
																																																																			BgL_argsz00_1734
																																																																				=
																																																																				BgL_argsz00_26500;
																																																																			BgL_bodyz00_1733
																																																																				=
																																																																				BgL_bodyz00_26499;
																																																																			BgL_varsz00_1732
																																																																				=
																																																																				BgL_varsz00_26498;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1735;
																																																																		}
																																																																		BgL_auxz00_21990
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_26497);
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd250349zd2_7701;
																																																														BgL_cdrzd250349zd2_7701
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd250144zd2_7647));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg6155z00_7702;
																																																															obj_t
																																																																BgL_arg6156z00_7703;
																																																															obj_t
																																																																BgL_arg6157z00_7704;
																																																															BgL_arg6155z00_7702
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd250349zd2_7701));
																																																															BgL_arg6156z00_7703
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd250349zd2_7701));
																																																															BgL_arg6157z00_7704
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_26510;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_26513;
																																																																	obj_t
																																																																		BgL_bodyz00_26512;
																																																																	obj_t
																																																																		BgL_varsz00_26511;
																																																																	BgL_varsz00_26511
																																																																		=
																																																																		BgL_arg6155z00_7702;
																																																																	BgL_bodyz00_26512
																																																																		=
																																																																		BgL_arg6156z00_7703;
																																																																	BgL_argsz00_26513
																																																																		=
																																																																		BgL_arg6157z00_7704;
																																																																	BgL_argsz00_1734
																																																																		=
																																																																		BgL_argsz00_26513;
																																																																	BgL_bodyz00_1733
																																																																		=
																																																																		BgL_bodyz00_26512;
																																																																	BgL_varsz00_1732
																																																																		=
																																																																		BgL_varsz00_26511;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1735;
																																																																}
																																																																BgL_auxz00_21990
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_26510);
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd250375zd2_7707;
																																																												BgL_cdrzd250375zd2_7707
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd250144zd2_7647));
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg6160z00_7708;
																																																													obj_t
																																																														BgL_arg6161z00_7709;
																																																													obj_t
																																																														BgL_arg6162z00_7710;
																																																													BgL_arg6160z00_7708
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd250375zd2_7707));
																																																													BgL_arg6161z00_7709
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd250375zd2_7707));
																																																													BgL_arg6162z00_7710
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_26523;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_26526;
																																																															obj_t
																																																																BgL_bodyz00_26525;
																																																															obj_t
																																																																BgL_varsz00_26524;
																																																															BgL_varsz00_26524
																																																																=
																																																																BgL_arg6160z00_7708;
																																																															BgL_bodyz00_26525
																																																																=
																																																																BgL_arg6161z00_7709;
																																																															BgL_argsz00_26526
																																																																=
																																																																BgL_arg6162z00_7710;
																																																															BgL_argsz00_1734
																																																																=
																																																																BgL_argsz00_26526;
																																																															BgL_bodyz00_1733
																																																																=
																																																																BgL_bodyz00_26525;
																																																															BgL_varsz00_1732
																																																																=
																																																																BgL_varsz00_26524;
																																																															goto
																																																																BgL_tagzd2386zd2_1735;
																																																														}
																																																														BgL_auxz00_21990
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_26523);
																																																													}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 118 */
																																																												goto
																																																													BgL_tagzd2403zd2_1769;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_26530;
																																																												goto
																																																													BgL_tagzd2404zd2_1770;
																																																												BgL_auxz00_21990
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_26530);
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd250513zd2_7715;
																																																								BgL_cdrzd250513zd2_7715
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd250144zd2_7647));
																																																								if ((CAR(((obj_t) BgL_carzd250144zd2_7647)) == CNST_TABLE_REF(((long) 1))))
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (PAIRP(BgL_cdrzd250513zd2_7715))
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd250518zd2_7719;
																																																												BgL_cdrzd250518zd2_7719
																																																													=
																																																													CDR
																																																													(BgL_cdrzd250513zd2_7715);
																																																												if (PAIRP(BgL_cdrzd250518zd2_7719))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd250522zd2_7721;
																																																														obj_t
																																																															BgL_cdrzd250523zd2_7722;
																																																														BgL_carzd250522zd2_7721
																																																															=
																																																															CAR
																																																															(BgL_cdrzd250518zd2_7719);
																																																														BgL_cdrzd250523zd2_7722
																																																															=
																																																															CDR
																																																															(BgL_cdrzd250518zd2_7719);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250522zd2_7721))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (PAIRP(BgL_cdrzd250523zd2_7722))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd250528zd2_7725;
																																																																		BgL_carzd250528zd2_7725
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd250523zd2_7722);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250528zd2_7725))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (NULLP(CDR(BgL_cdrzd250523zd2_7722)))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						bool_t
																																																																							BgL_testz00_26556;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1450z00_7758;
																																																																							BgL_l1450z00_7758
																																																																								=
																																																																								BgL_cdrzd250145zd2_7648;
																																																																						BgL_zc3anonymousza36189ze3z83_7759:
																																																																							if (NULLP(BgL_l1450z00_7758))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_26556
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									bool_t
																																																																										BgL_testz00_26559;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										bool_t
																																																																											BgL_testz00_26560;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_tmpz00_26561;
																																																																											BgL_tmpz00_26561
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_l1450z00_7758));
																																																																											BgL_testz00_26560
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_26561);
																																																																										}
																																																																										if (BgL_testz00_26560)
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_26559
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_26559
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_testz00_26559)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1450z00_26565;
																																																																											BgL_l1450z00_26565
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_l1450z00_7758));
																																																																											BgL_l1450z00_7758
																																																																												=
																																																																												BgL_l1450z00_26565;
																																																																											goto
																																																																												BgL_zc3anonymousza36189ze3z83_7759;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_26556
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_testz00_26556)
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg6179z00_7741;
																																																																								BgL_arg6179z00_7741
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd250513zd2_7715);
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_26569;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_26573;
																																																																										obj_t
																																																																											BgL_proc2z00_26572;
																																																																										obj_t
																																																																											BgL_proc1z00_26571;
																																																																										obj_t
																																																																											BgL_testz00_26570;
																																																																										BgL_testz00_26570
																																																																											=
																																																																											BgL_arg6179z00_7741;
																																																																										BgL_proc1z00_26571
																																																																											=
																																																																											BgL_carzd250522zd2_7721;
																																																																										BgL_proc2z00_26572
																																																																											=
																																																																											BgL_carzd250528zd2_7725;
																																																																										BgL_argsz00_26573
																																																																											=
																																																																											BgL_cdrzd250145zd2_7648;
																																																																										BgL_argsz00_1739
																																																																											=
																																																																											BgL_argsz00_26573;
																																																																										BgL_proc2z00_1738
																																																																											=
																																																																											BgL_proc2z00_26572;
																																																																										BgL_proc1z00_1737
																																																																											=
																																																																											BgL_proc1z00_26571;
																																																																										BgL_testz00_1736
																																																																											=
																																																																											BgL_testz00_26570;
																																																																										goto
																																																																											BgL_tagzd2387zd2_1740;
																																																																									}
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_26569);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd250553zd2_7742;
																																																																								BgL_cdrzd250553zd2_7742
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd250561zd2_7743;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_12863;
																																																																										BgL_pairz00_12863
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd250561zd2_7743
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_12863);
																																																																									}
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd250569zd2_7744;
																																																																										BgL_cdrzd250569zd2_7744
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd250561zd2_7743));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd250576zd2_7745;
																																																																											BgL_carzd250576zd2_7745
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd250569zd2_7744));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250576zd2_7745))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd250585zd2_7747;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_12867;
																																																																														BgL_pairz00_12867
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd250569zd2_7744));
																																																																														BgL_carzd250585zd2_7747
																																																																															=
																																																																															CAR
																																																																															(BgL_pairz00_12867);
																																																																													}
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250585zd2_7747))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd250553zd2_7742))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg6183z00_7750;
																																																																																	BgL_arg6183z00_7750
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd250561zd2_7743));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_26595;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_26599;
																																																																																			obj_t
																																																																																				BgL_proc2z00_26598;
																																																																																			obj_t
																																																																																				BgL_proc1z00_26597;
																																																																																			obj_t
																																																																																				BgL_testz00_26596;
																																																																																			BgL_testz00_26596
																																																																																				=
																																																																																				BgL_arg6183z00_7750;
																																																																																			BgL_proc1z00_26597
																																																																																				=
																																																																																				BgL_carzd250576zd2_7745;
																																																																																			BgL_proc2z00_26598
																																																																																				=
																																																																																				BgL_carzd250585zd2_7747;
																																																																																			BgL_argsz00_26599
																																																																																				=
																																																																																				BgL_cdrzd250553zd2_7742;
																																																																																			BgL_argsz00_1744
																																																																																				=
																																																																																				BgL_argsz00_26599;
																																																																																			BgL_proc2z00_1743
																																																																																				=
																																																																																				BgL_proc2z00_26598;
																																																																																			BgL_proc1z00_1742
																																																																																				=
																																																																																				BgL_proc1z00_26597;
																																																																																			BgL_testz00_1741
																																																																																				=
																																																																																				BgL_testz00_26596;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1745;
																																																																																		}
																																																																																		BgL_auxz00_21990
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_26595);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_26603;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_21990
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_26603);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_26607;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_26607);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_26611;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26611);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_26615;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_21990
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_26615);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd250863zd2_7769;
																																																																				BgL_cdrzd250863zd2_7769
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd250870zd2_7770;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_pairz00_12871;
																																																																						BgL_pairz00_12871
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd250870zd2_7770
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12871);
																																																																					}
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd250877zd2_7771;
																																																																						BgL_cdrzd250877zd2_7771
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd250870zd2_7770));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd250883zd2_7772;
																																																																							obj_t
																																																																								BgL_cdrzd250884zd2_7773;
																																																																							BgL_carzd250883zd2_7772
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd250877zd2_7771));
																																																																							BgL_cdrzd250884zd2_7773
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd250877zd2_7771));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250883zd2_7772))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd250891zd2_7775;
																																																																									BgL_carzd250891zd2_7775
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd250884zd2_7773));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250891zd2_7775))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (NULLP(CDR(((obj_t) BgL_cdrzd250884zd2_7773))))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd250863zd2_7769))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg6198z00_7780;
																																																																															BgL_arg6198z00_7780
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd250870zd2_7770));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_26642;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_26646;
																																																																																	obj_t
																																																																																		BgL_proc2z00_26645;
																																																																																	obj_t
																																																																																		BgL_proc1z00_26644;
																																																																																	obj_t
																																																																																		BgL_testz00_26643;
																																																																																	BgL_testz00_26643
																																																																																		=
																																																																																		BgL_arg6198z00_7780;
																																																																																	BgL_proc1z00_26644
																																																																																		=
																																																																																		BgL_carzd250883zd2_7772;
																																																																																	BgL_proc2z00_26645
																																																																																		=
																																																																																		BgL_carzd250891zd2_7775;
																																																																																	BgL_argsz00_26646
																																																																																		=
																																																																																		BgL_cdrzd250863zd2_7769;
																																																																																	BgL_argsz00_1744
																																																																																		=
																																																																																		BgL_argsz00_26646;
																																																																																	BgL_proc2z00_1743
																																																																																		=
																																																																																		BgL_proc2z00_26645;
																																																																																	BgL_proc1z00_1742
																																																																																		=
																																																																																		BgL_proc1z00_26644;
																																																																																	BgL_testz00_1741
																																																																																		=
																																																																																		BgL_testz00_26643;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1745;
																																																																																}
																																																																																BgL_auxz00_21990
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_26642);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_26650;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_21990
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_26650);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_26654;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26654);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26658;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26658);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26662;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26662);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_26666;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_21990
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_26666);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd251224zd2_7788;
																																																																BgL_cdrzd251224zd2_7788
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd251230zd2_7789;
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_pairz00_12881;
																																																																		BgL_pairz00_12881
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd251230zd2_7789
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_12881);
																																																																	}
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd251236zd2_7790;
																																																																		BgL_cdrzd251236zd2_7790
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd251230zd2_7789));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd251241zd2_7791;
																																																																			obj_t
																																																																				BgL_cdrzd251242zd2_7792;
																																																																			BgL_carzd251241zd2_7791
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd251236zd2_7790));
																																																																			BgL_cdrzd251242zd2_7792
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd251236zd2_7790));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251241zd2_7791))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd251242zd2_7792))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd251247zd2_7795;
																																																																							BgL_carzd251247zd2_7795
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd251242zd2_7792);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251247zd2_7795))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(BgL_cdrzd251242zd2_7792)))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd251224zd2_7788))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg6212z00_7800;
																																																																													BgL_arg6212z00_7800
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd251230zd2_7789));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_26693;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_26697;
																																																																															obj_t
																																																																																BgL_proc2z00_26696;
																																																																															obj_t
																																																																																BgL_proc1z00_26695;
																																																																															obj_t
																																																																																BgL_testz00_26694;
																																																																															BgL_testz00_26694
																																																																																=
																																																																																BgL_arg6212z00_7800;
																																																																															BgL_proc1z00_26695
																																																																																=
																																																																																BgL_carzd251241zd2_7791;
																																																																															BgL_proc2z00_26696
																																																																																=
																																																																																BgL_carzd251247zd2_7795;
																																																																															BgL_argsz00_26697
																																																																																=
																																																																																BgL_cdrzd251224zd2_7788;
																																																																															BgL_argsz00_1744
																																																																																=
																																																																																BgL_argsz00_26697;
																																																																															BgL_proc2z00_1743
																																																																																=
																																																																																BgL_proc2z00_26696;
																																																																															BgL_proc1z00_1742
																																																																																=
																																																																																BgL_proc1z00_26695;
																																																																															BgL_testz00_1741
																																																																																=
																																																																																BgL_testz00_26694;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1745;
																																																																														}
																																																																														BgL_auxz00_21990
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_26693);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_26701;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26701);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26705;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26705);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26709;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26709);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_26713;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_26713);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_26717;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_26717);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1769;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_26721;
																																																																goto
																																																																	BgL_tagzd2404zd2_1770;
																																																																BgL_auxz00_21990
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_26721);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1769;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_26725;
																																																														goto
																																																															BgL_tagzd2404zd2_1770;
																																																														BgL_auxz00_21990
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_26725);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 118 */
																																																												goto
																																																													BgL_tagzd2403zd2_1769;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_26729;
																																																												goto
																																																													BgL_tagzd2404zd2_1770;
																																																												BgL_auxz00_21990
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_26729);
																																																											}
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_cdrzd251785zd2_7964;
																																					BgL_cdrzd251785zd2_7964
																																						=
																																						CDR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd248481zd2_7630
																																							==
																																							CNST_TABLE_REF
																																							(((long) 17))))
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_arg6328z00_7966;
																																							obj_t
																																								BgL_arg6329z00_7967;
																																							BgL_arg6328z00_7966
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd251785zd2_7964));
																																							BgL_arg6329z00_7967
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd251785zd2_7964));
																																							{
																																								BgL_nodez00_bglt
																																									BgL_auxz00_26740;
																																								{
																																									obj_t
																																										BgL_exprz00_26742;
																																									obj_t
																																										BgL_bindingsz00_26741;
																																									BgL_bindingsz00_26741
																																										=
																																										BgL_arg6328z00_7966;
																																									BgL_exprz00_26742
																																										=
																																										BgL_arg6329z00_7967;
																																									BgL_exprz00_1724
																																										=
																																										BgL_exprz00_26742;
																																									BgL_bindingsz00_1723
																																										=
																																										BgL_bindingsz00_26741;
																																									goto
																																										BgL_tagzd2382zd2_1725;
																																								}
																																								BgL_auxz00_21990
																																									=
																																									(
																																									(obj_t)
																																									BgL_auxz00_26740);
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd248481zd2_7630)))
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_arg6331z00_7969;
																																									obj_t
																																										BgL_arg6332z00_7970;
																																									BgL_arg6331z00_7969
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd251785zd2_7964));
																																									BgL_arg6332z00_7970
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd251785zd2_7964));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_26751;
																																										{
																																											obj_t
																																												BgL_exprz00_26753;
																																											obj_t
																																												BgL_bindingsz00_26752;
																																											BgL_bindingsz00_26752
																																												=
																																												BgL_arg6331z00_7969;
																																											BgL_exprz00_26753
																																												=
																																												BgL_arg6332z00_7970;
																																											BgL_exprz00_1724
																																												=
																																												BgL_exprz00_26753;
																																											BgL_bindingsz00_1723
																																												=
																																												BgL_bindingsz00_26752;
																																											goto
																																												BgL_tagzd2382zd2_1725;
																																										}
																																										BgL_auxz00_21990
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_26751);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((BgL_carzd248481zd2_7630 == CNST_TABLE_REF(((long) 18))))
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg6334z00_7972;
																																											obj_t
																																												BgL_arg6335z00_7973;
																																											BgL_arg6334z00_7972
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd251785zd2_7964));
																																											BgL_arg6335z00_7973
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd251785zd2_7964));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_26762;
																																												{
																																													obj_t
																																														BgL_exprz00_26764;
																																													obj_t
																																														BgL_bindingsz00_26763;
																																													BgL_bindingsz00_26763
																																														=
																																														BgL_arg6334z00_7972;
																																													BgL_exprz00_26764
																																														=
																																														BgL_arg6335z00_7973;
																																													BgL_exprz00_1724
																																														=
																																														BgL_exprz00_26764;
																																													BgL_bindingsz00_1723
																																														=
																																														BgL_bindingsz00_26763;
																																													goto
																																														BgL_tagzd2382zd2_1725;
																																												}
																																												BgL_auxz00_21990
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_26762);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_26771;
																																													goto
																																														BgL_tagzd2383zd2_1726;
																																													BgL_auxz00_21990
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_26771);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_carzd251822zd2_7976;
																																													BgL_carzd251822zd2_7976
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if ((BgL_carzd251822zd2_7976 == CNST_TABLE_REF(((long) 19))))
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_26778;
																																															goto
																																																BgL_tagzd2384zd2_1727;
																																															BgL_auxz00_21990
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_26778);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd251822zd2_7976)))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_26783;
																																																	goto
																																																		BgL_tagzd2384zd2_1727;
																																																	BgL_auxz00_21990
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_26783);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_26790;
																																																			goto
																																																				BgL_tagzd2389zd2_1746;
																																																			BgL_auxz00_21990
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_26790);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_26797;
																																																					goto
																																																						BgL_tagzd2390zd2_1747;
																																																					BgL_auxz00_21990
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_26797);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd251902zd2_7983;
																																																					BgL_cdrzd251902zd2_7983
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 21))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_arg6346z00_7986;
																																																							obj_t
																																																								BgL_arg6347z00_7987;
																																																							BgL_arg6346z00_7986
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd251902zd2_7983));
																																																							BgL_arg6347z00_7987
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd251902zd2_7983));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_26810;
																																																								{
																																																									obj_t
																																																										BgL_restz00_26812;
																																																									obj_t
																																																										BgL_effectz00_26811;
																																																									BgL_effectz00_26811
																																																										=
																																																										BgL_arg6346z00_7986;
																																																									BgL_restz00_26812
																																																										=
																																																										BgL_arg6347z00_7987;
																																																									BgL_restz00_1749
																																																										=
																																																										BgL_restz00_26812;
																																																									BgL_effectz00_1748
																																																										=
																																																										BgL_effectz00_26811;
																																																									goto
																																																										BgL_tagzd2391zd2_1750;
																																																								}
																																																								BgL_auxz00_21990
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_26810);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_26819;
																																																									goto
																																																										BgL_tagzd2392zd2_1751;
																																																									BgL_auxz00_21990
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_26819);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_26826;
																																																											goto
																																																												BgL_tagzd2393zd2_1752;
																																																											BgL_auxz00_21990
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_26826);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 24))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_arg6354z00_7995;
																																																													obj_t
																																																														BgL_arg6355z00_7996;
																																																													BgL_arg6354z00_7995
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd251902zd2_7983));
																																																													BgL_arg6355z00_7996
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd251902zd2_7983));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_26837;
																																																														{
																																																															obj_t
																																																																BgL_restz00_26839;
																																																															obj_t
																																																																BgL_effectz00_26838;
																																																															BgL_effectz00_26838
																																																																=
																																																																BgL_arg6354z00_7995;
																																																															BgL_restz00_26839
																																																																=
																																																																BgL_arg6355z00_7996;
																																																															BgL_restz00_1754
																																																																=
																																																																BgL_restz00_26839;
																																																															BgL_effectz00_1753
																																																																=
																																																																BgL_effectz00_26838;
																																																															goto
																																																																BgL_tagzd2394zd2_1755;
																																																														}
																																																														BgL_auxz00_21990
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_26837);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_26846;
																																																															goto
																																																																BgL_tagzd2395zd2_1756;
																																																															BgL_auxz00_21990
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_26846);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_26853;
																																																																	goto
																																																																		BgL_tagzd2396zd2_1757;
																																																																	BgL_auxz00_21990
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_26853);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																																		{
																																																																			BgL_letzd2funzd2_bglt
																																																																				BgL_auxz00_26860;
																																																																			goto
																																																																				BgL_tagzd2397zd2_1758;
																																																																			BgL_auxz00_21990
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_26860);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																																				{
																																																																					BgL_jumpzd2exzd2itz00_bglt
																																																																						BgL_auxz00_26867;
																																																																					goto
																																																																						BgL_tagzd2398zd2_1759;
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_26867);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd251979zd2_8005;
																																																																					BgL_cdrzd251979zd2_8005
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 29))))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_arg6366z00_8008;
																																																																							obj_t
																																																																								BgL_arg6367z00_8009;
																																																																							BgL_arg6366z00_8008
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd251979zd2_8005));
																																																																							BgL_arg6367z00_8009
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd251979zd2_8005));
																																																																							{	/* Ast/sexp.scm 561 */
																																																																								obj_t
																																																																									BgL_arg6983z00_12920;
																																																																								BgL_arg6983z00_12920
																																																																									=
																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																									(BgL_expz00_21,
																																																																									BgL_locz00_23);
																																																																								BgL_auxz00_21990
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																									(BgL_expz00_21,
																																																																										BgL_arg6366z00_8008,
																																																																										CNST_TABLE_REF
																																																																										(((long) 4)), BgL_arg6367z00_8009, BgL_stackz00_22, BgL_arg6983z00_12920, BgL_sitez00_24));
																																																																						}}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_26886;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_26886);
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 118 */
																									obj_t BgL_carzd252004zd2_8025;

																									BgL_carzd252004zd2_8025 =
																										CAR(
																										((obj_t) BgL_expz00_21));
																									if (
																										(BgL_carzd252004zd2_8025 ==
																											CNST_TABLE_REF(((long)
																													1))))
																										{
																											BgL_nodez00_bglt
																												BgL_auxz00_26893;
																											goto
																												BgL_tagzd2377zd2_1714;
																											BgL_auxz00_21990 =
																												((obj_t)
																												BgL_auxz00_26893);
																										}
																									else
																										{	/* Ast/sexp.scm 118 */
																											if (
																												(BgL_carzd252004zd2_8025
																													==
																													BGl_za2ifza2z00zzast_sexpz00))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_26897;
																													goto
																														BgL_tagzd2377zd2_1714;
																													BgL_auxz00_21990 =
																														((obj_t)
																														BgL_auxz00_26897);
																												}
																											else
																												{	/* Ast/sexp.scm 118 */
																													if (
																														(CAR(
																																((obj_t)
																																	BgL_expz00_21))
																															==
																															CNST_TABLE_REF((
																																	(long) 7))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_26904;
																															goto
																																BgL_tagzd2379zd2_1718;
																															BgL_auxz00_21990 =
																																((obj_t)
																																BgL_auxz00_26904);
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			16))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_26911;
																																	goto
																																		BgL_tagzd2380zd2_1719;
																																	BgL_auxz00_21990
																																		=
																																		((obj_t)
																																		BgL_auxz00_26911);
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	obj_t
																																		BgL_carzd252073zd2_8032;
																																	BgL_carzd252073zd2_8032
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (PAIRP
																																		(BgL_carzd252073zd2_8032))
																																		{	/* Ast/sexp.scm 118 */
																																			obj_t
																																				BgL_carzd252076zd2_8034;
																																			obj_t
																																				BgL_cdrzd252077zd2_8035;
																																			BgL_carzd252076zd2_8034
																																				=
																																				CAR
																																				(BgL_carzd252073zd2_8032);
																																			BgL_cdrzd252077zd2_8035
																																				=
																																				CDR
																																				(BgL_carzd252073zd2_8032);
																																			{

																																				if (
																																					(BgL_carzd252076zd2_8034
																																						==
																																						CNST_TABLE_REF
																																						(((long) 17))))
																																					{	/* Ast/sexp.scm 118 */
																																					BgL_kapzd252078zd2_8036:
																																						if (PAIRP(BgL_cdrzd252077zd2_8035))
																																							{	/* Ast/sexp.scm 118 */
																																								obj_t
																																									BgL_cdrzd252081zd2_8155;
																																								BgL_cdrzd252081zd2_8155
																																									=
																																									CDR
																																									(BgL_cdrzd252077zd2_8035);
																																								if (PAIRP(BgL_cdrzd252081zd2_8155))
																																									{	/* Ast/sexp.scm 118 */
																																										if (NULLP(CDR(BgL_cdrzd252081zd2_8155)))
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_arg6469z00_8159;
																																												obj_t
																																													BgL_arg6470z00_8160;
																																												BgL_arg6469z00_8159
																																													=
																																													CAR
																																													(BgL_cdrzd252081zd2_8155);
																																												BgL_arg6470z00_8160
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_26933;
																																													{
																																														obj_t
																																															BgL_argsz00_26935;
																																														obj_t
																																															BgL_bodyz00_26934;
																																														BgL_bodyz00_26934
																																															=
																																															BgL_arg6469z00_8159;
																																														BgL_argsz00_26935
																																															=
																																															BgL_arg6470z00_8160;
																																														BgL_argsz00_1721
																																															=
																																															BgL_argsz00_26935;
																																														BgL_bodyz00_1720
																																															=
																																															BgL_bodyz00_26934;
																																														goto
																																															BgL_tagzd2381zd2_1722;
																																													}
																																													BgL_auxz00_21990
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_26933);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_26937;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg6534z00_8266;
																																													BgL_arg6534z00_8266
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_26937
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg6534z00_8266));
																																												}
																																												if (BgL_testz00_26937)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_26942;
																																														goto
																																															BgL_tagzd2384zd2_1727;
																																														BgL_auxz00_21990
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_26942);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_carzd252159zd2_8163;
																																														BgL_carzd252159zd2_8163
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_cdrzd252164zd2_8164;
																																															BgL_cdrzd252164zd2_8164
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd252159zd2_8163));
																																															if ((CAR(((obj_t) BgL_carzd252159zd2_8163)) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg6475z00_8167;
																																																	obj_t
																																																		BgL_arg6476z00_8168;
																																																	obj_t
																																																		BgL_arg6477z00_8169;
																																																	BgL_arg6475z00_8167
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd252164zd2_8164));
																																																	BgL_arg6476z00_8168
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd252164zd2_8164));
																																																	BgL_arg6477z00_8169
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_26959;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_26962;
																																																			obj_t
																																																				BgL_bodyz00_26961;
																																																			obj_t
																																																				BgL_varsz00_26960;
																																																			BgL_varsz00_26960
																																																				=
																																																				BgL_arg6475z00_8167;
																																																			BgL_bodyz00_26961
																																																				=
																																																				BgL_arg6476z00_8168;
																																																			BgL_argsz00_26962
																																																				=
																																																				BgL_arg6477z00_8169;
																																																			BgL_argsz00_1734
																																																				=
																																																				BgL_argsz00_26962;
																																																			BgL_bodyz00_1733
																																																				=
																																																				BgL_bodyz00_26961;
																																																			BgL_varsz00_1732
																																																				=
																																																				BgL_varsz00_26960;
																																																			goto
																																																				BgL_tagzd2386zd2_1735;
																																																		}
																																																		BgL_auxz00_21990
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_26959);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_cdrzd252187zd2_8171;
																																																	BgL_cdrzd252187zd2_8171
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_cdrzd252193zd2_8172;
																																																		BgL_cdrzd252193zd2_8172
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_carzd252159zd2_8163));
																																																		if ((CAR(((obj_t) BgL_carzd252159zd2_8163)) == CNST_TABLE_REF(((long) 1))))
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd252199zd2_8175;
																																																				BgL_cdrzd252199zd2_8175
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd252193zd2_8172));
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_carzd252204zd2_8176;
																																																					obj_t
																																																						BgL_cdrzd252205zd2_8177;
																																																					BgL_carzd252204zd2_8176
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd252199zd2_8175));
																																																					BgL_cdrzd252205zd2_8177
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd252199zd2_8175));
																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252204zd2_8176))
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (PAIRP(BgL_cdrzd252205zd2_8177))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd252212zd2_8180;
																																																									BgL_carzd252212zd2_8180
																																																										=
																																																										CAR
																																																										(BgL_cdrzd252205zd2_8177);
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252212zd2_8180))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (NULLP(CDR(BgL_cdrzd252205zd2_8177)))
																																																												{	/* Ast/sexp.scm 118 */
																																																													bool_t
																																																														BgL_testz00_26989;
																																																													{
																																																														obj_t
																																																															BgL_l1453z00_8213;
																																																														BgL_l1453z00_8213
																																																															=
																																																															BgL_cdrzd252187zd2_8171;
																																																													BgL_zc3anonymousza36500ze3z83_8214:
																																																														if (NULLP(BgL_l1453z00_8213))
																																																															{	/* Ast/sexp.scm 118 */
																																																																BgL_testz00_26989
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	1);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																bool_t
																																																																	BgL_testz00_26992;
																																																																{	/* Ast/sexp.scm 118 */
																																																																	bool_t
																																																																		BgL_testz00_26993;
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_tmpz00_26994;
																																																																		BgL_tmpz00_26994
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_l1453z00_8213));
																																																																		BgL_testz00_26993
																																																																			=
																																																																			PAIRP
																																																																			(BgL_tmpz00_26994);
																																																																	}
																																																																	if (BgL_testz00_26993)
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			BgL_testz00_26992
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			BgL_testz00_26992
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				1);
																																																																		}
																																																																}
																																																																if (BgL_testz00_26992)
																																																																	{
																																																																		obj_t
																																																																			BgL_l1453z00_26998;
																																																																		BgL_l1453z00_26998
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_l1453z00_8213));
																																																																		BgL_l1453z00_8213
																																																																			=
																																																																			BgL_l1453z00_26998;
																																																																		goto
																																																																			BgL_zc3anonymousza36500ze3z83_8214;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		BgL_testz00_26989
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			0);
																																																																	}
																																																															}
																																																													}
																																																													if (BgL_testz00_26989)
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_arg6490z00_8196;
																																																															BgL_arg6490z00_8196
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd252193zd2_8172));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_27003;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_27007;
																																																																	obj_t
																																																																		BgL_proc2z00_27006;
																																																																	obj_t
																																																																		BgL_proc1z00_27005;
																																																																	obj_t
																																																																		BgL_testz00_27004;
																																																																	BgL_testz00_27004
																																																																		=
																																																																		BgL_arg6490z00_8196;
																																																																	BgL_proc1z00_27005
																																																																		=
																																																																		BgL_carzd252204zd2_8176;
																																																																	BgL_proc2z00_27006
																																																																		=
																																																																		BgL_carzd252212zd2_8180;
																																																																	BgL_argsz00_27007
																																																																		=
																																																																		BgL_cdrzd252187zd2_8171;
																																																																	BgL_argsz00_1739
																																																																		=
																																																																		BgL_argsz00_27007;
																																																																	BgL_proc2z00_1738
																																																																		=
																																																																		BgL_proc2z00_27006;
																																																																	BgL_proc1z00_1737
																																																																		=
																																																																		BgL_proc1z00_27005;
																																																																	BgL_testz00_1736
																																																																		=
																																																																		BgL_testz00_27004;
																																																																	goto
																																																																		BgL_tagzd2387zd2_1740;
																																																																}
																																																																BgL_auxz00_21990
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_27003);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd252236zd2_8197;
																																																															BgL_cdrzd252236zd2_8197
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd252243zd2_8198;
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_pairz00_12960;
																																																																	BgL_pairz00_12960
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd252243zd2_8198
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_12960);
																																																																}
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd252250zd2_8199;
																																																																	BgL_cdrzd252250zd2_8199
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd252243zd2_8198));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd252256zd2_8200;
																																																																		BgL_carzd252256zd2_8200
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd252250zd2_8199));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252256zd2_8200))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd252263zd2_8202;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_pairz00_12964;
																																																																					BgL_pairz00_12964
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd252250zd2_8199));
																																																																					BgL_carzd252263zd2_8202
																																																																						=
																																																																						CAR
																																																																						(BgL_pairz00_12964);
																																																																				}
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252263zd2_8202))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd252236zd2_8197))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg6494z00_8205;
																																																																								BgL_arg6494z00_8205
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd252243zd2_8198));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_27029;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_27033;
																																																																										obj_t
																																																																											BgL_proc2z00_27032;
																																																																										obj_t
																																																																											BgL_proc1z00_27031;
																																																																										obj_t
																																																																											BgL_testz00_27030;
																																																																										BgL_testz00_27030
																																																																											=
																																																																											BgL_arg6494z00_8205;
																																																																										BgL_proc1z00_27031
																																																																											=
																																																																											BgL_carzd252256zd2_8200;
																																																																										BgL_proc2z00_27032
																																																																											=
																																																																											BgL_carzd252263zd2_8202;
																																																																										BgL_argsz00_27033
																																																																											=
																																																																											BgL_cdrzd252236zd2_8197;
																																																																										BgL_argsz00_1744
																																																																											=
																																																																											BgL_argsz00_27033;
																																																																										BgL_proc2z00_1743
																																																																											=
																																																																											BgL_proc2z00_27032;
																																																																										BgL_proc1z00_1742
																																																																											=
																																																																											BgL_proc1z00_27031;
																																																																										BgL_testz00_1741
																																																																											=
																																																																											BgL_testz00_27030;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1745;
																																																																									}
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_27029);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_27037;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_21990
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_27037);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_27041;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_21990
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_27041);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_27045;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_21990
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_27045);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1769;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_27049;
																																																															goto
																																																																BgL_tagzd2404zd2_1770;
																																																															BgL_auxz00_21990
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_27049);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd252539zd2_8224;
																																																											BgL_cdrzd252539zd2_8224
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd252545zd2_8225;
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_pairz00_12968;
																																																													BgL_pairz00_12968
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_cdrzd252545zd2_8225
																																																														=
																																																														CDR
																																																														(BgL_pairz00_12968);
																																																												}
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd252551zd2_8226;
																																																													BgL_cdrzd252551zd2_8226
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd252545zd2_8225));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd252556zd2_8227;
																																																														obj_t
																																																															BgL_cdrzd252557zd2_8228;
																																																														BgL_carzd252556zd2_8227
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd252551zd2_8226));
																																																														BgL_cdrzd252557zd2_8228
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd252551zd2_8226));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252556zd2_8227))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd252562zd2_8230;
																																																																BgL_carzd252562zd2_8230
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd252557zd2_8228));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252562zd2_8230))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd252557zd2_8228))))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd252539zd2_8224))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg6509z00_8235;
																																																																						BgL_arg6509z00_8235
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd252545zd2_8225));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_27076;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_27080;
																																																																								obj_t
																																																																									BgL_proc2z00_27079;
																																																																								obj_t
																																																																									BgL_proc1z00_27078;
																																																																								obj_t
																																																																									BgL_testz00_27077;
																																																																								BgL_testz00_27077
																																																																									=
																																																																									BgL_arg6509z00_8235;
																																																																								BgL_proc1z00_27078
																																																																									=
																																																																									BgL_carzd252556zd2_8227;
																																																																								BgL_proc2z00_27079
																																																																									=
																																																																									BgL_carzd252562zd2_8230;
																																																																								BgL_argsz00_27080
																																																																									=
																																																																									BgL_cdrzd252539zd2_8224;
																																																																								BgL_argsz00_1744
																																																																									=
																																																																									BgL_argsz00_27080;
																																																																								BgL_proc2z00_1743
																																																																									=
																																																																									BgL_proc2z00_27079;
																																																																								BgL_proc1z00_1742
																																																																									=
																																																																									BgL_proc1z00_27078;
																																																																								BgL_testz00_1741
																																																																									=
																																																																									BgL_testz00_27077;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1745;
																																																																							}
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_27076);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_27084;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_21990
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_27084);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_27088;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_21990
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_27088);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_27092;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_21990
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_27092);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1769;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_27096;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1770;
																																																																		BgL_auxz00_21990
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_27096);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2403zd2_1769;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_27100;
																																																											goto
																																																												BgL_tagzd2404zd2_1770;
																																																											BgL_auxz00_21990
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_27100);
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd252895zd2_8243;
																																																							BgL_cdrzd252895zd2_8243
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd252902zd2_8244;
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_pairz00_12978;
																																																									BgL_pairz00_12978
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdrzd252902zd2_8244
																																																										=
																																																										CDR
																																																										(BgL_pairz00_12978);
																																																								}
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd252909zd2_8245;
																																																									BgL_cdrzd252909zd2_8245
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd252902zd2_8244));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_carzd252915zd2_8246;
																																																										obj_t
																																																											BgL_cdrzd252916zd2_8247;
																																																										BgL_carzd252915zd2_8246
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd252909zd2_8245));
																																																										BgL_cdrzd252916zd2_8247
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd252909zd2_8245));
																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252915zd2_8246))
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (PAIRP(BgL_cdrzd252916zd2_8247))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd252923zd2_8250;
																																																														BgL_carzd252923zd2_8250
																																																															=
																																																															CAR
																																																															(BgL_cdrzd252916zd2_8247);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252923zd2_8250))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (NULLP(CDR(BgL_cdrzd252916zd2_8247)))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd252895zd2_8243))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_arg6523z00_8255;
																																																																				BgL_arg6523z00_8255
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd252902zd2_8244));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_27127;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_27131;
																																																																						obj_t
																																																																							BgL_proc2z00_27130;
																																																																						obj_t
																																																																							BgL_proc1z00_27129;
																																																																						obj_t
																																																																							BgL_testz00_27128;
																																																																						BgL_testz00_27128
																																																																							=
																																																																							BgL_arg6523z00_8255;
																																																																						BgL_proc1z00_27129
																																																																							=
																																																																							BgL_carzd252915zd2_8246;
																																																																						BgL_proc2z00_27130
																																																																							=
																																																																							BgL_carzd252923zd2_8250;
																																																																						BgL_argsz00_27131
																																																																							=
																																																																							BgL_cdrzd252895zd2_8243;
																																																																						BgL_argsz00_1744
																																																																							=
																																																																							BgL_argsz00_27131;
																																																																						BgL_proc2z00_1743
																																																																							=
																																																																							BgL_proc2z00_27130;
																																																																						BgL_proc1z00_1742
																																																																							=
																																																																							BgL_proc1z00_27129;
																																																																						BgL_testz00_1741
																																																																							=
																																																																							BgL_testz00_27128;
																																																																						goto
																																																																							BgL_tagzd2388zd2_1745;
																																																																					}
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_27127);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_27135;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_21990
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_27135);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_27139;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_21990
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_27139);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1769;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_27143;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1770;
																																																																		BgL_auxz00_21990
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_27143);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1769;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_27147;
																																																																goto
																																																																	BgL_tagzd2404zd2_1770;
																																																																BgL_auxz00_21990
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_27147);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1769;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_27151;
																																																														goto
																																																															BgL_tagzd2404zd2_1770;
																																																														BgL_auxz00_21990
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_27151);
																																																													}
																																																											}
																																																									}
																																																								}
																																																							}
																																																						}
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{	/* Ast/sexp.scm 118 */
																																																						goto
																																																							BgL_tagzd2403zd2_1769;
																																																					}
																																																				else
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_27155;
																																																						goto
																																																							BgL_tagzd2404zd2_1770;
																																																						BgL_auxz00_21990
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_27155);
																																																					}
																																																			}
																																																	}
																																																}
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										bool_t
																																											BgL_testz00_27157;
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg6545z00_8279;
																																											BgL_arg6545z00_8279
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_testz00_27157
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg6545z00_8279));
																																										}
																																										if (BgL_testz00_27157)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_27162;
																																												goto
																																													BgL_tagzd2384zd2_1727;
																																												BgL_auxz00_21990
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_27162);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_carzd253369zd2_8270;
																																												BgL_carzd253369zd2_8270
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_cdrzd253374zd2_8271;
																																													BgL_cdrzd253374zd2_8271
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_carzd253369zd2_8270));
																																													if ((CAR(((obj_t) BgL_carzd253369zd2_8270)) == CNST_TABLE_REF(((long) 3))))
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg6540z00_8274;
																																															obj_t
																																																BgL_arg6541z00_8275;
																																															obj_t
																																																BgL_arg6542z00_8276;
																																															BgL_arg6540z00_8274
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd253374zd2_8271));
																																															BgL_arg6541z00_8275
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd253374zd2_8271));
																																															BgL_arg6542z00_8276
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_27179;
																																																{
																																																	obj_t
																																																		BgL_argsz00_27182;
																																																	obj_t
																																																		BgL_bodyz00_27181;
																																																	obj_t
																																																		BgL_varsz00_27180;
																																																	BgL_varsz00_27180
																																																		=
																																																		BgL_arg6540z00_8274;
																																																	BgL_bodyz00_27181
																																																		=
																																																		BgL_arg6541z00_8275;
																																																	BgL_argsz00_27182
																																																		=
																																																		BgL_arg6542z00_8276;
																																																	BgL_argsz00_1734
																																																		=
																																																		BgL_argsz00_27182;
																																																	BgL_bodyz00_1733
																																																		=
																																																		BgL_bodyz00_27181;
																																																	BgL_varsz00_1732
																																																		=
																																																		BgL_varsz00_27180;
																																																	goto
																																																		BgL_tagzd2386zd2_1735;
																																																}
																																																BgL_auxz00_21990
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_27179);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																{	/* Ast/sexp.scm 118 */
																																																	goto
																																																		BgL_tagzd2403zd2_1769;
																																																}
																																															else
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_27186;
																																																	goto
																																																		BgL_tagzd2404zd2_1770;
																																																	BgL_auxz00_21990
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_27186);
																																																}
																																														}
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								bool_t
																																									BgL_testz00_27188;
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_arg6549z00_8283;
																																									BgL_arg6549z00_8283
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									BgL_testz00_27188
																																										=
																																										CBOOL
																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																										(BgL_arg6549z00_8283));
																																								}
																																								if (BgL_testz00_27188)
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_27193;
																																										goto
																																											BgL_tagzd2384zd2_1727;
																																										BgL_auxz00_21990
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_27193);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																											{	/* Ast/sexp.scm 118 */
																																												goto
																																													BgL_tagzd2403zd2_1769;
																																											}
																																										else
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_27197;
																																												goto
																																													BgL_tagzd2404zd2_1770;
																																												BgL_auxz00_21990
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_27197);
																																											}
																																									}
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 118 */
																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd252076zd2_8034)))
																																							{	/* Ast/sexp.scm 118 */
																																								goto
																																									BgL_kapzd252078zd2_8036;
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								if ((BgL_carzd252076zd2_8034 == CNST_TABLE_REF(((long) 18))))
																																									{	/* Ast/sexp.scm 118 */
																																										goto
																																											BgL_kapzd252078zd2_8036;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if ((BgL_carzd252076zd2_8034 == CNST_TABLE_REF(((long) 19))))
																																											{	/* Ast/sexp.scm 118 */
																																												goto
																																													BgL_kapzd252078zd2_8036;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd252076zd2_8034)))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_kapzd252078zd2_8036;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_27211;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg6464z00_8153;
																																															BgL_arg6464z00_8153
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_27211
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg6464z00_8153));
																																														}
																																														if (BgL_testz00_27211)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_27216;
																																																goto
																																																	BgL_tagzd2384zd2_1727;
																																																BgL_auxz00_21990
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_27216);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_carzd253697zd2_8044;
																																																BgL_carzd253697zd2_8044
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_cdrzd253702zd2_8045;
																																																	BgL_cdrzd253702zd2_8045
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd253697zd2_8044));
																																																	if ((CAR(((obj_t) BgL_carzd253697zd2_8044)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (PAIRP(BgL_cdrzd253702zd2_8045))
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg6400z00_8049;
																																																					obj_t
																																																						BgL_arg6401z00_8050;
																																																					obj_t
																																																						BgL_arg6402z00_8051;
																																																					BgL_arg6400z00_8049
																																																						=
																																																						CAR
																																																						(BgL_cdrzd253702zd2_8045);
																																																					BgL_arg6401z00_8050
																																																						=
																																																						CDR
																																																						(BgL_cdrzd253702zd2_8045);
																																																					BgL_arg6402z00_8051
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_27233;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_27236;
																																																							obj_t
																																																								BgL_bodyz00_27235;
																																																							obj_t
																																																								BgL_varsz00_27234;
																																																							BgL_varsz00_27234
																																																								=
																																																								BgL_arg6400z00_8049;
																																																							BgL_bodyz00_27235
																																																								=
																																																								BgL_arg6401z00_8050;
																																																							BgL_argsz00_27236
																																																								=
																																																								BgL_arg6402z00_8051;
																																																							BgL_argsz00_1734
																																																								=
																																																								BgL_argsz00_27236;
																																																							BgL_bodyz00_1733
																																																								=
																																																								BgL_bodyz00_27235;
																																																							BgL_varsz00_1732
																																																								=
																																																								BgL_varsz00_27234;
																																																							goto
																																																								BgL_tagzd2386zd2_1735;
																																																						}
																																																						BgL_auxz00_21990
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_27233);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 118 */
																																																							goto
																																																								BgL_tagzd2403zd2_1769;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_27240;
																																																							goto
																																																								BgL_tagzd2404zd2_1770;
																																																							BgL_auxz00_21990
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_27240);
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd253809zd2_8054;
																																																			BgL_cdrzd253809zd2_8054
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd253814zd2_8055;
																																																				BgL_cdrzd253814zd2_8055
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd253697zd2_8044));
																																																				if ((CAR(((obj_t) BgL_carzd253697zd2_8044)) == CNST_TABLE_REF(((long) 1))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (PAIRP(BgL_cdrzd253814zd2_8055))
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd253819zd2_8059;
																																																								BgL_cdrzd253819zd2_8059
																																																									=
																																																									CDR
																																																									(BgL_cdrzd253814zd2_8055);
																																																								if (PAIRP(BgL_cdrzd253819zd2_8059))
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_carzd253823zd2_8061;
																																																										obj_t
																																																											BgL_cdrzd253824zd2_8062;
																																																										BgL_carzd253823zd2_8061
																																																											=
																																																											CAR
																																																											(BgL_cdrzd253819zd2_8059);
																																																										BgL_cdrzd253824zd2_8062
																																																											=
																																																											CDR
																																																											(BgL_cdrzd253819zd2_8059);
																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253823zd2_8061))
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (PAIRP(BgL_cdrzd253824zd2_8062))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd253829zd2_8065;
																																																														BgL_carzd253829zd2_8065
																																																															=
																																																															CAR
																																																															(BgL_cdrzd253824zd2_8062);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253829zd2_8065))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (NULLP(CDR(BgL_cdrzd253824zd2_8062)))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		bool_t
																																																																			BgL_testz00_27268;
																																																																		{
																																																																			obj_t
																																																																				BgL_l1456z00_8098;
																																																																			BgL_l1456z00_8098
																																																																				=
																																																																				BgL_cdrzd253809zd2_8054;
																																																																		BgL_zc3anonymousza36428ze3z83_8099:
																																																																			if (NULLP(BgL_l1456z00_8098))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					BgL_testz00_27268
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					bool_t
																																																																						BgL_testz00_27271;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						bool_t
																																																																							BgL_testz00_27272;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_tmpz00_27273;
																																																																							BgL_tmpz00_27273
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_l1456z00_8098));
																																																																							BgL_testz00_27272
																																																																								=
																																																																								PAIRP
																																																																								(BgL_tmpz00_27273);
																																																																						}
																																																																						if (BgL_testz00_27272)
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								BgL_testz00_27271
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								BgL_testz00_27271
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																					}
																																																																					if (BgL_testz00_27271)
																																																																						{
																																																																							obj_t
																																																																								BgL_l1456z00_27277;
																																																																							BgL_l1456z00_27277
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_l1456z00_8098));
																																																																							BgL_l1456z00_8098
																																																																								=
																																																																								BgL_l1456z00_27277;
																																																																							goto
																																																																								BgL_zc3anonymousza36428ze3z83_8099;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_27268
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																				}
																																																																		}
																																																																		if (BgL_testz00_27268)
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_arg6418z00_8081;
																																																																				BgL_arg6418z00_8081
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd253814zd2_8055);
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_27281;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_27285;
																																																																						obj_t
																																																																							BgL_proc2z00_27284;
																																																																						obj_t
																																																																							BgL_proc1z00_27283;
																																																																						obj_t
																																																																							BgL_testz00_27282;
																																																																						BgL_testz00_27282
																																																																							=
																																																																							BgL_arg6418z00_8081;
																																																																						BgL_proc1z00_27283
																																																																							=
																																																																							BgL_carzd253823zd2_8061;
																																																																						BgL_proc2z00_27284
																																																																							=
																																																																							BgL_carzd253829zd2_8065;
																																																																						BgL_argsz00_27285
																																																																							=
																																																																							BgL_cdrzd253809zd2_8054;
																																																																						BgL_argsz00_1739
																																																																							=
																																																																							BgL_argsz00_27285;
																																																																						BgL_proc2z00_1738
																																																																							=
																																																																							BgL_proc2z00_27284;
																																																																						BgL_proc1z00_1737
																																																																							=
																																																																							BgL_proc1z00_27283;
																																																																						BgL_testz00_1736
																																																																							=
																																																																							BgL_testz00_27282;
																																																																						goto
																																																																							BgL_tagzd2387zd2_1740;
																																																																					}
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_27281);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd253854zd2_8082;
																																																																				BgL_cdrzd253854zd2_8082
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd253862zd2_8083;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_pairz00_13023;
																																																																						BgL_pairz00_13023
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd253862zd2_8083
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_13023);
																																																																					}
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd253870zd2_8084;
																																																																						BgL_cdrzd253870zd2_8084
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd253862zd2_8083));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd253877zd2_8085;
																																																																							BgL_carzd253877zd2_8085
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd253870zd2_8084));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253877zd2_8085))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd253886zd2_8087;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_13027;
																																																																										BgL_pairz00_13027
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd253870zd2_8084));
																																																																										BgL_carzd253886zd2_8087
																																																																											=
																																																																											CAR
																																																																											(BgL_pairz00_13027);
																																																																									}
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253886zd2_8087))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd253854zd2_8082))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg6422z00_8090;
																																																																													BgL_arg6422z00_8090
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd253862zd2_8083));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_27307;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_27311;
																																																																															obj_t
																																																																																BgL_proc2z00_27310;
																																																																															obj_t
																																																																																BgL_proc1z00_27309;
																																																																															obj_t
																																																																																BgL_testz00_27308;
																																																																															BgL_testz00_27308
																																																																																=
																																																																																BgL_arg6422z00_8090;
																																																																															BgL_proc1z00_27309
																																																																																=
																																																																																BgL_carzd253877zd2_8085;
																																																																															BgL_proc2z00_27310
																																																																																=
																																																																																BgL_carzd253886zd2_8087;
																																																																															BgL_argsz00_27311
																																																																																=
																																																																																BgL_cdrzd253854zd2_8082;
																																																																															BgL_argsz00_1744
																																																																																=
																																																																																BgL_argsz00_27311;
																																																																															BgL_proc2z00_1743
																																																																																=
																																																																																BgL_proc2z00_27310;
																																																																															BgL_proc1z00_1742
																																																																																=
																																																																																BgL_proc1z00_27309;
																																																																															BgL_testz00_1741
																																																																																=
																																																																																BgL_testz00_27308;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1745;
																																																																														}
																																																																														BgL_auxz00_21990
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_27307);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_27315;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_21990
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_27315);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_27319;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_27319);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_27323;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_27323);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_27327;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_21990
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_27327);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd254164zd2_8109;
																																																																BgL_cdrzd254164zd2_8109
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd254171zd2_8110;
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_pairz00_13031;
																																																																		BgL_pairz00_13031
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd254171zd2_8110
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_13031);
																																																																	}
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd254178zd2_8111;
																																																																		BgL_cdrzd254178zd2_8111
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd254171zd2_8110));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd254184zd2_8112;
																																																																			obj_t
																																																																				BgL_cdrzd254185zd2_8113;
																																																																			BgL_carzd254184zd2_8112
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd254178zd2_8111));
																																																																			BgL_cdrzd254185zd2_8113
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd254178zd2_8111));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd254184zd2_8112))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd254192zd2_8115;
																																																																					BgL_carzd254192zd2_8115
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd254185zd2_8113));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd254192zd2_8115))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(((obj_t) BgL_cdrzd254185zd2_8113))))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd254164zd2_8109))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_arg6437z00_8120;
																																																																											BgL_arg6437z00_8120
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd254171zd2_8110));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_27354;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_27358;
																																																																													obj_t
																																																																														BgL_proc2z00_27357;
																																																																													obj_t
																																																																														BgL_proc1z00_27356;
																																																																													obj_t
																																																																														BgL_testz00_27355;
																																																																													BgL_testz00_27355
																																																																														=
																																																																														BgL_arg6437z00_8120;
																																																																													BgL_proc1z00_27356
																																																																														=
																																																																														BgL_carzd254184zd2_8112;
																																																																													BgL_proc2z00_27357
																																																																														=
																																																																														BgL_carzd254192zd2_8115;
																																																																													BgL_argsz00_27358
																																																																														=
																																																																														BgL_cdrzd254164zd2_8109;
																																																																													BgL_argsz00_1744
																																																																														=
																																																																														BgL_argsz00_27358;
																																																																													BgL_proc2z00_1743
																																																																														=
																																																																														BgL_proc2z00_27357;
																																																																													BgL_proc1z00_1742
																																																																														=
																																																																														BgL_proc1z00_27356;
																																																																													BgL_testz00_1741
																																																																														=
																																																																														BgL_testz00_27355;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1745;
																																																																												}
																																																																												BgL_auxz00_21990
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_27354);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_27362;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_21990
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_27362);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_27366;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_27366);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_27370;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_27370);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_27374;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_27374);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1769;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_27378;
																																																																goto
																																																																	BgL_tagzd2404zd2_1770;
																																																																BgL_auxz00_21990
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_27378);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd254525zd2_8128;
																																																												BgL_cdrzd254525zd2_8128
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd254531zd2_8129;
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_pairz00_13041;
																																																														BgL_pairz00_13041
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_cdrzd254531zd2_8129
																																																															=
																																																															CDR
																																																															(BgL_pairz00_13041);
																																																													}
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd254537zd2_8130;
																																																														BgL_cdrzd254537zd2_8130
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd254531zd2_8129));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_carzd254542zd2_8131;
																																																															obj_t
																																																																BgL_cdrzd254543zd2_8132;
																																																															BgL_carzd254542zd2_8131
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd254537zd2_8130));
																																																															BgL_cdrzd254543zd2_8132
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd254537zd2_8130));
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd254542zd2_8131))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (PAIRP(BgL_cdrzd254543zd2_8132))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd254548zd2_8135;
																																																																			BgL_carzd254548zd2_8135
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd254543zd2_8132);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd254548zd2_8135))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (NULLP(CDR(BgL_cdrzd254543zd2_8132)))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd254525zd2_8128))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_arg6451z00_8140;
																																																																									BgL_arg6451z00_8140
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd254531zd2_8129));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_27405;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_27409;
																																																																											obj_t
																																																																												BgL_proc2z00_27408;
																																																																											obj_t
																																																																												BgL_proc1z00_27407;
																																																																											obj_t
																																																																												BgL_testz00_27406;
																																																																											BgL_testz00_27406
																																																																												=
																																																																												BgL_arg6451z00_8140;
																																																																											BgL_proc1z00_27407
																																																																												=
																																																																												BgL_carzd254542zd2_8131;
																																																																											BgL_proc2z00_27408
																																																																												=
																																																																												BgL_carzd254548zd2_8135;
																																																																											BgL_argsz00_27409
																																																																												=
																																																																												BgL_cdrzd254525zd2_8128;
																																																																											BgL_argsz00_1744
																																																																												=
																																																																												BgL_argsz00_27409;
																																																																											BgL_proc2z00_1743
																																																																												=
																																																																												BgL_proc2z00_27408;
																																																																											BgL_proc1z00_1742
																																																																												=
																																																																												BgL_proc1z00_27407;
																																																																											BgL_testz00_1741
																																																																												=
																																																																												BgL_testz00_27406;
																																																																											goto
																																																																												BgL_tagzd2388zd2_1745;
																																																																										}
																																																																										BgL_auxz00_21990
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_27405);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_27413;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_21990
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_27413);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_27417;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_21990
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_27417);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_27421;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_21990
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_27421);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1769;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_27425;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1770;
																																																																					BgL_auxz00_21990
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_27425);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1769;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_27429;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1770;
																																																																			BgL_auxz00_21990
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_27429);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 118 */
																																																												goto
																																																													BgL_tagzd2403zd2_1769;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_27433;
																																																												goto
																																																													BgL_tagzd2404zd2_1770;
																																																												BgL_auxz00_21990
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_27433);
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_tagzd2403zd2_1769;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_27437;
																																																										goto
																																																											BgL_tagzd2404zd2_1770;
																																																										BgL_auxz00_21990
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_27437);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_tagzd2403zd2_1769;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_27441;
																																																								goto
																																																									BgL_tagzd2404zd2_1770;
																																																								BgL_auxz00_21990
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_27441);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			if (
																																				(BgL_carzd252073zd2_8032
																																					==
																																					CNST_TABLE_REF
																																					(((long) 20))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_27446;
																																					goto
																																						BgL_tagzd2383zd2_1726;
																																					BgL_auxz00_21990
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_27446);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_carzd255110zd2_8286;
																																					BgL_carzd255110zd2_8286
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd255110zd2_8286
																																							==
																																							CNST_TABLE_REF
																																							(((long) 19))))
																																						{
																																							BgL_letzd2funzd2_bglt
																																								BgL_auxz00_27453;
																																							goto
																																								BgL_tagzd2384zd2_1727;
																																							BgL_auxz00_21990
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_27453);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd255110zd2_8286)))
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_27458;
																																									goto
																																										BgL_tagzd2384zd2_1727;
																																									BgL_auxz00_21990
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_27458);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_27465;
																																											goto
																																												BgL_tagzd2389zd2_1746;
																																											BgL_auxz00_21990
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_27465);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_27472;
																																													goto
																																														BgL_tagzd2390zd2_1747;
																																													BgL_auxz00_21990
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_27472);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_27479;
																																															goto
																																																BgL_tagzd2392zd2_1751;
																																															BgL_auxz00_21990
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_27479);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_27486;
																																																	goto
																																																		BgL_tagzd2393zd2_1752;
																																																	BgL_auxz00_21990
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_27486);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_27493;
																																																			goto
																																																				BgL_tagzd2395zd2_1756;
																																																			BgL_auxz00_21990
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_27493);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_27500;
																																																					goto
																																																						BgL_tagzd2396zd2_1757;
																																																					BgL_auxz00_21990
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_27500);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_27507;
																																																							goto
																																																								BgL_tagzd2397zd2_1758;
																																																							BgL_auxz00_21990
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_27507);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																								{
																																																									BgL_jumpzd2exzd2itz00_bglt
																																																										BgL_auxz00_27514;
																																																									goto
																																																										BgL_tagzd2398zd2_1759;
																																																									BgL_auxz00_21990
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_27514);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_27524;
																																																													goto
																																																														BgL_tagzd2402zd2_1768;
																																																													BgL_auxz00_21990
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_27524);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1769;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_27528;
																																																															goto
																																																																BgL_tagzd2404zd2_1770;
																																																															BgL_auxz00_21990
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_27528);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2403zd2_1769;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_27532;
																																																													goto
																																																														BgL_tagzd2404zd2_1770;
																																																													BgL_auxz00_21990
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_27532);
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_21990);
																						}
																					else
																						{	/* Ast/sexp.scm 118 */
																							if (
																								(BgL_carzd231447zd2_5073 ==
																									BGl_za2ifza2z00zzast_sexpz00))
																								{
																									obj_t BgL_auxz00_27537;

																									goto BgL_kapzd231449zd2_5075;
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_27537);
																								}
																							else
																								{	/* Ast/sexp.scm 118 */
																									bool_t BgL_testz00_27539;

																									{	/* Ast/sexp.scm 118 */
																										obj_t BgL_arg4816z00_5820;

																										BgL_arg4816z00_5820 =
																											CAR(BgL_expz00_21);
																										BgL_testz00_27539 =
																											(BgL_arg4816z00_5820 ==
																											BGl_za2ifza2z00zzast_sexpz00);
																									}
																									if (BgL_testz00_27539)
																										{	/* Ast/sexp.scm 118 */
																											goto
																												BgL_tagzd2377zd2_1714;
																										}
																									else
																										{	/* Ast/sexp.scm 118 */
																											obj_t
																												BgL_cdrzd255282zd2_5080;
																											BgL_cdrzd255282zd2_5080 =
																												CDR(BgL_expz00_21);
																											if ((CAR(BgL_expz00_21) ==
																													CNST_TABLE_REF(((long)
																															7))))
																												{	/* Ast/sexp.scm 118 */
																													if (PAIRP
																														(BgL_cdrzd255282zd2_5080))
																														{	/* Ast/sexp.scm 118 */
																															obj_t
																																BgL_carzd255285zd2_5084;
																															obj_t
																																BgL_cdrzd255286zd2_5085;
																															BgL_carzd255285zd2_5084
																																=
																																CAR
																																(BgL_cdrzd255282zd2_5080);
																															BgL_cdrzd255286zd2_5085
																																=
																																CDR
																																(BgL_cdrzd255282zd2_5080);
																															if (PAIRP
																																(BgL_carzd255285zd2_5084))
																																{	/* Ast/sexp.scm 118 */
																																	if (
																																		(CAR
																																			(BgL_carzd255285zd2_5084)
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					14))))
																																		{	/* Ast/sexp.scm 118 */
																																			if (PAIRP
																																				(BgL_cdrzd255286zd2_5085))
																																				{	/* Ast/sexp.scm 118 */
																																					if (NULLP(CDR(BgL_cdrzd255286zd2_5085)))
																																						{
																																							obj_t
																																								BgL_valz00_27564;
																																							obj_t
																																								BgL_lz00_27562;
																																							BgL_lz00_27562
																																								=
																																								CDR
																																								(BgL_carzd255285zd2_5084);
																																							BgL_valz00_27564
																																								=
																																								CAR
																																								(BgL_cdrzd255286zd2_5085);
																																							BgL_valz00_1716
																																								=
																																								BgL_valz00_27564;
																																							BgL_lz00_1715
																																								=
																																								BgL_lz00_27562;
																																							goto
																																								BgL_tagzd2378zd2_1717;
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							goto
																																								BgL_tagzd2379zd2_1718;
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					goto
																																						BgL_tagzd2379zd2_1718;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			goto
																																				BgL_tagzd2379zd2_1718;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 118 */
																																	goto
																																		BgL_tagzd2379zd2_1718;
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															goto
																																BgL_tagzd2379zd2_1718;
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 118 */
																													if (
																														(CAR(BgL_expz00_21)
																															==
																															CNST_TABLE_REF((
																																	(long) 16))))
																														{	/* Ast/sexp.scm 118 */
																															goto
																																BgL_tagzd2380zd2_1719;
																														}
																													else
																														{	/* Ast/sexp.scm 118 */
																															obj_t
																																BgL_carzd255411zd2_5098;
																															BgL_carzd255411zd2_5098
																																=
																																CAR
																																(BgL_expz00_21);
																															if (PAIRP
																																(BgL_carzd255411zd2_5098))
																																{	/* Ast/sexp.scm 118 */
																																	obj_t
																																		BgL_carzd255414zd2_5100;
																																	obj_t
																																		BgL_cdrzd255415zd2_5101;
																																	BgL_carzd255414zd2_5100
																																		=
																																		CAR
																																		(BgL_carzd255411zd2_5098);
																																	BgL_cdrzd255415zd2_5101
																																		=
																																		CDR
																																		(BgL_carzd255411zd2_5098);
																																	{

																																		if (
																																			(BgL_carzd255414zd2_5100
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						17))))
																																			{
																																				obj_t
																																					BgL_auxz00_27578;
																																			BgL_kapzd255416zd2_5102:
																																				if (PAIRP(BgL_cdrzd255415zd2_5101))
																																					{	/* Ast/sexp.scm 118 */
																																						obj_t
																																							BgL_cdrzd255419zd2_5404;
																																						BgL_cdrzd255419zd2_5404
																																							=
																																							CDR
																																							(BgL_cdrzd255415zd2_5101);
																																						if (PAIRP(BgL_cdrzd255419zd2_5404))
																																							{	/* Ast/sexp.scm 118 */
																																								if (NULLP(CDR(BgL_cdrzd255419zd2_5404)))
																																									{	/* Ast/sexp.scm 118 */
																																										obj_t
																																											BgL_arg4513z00_5408;
																																										obj_t
																																											BgL_arg4514z00_5409;
																																										BgL_arg4513z00_5408
																																											=
																																											CAR
																																											(BgL_cdrzd255419zd2_5404);
																																										BgL_arg4514z00_5409
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_expz00_21));
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_27590;
																																											{
																																												obj_t
																																													BgL_argsz00_27592;
																																												obj_t
																																													BgL_bodyz00_27591;
																																												BgL_bodyz00_27591
																																													=
																																													BgL_arg4513z00_5408;
																																												BgL_argsz00_27592
																																													=
																																													BgL_arg4514z00_5409;
																																												BgL_argsz00_1721
																																													=
																																													BgL_argsz00_27592;
																																												BgL_bodyz00_1720
																																													=
																																													BgL_bodyz00_27591;
																																												goto
																																													BgL_tagzd2381zd2_1722;
																																											}
																																											BgL_auxz00_27578
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_27590);
																																										}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										obj_t
																																											BgL_cdrzd255442zd2_5410;
																																										BgL_cdrzd255442zd2_5410
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_expz00_21));
																																										{

																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_27596;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg4581z00_5520;
																																													BgL_arg4581z00_5520
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_27596
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg4581z00_5520));
																																												}
																																												if (BgL_testz00_27596)
																																													{	/* Ast/sexp.scm 118 */
																																														if (PAIRP(BgL_cdrzd255442zd2_5410))
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_arg4583z00_5522;
																																																obj_t
																																																	BgL_arg4584z00_5523;
																																																BgL_arg4583z00_5522
																																																	=
																																																	CAR
																																																	(BgL_cdrzd255442zd2_5410);
																																																BgL_arg4584z00_5523
																																																	=
																																																	CDR
																																																	(BgL_cdrzd255442zd2_5410);
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_27605;
																																																	{
																																																		obj_t
																																																			BgL_exprz00_27607;
																																																		obj_t
																																																			BgL_bindingsz00_27606;
																																																		BgL_bindingsz00_27606
																																																			=
																																																			BgL_arg4583z00_5522;
																																																		BgL_exprz00_27607
																																																			=
																																																			BgL_arg4584z00_5523;
																																																		BgL_exprz00_1724
																																																			=
																																																			BgL_exprz00_27607;
																																																		BgL_bindingsz00_1723
																																																			=
																																																			BgL_bindingsz00_27606;
																																																		goto
																																																			BgL_tagzd2382zd2_1725;
																																																	}
																																																	BgL_auxz00_27578
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_27605);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_27609;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg4648z00_5629;
																																																	BgL_arg4648z00_5629
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_testz00_27609
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg4648z00_5629));
																																																}
																																																if (BgL_testz00_27609)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_27614;
																																																		goto
																																																			BgL_tagzd2384zd2_1727;
																																																		BgL_auxz00_27578
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_27614);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_carzd255506zd2_5526;
																																																		BgL_carzd255506zd2_5526
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd255511zd2_5527;
																																																			BgL_cdrzd255511zd2_5527
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd255506zd2_5526));
																																																			if ((CAR(((obj_t) BgL_carzd255506zd2_5526)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_arg4589z00_5530;
																																																					obj_t
																																																						BgL_arg4590z00_5531;
																																																					obj_t
																																																						BgL_arg4591z00_5532;
																																																					BgL_arg4589z00_5530
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd255511zd2_5527));
																																																					BgL_arg4590z00_5531
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd255511zd2_5527));
																																																					BgL_arg4591z00_5532
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_27631;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_27634;
																																																							obj_t
																																																								BgL_bodyz00_27633;
																																																							obj_t
																																																								BgL_varsz00_27632;
																																																							BgL_varsz00_27632
																																																								=
																																																								BgL_arg4589z00_5530;
																																																							BgL_bodyz00_27633
																																																								=
																																																								BgL_arg4590z00_5531;
																																																							BgL_argsz00_27634
																																																								=
																																																								BgL_arg4591z00_5532;
																																																							BgL_argsz00_1734
																																																								=
																																																								BgL_argsz00_27634;
																																																							BgL_bodyz00_1733
																																																								=
																																																								BgL_bodyz00_27633;
																																																							BgL_varsz00_1732
																																																								=
																																																								BgL_varsz00_27632;
																																																							goto
																																																								BgL_tagzd2386zd2_1735;
																																																						}
																																																						BgL_auxz00_27578
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_27631);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd255534zd2_5534;
																																																					BgL_cdrzd255534zd2_5534
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd255540zd2_5535;
																																																						BgL_cdrzd255540zd2_5535
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd255506zd2_5526));
																																																						if ((CAR(((obj_t) BgL_carzd255506zd2_5526)) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd255546zd2_5538;
																																																								BgL_cdrzd255546zd2_5538
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd255540zd2_5535));
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_carzd255551zd2_5539;
																																																									obj_t
																																																										BgL_cdrzd255552zd2_5540;
																																																									BgL_carzd255551zd2_5539
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd255546zd2_5538));
																																																									BgL_cdrzd255552zd2_5540
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd255546zd2_5538));
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255551zd2_5539))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (PAIRP(BgL_cdrzd255552zd2_5540))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd255559zd2_5543;
																																																													BgL_carzd255559zd2_5543
																																																														=
																																																														CAR
																																																														(BgL_cdrzd255552zd2_5540);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255559zd2_5543))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (NULLP(CDR(BgL_cdrzd255552zd2_5540)))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	bool_t
																																																																		BgL_testz00_27661;
																																																																	{
																																																																		obj_t
																																																																			BgL_l1459z00_5576;
																																																																		BgL_l1459z00_5576
																																																																			=
																																																																			BgL_cdrzd255534zd2_5534;
																																																																	BgL_zc3anonymousza34614ze3z83_5577:
																																																																		if (NULLP(BgL_l1459z00_5576))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				BgL_testz00_27661
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				bool_t
																																																																					BgL_testz00_27664;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					bool_t
																																																																						BgL_testz00_27665;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_tmpz00_27666;
																																																																						BgL_tmpz00_27666
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_l1459z00_5576));
																																																																						BgL_testz00_27665
																																																																							=
																																																																							PAIRP
																																																																							(BgL_tmpz00_27666);
																																																																					}
																																																																					if (BgL_testz00_27665)
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_27664
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							BgL_testz00_27664
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																				}
																																																																				if (BgL_testz00_27664)
																																																																					{
																																																																						obj_t
																																																																							BgL_l1459z00_27670;
																																																																						BgL_l1459z00_27670
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_l1459z00_5576));
																																																																						BgL_l1459z00_5576
																																																																							=
																																																																							BgL_l1459z00_27670;
																																																																						goto
																																																																							BgL_zc3anonymousza34614ze3z83_5577;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						BgL_testz00_27661
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																			}
																																																																	}
																																																																	if (BgL_testz00_27661)
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_arg4604z00_5559;
																																																																			BgL_arg4604z00_5559
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd255540zd2_5535));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_27675;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_27679;
																																																																					obj_t
																																																																						BgL_proc2z00_27678;
																																																																					obj_t
																																																																						BgL_proc1z00_27677;
																																																																					obj_t
																																																																						BgL_testz00_27676;
																																																																					BgL_testz00_27676
																																																																						=
																																																																						BgL_arg4604z00_5559;
																																																																					BgL_proc1z00_27677
																																																																						=
																																																																						BgL_carzd255551zd2_5539;
																																																																					BgL_proc2z00_27678
																																																																						=
																																																																						BgL_carzd255559zd2_5543;
																																																																					BgL_argsz00_27679
																																																																						=
																																																																						BgL_cdrzd255534zd2_5534;
																																																																					BgL_argsz00_1739
																																																																						=
																																																																						BgL_argsz00_27679;
																																																																					BgL_proc2z00_1738
																																																																						=
																																																																						BgL_proc2z00_27678;
																																																																					BgL_proc1z00_1737
																																																																						=
																																																																						BgL_proc1z00_27677;
																																																																					BgL_testz00_1736
																																																																						=
																																																																						BgL_testz00_27676;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1740;
																																																																				}
																																																																				BgL_auxz00_27578
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_27675);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd255583zd2_5560;
																																																																			BgL_cdrzd255583zd2_5560
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd255590zd2_5561;
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_pairz00_13117;
																																																																					BgL_pairz00_13117
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd255590zd2_5561
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_13117);
																																																																				}
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd255597zd2_5562;
																																																																					BgL_cdrzd255597zd2_5562
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd255590zd2_5561));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd255603zd2_5563;
																																																																						BgL_carzd255603zd2_5563
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd255597zd2_5562));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255603zd2_5563))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd255610zd2_5565;
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_pairz00_13121;
																																																																									BgL_pairz00_13121
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd255597zd2_5562));
																																																																									BgL_carzd255610zd2_5565
																																																																										=
																																																																										CAR
																																																																										(BgL_pairz00_13121);
																																																																								}
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255610zd2_5565))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd255583zd2_5560))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg4608z00_5568;
																																																																												BgL_arg4608z00_5568
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd255590zd2_5561));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_27701;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_27705;
																																																																														obj_t
																																																																															BgL_proc2z00_27704;
																																																																														obj_t
																																																																															BgL_proc1z00_27703;
																																																																														obj_t
																																																																															BgL_testz00_27702;
																																																																														BgL_testz00_27702
																																																																															=
																																																																															BgL_arg4608z00_5568;
																																																																														BgL_proc1z00_27703
																																																																															=
																																																																															BgL_carzd255603zd2_5563;
																																																																														BgL_proc2z00_27704
																																																																															=
																																																																															BgL_carzd255610zd2_5565;
																																																																														BgL_argsz00_27705
																																																																															=
																																																																															BgL_cdrzd255583zd2_5560;
																																																																														BgL_argsz00_1744
																																																																															=
																																																																															BgL_argsz00_27705;
																																																																														BgL_proc2z00_1743
																																																																															=
																																																																															BgL_proc2z00_27704;
																																																																														BgL_proc1z00_1742
																																																																															=
																																																																															BgL_proc1z00_27703;
																																																																														BgL_testz00_1741
																																																																															=
																																																																															BgL_testz00_27702;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1745;
																																																																													}
																																																																													BgL_auxz00_27578
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_27701);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_27709;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																														BgL_auxz00_27578
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_27709);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_27713;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																												BgL_auxz00_27578
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_27713);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_27717;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_27578
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_27717);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1769;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_27721;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1770;
																																																																			BgL_auxz00_27578
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_27721);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd255886zd2_5587;
																																																															BgL_cdrzd255886zd2_5587
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd255892zd2_5588;
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_pairz00_13125;
																																																																	BgL_pairz00_13125
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd255892zd2_5588
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_13125);
																																																																}
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd255898zd2_5589;
																																																																	BgL_cdrzd255898zd2_5589
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd255892zd2_5588));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd255903zd2_5590;
																																																																		obj_t
																																																																			BgL_cdrzd255904zd2_5591;
																																																																		BgL_carzd255903zd2_5590
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd255898zd2_5589));
																																																																		BgL_cdrzd255904zd2_5591
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd255898zd2_5589));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255903zd2_5590))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd255909zd2_5593;
																																																																				BgL_carzd255909zd2_5593
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd255904zd2_5591));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255909zd2_5593))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd255904zd2_5591))))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd255886zd2_5587))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg4623z00_5598;
																																																																										BgL_arg4623z00_5598
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd255892zd2_5588));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_27748;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_27752;
																																																																												obj_t
																																																																													BgL_proc2z00_27751;
																																																																												obj_t
																																																																													BgL_proc1z00_27750;
																																																																												obj_t
																																																																													BgL_testz00_27749;
																																																																												BgL_testz00_27749
																																																																													=
																																																																													BgL_arg4623z00_5598;
																																																																												BgL_proc1z00_27750
																																																																													=
																																																																													BgL_carzd255903zd2_5590;
																																																																												BgL_proc2z00_27751
																																																																													=
																																																																													BgL_carzd255909zd2_5593;
																																																																												BgL_argsz00_27752
																																																																													=
																																																																													BgL_cdrzd255886zd2_5587;
																																																																												BgL_argsz00_1744
																																																																													=
																																																																													BgL_argsz00_27752;
																																																																												BgL_proc2z00_1743
																																																																													=
																																																																													BgL_proc2z00_27751;
																																																																												BgL_proc1z00_1742
																																																																													=
																																																																													BgL_proc1z00_27750;
																																																																												BgL_testz00_1741
																																																																													=
																																																																													BgL_testz00_27749;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1745;
																																																																											}
																																																																											BgL_auxz00_27578
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_27748);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_27756;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																												BgL_auxz00_27578
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_27756);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_27760;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_27578
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_27760);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_27764;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_27578
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_27764);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_27768;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_27578
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_27768);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1769;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_27772;
																																																															goto
																																																																BgL_tagzd2404zd2_1770;
																																																															BgL_auxz00_27578
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_27772);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd256242zd2_5606;
																																																											BgL_cdrzd256242zd2_5606
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd256249zd2_5607;
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_pairz00_13135;
																																																													BgL_pairz00_13135
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_cdrzd256249zd2_5607
																																																														=
																																																														CDR
																																																														(BgL_pairz00_13135);
																																																												}
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd256256zd2_5608;
																																																													BgL_cdrzd256256zd2_5608
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd256249zd2_5607));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd256262zd2_5609;
																																																														obj_t
																																																															BgL_cdrzd256263zd2_5610;
																																																														BgL_carzd256262zd2_5609
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd256256zd2_5608));
																																																														BgL_cdrzd256263zd2_5610
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd256256zd2_5608));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256262zd2_5609))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (PAIRP(BgL_cdrzd256263zd2_5610))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd256270zd2_5613;
																																																																		BgL_carzd256270zd2_5613
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd256263zd2_5610);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256270zd2_5613))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (NULLP(CDR(BgL_cdrzd256263zd2_5610)))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd256242zd2_5606))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg4637z00_5618;
																																																																								BgL_arg4637z00_5618
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd256249zd2_5607));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_27799;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_27803;
																																																																										obj_t
																																																																											BgL_proc2z00_27802;
																																																																										obj_t
																																																																											BgL_proc1z00_27801;
																																																																										obj_t
																																																																											BgL_testz00_27800;
																																																																										BgL_testz00_27800
																																																																											=
																																																																											BgL_arg4637z00_5618;
																																																																										BgL_proc1z00_27801
																																																																											=
																																																																											BgL_carzd256262zd2_5609;
																																																																										BgL_proc2z00_27802
																																																																											=
																																																																											BgL_carzd256270zd2_5613;
																																																																										BgL_argsz00_27803
																																																																											=
																																																																											BgL_cdrzd256242zd2_5606;
																																																																										BgL_argsz00_1744
																																																																											=
																																																																											BgL_argsz00_27803;
																																																																										BgL_proc2z00_1743
																																																																											=
																																																																											BgL_proc2z00_27802;
																																																																										BgL_proc1z00_1742
																																																																											=
																																																																											BgL_proc1z00_27801;
																																																																										BgL_testz00_1741
																																																																											=
																																																																											BgL_testz00_27800;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1745;
																																																																									}
																																																																									BgL_auxz00_27578
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_27799);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_27807;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_27578
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_27807);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_27811;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_27578
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_27811);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_27815;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_27578
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_27815);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_27819;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_27578
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_27819);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1769;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_27823;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1770;
																																																																		BgL_auxz00_27578
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_27823);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 118 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 118 */
																																																										goto
																																																											BgL_tagzd2403zd2_1769;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_27827;
																																																										goto
																																																											BgL_tagzd2404zd2_1770;
																																																										BgL_auxz00_27578
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_27827);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_27829;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg4580z00_5519;
																																															BgL_arg4580z00_5519
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_27829
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg4580z00_5519));
																																														}
																																														if (BgL_testz00_27829)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_27834;
																																																goto
																																																	BgL_tagzd2384zd2_1727;
																																																BgL_auxz00_27578
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_27834);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_carzd256702zd2_5416;
																																																BgL_carzd256702zd2_5416
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_cdrzd256707zd2_5417;
																																																	BgL_cdrzd256707zd2_5417
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd256702zd2_5416));
																																																	if ((CAR(((obj_t) BgL_carzd256702zd2_5416)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg4521z00_5420;
																																																			obj_t
																																																				BgL_arg4522z00_5421;
																																																			obj_t
																																																				BgL_arg4523z00_5422;
																																																			BgL_arg4521z00_5420
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd256707zd2_5417));
																																																			BgL_arg4522z00_5421
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd256707zd2_5417));
																																																			BgL_arg4523z00_5422
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_27851;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_27854;
																																																					obj_t
																																																						BgL_bodyz00_27853;
																																																					obj_t
																																																						BgL_varsz00_27852;
																																																					BgL_varsz00_27852
																																																						=
																																																						BgL_arg4521z00_5420;
																																																					BgL_bodyz00_27853
																																																						=
																																																						BgL_arg4522z00_5421;
																																																					BgL_argsz00_27854
																																																						=
																																																						BgL_arg4523z00_5422;
																																																					BgL_argsz00_1734
																																																						=
																																																						BgL_argsz00_27854;
																																																					BgL_bodyz00_1733
																																																						=
																																																						BgL_bodyz00_27853;
																																																					BgL_varsz00_1732
																																																						=
																																																						BgL_varsz00_27852;
																																																					goto
																																																						BgL_tagzd2386zd2_1735;
																																																				}
																																																				BgL_auxz00_27578
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_27851);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd256730zd2_5424;
																																																			BgL_cdrzd256730zd2_5424
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_cdrzd256736zd2_5425;
																																																				BgL_cdrzd256736zd2_5425
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd256702zd2_5416));
																																																				if ((CAR(((obj_t) BgL_carzd256702zd2_5416)) == CNST_TABLE_REF(((long) 1))))
																																																					{	/* Ast/sexp.scm 118 */
																																																						obj_t
																																																							BgL_cdrzd256742zd2_5428;
																																																						BgL_cdrzd256742zd2_5428
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd256736zd2_5425));
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd256747zd2_5429;
																																																							obj_t
																																																								BgL_cdrzd256748zd2_5430;
																																																							BgL_carzd256747zd2_5429
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd256742zd2_5428));
																																																							BgL_cdrzd256748zd2_5430
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd256742zd2_5428));
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256747zd2_5429))
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (PAIRP(BgL_cdrzd256748zd2_5430))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd256755zd2_5433;
																																																											BgL_carzd256755zd2_5433
																																																												=
																																																												CAR
																																																												(BgL_cdrzd256748zd2_5430);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256755zd2_5433))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (NULLP(CDR(BgL_cdrzd256748zd2_5430)))
																																																														{	/* Ast/sexp.scm 118 */
																																																															bool_t
																																																																BgL_testz00_27881;
																																																															{
																																																																obj_t
																																																																	BgL_l1462z00_5466;
																																																																BgL_l1462z00_5466
																																																																	=
																																																																	BgL_cdrzd256730zd2_5424;
																																																															BgL_zc3anonymousza34546ze3z83_5467:
																																																																if (NULLP(BgL_l1462z00_5466))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		BgL_testz00_27881
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		bool_t
																																																																			BgL_testz00_27884;
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			bool_t
																																																																				BgL_testz00_27885;
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_tmpz00_27886;
																																																																				BgL_tmpz00_27886
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_l1462z00_5466));
																																																																				BgL_testz00_27885
																																																																					=
																																																																					PAIRP
																																																																					(BgL_tmpz00_27886);
																																																																			}
																																																																			if (BgL_testz00_27885)
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					BgL_testz00_27884
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					BgL_testz00_27884
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																		}
																																																																		if (BgL_testz00_27884)
																																																																			{
																																																																				obj_t
																																																																					BgL_l1462z00_27890;
																																																																				BgL_l1462z00_27890
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_l1462z00_5466));
																																																																				BgL_l1462z00_5466
																																																																					=
																																																																					BgL_l1462z00_27890;
																																																																				goto
																																																																					BgL_zc3anonymousza34546ze3z83_5467;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				BgL_testz00_27881
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					0);
																																																																			}
																																																																	}
																																																															}
																																																															if (BgL_testz00_27881)
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_arg4536z00_5449;
																																																																	BgL_arg4536z00_5449
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd256736zd2_5425));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_27895;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_27899;
																																																																			obj_t
																																																																				BgL_proc2z00_27898;
																																																																			obj_t
																																																																				BgL_proc1z00_27897;
																																																																			obj_t
																																																																				BgL_testz00_27896;
																																																																			BgL_testz00_27896
																																																																				=
																																																																				BgL_arg4536z00_5449;
																																																																			BgL_proc1z00_27897
																																																																				=
																																																																				BgL_carzd256747zd2_5429;
																																																																			BgL_proc2z00_27898
																																																																				=
																																																																				BgL_carzd256755zd2_5433;
																																																																			BgL_argsz00_27899
																																																																				=
																																																																				BgL_cdrzd256730zd2_5424;
																																																																			BgL_argsz00_1739
																																																																				=
																																																																				BgL_argsz00_27899;
																																																																			BgL_proc2z00_1738
																																																																				=
																																																																				BgL_proc2z00_27898;
																																																																			BgL_proc1z00_1737
																																																																				=
																																																																				BgL_proc1z00_27897;
																																																																			BgL_testz00_1736
																																																																				=
																																																																				BgL_testz00_27896;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1740;
																																																																		}
																																																																		BgL_auxz00_27578
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_27895);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd256779zd2_5450;
																																																																	BgL_cdrzd256779zd2_5450
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd256786zd2_5451;
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_pairz00_13170;
																																																																			BgL_pairz00_13170
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd256786zd2_5451
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_13170);
																																																																		}
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd256793zd2_5452;
																																																																			BgL_cdrzd256793zd2_5452
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd256786zd2_5451));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd256799zd2_5453;
																																																																				BgL_carzd256799zd2_5453
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd256793zd2_5452));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256799zd2_5453))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd256806zd2_5455;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_pairz00_13174;
																																																																							BgL_pairz00_13174
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd256793zd2_5452));
																																																																							BgL_carzd256806zd2_5455
																																																																								=
																																																																								CAR
																																																																								(BgL_pairz00_13174);
																																																																						}
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256806zd2_5455))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd256779zd2_5450))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg4540z00_5458;
																																																																										BgL_arg4540z00_5458
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd256786zd2_5451));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_27921;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_27925;
																																																																												obj_t
																																																																													BgL_proc2z00_27924;
																																																																												obj_t
																																																																													BgL_proc1z00_27923;
																																																																												obj_t
																																																																													BgL_testz00_27922;
																																																																												BgL_testz00_27922
																																																																													=
																																																																													BgL_arg4540z00_5458;
																																																																												BgL_proc1z00_27923
																																																																													=
																																																																													BgL_carzd256799zd2_5453;
																																																																												BgL_proc2z00_27924
																																																																													=
																																																																													BgL_carzd256806zd2_5455;
																																																																												BgL_argsz00_27925
																																																																													=
																																																																													BgL_cdrzd256779zd2_5450;
																																																																												BgL_argsz00_1744
																																																																													=
																																																																													BgL_argsz00_27925;
																																																																												BgL_proc2z00_1743
																																																																													=
																																																																													BgL_proc2z00_27924;
																																																																												BgL_proc1z00_1742
																																																																													=
																																																																													BgL_proc1z00_27923;
																																																																												BgL_testz00_1741
																																																																													=
																																																																													BgL_testz00_27922;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1745;
																																																																											}
																																																																											BgL_auxz00_27578
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_27921);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_27929;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																												BgL_auxz00_27578
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_27929);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_27933;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_27578
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_27933);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_27937;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_27578
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_27937);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1769;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_27941;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1770;
																																																																	BgL_auxz00_27578
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_27941);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd257082zd2_5477;
																																																													BgL_cdrzd257082zd2_5477
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd257088zd2_5478;
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_pairz00_13178;
																																																															BgL_pairz00_13178
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd257088zd2_5478
																																																																=
																																																																CDR
																																																																(BgL_pairz00_13178);
																																																														}
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd257094zd2_5479;
																																																															BgL_cdrzd257094zd2_5479
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd257088zd2_5478));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd257099zd2_5480;
																																																																obj_t
																																																																	BgL_cdrzd257100zd2_5481;
																																																																BgL_carzd257099zd2_5480
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd257094zd2_5479));
																																																																BgL_cdrzd257100zd2_5481
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd257094zd2_5479));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257099zd2_5480))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd257105zd2_5483;
																																																																		BgL_carzd257105zd2_5483
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd257100zd2_5481));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257105zd2_5483))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd257100zd2_5481))))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd257082zd2_5477))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg4555z00_5488;
																																																																								BgL_arg4555z00_5488
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd257088zd2_5478));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_27968;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_27972;
																																																																										obj_t
																																																																											BgL_proc2z00_27971;
																																																																										obj_t
																																																																											BgL_proc1z00_27970;
																																																																										obj_t
																																																																											BgL_testz00_27969;
																																																																										BgL_testz00_27969
																																																																											=
																																																																											BgL_arg4555z00_5488;
																																																																										BgL_proc1z00_27970
																																																																											=
																																																																											BgL_carzd257099zd2_5480;
																																																																										BgL_proc2z00_27971
																																																																											=
																																																																											BgL_carzd257105zd2_5483;
																																																																										BgL_argsz00_27972
																																																																											=
																																																																											BgL_cdrzd257082zd2_5477;
																																																																										BgL_argsz00_1744
																																																																											=
																																																																											BgL_argsz00_27972;
																																																																										BgL_proc2z00_1743
																																																																											=
																																																																											BgL_proc2z00_27971;
																																																																										BgL_proc1z00_1742
																																																																											=
																																																																											BgL_proc1z00_27970;
																																																																										BgL_testz00_1741
																																																																											=
																																																																											BgL_testz00_27969;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1745;
																																																																									}
																																																																									BgL_auxz00_27578
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_27968);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_27976;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																										BgL_auxz00_27578
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_27976);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_27980;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_27578
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_27980);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_27984;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_27578
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_27984);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_27988;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_27578
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_27988);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2403zd2_1769;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_27992;
																																																													goto
																																																														BgL_tagzd2404zd2_1770;
																																																													BgL_auxz00_27578
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_27992);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd257438zd2_5496;
																																																									BgL_cdrzd257438zd2_5496
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_cdrzd257445zd2_5497;
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_pairz00_13188;
																																																											BgL_pairz00_13188
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_cdrzd257445zd2_5497
																																																												=
																																																												CDR
																																																												(BgL_pairz00_13188);
																																																										}
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd257452zd2_5498;
																																																											BgL_cdrzd257452zd2_5498
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd257445zd2_5497));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_carzd257458zd2_5499;
																																																												obj_t
																																																													BgL_cdrzd257459zd2_5500;
																																																												BgL_carzd257458zd2_5499
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd257452zd2_5498));
																																																												BgL_cdrzd257459zd2_5500
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd257452zd2_5498));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257458zd2_5499))
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (PAIRP(BgL_cdrzd257459zd2_5500))
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd257466zd2_5503;
																																																																BgL_carzd257466zd2_5503
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd257459zd2_5500);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257466zd2_5503))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (NULLP(CDR(BgL_cdrzd257459zd2_5500)))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd257438zd2_5496))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg4569z00_5508;
																																																																						BgL_arg4569z00_5508
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd257445zd2_5497));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_28019;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_28023;
																																																																								obj_t
																																																																									BgL_proc2z00_28022;
																																																																								obj_t
																																																																									BgL_proc1z00_28021;
																																																																								obj_t
																																																																									BgL_testz00_28020;
																																																																								BgL_testz00_28020
																																																																									=
																																																																									BgL_arg4569z00_5508;
																																																																								BgL_proc1z00_28021
																																																																									=
																																																																									BgL_carzd257458zd2_5499;
																																																																								BgL_proc2z00_28022
																																																																									=
																																																																									BgL_carzd257466zd2_5503;
																																																																								BgL_argsz00_28023
																																																																									=
																																																																									BgL_cdrzd257438zd2_5496;
																																																																								BgL_argsz00_1744
																																																																									=
																																																																									BgL_argsz00_28023;
																																																																								BgL_proc2z00_1743
																																																																									=
																																																																									BgL_proc2z00_28022;
																																																																								BgL_proc1z00_1742
																																																																									=
																																																																									BgL_proc1z00_28021;
																																																																								BgL_testz00_1741
																																																																									=
																																																																									BgL_testz00_28020;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1745;
																																																																							}
																																																																							BgL_auxz00_27578
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_28019);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_28027;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_27578
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_28027);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_28031;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																						BgL_auxz00_27578
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_28031);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_28035;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_27578
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_28035);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1769;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_28039;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1770;
																																																																		BgL_auxz00_27578
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_28039);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1769;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_28043;
																																																																goto
																																																																	BgL_tagzd2404zd2_1770;
																																																																BgL_auxz00_27578
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_28043);
																																																															}
																																																													}
																																																											}
																																																										}
																																																									}
																																																								}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 118 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 118 */
																																																								goto
																																																									BgL_tagzd2403zd2_1769;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_28047;
																																																								goto
																																																									BgL_tagzd2404zd2_1770;
																																																								BgL_auxz00_27578
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_28047);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								obj_t
																																									BgL_cdrzd257858zd2_5631;
																																								BgL_cdrzd257858zd2_5631
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_expz00_21));
																																								{

																																									{	/* Ast/sexp.scm 118 */
																																										bool_t
																																											BgL_testz00_28051;
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg4662z00_5647;
																																											BgL_arg4662z00_5647
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_testz00_28051
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg4662z00_5647));
																																										}
																																										if (BgL_testz00_28051)
																																											{	/* Ast/sexp.scm 118 */
																																												if (PAIRP(BgL_cdrzd257858zd2_5631))
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_arg4664z00_5649;
																																														obj_t
																																															BgL_arg4665z00_5650;
																																														BgL_arg4664z00_5649
																																															=
																																															CAR
																																															(BgL_cdrzd257858zd2_5631);
																																														BgL_arg4665z00_5650
																																															=
																																															CDR
																																															(BgL_cdrzd257858zd2_5631);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_28060;
																																															{
																																																obj_t
																																																	BgL_exprz00_28062;
																																																obj_t
																																																	BgL_bindingsz00_28061;
																																																BgL_bindingsz00_28061
																																																	=
																																																	BgL_arg4664z00_5649;
																																																BgL_exprz00_28062
																																																	=
																																																	BgL_arg4665z00_5650;
																																																BgL_exprz00_1724
																																																	=
																																																	BgL_exprz00_28062;
																																																BgL_bindingsz00_1723
																																																	=
																																																	BgL_bindingsz00_28061;
																																																goto
																																																	BgL_tagzd2382zd2_1725;
																																															}
																																															BgL_auxz00_27578
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_28060);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_28064;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg4675z00_5662;
																																															BgL_arg4675z00_5662
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_testz00_28064
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg4675z00_5662));
																																														}
																																														if (BgL_testz00_28064)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_28069;
																																																goto
																																																	BgL_tagzd2384zd2_1727;
																																																BgL_auxz00_27578
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_28069);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																obj_t
																																																	BgL_carzd257921zd2_5653;
																																																BgL_carzd257921zd2_5653
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_cdrzd257926zd2_5654;
																																																	BgL_cdrzd257926zd2_5654
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd257921zd2_5653));
																																																	if ((CAR(((obj_t) BgL_carzd257921zd2_5653)) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg4670z00_5657;
																																																			obj_t
																																																				BgL_arg4671z00_5658;
																																																			obj_t
																																																				BgL_arg4672z00_5659;
																																																			BgL_arg4670z00_5657
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd257926zd2_5654));
																																																			BgL_arg4671z00_5658
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd257926zd2_5654));
																																																			BgL_arg4672z00_5659
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_28086;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_28089;
																																																					obj_t
																																																						BgL_bodyz00_28088;
																																																					obj_t
																																																						BgL_varsz00_28087;
																																																					BgL_varsz00_28087
																																																						=
																																																						BgL_arg4670z00_5657;
																																																					BgL_bodyz00_28088
																																																						=
																																																						BgL_arg4671z00_5658;
																																																					BgL_argsz00_28089
																																																						=
																																																						BgL_arg4672z00_5659;
																																																					BgL_argsz00_1734
																																																						=
																																																						BgL_argsz00_28089;
																																																					BgL_bodyz00_1733
																																																						=
																																																						BgL_bodyz00_28088;
																																																					BgL_varsz00_1732
																																																						=
																																																						BgL_varsz00_28087;
																																																					goto
																																																						BgL_tagzd2386zd2_1735;
																																																				}
																																																				BgL_auxz00_27578
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_28086);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 118 */
																																																					goto
																																																						BgL_tagzd2403zd2_1769;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_28093;
																																																					goto
																																																						BgL_tagzd2404zd2_1770;
																																																					BgL_auxz00_27578
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_28093);
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_28095;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg4661z00_5646;
																																													BgL_arg4661z00_5646
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_28095
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg4661z00_5646));
																																												}
																																												if (BgL_testz00_28095)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_28100;
																																														goto
																																															BgL_tagzd2384zd2_1727;
																																														BgL_auxz00_27578
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_28100);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														obj_t
																																															BgL_carzd258075zd2_5637;
																																														BgL_carzd258075zd2_5637
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_cdrzd258080zd2_5638;
																																															BgL_cdrzd258080zd2_5638
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd258075zd2_5637));
																																															if ((CAR(((obj_t) BgL_carzd258075zd2_5637)) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg4656z00_5641;
																																																	obj_t
																																																		BgL_arg4657z00_5642;
																																																	obj_t
																																																		BgL_arg4658z00_5643;
																																																	BgL_arg4656z00_5641
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd258080zd2_5638));
																																																	BgL_arg4657z00_5642
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd258080zd2_5638));
																																																	BgL_arg4658z00_5643
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_28117;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_28120;
																																																			obj_t
																																																				BgL_bodyz00_28119;
																																																			obj_t
																																																				BgL_varsz00_28118;
																																																			BgL_varsz00_28118
																																																				=
																																																				BgL_arg4656z00_5641;
																																																			BgL_bodyz00_28119
																																																				=
																																																				BgL_arg4657z00_5642;
																																																			BgL_argsz00_28120
																																																				=
																																																				BgL_arg4658z00_5643;
																																																			BgL_argsz00_1734
																																																				=
																																																				BgL_argsz00_28120;
																																																			BgL_bodyz00_1733
																																																				=
																																																				BgL_bodyz00_28119;
																																																			BgL_varsz00_1732
																																																				=
																																																				BgL_varsz00_28118;
																																																			goto
																																																				BgL_tagzd2386zd2_1735;
																																																		}
																																																		BgL_auxz00_27578
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_28117);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 118 */
																																																			goto
																																																				BgL_tagzd2403zd2_1769;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_28124;
																																																			goto
																																																				BgL_tagzd2404zd2_1770;
																																																			BgL_auxz00_27578
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_28124);
																																																		}
																																																}
																																														}
																																													}
																																											}
																																									}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 118 */
																																						obj_t
																																							BgL_cdrzd258190zd2_5663;
																																						BgL_cdrzd258190zd2_5663
																																							=
																																							CDR
																																							(((obj_t) BgL_expz00_21));
																																						{

																																							{	/* Ast/sexp.scm 118 */
																																								bool_t
																																									BgL_testz00_28128;
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_arg4682z00_5671;
																																									BgL_arg4682z00_5671
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									BgL_testz00_28128
																																										=
																																										CBOOL
																																										(BGl_letzd2symzf3z21zzast_letz00
																																										(BgL_arg4682z00_5671));
																																								}
																																								if (BgL_testz00_28128)
																																									{	/* Ast/sexp.scm 118 */
																																										if (PAIRP(BgL_cdrzd258190zd2_5663))
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_arg4684z00_5673;
																																												obj_t
																																													BgL_arg4685z00_5674;
																																												BgL_arg4684z00_5673
																																													=
																																													CAR
																																													(BgL_cdrzd258190zd2_5663);
																																												BgL_arg4685z00_5674
																																													=
																																													CDR
																																													(BgL_cdrzd258190zd2_5663);
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_28137;
																																													{
																																														obj_t
																																															BgL_exprz00_28139;
																																														obj_t
																																															BgL_bindingsz00_28138;
																																														BgL_bindingsz00_28138
																																															=
																																															BgL_arg4684z00_5673;
																																														BgL_exprz00_28139
																																															=
																																															BgL_arg4685z00_5674;
																																														BgL_exprz00_1724
																																															=
																																															BgL_exprz00_28139;
																																														BgL_bindingsz00_1723
																																															=
																																															BgL_bindingsz00_28138;
																																														goto
																																															BgL_tagzd2382zd2_1725;
																																													}
																																													BgL_auxz00_27578
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_28137);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												bool_t
																																													BgL_testz00_28141;
																																												{	/* Ast/sexp.scm 118 */
																																													obj_t
																																														BgL_arg4689z00_5678;
																																													BgL_arg4689z00_5678
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_testz00_28141
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg4689z00_5678));
																																												}
																																												if (BgL_testz00_28141)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_28146;
																																														goto
																																															BgL_tagzd2384zd2_1727;
																																														BgL_auxz00_27578
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_28146);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 118 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 118 */
																																																goto
																																																	BgL_tagzd2403zd2_1769;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_28150;
																																																goto
																																																	BgL_tagzd2404zd2_1770;
																																																BgL_auxz00_27578
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_28150);
																																															}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										bool_t
																																											BgL_testz00_28152;
																																										{	/* Ast/sexp.scm 118 */
																																											obj_t
																																												BgL_arg4681z00_5670;
																																											BgL_arg4681z00_5670
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_testz00_28152
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg4681z00_5670));
																																										}
																																										if (BgL_testz00_28152)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_28157;
																																												goto
																																													BgL_tagzd2384zd2_1727;
																																												BgL_auxz00_27578
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_28157);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																													{	/* Ast/sexp.scm 118 */
																																														goto
																																															BgL_tagzd2403zd2_1769;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_28161;
																																														goto
																																															BgL_tagzd2404zd2_1770;
																																														BgL_auxz00_27578
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_28161);
																																													}
																																											}
																																									}
																																							}
																																						}
																																					}
																																				return
																																					(
																																					(BgL_nodez00_bglt)
																																					BgL_auxz00_27578);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 118 */
																																				if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd255414zd2_5100)))
																																					{
																																						obj_t
																																							BgL_auxz00_28167;
																																						goto
																																							BgL_kapzd255416zd2_5102;
																																						return
																																							(
																																							(BgL_nodez00_bglt)
																																							BgL_auxz00_28167);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 118 */
																																						if (
																																							(BgL_carzd255414zd2_5100
																																								==
																																								CNST_TABLE_REF
																																								(((long) 18))))
																																							{
																																								obj_t
																																									BgL_auxz00_28172;
																																								goto
																																									BgL_kapzd255416zd2_5102;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_28172);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 118 */
																																								if ((BgL_carzd255414zd2_5100 == CNST_TABLE_REF(((long) 19))))
																																									{
																																										obj_t
																																											BgL_auxz00_28177;
																																										goto
																																											BgL_kapzd255416zd2_5102;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_28177);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 118 */
																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd255414zd2_5100)))
																																											{
																																												obj_t
																																													BgL_auxz00_28182;
																																												goto
																																													BgL_kapzd255416zd2_5102;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_28182);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 118 */
																																												obj_t
																																													BgL_cdrzd258499zd2_5108;
																																												BgL_cdrzd258499zd2_5108
																																													=
																																													CDR
																																													(BgL_expz00_21);
																																												{

																																													{	/* Ast/sexp.scm 118 */
																																														bool_t
																																															BgL_testz00_28185;
																																														{	/* Ast/sexp.scm 118 */
																																															obj_t
																																																BgL_arg4435z00_5287;
																																															BgL_arg4435z00_5287
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_28185
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg4435z00_5287));
																																														}
																																														if (BgL_testz00_28185)
																																															{
																																																obj_t
																																																	BgL_auxz00_28189;
																																																if (PAIRP(BgL_cdrzd258499zd2_5108))
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_arg4437z00_5289;
																																																		obj_t
																																																			BgL_arg4438z00_5290;
																																																		BgL_arg4437z00_5289
																																																			=
																																																			CAR
																																																			(BgL_cdrzd258499zd2_5108);
																																																		BgL_arg4438z00_5290
																																																			=
																																																			CDR
																																																			(BgL_cdrzd258499zd2_5108);
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_28194;
																																																			{
																																																				obj_t
																																																					BgL_exprz00_28196;
																																																				obj_t
																																																					BgL_bindingsz00_28195;
																																																				BgL_bindingsz00_28195
																																																					=
																																																					BgL_arg4437z00_5289;
																																																				BgL_exprz00_28196
																																																					=
																																																					BgL_arg4438z00_5290;
																																																				BgL_exprz00_1724
																																																					=
																																																					BgL_exprz00_28196;
																																																				BgL_bindingsz00_1723
																																																					=
																																																					BgL_bindingsz00_28195;
																																																				goto
																																																					BgL_tagzd2382zd2_1725;
																																																			}
																																																			BgL_auxz00_28189
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_28194);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		bool_t
																																																			BgL_testz00_28198;
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_arg4508z00_5402;
																																																			BgL_arg4508z00_5402
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_testz00_28198
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg4508z00_5402));
																																																		}
																																																		if (BgL_testz00_28198)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_28203;
																																																				goto
																																																					BgL_tagzd2384zd2_1727;
																																																				BgL_auxz00_28189
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_28203);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 118 */
																																																				obj_t
																																																					BgL_carzd258562zd2_5293;
																																																				BgL_carzd258562zd2_5293
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd258567zd2_5294;
																																																					BgL_cdrzd258567zd2_5294
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd258562zd2_5293));
																																																					if ((CAR(((obj_t) BgL_carzd258562zd2_5293)) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (PAIRP(BgL_cdrzd258567zd2_5294))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_arg4444z00_5298;
																																																									obj_t
																																																										BgL_arg4445z00_5299;
																																																									obj_t
																																																										BgL_arg4446z00_5300;
																																																									BgL_arg4444z00_5298
																																																										=
																																																										CAR
																																																										(BgL_cdrzd258567zd2_5294);
																																																									BgL_arg4445z00_5299
																																																										=
																																																										CDR
																																																										(BgL_cdrzd258567zd2_5294);
																																																									BgL_arg4446z00_5300
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_28220;
																																																										{
																																																											obj_t
																																																												BgL_argsz00_28223;
																																																											obj_t
																																																												BgL_bodyz00_28222;
																																																											obj_t
																																																												BgL_varsz00_28221;
																																																											BgL_varsz00_28221
																																																												=
																																																												BgL_arg4444z00_5298;
																																																											BgL_bodyz00_28222
																																																												=
																																																												BgL_arg4445z00_5299;
																																																											BgL_argsz00_28223
																																																												=
																																																												BgL_arg4446z00_5300;
																																																											BgL_argsz00_1734
																																																												=
																																																												BgL_argsz00_28223;
																																																											BgL_bodyz00_1733
																																																												=
																																																												BgL_bodyz00_28222;
																																																											BgL_varsz00_1732
																																																												=
																																																												BgL_varsz00_28221;
																																																											goto
																																																												BgL_tagzd2386zd2_1735;
																																																										}
																																																										BgL_auxz00_28189
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_28220);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2403zd2_1769;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_28227;
																																																											goto
																																																												BgL_tagzd2404zd2_1770;
																																																											BgL_auxz00_28189
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_28227);
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_cdrzd258674zd2_5303;
																																																							BgL_cdrzd258674zd2_5303
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 118 */
																																																								obj_t
																																																									BgL_cdrzd258679zd2_5304;
																																																								BgL_cdrzd258679zd2_5304
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd258562zd2_5293));
																																																								if ((CAR(((obj_t) BgL_carzd258562zd2_5293)) == CNST_TABLE_REF(((long) 1))))
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (PAIRP(BgL_cdrzd258679zd2_5304))
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_cdrzd258684zd2_5308;
																																																												BgL_cdrzd258684zd2_5308
																																																													=
																																																													CDR
																																																													(BgL_cdrzd258679zd2_5304);
																																																												if (PAIRP(BgL_cdrzd258684zd2_5308))
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_carzd258688zd2_5310;
																																																														obj_t
																																																															BgL_cdrzd258689zd2_5311;
																																																														BgL_carzd258688zd2_5310
																																																															=
																																																															CAR
																																																															(BgL_cdrzd258684zd2_5308);
																																																														BgL_cdrzd258689zd2_5311
																																																															=
																																																															CDR
																																																															(BgL_cdrzd258684zd2_5308);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258688zd2_5310))
																																																															{	/* Ast/sexp.scm 118 */
																																																																if (PAIRP(BgL_cdrzd258689zd2_5311))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_carzd258694zd2_5314;
																																																																		BgL_carzd258694zd2_5314
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd258689zd2_5311);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258694zd2_5314))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (NULLP(CDR(BgL_cdrzd258689zd2_5311)))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						bool_t
																																																																							BgL_testz00_28255;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1465z00_5347;
																																																																							BgL_l1465z00_5347
																																																																								=
																																																																								BgL_cdrzd258674zd2_5303;
																																																																						BgL_zc3anonymousza34472ze3z83_5348:
																																																																							if (NULLP(BgL_l1465z00_5347))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_28255
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									bool_t
																																																																										BgL_testz00_28258;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										bool_t
																																																																											BgL_testz00_28259;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_tmpz00_28260;
																																																																											BgL_tmpz00_28260
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_l1465z00_5347));
																																																																											BgL_testz00_28259
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_28260);
																																																																										}
																																																																										if (BgL_testz00_28259)
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_28258
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												BgL_testz00_28258
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_testz00_28258)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1465z00_28264;
																																																																											BgL_l1465z00_28264
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_l1465z00_5347));
																																																																											BgL_l1465z00_5347
																																																																												=
																																																																												BgL_l1465z00_28264;
																																																																											goto
																																																																												BgL_zc3anonymousza34472ze3z83_5348;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											BgL_testz00_28255
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_testz00_28255)
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg4462z00_5330;
																																																																								BgL_arg4462z00_5330
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd258679zd2_5304);
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_28268;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_28272;
																																																																										obj_t
																																																																											BgL_proc2z00_28271;
																																																																										obj_t
																																																																											BgL_proc1z00_28270;
																																																																										obj_t
																																																																											BgL_testz00_28269;
																																																																										BgL_testz00_28269
																																																																											=
																																																																											BgL_arg4462z00_5330;
																																																																										BgL_proc1z00_28270
																																																																											=
																																																																											BgL_carzd258688zd2_5310;
																																																																										BgL_proc2z00_28271
																																																																											=
																																																																											BgL_carzd258694zd2_5314;
																																																																										BgL_argsz00_28272
																																																																											=
																																																																											BgL_cdrzd258674zd2_5303;
																																																																										BgL_argsz00_1739
																																																																											=
																																																																											BgL_argsz00_28272;
																																																																										BgL_proc2z00_1738
																																																																											=
																																																																											BgL_proc2z00_28271;
																																																																										BgL_proc1z00_1737
																																																																											=
																																																																											BgL_proc1z00_28270;
																																																																										BgL_testz00_1736
																																																																											=
																																																																											BgL_testz00_28269;
																																																																										goto
																																																																											BgL_tagzd2387zd2_1740;
																																																																									}
																																																																									BgL_auxz00_28189
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_28268);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_cdrzd258719zd2_5331;
																																																																								BgL_cdrzd258719zd2_5331
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd258727zd2_5332;
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_pairz00_13255;
																																																																										BgL_pairz00_13255
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd258727zd2_5332
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_13255);
																																																																									}
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_cdrzd258735zd2_5333;
																																																																										BgL_cdrzd258735zd2_5333
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd258727zd2_5332));
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_carzd258742zd2_5334;
																																																																											BgL_carzd258742zd2_5334
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd258735zd2_5333));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258742zd2_5334))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_carzd258751zd2_5336;
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_pairz00_13259;
																																																																														BgL_pairz00_13259
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd258735zd2_5333));
																																																																														BgL_carzd258751zd2_5336
																																																																															=
																																																																															CAR
																																																																															(BgL_pairz00_13259);
																																																																													}
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258751zd2_5336))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd258719zd2_5331))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	obj_t
																																																																																		BgL_arg4466z00_5339;
																																																																																	BgL_arg4466z00_5339
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd258727zd2_5332));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_28294;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_28298;
																																																																																			obj_t
																																																																																				BgL_proc2z00_28297;
																																																																																			obj_t
																																																																																				BgL_proc1z00_28296;
																																																																																			obj_t
																																																																																				BgL_testz00_28295;
																																																																																			BgL_testz00_28295
																																																																																				=
																																																																																				BgL_arg4466z00_5339;
																																																																																			BgL_proc1z00_28296
																																																																																				=
																																																																																				BgL_carzd258742zd2_5334;
																																																																																			BgL_proc2z00_28297
																																																																																				=
																																																																																				BgL_carzd258751zd2_5336;
																																																																																			BgL_argsz00_28298
																																																																																				=
																																																																																				BgL_cdrzd258719zd2_5331;
																																																																																			BgL_argsz00_1744
																																																																																				=
																																																																																				BgL_argsz00_28298;
																																																																																			BgL_proc2z00_1743
																																																																																				=
																																																																																				BgL_proc2z00_28297;
																																																																																			BgL_proc1z00_1742
																																																																																				=
																																																																																				BgL_proc1z00_28296;
																																																																																			BgL_testz00_1741
																																																																																				=
																																																																																				BgL_testz00_28295;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1745;
																																																																																		}
																																																																																		BgL_auxz00_28189
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_28294);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 118 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1769;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_28302;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1770;
																																																																																			BgL_auxz00_28189
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_28302);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_28306;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_28189
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_28306);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_28310;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_28189
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_28310);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_28314;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																								BgL_auxz00_28189
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_28314);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_cdrzd259029zd2_5358;
																																																																				BgL_cdrzd259029zd2_5358
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd259036zd2_5359;
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_pairz00_13263;
																																																																						BgL_pairz00_13263
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd259036zd2_5359
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_13263);
																																																																					}
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd259043zd2_5360;
																																																																						BgL_cdrzd259043zd2_5360
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd259036zd2_5359));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd259049zd2_5361;
																																																																							obj_t
																																																																								BgL_cdrzd259050zd2_5362;
																																																																							BgL_carzd259049zd2_5361
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd259043zd2_5360));
																																																																							BgL_cdrzd259050zd2_5362
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd259043zd2_5360));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259049zd2_5361))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_carzd259057zd2_5364;
																																																																									BgL_carzd259057zd2_5364
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd259050zd2_5362));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259057zd2_5364))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (NULLP(CDR(((obj_t) BgL_cdrzd259050zd2_5362))))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd259029zd2_5358))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															obj_t
																																																																																BgL_arg4481z00_5369;
																																																																															BgL_arg4481z00_5369
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd259036zd2_5359));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_28341;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_28345;
																																																																																	obj_t
																																																																																		BgL_proc2z00_28344;
																																																																																	obj_t
																																																																																		BgL_proc1z00_28343;
																																																																																	obj_t
																																																																																		BgL_testz00_28342;
																																																																																	BgL_testz00_28342
																																																																																		=
																																																																																		BgL_arg4481z00_5369;
																																																																																	BgL_proc1z00_28343
																																																																																		=
																																																																																		BgL_carzd259049zd2_5361;
																																																																																	BgL_proc2z00_28344
																																																																																		=
																																																																																		BgL_carzd259057zd2_5364;
																																																																																	BgL_argsz00_28345
																																																																																		=
																																																																																		BgL_cdrzd259029zd2_5358;
																																																																																	BgL_argsz00_1744
																																																																																		=
																																																																																		BgL_argsz00_28345;
																																																																																	BgL_proc2z00_1743
																																																																																		=
																																																																																		BgL_proc2z00_28344;
																																																																																	BgL_proc1z00_1742
																																																																																		=
																																																																																		BgL_proc1z00_28343;
																																																																																	BgL_testz00_1741
																																																																																		=
																																																																																		BgL_testz00_28342;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1745;
																																																																																}
																																																																																BgL_auxz00_28189
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_28341);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 118 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1769;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_28349;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1770;
																																																																																	BgL_auxz00_28189
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_28349);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_28353;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_28189
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_28353);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_28357;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_28189
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_28357);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_28361;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_28189
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28361);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_28365;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																				BgL_auxz00_28189
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_28365);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_cdrzd259390zd2_5377;
																																																																BgL_cdrzd259390zd2_5377
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd259396zd2_5378;
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_pairz00_13273;
																																																																		BgL_pairz00_13273
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd259396zd2_5378
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_13273);
																																																																	}
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd259402zd2_5379;
																																																																		BgL_cdrzd259402zd2_5379
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd259396zd2_5378));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_carzd259407zd2_5380;
																																																																			obj_t
																																																																				BgL_cdrzd259408zd2_5381;
																																																																			BgL_carzd259407zd2_5380
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd259402zd2_5379));
																																																																			BgL_cdrzd259408zd2_5381
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd259402zd2_5379));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259407zd2_5380))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd259408zd2_5381))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_carzd259413zd2_5384;
																																																																							BgL_carzd259413zd2_5384
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd259408zd2_5381);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259413zd2_5384))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (NULLP(CDR(BgL_cdrzd259408zd2_5381)))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd259390zd2_5377))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg4495z00_5389;
																																																																													BgL_arg4495z00_5389
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd259396zd2_5378));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_28392;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_28396;
																																																																															obj_t
																																																																																BgL_proc2z00_28395;
																																																																															obj_t
																																																																																BgL_proc1z00_28394;
																																																																															obj_t
																																																																																BgL_testz00_28393;
																																																																															BgL_testz00_28393
																																																																																=
																																																																																BgL_arg4495z00_5389;
																																																																															BgL_proc1z00_28394
																																																																																=
																																																																																BgL_carzd259407zd2_5380;
																																																																															BgL_proc2z00_28395
																																																																																=
																																																																																BgL_carzd259413zd2_5384;
																																																																															BgL_argsz00_28396
																																																																																=
																																																																																BgL_cdrzd259390zd2_5377;
																																																																															BgL_argsz00_1744
																																																																																=
																																																																																BgL_argsz00_28396;
																																																																															BgL_proc2z00_1743
																																																																																=
																																																																																BgL_proc2z00_28395;
																																																																															BgL_proc1z00_1742
																																																																																=
																																																																																BgL_proc1z00_28394;
																																																																															BgL_testz00_1741
																																																																																=
																																																																																BgL_testz00_28393;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1745;
																																																																														}
																																																																														BgL_auxz00_28189
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_28392);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 118 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1769;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_28400;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1770;
																																																																															BgL_auxz00_28189
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_28400);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1769;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_28404;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1770;
																																																																													BgL_auxz00_28189
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_28404);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_28408;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																											BgL_auxz00_28189
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28408);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_28412;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																									BgL_auxz00_28189
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_28412);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_28416;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																							BgL_auxz00_28189
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_28416);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 118 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 118 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1769;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_28420;
																																																																goto
																																																																	BgL_tagzd2404zd2_1770;
																																																																BgL_auxz00_28189
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_28420);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 118 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 118 */
																																																														goto
																																																															BgL_tagzd2403zd2_1769;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_28424;
																																																														goto
																																																															BgL_tagzd2404zd2_1770;
																																																														BgL_auxz00_28189
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_28424);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 118 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 118 */
																																																												goto
																																																													BgL_tagzd2403zd2_1769;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_28428;
																																																												goto
																																																													BgL_tagzd2404zd2_1770;
																																																												BgL_auxz00_28189
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_28428);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_28189);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 118 */
																																																bool_t
																																																	BgL_testz00_28431;
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_arg4434z00_5286;
																																																	BgL_arg4434z00_5286
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_28431
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg4434z00_5286));
																																																}
																																																if (BgL_testz00_28431)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_28435;
																																																		goto
																																																			BgL_tagzd2384zd2_1727;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_28435);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 118 */
																																																		obj_t
																																																			BgL_carzd259976zd2_5114;
																																																		obj_t
																																																			BgL_cdrzd259977zd2_5115;
																																																		BgL_carzd259976zd2_5114
																																																			=
																																																			CAR
																																																			(BgL_expz00_21);
																																																		BgL_cdrzd259977zd2_5115
																																																			=
																																																			CDR
																																																			(BgL_expz00_21);
																																																		{	/* Ast/sexp.scm 118 */
																																																			obj_t
																																																				BgL_cdrzd259981zd2_5116;
																																																			BgL_cdrzd259981zd2_5116
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd259976zd2_5114));
																																																			if ((CAR(((obj_t) BgL_carzd259976zd2_5114)) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (PAIRP(BgL_cdrzd259981zd2_5116))
																																																						{	/* Ast/sexp.scm 118 */
																																																							obj_t
																																																								BgL_carzd259984zd2_5120;
																																																							obj_t
																																																								BgL_cdrzd259985zd2_5121;
																																																							BgL_carzd259984zd2_5120
																																																								=
																																																								CAR
																																																								(BgL_cdrzd259981zd2_5116);
																																																							BgL_cdrzd259985zd2_5121
																																																								=
																																																								CDR
																																																								(BgL_cdrzd259981zd2_5116);
																																																							if (PAIRP(BgL_carzd259984zd2_5120))
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (NULLP(CDR(BgL_carzd259984zd2_5120)))
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (PAIRP(BgL_cdrzd259985zd2_5121))
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_carzd259991zd2_5126;
																																																													BgL_carzd259991zd2_5126
																																																														=
																																																														CAR
																																																														(BgL_cdrzd259985zd2_5121);
																																																													if (PAIRP(BgL_carzd259991zd2_5126))
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd259991zd2_5126))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (NULLP(CDR(BgL_cdrzd259985zd2_5121)))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (PAIRP(BgL_cdrzd259977zd2_5115))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_carzd259998zd2_5132;
																																																																					BgL_carzd259998zd2_5132
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd259977zd2_5115);
																																																																					if (PAIRP(BgL_carzd259998zd2_5132))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd260022zd2_5134;
																																																																							BgL_cdrzd260022zd2_5134
																																																																								=
																																																																								CDR
																																																																								(CAR
																																																																								(BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_arg4331z00_5135;
																																																																								obj_t
																																																																									BgL_arg4332z00_5136;
																																																																								obj_t
																																																																									BgL_arg4333z00_5137;
																																																																								BgL_arg4331z00_5135
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd260022zd2_5134));
																																																																								BgL_arg4332z00_5136
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd260022zd2_5134));
																																																																								BgL_arg4333z00_5137
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_28479;
																																																																									obj_t
																																																																										BgL_bodyz00_28478;
																																																																									obj_t
																																																																										BgL_varsz00_28477;
																																																																									BgL_varsz00_28477
																																																																										=
																																																																										BgL_arg4331z00_5135;
																																																																									BgL_bodyz00_28478
																																																																										=
																																																																										BgL_arg4332z00_5136;
																																																																									BgL_argsz00_28479
																																																																										=
																																																																										BgL_arg4333z00_5137;
																																																																									BgL_argsz00_1734
																																																																										=
																																																																										BgL_argsz00_28479;
																																																																									BgL_bodyz00_1733
																																																																										=
																																																																										BgL_bodyz00_28478;
																																																																									BgL_varsz00_1732
																																																																										=
																																																																										BgL_varsz00_28477;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1735;
																																																																								}
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(BgL_cdrzd259977zd2_5115)))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_arg4337z00_5141;
																																																																									BgL_arg4337z00_5141
																																																																										=
																																																																										CAR
																																																																										(BgL_carzd259984zd2_5120);
																																																																									{
																																																																										BgL_castz00_bglt
																																																																											BgL_auxz00_28484;
																																																																										{
																																																																											obj_t
																																																																												BgL_argz00_28487;
																																																																											obj_t
																																																																												BgL_bodyz00_28486;
																																																																											obj_t
																																																																												BgL_varz00_28485;
																																																																											BgL_varz00_28485
																																																																												=
																																																																												BgL_arg4337z00_5141;
																																																																											BgL_bodyz00_28486
																																																																												=
																																																																												BgL_carzd259991zd2_5126;
																																																																											BgL_argz00_28487
																																																																												=
																																																																												BgL_carzd259998zd2_5132;
																																																																											BgL_argz00_1730
																																																																												=
																																																																												BgL_argz00_28487;
																																																																											BgL_bodyz00_1729
																																																																												=
																																																																												BgL_bodyz00_28486;
																																																																											BgL_varz00_1728
																																																																												=
																																																																												BgL_varz00_28485;
																																																																											goto
																																																																												BgL_tagzd2385zd2_1731;
																																																																										}
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_28484);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd260049zd2_5142;
																																																																									BgL_cdrzd260049zd2_5142
																																																																										=
																																																																										CDR
																																																																										(CAR
																																																																										(BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg4338z00_5143;
																																																																										obj_t
																																																																											BgL_arg4339z00_5144;
																																																																										obj_t
																																																																											BgL_arg4340z00_5145;
																																																																										BgL_arg4338z00_5143
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd260049zd2_5142));
																																																																										BgL_arg4339z00_5144
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd260049zd2_5142));
																																																																										BgL_arg4340z00_5145
																																																																											=
																																																																											CDR
																																																																											(BgL_expz00_21);
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_28498;
																																																																											obj_t
																																																																												BgL_bodyz00_28497;
																																																																											obj_t
																																																																												BgL_varsz00_28496;
																																																																											BgL_varsz00_28496
																																																																												=
																																																																												BgL_arg4338z00_5143;
																																																																											BgL_bodyz00_28497
																																																																												=
																																																																												BgL_arg4339z00_5144;
																																																																											BgL_argsz00_28498
																																																																												=
																																																																												BgL_arg4340z00_5145;
																																																																											BgL_argsz00_1734
																																																																												=
																																																																												BgL_argsz00_28498;
																																																																											BgL_bodyz00_1733
																																																																												=
																																																																												BgL_bodyz00_28497;
																																																																											BgL_varsz00_1732
																																																																												=
																																																																												BgL_varsz00_28496;
																																																																											goto
																																																																												BgL_tagzd2386zd2_1735;
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd260075zd2_5148;
																																																																					BgL_cdrzd260075zd2_5148
																																																																						=
																																																																						CDR
																																																																						(CAR
																																																																						(BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_arg4343z00_5149;
																																																																						obj_t
																																																																							BgL_arg4344z00_5150;
																																																																						obj_t
																																																																							BgL_arg4345z00_5151;
																																																																						BgL_arg4343z00_5149
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd260075zd2_5148));
																																																																						BgL_arg4344z00_5150
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd260075zd2_5148));
																																																																						BgL_arg4345z00_5151
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_28508;
																																																																							obj_t
																																																																								BgL_bodyz00_28507;
																																																																							obj_t
																																																																								BgL_varsz00_28506;
																																																																							BgL_varsz00_28506
																																																																								=
																																																																								BgL_arg4343z00_5149;
																																																																							BgL_bodyz00_28507
																																																																								=
																																																																								BgL_arg4344z00_5150;
																																																																							BgL_argsz00_28508
																																																																								=
																																																																								BgL_arg4345z00_5151;
																																																																							BgL_argsz00_1734
																																																																								=
																																																																								BgL_argsz00_28508;
																																																																							BgL_bodyz00_1733
																																																																								=
																																																																								BgL_bodyz00_28507;
																																																																							BgL_varsz00_1732
																																																																								=
																																																																								BgL_varsz00_28506;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1735;
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd260101zd2_5153;
																																																																			BgL_cdrzd260101zd2_5153
																																																																				=
																																																																				CDR
																																																																				(CAR
																																																																				(BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_arg4347z00_5154;
																																																																				obj_t
																																																																					BgL_arg4348z00_5155;
																																																																				obj_t
																																																																					BgL_arg4349z00_5156;
																																																																				BgL_arg4347z00_5154
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd260101zd2_5153));
																																																																				BgL_arg4348z00_5155
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd260101zd2_5153));
																																																																				BgL_arg4349z00_5156
																																																																					=
																																																																					CDR
																																																																					(BgL_expz00_21);
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_28518;
																																																																					obj_t
																																																																						BgL_bodyz00_28517;
																																																																					obj_t
																																																																						BgL_varsz00_28516;
																																																																					BgL_varsz00_28516
																																																																						=
																																																																						BgL_arg4347z00_5154;
																																																																					BgL_bodyz00_28517
																																																																						=
																																																																						BgL_arg4348z00_5155;
																																																																					BgL_argsz00_28518
																																																																						=
																																																																						BgL_arg4349z00_5156;
																																																																					BgL_argsz00_1734
																																																																						=
																																																																						BgL_argsz00_28518;
																																																																					BgL_bodyz00_1733
																																																																						=
																																																																						BgL_bodyz00_28517;
																																																																					BgL_varsz00_1732
																																																																						=
																																																																						BgL_varsz00_28516;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1735;
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd260127zd2_5159;
																																																																	BgL_cdrzd260127zd2_5159
																																																																		=
																																																																		CDR
																																																																		(CAR
																																																																		(BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_arg4352z00_5160;
																																																																		obj_t
																																																																			BgL_arg4353z00_5161;
																																																																		obj_t
																																																																			BgL_arg4354z00_5162;
																																																																		BgL_arg4352z00_5160
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd260127zd2_5159));
																																																																		BgL_arg4353z00_5161
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd260127zd2_5159));
																																																																		BgL_arg4354z00_5162
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_28528;
																																																																			obj_t
																																																																				BgL_bodyz00_28527;
																																																																			obj_t
																																																																				BgL_varsz00_28526;
																																																																			BgL_varsz00_28526
																																																																				=
																																																																				BgL_arg4352z00_5160;
																																																																			BgL_bodyz00_28527
																																																																				=
																																																																				BgL_arg4353z00_5161;
																																																																			BgL_argsz00_28528
																																																																				=
																																																																				BgL_arg4354z00_5162;
																																																																			BgL_argsz00_1734
																																																																				=
																																																																				BgL_argsz00_28528;
																																																																			BgL_bodyz00_1733
																																																																				=
																																																																				BgL_bodyz00_28527;
																																																																			BgL_varsz00_1732
																																																																				=
																																																																				BgL_varsz00_28526;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1735;
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd260153zd2_5164;
																																																															BgL_cdrzd260153zd2_5164
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd259976zd2_5114));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_arg4356z00_5165;
																																																																obj_t
																																																																	BgL_arg4357z00_5166;
																																																																obj_t
																																																																	BgL_arg4358z00_5167;
																																																																BgL_arg4356z00_5165
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd260153zd2_5164));
																																																																BgL_arg4357z00_5166
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd260153zd2_5164));
																																																																BgL_arg4358z00_5167
																																																																	=
																																																																	CDR
																																																																	(BgL_expz00_21);
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_28538;
																																																																	obj_t
																																																																		BgL_bodyz00_28537;
																																																																	obj_t
																																																																		BgL_varsz00_28536;
																																																																	BgL_varsz00_28536
																																																																		=
																																																																		BgL_arg4356z00_5165;
																																																																	BgL_bodyz00_28537
																																																																		=
																																																																		BgL_arg4357z00_5166;
																																																																	BgL_argsz00_28538
																																																																		=
																																																																		BgL_arg4358z00_5167;
																																																																	BgL_argsz00_1734
																																																																		=
																																																																		BgL_argsz00_28538;
																																																																	BgL_bodyz00_1733
																																																																		=
																																																																		BgL_bodyz00_28537;
																																																																	BgL_varsz00_1732
																																																																		=
																																																																		BgL_varsz00_28536;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1735;
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd260179zd2_5169;
																																																													BgL_cdrzd260179zd2_5169
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd259976zd2_5114));
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_arg4360z00_5170;
																																																														obj_t
																																																															BgL_arg4361z00_5171;
																																																														obj_t
																																																															BgL_arg4362z00_5172;
																																																														BgL_arg4360z00_5170
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd260179zd2_5169));
																																																														BgL_arg4361z00_5171
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd260179zd2_5169));
																																																														BgL_arg4362z00_5172
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														{
																																																															obj_t
																																																																BgL_argsz00_28548;
																																																															obj_t
																																																																BgL_bodyz00_28547;
																																																															obj_t
																																																																BgL_varsz00_28546;
																																																															BgL_varsz00_28546
																																																																=
																																																																BgL_arg4360z00_5170;
																																																															BgL_bodyz00_28547
																																																																=
																																																																BgL_arg4361z00_5171;
																																																															BgL_argsz00_28548
																																																																=
																																																																BgL_arg4362z00_5172;
																																																															BgL_argsz00_1734
																																																																=
																																																																BgL_argsz00_28548;
																																																															BgL_bodyz00_1733
																																																																=
																																																																BgL_bodyz00_28547;
																																																															BgL_varsz00_1732
																																																																=
																																																																BgL_varsz00_28546;
																																																															goto
																																																																BgL_tagzd2386zd2_1735;
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_cdrzd260205zd2_5174;
																																																											BgL_cdrzd260205zd2_5174
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd259976zd2_5114));
																																																											{	/* Ast/sexp.scm 118 */
																																																												obj_t
																																																													BgL_arg4364z00_5175;
																																																												obj_t
																																																													BgL_arg4365z00_5176;
																																																												obj_t
																																																													BgL_arg4366z00_5177;
																																																												BgL_arg4364z00_5175
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd260205zd2_5174));
																																																												BgL_arg4365z00_5176
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd260205zd2_5174));
																																																												BgL_arg4366z00_5177
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												{
																																																													obj_t
																																																														BgL_argsz00_28558;
																																																													obj_t
																																																														BgL_bodyz00_28557;
																																																													obj_t
																																																														BgL_varsz00_28556;
																																																													BgL_varsz00_28556
																																																														=
																																																														BgL_arg4364z00_5175;
																																																													BgL_bodyz00_28557
																																																														=
																																																														BgL_arg4365z00_5176;
																																																													BgL_argsz00_28558
																																																														=
																																																														BgL_arg4366z00_5177;
																																																													BgL_argsz00_1734
																																																														=
																																																														BgL_argsz00_28558;
																																																													BgL_bodyz00_1733
																																																														=
																																																														BgL_bodyz00_28557;
																																																													BgL_varsz00_1732
																																																														=
																																																														BgL_varsz00_28556;
																																																													goto
																																																														BgL_tagzd2386zd2_1735;
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd260231zd2_5180;
																																																									BgL_cdrzd260231zd2_5180
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd259976zd2_5114));
																																																									{	/* Ast/sexp.scm 118 */
																																																										obj_t
																																																											BgL_arg4369z00_5181;
																																																										obj_t
																																																											BgL_arg4370z00_5182;
																																																										obj_t
																																																											BgL_arg4371z00_5183;
																																																										BgL_arg4369z00_5181
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd260231zd2_5180));
																																																										BgL_arg4370z00_5182
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd260231zd2_5180));
																																																										BgL_arg4371z00_5183
																																																											=
																																																											CDR
																																																											(BgL_expz00_21);
																																																										{
																																																											obj_t
																																																												BgL_argsz00_28568;
																																																											obj_t
																																																												BgL_bodyz00_28567;
																																																											obj_t
																																																												BgL_varsz00_28566;
																																																											BgL_varsz00_28566
																																																												=
																																																												BgL_arg4369z00_5181;
																																																											BgL_bodyz00_28567
																																																												=
																																																												BgL_arg4370z00_5182;
																																																											BgL_argsz00_28568
																																																												=
																																																												BgL_arg4371z00_5183;
																																																											BgL_argsz00_1734
																																																												=
																																																												BgL_argsz00_28568;
																																																											BgL_bodyz00_1733
																																																												=
																																																												BgL_bodyz00_28567;
																																																											BgL_varsz00_1732
																																																												=
																																																												BgL_varsz00_28566;
																																																											goto
																																																												BgL_tagzd2386zd2_1735;
																																																										}
																																																									}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_28571;
																																																									goto
																																																										BgL_tagzd2403zd2_1769;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_28571);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									goto
																																																										BgL_tagzd2404zd2_1770;
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					obj_t
																																																						BgL_cdrzd260369zd2_5188;
																																																					BgL_cdrzd260369zd2_5188
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd259976zd2_5114));
																																																					if ((CAR(((obj_t) BgL_carzd259976zd2_5114)) == CNST_TABLE_REF(((long) 1))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (PAIRP(BgL_cdrzd260369zd2_5188))
																																																								{	/* Ast/sexp.scm 118 */
																																																									obj_t
																																																										BgL_cdrzd260374zd2_5192;
																																																									BgL_cdrzd260374zd2_5192
																																																										=
																																																										CDR
																																																										(BgL_cdrzd260369zd2_5188);
																																																									if (PAIRP(BgL_cdrzd260374zd2_5192))
																																																										{	/* Ast/sexp.scm 118 */
																																																											obj_t
																																																												BgL_carzd260378zd2_5194;
																																																											obj_t
																																																												BgL_cdrzd260379zd2_5195;
																																																											BgL_carzd260378zd2_5194
																																																												=
																																																												CAR
																																																												(BgL_cdrzd260374zd2_5192);
																																																											BgL_cdrzd260379zd2_5195
																																																												=
																																																												CDR
																																																												(BgL_cdrzd260374zd2_5192);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260378zd2_5194))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (PAIRP(BgL_cdrzd260379zd2_5195))
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_carzd260384zd2_5198;
																																																															BgL_carzd260384zd2_5198
																																																																=
																																																																CAR
																																																																(BgL_cdrzd260379zd2_5195);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260384zd2_5198))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	if (NULLP(CDR(BgL_cdrzd260379zd2_5195)))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			bool_t
																																																																				BgL_testz00_28597;
																																																																			{
																																																																				obj_t
																																																																					BgL_l1468z00_5231;
																																																																				BgL_l1468z00_5231
																																																																					=
																																																																					BgL_cdrzd259977zd2_5115;
																																																																			BgL_zc3anonymousza34398ze3z83_5232:
																																																																				if (NULLP(BgL_l1468z00_5231))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						BgL_testz00_28597
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						bool_t
																																																																							BgL_testz00_28600;
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							bool_t
																																																																								BgL_testz00_28601;
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_tmpz00_28602;
																																																																								BgL_tmpz00_28602
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_l1468z00_5231));
																																																																								BgL_testz00_28601
																																																																									=
																																																																									PAIRP
																																																																									(BgL_tmpz00_28602);
																																																																							}
																																																																							if (BgL_testz00_28601)
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_28600
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									BgL_testz00_28600
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																						}
																																																																						if (BgL_testz00_28600)
																																																																							{
																																																																								obj_t
																																																																									BgL_l1468z00_28606;
																																																																								BgL_l1468z00_28606
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_l1468z00_5231));
																																																																								BgL_l1468z00_5231
																																																																									=
																																																																									BgL_l1468z00_28606;
																																																																								goto
																																																																									BgL_zc3anonymousza34398ze3z83_5232;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								BgL_testz00_28597
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																			if (BgL_testz00_28597)
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_28613;
																																																																					obj_t
																																																																						BgL_proc2z00_28612;
																																																																					obj_t
																																																																						BgL_proc1z00_28611;
																																																																					obj_t
																																																																						BgL_testz00_28609;
																																																																					BgL_testz00_28609
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd260369zd2_5188);
																																																																					BgL_proc1z00_28611
																																																																						=
																																																																						BgL_carzd260378zd2_5194;
																																																																					BgL_proc2z00_28612
																																																																						=
																																																																						BgL_carzd260384zd2_5198;
																																																																					BgL_argsz00_28613
																																																																						=
																																																																						BgL_cdrzd259977zd2_5115;
																																																																					BgL_argsz00_1739
																																																																						=
																																																																						BgL_argsz00_28613;
																																																																					BgL_proc2z00_1738
																																																																						=
																																																																						BgL_proc2z00_28612;
																																																																					BgL_proc1z00_1737
																																																																						=
																																																																						BgL_proc1z00_28611;
																																																																					BgL_testz00_1736
																																																																						=
																																																																						BgL_testz00_28609;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1740;
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd260409zd2_5215;
																																																																					BgL_cdrzd260409zd2_5215
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_cdrzd260417zd2_5216;
																																																																						BgL_cdrzd260417zd2_5216
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd260425zd2_5217;
																																																																							BgL_cdrzd260425zd2_5217
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd260417zd2_5216));
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								obj_t
																																																																									BgL_carzd260432zd2_5218;
																																																																								BgL_carzd260432zd2_5218
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd260425zd2_5217));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260432zd2_5218))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_carzd260441zd2_5220;
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_pairz00_13374;
																																																																											BgL_pairz00_13374
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd260425zd2_5217));
																																																																											BgL_carzd260441zd2_5220
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_13374);
																																																																										}
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260441zd2_5220))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd260409zd2_5215))
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg4392z00_5223;
																																																																														BgL_arg4392z00_5223
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd260417zd2_5216));
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_28635;
																																																																															obj_t
																																																																																BgL_proc2z00_28634;
																																																																															obj_t
																																																																																BgL_proc1z00_28633;
																																																																															obj_t
																																																																																BgL_testz00_28632;
																																																																															BgL_testz00_28632
																																																																																=
																																																																																BgL_arg4392z00_5223;
																																																																															BgL_proc1z00_28633
																																																																																=
																																																																																BgL_carzd260432zd2_5218;
																																																																															BgL_proc2z00_28634
																																																																																=
																																																																																BgL_carzd260441zd2_5220;
																																																																															BgL_argsz00_28635
																																																																																=
																																																																																BgL_cdrzd260409zd2_5215;
																																																																															BgL_argsz00_1744
																																																																																=
																																																																																BgL_argsz00_28635;
																																																																															BgL_proc2z00_1743
																																																																																=
																																																																																BgL_proc2z00_28634;
																																																																															BgL_proc1z00_1742
																																																																																=
																																																																																BgL_proc1z00_28633;
																																																																															BgL_testz00_1741
																																																																																=
																																																																																BgL_testz00_28632;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1745;
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_28638;
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1769;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_28638);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 118 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1770;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_28642;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_28642);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_28646;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_28646);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_28650;
																																																																					goto
																																																																						BgL_tagzd2403zd2_1769;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_28650);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1770;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd260719zd2_5242;
																																																																	BgL_cdrzd260719zd2_5242
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		obj_t
																																																																			BgL_cdrzd260726zd2_5243;
																																																																		BgL_cdrzd260726zd2_5243
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			obj_t
																																																																				BgL_cdrzd260733zd2_5244;
																																																																			BgL_cdrzd260733zd2_5244
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd260726zd2_5243));
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd260739zd2_5245;
																																																																				obj_t
																																																																					BgL_cdrzd260740zd2_5246;
																																																																				BgL_carzd260739zd2_5245
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd260733zd2_5244));
																																																																				BgL_cdrzd260740zd2_5246
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd260733zd2_5244));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260739zd2_5245))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						obj_t
																																																																							BgL_carzd260747zd2_5248;
																																																																						BgL_carzd260747zd2_5248
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd260740zd2_5246));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260747zd2_5248))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd260740zd2_5246))))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd260719zd2_5242))
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg4407z00_5253;
																																																																												BgL_arg4407z00_5253
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd260726zd2_5243));
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_28678;
																																																																													obj_t
																																																																														BgL_proc2z00_28677;
																																																																													obj_t
																																																																														BgL_proc1z00_28676;
																																																																													obj_t
																																																																														BgL_testz00_28675;
																																																																													BgL_testz00_28675
																																																																														=
																																																																														BgL_arg4407z00_5253;
																																																																													BgL_proc1z00_28676
																																																																														=
																																																																														BgL_carzd260739zd2_5245;
																																																																													BgL_proc2z00_28677
																																																																														=
																																																																														BgL_carzd260747zd2_5248;
																																																																													BgL_argsz00_28678
																																																																														=
																																																																														BgL_cdrzd260719zd2_5242;
																																																																													BgL_argsz00_1744
																																																																														=
																																																																														BgL_argsz00_28678;
																																																																													BgL_proc2z00_1743
																																																																														=
																																																																														BgL_proc2z00_28677;
																																																																													BgL_proc1z00_1742
																																																																														=
																																																																														BgL_proc1z00_28676;
																																																																													BgL_testz00_1741
																																																																														=
																																																																														BgL_testz00_28675;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1745;
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_28681;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1769;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_28681);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1770;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_28685;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_28685);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_28689;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_28689);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_28693;
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_28693);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_28697;
																																																																	goto
																																																																		BgL_tagzd2403zd2_1769;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_28697);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1770;
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													obj_t
																																																														BgL_cdrzd261080zd2_5261;
																																																													BgL_cdrzd261080zd2_5261
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{	/* Ast/sexp.scm 118 */
																																																														obj_t
																																																															BgL_cdrzd261086zd2_5262;
																																																														BgL_cdrzd261086zd2_5262
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 118 */
																																																															obj_t
																																																																BgL_cdrzd261092zd2_5263;
																																																															BgL_cdrzd261092zd2_5263
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd261086zd2_5262));
																																																															{	/* Ast/sexp.scm 118 */
																																																																obj_t
																																																																	BgL_carzd261097zd2_5264;
																																																																obj_t
																																																																	BgL_cdrzd261098zd2_5265;
																																																																BgL_carzd261097zd2_5264
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd261092zd2_5263));
																																																																BgL_cdrzd261098zd2_5265
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd261092zd2_5263));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd261097zd2_5264))
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (PAIRP(BgL_cdrzd261098zd2_5265))
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				obj_t
																																																																					BgL_carzd261103zd2_5268;
																																																																				BgL_carzd261103zd2_5268
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd261098zd2_5265);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd261103zd2_5268))
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (NULLP(CDR(BgL_cdrzd261098zd2_5265)))
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd261080zd2_5261))
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg4421z00_5273;
																																																																										BgL_arg4421z00_5273
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd261086zd2_5262));
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_28725;
																																																																											obj_t
																																																																												BgL_proc2z00_28724;
																																																																											obj_t
																																																																												BgL_proc1z00_28723;
																																																																											obj_t
																																																																												BgL_testz00_28722;
																																																																											BgL_testz00_28722
																																																																												=
																																																																												BgL_arg4421z00_5273;
																																																																											BgL_proc1z00_28723
																																																																												=
																																																																												BgL_carzd261097zd2_5264;
																																																																											BgL_proc2z00_28724
																																																																												=
																																																																												BgL_carzd261103zd2_5268;
																																																																											BgL_argsz00_28725
																																																																												=
																																																																												BgL_cdrzd261080zd2_5261;
																																																																											BgL_argsz00_1744
																																																																												=
																																																																												BgL_argsz00_28725;
																																																																											BgL_proc2z00_1743
																																																																												=
																																																																												BgL_proc2z00_28724;
																																																																											BgL_proc1z00_1742
																																																																												=
																																																																												BgL_proc1z00_28723;
																																																																											BgL_testz00_1741
																																																																												=
																																																																												BgL_testz00_28722;
																																																																											goto
																																																																												BgL_tagzd2388zd2_1745;
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_28728;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1769;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_28728);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1770;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_28732;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1769;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_28732);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1770;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_28736;
																																																																								goto
																																																																									BgL_tagzd2403zd2_1769;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_28736);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 118 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1770;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_28740;
																																																																						goto
																																																																							BgL_tagzd2403zd2_1769;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_28740);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 118 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1770;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 118 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_28744;
																																																																				goto
																																																																					BgL_tagzd2403zd2_1769;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_28744);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 118 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1770;
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_28748;
																																																													goto
																																																														BgL_tagzd2403zd2_1769;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_28748);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2404zd2_1770;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_28752;
																																																											goto
																																																												BgL_tagzd2403zd2_1769;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_28752);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2404zd2_1770;
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_28756;
																																																									goto
																																																										BgL_tagzd2403zd2_1769;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_28756);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									goto
																																																										BgL_tagzd2404zd2_1770;
																																																								}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																																}
																															else
																																{

																																	if (
																																		(BgL_carzd255411zd2_5098
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					17))))
																																		{
																																			obj_t
																																				BgL_auxz00_28761;
																																		BgL_kapzd261641zd2_5681:
																																			if (PAIRP
																																				(BgL_cdrzd255282zd2_5080))
																																				{	/* Ast/sexp.scm 118 */
																																					obj_t
																																						BgL_arg4775z00_5778;
																																					obj_t
																																						BgL_arg4776z00_5779;
																																					BgL_arg4775z00_5778
																																						=
																																						CAR
																																						(BgL_cdrzd255282zd2_5080);
																																					BgL_arg4776z00_5779
																																						=
																																						CDR
																																						(BgL_cdrzd255282zd2_5080);
																																					{
																																						BgL_nodez00_bglt
																																							BgL_auxz00_28766;
																																						{
																																							obj_t
																																								BgL_exprz00_28768;
																																							obj_t
																																								BgL_bindingsz00_28767;
																																							BgL_bindingsz00_28767
																																								=
																																								BgL_arg4775z00_5778;
																																							BgL_exprz00_28768
																																								=
																																								BgL_arg4776z00_5779;
																																							BgL_exprz00_1724
																																								=
																																								BgL_exprz00_28768;
																																							BgL_bindingsz00_1723
																																								=
																																								BgL_bindingsz00_28767;
																																							goto
																																								BgL_tagzd2382zd2_1725;
																																						}
																																						BgL_auxz00_28761
																																							=
																																							(
																																							(obj_t)
																																							BgL_auxz00_28766);
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 20))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_28775;
																																							goto
																																								BgL_tagzd2383zd2_1726;
																																							BgL_auxz00_28761
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_28775);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							obj_t
																																								BgL_carzd261674zd2_5782;
																																							BgL_carzd261674zd2_5782
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if ((BgL_carzd261674zd2_5782 == CNST_TABLE_REF(((long) 19))))
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_28782;
																																									goto
																																										BgL_tagzd2384zd2_1727;
																																									BgL_auxz00_28761
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_28782);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd261674zd2_5782)))
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_28787;
																																											goto
																																												BgL_tagzd2384zd2_1727;
																																											BgL_auxz00_28761
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_28787);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 3))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_28794;
																																													goto
																																														BgL_tagzd2389zd2_1746;
																																													BgL_auxz00_28761
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_28794);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 6))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_28801;
																																															goto
																																																BgL_tagzd2390zd2_1747;
																																															BgL_auxz00_28761
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_28801);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 22))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_28808;
																																																	goto
																																																		BgL_tagzd2392zd2_1751;
																																																	BgL_auxz00_28761
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_28808);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 23))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_28815;
																																																			goto
																																																				BgL_tagzd2393zd2_1752;
																																																			BgL_auxz00_28761
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_28815);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 25))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_28822;
																																																					goto
																																																						BgL_tagzd2395zd2_1756;
																																																					BgL_auxz00_28761
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_28822);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 26))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_28829;
																																																							goto
																																																								BgL_tagzd2396zd2_1757;
																																																							BgL_auxz00_28761
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_28829);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 27))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_28836;
																																																									goto
																																																										BgL_tagzd2397zd2_1758;
																																																									BgL_auxz00_28761
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_28836);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == CNST_TABLE_REF(((long) 28))))
																																																										{
																																																											BgL_jumpzd2exzd2itz00_bglt
																																																												BgL_auxz00_28843;
																																																											goto
																																																												BgL_tagzd2398zd2_1759;
																																																											BgL_auxz00_28761
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_28843);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_28853;
																																																															goto
																																																																BgL_tagzd2402zd2_1768;
																																																															BgL_auxz00_28761
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_28853);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 118 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1769;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_28857;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1770;
																																																																	BgL_auxz00_28761
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_28857);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 118 */
																																																															goto
																																																																BgL_tagzd2403zd2_1769;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_28861;
																																																															goto
																																																																BgL_tagzd2404zd2_1770;
																																																															BgL_auxz00_28761
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_28861);
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																			return
																																				(
																																				(BgL_nodez00_bglt)
																																				BgL_auxz00_28761);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 118 */
																																			if (CBOOL
																																				(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_carzd255411zd2_5098)))
																																				{
																																					obj_t
																																						BgL_auxz00_28867;
																																					goto
																																						BgL_kapzd261641zd2_5681;
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_auxz00_28867);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 118 */
																																					if (
																																						(BgL_carzd255411zd2_5098
																																							==
																																							CNST_TABLE_REF
																																							(((long) 18))))
																																						{
																																							obj_t
																																								BgL_auxz00_28872;
																																							goto
																																								BgL_kapzd261641zd2_5681;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_28872);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 118 */
																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 20))))
																																								{	/* Ast/sexp.scm 118 */
																																									goto
																																										BgL_tagzd2383zd2_1726;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 118 */
																																									obj_t
																																										BgL_carzd261835zd2_5687;
																																									BgL_carzd261835zd2_5687
																																										=
																																										CAR
																																										(BgL_expz00_21);
																																									if ((BgL_carzd261835zd2_5687 == CNST_TABLE_REF(((long) 19))))
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_28882;
																																											goto
																																												BgL_tagzd2384zd2_1727;
																																											return
																																												(
																																												(BgL_nodez00_bglt)
																																												BgL_auxz00_28882);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 118 */
																																											if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd261835zd2_5687)))
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_28887;
																																													goto
																																														BgL_tagzd2384zd2_1727;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_auxz00_28887);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 118 */
																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																														{	/* Ast/sexp.scm 118 */
																																															goto
																																																BgL_tagzd2389zd2_1746;
																																														}
																																													else
																																														{	/* Ast/sexp.scm 118 */
																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																{	/* Ast/sexp.scm 118 */
																																																	goto
																																																		BgL_tagzd2390zd2_1747;
																																																}
																																															else
																																																{	/* Ast/sexp.scm 118 */
																																																	obj_t
																																																		BgL_cdrzd261914zd2_5694;
																																																	BgL_cdrzd261914zd2_5694
																																																		=
																																																		CDR
																																																		(BgL_expz00_21);
																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																																		{	/* Ast/sexp.scm 118 */
																																																			if (PAIRP(BgL_cdrzd261914zd2_5694))
																																																				{
																																																					obj_t
																																																						BgL_restz00_28906;
																																																					obj_t
																																																						BgL_effectz00_28904;
																																																					BgL_effectz00_28904
																																																						=
																																																						CAR
																																																						(BgL_cdrzd261914zd2_5694);
																																																					BgL_restz00_28906
																																																						=
																																																						CDR
																																																						(BgL_cdrzd261914zd2_5694);
																																																					BgL_restz00_1749
																																																						=
																																																						BgL_restz00_28906;
																																																					BgL_effectz00_1748
																																																						=
																																																						BgL_effectz00_28904;
																																																					goto
																																																						BgL_tagzd2391zd2_1750;
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{
																																																							obj_t
																																																								BgL_auxz00_28910;
																																																							goto
																																																								BgL_tagzd2403zd2_1769;
																																																							return
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BgL_auxz00_28910);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							goto
																																																								BgL_tagzd2404zd2_1770;
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 118 */
																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																				{	/* Ast/sexp.scm 118 */
																																																					goto
																																																						BgL_tagzd2392zd2_1751;
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 118 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																						{	/* Ast/sexp.scm 118 */
																																																							goto
																																																								BgL_tagzd2393zd2_1752;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 118 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																								{	/* Ast/sexp.scm 118 */
																																																									if (PAIRP(BgL_cdrzd261914zd2_5694))
																																																										{
																																																											obj_t
																																																												BgL_restz00_28928;
																																																											obj_t
																																																												BgL_effectz00_28926;
																																																											BgL_effectz00_28926
																																																												=
																																																												CAR
																																																												(BgL_cdrzd261914zd2_5694);
																																																											BgL_restz00_28928
																																																												=
																																																												CDR
																																																												(BgL_cdrzd261914zd2_5694);
																																																											BgL_restz00_1754
																																																												=
																																																												BgL_restz00_28928;
																																																											BgL_effectz00_1753
																																																												=
																																																												BgL_effectz00_28926;
																																																											goto
																																																												BgL_tagzd2394zd2_1755;
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_28932;
																																																													goto
																																																														BgL_tagzd2403zd2_1769;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_28932);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2404zd2_1770;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 118 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																										{	/* Ast/sexp.scm 118 */
																																																											goto
																																																												BgL_tagzd2395zd2_1756;
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 118 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																												{	/* Ast/sexp.scm 118 */
																																																													goto
																																																														BgL_tagzd2396zd2_1757;
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 118 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_28946;
																																																															goto
																																																																BgL_tagzd2397zd2_1758;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_28946);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 118 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																{
																																																																	BgL_jumpzd2exzd2itz00_bglt
																																																																		BgL_auxz00_28952;
																																																																	goto
																																																																		BgL_tagzd2398zd2_1759;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_28952);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 118 */
																																																																	obj_t
																																																																		BgL_cdrzd262041zd2_5720;
																																																																	BgL_cdrzd262041zd2_5720
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if (PAIRP(BgL_cdrzd262041zd2_5720))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					obj_t
																																																																						BgL_cdrzd262043zd2_5724;
																																																																					BgL_cdrzd262043zd2_5724
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd262041zd2_5720);
																																																																					if (PAIRP(BgL_cdrzd262043zd2_5724))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(BgL_cdrzd262043zd2_5724)))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2399zd2_1760;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_28969;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_28969);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_28973;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_28973);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_28977;
																																																																							goto
																																																																								BgL_tagzd2403zd2_1769;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_28977);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1770;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 118 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (PAIRP(BgL_cdrzd262041zd2_5720))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							obj_t
																																																																								BgL_cdrzd262088zd2_5736;
																																																																							BgL_cdrzd262088zd2_5736
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd262041zd2_5720);
																																																																							if (PAIRP(BgL_cdrzd262088zd2_5736))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd262093zd2_5738;
																																																																									BgL_cdrzd262093zd2_5738
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd262088zd2_5736);
																																																																									if ((CAR(BgL_cdrzd262088zd2_5736) == CNST_TABLE_REF(((long) 31))))
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											if (PAIRP(BgL_cdrzd262093zd2_5738))
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_arg4742z00_5742;
																																																																													obj_t
																																																																														BgL_arg4743z00_5743;
																																																																													obj_t
																																																																														BgL_arg4744z00_5744;
																																																																													BgL_arg4742z00_5742
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd262041zd2_5720);
																																																																													BgL_arg4743z00_5743
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd262093zd2_5738);
																																																																													BgL_arg4744z00_5744
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd262093zd2_5738);
																																																																													return
																																																																														BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																														(BgL_expz00_21,
																																																																														BgL_arg4742z00_5742,
																																																																														BgL_arg4743z00_5743,
																																																																														BgL_arg4744z00_5744,
																																																																														BgL_stackz00_22,
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_21,
																																																																															BgL_locz00_23),
																																																																														BgL_sitez00_24);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 118 */
																																																																													obj_t
																																																																														BgL_cdrzd262106zd2_5745;
																																																																													BgL_cdrzd262106zd2_5745
																																																																														=
																																																																														CDR
																																																																														(BgL_expz00_21);
																																																																													{	/* Ast/sexp.scm 118 */
																																																																														obj_t
																																																																															BgL_arg4745z00_5746;
																																																																														obj_t
																																																																															BgL_arg4746z00_5747;
																																																																														BgL_arg4745z00_5746
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd262106zd2_5745));
																																																																														BgL_arg4746z00_5747
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd262106zd2_5745));
																																																																														{	/* Ast/sexp.scm 561 */
																																																																															obj_t
																																																																																BgL_arg6983z00_13457;
																																																																															BgL_arg6983z00_13457
																																																																																=
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																BgL_locz00_23);
																																																																															return
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																BgL_arg4745z00_5746,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg4746z00_5747, BgL_stackz00_22, BgL_arg6983z00_13457, BgL_sitez00_24);
																																																																										}}}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											obj_t
																																																																												BgL_cdrzd262121zd2_5748;
																																																																											BgL_cdrzd262121zd2_5748
																																																																												=
																																																																												CDR
																																																																												(BgL_expz00_21);
																																																																											{	/* Ast/sexp.scm 118 */
																																																																												obj_t
																																																																													BgL_arg4747z00_5749;
																																																																												obj_t
																																																																													BgL_arg4748z00_5750;
																																																																												BgL_arg4747z00_5749
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd262121zd2_5748));
																																																																												BgL_arg4748z00_5750
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd262121zd2_5748));
																																																																												{	/* Ast/sexp.scm 561 */
																																																																													obj_t
																																																																														BgL_arg6983z00_13461;
																																																																													BgL_arg6983z00_13461
																																																																														=
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_21,
																																																																														BgL_locz00_23);
																																																																													return
																																																																														BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																														(BgL_expz00_21,
																																																																														BgL_arg4747z00_5749,
																																																																														CNST_TABLE_REF
																																																																														(((long) 4)), BgL_arg4748z00_5750, BgL_stackz00_22, BgL_arg6983z00_13461, BgL_sitez00_24);
																																																																								}}}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									obj_t
																																																																										BgL_cdrzd262136zd2_5752;
																																																																									BgL_cdrzd262136zd2_5752
																																																																										=
																																																																										CDR
																																																																										(BgL_expz00_21);
																																																																									{	/* Ast/sexp.scm 118 */
																																																																										obj_t
																																																																											BgL_arg4750z00_5753;
																																																																										obj_t
																																																																											BgL_arg4751z00_5754;
																																																																										BgL_arg4750z00_5753
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd262136zd2_5752));
																																																																										BgL_arg4751z00_5754
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd262136zd2_5752));
																																																																										{	/* Ast/sexp.scm 561 */
																																																																											obj_t
																																																																												BgL_arg6983z00_13465;
																																																																											BgL_arg6983z00_13465
																																																																												=
																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																												(BgL_expz00_21,
																																																																												BgL_locz00_23);
																																																																											return
																																																																												BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																												(BgL_expz00_21,
																																																																												BgL_arg4750z00_5753,
																																																																												CNST_TABLE_REF
																																																																												(((long) 4)), BgL_arg4751z00_5754, BgL_stackz00_22, BgL_arg6983z00_13465, BgL_sitez00_24);
																																																																						}}}}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_29026;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_29026);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 118 */
																																																																					if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (NULLP(CDR(BgL_expz00_21)))
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2402zd2_1768;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_29036;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1769;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_29036);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 118 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1770;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 118 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_29040;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1769;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_29040);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 118 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1770;
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Ast/sexp.scm 118 */
										BgL_atomz00_1701 = BgL_expz00_21;
										{	/* Ast/sexp.scm 134 */
											bool_t BgL_testz00_29042;

											if (BGl_isazf3zf3zz__objectz00(BgL_atomz00_1701,
													BGl_localz00zzast_varz00))
												{	/* Ast/sexp.scm 134 */
													BgL_testz00_29042 = ((bool_t) 1);
												}
											else
												{	/* Ast/sexp.scm 134 */
													BgL_testz00_29042 =
														BGl_isazf3zf3zz__objectz00(BgL_atomz00_1701,
														BGl_globalz00zzast_varz00);
												}
											if (BgL_testz00_29042)
												{	/* Ast/sexp.scm 134 */
													return
														BGl_variablezd2ze3nodez31zzast_sexpz00
														(BgL_atomz00_1701, BgL_locz00_23, BgL_sitez00_24);
												}
											else
												{	/* Ast/sexp.scm 136 */
													bool_t BgL_testz00_29047;

													if (STRUCTP(BgL_atomz00_1701))
														{	/* Ast/sexp.scm 136 */
															BgL_testz00_29047 = ((bool_t) 1);
														}
													else
														{	/* Ast/sexp.scm 136 */
															if (VECTORP(BgL_atomz00_1701))
																{	/* Ast/sexp.scm 136 */
																	BgL_testz00_29047 = ((bool_t) 1);
																}
															else
																{	/* Ast/sexp.scm 136 */
																	if (BGL_OBJECTP(BgL_atomz00_1701))
																		{	/* Ast/sexp.scm 136 */
																			BgL_testz00_29047 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/sexp.scm 136 */
																			BgL_testz00_29047 =
																				PROCEDUREP(BgL_atomz00_1701);
																		}
																}
														}
													if (BgL_testz00_29047)
														{	/* Ast/sexp.scm 137 */
															BgL_nodez00_bglt BgL_res7288z00_9579;

															{	/* Ast/sexp.scm 715 */
																obj_t BgL_arg7083z00_9575;
																BgL_nodez00_bglt BgL_arg7084z00_9576;

																BgL_arg7083z00_9575 =
																	BGl_shapez00zztools_shapez00
																	(BGl_currentzd2functionzd2zztools_errorz00());
																BgL_arg7084z00_9576 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(CNST_TABLE_REF(((long) 4)), BNIL,
																	BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																{	/* Ast/sexp.scm 714 */
																	obj_t BgL_list7085z00_9578;

																	BgL_list7085z00_9578 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg7084z00_9576), BNIL);
																	BgL_res7288z00_9579 =
																		((BgL_nodez00_bglt)
																		BGl_userzd2errorzf2locationz20zztools_errorz00
																		(BgL_locz00_23, BgL_arg7083z00_9575,
																			BGl_string7970z00zzast_sexpz00,
																			BgL_expz00_21, BgL_list7085z00_9578));
															}}
															return BgL_res7288z00_9579;
														}
													else
														{	/* Ast/sexp.scm 136 */
															if (SYMBOLP(BgL_atomz00_1701))
																{	/* Ast/sexp.scm 143 */
																	obj_t BgL_g1116z00_8359;

																	BgL_g1116z00_8359 =
																		BGl_findzd2localzd2zzast_sexpz00
																		(BgL_atomz00_1701, BgL_stackz00_22);
																	if (CBOOL(BgL_g1116z00_8359))
																		{	/* Ast/sexp.scm 143 */
																			return
																				BGl_variablezd2ze3nodez31zzast_sexpz00
																				(BgL_g1116z00_8359, BgL_locz00_23,
																				BgL_sitez00_24);
																		}
																	else
																		{	/* Ast/sexp.scm 147 */
																			obj_t BgL_globalz00_8362;

																			BgL_globalz00_8362 =
																				BGl_findzd2globalzd2zzast_envz00
																				(BgL_atomz00_1701, BNIL);
																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_globalz00_8362,
																					BGl_globalz00zzast_varz00))
																				{	/* Ast/sexp.scm 149 */
																					if (
																						((((BgL_globalz00_bglt) COBJECT(
																										((BgL_globalz00_bglt)
																											BgL_globalz00_8362)))->
																								BgL_importz00) ==
																							CNST_TABLE_REF(((long) 10))))
																						{	/* Ast/sexp.scm 152 */
																							obj_t BgL_arg6615z00_8366;

																							{	/* Ast/sexp.scm 152 */
																								obj_t BgL_arg6616z00_8367;

																								{	/* Ast/sexp.scm 152 */
																									obj_t BgL_arg6617z00_8368;

																									{	/* Ast/sexp.scm 152 */
																										obj_t BgL_arg6618z00_8369;

																										BgL_arg6618z00_8369 =
																											MAKE_YOUNG_PAIR
																											(BgL_atomz00_1701, BNIL);
																										BgL_arg6617z00_8368 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													12)),
																											BgL_arg6618z00_8369);
																									}
																									BgL_arg6616z00_8367 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg6617z00_8368, BNIL);
																								}
																								BgL_arg6615z00_8366 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 10)),
																									BgL_arg6616z00_8367);
																							}
																							{
																								obj_t BgL_expz00_29084;

																								BgL_expz00_29084 =
																									BgL_arg6615z00_8366;
																								BgL_expz00_21 =
																									BgL_expz00_29084;
																								goto
																									BGl_sexpzd2ze3nodez31zzast_sexpz00;
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 151 */
																							return
																								BGl_variablezd2ze3nodez31zzast_sexpz00
																								(BgL_globalz00_8362,
																								BgL_locz00_23, BgL_sitez00_24);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 150 */
																					BgL_nodez00_bglt BgL_res7291z00_9588;

																					{	/* Ast/sexp.scm 715 */
																						obj_t BgL_arg7083z00_9584;
																						BgL_nodez00_bglt
																							BgL_arg7084z00_9585;
																						BgL_arg7083z00_9584 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg7084z00_9585 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 4)), BNIL,
																							BgL_locz00_23,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 714 */
																							obj_t BgL_list7085z00_9587;

																							BgL_list7085z00_9587 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_arg7084z00_9585),
																								BNIL);
																							BgL_res7291z00_9588 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_23,
																									BgL_arg7083z00_9584,
																									BGl_string7969z00zzast_sexpz00,
																									BgL_expz00_21,
																									BgL_list7085z00_9587));
																					}}
																					return BgL_res7291z00_9588;
																				}
																		}
																}
															else
																{	/* Ast/sexp.scm 139 */
																	BgL_literalz00_bglt BgL_new1115z00_8372;

																	{	/* Ast/sexp.scm 140 */
																		BgL_literalz00_bglt BgL_new1114z00_8373;

																		BgL_new1114z00_8373 =
																			((BgL_literalz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_literalz00_bgl))));
																		{	/* Ast/sexp.scm 140 */
																			long BgL_arg6621z00_8374;

																			{	/* Ast/sexp.scm 140 */
																				long BgL_res7292z00_9590;

																				BgL_res7292z00_9590 =
																					BGL_CLASS_INDEX
																					(BGl_literalz00zzast_nodez00);
																				BgL_arg6621z00_8374 =
																					BgL_res7292z00_9590;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1114z00_8373),
																				BgL_arg6621z00_8374);
																		}
																		{	/* Ast/sexp.scm 140 */
																			BgL_objectz00_bglt BgL_tmpz00_29099;

																			BgL_tmpz00_29099 =
																				((BgL_objectz00_bglt)
																				BgL_new1114z00_8373);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_29099,
																				BFALSE);
																		}
																		BgL_new1115z00_8372 = BgL_new1114z00_8373;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1115z00_8372)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_23), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1115z00_8372)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BgL_atomz00_1701)), BUNSPEC);
																	((((BgL_atomz00_bglt)
																				COBJECT(((BgL_atomz00_bglt)
																						BgL_new1115z00_8372)))->
																			BgL_valuez00) =
																		((obj_t) BgL_atomz00_1701), BUNSPEC);
																	return ((BgL_nodez00_bglt)
																		BgL_new1115z00_8372);
																}
														}
												}
										}
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* liip~0 */
	obj_t BGl_liipze70ze7zzast_sexpz00(obj_t BgL_argsz00_8775)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 394 */
			if (NULLP(BgL_argsz00_8775))
				{	/* Ast/sexp.scm 395 */
					return CNST_TABLE_REF(((long) 4));
				}
			else
				{	/* Ast/sexp.scm 397 */
					obj_t BgL_arg6859z00_8778;

					{	/* Ast/sexp.scm 397 */
						obj_t BgL_arg6860z00_8779;
						obj_t BgL_arg6861z00_8780;

						BgL_arg6860z00_8779 = CAR(((obj_t) BgL_argsz00_8775));
						{	/* Ast/sexp.scm 398 */
							obj_t BgL_arg6862z00_8781;

							{	/* Ast/sexp.scm 398 */
								obj_t BgL_arg6863z00_8782;

								BgL_arg6863z00_8782 = CDR(((obj_t) BgL_argsz00_8775));
								BgL_arg6862z00_8781 =
									BGl_liipze70ze7zzast_sexpz00(BgL_arg6863z00_8782);
							}
							BgL_arg6861z00_8780 = MAKE_YOUNG_PAIR(BgL_arg6862z00_8781, BNIL);
						}
						BgL_arg6859z00_8778 =
							MAKE_YOUNG_PAIR(BgL_arg6860z00_8779, BgL_arg6861z00_8780);
					}
					return
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 32)), BgL_arg6859z00_8778);
		}}
		BGL_FUNCTION_END;
	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzast_sexpz00(obj_t BgL_expz00_13736,
		obj_t BgL_locz00_13735, obj_t BgL_varsz00_8737, obj_t BgL_argsz00_8738)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 379 */
		BGl_loopze70ze7zzast_sexpz00:
			if (NULLP(BgL_varsz00_8737))
				{	/* Ast/sexp.scm 382 */
					if (NULLP(BgL_argsz00_8738))
						{	/* Ast/sexp.scm 383 */
							return BNIL;
						}
					else
						{	/* Ast/sexp.scm 383 */
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_13735,
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00()),
								BGl_string7972z00zzast_sexpz00, BgL_expz00_13736, BNIL);
						}
				}
			else
				{	/* Ast/sexp.scm 382 */
					if (PAIRP(BgL_varsz00_8737))
						{	/* Ast/sexp.scm 390 */
							if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
									(BgL_varsz00_8737)))
								{	/* Ast/sexp.scm 400 */
									obj_t BgL_argz00_8748;

									BgL_argz00_8748 =
										BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(CDR
										(BgL_varsz00_8737));
									if (CBOOL(BgL_argz00_8748))
										{
											obj_t BgL_varsz00_29138;

											BgL_varsz00_29138 = BgL_argz00_8748;
											BgL_varsz00_8737 = BgL_varsz00_29138;
											goto BGl_loopze70ze7zzast_sexpz00;
										}
									else
										{
											obj_t BgL_varsz00_29139;

											BgL_varsz00_29139 = BNIL;
											BgL_varsz00_8737 = BgL_varsz00_29139;
											goto BGl_loopze70ze7zzast_sexpz00;
										}
								}
							else
								{	/* Ast/sexp.scm 405 */
									bool_t BgL_testz00_29140;

									{	/* Ast/sexp.scm 405 */
										obj_t BgL_tmpz00_29141;

										BgL_tmpz00_29141 = CAR(BgL_varsz00_8737);
										BgL_testz00_29140 = SYMBOLP(BgL_tmpz00_29141);
									}
									if (BgL_testz00_29140)
										{	/* Ast/sexp.scm 405 */
											if (NULLP(BgL_argsz00_8738))
												{	/* Ast/sexp.scm 411 */
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_locz00_13735,
														BGl_shapez00zztools_shapez00
														(BGl_currentzd2functionzd2zztools_errorz00()),
														BGl_string7972z00zzast_sexpz00, BgL_expz00_13736,
														BNIL);
												}
											else
												{	/* Ast/sexp.scm 418 */
													obj_t BgL_arg6839z00_8756;
													obj_t BgL_arg6840z00_8757;

													{	/* Ast/sexp.scm 418 */
														obj_t BgL_arg6841z00_8758;
														obj_t BgL_arg6842z00_8759;

														BgL_arg6841z00_8758 = CAR(BgL_varsz00_8737);
														BgL_arg6842z00_8759 =
															CAR(((obj_t) BgL_argsz00_8738));
														{	/* Ast/sexp.scm 418 */
															obj_t BgL_list6843z00_8760;

															{	/* Ast/sexp.scm 418 */
																obj_t BgL_arg6844z00_8761;

																BgL_arg6844z00_8761 =
																	MAKE_YOUNG_PAIR(BgL_arg6842z00_8759, BNIL);
																BgL_list6843z00_8760 =
																	MAKE_YOUNG_PAIR(BgL_arg6841z00_8758,
																	BgL_arg6844z00_8761);
															}
															BgL_arg6839z00_8756 = BgL_list6843z00_8760;
														}
													}
													{	/* Ast/sexp.scm 419 */
														obj_t BgL_arg6845z00_8762;
														obj_t BgL_arg6846z00_8763;

														BgL_arg6845z00_8762 = CDR(BgL_varsz00_8737);
														BgL_arg6846z00_8763 =
															CDR(((obj_t) BgL_argsz00_8738));
														BgL_arg6840z00_8757 =
															BGl_loopze70ze7zzast_sexpz00(BgL_expz00_13736,
															BgL_locz00_13735, BgL_arg6845z00_8762,
															BgL_arg6846z00_8763);
													}
													return
														MAKE_YOUNG_PAIR(BgL_arg6839z00_8756,
														BgL_arg6840z00_8757);
												}
										}
									else
										{	/* Ast/sexp.scm 405 */
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_13735,
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00()),
												BGl_string7973z00zzast_sexpz00, BgL_expz00_13736, BNIL);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 395 */
							obj_t BgL_arg6852z00_8769;

							{	/* Ast/sexp.scm 395 */
								obj_t BgL_arg6854z00_8771;

								BgL_arg6854z00_8771 =
									BGl_liipze70ze7zzast_sexpz00(BgL_argsz00_8738);
								{	/* Ast/sexp.scm 392 */
									obj_t BgL_list6855z00_8772;

									{	/* Ast/sexp.scm 392 */
										obj_t BgL_arg6856z00_8773;

										BgL_arg6856z00_8773 =
											MAKE_YOUNG_PAIR(BgL_arg6854z00_8771, BNIL);
										BgL_list6855z00_8772 =
											MAKE_YOUNG_PAIR(BgL_varsz00_8737, BgL_arg6856z00_8773);
									}
									BgL_arg6852z00_8769 = BgL_list6855z00_8772;
								}
							}
							{	/* Ast/sexp.scm 391 */
								obj_t BgL_list6853z00_8770;

								BgL_list6853z00_8770 =
									MAKE_YOUNG_PAIR(BgL_arg6852z00_8769, BNIL);
								return BgL_list6853z00_8770;
							}
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* &sexp->node */
	BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t BgL_envz00_13697,
		obj_t BgL_expz00_13698, obj_t BgL_stackz00_13699, obj_t BgL_locz00_13700,
		obj_t BgL_sitez00_13701)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 113 */
			return
				BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_13698, BgL_stackz00_13699,
				BgL_locz00_13700, BgL_sitez00_13701);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:6869> */
	obj_t BGl_z62zc3anonymousza36869ze3ze1zzast_sexpz00(obj_t BgL_envz00_13702,
		obj_t BgL_objz00_13704, obj_t BgL_procz00_13705, obj_t BgL_msgz00_13706)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 424 */
			return
				BGl_userzd2errorzf2locationz20zztools_errorz00(PROCEDURE_REF
				(BgL_envz00_13702, (int) (((long) 0))), BgL_objz00_13704,
				BgL_procz00_13705, BgL_msgz00_13706, BNIL);
		}
		BGL_FUNCTION_END;
	}



/* variable->node */
	BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t BgL_vz00_25,
		obj_t BgL_locz00_26, obj_t BgL_sitez00_27)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 580 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_vz00_25), BgL_locz00_26, BgL_sitez00_27);
			{	/* Ast/sexp.scm 582 */
				bool_t BgL_testz00_29172;

				if ((BgL_sitez00_27 == CNST_TABLE_REF(((long) 33))))
					{	/* Ast/sexp.scm 582 */
						BgL_testz00_29172 = ((bool_t) 0);
					}
				else
					{	/* Ast/sexp.scm 582 */
						BgL_valuez00_bglt BgL_arg7007z00_9017;

						BgL_arg7007z00_9017 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_valuez00);
						{	/* Ast/sexp.scm 582 */
							bool_t BgL_res7888z00_13470;

							BgL_res7888z00_13470 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_arg7007z00_9017), BGl_funz00zzast_varz00);
							BgL_testz00_29172 = BgL_res7888z00_13470;
						}
					}
				if (BgL_testz00_29172)
					{	/* Ast/sexp.scm 583 */
						bool_t BgL_testz00_29180;

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_25,
								BGl_globalz00zzast_varz00))
							{	/* Ast/sexp.scm 584 */
								bool_t BgL_testz00_29183;

								{	/* Ast/sexp.scm 584 */
									BgL_valuez00_bglt BgL_arg7004z00_9011;

									BgL_arg7004z00_9011 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_25))))->BgL_valuez00);
									{	/* Ast/sexp.scm 584 */
										bool_t BgL_res7890z00_13473;

										BgL_res7890z00_13473 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_arg7004z00_9011), BGl_cfunz00zzast_varz00);
										BgL_testz00_29183 = BgL_res7890z00_13473;
									}
								}
								if (BgL_testz00_29183)
									{	/* Ast/sexp.scm 585 */
										bool_t BgL_testz00_29189;

										{	/* Ast/sexp.scm 585 */
											obj_t BgL_arg7003z00_9010;

											BgL_arg7003z00_9010 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_testz00_29189 =
												(((BgL_backendz00_bglt) COBJECT(
														((BgL_backendz00_bglt) BgL_arg7003z00_9010)))->
												BgL_foreignzd2closurezd2);
										}
										if (BgL_testz00_29189)
											{	/* Ast/sexp.scm 585 */
												BgL_testz00_29180 = ((bool_t) 0);
											}
										else
											{	/* Ast/sexp.scm 585 */
												if ((BgL_sitez00_27 == CNST_TABLE_REF(((long) 30))))
													{	/* Ast/sexp.scm 586 */
														BgL_testz00_29180 = ((bool_t) 0);
													}
												else
													{	/* Ast/sexp.scm 586 */
														BgL_testz00_29180 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Ast/sexp.scm 584 */
										BgL_testz00_29180 = ((bool_t) 0);
									}
							}
						else
							{	/* Ast/sexp.scm 583 */
								BgL_testz00_29180 = ((bool_t) 0);
							}
						if (BgL_testz00_29180)
							{	/* Ast/sexp.scm 588 */
								obj_t BgL_arg6997z00_8998;

								{	/* Ast/sexp.scm 588 */
									obj_t BgL_arg6998z00_8999;

									{	/* Ast/sexp.scm 588 */
										obj_t BgL_arg7000z00_9001;

										BgL_arg7000z00_9001 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_arg6998z00_8999 =
											(((BgL_backendz00_bglt) COBJECT(
													((BgL_backendz00_bglt) BgL_arg7000z00_9001)))->
											BgL_namez00);
									}
									{	/* Ast/sexp.scm 588 */
										obj_t BgL_list6999z00_9000;

										BgL_list6999z00_9000 =
											MAKE_YOUNG_PAIR(BgL_arg6998z00_8999, BNIL);
										BgL_arg6997z00_8998 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string7974z00zzast_sexpz00, BgL_list6999z00_9000);
									}
								}
								return
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BgL_arg6997z00_8998, BGl_expzd2envzd2zz__r4_numbers_6_5z00,
									BgL_locz00_26);
							}
						else
							{	/* Ast/sexp.scm 589 */
								BgL_closurez00_bglt BgL_new1145z00_9002;

								{	/* Ast/sexp.scm 590 */
									BgL_closurez00_bglt BgL_new1144z00_9004;

									BgL_new1144z00_9004 =
										((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_closurez00_bgl))));
									{	/* Ast/sexp.scm 590 */
										long BgL_arg7002z00_9005;

										{	/* Ast/sexp.scm 590 */
											long BgL_res7893z00_13481;

											BgL_res7893z00_13481 =
												BGL_CLASS_INDEX(BGl_closurez00zzast_nodez00);
											BgL_arg7002z00_9005 = BgL_res7893z00_13481;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1144z00_9004),
											BgL_arg7002z00_9005);
									}
									BgL_new1145z00_9002 = BgL_new1144z00_9004;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1145z00_9002)))->
										BgL_locz00) = ((obj_t) BgL_locz00_26), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_29208;

									{	/* Ast/sexp.scm 591 */
										BgL_typez00_bglt BgL_arg7001z00_9003;

										BgL_arg7001z00_9003 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_typez00);
										BgL_auxz00_29208 =
											BGl_strictzd2nodezd2typez00zzast_nodez00(
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00),
											BgL_arg7001z00_9003);
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1145z00_9002)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_29208), BUNSPEC);
								}
								((((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_new1145z00_9002)))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_25)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1145z00_9002);
							}
					}
				else
					{	/* Ast/sexp.scm 593 */
						BgL_varz00_bglt BgL_new1147z00_9012;

						{	/* Ast/sexp.scm 594 */
							BgL_varz00_bglt BgL_new1146z00_9014;

							BgL_new1146z00_9014 =
								((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_varz00_bgl))));
							{	/* Ast/sexp.scm 594 */
								long BgL_arg7006z00_9015;

								{	/* Ast/sexp.scm 594 */
									long BgL_res7894z00_13486;

									BgL_res7894z00_13486 =
										BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
									BgL_arg7006z00_9015 = BgL_res7894z00_13486;
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1146z00_9014),
									BgL_arg7006z00_9015);
							}
							BgL_new1147z00_9012 = BgL_new1146z00_9014;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1147z00_9012)))->BgL_locz00) =
							((obj_t) BgL_locz00_26), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_29225;

							{	/* Ast/sexp.scm 595 */
								BgL_typez00_bglt BgL_arg7005z00_9013;

								BgL_arg7005z00_9013 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_typez00);
								BgL_auxz00_29225 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
									BgL_arg7005z00_9013);
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1147z00_9012)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_29225), BUNSPEC);
						}
						((((BgL_varz00_bglt) COBJECT(BgL_new1147z00_9012))->
								BgL_variablez00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_25)),
							BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1147z00_9012);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* call->node */
	BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_28,
		obj_t BgL_stackz00_29, obj_t BgL_locz00_30, obj_t BgL_sitez00_31)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 601 */
			{	/* Ast/sexp.scm 602 */
				obj_t BgL_callerz00_9018;
				obj_t BgL_locz00_9019;

				BgL_callerz00_9018 = CAR(((obj_t) BgL_expz00_28));
				BgL_locz00_9019 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_28,
					BgL_locz00_30);
				if (SYMBOLP(BgL_callerz00_9018))
					{	/* Ast/sexp.scm 606 */
						obj_t BgL_pidz00_9021;

						BgL_pidz00_9021 =
							BGl_parsezd2idzd2zzast_identz00(BgL_callerz00_9018,
							BgL_locz00_9019);
						{	/* Ast/sexp.scm 606 */
							obj_t BgL_idz00_9022;

							BgL_idz00_9022 = CAR(BgL_pidz00_9021);
							{	/* Ast/sexp.scm 607 */
								obj_t BgL_typez00_9023;

								BgL_typez00_9023 = CDR(BgL_pidz00_9021);
								{	/* Ast/sexp.scm 608 */

									if ((BgL_idz00_9022 == CNST_TABLE_REF(((long) 6))))
										{	/* Ast/sexp.scm 609 */
											return
												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)
													0), BFALSE, ((BgL_typez00_bglt) BgL_typez00_9023),
												BgL_expz00_28, BgL_stackz00_29, BgL_locz00_9019,
												BgL_sitez00_31);
										}
									else
										{	/* Ast/sexp.scm 609 */
											if ((BgL_idz00_9022 == CNST_TABLE_REF(((long) 21))))
												{	/* Ast/sexp.scm 613 */
													bool_t BgL_testz00_29251;

													{	/* Ast/sexp.scm 613 */
														obj_t BgL_tmpz00_29252;

														BgL_tmpz00_29252 = CDR(((obj_t) BgL_expz00_28));
														BgL_testz00_29251 = PAIRP(BgL_tmpz00_29252);
													}
													if (BgL_testz00_29251)
														{	/* Ast/sexp.scm 617 */
															BgL_feffectz00_bglt BgL_arg7013z00_9029;
															obj_t BgL_arg7014z00_9030;

															{	/* Ast/sexp.scm 617 */
																obj_t BgL_arg7015z00_9031;

																{	/* Ast/sexp.scm 617 */
																	obj_t BgL_pairz00_13503;

																	BgL_pairz00_13503 =
																		CDR(((obj_t) BgL_expz00_28));
																	BgL_arg7015z00_9031 = CAR(BgL_pairz00_13503);
																}
																BgL_arg7013z00_9029 =
																	BGl_parsezd2effectzd2zzeffect_feffectz00
																	(BgL_arg7015z00_9031);
															}
															{	/* Ast/sexp.scm 618 */
																obj_t BgL_arg7016z00_9032;
																obj_t BgL_arg7017z00_9033;

																{	/* Ast/sexp.scm 618 */
																	obj_t BgL_arg7018z00_9034;

																	BgL_arg7018z00_9034 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 34)),
																		BNIL);
																	BgL_arg7016z00_9032 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 35)),
																		BgL_arg7018z00_9034);
																}
																{	/* Ast/sexp.scm 618 */
																	obj_t BgL_auxz00_29264;

																	{	/* Ast/sexp.scm 618 */
																		obj_t BgL_pairz00_13507;

																		BgL_pairz00_13507 =
																			CDR(((obj_t) BgL_expz00_28));
																		BgL_auxz00_29264 = CDR(BgL_pairz00_13507);
																	}
																	BgL_arg7017z00_9033 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_auxz00_29264, BNIL);
																}
																BgL_arg7014z00_9030 =
																	MAKE_YOUNG_PAIR(BgL_arg7016z00_9032,
																	BgL_arg7017z00_9033);
															}
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 0), ((obj_t) BgL_arg7013z00_9029),
																((BgL_typez00_bglt) BgL_typez00_9023),
																BgL_arg7014z00_9030, BgL_stackz00_29,
																BgL_locz00_9019, BgL_sitez00_31);
														}
													else
														{	/* Ast/sexp.scm 616 */
															obj_t BgL_arg7020z00_9036;

															BgL_arg7020z00_9036 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_28, BgL_locz00_9019);
															{	/* Ast/sexp.scm 614 */
																BgL_nodez00_bglt BgL_res7899z00_13513;

																{	/* Ast/sexp.scm 715 */
																	obj_t BgL_arg7083z00_13509;
																	BgL_nodez00_bglt BgL_arg7084z00_13510;

																	BgL_arg7083z00_13509 =
																		BGl_shapez00zztools_shapez00
																		(BGl_currentzd2functionzd2zztools_errorz00
																		());
																	BgL_arg7084z00_13510 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(CNST_TABLE_REF(((long) 4)), BNIL,
																		BgL_arg7020z00_9036,
																		CNST_TABLE_REF(((long) 2)));
																	{	/* Ast/sexp.scm 714 */
																		obj_t BgL_list7085z00_13512;

																		BgL_list7085z00_13512 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg7084z00_13510), BNIL);
																		BgL_res7899z00_13513 =
																			((BgL_nodez00_bglt)
																			BGl_userzd2errorzf2locationz20zztools_errorz00
																			(BgL_arg7020z00_9036,
																				BgL_arg7083z00_13509,
																				BGl_string7975z00zzast_sexpz00,
																				BgL_expz00_28, BgL_list7085z00_13512));
																}}
																return BgL_res7899z00_13513;
															}
														}
												}
											else
												{	/* Ast/sexp.scm 609 */
													if ((BgL_idz00_9022 == CNST_TABLE_REF(((long) 22))))
														{	/* Ast/sexp.scm 609 */
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 1), BFALSE,
																((BgL_typez00_bglt) BgL_typez00_9023),
																BgL_expz00_28, BgL_stackz00_29, BgL_locz00_9019,
																BgL_sitez00_31);
														}
													else
														{	/* Ast/sexp.scm 609 */
															if (
																(BgL_idz00_9022 == CNST_TABLE_REF(((long) 24))))
																{	/* Ast/sexp.scm 623 */
																	bool_t BgL_testz00_29291;

																	{	/* Ast/sexp.scm 623 */
																		obj_t BgL_tmpz00_29292;

																		BgL_tmpz00_29292 =
																			CDR(((obj_t) BgL_expz00_28));
																		BgL_testz00_29291 = PAIRP(BgL_tmpz00_29292);
																	}
																	if (BgL_testz00_29291)
																		{	/* Ast/sexp.scm 627 */
																			BgL_feffectz00_bglt BgL_arg7026z00_9042;
																			obj_t BgL_arg7027z00_9043;

																			{	/* Ast/sexp.scm 627 */
																				obj_t BgL_arg7028z00_9044;

																				{	/* Ast/sexp.scm 627 */
																					obj_t BgL_pairz00_13523;

																					BgL_pairz00_13523 =
																						CDR(((obj_t) BgL_expz00_28));
																					BgL_arg7028z00_9044 =
																						CAR(BgL_pairz00_13523);
																				}
																				BgL_arg7026z00_9042 =
																					BGl_parsezd2effectzd2zzeffect_feffectz00
																					(BgL_arg7028z00_9044);
																			}
																			{	/* Ast/sexp.scm 628 */
																				obj_t BgL_arg7029z00_9045;
																				obj_t BgL_arg7030z00_9046;

																				{	/* Ast/sexp.scm 628 */
																					obj_t BgL_arg7031z00_9047;

																					BgL_arg7031z00_9047 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 34)), BNIL);
																					BgL_arg7029z00_9045 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 35)),
																						BgL_arg7031z00_9047);
																				}
																				{	/* Ast/sexp.scm 628 */
																					obj_t BgL_auxz00_29304;

																					{	/* Ast/sexp.scm 628 */
																						obj_t BgL_pairz00_13527;

																						BgL_pairz00_13527 =
																							CDR(((obj_t) BgL_expz00_28));
																						BgL_auxz00_29304 =
																							CDR(BgL_pairz00_13527);
																					}
																					BgL_arg7030z00_9046 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_auxz00_29304, BNIL);
																				}
																				BgL_arg7027z00_9043 =
																					MAKE_YOUNG_PAIR(BgL_arg7029z00_9045,
																					BgL_arg7030z00_9046);
																			}
																			return
																				BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																				(((bool_t) 1),
																				((obj_t) BgL_arg7026z00_9042),
																				((BgL_typez00_bglt) BgL_typez00_9023),
																				BgL_arg7027z00_9043, BgL_stackz00_29,
																				BgL_locz00_9019, BgL_sitez00_31);
																		}
																	else
																		{	/* Ast/sexp.scm 626 */
																			obj_t BgL_arg7033z00_9049;

																			BgL_arg7033z00_9049 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_expz00_28, BgL_locz00_9019);
																			{	/* Ast/sexp.scm 624 */
																				BgL_nodez00_bglt BgL_res7903z00_13533;

																				{	/* Ast/sexp.scm 715 */
																					obj_t BgL_arg7083z00_13529;
																					BgL_nodez00_bglt BgL_arg7084z00_13530;

																					BgL_arg7083z00_13529 =
																						BGl_shapez00zztools_shapez00
																						(BGl_currentzd2functionzd2zztools_errorz00
																						());
																					BgL_arg7084z00_13530 =
																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																						(CNST_TABLE_REF(((long) 4)), BNIL,
																						BgL_arg7033z00_9049,
																						CNST_TABLE_REF(((long) 2)));
																					{	/* Ast/sexp.scm 714 */
																						obj_t BgL_list7085z00_13532;

																						BgL_list7085z00_13532 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_arg7084z00_13530),
																							BNIL);
																						BgL_res7903z00_13533 =
																							((BgL_nodez00_bglt)
																							BGl_userzd2errorzf2locationz20zztools_errorz00
																							(BgL_arg7033z00_9049,
																								BgL_arg7083z00_13529,
																								BGl_string7976z00zzast_sexpz00,
																								BgL_expz00_28,
																								BgL_list7085z00_13532));
																				}}
																				return BgL_res7903z00_13533;
																			}
																		}
																}
															else
																{	/* Ast/sexp.scm 609 */
																	if (
																		(BgL_idz00_9022 ==
																			CNST_TABLE_REF(((long) 3))))
																		{
																			obj_t BgL_argsz00_9052;
																			obj_t BgL_bodyz00_9053;

																			if (PAIRP(BgL_expz00_28))
																				{	/* Ast/sexp.scm 631 */
																					obj_t BgL_cdrzd262418zd2_9058;

																					BgL_cdrzd262418zd2_9058 =
																						CDR(BgL_expz00_28);
																					if (PAIRP(BgL_cdrzd262418zd2_9058))
																						{	/* Ast/sexp.scm 631 */
																							BgL_argsz00_9052 =
																								CAR(BgL_cdrzd262418zd2_9058);
																							BgL_bodyz00_9053 =
																								CDR(BgL_cdrzd262418zd2_9058);
																							{	/* Ast/sexp.scm 633 */
																								obj_t BgL_locz00_9062;

																								BgL_locz00_9062 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_expz00_28,
																									BgL_locz00_9019);
																								{	/* Ast/sexp.scm 633 */
																									obj_t BgL_funz00_9063;

																									BgL_funz00_9063 =
																										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																										(BGl_gensymz00zz__r4_symbols_6_4z00
																										(CNST_TABLE_REF(((long)
																													3))));
																									{	/* Ast/sexp.scm 634 */
																										obj_t BgL_tfunz00_9064;

																										if (BGl_bigloozd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_typez00_9023)))
																											{	/* Ast/sexp.scm 636 */
																												obj_t
																													BgL_arg7050z00_9075;
																												BgL_arg7050z00_9075 =
																													(((BgL_typez00_bglt)
																														COBJECT((
																																(BgL_typez00_bglt)
																																BgL_typez00_9023)))->
																													BgL_idz00);
																												BgL_tfunz00_9064 =
																													BGl_makezd2typedzd2identz00zzast_identz00
																													(BgL_funz00_9063,
																													BgL_arg7050z00_9075);
																											}
																										else
																											{	/* Ast/sexp.scm 635 */
																												BgL_tfunz00_9064 =
																													BgL_funz00_9063;
																											}
																										{	/* Ast/sexp.scm 635 */

																											{	/* Ast/sexp.scm 639 */
																												obj_t
																													BgL_arg7040z00_9065;
																												{	/* Ast/sexp.scm 639 */
																													obj_t
																														BgL_arg7041z00_9066;
																													obj_t
																														BgL_arg7042z00_9067;
																													BgL_arg7041z00_9066 =
																														BGl_labelszd2symzd2zzast_labelsz00
																														();
																													{	/* Ast/sexp.scm 639 */
																														obj_t
																															BgL_arg7043z00_9068;
																														obj_t
																															BgL_arg7044z00_9069;
																														{	/* Ast/sexp.scm 639 */
																															obj_t
																																BgL_arg7045z00_9070;
																															{	/* Ast/sexp.scm 639 */
																																obj_t
																																	BgL_arg7046z00_9071;
																																{	/* Ast/sexp.scm 639 */
																																	obj_t
																																		BgL_arg7047z00_9072;
																																	BgL_arg7047z00_9072
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_normaliza7ezd2prognz75zztools_prognz00
																																		(BgL_bodyz00_9053),
																																		BNIL);
																																	BgL_arg7046z00_9071
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_argsz00_9052,
																																		BgL_arg7047z00_9072);
																																}
																																BgL_arg7045z00_9070
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_tfunz00_9064,
																																	BgL_arg7046z00_9071);
																															}
																															BgL_arg7043z00_9068
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg7045z00_9070,
																																BNIL);
																														}
																														BgL_arg7044z00_9069
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_funz00_9063,
																															BNIL);
																														BgL_arg7042z00_9067
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg7043z00_9068,
																															BgL_arg7044z00_9069);
																													}
																													BgL_arg7040z00_9065 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg7041z00_9066,
																														BgL_arg7042z00_9067);
																												}
																												return
																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																													(BgL_arg7040z00_9065,
																													BgL_stackz00_29,
																													BgL_locz00_9062,
																													BgL_sitez00_31);
																											}
																										}
																									}
																								}
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 631 */
																						BgL_tagzd262411zd2_9055:
																							{	/* Ast/sexp.scm 645 */
																								BgL_nodez00_bglt
																									BgL_res7905z00_13542;
																								{	/* Ast/sexp.scm 715 */
																									obj_t BgL_arg7083z00_13538;
																									BgL_nodez00_bglt
																										BgL_arg7084z00_13539;
																									BgL_arg7083z00_13538 =
																										BGl_shapez00zztools_shapez00
																										(BGl_currentzd2functionzd2zztools_errorz00
																										());
																									BgL_arg7084z00_13539 =
																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																										(CNST_TABLE_REF(((long) 4)),
																										BNIL, BgL_locz00_9019,
																										CNST_TABLE_REF(((long) 2)));
																									{	/* Ast/sexp.scm 714 */
																										obj_t BgL_list7085z00_13541;

																										BgL_list7085z00_13541 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												BgL_arg7084z00_13539),
																											BNIL);
																										BgL_res7905z00_13542 =
																											((BgL_nodez00_bglt)
																											BGl_userzd2errorzf2locationz20zztools_errorz00
																											(BgL_locz00_9019,
																												BgL_arg7083z00_13538,
																												BGl_string7977z00zzast_sexpz00,
																												BgL_expz00_28,
																												BgL_list7085z00_13541));
																								}}
																								return BgL_res7905z00_13542;
																							}
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 631 */
																					goto BgL_tagzd262411zd2_9055;
																				}
																		}
																	else
																		{	/* Ast/sexp.scm 609 */
																			return
																				BGl_applicationzd2ze3nodez31zzast_appz00
																				(BgL_expz00_28, BgL_stackz00_29,
																				BgL_locz00_9019, BgL_sitez00_31);
																		}
																}
														}
												}
										}
								}
							}
						}
					}
				else
					{	/* Ast/sexp.scm 604 */
						return
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_28,
							BgL_stackz00_29, BgL_locz00_9019, BgL_sitez00_31);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* sexp*->node */
	BGL_EXPORTED_DEF obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t
		BgL_expza2za2_32, obj_t BgL_stackz00_33, obj_t BgL_locz00_34,
		obj_t BgL_sitez00_35)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 653 */
			{
				obj_t BgL_expsz00_9079;
				obj_t BgL_resz00_9080;
				obj_t BgL_locz00_9081;

				BgL_expsz00_9079 = BgL_expza2za2_32;
				BgL_resz00_9080 = BNIL;
				BgL_locz00_9081 = BgL_locz00_34;
			BgL_zc3anonymousza37052ze3z83_9082:
				if (NULLP(BgL_expsz00_9079))
					{	/* Ast/sexp.scm 659 */
						BgL_nodez00_bglt BgL_res7909z00_13554;

						{	/* Ast/sexp.scm 715 */
							obj_t BgL_arg7083z00_13550;
							BgL_nodez00_bglt BgL_arg7084z00_13551;

							BgL_arg7083z00_13550 =
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00());
							BgL_arg7084z00_13551 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
								BNIL, BgL_locz00_9081, CNST_TABLE_REF(((long) 2)));
							{	/* Ast/sexp.scm 714 */
								obj_t BgL_list7085z00_13553;

								BgL_list7085z00_13553 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg7084z00_13551), BNIL);
								BgL_res7909z00_13554 =
									((BgL_nodez00_bglt)
									BGl_userzd2errorzf2locationz20zztools_errorz00
									(BgL_locz00_9081, BgL_arg7083z00_13550,
										BGl_string7978z00zzast_sexpz00, BgL_expsz00_9079,
										BgL_list7085z00_13553));
						}}
						return ((obj_t) BgL_res7909z00_13554);
					}
				else
					{	/* Ast/sexp.scm 658 */
						if (NULLP(CDR(((obj_t) BgL_expsz00_9079))))
							{	/* Ast/sexp.scm 661 */
								obj_t BgL_locz00_9086;
								obj_t BgL_nsitez00_9087;

								{	/* Ast/sexp.scm 661 */
									obj_t BgL_arg7059z00_9091;
									obj_t BgL_arg7060z00_9092;

									BgL_arg7059z00_9091 = CAR(((obj_t) BgL_expsz00_9079));
									BgL_arg7060z00_9092 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expsz00_9079, BgL_locz00_9081);
									BgL_locz00_9086 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_arg7059z00_9091, BgL_arg7060z00_9092);
								}
								if ((BgL_sitez00_35 == CNST_TABLE_REF(((long) 33))))
									{	/* Ast/sexp.scm 663 */
										BgL_nsitez00_9087 = CNST_TABLE_REF(((long) 2));
									}
								else
									{	/* Ast/sexp.scm 663 */
										BgL_nsitez00_9087 = BgL_sitez00_35;
									}
								{	/* Ast/sexp.scm 664 */
									obj_t BgL_arg7056z00_9088;

									{	/* Ast/sexp.scm 664 */
										BgL_nodez00_bglt BgL_arg7057z00_9089;

										{	/* Ast/sexp.scm 664 */
											obj_t BgL_arg7058z00_9090;

											BgL_arg7058z00_9090 = CAR(((obj_t) BgL_expsz00_9079));
											BgL_arg7057z00_9089 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7058z00_9090,
												BgL_stackz00_33, BgL_locz00_9086, BgL_nsitez00_9087);
										}
										BgL_arg7056z00_9088 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg7057z00_9089), BgL_resz00_9080);
									}
									return bgl_reverse_bang(BgL_arg7056z00_9088);
								}
							}
						else
							{	/* Ast/sexp.scm 666 */
								obj_t BgL_locz00_9094;

								{	/* Ast/sexp.scm 666 */
									obj_t BgL_arg7066z00_9099;
									obj_t BgL_arg7067z00_9100;

									BgL_arg7066z00_9099 = CAR(((obj_t) BgL_expsz00_9079));
									BgL_arg7067z00_9100 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expsz00_9079, BgL_locz00_9081);
									BgL_locz00_9094 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_arg7066z00_9099, BgL_arg7067z00_9100);
								}
								{	/* Ast/sexp.scm 668 */
									obj_t BgL_arg7062z00_9095;
									obj_t BgL_arg7063z00_9096;

									BgL_arg7062z00_9095 = CDR(((obj_t) BgL_expsz00_9079));
									{	/* Ast/sexp.scm 669 */
										BgL_nodez00_bglt BgL_arg7064z00_9097;

										{	/* Ast/sexp.scm 669 */
											obj_t BgL_arg7065z00_9098;

											BgL_arg7065z00_9098 = CAR(((obj_t) BgL_expsz00_9079));
											BgL_arg7064z00_9097 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7065z00_9098,
												BgL_stackz00_33, BgL_locz00_9094,
												CNST_TABLE_REF(((long) 2)));
										}
										BgL_arg7063z00_9096 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg7064z00_9097), BgL_resz00_9080);
									}
									{
										obj_t BgL_locz00_29408;
										obj_t BgL_resz00_29407;
										obj_t BgL_expsz00_29406;

										BgL_expsz00_29406 = BgL_arg7062z00_9095;
										BgL_resz00_29407 = BgL_arg7063z00_9096;
										BgL_locz00_29408 = BgL_locz00_9094;
										BgL_locz00_9081 = BgL_locz00_29408;
										BgL_resz00_9080 = BgL_resz00_29407;
										BgL_expsz00_9079 = BgL_expsz00_29406;
										goto BgL_zc3anonymousza37052ze3z83_9082;
									}
								}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &sexp*->node */
	obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t BgL_envz00_13709,
		obj_t BgL_expza2za2_13710, obj_t BgL_stackz00_13711, obj_t BgL_locz00_13712,
		obj_t BgL_sitez00_13713)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 653 */
			return
				BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_expza2za2_13710,
				BgL_stackz00_13711, BgL_locz00_13712, BgL_sitez00_13713);
		}
		BGL_FUNCTION_END;
	}



/* find-local */
	BGL_EXPORTED_DEF obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t BgL_namez00_36,
		obj_t BgL_stackz00_37)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 682 */
			{	/* Ast/sexp.scm 683 */
				bool_t BgL_testz00_29410;

				if ((BgL_namez00_36 == BGl_za2cachezd2nameza2zd2zzast_sexpz00))
					{	/* Ast/sexp.scm 683 */
						BgL_testz00_29410 =
							(BgL_stackz00_37 == BGl_za2cachezd2stackza2zd2zzast_sexpz00);
					}
				else
					{	/* Ast/sexp.scm 683 */
						BgL_testz00_29410 = ((bool_t) 0);
					}
				if (BgL_testz00_29410)
					{	/* Ast/sexp.scm 683 */
						return BGl_za2cachezd2resza2zd2zzast_sexpz00;
					}
				else
					{	/* Ast/sexp.scm 683 */
						BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BgL_namez00_36;
						BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BgL_stackz00_37;
						{
							obj_t BgL_stackz00_9106;

							BgL_stackz00_9106 = BgL_stackz00_37;
						BgL_zc3anonymousza37071ze3z83_9107:
							if (NULLP(BgL_stackz00_9106))
								{	/* Ast/sexp.scm 690 */
									BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE;
									return BFALSE;
								}
							else
								{	/* Ast/sexp.scm 690 */
									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_stackz00_9106))))))->
												BgL_idz00) == BgL_namez00_36))
										{	/* Ast/sexp.scm 693 */
											BGl_za2cachezd2resza2zd2zzast_sexpz00 =
												CAR(((obj_t) BgL_stackz00_9106));
											return CAR(((obj_t) BgL_stackz00_9106));
										}
									else
										{	/* Ast/sexp.scm 697 */
											obj_t BgL_arg7076z00_9112;

											BgL_arg7076z00_9112 = CDR(((obj_t) BgL_stackz00_9106));
											{
												obj_t BgL_stackz00_29429;

												BgL_stackz00_29429 = BgL_arg7076z00_9112;
												BgL_stackz00_9106 = BgL_stackz00_29429;
												goto BgL_zc3anonymousza37071ze3z83_9107;
											}
										}
								}
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-local */
	obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t BgL_envz00_13714,
		obj_t BgL_namez00_13715, obj_t BgL_stackz00_13716)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 682 */
			return
				BGl_findzd2localzd2zzast_sexpz00(BgL_namez00_13715, BgL_stackz00_13716);
		}
		BGL_FUNCTION_END;
	}



/* use-variable! */
	BGL_EXPORTED_DEF obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt BgL_varz00_38,
		obj_t BgL_locz00_39, obj_t BgL_sitez00_40)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 702 */
			if ((BgL_sitez00_40 == CNST_TABLE_REF(((long) 7))))
				{	/* Ast/sexp.scm 705 */
					obj_t BgL_vz00_13569;

					BgL_vz00_13569 = CNST_TABLE_REF(((long) 36));
					((((BgL_variablez00_bglt) COBJECT(BgL_varz00_38))->BgL_accessz00) =
						((obj_t) BgL_vz00_13569), BUNSPEC);
				}
			else
				{	/* Ast/sexp.scm 704 */
					BFALSE;
				}
			{	/* Ast/sexp.scm 706 */
				BgL_valuez00_bglt BgL_valz00_9118;

				BgL_valz00_9118 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_38))->BgL_valuez00);
				{	/* Ast/sexp.scm 707 */
					bool_t BgL_testz00_29437;

					if ((BgL_sitez00_40 == CNST_TABLE_REF(((long) 7))))
						{	/* Ast/sexp.scm 707 */
							bool_t BgL_res7912z00_13571;

							BgL_res7912z00_13571 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_valz00_9118), BGl_funz00zzast_varz00);
							BgL_testz00_29437 = BgL_res7912z00_13571;
						}
					else
						{	/* Ast/sexp.scm 707 */
							BgL_testz00_29437 = ((bool_t) 0);
						}
					if (BgL_testz00_29437)
						{	/* Ast/sexp.scm 708 */
							obj_t BgL_arg7082z00_9121;

							BgL_arg7082z00_9121 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_38));
							{	/* Ast/sexp.scm 708 */
								BgL_nodez00_bglt BgL_res7913z00_13577;

								{	/* Ast/sexp.scm 715 */
									obj_t BgL_arg7083z00_13573;
									BgL_nodez00_bglt BgL_arg7084z00_13574;

									BgL_arg7083z00_13573 =
										BGl_shapez00zztools_shapez00
										(BGl_currentzd2functionzd2zztools_errorz00());
									BgL_arg7084z00_13574 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
												4)), BNIL, BgL_locz00_39, CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 714 */
										obj_t BgL_list7085z00_13576;

										BgL_list7085z00_13576 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg7084z00_13574), BNIL);
										BgL_res7913z00_13577 =
											((BgL_nodez00_bglt)
											BGl_userzd2errorzf2locationz20zztools_errorz00
											(BgL_locz00_39, BgL_arg7083z00_13573,
												BGl_string7979z00zzast_sexpz00, BgL_arg7082z00_9121,
												BgL_list7085z00_13576));
								}}
								return ((obj_t) BgL_res7913z00_13577);
							}
						}
					else
						{	/* Ast/sexp.scm 707 */
							return BFALSE;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &use-variable! */
	obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t BgL_envz00_13717,
		obj_t BgL_varz00_13718, obj_t BgL_locz00_13719, obj_t BgL_sitez00_13720)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 702 */
			return
				BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_varz00_13718), BgL_locz00_13719,
				BgL_sitez00_13720);
		}
		BGL_FUNCTION_END;
	}



/* error-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_msgz00_41,
		obj_t BgL_expz00_42, obj_t BgL_locz00_43)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 713 */
			{	/* Ast/sexp.scm 715 */
				obj_t BgL_arg7083z00_9123;
				BgL_nodez00_bglt BgL_arg7084z00_9124;

				BgL_arg7083z00_9123 =
					BGl_shapez00zztools_shapez00(BGl_currentzd2functionzd2zztools_errorz00
					());
				BgL_arg7084z00_9124 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)), BNIL,
					BgL_locz00_43, CNST_TABLE_REF(((long) 2)));
				{	/* Ast/sexp.scm 714 */
					obj_t BgL_list7085z00_9125;

					BgL_list7085z00_9125 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg7084z00_9124), BNIL);
					return
						((BgL_nodez00_bglt)
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_43,
							BgL_arg7083z00_9123, BgL_msgz00_41, BgL_expz00_42,
							BgL_list7085z00_9125));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &error-sexp->node */
	BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_13721, obj_t BgL_msgz00_13722, obj_t BgL_expz00_13723,
		obj_t BgL_locz00_13724)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 713 */
			return
				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_msgz00_13722,
				BgL_expz00_13723, BgL_locz00_13724);
		}
		BGL_FUNCTION_END;
	}



/* define-primop-ref->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_44, BgL_nodez00_bglt BgL_refz00_45)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 723 */
			{	/* Ast/sexp.scm 724 */
				BgL_nodez00_bglt BgL_funz00_9127;

				BgL_funz00_9127 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 37)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 33)));
				{	/* Ast/sexp.scm 725 */
					bool_t BgL_testz00_29470;

					{	/* Ast/sexp.scm 725 */
						bool_t BgL_res7914z00_13578;

						BgL_res7914z00_13578 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_9127), BGl_varz00zzast_nodez00);
						BgL_testz00_29470 = BgL_res7914z00_13578;
					}
					if (BgL_testz00_29470)
						{	/* Ast/sexp.scm 726 */
							BgL_appz00_bglt BgL_new1151z00_9129;

							{	/* Ast/sexp.scm 726 */
								BgL_appz00_bglt BgL_new1150z00_9136;

								BgL_new1150z00_9136 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 726 */
									long BgL_arg7094z00_9137;

									{	/* Ast/sexp.scm 726 */
										long BgL_res7915z00_13580;

										BgL_res7915z00_13580 =
											BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
										BgL_arg7094z00_9137 = BgL_res7915z00_13580;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1150z00_9136),
										BgL_arg7094z00_9137);
								}
								{	/* Ast/sexp.scm 726 */
									BgL_objectz00_bglt BgL_tmpz00_29477;

									BgL_tmpz00_29477 = ((BgL_objectz00_bglt) BgL_new1150z00_9136);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_29477, BFALSE);
								}
								BgL_new1151z00_9129 = BgL_new1150z00_9136;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1151z00_9129)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1151z00_9129)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1151z00_9129)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1151z00_9129)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) COBJECT(BgL_new1151z00_9129))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_9127)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_29492;

								{	/* Ast/sexp.scm 729 */
									BgL_nodez00_bglt BgL_arg7088z00_9130;

									{	/* Ast/sexp.scm 729 */
										obj_t BgL_arg7091z00_9133;

										{	/* Ast/sexp.scm 729 */
											obj_t BgL_arg7092z00_9134;

											{	/* Ast/sexp.scm 729 */
												obj_t BgL_arg7093z00_9135;

												BgL_arg7093z00_9135 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_44)))->
													BgL_idz00);
												BgL_arg7092z00_9134 =
													MAKE_YOUNG_PAIR(BgL_arg7093z00_9135, BNIL);
											}
											BgL_arg7091z00_9133 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
												BgL_arg7092z00_9134);
										}
										BgL_arg7088z00_9130 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7091z00_9133,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									{	/* Ast/sexp.scm 729 */
										obj_t BgL_list7089z00_9131;

										{	/* Ast/sexp.scm 729 */
											obj_t BgL_arg7090z00_9132;

											BgL_arg7090z00_9132 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_refz00_45), BNIL);
											BgL_list7089z00_9131 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg7088z00_9130), BgL_arg7090z00_9132);
										}
										BgL_auxz00_29492 = BgL_list7089z00_9131;
								}}
								((((BgL_appz00_bglt) COBJECT(BgL_new1151z00_9129))->
										BgL_argsz00) = ((obj_t) BgL_auxz00_29492), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1151z00_9129);
						}
					else
						{	/* Ast/sexp.scm 725 */
							return BgL_funz00_9127;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &define-primop-ref->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_13725, obj_t BgL_globalz00_13726, obj_t BgL_refz00_13727)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 723 */
			return
				BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_13726),
				((BgL_nodez00_bglt) BgL_refz00_13727));
		}
		BGL_FUNCTION_END;
	}



/* define-primop->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_46)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 735 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_46), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 737 */
				BgL_nodez00_bglt BgL_funz00_9138;

				BgL_funz00_9138 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 38)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 33)));
				{	/* Ast/sexp.scm 738 */
					bool_t BgL_testz00_29515;

					{	/* Ast/sexp.scm 738 */
						bool_t BgL_res7917z00_13585;

						BgL_res7917z00_13585 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_9138), BGl_varz00zzast_nodez00);
						BgL_testz00_29515 = BgL_res7917z00_13585;
					}
					if (BgL_testz00_29515)
						{	/* Ast/sexp.scm 739 */
							BgL_appz00_bglt BgL_new1154z00_9140;

							{	/* Ast/sexp.scm 739 */
								BgL_appz00_bglt BgL_new1153z00_9148;

								BgL_new1153z00_9148 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 739 */
									long BgL_arg7103z00_9149;

									{	/* Ast/sexp.scm 739 */
										long BgL_res7918z00_13587;

										BgL_res7918z00_13587 =
											BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
										BgL_arg7103z00_9149 = BgL_res7918z00_13587;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1153z00_9148),
										BgL_arg7103z00_9149);
								}
								{	/* Ast/sexp.scm 739 */
									BgL_objectz00_bglt BgL_tmpz00_29522;

									BgL_tmpz00_29522 = ((BgL_objectz00_bglt) BgL_new1153z00_9148);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_29522, BFALSE);
								}
								BgL_new1154z00_9140 = BgL_new1153z00_9148;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1154z00_9140)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1154z00_9140)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1154z00_9140)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1154z00_9140)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) COBJECT(BgL_new1154z00_9140))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_9138)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_29537;

								{	/* Ast/sexp.scm 742 */
									BgL_nodez00_bglt BgL_arg7096z00_9141;
									BgL_nodez00_bglt BgL_arg7097z00_9142;

									{	/* Ast/sexp.scm 742 */
										obj_t BgL_arg7100z00_9145;

										{	/* Ast/sexp.scm 742 */
											obj_t BgL_arg7101z00_9146;

											{	/* Ast/sexp.scm 742 */
												obj_t BgL_arg7102z00_9147;

												BgL_arg7102z00_9147 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_46)))->
													BgL_idz00);
												BgL_arg7101z00_9146 =
													MAKE_YOUNG_PAIR(BgL_arg7102z00_9147, BNIL);
											}
											BgL_arg7100z00_9145 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
												BgL_arg7101z00_9146);
										}
										BgL_arg7096z00_9141 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7100z00_9145,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									BgL_arg7097z00_9142 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(
										((obj_t) BgL_globalz00_46), BNIL, BFALSE,
										CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 742 */
										obj_t BgL_list7098z00_9143;

										{	/* Ast/sexp.scm 742 */
											obj_t BgL_arg7099z00_9144;

											BgL_arg7099z00_9144 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg7097z00_9142), BNIL);
											BgL_list7098z00_9143 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg7096z00_9141), BgL_arg7099z00_9144);
										}
										BgL_auxz00_29537 = BgL_list7098z00_9143;
								}}
								((((BgL_appz00_bglt) COBJECT(BgL_new1154z00_9140))->
										BgL_argsz00) = ((obj_t) BgL_auxz00_29537), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1154z00_9140);
						}
					else
						{	/* Ast/sexp.scm 738 */
							return BgL_funz00_9138;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &define-primop->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_13728, obj_t BgL_globalz00_13729)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 735 */
			return
				BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_13729));
		}
		BGL_FUNCTION_END;
	}



/* location->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_47)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 749 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_47), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 751 */
				BgL_nodez00_bglt BgL_funz00_9150;

				BgL_funz00_9150 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 39)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 33)));
				{	/* Ast/sexp.scm 752 */
					bool_t BgL_testz00_29562;

					{	/* Ast/sexp.scm 752 */
						bool_t BgL_res7920z00_13592;

						BgL_res7920z00_13592 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_9150), BGl_varz00zzast_nodez00);
						BgL_testz00_29562 = BgL_res7920z00_13592;
					}
					if (BgL_testz00_29562)
						{	/* Ast/sexp.scm 753 */
							obj_t BgL_exprz00_9152;

							{	/* Ast/sexp.scm 753 */
								bool_t BgL_testz00_29565;

								{	/* Ast/sexp.scm 753 */
									obj_t BgL_arg7112z00_9162;

									BgL_arg7112z00_9162 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_testz00_29565 =
										(((BgL_backendz00_bglt) COBJECT(
												((BgL_backendz00_bglt) BgL_arg7112z00_9162)))->
										BgL_pragmazd2supportzd2);
								}
								if (BgL_testz00_29565)
									{	/* Ast/sexp.scm 754 */
										obj_t BgL_arg7110z00_9160;

										{	/* Ast/sexp.scm 754 */
											obj_t BgL_arg7111z00_9161;

											BgL_arg7111z00_9161 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_47), BNIL);
											BgL_arg7110z00_9160 =
												MAKE_YOUNG_PAIR(BGl_string7980z00zzast_sexpz00,
												BgL_arg7111z00_9161);
										}
										BgL_exprz00_9152 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 40)),
											BgL_arg7110z00_9160);
									}
								else
									{	/* Ast/sexp.scm 753 */
										BgL_exprz00_9152 = ((obj_t) BgL_globalz00_47);
									}
							}
							{	/* Ast/sexp.scm 756 */
								BgL_appz00_bglt BgL_new1156z00_9153;

								{	/* Ast/sexp.scm 756 */
									BgL_appz00_bglt BgL_new1155z00_9156;

									BgL_new1155z00_9156 =
										((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Ast/sexp.scm 756 */
										long BgL_arg7107z00_9157;

										{	/* Ast/sexp.scm 756 */
											long BgL_res7922z00_13597;

											BgL_res7922z00_13597 =
												BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
											BgL_arg7107z00_9157 = BgL_res7922z00_13597;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1155z00_9156),
											BgL_arg7107z00_9157);
									}
									{	/* Ast/sexp.scm 756 */
										BgL_objectz00_bglt BgL_tmpz00_29579;

										BgL_tmpz00_29579 =
											((BgL_objectz00_bglt) BgL_new1155z00_9156);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_29579, BFALSE);
									}
									BgL_new1156z00_9153 = BgL_new1155z00_9156;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1156z00_9153)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1156z00_9153)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
												BGl_za2_za2z00zztype_cachez00),
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00))),
									BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1156z00_9153)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1156z00_9153)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								((((BgL_appz00_bglt) COBJECT(BgL_new1156z00_9153))->
										BgL_funz00) =
									((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_9150)),
									BUNSPEC);
								{
									obj_t BgL_auxz00_29596;

									{	/* Ast/sexp.scm 759 */
										BgL_nodez00_bglt BgL_arg7105z00_9154;

										BgL_arg7105z00_9154 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exprz00_9152, BNIL,
											BFALSE, CNST_TABLE_REF(((long) 2)));
										{	/* Ast/sexp.scm 759 */
											obj_t BgL_list7106z00_9155;

											BgL_list7106z00_9155 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg7105z00_9154), BNIL);
											BgL_auxz00_29596 = BgL_list7106z00_9155;
									}}
									((((BgL_appz00_bglt) COBJECT(BgL_new1156z00_9153))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_29596), BUNSPEC);
								}
								return ((BgL_nodez00_bglt) BgL_new1156z00_9153);
							}
						}
					else
						{	/* Ast/sexp.scm 752 */
							return BgL_funz00_9150;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &location->node */
	BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_13730, obj_t BgL_globalz00_13731)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 749 */
			return
				BGl_locationzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_13731));
		}
		BGL_FUNCTION_END;
	}



/* make-anonymous-name */
	BGL_EXPORTED_DEF obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t
		BgL_locz00_48, obj_t BgL_prefz00_49)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 765 */
			{	/* Ast/sexp.scm 766 */
				obj_t BgL_prefz00_9163;

				{	/* Ast/sexp.scm 766 */
					bool_t BgL_testz00_29605;

					if (PAIRP(BgL_prefz00_49))
						{	/* Ast/sexp.scm 766 */
							obj_t BgL_tmpz00_29608;

							BgL_tmpz00_29608 = CAR(BgL_prefz00_49);
							BgL_testz00_29605 = STRINGP(BgL_tmpz00_29608);
						}
					else
						{	/* Ast/sexp.scm 766 */
							BgL_testz00_29605 = ((bool_t) 0);
						}
					if (BgL_testz00_29605)
						{	/* Ast/sexp.scm 766 */
							BgL_prefz00_9163 = CAR(BgL_prefz00_49);
						}
					else
						{	/* Ast/sexp.scm 766 */
							BgL_prefz00_9163 = BGl_string7981z00zzast_sexpz00;
						}
				}
				{	/* Ast/sexp.scm 769 */
					bool_t BgL_testz00_29612;

					if (STRUCTP(BgL_locz00_48))
						{	/* Ast/sexp.scm 769 */
							BgL_testz00_29612 =
								(STRUCT_KEY(BgL_locz00_48) == CNST_TABLE_REF(((long) 41)));
						}
					else
						{	/* Ast/sexp.scm 769 */
							BgL_testz00_29612 = ((bool_t) 0);
						}
					if (BgL_testz00_29612)
						{	/* Ast/sexp.scm 770 */
							obj_t BgL_filez00_9165;
							obj_t BgL_linez00_9166;
							obj_t BgL_basez00_9167;

							BgL_filez00_9165 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_48);
							BgL_linez00_9166 = STRUCT_REF(BgL_locz00_48, (int) (((long) 2)));
							{	/* Ast/sexp.scm 772 */
								obj_t BgL_arg7136z00_9196;

								BgL_arg7136z00_9196 =
									BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
									(BGl_string7982z00zzast_sexpz00, BgL_prefz00_9163,
										BGl_string7983z00zzast_sexpz00));
								{	/* Ast/sexp.scm 772 */
									obj_t BgL_res7928z00_13613;

									{	/* Ast/sexp.scm 772 */
										obj_t BgL_arg1416z00_13612;

										BgL_arg1416z00_13612 =
											SYMBOL_TO_STRING(BgL_arg7136z00_9196);
										BgL_res7928z00_13613 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1416z00_13612);
									}
									BgL_basez00_9167 = BgL_res7928z00_13613;
							}}
							{	/* Ast/sexp.scm 774 */
								bool_t BgL_testz00_29625;

								{	/* Ast/sexp.scm 774 */
									bool_t BgL_testz00_29626;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 1)))
										{	/* Ast/sexp.scm 775 */
											obj_t BgL_arg7134z00_9194;

											{	/* Ast/sexp.scm 775 */
												obj_t BgL_arg7135z00_9195;

												BgL_arg7135z00_9195 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg7134z00_9194 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg7135z00_9195)))->
													BgL_debugzd2supportzd2);
											}
											BgL_testz00_29626 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 42)), BgL_arg7134z00_9194));
										}
									else
										{	/* Ast/sexp.scm 774 */
											BgL_testz00_29626 = ((bool_t) 0);
										}
									if (BgL_testz00_29626)
										{	/* Ast/sexp.scm 774 */
											BgL_testz00_29625 = ((bool_t) 1);
										}
									else
										{	/* Ast/sexp.scm 774 */
											BgL_testz00_29625 =
												(
												(long)
												CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >=
												((long) 1));
								}}
								if (BgL_testz00_29625)
									{	/* Ast/sexp.scm 777 */
										obj_t BgL_filez00_9176;

										if (bigloo_strncmp(BgL_filez00_9165,
												BGl_string7984z00zzast_sexpz00, ((long) 2)))
											{	/* Ast/sexp.scm 777 */
												BgL_filez00_9176 =
													c_substring(BgL_filez00_9165, ((long) 2),
													STRING_LENGTH(BgL_filez00_9165));
											}
										else
											{	/* Ast/sexp.scm 777 */
												BgL_filez00_9176 = BgL_filez00_9165;
											}
										{	/* Ast/sexp.scm 782 */
											obj_t BgL_arg7121z00_9177;

											{	/* Ast/sexp.scm 782 */
												obj_t BgL_arg7122z00_9178;
												obj_t BgL_arg7123z00_9179;

												BgL_arg7122z00_9178 =
													BGl_stringzd2replacezd2zz__r4_strings_6_7z00
													(BgL_filez00_9176, (char) (((unsigned char) '.')),
													(char) (((unsigned char) ',')));
												{	/* Ast/sexp.scm 783 */

													BgL_arg7123z00_9179 =
														BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
														(BgL_linez00_9166, BINT(((long) 10)));
												}
												{	/* Ast/sexp.scm 781 */
													obj_t BgL_list7124z00_9180;

													{	/* Ast/sexp.scm 781 */
														obj_t BgL_arg7125z00_9181;

														{	/* Ast/sexp.scm 781 */
															obj_t BgL_arg7126z00_9182;

															{	/* Ast/sexp.scm 781 */
																obj_t BgL_arg7127z00_9183;

																{	/* Ast/sexp.scm 781 */
																	obj_t BgL_arg7128z00_9184;

																	{	/* Ast/sexp.scm 781 */
																		obj_t BgL_arg7129z00_9185;

																		BgL_arg7129z00_9185 =
																			MAKE_YOUNG_PAIR
																			(BGl_string7985z00zzast_sexpz00, BNIL);
																		BgL_arg7128z00_9184 =
																			MAKE_YOUNG_PAIR(BgL_arg7123z00_9179,
																			BgL_arg7129z00_9185);
																	}
																	BgL_arg7127z00_9183 =
																		MAKE_YOUNG_PAIR
																		(BGl_string7983z00zzast_sexpz00,
																		BgL_arg7128z00_9184);
																}
																BgL_arg7126z00_9182 =
																	MAKE_YOUNG_PAIR(BgL_arg7122z00_9178,
																	BgL_arg7127z00_9183);
															}
															BgL_arg7125z00_9181 =
																MAKE_YOUNG_PAIR(BGl_string7983z00zzast_sexpz00,
																BgL_arg7126z00_9182);
														}
														BgL_list7124z00_9180 =
															MAKE_YOUNG_PAIR(BgL_basez00_9167,
															BgL_arg7125z00_9181);
													}
													BgL_arg7121z00_9177 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list7124z00_9180);
											}}
											return bstring_to_symbol(BgL_arg7121z00_9177);
										}
									}
								else
									{	/* Ast/sexp.scm 786 */
										obj_t BgL_arg7132z00_9190;

										BgL_arg7132z00_9190 =
											BGl_stringzd2replacezd2zz__r4_strings_6_7z00(string_append
											(BgL_basez00_9167, BGl_string7985z00zzast_sexpz00),
											(char) (((unsigned char) '.')),
											(char) (((unsigned char) ',')));
										{	/* Ast/sexp.scm 786 */
											obj_t BgL_res7936z00_13632;

											BgL_res7936z00_13632 =
												bstring_to_symbol(((obj_t) BgL_arg7132z00_9190));
											return BgL_res7936z00_13632;
										}
									}
							}
						}
					else
						{	/* Ast/sexp.scm 787 */
							obj_t BgL_arg7138z00_9198;

							{	/* Ast/sexp.scm 787 */
								obj_t BgL_arg7139z00_9199;
								obj_t BgL_arg7140z00_9200;

								{	/* Ast/sexp.scm 787 */
									obj_t BgL_arg7141z00_9201;

									BgL_arg7141z00_9201 =
										BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
										(BGl_string7982z00zzast_sexpz00, BgL_prefz00_9163,
											BGl_string7986z00zzast_sexpz00));
									{	/* Ast/sexp.scm 787 */
										obj_t BgL_res7937z00_13635;

										{	/* Ast/sexp.scm 787 */
											obj_t BgL_arg1416z00_13634;

											BgL_arg1416z00_13634 =
												SYMBOL_TO_STRING(BgL_arg7141z00_9201);
											BgL_res7937z00_13635 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1416z00_13634);
										}
										BgL_arg7139z00_9199 = BgL_res7937z00_13635;
									}
								}
								{	/* Ast/sexp.scm 787 */
									obj_t BgL_res7938z00_13638;

									{	/* Ast/sexp.scm 787 */
										obj_t BgL_symbolz00_13636;

										BgL_symbolz00_13636 = CNST_TABLE_REF(((long) 43));
										{	/* Ast/sexp.scm 787 */
											obj_t BgL_arg1416z00_13637;

											BgL_arg1416z00_13637 =
												SYMBOL_TO_STRING(BgL_symbolz00_13636);
											BgL_res7938z00_13638 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1416z00_13637);
									}}
									BgL_arg7140z00_9200 = BgL_res7938z00_13638;
								}
								BgL_arg7138z00_9198 =
									string_append(BgL_arg7139z00_9199, BgL_arg7140z00_9200);
							}
							return bstring_to_symbol(BgL_arg7138z00_9198);
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &make-anonymous-name */
	obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t BgL_envz00_13732,
		obj_t BgL_locz00_13733, obj_t BgL_prefz00_13734)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 765 */
			return
				BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_13733,
				BgL_prefz00_13734);
		}
		BGL_FUNCTION_END;
	}



/* synchronize->node */
	BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t
		BgL_expz00_50, obj_t BgL_mutexz00_51, obj_t BgL_prelockz00_52,
		obj_t BgL_bodyz00_53, obj_t BgL_stackz00_54, obj_t BgL_locz00_55,
		obj_t BgL_sitez00_56)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 792 */
			if (SYMBOLP(BgL_mutexz00_51))
				{	/* Ast/sexp.scm 794 */
					BgL_syncz00_bglt BgL_new1158z00_9209;

					{	/* Ast/sexp.scm 795 */
						BgL_syncz00_bglt BgL_new1157z00_9211;

						BgL_new1157z00_9211 =
							((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_syncz00_bgl))));
						{	/* Ast/sexp.scm 795 */
							long BgL_arg7149z00_9212;

							{	/* Ast/sexp.scm 795 */
								long BgL_res7941z00_13643;

								BgL_res7941z00_13643 =
									BGL_CLASS_INDEX(BGl_syncz00zzast_nodez00);
								BgL_arg7149z00_9212 = BgL_res7941z00_13643;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1157z00_9211),
								BgL_arg7149z00_9212);
						}
						{	/* Ast/sexp.scm 795 */
							BgL_objectz00_bglt BgL_tmpz00_29677;

							BgL_tmpz00_29677 = ((BgL_objectz00_bglt) BgL_new1157z00_9211);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_29677, BFALSE);
						}
						BgL_new1158z00_9209 = BgL_new1157z00_9211;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1158z00_9209)))->BgL_locz00) =
						((obj_t) BgL_locz00_55), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1158z00_9209)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(BgL_new1158z00_9209))->BgL_mutexz00) =
						((BgL_nodez00_bglt)
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_mutexz00_51,
								BgL_stackz00_54, BgL_locz00_55, CNST_TABLE_REF(((long) 2)))),
						BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(BgL_new1158z00_9209))->BgL_prelockz00) =
						((BgL_nodez00_bglt)
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_prelockz00_52,
								BgL_stackz00_54, BgL_locz00_55, CNST_TABLE_REF(((long) 2)))),
						BUNSPEC);
					{
						BgL_nodez00_bglt BgL_auxz00_29691;

						{	/* Ast/sexp.scm 799 */
							obj_t BgL_arg7148z00_9210;

							BgL_arg7148z00_9210 =
								BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_53);
							BgL_auxz00_29691 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7148z00_9210,
								BgL_stackz00_54, BgL_locz00_55, BgL_sitez00_56);
						}
						((((BgL_syncz00_bglt) COBJECT(BgL_new1158z00_9209))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_auxz00_29691), BUNSPEC);
					}
					return ((BgL_nodez00_bglt) BgL_new1158z00_9209);
				}
			else
				{	/* Ast/sexp.scm 800 */
					obj_t BgL_vz00_9213;

					BgL_vz00_9213 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 44))));
					{	/* Ast/sexp.scm 800 */
						obj_t BgL_varz00_9214;

						BgL_varz00_9214 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_vz00_9213,
							CNST_TABLE_REF(((long) 44)));
						{	/* Ast/sexp.scm 801 */
							obj_t BgL_nexpz00_9215;

							{	/* Ast/sexp.scm 802 */
								obj_t BgL_arg7157z00_9223;

								{	/* Ast/sexp.scm 802 */
									obj_t BgL_arg7158z00_9224;

									BgL_arg7158z00_9224 =
										MAKE_YOUNG_PAIR(BgL_vz00_9213,
										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
										(BgL_bodyz00_53, BNIL));
									BgL_arg7157z00_9223 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 29)),
										BgL_arg7158z00_9224);
								}
								BgL_nexpz00_9215 =
									BGl_epairifyzd2reczd2zztools_miscz00(BgL_arg7157z00_9223,
									BgL_expz00_50);
							}
							{	/* Ast/sexp.scm 802 */

								{	/* Ast/sexp.scm 803 */
									obj_t BgL_arg7150z00_9216;

									{	/* Ast/sexp.scm 803 */
										obj_t BgL_arg7151z00_9217;
										obj_t BgL_arg7152z00_9218;

										BgL_arg7151z00_9217 = BGl_letzd2symzd2zzast_letz00();
										{	/* Ast/sexp.scm 803 */
											obj_t BgL_arg7153z00_9219;
											obj_t BgL_arg7154z00_9220;

											{	/* Ast/sexp.scm 803 */
												obj_t BgL_arg7155z00_9221;

												{	/* Ast/sexp.scm 803 */
													obj_t BgL_arg7156z00_9222;

													BgL_arg7156z00_9222 =
														MAKE_YOUNG_PAIR(BgL_mutexz00_51, BNIL);
													BgL_arg7155z00_9221 =
														MAKE_YOUNG_PAIR(BgL_varz00_9214,
														BgL_arg7156z00_9222);
												}
												BgL_arg7153z00_9219 =
													MAKE_YOUNG_PAIR(BgL_arg7155z00_9221, BNIL);
											}
											BgL_arg7154z00_9220 =
												MAKE_YOUNG_PAIR(BgL_nexpz00_9215, BNIL);
											BgL_arg7152z00_9218 =
												MAKE_YOUNG_PAIR(BgL_arg7153z00_9219,
												BgL_arg7154z00_9220);
										}
										BgL_arg7150z00_9216 =
											MAKE_YOUNG_PAIR(BgL_arg7151z00_9217, BgL_arg7152z00_9218);
									}
									BGl_replacez12z12zztools_miscz00(BgL_expz00_50,
										BgL_arg7150z00_9216);
								}
								return
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_50,
									BgL_stackz00_54, BgL_locz00_55, BgL_sitez00_56);
							}
						}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* not-test */
	obj_t BGl_notzd2testzd2zzast_sexpz00(obj_t BgL_testz00_57)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 812 */
			{
				obj_t BgL_bindingsz00_9231;
				obj_t BgL_exprz00_9232;

				if (PAIRP(BgL_testz00_57))
					{	/* Ast/sexp.scm 813 */
						obj_t BgL_cdrzd262435zd2_9237;

						BgL_cdrzd262435zd2_9237 = CDR(BgL_testz00_57);
						if ((CAR(BgL_testz00_57) == CNST_TABLE_REF(((long) 1))))
							{	/* Ast/sexp.scm 813 */
								if (PAIRP(BgL_cdrzd262435zd2_9237))
									{	/* Ast/sexp.scm 813 */
										obj_t BgL_cdrzd262438zd2_9241;

										BgL_cdrzd262438zd2_9241 = CDR(BgL_cdrzd262435zd2_9237);
										if (PAIRP(BgL_cdrzd262438zd2_9241))
											{	/* Ast/sexp.scm 813 */
												obj_t BgL_cdrzd262441zd2_9243;

												BgL_cdrzd262441zd2_9243 = CDR(BgL_cdrzd262438zd2_9241);
												if ((CAR(BgL_cdrzd262438zd2_9241) == BFALSE))
													{	/* Ast/sexp.scm 813 */
														if (PAIRP(BgL_cdrzd262441zd2_9243))
															{	/* Ast/sexp.scm 813 */
																if ((CAR(BgL_cdrzd262441zd2_9243) == BTRUE))
																	{	/* Ast/sexp.scm 813 */
																		if (NULLP(CDR(BgL_cdrzd262441zd2_9243)))
																			{	/* Ast/sexp.scm 813 */
																				return CAR(BgL_cdrzd262435zd2_9237);
																			}
																		else
																			{	/* Ast/sexp.scm 813 */
																				return BFALSE;
																			}
																	}
																else
																	{	/* Ast/sexp.scm 813 */
																		return BFALSE;
																	}
															}
														else
															{	/* Ast/sexp.scm 813 */
																return BFALSE;
															}
													}
												else
													{	/* Ast/sexp.scm 813 */
														return BFALSE;
													}
											}
										else
											{	/* Ast/sexp.scm 813 */
												return BFALSE;
											}
									}
								else
									{	/* Ast/sexp.scm 813 */
										return BFALSE;
									}
							}
						else
							{	/* Ast/sexp.scm 813 */
								if ((CAR(BgL_testz00_57) == CNST_TABLE_REF(((long) 45))))
									{	/* Ast/sexp.scm 813 */
										if (PAIRP(BgL_cdrzd262435zd2_9237))
											{	/* Ast/sexp.scm 813 */
												if (NULLP(CDR(BgL_cdrzd262435zd2_9237)))
													{	/* Ast/sexp.scm 813 */
														return CAR(BgL_cdrzd262435zd2_9237);
													}
												else
													{	/* Ast/sexp.scm 813 */
														return BFALSE;
													}
											}
										else
											{	/* Ast/sexp.scm 813 */
												return BFALSE;
											}
									}
								else
									{	/* Ast/sexp.scm 813 */
										obj_t BgL_cdrzd262515zd2_9263;

										BgL_cdrzd262515zd2_9263 = CDR(BgL_testz00_57);
										if ((CAR(BgL_testz00_57) == CNST_TABLE_REF(((long) 17))))
											{	/* Ast/sexp.scm 813 */
												if (PAIRP(BgL_cdrzd262515zd2_9263))
													{	/* Ast/sexp.scm 813 */
														obj_t BgL_cdrzd262519zd2_9267;

														BgL_cdrzd262519zd2_9267 =
															CDR(BgL_cdrzd262515zd2_9263);
														if (PAIRP(BgL_cdrzd262519zd2_9267))
															{	/* Ast/sexp.scm 813 */
																if (NULLP(CDR(BgL_cdrzd262519zd2_9267)))
																	{	/* Ast/sexp.scm 813 */
																		BgL_bindingsz00_9231 =
																			CAR(BgL_cdrzd262515zd2_9263);
																		BgL_exprz00_9232 =
																			CAR(BgL_cdrzd262519zd2_9267);
																		{	/* Ast/sexp.scm 819 */
																			obj_t BgL_ntz00_9277;

																			BgL_ntz00_9277 =
																				BGl_notzd2testzd2zzast_sexpz00
																				(BgL_exprz00_9232);
																			if (CBOOL(BgL_ntz00_9277))
																				{	/* Ast/sexp.scm 821 */
																					obj_t BgL_arg7196z00_9278;

																					{	/* Ast/sexp.scm 821 */
																						obj_t BgL_arg7197z00_9279;

																						{	/* Ast/sexp.scm 821 */
																							obj_t BgL_arg7198z00_9280;

																							BgL_arg7198z00_9280 =
																								MAKE_YOUNG_PAIR(BgL_ntz00_9277,
																								BNIL);
																							BgL_arg7197z00_9279 =
																								MAKE_YOUNG_PAIR
																								(BgL_bindingsz00_9231,
																								BgL_arg7198z00_9280);
																						}
																						BgL_arg7196z00_9278 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 17)),
																							BgL_arg7197z00_9279);
																					}
																					return
																						BGl_epairifyzd2reczd2zztools_miscz00
																						(BgL_arg7196z00_9278,
																						BgL_testz00_57);
																				}
																			else
																				{	/* Ast/sexp.scm 820 */
																					return BFALSE;
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 813 */
																		return BFALSE;
																	}
															}
														else
															{	/* Ast/sexp.scm 813 */
																return BFALSE;
															}
													}
												else
													{	/* Ast/sexp.scm 813 */
														return BFALSE;
													}
											}
										else
											{	/* Ast/sexp.scm 813 */
												return BFALSE;
											}
									}
							}
					}
				else
					{	/* Ast/sexp.scm 813 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* used-in? */
	bool_t BGl_usedzd2inzf3z21zzast_sexpz00(obj_t BgL_idz00_58,
		obj_t BgL_exprz00_59)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 830 */
			if ((BgL_idz00_58 == BgL_exprz00_59))
				{	/* Ast/sexp.scm 832 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/sexp.scm 832 */
					if (PAIRP(BgL_exprz00_59))
						{	/* Ast/sexp.scm 833 */
							if ((CAR(BgL_exprz00_59) == CNST_TABLE_REF(((long) 12))))
								{	/* Ast/sexp.scm 834 */
									return ((bool_t) 0);
								}
							else
								{	/* Ast/sexp.scm 834 */
									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
										(BgL_exprz00_59))
										{
											obj_t BgL_list1472z00_9297;

											{	/* Ast/sexp.scm 836 */
												obj_t BgL_tmpz00_29783;

												BgL_list1472z00_9297 = BgL_exprz00_59;
											BgL_zc3anonymousza37209ze3z83_9298:
												if (PAIRP(BgL_list1472z00_9297))
													{	/* Ast/sexp.scm 836 */
														if (BGl_usedzd2inzf3z21zzast_sexpz00(BgL_idz00_58,
																CAR(BgL_list1472z00_9297)))
															{	/* Ast/sexp.scm 836 */
																BgL_tmpz00_29783 = CAR(BgL_list1472z00_9297);
															}
														else
															{
																obj_t BgL_list1472z00_29790;

																BgL_list1472z00_29790 =
																	CDR(BgL_list1472z00_9297);
																BgL_list1472z00_9297 = BgL_list1472z00_29790;
																goto BgL_zc3anonymousza37209ze3z83_9298;
															}
													}
												else
													{	/* Ast/sexp.scm 836 */
														BgL_tmpz00_29783 = BFALSE;
													}
												return CBOOL(BgL_tmpz00_29783);
											}
										}
									else
										{	/* Ast/sexp.scm 835 */
											return ((bool_t) 0);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 833 */
							return ((bool_t) 0);
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long) 156774043),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_labelsz00(((long) 129879154),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 469204197),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_exitz00(((long) 419066125),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(((long) 520121776),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string7987z00zzast_sexpz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
