/*===========================================================================*/
/*   (Cfa/closure.scm)                                                       */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/closure.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	static bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	static bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_closurez00();
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_closurez00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00();
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00();
	static bool_t BGl_showze70ze7zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t, obj_t);
	static bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00();
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t);
	static obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_Xz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62zc3anonymousza31647ze3ze1zzcfa_closurez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
	static obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt,
		obj_t);
	static obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_closurez00();
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcfa_closurez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_closurez00();
	static obj_t BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31666ze3ze1zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_closurez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t,
		obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	static bool_t BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[20];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2procedurez12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2makeza7d22221za7,
		BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2funcallz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762addza7d2funcall2222z00,
		BGl_z62addzd2funcallz12za2zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2210z00zzcfa_closurez00,
		BgL_bgl_string2210za700za7za7c2223za7, "   . Light closures", 19);
	      DEFINE_STRING(BGl_string2213z00zzcfa_closurez00,
		BgL_bgl_string2213za700za7za7c2224za7, ": ", 2);
	      DEFINE_STRING(BGl_string2214z00zzcfa_closurez00,
		BgL_bgl_string2214za700za7za7c2225za7, "      ", 6);
	      DEFINE_STRING(BGl_string2215z00zzcfa_closurez00,
		BgL_bgl_string2215za700za7za7c2226za7, "        ", 8);
	      DEFINE_STRING(BGl_string2216z00zzcfa_closurez00,
		BgL_bgl_string2216za700za7za7c2227za7, "cfa_closure", 11);
	      DEFINE_STRING(BGl_string2217z00zzcfa_closurez00,
		BgL_bgl_string2217za700za7za7c2228za7,
		"make-l-procedure make-el-procedure procedure-el-set! procedure-el-ref procedure-l-set! procedure-l-ref procedure-set! foreign procedure-ref T X nothing-to-do slfun selfun done ok \077\077? light elight static ",
		203);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2procedurezd2refz12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2procedu2229z00,
		BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2closuresz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762typeza7d2closur2230z00,
		BGl_z62typezd2closuresz12za2zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationzf3zd2envz54zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt2231z00,
		BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationz12zd2envzb5zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt2232z00,
		BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza72233za7,
		BGl_z62zc3anonymousza31647ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza72234za7,
		BGl_z62zc3anonymousza31666ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2procedurezd2listzd2envzd2zzcfa_closurez00,
		BgL_bgl_za762getza7d2procedu2235z00,
		BGl_z62getzd2procedurezd2listz62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00,
		BgL_bgl_za762stopza7d2closur2236z00,
		BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2elzf3zd2envz21zzcfa_closurez00,
		BgL_bgl_za762approxza7d2proc2237z00,
		BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00));
		   
			 ADD_ROOT((void *) (&BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2refza2zd2zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2funcallzd2listza2zd2zzcfa_closurez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long
		BgL_checksumz00_4132, char *BgL_fromz00_4133)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_closurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_closurez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_closurez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
					BGl_cnstzd2initzd2zzcfa_closurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
					return BGl_toplevelzd2initzd2zzcfa_closurez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_closure");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			{	/* Cfa/closure.scm 25 */
				obj_t BgL_cportz00_4119;

				{	/* Cfa/closure.scm 25 */
					obj_t BgL_stringz00_4127;

					BgL_stringz00_4127 = BGl_string2217z00zzcfa_closurez00;
					{	/* Cfa/closure.scm 25 */
						obj_t BgL_startz00_4128;

						BgL_startz00_4128 = BINT(((long) 0));
						{	/* Cfa/closure.scm 25 */
							obj_t BgL_endz00_4129;

							BgL_endz00_4129 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4127)));
							{	/* Cfa/closure.scm 25 */

								BgL_cportz00_4119 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4127, BgL_startz00_4128, BgL_endz00_4129);
				}}}}
				{
					long BgL_iz00_4120;

					BgL_iz00_4120 = ((long) 19);
				BgL_loopz00_4121:
					if ((BgL_iz00_4120 == ((long) -1)))
						{	/* Cfa/closure.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/closure.scm 25 */
							{	/* Cfa/closure.scm 25 */
								obj_t BgL_arg2219z00_4123;

								{	/* Cfa/closure.scm 25 */

									{	/* Cfa/closure.scm 25 */
										obj_t BgL_locationz00_4125;

										BgL_locationz00_4125 = BBOOL(((bool_t) 0));
										{	/* Cfa/closure.scm 25 */

											BgL_arg2219z00_4123 =
												BGl_readz00zz__readerz00(BgL_cportz00_4119,
												BgL_locationz00_4125);
										}
									}
								}
								{	/* Cfa/closure.scm 25 */
									int BgL_tmpz00_4157;

									BgL_tmpz00_4157 = (int) (BgL_iz00_4120);
									CNST_TABLE_SET(BgL_tmpz00_4157, BgL_arg2219z00_4123);
							}}
							{	/* Cfa/closure.scm 25 */
								int BgL_auxz00_4126;

								BgL_auxz00_4126 = (int) ((BgL_iz00_4120 - ((long) 1)));
								{
									long BgL_iz00_4162;

									BgL_iz00_4162 = (long) (BgL_auxz00_4126);
									BgL_iz00_4120 = BgL_iz00_4162;
									goto BgL_loopz00_4121;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BNIL;
			BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* closure-optimization? */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 55 */
			{	/* Cfa/closure.scm 56 */
				long BgL_n1z00_3772;

				BgL_n1z00_3772 = (long) CINT(BGl_za2optimza2z00zzengine_paramz00);
				return BBOOL((BgL_n1z00_3772 >= ((long) 2)));
		}}
		BGL_FUNCTION_END;
	}



/* &closure-optimization? */
	obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t
		BgL_envz00_4099)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 55 */
			return BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
		}
		BGL_FUNCTION_END;
	}



/* closure-optimization! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t BgL_globalsz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 61 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 62 */
					{	/* Cfa/closure.scm 63 */
						obj_t BgL_list1556z00_2770;

						{	/* Cfa/closure.scm 63 */
							obj_t BgL_arg1562z00_2771;

							BgL_arg1562z00_2771 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_list1556z00_2770 =
								MAKE_YOUNG_PAIR(BGl_string2210z00zzcfa_closurez00,
								BgL_arg1562z00_2771);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list1556z00_2770);
					}
					BGl_startzd2closurezd2cachez00zzcfa_closurez00();
					{
						obj_t BgL_l1512z00_2773;

						BgL_l1512z00_2773 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza31563ze3z83_2774:
						if (PAIRP(BgL_l1512z00_2773))
							{	/* Cfa/closure.scm 72 */
								{	/* Cfa/closure.scm 74 */
									obj_t BgL_appz00_2776;

									BgL_appz00_2776 = CAR(BgL_l1512z00_2773);
									{	/* Cfa/closure.scm 75 */
										BgL_variablez00_bglt BgL_funz00_2778;

										{
											BgL_varz00_bglt BgL_auxz00_4181;

											{	/* Cfa/closure.scm 75 */
												obj_t BgL_pairz00_3778;

												BgL_pairz00_3778 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_appz00_2776))))->
													BgL_argsz00);
												BgL_auxz00_4181 =
													((BgL_varz00_bglt) CAR(BgL_pairz00_3778));
											}
											BgL_funz00_2778 =
												(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4181))->
												BgL_variablez00);
										}
										{	/* Cfa/closure.scm 75 */
											obj_t BgL_cloz00_2779;

											BgL_cloz00_2779 =
												(((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_funz00_2778))))->
																	BgL_valuez00)))))->BgL_thezd2closurezd2);
											{	/* Cfa/closure.scm 76 */
												bool_t BgL_lostzf3zf3_2780;

												{	/* Cfa/closure.scm 77 */
													long BgL_tmpz00_4194;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4195;

														{
															obj_t BgL_auxz00_4196;

															{	/* Cfa/closure.scm 77 */
																BgL_objectz00_bglt BgL_tmpz00_4197;

																BgL_tmpz00_4197 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_2776));
																BgL_auxz00_4196 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4197);
															}
															BgL_auxz00_4195 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_4196);
														}
														BgL_tmpz00_4194 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_4195))->BgL_lostzd2stampzd2);
													}
													BgL_lostzf3zf3_2780 = (BgL_tmpz00_4194 > ((long) -1));
												}
												{	/* Cfa/closure.scm 77 */
													obj_t BgL_siza7eza7_2781;

													{	/* Cfa/closure.scm 78 */
														obj_t BgL_arg1611z00_2802;

														{	/* Cfa/closure.scm 78 */
															obj_t BgL_pairz00_3784;

															BgL_pairz00_3784 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_appz00_2776))))->
																BgL_argsz00);
															BgL_arg1611z00_2802 =
																CAR(CDR(CDR(BgL_pairz00_3784)));
														}
														BgL_siza7eza7_2781 =
															BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
															((BgL_nodez00_bglt) BgL_arg1611z00_2802));
													}
													{	/* Cfa/closure.scm 78 */

														{	/* Cfa/closure.scm 80 */
															bool_t BgL_testz00_4212;

															if (BgL_lostzf3zf3_2780)
																{	/* Cfa/closure.scm 80 */
																	BgL_testz00_4212 = ((bool_t) 1);
																}
															else
																{	/* Cfa/closure.scm 81 */
																	bool_t BgL_testz00_4214;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_4215;
																		{
																			obj_t BgL_auxz00_4216;

																			{	/* Cfa/closure.scm 81 */
																				BgL_objectz00_bglt BgL_tmpz00_4217;

																				BgL_tmpz00_4217 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_2776));
																				BgL_auxz00_4216 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4217);
																			}
																			BgL_auxz00_4215 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_4216);
																		}
																		BgL_testz00_4214 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				COBJECT(BgL_auxz00_4215))->
																			BgL_xzd2tzf3z21);
																	}
																	if (BgL_testz00_4214)
																		{	/* Cfa/closure.scm 81 */
																			if (
																				((((BgL_funz00_bglt) COBJECT(
																								((BgL_funz00_bglt)
																									((BgL_sfunz00_bglt)
																										(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_funz00_2778))))->BgL_valuez00)))))->BgL_arityz00) < ((long) 0)))
																				{	/* Cfa/closure.scm 82 */
																					BgL_testz00_4212 = ((bool_t) 1);
																				}
																			else
																				{	/* Cfa/closure.scm 82 */
																					if (INTEGERP(BgL_siza7eza7_2781))
																						{	/* Cfa/closure.scm 83 */
																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_cloz00_2779,
																									BGl_globalz00zzast_varz00))
																								{	/* Cfa/closure.scm 84 */
																									if (
																										((((BgL_globalz00_bglt)
																													COBJECT((
																															(BgL_globalz00_bglt)
																															BgL_cloz00_2779)))->
																												BgL_importz00) ==
																											CNST_TABLE_REF(((long)
																													0))))
																										{	/* Cfa/closure.scm 85 */
																											BgL_testz00_4212 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Cfa/closure.scm 85 */
																											BgL_testz00_4212 =
																												((bool_t) 1);
																										}
																								}
																							else
																								{	/* Cfa/closure.scm 84 */
																									BgL_testz00_4212 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 83 */
																							BgL_testz00_4212 = ((bool_t) 1);
																						}
																				}
																		}
																	else
																		{	/* Cfa/closure.scm 81 */
																			BgL_testz00_4212 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_4212)
																{	/* Cfa/closure.scm 80 */
																	BNIL;
																}
															else
																{	/* Cfa/closure.scm 80 */
																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_4240;
																		{
																			obj_t BgL_auxz00_4241;

																			{	/* Cfa/closure.scm 102 */
																				BgL_objectz00_bglt BgL_tmpz00_4242;

																				BgL_tmpz00_4242 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_2776));
																				BgL_auxz00_4241 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4242);
																			}
																			BgL_auxz00_4240 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_4241);
																		}
																		((((BgL_makezd2procedurezd2appz00_bglt)
																					COBJECT(BgL_auxz00_4240))->BgL_xz00) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																	}
																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_4248;
																		{
																			obj_t BgL_auxz00_4249;

																			{	/* Cfa/closure.scm 103 */
																				BgL_objectz00_bglt BgL_tmpz00_4250;

																				BgL_tmpz00_4250 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_2776));
																				BgL_auxz00_4249 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4250);
																			}
																			BgL_auxz00_4248 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_4249);
																		}
																		((((BgL_makezd2procedurezd2appz00_bglt)
																					COBJECT(BgL_auxz00_4248))->BgL_tz00) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																	}
																}
														}
													}
												}
											}
										}
									}
								}
								{
									obj_t BgL_l1512z00_4256;

									BgL_l1512z00_4256 = CDR(BgL_l1512z00_2773);
									BgL_l1512z00_2773 = BgL_l1512z00_4256;
									goto BgL_zc3anonymousza31563ze3z83_2774;
								}
							}
						else
							{	/* Cfa/closure.scm 72 */
								((bool_t) 1);
							}
					}
					BGl_Xz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{
						obj_t BgL_l1514z00_2811;

						BgL_l1514z00_2811 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza31624ze3z83_2812:
						if (PAIRP(BgL_l1514z00_2811))
							{	/* Cfa/closure.scm 110 */
								{	/* Cfa/closure.scm 111 */
									obj_t BgL_allocz00_2814;

									BgL_allocz00_2814 = CAR(BgL_l1514z00_2811);
									{	/* Cfa/closure.scm 112 */
										BgL_valuez00_bglt BgL_fz00_2816;

										{
											BgL_variablez00_bglt BgL_auxz00_4263;

											{
												BgL_varz00_bglt BgL_auxz00_4264;

												{	/* Cfa/closure.scm 112 */
													obj_t BgL_pairz00_3800;

													BgL_pairz00_3800 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_allocz00_2814))))->
														BgL_argsz00);
													BgL_auxz00_4264 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_3800));
												}
												BgL_auxz00_4263 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4264))->
													BgL_variablez00);
											}
											BgL_fz00_2816 =
												(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_4263))->
												BgL_valuez00);
										}
										{	/* Cfa/closure.scm 114 */
											bool_t BgL_testz00_4272;

											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4273;

												{
													obj_t BgL_auxz00_4274;

													{	/* Cfa/closure.scm 114 */
														BgL_objectz00_bglt BgL_tmpz00_4275;

														BgL_tmpz00_4275 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_allocz00_2814));
														BgL_auxz00_4274 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4275);
													}
													BgL_auxz00_4273 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_4274);
												}
												BgL_testz00_4272 =
													(((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_4273))->BgL_xz00);
											}
											if (BgL_testz00_4272)
												{	/* Cfa/closure.scm 114 */
													obj_t BgL_vz00_3804;

													BgL_vz00_3804 = CNST_TABLE_REF(((long) 1));
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_fz00_2816)))->
															BgL_strengthz00) =
														((obj_t) BgL_vz00_3804), BUNSPEC);
												}
											else
												{	/* Cfa/closure.scm 115 */
													bool_t BgL_testz00_4284;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4285;

														{
															obj_t BgL_auxz00_4286;

															{	/* Cfa/closure.scm 115 */
																BgL_objectz00_bglt BgL_tmpz00_4287;

																BgL_tmpz00_4287 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_allocz00_2814));
																BgL_auxz00_4286 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4287);
															}
															BgL_auxz00_4285 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_4286);
														}
														BgL_testz00_4284 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_4285))->BgL_tz00);
													}
													if (BgL_testz00_4284)
														{	/* Cfa/closure.scm 115 */
															obj_t BgL_vz00_3806;

															BgL_vz00_3806 = CNST_TABLE_REF(((long) 2));
															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_fz00_2816)))->
																	BgL_strengthz00) =
																((obj_t) BgL_vz00_3806), BUNSPEC);
														}
													else
														{	/* Cfa/closure.scm 116 */
															obj_t BgL_vz00_3808;

															BgL_vz00_3808 = CNST_TABLE_REF(((long) 3));
															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_fz00_2816)))->
																	BgL_strengthz00) =
																((obj_t) BgL_vz00_3808), BUNSPEC);
								}}}}}
								{
									obj_t BgL_l1514z00_4299;

									BgL_l1514z00_4299 = CDR(BgL_l1514z00_2811);
									BgL_l1514z00_2811 = BgL_l1514z00_4299;
									goto BgL_zc3anonymousza31624ze3z83_2812;
								}
							}
						else
							{	/* Cfa/closure.scm 110 */
								((bool_t) 1);
							}
					}
					BGl_showzd2Xzd2Tz00zzcfa_closurez00
						(BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00);
					BGl_lightzd2funcallz12zc0zzcfa_closurez00();
					BGl_lightzd2accessz12zc0zzcfa_closurez00();
					BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
					return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_3);
				}
			else
				{	/* Cfa/closure.scm 62 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* &closure-optimization! */
	obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t
		BgL_envz00_4100, obj_t BgL_globalsz00_4101)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 61 */
			return
				BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(BgL_globalsz00_4101);
		}
		BGL_FUNCTION_END;
	}



/* X! */
	bool_t BGl_Xz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_4)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 132 */
			{
				obj_t BgL_l1516z00_2825;

				BgL_l1516z00_2825 = BgL_funcallzd2listzd2_4;
			BgL_zc3anonymousza31644ze3z83_2826:
				if (PAIRP(BgL_l1516z00_2825))
					{	/* Cfa/closure.scm 134 */
						{	/* Cfa/closure.scm 135 */
							BgL_funcallz00_bglt BgL_appz00_2828;

							BgL_appz00_2828 = ((BgL_funcallz00_bglt) CAR(BgL_l1516z00_2825));
							{	/* Cfa/closure.scm 136 */
								BgL_nodez00_bglt BgL_funz00_2829;

								BgL_funz00_2829 =
									(((BgL_funcallz00_bglt) COBJECT(BgL_appz00_2828))->
									BgL_funz00);
								{	/* Cfa/closure.scm 136 */
									BgL_approxz00_bglt BgL_approxz00_2830;

									BgL_approxz00_2830 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2829);
									{	/* Cfa/closure.scm 137 */
										obj_t BgL_allocz00_2831;

										BgL_allocz00_2831 =
											(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_2830))->
											BgL_allocsz00);
										{	/* Cfa/closure.scm 138 */
											BgL_typez00_bglt BgL_typez00_2832;

											BgL_typez00_2832 =
												(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_2830))->
												BgL_typez00);
											{	/* Cfa/closure.scm 139 */
												bool_t BgL_topzf3zf3_2833;

												BgL_topzf3zf3_2833 =
													(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_2830))->
													BgL_topzf3zf3);
												{	/* Cfa/closure.scm 140 */

													if (BgL_topzf3zf3_2833)
														{	/* Cfa/closure.scm 142 */
															BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																(BGl_proc2211z00zzcfa_closurez00,
																BgL_approxz00_2830);
														}
													else
														{	/* Cfa/closure.scm 153 */
															bool_t BgL_testz00_4318;

															{	/* Cfa/closure.scm 153 */
																obj_t BgL_arg1671z00_2854;

																BgL_arg1671z00_2854 =
																	BGl_setzd2lengthzd2zzcfa_setz00
																	(BgL_allocz00_2831);
																BgL_testz00_4318 =
																	((long) CINT(BgL_arg1671z00_2854) ==
																	((long) 0));
															}
															if (BgL_testz00_4318)
																{	/* Cfa/closure.scm 153 */
																	CNST_TABLE_REF(((long) 4));
																}
															else
																{	/* Cfa/closure.scm 156 */
																	bool_t BgL_testz00_4323;

																	{	/* Cfa/closure.scm 156 */
																		bool_t BgL_testz00_4324;

																		{	/* Cfa/closure.scm 156 */
																			obj_t BgL_arg1670z00_2853;

																			BgL_arg1670z00_2853 =
																				BGl_setzd2lengthzd2zzcfa_setz00
																				(BgL_allocz00_2831);
																			BgL_testz00_4324 =
																				((long) CINT(BgL_arg1670z00_2853) ==
																				((long) 1));
																		}
																		if (BgL_testz00_4324)
																			{	/* Cfa/closure.scm 157 */
																				obj_t BgL__ortest_1163z00_2852;

																				BgL__ortest_1163z00_2852 =
																					BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
																				if (CBOOL(BgL__ortest_1163z00_2852))
																					{	/* Cfa/closure.scm 157 */
																						BgL_testz00_4323 =
																							CBOOL(BgL__ortest_1163z00_2852);
																					}
																				else
																					{	/* Cfa/closure.scm 157 */
																						BgL_testz00_4323 =
																							(
																							((obj_t) BgL_typez00_2832) ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 156 */
																				BgL_testz00_4323 = ((bool_t) 0);
																			}
																	}
																	if (BgL_testz00_4323)
																		{	/* Cfa/closure.scm 156 */
																			CNST_TABLE_REF(((long) 4));
																		}
																	else
																		{	/* Cfa/closure.scm 156 */
																			BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																				(BGl_proc2212z00zzcfa_closurez00,
																				BgL_approxz00_2830);
																		}
																}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1516z00_4335;

							BgL_l1516z00_4335 = CDR(BgL_l1516z00_2825);
							BgL_l1516z00_2825 = BgL_l1516z00_4335;
							goto BgL_zc3anonymousza31644ze3z83_2826;
						}
					}
				else
					{	/* Cfa/closure.scm 134 */
						return ((bool_t) 1);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1647> */
	obj_t BGl_z62zc3anonymousza31647ze3ze1zzcfa_closurez00(obj_t BgL_envz00_4104,
		obj_t BgL_allocz00_4105)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 145 */
			if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_4105,
					BGl_makezd2procedurezd2appz00zzcfa_info2z00))
				{	/* Cfa/closure.scm 146 */
					{
						BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4339;

						{
							obj_t BgL_auxz00_4340;

							{	/* Cfa/closure.scm 150 */
								BgL_objectz00_bglt BgL_tmpz00_4341;

								BgL_tmpz00_4341 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_allocz00_4105));
								BgL_auxz00_4340 = BGL_OBJECT_WIDENING(BgL_tmpz00_4341);
							}
							BgL_auxz00_4339 =
								((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4340);
						}
						((((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_4339))->
								BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					}
					{
						BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4347;

						{
							obj_t BgL_auxz00_4348;

							{	/* Cfa/closure.scm 151 */
								BgL_objectz00_bglt BgL_tmpz00_4349;

								BgL_tmpz00_4349 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_allocz00_4105));
								BgL_auxz00_4348 = BGL_OBJECT_WIDENING(BgL_tmpz00_4349);
							}
							BgL_auxz00_4347 =
								((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4348);
						}
						return
							((((BgL_makezd2procedurezd2appz00_bglt)
									COBJECT(BgL_auxz00_4347))->BgL_xz00) =
							((bool_t) ((bool_t) 0)), BUNSPEC);
					}
				}
			else
				{	/* Cfa/closure.scm 146 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1666> */
	obj_t BGl_z62zc3anonymousza31666ze3ze1zzcfa_closurez00(obj_t BgL_envz00_4106,
		obj_t BgL_allocz00_4107)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 164 */
			if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_4107,
					BGl_makezd2procedurezd2appz00zzcfa_info2z00))
				{	/* Cfa/closure.scm 165 */
					{
						BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4357;

						{
							obj_t BgL_auxz00_4358;

							{	/* Cfa/closure.scm 169 */
								BgL_objectz00_bglt BgL_tmpz00_4359;

								BgL_tmpz00_4359 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_allocz00_4107));
								BgL_auxz00_4358 = BGL_OBJECT_WIDENING(BgL_tmpz00_4359);
							}
							BgL_auxz00_4357 =
								((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4358);
						}
						return
							((((BgL_makezd2procedurezd2appz00_bglt)
									COBJECT(BgL_auxz00_4357))->BgL_xz00) =
							((bool_t) ((bool_t) 0)), BUNSPEC);
					}
				}
			else
				{	/* Cfa/closure.scm 165 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* T-fix-point! */
	obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_5)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 182 */
			{
				bool_t BgL_continuezf3zf3_2858;

				BgL_continuezf3zf3_2858 = ((bool_t) 1);
			BgL_zc3anonymousza31673ze3z83_2859:
				if (BgL_continuezf3zf3_2858)
					{	/* Cfa/closure.scm 187 */
						bool_t BgL_continuezf3zf3_2860;

						BgL_continuezf3zf3_2860 = ((bool_t) 0);
						{
							obj_t BgL_l1520z00_2862;

							BgL_l1520z00_2862 = BgL_funcallzd2listzd2_5;
						BgL_zc3anonymousza31674ze3z83_2863:
							if (PAIRP(BgL_l1520z00_2862))
								{	/* Cfa/closure.scm 188 */
									{	/* Cfa/closure.scm 190 */
										obj_t BgL_appz00_2865;

										BgL_appz00_2865 = CAR(BgL_l1520z00_2862);
										{	/* Cfa/closure.scm 191 */
											BgL_nodez00_bglt BgL_funz00_2866;

											BgL_funz00_2866 =
												(((BgL_funcallz00_bglt) COBJECT(
														((BgL_funcallz00_bglt) BgL_appz00_2865)))->
												BgL_funz00);
											{	/* Cfa/closure.scm 191 */
												BgL_approxz00_bglt BgL_approxz00_2867;

												BgL_approxz00_2867 =
													BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2866);
												{	/* Cfa/closure.scm 192 */
													obj_t BgL_allocz00_2868;

													BgL_allocz00_2868 =
														BGl_setzd2ze3listz31zzcfa_setz00(
														(((BgL_approxz00_bglt)
																COBJECT(BgL_approxz00_2867))->BgL_allocsz00));
													{	/* Cfa/closure.scm 193 */
														BgL_typez00_bglt BgL_typez00_2869;

														BgL_typez00_2869 =
															(((BgL_approxz00_bglt)
																COBJECT(BgL_approxz00_2867))->BgL_typez00);
														{	/* Cfa/closure.scm 194 */
															bool_t BgL_tzd2initzf3z21_2870;

															{	/* Cfa/closure.scm 195 */
																bool_t BgL__ortest_1164z00_2894;

																BgL__ortest_1164z00_2894 =
																	(((BgL_approxz00_bglt)
																		COBJECT(BgL_approxz00_2867))->
																	BgL_topzf3zf3);
																if (BgL__ortest_1164z00_2894)
																	{	/* Cfa/closure.scm 195 */
																		BgL_tzd2initzf3z21_2870 =
																			BgL__ortest_1164z00_2894;
																	}
																else
																	{	/* Cfa/closure.scm 196 */
																		bool_t BgL_testz00_4377;

																		if (
																			(((obj_t) BgL_typez00_2869) ==
																				BGl_za2procedureza2z00zztype_cachez00))
																			{	/* Cfa/closure.scm 196 */
																				BgL_testz00_4377 = ((bool_t) 1);
																			}
																		else
																			{	/* Cfa/closure.scm 196 */
																				BgL_testz00_4377 =
																					CBOOL
																					(BGl_za2unsafezd2typeza2zd2zzengine_paramz00);
																			}
																		if (BgL_testz00_4377)
																			{	/* Cfa/closure.scm 196 */
																				BgL_tzd2initzf3z21_2870 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/closure.scm 196 */
																				BgL_tzd2initzf3z21_2870 = ((bool_t) 1);
																			}
																	}
															}
															{	/* Cfa/closure.scm 195 */

																{
																	bool_t BgL_onezd2nonzd2tzf3zf3_2872;
																	obj_t BgL_allocsz00_2873;

																	BgL_onezd2nonzd2tzf3zf3_2872 =
																		BgL_tzd2initzf3z21_2870;
																	BgL_allocsz00_2873 = BgL_allocz00_2868;
																BgL_zc3anonymousza31676ze3z83_2874:
																	if (NULLP(BgL_allocsz00_2873))
																		{	/* Cfa/closure.scm 204 */
																			CNST_TABLE_REF(((long) 5));
																		}
																	else
																		{	/* Cfa/closure.scm 204 */
																			if (BgL_onezd2nonzd2tzf3zf3_2872)
																				{
																					obj_t BgL_l1518z00_2877;

																					{	/* Cfa/closure.scm 207 */
																						bool_t BgL_tmpz00_4386;

																						BgL_l1518z00_2877 =
																							BgL_allocz00_2868;
																					BgL_zc3anonymousza31679ze3z83_2878:
																						if (PAIRP(BgL_l1518z00_2877))
																							{	/* Cfa/closure.scm 207 */
																								{	/* Cfa/closure.scm 209 */
																									obj_t BgL_allocz00_2880;

																									BgL_allocz00_2880 =
																										CAR(BgL_l1518z00_2877);
																									if (BGl_isazf3zf3zz__objectz00
																										(BgL_allocz00_2880,
																											BGl_makezd2procedurezd2appz00zzcfa_info2z00))
																										{	/* Cfa/closure.scm 211 */
																											bool_t BgL_testz00_4392;

																											{
																												BgL_makezd2procedurezd2appz00_bglt
																													BgL_auxz00_4393;
																												{
																													obj_t BgL_auxz00_4394;

																													{	/* Cfa/closure.scm 211 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_4395;
																														BgL_tmpz00_4395 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_appz00_bglt)
																																BgL_allocz00_2880));
																														BgL_auxz00_4394 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_4395);
																													}
																													BgL_auxz00_4393 =
																														(
																														(BgL_makezd2procedurezd2appz00_bglt)
																														BgL_auxz00_4394);
																												}
																												BgL_testz00_4392 =
																													(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_4393))->BgL_tz00);
																											}
																											if (BgL_testz00_4392)
																												{	/* Cfa/closure.scm 211 */
																													{
																														BgL_makezd2procedurezd2appz00_bglt
																															BgL_auxz00_4401;
																														{
																															obj_t
																																BgL_auxz00_4402;
																															{	/* Cfa/closure.scm 212 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_4403;
																																BgL_tmpz00_4403
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	((BgL_appz00_bglt) BgL_allocz00_2880));
																																BgL_auxz00_4402
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_4403);
																															}
																															BgL_auxz00_4401 =
																																(
																																(BgL_makezd2procedurezd2appz00_bglt)
																																BgL_auxz00_4402);
																														}
																														((((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_4401))->BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																													}
																													BgL_continuezf3zf3_2860
																														= ((bool_t) 1);
																												}
																											else
																												{	/* Cfa/closure.scm 211 */
																													BFALSE;
																												}
																										}
																									else
																										{	/* Cfa/closure.scm 209 */
																											BFALSE;
																										}
																								}
																								{
																									obj_t BgL_l1518z00_4409;

																									BgL_l1518z00_4409 =
																										CDR(BgL_l1518z00_2877);
																									BgL_l1518z00_2877 =
																										BgL_l1518z00_4409;
																									goto
																										BgL_zc3anonymousza31679ze3z83_2878;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 207 */
																								BgL_tmpz00_4386 = ((bool_t) 1);
																							}
																						BBOOL(BgL_tmpz00_4386);
																					}
																				}
																			else
																				{	/* Cfa/closure.scm 215 */
																					bool_t BgL_testz00_4412;

																					{	/* Cfa/closure.scm 215 */
																						obj_t BgL_arg1691z00_2892;

																						BgL_arg1691z00_2892 =
																							CAR(((obj_t) BgL_allocsz00_2873));
																						BgL_testz00_4412 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_arg1691z00_2892,
																							BGl_makezd2procedurezd2appz00zzcfa_info2z00);
																					}
																					if (BgL_testz00_4412)
																						{	/* Cfa/closure.scm 216 */
																							BgL_appz00_bglt BgL_i1166z00_2888;

																							BgL_i1166z00_2888 =
																								((BgL_appz00_bglt)
																								CAR(
																									((obj_t)
																										BgL_allocsz00_2873)));
																							{	/* Cfa/closure.scm 217 */
																								bool_t BgL_testz00_4419;

																								{
																									BgL_makezd2procedurezd2appz00_bglt
																										BgL_auxz00_4420;
																									{
																										obj_t BgL_auxz00_4421;

																										{	/* Cfa/closure.scm 217 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_4422;
																											BgL_tmpz00_4422 =
																												((BgL_objectz00_bglt)
																												BgL_i1166z00_2888);
																											BgL_auxz00_4421 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_4422);
																										}
																										BgL_auxz00_4420 =
																											(
																											(BgL_makezd2procedurezd2appz00_bglt)
																											BgL_auxz00_4421);
																									}
																									BgL_testz00_4419 =
																										(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_4420))->BgL_tz00);
																								}
																								if (BgL_testz00_4419)
																									{	/* Cfa/closure.scm 218 */
																										obj_t BgL_arg1689z00_2890;

																										BgL_arg1689z00_2890 =
																											CDR(
																											((obj_t)
																												BgL_allocsz00_2873));
																										{
																											obj_t BgL_allocsz00_4429;

																											BgL_allocsz00_4429 =
																												BgL_arg1689z00_2890;
																											BgL_allocsz00_2873 =
																												BgL_allocsz00_4429;
																											goto
																												BgL_zc3anonymousza31676ze3z83_2874;
																										}
																									}
																								else
																									{
																										bool_t
																											BgL_onezd2nonzd2tzf3zf3_4430;
																										BgL_onezd2nonzd2tzf3zf3_4430
																											= ((bool_t) 1);
																										BgL_onezd2nonzd2tzf3zf3_2872
																											=
																											BgL_onezd2nonzd2tzf3zf3_4430;
																										goto
																											BgL_zc3anonymousza31676ze3z83_2874;
																									}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 215 */
																							if (CBOOL
																								(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
																								{	/* Cfa/closure.scm 222 */
																									obj_t BgL_arg1690z00_2891;

																									BgL_arg1690z00_2891 =
																										CDR(
																										((obj_t)
																											BgL_allocsz00_2873));
																									{
																										obj_t BgL_allocsz00_4435;

																										BgL_allocsz00_4435 =
																											BgL_arg1690z00_2891;
																										BgL_allocsz00_2873 =
																											BgL_allocsz00_4435;
																										goto
																											BgL_zc3anonymousza31676ze3z83_2874;
																									}
																								}
																							else
																								{
																									bool_t
																										BgL_onezd2nonzd2tzf3zf3_4436;
																									BgL_onezd2nonzd2tzf3zf3_4436 =
																										((bool_t) 1);
																									BgL_onezd2nonzd2tzf3zf3_2872 =
																										BgL_onezd2nonzd2tzf3zf3_4436;
																									goto
																										BgL_zc3anonymousza31676ze3z83_2874;
																								}
																						}
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l1520z00_4437;

										BgL_l1520z00_4437 = CDR(BgL_l1520z00_2862);
										BgL_l1520z00_2862 = BgL_l1520z00_4437;
										goto BgL_zc3anonymousza31674ze3z83_2863;
									}
								}
							else
								{	/* Cfa/closure.scm 188 */
									((bool_t) 1);
								}
						}
						{
							bool_t BgL_continuezf3zf3_4439;

							BgL_continuezf3zf3_4439 = BgL_continuezf3zf3_2860;
							BgL_continuezf3zf3_2858 = BgL_continuezf3zf3_4439;
							goto BgL_zc3anonymousza31673ze3z83_2859;
						}
					}
				else
					{	/* Cfa/closure.scm 185 */
						return BUNSPEC;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* light-make-procedure! */
	bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 251 */
			{
				obj_t BgL_appz00_2947;
				obj_t BgL_appz00_2917;

				{
					obj_t BgL_l1522z00_2908;

					BgL_l1522z00_2908 =
						BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
				BgL_zc3anonymousza31705ze3z83_2909:
					if (PAIRP(BgL_l1522z00_2908))
						{	/* Cfa/closure.scm 293 */
							{	/* Cfa/closure.scm 294 */
								obj_t BgL_appz00_2911;

								BgL_appz00_2911 = CAR(BgL_l1522z00_2908);
								{	/* Cfa/closure.scm 296 */
									bool_t BgL_testz00_4443;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4444;

										{
											obj_t BgL_auxz00_4445;

											{	/* Cfa/closure.scm 296 */
												BgL_objectz00_bglt BgL_tmpz00_4446;

												BgL_tmpz00_4446 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_appz00_2911));
												BgL_auxz00_4445 = BGL_OBJECT_WIDENING(BgL_tmpz00_4446);
											}
											BgL_auxz00_4444 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4445);
										}
										BgL_testz00_4443 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_4444))->BgL_xz00);
									}
									if (BgL_testz00_4443)
										{	/* Cfa/closure.scm 296 */
											BgL_appz00_2917 = BgL_appz00_2911;
											{	/* Cfa/closure.scm 255 */
												obj_t BgL_siza7eza7_2920;

												{	/* Cfa/closure.scm 255 */
													obj_t BgL_arg1755z00_2944;

													{	/* Cfa/closure.scm 255 */
														obj_t BgL_pairz00_3846;

														BgL_pairz00_3846 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_appz00_2917))))->
															BgL_argsz00);
														BgL_arg1755z00_2944 =
															CAR(CDR(CDR(BgL_pairz00_3846)));
													}
													BgL_siza7eza7_2920 =
														BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
														((BgL_nodez00_bglt) BgL_arg1755z00_2944));
												}
												{	/* Cfa/closure.scm 255 */
													BgL_variablez00_bglt BgL_ffunz00_2921;

													{
														BgL_varz00_bglt BgL_auxz00_4460;

														{	/* Cfa/closure.scm 256 */
															obj_t BgL_pairz00_3852;

															BgL_pairz00_3852 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_appz00_2917))))->
																BgL_argsz00);
															BgL_auxz00_4460 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_3852));
														}
														BgL_ffunz00_2921 =
															(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4460))->
															BgL_variablez00);
													}
													{	/* Cfa/closure.scm 256 */
														BgL_valuez00_bglt BgL_sfunz00_2922;

														BgL_sfunz00_2922 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_ffunz00_2921))->BgL_valuez00);
														{	/* Cfa/closure.scm 257 */

															if (
																((long) CINT(BgL_siza7eza7_2920) < ((long) 1)))
																{	/* Cfa/closure.scm 259 */
																	{	/* Cfa/closure.scm 260 */
																		bool_t BgL_testz00_4471;

																		{	/* Cfa/closure.scm 260 */
																			bool_t BgL_testz00_4472;

																			{	/* Cfa/closure.scm 260 */
																				bool_t BgL_res2172z00_3857;

																				BgL_res2172z00_3857 =
																					BGl_isazf3zf3zz__objectz00(
																					((obj_t) BgL_ffunz00_2921),
																					BGl_globalz00zzast_varz00);
																				BgL_testz00_4472 = BgL_res2172z00_3857;
																			}
																			if (BgL_testz00_4472)
																				{	/* Cfa/closure.scm 261 */
																					bool_t BgL_testz00_4475;

																					{	/* Cfa/closure.scm 261 */
																						obj_t BgL_arg1747z00_2937;

																						BgL_arg1747z00_2937 =
																							(((BgL_funz00_bglt) COBJECT(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											BgL_sfunz00_2922))))->
																							BgL_thezd2closurezd2);
																						BgL_testz00_4475 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_arg1747z00_2937,
																							BGl_globalz00zzast_varz00);
																					}
																					if (BgL_testz00_4475)
																						{	/* Cfa/closure.scm 262 */
																							BgL_valuez00_bglt
																								BgL_arg1745z00_2935;
																							BgL_arg1745z00_2935 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt) ((
																														(BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																((BgL_sfunz00_bglt) BgL_sfunz00_2922))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																							{	/* Cfa/closure.scm 262 */
																								bool_t BgL_res2174z00_3862;

																								BgL_res2174z00_3862 =
																									BGl_isazf3zf3zz__objectz00(
																									((obj_t) BgL_arg1745z00_2935),
																									BGl_scnstz00zzast_varz00);
																								BgL_testz00_4471 =
																									BgL_res2174z00_3862;
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 261 */
																							BgL_testz00_4471 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 260 */
																					BgL_testz00_4471 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_4471)
																			{	/* Cfa/closure.scm 263 */
																				BgL_valuez00_bglt BgL_arg1736z00_2931;

																				BgL_arg1736z00_2931 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									(((BgL_funz00_bglt) COBJECT(
																												((BgL_funz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_sfunz00_2922))))->
																										BgL_thezd2closurezd2)))))->
																					BgL_valuez00);
																				{	/* Cfa/closure.scm 263 */
																					obj_t BgL_vz00_3866;

																					BgL_vz00_3866 =
																						CNST_TABLE_REF(((long) 6));
																					((((BgL_scnstz00_bglt) COBJECT(
																									((BgL_scnstz00_bglt)
																										BgL_arg1736z00_2931)))->
																							BgL_classz00) =
																						((obj_t) BgL_vz00_3866), BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 260 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 265 */
																		BgL_varz00_bglt BgL_arg1748z00_2938;

																		BgL_arg1748z00_2938 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2917))))->BgL_funz00);
																		{	/* Cfa/closure.scm 265 */
																			BgL_variablez00_bglt BgL_vz00_3868;

																			BgL_vz00_3868 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1748z00_2938))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_3868),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 266 */
																		BgL_varz00_bglt BgL_arg1749z00_2939;

																		BgL_arg1749z00_2939 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2917))))->BgL_funz00);
																		{	/* Cfa/closure.scm 266 */
																			BgL_typez00_bglt BgL_vz00_3870;

																			BgL_vz00_3870 =
																				((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg1749z00_2939)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_3870),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2917))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																		BUNSPEC);
																}
															else
																{	/* Cfa/closure.scm 259 */
																	{	/* Cfa/closure.scm 269 */
																		BgL_varz00_bglt BgL_arg1750z00_2940;

																		BgL_arg1750z00_2940 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2917))))->BgL_funz00);
																		{	/* Cfa/closure.scm 269 */
																			BgL_variablez00_bglt BgL_vz00_3872;

																			BgL_vz00_3872 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1750z00_2940))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_3872),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 270 */
																		BgL_varz00_bglt BgL_arg1751z00_2941;

																		BgL_arg1751z00_2941 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2917))))->BgL_funz00);
																		{	/* Cfa/closure.scm 270 */
																			BgL_typez00_bglt BgL_vz00_3874;

																			BgL_vz00_3874 =
																				((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg1751z00_2941)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_3874),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2917))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																		BUNSPEC);
																}
														}
													}
												}
											}
											{
												obj_t BgL_auxz00_4527;

												{	/* Cfa/closure.scm 272 */
													obj_t BgL_pairz00_3875;

													BgL_pairz00_3875 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_2917))))->
														BgL_argsz00);
													{	/* Cfa/closure.scm 272 */
														obj_t BgL_pairz00_3878;

														BgL_pairz00_3878 = CDR(BgL_pairz00_3875);
														BgL_auxz00_4527 = CDR(BgL_pairz00_3878);
													}
												}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_2917))))->
														BgL_argsz00) = ((obj_t) BgL_auxz00_4527), BUNSPEC);
											}
											BgL_appz00_2917;
										}
									else
										{	/* Cfa/closure.scm 297 */
											bool_t BgL_testz00_4536;

											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4537;

												{
													obj_t BgL_auxz00_4538;

													{	/* Cfa/closure.scm 297 */
														BgL_objectz00_bglt BgL_tmpz00_4539;

														BgL_tmpz00_4539 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_appz00_2911));
														BgL_auxz00_4538 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4539);
													}
													BgL_auxz00_4537 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_4538);
												}
												BgL_testz00_4536 =
													(((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_4537))->BgL_tz00);
											}
											if (BgL_testz00_4536)
												{	/* Cfa/closure.scm 297 */
													BgL_appz00_2947 = BgL_appz00_2911;
													{	/* Cfa/closure.scm 277 */
														obj_t BgL_siza7eza7_2950;

														{	/* Cfa/closure.scm 277 */
															obj_t BgL_arg1783z00_2974;

															{	/* Cfa/closure.scm 277 */
																obj_t BgL_pairz00_3879;

																BgL_pairz00_3879 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_appz00_2947))))->
																	BgL_argsz00);
																BgL_arg1783z00_2974 =
																	CAR(CDR(CDR(BgL_pairz00_3879)));
															}
															BgL_siza7eza7_2950 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																((BgL_nodez00_bglt) BgL_arg1783z00_2974));
														}
														{	/* Cfa/closure.scm 277 */
															BgL_variablez00_bglt BgL_ffunz00_2951;

															{
																BgL_varz00_bglt BgL_auxz00_4553;

																{	/* Cfa/closure.scm 278 */
																	obj_t BgL_pairz00_3885;

																	BgL_pairz00_3885 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_appz00_2947))))->BgL_argsz00);
																	BgL_auxz00_4553 =
																		((BgL_varz00_bglt) CAR(BgL_pairz00_3885));
																}
																BgL_ffunz00_2951 =
																	(((BgL_varz00_bglt)
																		COBJECT(BgL_auxz00_4553))->BgL_variablez00);
															}
															{	/* Cfa/closure.scm 278 */
																BgL_valuez00_bglt BgL_sfunz00_2952;

																BgL_sfunz00_2952 =
																	(((BgL_variablez00_bglt)
																		COBJECT(BgL_ffunz00_2951))->BgL_valuez00);
																{	/* Cfa/closure.scm 279 */

																	{	/* Cfa/closure.scm 280 */
																		bool_t BgL_testz00_4561;

																		{	/* Cfa/closure.scm 280 */
																			bool_t BgL_testz00_4562;

																			{	/* Cfa/closure.scm 280 */
																				bool_t BgL_res2175z00_3888;

																				BgL_res2175z00_3888 =
																					BGl_isazf3zf3zz__objectz00(
																					((obj_t) BgL_ffunz00_2951),
																					BGl_globalz00zzast_varz00);
																				BgL_testz00_4562 = BgL_res2175z00_3888;
																			}
																			if (BgL_testz00_4562)
																				{	/* Cfa/closure.scm 281 */
																					bool_t BgL_testz00_4565;

																					{	/* Cfa/closure.scm 281 */
																						obj_t BgL_arg1773z00_2966;

																						BgL_arg1773z00_2966 =
																							(((BgL_funz00_bglt) COBJECT(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											BgL_sfunz00_2952))))->
																							BgL_thezd2closurezd2);
																						BgL_testz00_4565 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_arg1773z00_2966,
																							BGl_globalz00zzast_varz00);
																					}
																					if (BgL_testz00_4565)
																						{	/* Cfa/closure.scm 282 */
																							BgL_valuez00_bglt
																								BgL_arg1770z00_2964;
																							BgL_arg1770z00_2964 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt) ((
																														(BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																((BgL_sfunz00_bglt) BgL_sfunz00_2952))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																							{	/* Cfa/closure.scm 282 */
																								bool_t BgL_res2177z00_3893;

																								BgL_res2177z00_3893 =
																									BGl_isazf3zf3zz__objectz00(
																									((obj_t) BgL_arg1770z00_2964),
																									BGl_scnstz00zzast_varz00);
																								BgL_testz00_4561 =
																									BgL_res2177z00_3893;
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 281 */
																							BgL_testz00_4561 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 280 */
																					BgL_testz00_4561 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_4561)
																			{	/* Cfa/closure.scm 283 */
																				BgL_valuez00_bglt BgL_arg1768z00_2960;

																				BgL_arg1768z00_2960 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									(((BgL_funz00_bglt) COBJECT(
																												((BgL_funz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_sfunz00_2952))))->
																										BgL_thezd2closurezd2)))))->
																					BgL_valuez00);
																				{	/* Cfa/closure.scm 283 */
																					obj_t BgL_vz00_3897;

																					BgL_vz00_3897 =
																						CNST_TABLE_REF(((long) 7));
																					((((BgL_scnstz00_bglt) COBJECT(
																									((BgL_scnstz00_bglt)
																										BgL_arg1768z00_2960)))->
																							BgL_classz00) =
																						((obj_t) BgL_vz00_3897), BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 280 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 285 */
																		BgL_varz00_bglt BgL_arg1774z00_2967;

																		BgL_arg1774z00_2967 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2947))))->BgL_funz00);
																		{	/* Cfa/closure.scm 285 */
																			BgL_variablez00_bglt BgL_vz00_3899;

																			BgL_vz00_3899 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1774z00_2967))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_3899),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 287 */
																		BgL_varz00_bglt BgL_arg1775z00_2968;

																		BgL_arg1775z00_2968 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2947))))->BgL_funz00);
																		{	/* Cfa/closure.scm 287 */
																			BgL_typez00_bglt BgL_vz00_3901;

																			BgL_vz00_3901 =
																				((BgL_typez00_bglt)
																				BGl_za2procedureza2z00zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg1775z00_2968)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_3901),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2947))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedureza2z00zztype_cachez00)),
																		BUNSPEC);
																	{	/* Cfa/closure.scm 289 */
																		obj_t BgL_arg1777z00_2969;
																		obj_t BgL_arg1779z00_2970;

																		BgL_arg1777z00_2969 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2947))))->BgL_argsz00);
																		{	/* Cfa/closure.scm 289 */
																			obj_t BgL_pairz00_3902;

																			BgL_pairz00_3902 =
																				(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_2947))))->
																				BgL_argsz00);
																			BgL_arg1779z00_2970 =
																				CDR(CDR(BgL_pairz00_3902));
																		}
																		{	/* Cfa/closure.scm 289 */
																			obj_t BgL_tmpz00_4610;

																			BgL_tmpz00_4610 =
																				((obj_t) BgL_arg1777z00_2969);
																			SET_CDR(BgL_tmpz00_4610,
																				BgL_arg1779z00_2970);
																		}
																	}
																	BgL_appz00_2947;
																}
															}
														}
													}
												}
											else
												{	/* Cfa/closure.scm 297 */
													BFALSE;
												}
										}
								}
							}
							{
								obj_t BgL_l1522z00_4613;

								BgL_l1522z00_4613 = CDR(BgL_l1522z00_2908);
								BgL_l1522z00_2908 = BgL_l1522z00_4613;
								goto BgL_zc3anonymousza31705ze3z83_2909;
							}
						}
					else
						{	/* Cfa/closure.scm 293 */
							return ((bool_t) 1);
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* light-funcall! */
	bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 303 */
			{
				obj_t BgL_l1529z00_2979;

				BgL_l1529z00_2979 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
			BgL_zc3anonymousza31785ze3z83_2980:
				if (PAIRP(BgL_l1529z00_2979))
					{	/* Cfa/closure.scm 307 */
						{	/* Cfa/closure.scm 308 */
							BgL_funcallz00_bglt BgL_appz00_2982;

							BgL_appz00_2982 = ((BgL_funcallz00_bglt) CAR(BgL_l1529z00_2979));
							{	/* Cfa/closure.scm 309 */
								BgL_nodez00_bglt BgL_funz00_2983;

								BgL_funz00_2983 =
									(((BgL_funcallz00_bglt) COBJECT(BgL_appz00_2982))->
									BgL_funz00);
								{	/* Cfa/closure.scm 309 */
									BgL_approxz00_bglt BgL_approxz00_2984;

									BgL_approxz00_2984 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2983);
									{	/* Cfa/closure.scm 310 */
										obj_t BgL_alloczd2listzd2_2985;

										BgL_alloczd2listzd2_2985 =
											BGl_setzd2ze3listz31zzcfa_setz00(
											(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_2984))->
												BgL_allocsz00));
										{	/* Cfa/closure.scm 311 */

											{	/* Cfa/closure.scm 312 */
												bool_t BgL_testz00_4623;

												if (PAIRP(BgL_alloczd2listzd2_2985))
													{	/* Cfa/closure.scm 313 */
														bool_t BgL_testz00_4626;

														{	/* Cfa/closure.scm 313 */
															obj_t BgL_arg1819z00_3030;

															BgL_arg1819z00_3030 =
																CAR(BgL_alloczd2listzd2_2985);
															BgL_testz00_4626 =
																BGl_isazf3zf3zz__objectz00(BgL_arg1819z00_3030,
																BGl_makezd2procedurezd2appz00zzcfa_info2z00);
														}
														if (BgL_testz00_4626)
															{	/* Cfa/closure.scm 313 */
																BgL_testz00_4623 = ((bool_t) 0);
															}
														else
															{	/* Cfa/closure.scm 313 */
																BgL_testz00_4623 = ((bool_t) 1);
															}
													}
												else
													{	/* Cfa/closure.scm 312 */
														BgL_testz00_4623 = ((bool_t) 1);
													}
												if (BgL_testz00_4623)
													{	/* Cfa/closure.scm 312 */
														CNST_TABLE_REF(((long) 8));
													}
												else
													{	/* Cfa/closure.scm 317 */
														BgL_appz00_bglt BgL_allocz00_2991;

														BgL_allocz00_2991 =
															((BgL_appz00_bglt)
															CAR(((obj_t) BgL_alloczd2listzd2_2985)));
														{	/* Cfa/closure.scm 320 */
															bool_t BgL_testz00_4633;

															{
																BgL_makezd2procedurezd2appz00_bglt
																	BgL_auxz00_4634;
																{
																	obj_t BgL_auxz00_4635;

																	{	/* Cfa/closure.scm 320 */
																		BgL_objectz00_bglt BgL_tmpz00_4636;

																		BgL_tmpz00_4636 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt) BgL_allocz00_2991));
																		BgL_auxz00_4635 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4636);
																	}
																	BgL_auxz00_4634 =
																		((BgL_makezd2procedurezd2appz00_bglt)
																		BgL_auxz00_4635);
																}
																BgL_testz00_4633 =
																	(((BgL_makezd2procedurezd2appz00_bglt)
																		COBJECT(BgL_auxz00_4634))->BgL_xz00);
															}
															if (BgL_testz00_4633)
																{	/* Cfa/closure.scm 320 */
																	{	/* Cfa/closure.scm 325 */
																		BgL_varz00_bglt BgL_arg1793z00_2994;

																		{	/* Cfa/closure.scm 325 */
																			BgL_nodez00_bglt
																				BgL_duplicated1174z00_2995;
																			BgL_varz00_bglt BgL_new1172z00_2996;

																			{	/* Cfa/closure.scm 325 */
																				obj_t BgL_pairz00_3918;

																				BgL_pairz00_3918 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								((BgL_appz00_bglt)
																									BgL_allocz00_2991))))->
																					BgL_argsz00);
																				BgL_duplicated1174z00_2995 =
																					((BgL_nodez00_bglt)
																					CAR(BgL_pairz00_3918));
																			}
																			{	/* Cfa/closure.scm 326 */
																				BgL_varz00_bglt BgL_new1176z00_3006;

																				BgL_new1176z00_3006 =
																					((BgL_varz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_varz00_bgl))));
																				{	/* Cfa/closure.scm 326 */
																					long BgL_arg1804z00_3007;

																					{	/* Cfa/closure.scm 326 */
																						long BgL_res2182z00_3920;

																						BgL_res2182z00_3920 =
																							BGL_CLASS_INDEX
																							(BGl_varz00zzast_nodez00);
																						BgL_arg1804z00_3007 =
																							BgL_res2182z00_3920;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1176z00_3006),
																						BgL_arg1804z00_3007);
																				}
																				BgL_new1172z00_2996 =
																					BgL_new1176z00_3006;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1172z00_2996)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							COBJECT
																							(BgL_duplicated1174z00_2995))->
																						BgL_locz00)), BUNSPEC);
																			{
																				BgL_typez00_bglt BgL_auxz00_4654;

																				{	/* Cfa/closure.scm 327 */
																					obj_t BgL_arg1794z00_2997;
																					BgL_typez00_bglt BgL_arg1795z00_2998;

																					{	/* Cfa/closure.scm 327 */
																						BgL_approxz00_bglt
																							BgL_arg1797z00_2999;
																						obj_t BgL_arg1798z00_3000;

																						{
																							BgL_makezd2procedurezd2appz00_bglt
																								BgL_auxz00_4656;
																							{
																								obj_t BgL_auxz00_4657;

																								{	/* Cfa/closure.scm 327 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_4658;
																									BgL_tmpz00_4658 =
																										((BgL_objectz00_bglt) (
																											(BgL_appz00_bglt)
																											BgL_allocz00_2991));
																									BgL_auxz00_4657 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_4658);
																								}
																								BgL_auxz00_4656 =
																									(
																									(BgL_makezd2procedurezd2appz00_bglt)
																									BgL_auxz00_4657);
																							}
																							BgL_arg1797z00_2999 =
																								(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_4656))->BgL_approxz00);
																						}
																						{	/* Cfa/closure.scm 327 */
																							obj_t BgL_pairz00_3923;

																							BgL_pairz00_3923 =
																								(((BgL_appz00_bglt) COBJECT(
																										((BgL_appz00_bglt)
																											((BgL_appz00_bglt)
																												BgL_allocz00_2991))))->
																								BgL_argsz00);
																							BgL_arg1798z00_3000 =
																								CAR(BgL_pairz00_3923);
																						}
																						BgL_arg1794z00_2997 =
																							BGl_getzd2approxzd2typez00zzcfa_typez00
																							(BgL_arg1797z00_2999,
																							BgL_arg1798z00_3000);
																					}
																					{
																						BgL_nodez00_bglt BgL_auxz00_4669;

																						{
																							BgL_varz00_bglt BgL_auxz00_4670;

																							{	/* Cfa/closure.scm 328 */
																								obj_t BgL_pairz00_3924;

																								BgL_pairz00_3924 =
																									(((BgL_appz00_bglt) COBJECT(
																											((BgL_appz00_bglt)
																												((BgL_appz00_bglt)
																													BgL_allocz00_2991))))->
																									BgL_argsz00);
																								BgL_auxz00_4670 =
																									((BgL_varz00_bglt)
																									CAR(BgL_pairz00_3924));
																							}
																							BgL_auxz00_4669 =
																								((BgL_nodez00_bglt)
																								BgL_auxz00_4670);
																						}
																						BgL_arg1795z00_2998 =
																							(((BgL_nodez00_bglt)
																								COBJECT(BgL_auxz00_4669))->
																							BgL_typez00);
																					}
																					BgL_auxz00_4654 =
																						BGl_strictzd2nodezd2typez00zzast_nodez00
																						(((BgL_typez00_bglt)
																							BgL_arg1794z00_2997),
																						BgL_arg1795z00_2998);
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1172z00_2996)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_auxz00_4654),
																					BUNSPEC);
																			}
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_new1172z00_2996))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) ((
																							(BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_duplicated1174z00_2995)))->
																						BgL_variablez00)), BUNSPEC);
																			BgL_arg1793z00_2994 = BgL_new1172z00_2996;
																		}
																		((((BgL_funcallz00_bglt)
																					COBJECT(BgL_appz00_2982))->
																				BgL_funz00) =
																			((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																					BgL_arg1793z00_2994)), BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 329 */
																		obj_t BgL_arg1805z00_3008;

																		{	/* Cfa/closure.scm 329 */
																			obj_t BgL_arg1807z00_3009;

																			{	/* Cfa/closure.scm 329 */
																				obj_t BgL_pairz00_3928;

																				BgL_pairz00_3928 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								((BgL_appz00_bglt)
																									BgL_allocz00_2991))))->
																					BgL_argsz00);
																				BgL_arg1807z00_3009 =
																					CAR(BgL_pairz00_3928);
																			}
																			{	/* Cfa/closure.scm 329 */
																				obj_t BgL_list1808z00_3010;

																				BgL_list1808z00_3010 =
																					MAKE_YOUNG_PAIR(BgL_arg1807z00_3009,
																					BNIL);
																				BgL_arg1805z00_3008 =
																					BgL_list1808z00_3010;
																		}}
																		((((BgL_funcallz00_bglt)
																					COBJECT(BgL_appz00_2982))->
																				BgL_functionsz00) =
																			((obj_t) BgL_arg1805z00_3008), BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 330 */
																		obj_t BgL_vz00_3932;

																		BgL_vz00_3932 = CNST_TABLE_REF(((long) 1));
																		((((BgL_funcallz00_bglt)
																					COBJECT(BgL_appz00_2982))->
																				BgL_strengthz00) =
																			((obj_t) BgL_vz00_3932), BUNSPEC);
																}}
															else
																{	/* Cfa/closure.scm 331 */
																	bool_t BgL_testz00_4694;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_4695;
																		{
																			obj_t BgL_auxz00_4696;

																			{	/* Cfa/closure.scm 331 */
																				BgL_objectz00_bglt BgL_tmpz00_4697;

																				BgL_tmpz00_4697 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_allocz00_2991));
																				BgL_auxz00_4696 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4697);
																			}
																			BgL_auxz00_4695 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_4696);
																		}
																		BgL_testz00_4694 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				COBJECT(BgL_auxz00_4695))->BgL_tz00);
																	}
																	if (BgL_testz00_4694)
																		{	/* Cfa/closure.scm 331 */
																			{	/* Cfa/closure.scm 334 */
																				obj_t BgL_fz00_3013;

																				if (NULLP(BgL_alloczd2listzd2_2985))
																					{	/* Cfa/closure.scm 334 */
																						BgL_fz00_3013 = BNIL;
																					}
																				else
																					{	/* Cfa/closure.scm 334 */
																						obj_t BgL_head1526z00_3016;

																						{	/* Cfa/closure.scm 334 */
																							obj_t BgL_res2185z00_3934;

																							BgL_res2185z00_3934 =
																								MAKE_YOUNG_PAIR(BNIL, BNIL);
																							BgL_head1526z00_3016 =
																								BgL_res2185z00_3934;
																						}
																						{
																							obj_t BgL_l1524z00_3018;
																							obj_t BgL_tail1527z00_3019;

																							BgL_l1524z00_3018 =
																								BgL_alloczd2listzd2_2985;
																							BgL_tail1527z00_3019 =
																								BgL_head1526z00_3016;
																						BgL_zc3anonymousza31812ze3z83_3020:
																							if (NULLP(BgL_l1524z00_3018))
																								{	/* Cfa/closure.scm 334 */
																									BgL_fz00_3013 =
																										CDR(BgL_head1526z00_3016);
																								}
																							else
																								{	/* Cfa/closure.scm 334 */
																									obj_t BgL_newtail1528z00_3022;

																									{	/* Cfa/closure.scm 334 */
																										obj_t BgL_arg1816z00_3024;

																										{	/* Cfa/closure.scm 335 */
																											obj_t BgL_pairz00_3939;

																											BgL_pairz00_3939 =
																												(((BgL_appz00_bglt)
																													COBJECT((
																															(BgL_appz00_bglt)
																															((BgL_appz00_bglt)
																																CAR(((obj_t)
																																		BgL_l1524z00_3018))))))->
																												BgL_argsz00);
																											BgL_arg1816z00_3024 =
																												CAR(BgL_pairz00_3939);
																										}
																										{	/* Cfa/closure.scm 334 */
																											obj_t BgL_res2187z00_3940;

																											BgL_res2187z00_3940 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1816z00_3024,
																												BNIL);
																											BgL_newtail1528z00_3022 =
																												BgL_res2187z00_3940;
																										}
																									}
																									SET_CDR(BgL_tail1527z00_3019,
																										BgL_newtail1528z00_3022);
																									{	/* Cfa/closure.scm 334 */
																										obj_t BgL_arg1814z00_3023;

																										BgL_arg1814z00_3023 =
																											CDR(
																											((obj_t)
																												BgL_l1524z00_3018));
																										{
																											obj_t
																												BgL_tail1527z00_4720;
																											obj_t BgL_l1524z00_4719;

																											BgL_l1524z00_4719 =
																												BgL_arg1814z00_3023;
																											BgL_tail1527z00_4720 =
																												BgL_newtail1528z00_3022;
																											BgL_tail1527z00_3019 =
																												BgL_tail1527z00_4720;
																											BgL_l1524z00_3018 =
																												BgL_l1524z00_4719;
																											goto
																												BgL_zc3anonymousza31812ze3z83_3020;
																										}
																									}
																								}
																						}
																					}
																				((((BgL_funcallz00_bglt)
																							COBJECT(BgL_appz00_2982))->
																						BgL_functionsz00) =
																					((obj_t) BgL_fz00_3013), BUNSPEC);
																				{	/* Cfa/closure.scm 338 */
																					obj_t BgL_vz00_3945;

																					BgL_vz00_3945 =
																						CNST_TABLE_REF(((long) 2));
																					((((BgL_funcallz00_bglt)
																								COBJECT(BgL_appz00_2982))->
																							BgL_strengthz00) =
																						((obj_t) BgL_vz00_3945), BUNSPEC);
																		}}}
																	else
																		{	/* Cfa/closure.scm 331 */
																			CNST_TABLE_REF(((long) 8));
						}}}}}}}}}}
						{
							obj_t BgL_l1529z00_4725;

							BgL_l1529z00_4725 = CDR(BgL_l1529z00_2979);
							BgL_l1529z00_2979 = BgL_l1529z00_4725;
							goto BgL_zc3anonymousza31785ze3z83_2980;
						}
					}
				else
					{	/* Cfa/closure.scm 307 */
						((bool_t) 1);
					}
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/closure.scm 343 */
					{	/* Cfa/closure.scm 349 */
						obj_t BgL_funcallzd2lzd2_3034;

						{	/* Cfa/closure.scm 349 */
							obj_t BgL_hook1535z00_3058;

							BgL_hook1535z00_3058 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{
								obj_t BgL_l1532z00_3060;
								obj_t BgL_h1533z00_3061;

								BgL_l1532z00_3060 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
								BgL_h1533z00_3061 = BgL_hook1535z00_3058;
							BgL_zc3anonymousza31835ze3z83_3062:
								if (NULLP(BgL_l1532z00_3060))
									{	/* Cfa/closure.scm 349 */
										BgL_funcallzd2lzd2_3034 = CDR(BgL_hook1535z00_3058);
									}
								else
									{	/* Cfa/closure.scm 349 */
										if (
											((((BgL_funcallz00_bglt) COBJECT(
															((BgL_funcallz00_bglt)
																CAR(
																	((obj_t) BgL_l1532z00_3060)))))->
													BgL_strengthz00) == CNST_TABLE_REF(((long) 2))))
											{	/* Cfa/closure.scm 349 */
												obj_t BgL_nh1534z00_3067;

												{	/* Cfa/closure.scm 349 */
													obj_t BgL_arg1840z00_3069;

													BgL_arg1840z00_3069 =
														CAR(((obj_t) BgL_l1532z00_3060));
													{	/* Cfa/closure.scm 349 */
														obj_t BgL_res2189z00_3952;

														BgL_res2189z00_3952 =
															MAKE_YOUNG_PAIR(BgL_arg1840z00_3069, BNIL);
														BgL_nh1534z00_3067 = BgL_res2189z00_3952;
												}}
												SET_CDR(BgL_h1533z00_3061, BgL_nh1534z00_3067);
												{	/* Cfa/closure.scm 349 */
													obj_t BgL_arg1839z00_3068;

													BgL_arg1839z00_3068 =
														CDR(((obj_t) BgL_l1532z00_3060));
													{
														obj_t BgL_h1533z00_4747;
														obj_t BgL_l1532z00_4746;

														BgL_l1532z00_4746 = BgL_arg1839z00_3068;
														BgL_h1533z00_4747 = BgL_nh1534z00_3067;
														BgL_h1533z00_3061 = BgL_h1533z00_4747;
														BgL_l1532z00_3060 = BgL_l1532z00_4746;
														goto BgL_zc3anonymousza31835ze3z83_3062;
													}
												}
											}
										else
											{	/* Cfa/closure.scm 349 */
												obj_t BgL_arg1841z00_3070;

												BgL_arg1841z00_3070 = CDR(((obj_t) BgL_l1532z00_3060));
												{
													obj_t BgL_l1532z00_4750;

													BgL_l1532z00_4750 = BgL_arg1841z00_3070;
													BgL_l1532z00_3060 = BgL_l1532z00_4750;
													goto BgL_zc3anonymousza31835ze3z83_3062;
												}
											}
									}
							}
						}
						{

						BgL_zc3anonymousza31822ze3z83_3036:
							{	/* Cfa/closure.scm 353 */
								bool_t BgL_contz00_3037;

								BgL_contz00_3037 = ((bool_t) 0);
								{
									obj_t BgL_l1536z00_3039;

									BgL_l1536z00_3039 = BgL_funcallzd2lzd2_3034;
								BgL_zc3anonymousza31823ze3z83_3040:
									if (PAIRP(BgL_l1536z00_3039))
										{	/* Cfa/closure.scm 354 */
											{	/* Cfa/closure.scm 355 */
												BgL_funcallz00_bglt BgL_appz00_3042;

												BgL_appz00_3042 =
													((BgL_funcallz00_bglt) CAR(BgL_l1536z00_3039));
												{	/* Cfa/closure.scm 355 */
													BgL_nodez00_bglt BgL_funz00_3043;

													BgL_funz00_3043 =
														(((BgL_funcallz00_bglt) COBJECT(BgL_appz00_3042))->
														BgL_funz00);
													{	/* Cfa/closure.scm 355 */
														BgL_approxz00_bglt BgL_approxz00_3044;

														BgL_approxz00_3044 =
															BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_3043);
														{	/* Cfa/closure.scm 356 */
															obj_t BgL_appsz00_3045;

															BgL_appsz00_3045 =
																BGl_setzd2ze3listz31zzcfa_setz00(
																(((BgL_approxz00_bglt)
																		COBJECT(BgL_approxz00_3044))->
																	BgL_allocsz00));
															{	/* Cfa/closure.scm 357 */

																if (PAIRP(BgL_appsz00_3045))
																	{	/* Cfa/closure.scm 358 */
																		{	/* Cfa/closure.scm 359 */
																			bool_t BgL_testz00_4761;

																			{	/* Cfa/closure.scm 359 */
																				obj_t BgL_tmpz00_4762;

																				BgL_tmpz00_4762 = CDR(BgL_appsz00_3045);
																				BgL_testz00_4761 =
																					PAIRP(BgL_tmpz00_4762);
																			}
																			if (BgL_testz00_4761)
																				{	/* Cfa/closure.scm 361 */
																					bool_t BgL__ortest_1177z00_3049;

																					BgL__ortest_1177z00_3049 =
																						BGl_mergezd2appzd2typesz12z12zzcfa_closurez00
																						(BgL_appsz00_3045);
																					if (BgL__ortest_1177z00_3049)
																						{	/* Cfa/closure.scm 361 */
																							BgL_contz00_3037 =
																								BgL__ortest_1177z00_3049;
																						}
																					else
																						{	/* Cfa/closure.scm 361 */
																							BgL_contz00_3037 =
																								BgL_contz00_3037;
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 359 */
																					BFALSE;
																				}
																		}
																		{	/* Cfa/closure.scm 362 */
																			bool_t BgL_mz00_3051;

																			{	/* Cfa/closure.scm 363 */
																				BgL_approxz00_bglt BgL_arg1831z00_3053;

																				BgL_arg1831z00_3053 =
																					BGl_cfaz12z12zzcfa_cfaz00(
																					((BgL_nodez00_bglt) BgL_appz00_3042));
																				BgL_mz00_3051 =
																					BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00
																					(BgL_appsz00_3045,
																					BgL_arg1831z00_3053);
																			}
																			{	/* Cfa/closure.scm 364 */
																				bool_t BgL__ortest_1178z00_3052;

																				BgL__ortest_1178z00_3052 =
																					BgL_contz00_3037;
																				if (BgL__ortest_1178z00_3052)
																					{	/* Cfa/closure.scm 364 */
																						BgL_contz00_3037 =
																							BgL__ortest_1178z00_3052;
																					}
																				else
																					{	/* Cfa/closure.scm 364 */
																						BgL_contz00_3037 = BgL_mz00_3051;
																					}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 358 */
																		BFALSE;
																	}
															}
														}
													}
												}
											}
											{
												obj_t BgL_l1536z00_4771;

												BgL_l1536z00_4771 = CDR(BgL_l1536z00_3039);
												BgL_l1536z00_3039 = BgL_l1536z00_4771;
												goto BgL_zc3anonymousza31823ze3z83_3040;
											}
										}
									else
										{	/* Cfa/closure.scm 354 */
											((bool_t) 1);
										}
								}
								if (BgL_contz00_3037)
									{	/* Cfa/closure.scm 366 */
										goto BgL_zc3anonymousza31822ze3z83_3036;
									}
								else
									{	/* Cfa/closure.scm 366 */
										return ((bool_t) 0);
									}
							}
						}
					}
				}
			else
				{	/* Cfa/closure.scm 343 */
					return ((bool_t) 0);
				}
		}
		BGL_FUNCTION_END;
	}



/* merge-app-return-types! */
	bool_t BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00(obj_t
		BgL_appsz00_8, BgL_approxz00_bglt BgL_approxz00_9)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 372 */
			{	/* Cfa/closure.scm 373 */
				obj_t BgL_app0z00_3074;

				BgL_app0z00_3074 = CAR(BgL_appsz00_8);
				{	/* Cfa/closure.scm 373 */
					BgL_variablez00_bglt BgL_f0z00_3075;

					{
						BgL_varz00_bglt BgL_auxz00_4775;

						{	/* Cfa/closure.scm 374 */
							obj_t BgL_pairz00_3966;

							BgL_pairz00_3966 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_app0z00_3074))))->BgL_argsz00);
							BgL_auxz00_4775 = ((BgL_varz00_bglt) CAR(BgL_pairz00_3966));
						}
						BgL_f0z00_3075 =
							(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4775))->BgL_variablez00);
					}
					{	/* Cfa/closure.scm 374 */
						BgL_approxz00_bglt BgL_r0z00_3076;

						{
							BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4782;

							{
								obj_t BgL_auxz00_4783;

								{	/* Cfa/closure.scm 375 */
									BgL_objectz00_bglt BgL_tmpz00_4784;

									BgL_tmpz00_4784 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(BgL_f0z00_3075))->
												BgL_valuez00)));
									BgL_auxz00_4783 = BGL_OBJECT_WIDENING(BgL_tmpz00_4784);
								}
								BgL_auxz00_4782 =
									((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4783);
							}
							BgL_r0z00_3076 =
								(((BgL_internzd2sfunzf2cinfoz20_bglt)
									COBJECT(BgL_auxz00_4782))->BgL_approxz00);
						}
						{	/* Cfa/closure.scm 375 */
							BgL_typez00_bglt BgL_rt0z00_3077;

							BgL_rt0z00_3077 =
								(((BgL_approxz00_bglt) COBJECT(BgL_r0z00_3076))->BgL_typez00);
							{	/* Cfa/closure.scm 376 */
								BgL_typez00_bglt BgL_brt0z00_3078;

								BgL_brt0z00_3078 =
									BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_rt0z00_3077);
								{	/* Cfa/closure.scm 377 */
									BgL_typez00_bglt BgL_atz00_3079;

									BgL_atz00_3079 =
										(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_9))->
										BgL_typez00);
									{	/* Cfa/closure.scm 378 */

										{	/* Cfa/closure.scm 379 */
											bool_t BgL_testz00_4794;

											if (
												(((obj_t) BgL_rt0z00_3077) == ((obj_t) BgL_atz00_3079)))
												{	/* Cfa/closure.scm 379 */
													BgL_testz00_4794 = ((bool_t) 1);
												}
											else
												{	/* Cfa/closure.scm 379 */
													if (BGl_bigloozd2typezf3z21zztype_typez00
														(BgL_rt0z00_3077))
														{	/* Cfa/closure.scm 379 */
															BgL_testz00_4794 =
																BGl_bigloozd2typezf3z21zztype_typez00
																(BgL_atz00_3079);
														}
													else
														{	/* Cfa/closure.scm 379 */
															BgL_testz00_4794 = ((bool_t) 0);
														}
												}
											if (BgL_testz00_4794)
												{	/* Cfa/closure.scm 379 */
													return ((bool_t) 0);
												}
											else
												{	/* Cfa/closure.scm 379 */
													((((BgL_approxz00_bglt) COBJECT(BgL_approxz00_9))->
															BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_approxz00_bglt)
																	COBJECT(BgL_r0z00_3076))->BgL_typez00)),
														BUNSPEC);
													return ((bool_t) 1);
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* merge-app-types! */
	bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t BgL_apps0z00_10)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 386 */
			{
				BgL_appz00_bglt BgL_app0z00_3102;
				BgL_appz00_bglt BgL_app1z00_3103;

				{	/* Cfa/closure.scm 455 */
					obj_t BgL_g1184z00_3090;

					BgL_g1184z00_3090 = CDR(((obj_t) BgL_apps0z00_10));
					{
						obj_t BgL_appsz00_3092;
						bool_t BgL_contz00_3093;

						BgL_appsz00_3092 = BgL_g1184z00_3090;
						BgL_contz00_3093 = ((bool_t) 0);
					BgL_zc3anonymousza31852ze3z83_3094:
						if (NULLP(BgL_appsz00_3092))
							{	/* Cfa/closure.scm 457 */
								return BgL_contz00_3093;
							}
						else
							{	/* Cfa/closure.scm 459 */
								obj_t BgL_arg1854z00_3096;
								bool_t BgL_arg1856z00_3097;

								BgL_arg1854z00_3096 = CDR(((obj_t) BgL_appsz00_3092));
								{	/* Cfa/closure.scm 459 */
									bool_t BgL__ortest_1185z00_3098;

									{	/* Cfa/closure.scm 459 */
										obj_t BgL_arg1858z00_3099;
										obj_t BgL_arg1859z00_3100;

										BgL_arg1858z00_3099 = CAR(((obj_t) BgL_apps0z00_10));
										BgL_arg1859z00_3100 = CAR(((obj_t) BgL_appsz00_3092));
										BgL_app0z00_3102 = ((BgL_appz00_bglt) BgL_arg1858z00_3099);
										BgL_app1z00_3103 = ((BgL_appz00_bglt) BgL_arg1859z00_3100);
										{	/* Cfa/closure.scm 389 */
											BgL_variablez00_bglt BgL_f0z00_3105;

											{
												BgL_varz00_bglt BgL_auxz00_4814;

												{	/* Cfa/closure.scm 389 */
													obj_t BgL_pairz00_3976;

													BgL_pairz00_3976 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_app0z00_3102)))->
														BgL_argsz00);
													BgL_auxz00_4814 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_3976));
												}
												BgL_f0z00_3105 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4814))->
													BgL_variablez00);
											}
											{	/* Cfa/closure.scm 389 */
												BgL_variablez00_bglt BgL_f1z00_3106;

												{
													BgL_varz00_bglt BgL_auxz00_4820;

													{	/* Cfa/closure.scm 390 */
														obj_t BgL_pairz00_3979;

														BgL_pairz00_3979 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_app1z00_3103)))->
															BgL_argsz00);
														BgL_auxz00_4820 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_3979));
													}
													BgL_f1z00_3106 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4820))->
														BgL_variablez00);
												}
												{	/* Cfa/closure.scm 390 */

													{	/* Cfa/closure.scm 392 */
														BgL_approxz00_bglt BgL_r0z00_3107;

														{
															BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4826;

															{
																obj_t BgL_auxz00_4827;

																{	/* Cfa/closure.scm 392 */
																	BgL_objectz00_bglt BgL_tmpz00_4828;

																	BgL_tmpz00_4828 =
																		((BgL_objectz00_bglt)
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					COBJECT(BgL_f0z00_3105))->
																				BgL_valuez00)));
																	BgL_auxz00_4827 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4828);
																}
																BgL_auxz00_4826 =
																	((BgL_internzd2sfunzf2cinfoz20_bglt)
																	BgL_auxz00_4827);
															}
															BgL_r0z00_3107 =
																(((BgL_internzd2sfunzf2cinfoz20_bglt)
																	COBJECT(BgL_auxz00_4826))->BgL_approxz00);
														}
														{	/* Cfa/closure.scm 392 */
															BgL_approxz00_bglt BgL_r1z00_3108;

															{
																BgL_internzd2sfunzf2cinfoz20_bglt
																	BgL_auxz00_4835;
																{
																	obj_t BgL_auxz00_4836;

																	{	/* Cfa/closure.scm 393 */
																		BgL_objectz00_bglt BgL_tmpz00_4837;

																		BgL_tmpz00_4837 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt)
																						COBJECT(BgL_f1z00_3106))->
																					BgL_valuez00)));
																		BgL_auxz00_4836 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4837);
																	}
																	BgL_auxz00_4835 =
																		((BgL_internzd2sfunzf2cinfoz20_bglt)
																		BgL_auxz00_4836);
																}
																BgL_r1z00_3108 =
																	(((BgL_internzd2sfunzf2cinfoz20_bglt)
																		COBJECT(BgL_auxz00_4835))->BgL_approxz00);
															}
															{	/* Cfa/closure.scm 393 */
																BgL_typez00_bglt BgL_rt0z00_3109;

																BgL_rt0z00_3109 =
																	(((BgL_approxz00_bglt)
																		COBJECT(BgL_r0z00_3107))->BgL_typez00);
																{	/* Cfa/closure.scm 394 */
																	BgL_typez00_bglt BgL_rt1z00_3110;

																	BgL_rt1z00_3110 =
																		(((BgL_approxz00_bglt)
																			COBJECT(BgL_r1z00_3108))->BgL_typez00);
																	{	/* Cfa/closure.scm 395 */
																		BgL_typez00_bglt BgL_brt0z00_3111;

																		BgL_brt0z00_3111 =
																			BGl_getzd2bigloozd2typez00zztype_cachez00
																			(BgL_rt0z00_3109);
																		{	/* Cfa/closure.scm 396 */
																			BgL_typez00_bglt BgL_brt1z00_3112;

																			BgL_brt1z00_3112 =
																				BGl_getzd2bigloozd2typez00zztype_cachez00
																				(BgL_rt1z00_3110);
																			{	/* Cfa/closure.scm 397 */

																				{	/* Cfa/closure.scm 398 */
																					bool_t BgL_testz00_4848;

																					if (
																						(((obj_t) BgL_rt0z00_3109) ==
																							((obj_t) BgL_rt1z00_3110)))
																						{	/* Cfa/closure.scm 398 */
																							BgL_testz00_4848 = ((bool_t) 1);
																						}
																					else
																						{	/* Cfa/closure.scm 398 */
																							if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_rt0z00_3109))
																								{	/* Cfa/closure.scm 399 */
																									BgL_testz00_4848 =
																										BGl_bigloozd2typezf3z21zztype_typez00
																										(BgL_rt1z00_3110);
																								}
																							else
																								{	/* Cfa/closure.scm 399 */
																									BgL_testz00_4848 =
																										((bool_t) 0);
																								}
																						}
																					if (BgL_testz00_4848)
																						{	/* Cfa/closure.scm 398 */
																							BFALSE;
																						}
																					else
																						{	/* Cfa/closure.scm 398 */
																							if (
																								(((obj_t) BgL_rt0z00_3109) ==
																									((obj_t) BgL_brt0z00_3111)))
																								{	/* Cfa/closure.scm 400 */
																									BFALSE;
																								}
																							else
																								{	/* Cfa/closure.scm 400 */
																									((((BgL_approxz00_bglt)
																												COBJECT
																												(BgL_r0z00_3107))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_brt0z00_3111),
																										BUNSPEC);
																								}
																							if (
																								(((obj_t) BgL_rt1z00_3110) ==
																									((obj_t) BgL_brt1z00_3112)))
																								{	/* Cfa/closure.scm 402 */
																									BFALSE;
																								}
																							else
																								{	/* Cfa/closure.scm 402 */
																									((((BgL_approxz00_bglt)
																												COBJECT
																												(BgL_r1z00_3108))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_brt1z00_3112),
																										BUNSPEC);
																								}
																						}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
													{	/* Cfa/closure.scm 404 */
														obj_t BgL_g1181z00_3122;
														obj_t BgL_g1182z00_3123;

														{	/* Cfa/closure.scm 404 */
															obj_t BgL_pairz00_3993;

															BgL_pairz00_3993 =
																(((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					COBJECT(BgL_f0z00_3105))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1181z00_3122 = CDR(BgL_pairz00_3993);
														}
														{	/* Cfa/closure.scm 405 */
															obj_t BgL_pairz00_3996;

															BgL_pairz00_3996 =
																(((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					COBJECT(BgL_f1z00_3106))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1182z00_3123 = CDR(BgL_pairz00_3996);
														}
														{
															obj_t BgL_a0z00_3125;
															obj_t BgL_a1z00_3126;
															bool_t BgL_contz00_3127;

															BgL_a0z00_3125 = BgL_g1181z00_3122;
															BgL_a1z00_3126 = BgL_g1182z00_3123;
															BgL_contz00_3127 = ((bool_t) 0);
														BgL_zc3anonymousza31868ze3z83_3128:
															{	/* Cfa/closure.scm 407 */
																bool_t BgL_testz00_4874;

																if (PAIRP(BgL_a0z00_3125))
																	{	/* Cfa/closure.scm 407 */
																		BgL_testz00_4874 = PAIRP(BgL_a1z00_3126);
																	}
																else
																	{	/* Cfa/closure.scm 407 */
																		BgL_testz00_4874 = ((bool_t) 0);
																	}
																if (BgL_testz00_4874)
																	{	/* Cfa/closure.scm 408 */
																		BgL_approxz00_bglt BgL_p0z00_3131;

																		{
																			BgL_svarzf2cinfozf2_bglt BgL_auxz00_4878;

																			{
																				obj_t BgL_auxz00_4879;

																				{	/* Cfa/closure.scm 408 */
																					BgL_objectz00_bglt BgL_tmpz00_4880;

																					BgL_tmpz00_4880 =
																						((BgL_objectz00_bglt)
																						((BgL_svarz00_bglt)
																							(((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											CAR(BgL_a0z00_3125))))->
																								BgL_valuez00)));
																					BgL_auxz00_4879 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_4880);
																				}
																				BgL_auxz00_4878 =
																					((BgL_svarzf2cinfozf2_bglt)
																					BgL_auxz00_4879);
																			}
																			BgL_p0z00_3131 =
																				(((BgL_svarzf2cinfozf2_bglt)
																					COBJECT(BgL_auxz00_4878))->
																				BgL_approxz00);
																		}
																		{	/* Cfa/closure.scm 408 */
																			BgL_approxz00_bglt BgL_p1z00_3132;

																			{
																				BgL_svarzf2cinfozf2_bglt
																					BgL_auxz00_4889;
																				{
																					obj_t BgL_auxz00_4890;

																					{	/* Cfa/closure.scm 409 */
																						BgL_objectz00_bglt BgL_tmpz00_4891;

																						BgL_tmpz00_4891 =
																							((BgL_objectz00_bglt)
																							((BgL_svarz00_bglt)
																								(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt)
																												CAR(BgL_a1z00_3126))))->
																									BgL_valuez00)));
																						BgL_auxz00_4890 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_4891);
																					}
																					BgL_auxz00_4889 =
																						((BgL_svarzf2cinfozf2_bglt)
																						BgL_auxz00_4890);
																				}
																				BgL_p1z00_3132 =
																					(((BgL_svarzf2cinfozf2_bglt)
																						COBJECT(BgL_auxz00_4889))->
																					BgL_approxz00);
																			}
																			{	/* Cfa/closure.scm 409 */
																				BgL_typez00_bglt BgL_t0z00_3133;

																				BgL_t0z00_3133 =
																					(((BgL_approxz00_bglt)
																						COBJECT(BgL_p0z00_3131))->
																					BgL_typez00);
																				{	/* Cfa/closure.scm 410 */
																					BgL_typez00_bglt BgL_t1z00_3134;

																					BgL_t1z00_3134 =
																						(((BgL_approxz00_bglt)
																							COBJECT(BgL_p1z00_3132))->
																						BgL_typez00);
																					{	/* Cfa/closure.scm 411 */

																						{	/* Cfa/closure.scm 412 */
																							bool_t BgL_testz00_4902;

																							if (
																								(((obj_t) BgL_t0z00_3133) ==
																									((obj_t) BgL_t1z00_3134)))
																								{	/* Cfa/closure.scm 412 */
																									BgL_testz00_4902 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/closure.scm 412 */
																									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t0z00_3133))
																										{	/* Cfa/closure.scm 412 */
																											BgL_testz00_4902 =
																												BGl_bigloozd2typezf3z21zztype_typez00
																												(BgL_t1z00_3134);
																										}
																									else
																										{	/* Cfa/closure.scm 412 */
																											BgL_testz00_4902 =
																												((bool_t) 0);
																										}
																								}
																							if (BgL_testz00_4902)
																								{
																									obj_t BgL_a1z00_4912;
																									obj_t BgL_a0z00_4910;

																									BgL_a0z00_4910 =
																										CDR(BgL_a0z00_3125);
																									BgL_a1z00_4912 =
																										CDR(BgL_a1z00_3126);
																									BgL_a1z00_3126 =
																										BgL_a1z00_4912;
																									BgL_a0z00_3125 =
																										BgL_a0z00_4910;
																									goto
																										BgL_zc3anonymousza31868ze3z83_3128;
																								}
																							else
																								{	/* Cfa/closure.scm 435 */
																									BgL_typez00_bglt
																										BgL_bt0z00_3140;
																									BgL_typez00_bglt
																										BgL_bt1z00_3141;
																									bool_t BgL_contz00_3142;

																									BgL_bt0z00_3140 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_t0z00_3133);
																									BgL_bt1z00_3141 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_t1z00_3134);
																									BgL_contz00_3142 =
																										((bool_t) 0);
																									if ((((obj_t) ((
																														(BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																CAR
																																(BgL_a0z00_3125))))->
																													BgL_typez00)) ==
																											((obj_t)
																												BgL_bt0z00_3140)))
																										{	/* Cfa/closure.scm 438 */
																											BFALSE;
																										}
																									else
																										{	/* Cfa/closure.scm 438 */
																											{	/* Cfa/closure.scm 440 */
																												obj_t
																													BgL_arg1879z00_3146;
																												BgL_arg1879z00_3146 =
																													CAR(BgL_a0z00_3125);
																												((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_arg1879z00_3146)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_bt0z00_3140), BUNSPEC);
																											}
																											((((BgL_approxz00_bglt)
																														COBJECT
																														(BgL_p0z00_3131))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_bt0z00_3140),
																												BUNSPEC);
																											BgL_contz00_3142 =
																												((bool_t) 1);
																										}
																									if (
																										(((obj_t)
																												(((BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																CAR
																																(BgL_a1z00_3126))))->
																													BgL_typez00)) ==
																											((obj_t)
																												BgL_bt1z00_3141)))
																										{	/* Cfa/closure.scm 444 */
																											BFALSE;
																										}
																									else
																										{	/* Cfa/closure.scm 444 */
																											{	/* Cfa/closure.scm 446 */
																												obj_t
																													BgL_arg1885z00_3152;
																												BgL_arg1885z00_3152 =
																													CAR(BgL_a1z00_3126);
																												((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_arg1885z00_3152)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_bt1z00_3141), BUNSPEC);
																											}
																											((((BgL_approxz00_bglt)
																														COBJECT
																														(BgL_p1z00_3132))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_bt1z00_3141),
																												BUNSPEC);
																											BgL_contz00_3142 =
																												((bool_t) 1);
																										}
																									{	/* Cfa/closure.scm 452 */
																										obj_t BgL_arg1888z00_3155;
																										obj_t BgL_arg1889z00_3156;

																										BgL_arg1888z00_3155 =
																											CDR(BgL_a0z00_3125);
																										BgL_arg1889z00_3156 =
																											CDR(BgL_a1z00_3126);
																										{
																											bool_t BgL_contz00_4942;
																											obj_t BgL_a1z00_4941;
																											obj_t BgL_a0z00_4940;

																											BgL_a0z00_4940 =
																												BgL_arg1888z00_3155;
																											BgL_a1z00_4941 =
																												BgL_arg1889z00_3156;
																											BgL_contz00_4942 =
																												BgL_contz00_3142;
																											BgL_contz00_3127 =
																												BgL_contz00_4942;
																											BgL_a1z00_3126 =
																												BgL_a1z00_4941;
																											BgL_a0z00_3125 =
																												BgL_a0z00_4940;
																											goto
																												BgL_zc3anonymousza31868ze3z83_3128;
																										}
																									}
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 407 */
																		BgL__ortest_1185z00_3098 = BgL_contz00_3127;
																	}
															}
														}
													}
												}
											}
										}
									}
									if (BgL__ortest_1185z00_3098)
										{	/* Cfa/closure.scm 459 */
											BgL_arg1856z00_3097 = BgL__ortest_1185z00_3098;
										}
									else
										{	/* Cfa/closure.scm 459 */
											BgL_arg1856z00_3097 = BgL_contz00_3093;
										}
								}
								{
									bool_t BgL_contz00_4947;
									obj_t BgL_appsz00_4946;

									BgL_appsz00_4946 = BgL_arg1854z00_3096;
									BgL_contz00_4947 = BgL_arg1856z00_3097;
									BgL_contz00_3093 = BgL_contz00_4947;
									BgL_appsz00_3092 = BgL_appsz00_4946;
									goto BgL_zc3anonymousza31852ze3z83_3094;
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* type-closures! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 464 */
			{
				BgL_appz00_bglt BgL_appz00_3183;

				if (CBOOL
					(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
					{	/* Cfa/closure.scm 491 */
						obj_t BgL_g1543z00_3175;

						BgL_g1543z00_3175 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
						{
							obj_t BgL_l1541z00_3177;

							{	/* Cfa/closure.scm 491 */
								bool_t BgL_tmpz00_4950;

								BgL_l1541z00_3177 = BgL_g1543z00_3175;
							BgL_zc3anonymousza31902ze3z83_3178:
								if (PAIRP(BgL_l1541z00_3177))
									{	/* Cfa/closure.scm 491 */
										{	/* Cfa/closure.scm 491 */
											obj_t BgL_arg1904z00_3180;

											BgL_arg1904z00_3180 = CAR(BgL_l1541z00_3177);
											BgL_appz00_3183 = ((BgL_appz00_bglt) BgL_arg1904z00_3180);
											{	/* Cfa/closure.scm 475 */
												bool_t BgL_testz00_4954;

												{	/* Cfa/closure.scm 475 */
													bool_t BgL_testz00_4955;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4956;

														{
															obj_t BgL_auxz00_4957;

															{	/* Cfa/closure.scm 475 */
																BgL_objectz00_bglt BgL_tmpz00_4958;

																BgL_tmpz00_4958 =
																	((BgL_objectz00_bglt) BgL_appz00_3183);
																BgL_auxz00_4957 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4958);
															}
															BgL_auxz00_4956 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_4957);
														}
														BgL_testz00_4955 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_4956))->BgL_xz00);
													}
													if (BgL_testz00_4955)
														{	/* Cfa/closure.scm 475 */
															BgL_testz00_4954 = ((bool_t) 1);
														}
													else
														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_4963;
															{
																obj_t BgL_auxz00_4964;

																{	/* Cfa/closure.scm 475 */
																	BgL_objectz00_bglt BgL_tmpz00_4965;

																	BgL_tmpz00_4965 =
																		((BgL_objectz00_bglt) BgL_appz00_3183);
																	BgL_auxz00_4964 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4965);
																}
																BgL_auxz00_4963 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_4964);
															}
															BgL_testz00_4954 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	COBJECT(BgL_auxz00_4963))->BgL_tz00);
														}
												}
												if (BgL_testz00_4954)
													{	/* Cfa/closure.scm 475 */
														((bool_t) 0);
													}
												else
													{	/* Cfa/closure.scm 477 */
														BgL_variablez00_bglt BgL_varz00_3188;

														{
															BgL_varz00_bglt BgL_auxz00_4970;

															{	/* Cfa/closure.scm 477 */
																obj_t BgL_pairz00_4030;

																BgL_pairz00_4030 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_appz00_3183)))->
																	BgL_argsz00);
																BgL_auxz00_4970 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_4030));
															}
															BgL_varz00_3188 =
																(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4970))->
																BgL_variablez00);
														}
														{	/* Cfa/closure.scm 477 */
															BgL_valuez00_bglt BgL_sfunz00_3189;

															BgL_sfunz00_3189 =
																(((BgL_variablez00_bglt)
																	COBJECT(BgL_varz00_3188))->BgL_valuez00);
															{	/* Cfa/closure.scm 478 */

																((((BgL_variablez00_bglt)
																			COBJECT(BgL_varz00_3188))->BgL_typez00) =
																	((BgL_typez00_bglt)
																		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																		((((BgL_variablez00_bglt)
																					COBJECT(BgL_varz00_3188))->
																				BgL_typez00))), BUNSPEC);
																{	/* Cfa/closure.scm 481 */
																	obj_t BgL_g1540z00_3192;

																	{	/* Cfa/closure.scm 488 */
																		obj_t BgL_pairz00_4037;

																		BgL_pairz00_4037 =
																			(((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						BgL_sfunz00_3189)))->BgL_argsz00);
																		BgL_g1540z00_3192 = CDR(BgL_pairz00_4037);
																	}
																	{
																		obj_t BgL_l1538z00_3194;

																		BgL_l1538z00_3194 = BgL_g1540z00_3192;
																	BgL_zc3anonymousza31911ze3z83_3195:
																		if (PAIRP(BgL_l1538z00_3194))
																			{	/* Cfa/closure.scm 488 */
																				{	/* Cfa/closure.scm 482 */
																					obj_t BgL_az00_3197;

																					BgL_az00_3197 =
																						CAR(BgL_l1538z00_3194);
																					{	/* Cfa/closure.scm 482 */
																						BgL_approxz00_bglt BgL_pz00_3198;

																						{
																							BgL_svarzf2cinfozf2_bglt
																								BgL_auxz00_4986;
																							{
																								obj_t BgL_auxz00_4987;

																								{	/* Cfa/closure.scm 482 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_4988;
																									BgL_tmpz00_4988 =
																										((BgL_objectz00_bglt) (
																											(BgL_svarz00_bglt) ((
																													(BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															BgL_az00_3197)))->
																												BgL_valuez00)));
																									BgL_auxz00_4987 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_4988);
																								}
																								BgL_auxz00_4986 =
																									((BgL_svarzf2cinfozf2_bglt)
																									BgL_auxz00_4987);
																							}
																							BgL_pz00_3198 =
																								(((BgL_svarzf2cinfozf2_bglt)
																									COBJECT(BgL_auxz00_4986))->
																								BgL_approxz00);
																						}
																						{	/* Cfa/closure.scm 482 */
																							BgL_typez00_bglt BgL_tz00_3199;

																							BgL_tz00_3199 =
																								(((BgL_approxz00_bglt)
																									COBJECT(BgL_pz00_3198))->
																								BgL_typez00);
																							{	/* Cfa/closure.scm 483 */

																								{	/* Cfa/closure.scm 487 */
																									BgL_typez00_bglt
																										BgL_arg1913z00_3200;
																									BgL_arg1913z00_3200 =
																										BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																										(BgL_tz00_3199);
																									((((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														BgL_az00_3197)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_arg1913z00_3200),
																										BUNSPEC);
																								}
																							}
																						}
																					}
																				}
																				{
																					obj_t BgL_l1538z00_5000;

																					BgL_l1538z00_5000 =
																						CDR(BgL_l1538z00_3194);
																					BgL_l1538z00_3194 = BgL_l1538z00_5000;
																					goto
																						BgL_zc3anonymousza31911ze3z83_3195;
																				}
																			}
																		else
																			{	/* Cfa/closure.scm 488 */
																				((bool_t) 1);
																			}
																	}
																}
															}
														}
													}
											}
										}
										{
											obj_t BgL_l1541z00_5003;

											BgL_l1541z00_5003 = CDR(BgL_l1541z00_3177);
											BgL_l1541z00_3177 = BgL_l1541z00_5003;
											goto BgL_zc3anonymousza31902ze3z83_3178;
										}
									}
								else
									{	/* Cfa/closure.scm 491 */
										BgL_tmpz00_4950 = ((bool_t) 1);
									}
								return BBOOL(BgL_tmpz00_4950);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 490 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &type-closures! */
	obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t BgL_envz00_4108)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 464 */
			return BGl_typezd2closuresz12zc0zzcfa_closurez00();
		}
		BGL_FUNCTION_END;
	}



/* light-access! */
	bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 496 */
			{
				obj_t BgL_l1544z00_3210;

				BgL_l1544z00_3210 = BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00;
			BgL_zc3anonymousza31919ze3z83_3211:
				if (PAIRP(BgL_l1544z00_3210))
					{	/* Cfa/closure.scm 497 */
						{	/* Cfa/closure.scm 499 */
							obj_t BgL_appz00_3213;

							BgL_appz00_3213 = CAR(BgL_l1544z00_3210);
							{	/* Cfa/closure.scm 499 */
								BgL_approxz00_bglt BgL_approxz00_3215;

								{	/* Cfa/closure.scm 500 */
									obj_t BgL_arg1933z00_3234;

									{	/* Cfa/closure.scm 500 */
										obj_t BgL_pairz00_4054;

										BgL_pairz00_4054 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_appz00_3213)))->BgL_argsz00);
										BgL_arg1933z00_3234 = CAR(BgL_pairz00_4054);
									}
									BgL_approxz00_3215 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg1933z00_3234));
								}
								{	/* Cfa/closure.scm 500 */
									obj_t BgL_alloczd2listzd2_3216;

									BgL_alloczd2listzd2_3216 =
										BGl_setzd2ze3listz31zzcfa_setz00(
										(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3215))->
											BgL_allocsz00));
									{	/* Cfa/closure.scm 501 */
										BgL_varz00_bglt BgL_funz00_3217;

										BgL_funz00_3217 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_appz00_3213)))->BgL_funz00);
										{	/* Cfa/closure.scm 502 */
											BgL_variablez00_bglt BgL_vfunz00_3218;

											BgL_vfunz00_3218 =
												(((BgL_varz00_bglt) COBJECT(BgL_funz00_3217))->
												BgL_variablez00);
											{	/* Cfa/closure.scm 503 */

												{	/* Cfa/closure.scm 504 */
													bool_t BgL_testz00_5020;

													if (PAIRP(BgL_alloczd2listzd2_3216))
														{	/* Cfa/closure.scm 505 */
															bool_t BgL_testz00_5023;

															{	/* Cfa/closure.scm 505 */
																obj_t BgL_arg1930z00_3232;

																BgL_arg1930z00_3232 =
																	CAR(BgL_alloczd2listzd2_3216);
																BgL_testz00_5023 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg1930z00_3232,
																	BGl_makezd2procedurezd2appz00zzcfa_info2z00);
															}
															if (BgL_testz00_5023)
																{	/* Cfa/closure.scm 505 */
																	BgL_testz00_5020 = ((bool_t) 0);
																}
															else
																{	/* Cfa/closure.scm 505 */
																	BgL_testz00_5020 = ((bool_t) 1);
																}
														}
													else
														{	/* Cfa/closure.scm 504 */
															BgL_testz00_5020 = ((bool_t) 1);
														}
													if (BgL_testz00_5020)
														{	/* Cfa/closure.scm 504 */
															CNST_TABLE_REF(((long) 8));
														}
													else
														{	/* Cfa/closure.scm 507 */
															BgL_appz00_bglt BgL_allocz00_3224;

															BgL_allocz00_3224 =
																((BgL_appz00_bglt)
																CAR(((obj_t) BgL_alloczd2listzd2_3216)));
															{	/* Cfa/closure.scm 510 */
																bool_t BgL_testz00_5030;

																{
																	BgL_makezd2procedurezd2appz00_bglt
																		BgL_auxz00_5031;
																	{
																		obj_t BgL_auxz00_5032;

																		{	/* Cfa/closure.scm 510 */
																			BgL_objectz00_bglt BgL_tmpz00_5033;

																			BgL_tmpz00_5033 =
																				((BgL_objectz00_bglt)
																				((BgL_appz00_bglt) BgL_allocz00_3224));
																			BgL_auxz00_5032 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_5033);
																		}
																		BgL_auxz00_5031 =
																			((BgL_makezd2procedurezd2appz00_bglt)
																			BgL_auxz00_5032);
																	}
																	BgL_testz00_5030 =
																		(((BgL_makezd2procedurezd2appz00_bglt)
																			COBJECT(BgL_auxz00_5031))->BgL_xz00);
																}
																if (BgL_testz00_5030)
																	{	/* Cfa/closure.scm 510 */
																		if (
																			(((obj_t) BgL_vfunz00_3218) ==
																				BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																			{	/* Cfa/closure.scm 512 */
																				BgL_variablez00_bglt BgL_vz00_4063;

																				BgL_vz00_4063 =
																					((BgL_variablez00_bglt)
																					BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00);
																				((((BgL_varz00_bglt)
																							COBJECT(BgL_funz00_3217))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt)
																						BgL_vz00_4063), BUNSPEC);
																			}
																		else
																			{	/* Cfa/closure.scm 513 */
																				BgL_variablez00_bglt BgL_vz00_4065;

																				BgL_vz00_4065 =
																					((BgL_variablez00_bglt)
																					BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00);
																				((((BgL_varz00_bglt)
																							COBJECT(BgL_funz00_3217))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt)
																						BgL_vz00_4065), BUNSPEC);
																			}
																	}
																else
																	{	/* Cfa/closure.scm 514 */
																		bool_t BgL_testz00_5046;

																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_5047;
																			{
																				obj_t BgL_auxz00_5048;

																				{	/* Cfa/closure.scm 514 */
																					BgL_objectz00_bglt BgL_tmpz00_5049;

																					BgL_tmpz00_5049 =
																						((BgL_objectz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_allocz00_3224));
																					BgL_auxz00_5048 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_5049);
																				}
																				BgL_auxz00_5047 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_5048);
																			}
																			BgL_testz00_5046 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					COBJECT(BgL_auxz00_5047))->BgL_tz00);
																		}
																		if (BgL_testz00_5046)
																			{	/* Cfa/closure.scm 514 */
																				if (
																					(((obj_t) BgL_vfunz00_3218) ==
																						BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																					{	/* Cfa/closure.scm 516 */
																						BgL_variablez00_bglt BgL_vz00_4067;

																						BgL_vz00_4067 =
																							((BgL_variablez00_bglt)
																							BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									COBJECT(BgL_funz00_3217))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_vz00_4067), BUNSPEC);
																					}
																				else
																					{	/* Cfa/closure.scm 517 */
																						BgL_variablez00_bglt BgL_vz00_4069;

																						BgL_vz00_4069 =
																							((BgL_variablez00_bglt)
																							BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									COBJECT(BgL_funz00_3217))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_vz00_4069), BUNSPEC);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 514 */
																				BFALSE;
																			}
																	}
															}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1544z00_5062;

							BgL_l1544z00_5062 = CDR(BgL_l1544z00_3210);
							BgL_l1544z00_3210 = BgL_l1544z00_5062;
							goto BgL_zc3anonymousza31919ze3z83_3211;
						}
					}
				else
					{	/* Cfa/closure.scm 497 */
						return ((bool_t) 1);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* show-X-T */
	obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t BgL_allocsz00_11)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 523 */
			{
				obj_t BgL_xpz00_3242;
				obj_t BgL_tpz00_3243;
				obj_t BgL_allocsz00_3244;

				BgL_xpz00_3242 = BNIL;
				BgL_tpz00_3243 = BNIL;
				BgL_allocsz00_3244 = BgL_allocsz00_11;
			BgL_zc3anonymousza31936ze3z83_3245:
				if (NULLP(BgL_allocsz00_3244))
					{	/* Cfa/closure.scm 534 */
						BGl_showze70ze7zzcfa_closurez00(CNST_TABLE_REF(((long) 9)),
							BgL_xpz00_3242);
						BGl_showze70ze7zzcfa_closurez00(CNST_TABLE_REF(((long) 10)),
							BgL_tpz00_3243);
						return BUNSPEC;
					}
				else
					{	/* Cfa/closure.scm 539 */
						BgL_appz00_bglt BgL_i1190z00_3247;

						BgL_i1190z00_3247 =
							((BgL_appz00_bglt) CAR(((obj_t) BgL_allocsz00_3244)));
						{	/* Cfa/closure.scm 541 */
							bool_t BgL_testz00_5073;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5074;

								{
									obj_t BgL_auxz00_5075;

									{	/* Cfa/closure.scm 541 */
										BgL_objectz00_bglt BgL_tmpz00_5076;

										BgL_tmpz00_5076 = ((BgL_objectz00_bglt) BgL_i1190z00_3247);
										BgL_auxz00_5075 = BGL_OBJECT_WIDENING(BgL_tmpz00_5076);
									}
									BgL_auxz00_5074 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5075);
								}
								BgL_testz00_5073 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_5074))->BgL_xz00);
							}
							if (BgL_testz00_5073)
								{	/* Cfa/closure.scm 542 */
									obj_t BgL_arg1939z00_3249;
									obj_t BgL_arg1940z00_3250;

									{	/* Cfa/closure.scm 542 */
										BgL_variablez00_bglt BgL_arg1941z00_3251;

										{
											BgL_varz00_bglt BgL_auxz00_5081;

											{	/* Cfa/closure.scm 542 */
												obj_t BgL_pairz00_4079;

												BgL_pairz00_4079 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_i1190z00_3247)))->
													BgL_argsz00);
												BgL_auxz00_5081 =
													((BgL_varz00_bglt) CAR(BgL_pairz00_4079));
											}
											BgL_arg1941z00_3251 =
												(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5081))->
												BgL_variablez00);
										}
										BgL_arg1939z00_3249 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg1941z00_3251), BgL_xpz00_3242);
									}
									BgL_arg1940z00_3250 = CDR(((obj_t) BgL_allocsz00_3244));
									{
										obj_t BgL_allocsz00_5092;
										obj_t BgL_xpz00_5091;

										BgL_xpz00_5091 = BgL_arg1939z00_3249;
										BgL_allocsz00_5092 = BgL_arg1940z00_3250;
										BgL_allocsz00_3244 = BgL_allocsz00_5092;
										BgL_xpz00_3242 = BgL_xpz00_5091;
										goto BgL_zc3anonymousza31936ze3z83_3245;
									}
								}
							else
								{	/* Cfa/closure.scm 543 */
									bool_t BgL_testz00_5093;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5094;

										{
											obj_t BgL_auxz00_5095;

											{	/* Cfa/closure.scm 543 */
												BgL_objectz00_bglt BgL_tmpz00_5096;

												BgL_tmpz00_5096 =
													((BgL_objectz00_bglt) BgL_i1190z00_3247);
												BgL_auxz00_5095 = BGL_OBJECT_WIDENING(BgL_tmpz00_5096);
											}
											BgL_auxz00_5094 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5095);
										}
										BgL_testz00_5093 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_5094))->BgL_tz00);
									}
									if (BgL_testz00_5093)
										{	/* Cfa/closure.scm 544 */
											obj_t BgL_arg1945z00_3255;
											obj_t BgL_arg1946z00_3256;

											{	/* Cfa/closure.scm 544 */
												BgL_variablez00_bglt BgL_arg1947z00_3257;

												{
													BgL_varz00_bglt BgL_auxz00_5101;

													{	/* Cfa/closure.scm 544 */
														obj_t BgL_pairz00_4082;

														BgL_pairz00_4082 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_i1190z00_3247)))->
															BgL_argsz00);
														BgL_auxz00_5101 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4082));
													}
													BgL_arg1947z00_3257 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5101))->
														BgL_variablez00);
												}
												BgL_arg1945z00_3255 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1947z00_3257), BgL_tpz00_3243);
											}
											BgL_arg1946z00_3256 = CDR(((obj_t) BgL_allocsz00_3244));
											{
												obj_t BgL_allocsz00_5112;
												obj_t BgL_tpz00_5111;

												BgL_tpz00_5111 = BgL_arg1945z00_3255;
												BgL_allocsz00_5112 = BgL_arg1946z00_3256;
												BgL_allocsz00_3244 = BgL_allocsz00_5112;
												BgL_tpz00_3243 = BgL_tpz00_5111;
												goto BgL_zc3anonymousza31936ze3z83_3245;
											}
										}
									else
										{	/* Cfa/closure.scm 546 */
											obj_t BgL_arg1950z00_3260;

											BgL_arg1950z00_3260 = CDR(((obj_t) BgL_allocsz00_3244));
											{
												obj_t BgL_allocsz00_5115;

												BgL_allocsz00_5115 = BgL_arg1950z00_3260;
												BgL_allocsz00_3244 = BgL_allocsz00_5115;
												goto BgL_zc3anonymousza31936ze3z83_3245;
											}
										}
								}
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* show~0 */
	bool_t BGl_showze70ze7zzcfa_closurez00(obj_t BgL_propz00_3262,
		obj_t BgL_lz00_3263)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 530 */
			if (NULLP(BgL_lz00_3263))
				{	/* Cfa/closure.scm 525 */
					return ((bool_t) 0);
				}
			else
				{	/* Cfa/closure.scm 525 */
					{	/* Cfa/closure.scm 527 */
						obj_t BgL_arg1953z00_3266;

						BgL_arg1953z00_3266 =
							BGl_shapez00zztools_shapez00(CAR(BgL_lz00_3263));
						{	/* Cfa/closure.scm 527 */
							obj_t BgL_list1954z00_3267;

							{	/* Cfa/closure.scm 527 */
								obj_t BgL_arg1955z00_3268;

								{	/* Cfa/closure.scm 527 */
									obj_t BgL_arg1956z00_3269;

									{	/* Cfa/closure.scm 527 */
										obj_t BgL_arg1957z00_3270;

										{	/* Cfa/closure.scm 527 */
											obj_t BgL_arg1958z00_3271;

											BgL_arg1958z00_3271 =
												MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
											BgL_arg1957z00_3270 =
												MAKE_YOUNG_PAIR(BgL_arg1953z00_3266,
												BgL_arg1958z00_3271);
										}
										BgL_arg1956z00_3269 =
											MAKE_YOUNG_PAIR(BGl_string2213z00zzcfa_closurez00,
											BgL_arg1957z00_3270);
									}
									BgL_arg1955z00_3268 =
										MAKE_YOUNG_PAIR(BgL_propz00_3262, BgL_arg1956z00_3269);
								}
								BgL_list1954z00_3267 =
									MAKE_YOUNG_PAIR(BGl_string2214z00zzcfa_closurez00,
									BgL_arg1955z00_3268);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list1954z00_3267);
					}}
					{	/* Cfa/closure.scm 528 */
						obj_t BgL_g1548z00_3273;

						BgL_g1548z00_3273 = CDR(BgL_lz00_3263);
						{
							obj_t BgL_l1546z00_3275;

							BgL_l1546z00_3275 = BgL_g1548z00_3273;
						BgL_zc3anonymousza31961ze3z83_3276:
							if (PAIRP(BgL_l1546z00_3275))
								{	/* Cfa/closure.scm 530 */
									{	/* Cfa/closure.scm 529 */
										obj_t BgL_xz00_3278;

										BgL_xz00_3278 = CAR(BgL_l1546z00_3275);
										{	/* Cfa/closure.scm 529 */
											obj_t BgL_arg1964z00_3279;

											BgL_arg1964z00_3279 =
												BGl_shapez00zztools_shapez00(BgL_xz00_3278);
											{	/* Cfa/closure.scm 529 */
												obj_t BgL_list1965z00_3280;

												{	/* Cfa/closure.scm 529 */
													obj_t BgL_arg1966z00_3281;

													{	/* Cfa/closure.scm 529 */
														obj_t BgL_arg1967z00_3282;

														BgL_arg1967z00_3282 =
															MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
															BNIL);
														BgL_arg1966z00_3281 =
															MAKE_YOUNG_PAIR(BgL_arg1964z00_3279,
															BgL_arg1967z00_3282);
													}
													BgL_list1965z00_3280 =
														MAKE_YOUNG_PAIR(BGl_string2215z00zzcfa_closurez00,
														BgL_arg1966z00_3281);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
													BgL_list1965z00_3280);
									}}}
									{
										obj_t BgL_l1546z00_5139;

										BgL_l1546z00_5139 = CDR(BgL_l1546z00_3275);
										BgL_l1546z00_3275 = BgL_l1546z00_5139;
										goto BgL_zc3anonymousza31961ze3z83_3276;
									}
								}
							else
								{	/* Cfa/closure.scm 530 */
									return ((bool_t) 1);
								}
						}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* get-procedure-list */
	BGL_EXPORTED_DEF obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 558 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}
		BGL_FUNCTION_END;
	}



/* &get-procedure-list */
	obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t BgL_envz00_4109)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 558 */
			return BGl_getzd2procedurezd2listz00zzcfa_closurez00();
		}
		BGL_FUNCTION_END;
	}



/* add-funcall! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_12)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 564 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 565 */
					return (BGl_za2funcallzd2listza2zd2zzcfa_closurez00 =
						MAKE_YOUNG_PAIR(
							((obj_t) BgL_astz00_12),
							BGl_za2funcallzd2listza2zd2zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 565 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* &add-funcall! */
	obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t BgL_envz00_4110,
		obj_t BgL_astz00_4111)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 564 */
			return
				BGl_addzd2funcallz12zc0zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_4111));
		}
		BGL_FUNCTION_END;
	}



/* add-make-procedure! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_13)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 571 */
			return (BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 =
				MAKE_YOUNG_PAIR(
					((obj_t) BgL_astz00_13),
					BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &add-make-procedure! */
	obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t
		BgL_envz00_4112, obj_t BgL_astz00_4113)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 571 */
			return
				BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_4113));
		}
		BGL_FUNCTION_END;
	}



/* add-procedure-ref! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_14)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 577 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 578 */
					return (BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 =
						MAKE_YOUNG_PAIR(
							((obj_t) BgL_astz00_14),
							BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 578 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* &add-procedure-ref! */
	obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t
		BgL_envz00_4114, obj_t BgL_astz00_4115)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 577 */
			return
				BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_4115));
		}
		BGL_FUNCTION_END;
	}



/* approx-procedure-el? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_15)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 584 */
			{	/* Cfa/closure.scm 585 */
				BgL_typez00_bglt BgL_typez00_3288;
				obj_t BgL_alloczd2listzd2_3289;

				BgL_typez00_3288 =
					(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_15))->BgL_typez00);
				BgL_alloczd2listzd2_3289 =
					BGl_setzd2ze3listz31zzcfa_setz00(
					(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_15))->BgL_allocsz00));
				if (
					(((obj_t) BgL_typez00_3288) == BGl_za2procedureza2z00zztype_cachez00))
					{	/* Cfa/closure.scm 587 */
						if (PAIRP(BgL_alloczd2listzd2_3289))
							{	/* Cfa/closure.scm 588 */
								if (NULLP(CDR(BgL_alloczd2listzd2_3289)))
									{	/* Cfa/closure.scm 590 */
										bool_t BgL_testz00_5171;

										{	/* Cfa/closure.scm 590 */
											obj_t BgL_arg1973z00_3295;

											BgL_arg1973z00_3295 = CAR(BgL_alloczd2listzd2_3289);
											BgL_testz00_5171 =
												BGl_isazf3zf3zz__objectz00(BgL_arg1973z00_3295,
												BGl_makezd2procedurezd2appz00zzcfa_info2z00);
										}
										if (BgL_testz00_5171)
											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5174;

												{
													obj_t BgL_auxz00_5175;

													{	/* Cfa/closure.scm 591 */
														BgL_objectz00_bglt BgL_tmpz00_5176;

														BgL_tmpz00_5176 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																CAR(BgL_alloczd2listzd2_3289)));
														BgL_auxz00_5175 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5176);
													}
													BgL_auxz00_5174 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_5175);
												}
												return
													(((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_5174))->BgL_xz00);
											}
										else
											{	/* Cfa/closure.scm 590 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/closure.scm 589 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/closure.scm 588 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Cfa/closure.scm 587 */
						return ((bool_t) 0);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &approx-procedure-el? */
	obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t
		BgL_envz00_4116, obj_t BgL_approxz00_4117)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 584 */
			return
				BBOOL(BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
					((BgL_approxz00_bglt) BgL_approxz00_4117)));
		}
		BGL_FUNCTION_END;
	}



/* start-closure-cache */
	obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 608 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 13)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 15)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 12)));
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 12))), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* stop-closure-cache */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 621 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &stop-closure-cache */
	obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t BgL_envz00_4118)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 621 */
			return BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_ltypez00(((long) 315872512),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 93933605),
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_closurez00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
