/*===========================================================================*/
/*   (Cfa/specialize.scm)                                                    */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/specialize.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_specializa7edzd2globalz75_bgl
	{
		obj_t BgL_fixz00;
	}                                *BgL_specializa7edzd2globalz75_bglt;


	static obj_t BGl_z62patchz12zd2funcall1394za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62patchz12zd2kwote1380za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2conditional1402za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221010zd2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
	static obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62patchz12zd2fail1404za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t
		BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62patchz12zd2cast1398za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt);
	static BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt);
	static obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_specializa7eza7();
	extern obj_t BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2boxzd2ref1420z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1841z62zzcfa_specializa7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1844z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1848z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1857z62zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1858z62zzcfa_specializa7eza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 = BUNSPEC;
	static obj_t BGl_z62patchz12zd2closure1386za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_z62patchz12zd2switch1406za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62patchz121375z70zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2atom1378za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t
		BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t
		BGl_z62patchz12zd2jumpzd2exzd2it1414za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2appzd2ly1392z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2boxzd2setz121418z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
	static obj_t BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2makezd2box1416z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2letzd2fun1408z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	static obj_t BGl_z62patchz12zd2extern1396za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62patchz12zd2var1382za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2setq1400za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2app1422za2zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7();
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t
		BGl_z62patchz12zd2setzd2exzd2it1412za2zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2sync1390za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31847ze3ze1zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_z62patchz12zd2letzd2var1410z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2sequence1388za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2058z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1858za7622097z00,
		BGl_z62lambda1858z62zzcfa_specializa7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2059z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1857za7622098z00,
		BGl_z62lambda1857z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2060z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1848za7622099z00,
		BGl_z62lambda1848z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2061z00zzcfa_specializa7eza7,
		BgL_bgl_za762za7c3anonymousza72100za7,
		BGl_z62zc3anonymousza31847ze3ze1zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2062z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1844za7622101z00,
		BGl_z62lambda1844z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2063z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1841za7622102z00,
		BGl_z62lambda1841z62zzcfa_specializa7eza7, 0L, BUNSPEC, 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2065z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza7121375za72103za7,
		BGl_z62patchz121375z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2068z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2at2104za7,
		BGl_z62patchz12zd2atom1378za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2070z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2kw2105za7,
		BGl_z62patchz12zd2kwote1380za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2071z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2va2106za7,
		BGl_z62patchz12zd2var1382za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2072z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2cl2107za7,
		BGl_z62patchz12zd2closure1386za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2073z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2108za7,
		BGl_z62patchz12zd2sequence1388za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2074z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2sy2109za7,
		BGl_z62patchz12zd2sync1390za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2075z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2110za7,
		BGl_z62patchz12zd2appzd2ly1392z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2076z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fu2111za7,
		BGl_z62patchz12zd2funcall1394za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2077z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ex2112za7,
		BGl_z62patchz12zd2extern1396za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2078z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ca2113za7,
		BGl_z62patchz12zd2cast1398za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2079z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2114za7,
		BGl_z62patchz12zd2setq1400za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2080z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2co2115za7,
		BGl_z62patchz12zd2conditional1402za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2081z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fa2116za7,
		BGl_z62patchz12zd2fail1404za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2082z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2sw2117za7,
		BGl_z62patchz12zd2switch1406za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2083z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2118za7,
		BGl_z62patchz12zd2letzd2fun1408z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2084z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2119za7,
		BGl_z62patchz12zd2letzd2var1410z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2085z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2120za7,
		BGl_z62patchz12zd2setzd2exzd2it1412za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2086z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ju2121za7,
		BGl_z62patchz12zd2jumpzd2exzd2it1414za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2087z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ma2122za7,
		BGl_z62patchz12zd2makezd2box1416z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2088z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2123za7,
		BGl_z62patchz12zd2boxzd2setz121418z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2089z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2124za7,
		BGl_z62patchz12zd2boxzd2ref1420z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2090z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2125za7,
		BGl_z62patchz12zd2app1422za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2operatorzf3zd2envzf3zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22126z00,
		BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_specializa7ez12zd2envz67zzcfa_specializa7eza7,
		BgL_bgl_za762specializa7a7eza72127za7,
		BGl_z62specializa7ez12zd7zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2speczd2typeszd2envzd2zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22128z00,
		BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2046z00zzcfa_specializa7eza7,
		BgL_bgl_string2046za700za7za7c2129za7, "   . Specializing", 17);
	      DEFINE_STRING(BGl_string2047z00zzcfa_specializa7eza7,
		BgL_bgl_string2047za700za7za7c2130za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2048z00zzcfa_specializa7eza7,
		BgL_bgl_string2048za700za7za7c2131za7, ": ", 2);
	      DEFINE_STRING(BGl_string2049z00zzcfa_specializa7eza7,
		BgL_bgl_string2049za700za7za7c2132za7, "        (-> ", 12);
	      DEFINE_STRING(BGl_string2050z00zzcfa_specializa7eza7,
		BgL_bgl_string2050za700za7za7c2133za7, "        (eq? ", 13);
	      DEFINE_STRING(BGl_string2051z00zzcfa_specializa7eza7,
		BgL_bgl_string2051za700za7za7c2134za7, "add-specialized-type!", 21);
	      DEFINE_STRING(BGl_string2052z00zzcfa_specializa7eza7,
		BgL_bgl_string2052za700za7za7c2135za7, "Unspecialized type", 18);
	      DEFINE_STRING(BGl_string2053z00zzcfa_specializa7eza7,
		BgL_bgl_string2053za700za7za7c2136za7, "install-specialize", 18);
	      DEFINE_STRING(BGl_string2054z00zzcfa_specializa7eza7,
		BgL_bgl_string2054za700za7za7c2137za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2055z00zzcfa_specializa7eza7,
		BgL_bgl_string2055za700za7za7c2138za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2056z00zzcfa_specializa7eza7,
		BgL_bgl_string2056za700za7za7c2139za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string2057z00zzcfa_specializa7eza7,
		BgL_bgl_string2057za700za7za7c2140za7, "install-specialize!", 19);
	      DEFINE_STRING(BGl_string2064z00zzcfa_specializa7eza7,
		BgL_bgl_string2064za700za7za7c2141za7, "", 0);
	      DEFINE_STRING(BGl_string2066z00zzcfa_specializa7eza7,
		BgL_bgl_string2066za700za7za7c2142za7, "patch!1375", 10);
	      DEFINE_STRING(BGl_string2067z00zzcfa_specializa7eza7,
		BgL_bgl_string2067za700za7za7c2143za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2069z00zzcfa_specializa7eza7,
		BgL_bgl_string2069za700za7za7c2144za7, "patch!", 6);
	      DEFINE_STRING(BGl_string2091z00zzcfa_specializa7eza7,
		BgL_bgl_string2091za700za7za7c2145za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2092z00zzcfa_specializa7eza7,
		BgL_bgl_string2092za700za7za7c2146za7, "cfa_specialize", 14);
	      DEFINE_STRING(BGl_string2093z00zzcfa_specializa7eza7,
		BgL_bgl_string2093za700za7za7c2147za7,
		"patch!1375 _ cfa_specialize specialized-global obj fix done c-eq? c-boxed-eq? foreign __r4_numbers_6_5_flonum __r4_numbers_6_5_fixnum ((|2+| (|2+| __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum) (+fx __r4_numbers_6_5_fixnum)) (|2-| (|2-| __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum) (-fx __r4_numbers_6_5_fixnum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum) (*fx __r4_numbers_6_5_fixnum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum) (absfx __r4_numbers_6_5_fixnum))) ((|2+| (|2+| __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum)) (|2-| (|2-| __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum)) (2/ (2/ __r4_numbers_6_5) (/fl __r4_numbers_6_5_flonum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum)) (c-eq? (c-eq? foreign) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2= (2= __r4_numbers_6_5) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2< (2< __r4_numbers_6_5) (<fx __r4_numbers_6_5_fixnum) ("
		"<fl __r4_numbers_6_5_flonum)) (2> (2> __r4_numbers_6_5) (>fx __r4_numbers_6_5_fixnum) (>fl __r4_numbers_6_5_flonum)) (2<= (2<= __r4_numbers_6_5) (<=fx __r4_numbers_6_5_fixnum) (<=fl __r4_numbers_6_5_flonum)) (2>= (2>= __r4_numbers_6_5) (>=fx __r4_numbers_6_5_fixnum) (>=fl __r4_numbers_6_5_flonum)) (zero? (zero? __r4_numbers_6_5) (zerofx? __r4_numbers_6_5_fixnum) (zerofl? __r4_numbers_6_5_flonum)) (positive? (positive? __r4_numbers_6_5) (positivefx? __r4_numbers_6_5_fixnum) (positivefl? __r4_numbers_6_5_flonum)) (negative? (negative? __r4_numbers_6_5) (negativefx? __r4_numbers_6_5_fixnum) (negativefl? __r4_numbers_6_5_flonum)) (log (log __r4_numbers_6_5) (logfl __r4_numbers_6_5_flonum)) (exp (exp __r4_numbers_6_5) (expfl __r4_numbers_6_5_flonum)) (sin (sin __r4_numbers_6_5) (sinfl __r4_numbers_6_5_flonum)) (cos (cos __r4_numbers_6_5) (cosfl __r4_numbers_6_5_flonum)) (tan (tan __r4_numbers_6_5) (tanfl __r4_numbers_6_5_flonum)) (atan (atan __r4_numbers_6_5) (atanfl __r4_numbers_6_5_flonum)) (asin (asin __r4_numb"
		"ers_6_5) (asinfl __r4_numbers_6_5_flonum)) (acos (acos __r4_numbers_6_5) (acosfl __r4_numbers_6_5_flonum)) (sqrt (sqrt __r4_numbers_6_5) (sqrtfl __r4_numbers_6_5_flonum))) ",
		2220);
	      DEFINE_STATIC_BGL_GENERIC(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za770za7za72148za7,
		BGl_z62patchz12z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2specializa7eza2za7zzcfa_specializa7eza7));
		   
			 ADD_ROOT((void
				*) (&BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*)
			(&BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7));
		     ADD_ROOT((void *) (&BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7));
		     ADD_ROOT((void *) (&BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7));
		   
			 ADD_ROOT((void
				*) (&BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_specializa7edzd2globalz75zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long
		BgL_checksumz00_2846, char *BgL_fromz00_2847)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7))
				{
					BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_specializa7eza7();
					BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_cnstzd2initzd2zzcfa_specializa7eza7();
					BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_objectzd2initzd2zzcfa_specializa7eza7();
					BGl_genericzd2initzd2zzcfa_specializa7eza7();
					BGl_methodzd2initzd2zzcfa_specializa7eza7();
					return BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_specialize");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 19 */
				obj_t BgL_cportz00_2724;

				{	/* Cfa/specialize.scm 19 */
					obj_t BgL_stringz00_2732;

					BgL_stringz00_2732 = BGl_string2093z00zzcfa_specializa7eza7;
					{	/* Cfa/specialize.scm 19 */
						obj_t BgL_startz00_2733;

						BgL_startz00_2733 = BINT(((long) 0));
						{	/* Cfa/specialize.scm 19 */
							obj_t BgL_endz00_2734;

							BgL_endz00_2734 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2732)));
							{	/* Cfa/specialize.scm 19 */

								BgL_cportz00_2724 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2732, BgL_startz00_2733, BgL_endz00_2734);
				}}}}
				{
					long BgL_iz00_2725;

					BgL_iz00_2725 = ((long) 13);
				BgL_loopz00_2726:
					if ((BgL_iz00_2725 == ((long) -1)))
						{	/* Cfa/specialize.scm 19 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/specialize.scm 19 */
							{	/* Cfa/specialize.scm 19 */
								obj_t BgL_arg2095z00_2728;

								{	/* Cfa/specialize.scm 19 */

									{	/* Cfa/specialize.scm 19 */
										obj_t BgL_locationz00_2730;

										BgL_locationz00_2730 = BBOOL(((bool_t) 0));
										{	/* Cfa/specialize.scm 19 */

											BgL_arg2095z00_2728 =
												BGl_readz00zz__readerz00(BgL_cportz00_2724,
												BgL_locationz00_2730);
										}
									}
								}
								{	/* Cfa/specialize.scm 19 */
									int BgL_tmpz00_2877;

									BgL_tmpz00_2877 = (int) (BgL_iz00_2725);
									CNST_TABLE_SET(BgL_tmpz00_2877, BgL_arg2095z00_2728);
							}}
							{	/* Cfa/specialize.scm 19 */
								int BgL_auxz00_2731;

								BgL_auxz00_2731 = (int) ((BgL_iz00_2725 - ((long) 1)));
								{
									long BgL_iz00_2882;

									BgL_iz00_2882 = (long) (BgL_auxz00_2731);
									BgL_iz00_2725 = BgL_iz00_2882;
									goto BgL_loopz00_2726;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_specializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 19 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 19 */
			BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BFALSE;
			BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 0));
			BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 1));
			BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			return BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
		}
		BGL_FUNCTION_END;
	}



/* append-21010 */
	obj_t BGl_appendzd221010zd2zzcfa_specializa7eza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		BGL_FUNCTION_BEGIN;
		{
			{
				obj_t BgL_headz00_1575;

				BgL_headz00_1575 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1576;
					obj_t BgL_tailz00_1577;

					BgL_prevz00_1576 = BgL_headz00_1575;
					BgL_tailz00_1577 = BgL_l1z00_1;
				BgL_loopz00_1578:
					if (PAIRP(BgL_tailz00_1577))
						{
							obj_t BgL_newzd2prevzd2_1580;

							BgL_newzd2prevzd2_1580 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1577), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1576, BgL_newzd2prevzd2_1580);
							{
								obj_t BgL_tailz00_2894;
								obj_t BgL_prevz00_2893;

								BgL_prevz00_2893 = BgL_newzd2prevzd2_1580;
								BgL_tailz00_2894 = CDR(BgL_tailz00_1577);
								BgL_tailz00_1577 = BgL_tailz00_2894;
								BgL_prevz00_1576 = BgL_prevz00_2893;
								goto BgL_loopz00_1578;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1575);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* specialize! */
	BGL_EXPORTED_DEF obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t
		BgL_globalsz00_88)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 44 */
			if (BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7())
				{	/* Cfa/specialize.scm 45 */
					{	/* Cfa/specialize.scm 47 */
						obj_t BgL_g1355z00_1590;

						BgL_g1355z00_1590 =
							BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
						{
							obj_t BgL_l1353z00_1592;

							BgL_l1353z00_1592 = BgL_g1355z00_1590;
						BgL_zc3anonymousza31464ze3z83_1593:
							if (PAIRP(BgL_l1353z00_1592))
								{	/* Cfa/specialize.scm 47 */
									BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(CAR
										(BgL_l1353z00_1592));
									{
										obj_t BgL_l1353z00_2904;

										BgL_l1353z00_2904 = CDR(BgL_l1353z00_1592);
										BgL_l1353z00_1592 = BgL_l1353z00_2904;
										goto BgL_zc3anonymousza31464ze3z83_1593;
									}
								}
							else
								{	/* Cfa/specialize.scm 47 */
									((bool_t) 1);
								}
						}
					}
					BGl_patchzd2treez12zc0zzcfa_specializa7eza7(BgL_globalsz00_88);
					BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
					BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
				}
			else
				{	/* Cfa/specialize.scm 45 */
					BFALSE;
				}
			return BgL_globalsz00_88;
		}
		BGL_FUNCTION_END;
	}



/* &specialize! */
	obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t BgL_envz00_2608,
		obj_t BgL_globalsz00_2609)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 44 */
			return BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_2609);
		}
		BGL_FUNCTION_END;
	}



/* arithmetic-operator? */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_89)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 56 */
			{	/* Cfa/specialize.scm 58 */
				obj_t BgL_cellz00_1599;

				{	/* Cfa/specialize.scm 58 */
					obj_t BgL_arg1496z00_1604;
					obj_t BgL_arg1501z00_1605;

					BgL_arg1496z00_1604 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_89)))->BgL_idz00);
					BgL_arg1501z00_1605 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1599 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1496z00_1604,
						BgL_arg1501z00_1605);
				}
				if (PAIRP(BgL_cellz00_1599))
					{	/* Cfa/specialize.scm 59 */
						bool_t BgL_tmpz00_2916;

						{	/* Cfa/specialize.scm 59 */
							obj_t BgL_tmpz00_2917;

							{	/* Cfa/specialize.scm 59 */
								obj_t BgL_pairz00_2348;

								BgL_pairz00_2348 = CAR(CDR(BgL_cellz00_1599));
								BgL_tmpz00_2917 = CAR(CDR(BgL_pairz00_2348));
							}
							BgL_tmpz00_2916 =
								(BgL_tmpz00_2917 ==
								(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_89))->
									BgL_modulez00));
						}
						return BBOOL(BgL_tmpz00_2916);
					}
				else
					{	/* Cfa/specialize.scm 59 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &arithmetic-operator? */
	obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t
		BgL_envz00_2610, obj_t BgL_globalz00_2611)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 56 */
			return
				BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_2611));
		}
		BGL_FUNCTION_END;
	}



/* arithmetic-spec-types */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_90)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 67 */
			{	/* Cfa/specialize.scm 69 */
				obj_t BgL_cellz00_1607;

				{	/* Cfa/specialize.scm 69 */
					obj_t BgL_arg1553z00_1632;
					obj_t BgL_arg1554z00_1633;

					BgL_arg1553z00_1632 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_90)))->BgL_idz00);
					BgL_arg1554z00_1633 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1607 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1553z00_1632,
						BgL_arg1554z00_1633);
				}
				if (PAIRP(BgL_cellz00_1607))
					{	/* Cfa/specialize.scm 72 */
						obj_t BgL_g1146z00_1609;

						BgL_g1146z00_1609 = CDR(CDR(BgL_cellz00_1607));
						{
							obj_t BgL_specz00_1612;
							obj_t BgL_typesz00_1613;

							BgL_specz00_1612 = BgL_g1146z00_1609;
							BgL_typesz00_1613 = BNIL;
						BgL_zc3anonymousza31503ze3z83_1614:
							if (NULLP(BgL_specz00_1612))
								{	/* Cfa/specialize.scm 75 */
									return BgL_typesz00_1613;
								}
							else
								{	/* Cfa/specialize.scm 77 */
									bool_t BgL_testz00_2937;

									if (CBOOL
										(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
										{	/* Cfa/specialize.scm 78 */
											obj_t BgL_tmpz00_2940;

											{	/* Cfa/specialize.scm 78 */
												obj_t BgL_pairz00_2359;

												BgL_pairz00_2359 = CAR(((obj_t) BgL_specz00_1612));
												BgL_tmpz00_2940 = CAR(CDR(BgL_pairz00_2359));
											}
											BgL_testz00_2937 =
												(BgL_tmpz00_2940 == CNST_TABLE_REF(((long) 2)));
										}
									else
										{	/* Cfa/specialize.scm 77 */
											BgL_testz00_2937 = ((bool_t) 0);
										}
									if (BgL_testz00_2937)
										{	/* Cfa/specialize.scm 79 */
											obj_t BgL_arg1511z00_1619;
											obj_t BgL_arg1512z00_1620;

											BgL_arg1511z00_1619 = CDR(((obj_t) BgL_specz00_1612));
											BgL_arg1512z00_1620 =
												MAKE_YOUNG_PAIR(BGl_za2longza2z00zztype_cachez00,
												BgL_typesz00_1613);
											{
												obj_t BgL_typesz00_2951;
												obj_t BgL_specz00_2950;

												BgL_specz00_2950 = BgL_arg1511z00_1619;
												BgL_typesz00_2951 = BgL_arg1512z00_1620;
												BgL_typesz00_1613 = BgL_typesz00_2951;
												BgL_specz00_1612 = BgL_specz00_2950;
												goto BgL_zc3anonymousza31503ze3z83_1614;
											}
										}
									else
										{	/* Cfa/specialize.scm 80 */
											bool_t BgL_testz00_2952;

											if (CBOOL
												(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00))
												{	/* Cfa/specialize.scm 81 */
													obj_t BgL_tmpz00_2955;

													{	/* Cfa/specialize.scm 81 */
														obj_t BgL_pairz00_2365;

														BgL_pairz00_2365 = CAR(((obj_t) BgL_specz00_1612));
														BgL_tmpz00_2955 = CAR(CDR(BgL_pairz00_2365));
													}
													BgL_testz00_2952 =
														(BgL_tmpz00_2955 == CNST_TABLE_REF(((long) 3)));
												}
											else
												{	/* Cfa/specialize.scm 80 */
													BgL_testz00_2952 = ((bool_t) 0);
												}
											if (BgL_testz00_2952)
												{	/* Cfa/specialize.scm 82 */
													obj_t BgL_arg1529z00_1624;
													obj_t BgL_arg1535z00_1625;

													BgL_arg1529z00_1624 = CDR(((obj_t) BgL_specz00_1612));
													BgL_arg1535z00_1625 =
														MAKE_YOUNG_PAIR(BGl_za2realza2z00zztype_cachez00,
														BgL_typesz00_1613);
													{
														obj_t BgL_typesz00_2966;
														obj_t BgL_specz00_2965;

														BgL_specz00_2965 = BgL_arg1529z00_1624;
														BgL_typesz00_2966 = BgL_arg1535z00_1625;
														BgL_typesz00_1613 = BgL_typesz00_2966;
														BgL_specz00_1612 = BgL_specz00_2965;
														goto BgL_zc3anonymousza31503ze3z83_1614;
													}
												}
											else
												{	/* Cfa/specialize.scm 84 */
													obj_t BgL_arg1536z00_1626;

													BgL_arg1536z00_1626 = CDR(((obj_t) BgL_specz00_1612));
													{
														obj_t BgL_specz00_2969;

														BgL_specz00_2969 = BgL_arg1536z00_1626;
														BgL_specz00_1612 = BgL_specz00_2969;
														goto BgL_zc3anonymousza31503ze3z83_1614;
													}
												}
										}
								}
						}
					}
				else
					{	/* Cfa/specialize.scm 70 */
						return BNIL;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &arithmetic-spec-types */
	obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t
		BgL_envz00_2612, obj_t BgL_globalz00_2613)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 67 */
			return
				BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_2613));
		}
		BGL_FUNCTION_END;
	}



/* get-specializations */
	obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 89 */
			if (CBOOL(BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7))
				{	/* Cfa/specialize.scm 91 */
					return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
				}
			else
				{	/* Cfa/specialize.scm 91 */
					if (CBOOL(BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 94 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								CNST_TABLE_REF(((long) 0));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
					else
						{	/* Cfa/specialize.scm 94 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								BGl_appendzd221010zd2zzcfa_specializa7eza7(CNST_TABLE_REF((
										(long) 1)), CNST_TABLE_REF(((long) 0)));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* specialize-optimization? */
	bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 188 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/specialize.scm 189 */
					if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 189 */
							return ((bool_t) 0);
						}
					else
						{	/* Cfa/specialize.scm 189 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Cfa/specialize.scm 189 */
					return ((bool_t) 0);
				}
		}
		BGL_FUNCTION_END;
	}



/* show-specialize */
	bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 194 */
			{	/* Cfa/specialize.scm 195 */
				obj_t BgL_list1555z00_1635;

				{	/* Cfa/specialize.scm 195 */
					obj_t BgL_arg1562z00_1636;

					BgL_arg1562z00_1636 =
						MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
					BgL_list1555z00_1635 =
						MAKE_YOUNG_PAIR(BGl_string2046z00zzcfa_specializa7eza7,
						BgL_arg1562z00_1636);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1555z00_1635);
			}
			{
				obj_t BgL_l1356z00_1638;

				BgL_l1356z00_1638 =
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7;
			BgL_zc3anonymousza31563ze3z83_1639:
				if (PAIRP(BgL_l1356z00_1638))
					{	/* Cfa/specialize.scm 196 */
						{	/* Cfa/specialize.scm 197 */
							obj_t BgL_typezd2numzd2_1641;

							BgL_typezd2numzd2_1641 = CAR(BgL_l1356z00_1638);
							if (
								((long) CINT(CDR(
											((obj_t) BgL_typezd2numzd2_1641))) > ((long) 0)))
								{	/* Cfa/specialize.scm 198 */
									obj_t BgL_arg1580z00_1644;
									obj_t BgL_arg1581z00_1645;

									{	/* Cfa/specialize.scm 198 */
										obj_t BgL_arg1607z00_1651;

										BgL_arg1607z00_1651 = CAR(((obj_t) BgL_typezd2numzd2_1641));
										BgL_arg1580z00_1644 =
											BGl_shapez00zztools_shapez00(BgL_arg1607z00_1651);
									}
									BgL_arg1581z00_1645 = CDR(((obj_t) BgL_typezd2numzd2_1641));
									{	/* Cfa/specialize.scm 198 */
										obj_t BgL_list1582z00_1646;

										{	/* Cfa/specialize.scm 198 */
											obj_t BgL_arg1587z00_1647;

											{	/* Cfa/specialize.scm 198 */
												obj_t BgL_arg1600z00_1648;

												{	/* Cfa/specialize.scm 198 */
													obj_t BgL_arg1603z00_1649;

													{	/* Cfa/specialize.scm 198 */
														obj_t BgL_arg1604z00_1650;

														BgL_arg1604z00_1650 =
															MAKE_YOUNG_PAIR
															(BGl_string2047z00zzcfa_specializa7eza7, BNIL);
														BgL_arg1603z00_1649 =
															MAKE_YOUNG_PAIR(BgL_arg1581z00_1645,
															BgL_arg1604z00_1650);
													}
													BgL_arg1600z00_1648 =
														MAKE_YOUNG_PAIR
														(BGl_string2048z00zzcfa_specializa7eza7,
														BgL_arg1603z00_1649);
												}
												BgL_arg1587z00_1647 =
													MAKE_YOUNG_PAIR(BgL_arg1580z00_1644,
													BgL_arg1600z00_1648);
											}
											BgL_list1582z00_1646 =
												MAKE_YOUNG_PAIR(BGl_string2049z00zzcfa_specializa7eza7,
												BgL_arg1587z00_1647);
										}
										BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
											BgL_list1582z00_1646);
								}}
							else
								{	/* Cfa/specialize.scm 197 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1356z00_3010;

							BgL_l1356z00_3010 = CDR(BgL_l1356z00_1638);
							BgL_l1356z00_1638 = BgL_l1356z00_3010;
							goto BgL_zc3anonymousza31563ze3z83_1639;
						}
					}
				else
					{	/* Cfa/specialize.scm 196 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1358z00_1656;

				BgL_l1358z00_1656 =
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza31614ze3z83_1657:
				if (PAIRP(BgL_l1358z00_1656))
					{	/* Cfa/specialize.scm 201 */
						{	/* Cfa/specialize.scm 202 */
							obj_t BgL_typezd2numzd2_1659;

							BgL_typezd2numzd2_1659 = CAR(BgL_l1358z00_1656);
							if (
								((long) CINT(CDR(
											((obj_t) BgL_typezd2numzd2_1659))) > ((long) 0)))
								{	/* Cfa/specialize.scm 203 */
									obj_t BgL_arg1622z00_1662;
									obj_t BgL_arg1623z00_1663;

									{	/* Cfa/specialize.scm 203 */
										obj_t BgL_arg1642z00_1669;

										BgL_arg1642z00_1669 = CAR(((obj_t) BgL_typezd2numzd2_1659));
										BgL_arg1622z00_1662 =
											BGl_shapez00zztools_shapez00(BgL_arg1642z00_1669);
									}
									BgL_arg1623z00_1663 = CDR(((obj_t) BgL_typezd2numzd2_1659));
									{	/* Cfa/specialize.scm 203 */
										obj_t BgL_list1624z00_1664;

										{	/* Cfa/specialize.scm 203 */
											obj_t BgL_arg1625z00_1665;

											{	/* Cfa/specialize.scm 203 */
												obj_t BgL_arg1626z00_1666;

												{	/* Cfa/specialize.scm 203 */
													obj_t BgL_arg1628z00_1667;

													{	/* Cfa/specialize.scm 203 */
														obj_t BgL_arg1639z00_1668;

														BgL_arg1639z00_1668 =
															MAKE_YOUNG_PAIR
															(BGl_string2047z00zzcfa_specializa7eza7, BNIL);
														BgL_arg1628z00_1667 =
															MAKE_YOUNG_PAIR(BgL_arg1623z00_1663,
															BgL_arg1639z00_1668);
													}
													BgL_arg1626z00_1666 =
														MAKE_YOUNG_PAIR
														(BGl_string2048z00zzcfa_specializa7eza7,
														BgL_arg1628z00_1667);
												}
												BgL_arg1625z00_1665 =
													MAKE_YOUNG_PAIR(BgL_arg1622z00_1662,
													BgL_arg1626z00_1666);
											}
											BgL_list1624z00_1664 =
												MAKE_YOUNG_PAIR(BGl_string2050z00zzcfa_specializa7eza7,
												BgL_arg1625z00_1665);
										}
										BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
											BgL_list1624z00_1664);
								}}
							else
								{	/* Cfa/specialize.scm 202 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1358z00_3032;

							BgL_l1358z00_3032 = CDR(BgL_l1358z00_1656);
							BgL_l1358z00_1656 = BgL_l1358z00_3032;
							goto BgL_zc3anonymousza31614ze3z83_1657;
						}
					}
				else
					{	/* Cfa/specialize.scm 201 */
						return ((bool_t) 1);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* install-specialized-type! */
	obj_t BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_91)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 218 */
			{	/* Cfa/specialize.scm 219 */
				bool_t BgL_testz00_3034;

				{	/* Cfa/specialize.scm 219 */
					obj_t BgL_tmpz00_3035;

					BgL_tmpz00_3035 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_91,
						BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
					BgL_testz00_3034 = PAIRP(BgL_tmpz00_3035);
				}
				if (BgL_testz00_3034)
					{	/* Cfa/specialize.scm 219 */
						return BFALSE;
					}
				else
					{	/* Cfa/specialize.scm 219 */
						{	/* Cfa/specialize.scm 220 */
							obj_t BgL_arg1658z00_1675;

							BgL_arg1658z00_1675 =
								MAKE_YOUNG_PAIR(BgL_typez00_91, BINT(((long) 0)));
							BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
								MAKE_YOUNG_PAIR(BgL_arg1658z00_1675,
								BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
						}
						{	/* Cfa/specialize.scm 221 */
							obj_t BgL_list1659z00_1676;

							BgL_list1659z00_1676 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
								BgL_list1659z00_1676);
						}
						{	/* Cfa/specialize.scm 222 */
							obj_t BgL_list1660z00_1677;

							BgL_list1660z00_1677 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							return (BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 6)),
									BgL_list1660z00_1677), BUNSPEC);
		}}}}
		BGL_FUNCTION_END;
	}



/* add-specialized-type! */
	obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_92)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 227 */
			{	/* Cfa/specialize.scm 228 */
				obj_t BgL_cellz00_1679;

				BgL_cellz00_1679 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_92,
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1679))
					{	/* Cfa/specialize.scm 232 */
						long BgL_arg1665z00_1681;

						BgL_arg1665z00_1681 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1679)));
						{	/* Cfa/specialize.scm 232 */
							obj_t BgL_tmpz00_3055;

							BgL_tmpz00_3055 = BINT(BgL_arg1665z00_1681);
							return SET_CDR(BgL_cellz00_1679, BgL_tmpz00_3055);
						}
					}
				else
					{	/* Cfa/specialize.scm 229 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string2051z00zzcfa_specializa7eza7,
							BGl_string2052z00zzcfa_specializa7eza7,
							BGl_shapez00zztools_shapez00(BgL_typez00_92));
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* add-specialized-eq-type! */
	obj_t BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t
		BgL_typez00_93)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 237 */
			{	/* Cfa/specialize.scm 238 */
				obj_t BgL_cellz00_1684;

				BgL_cellz00_1684 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_93,
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1684))
					{	/* Cfa/specialize.scm 242 */
						long BgL_arg1670z00_1686;

						BgL_arg1670z00_1686 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1684)));
						{	/* Cfa/specialize.scm 242 */
							obj_t BgL_tmpz00_3066;

							BgL_tmpz00_3066 = BINT(BgL_arg1670z00_1686);
							return SET_CDR(BgL_cellz00_1684, BgL_tmpz00_3066);
						}
					}
				else
					{	/* Cfa/specialize.scm 241 */
						obj_t BgL_arg1672z00_1688;

						BgL_arg1672z00_1688 =
							MAKE_YOUNG_PAIR(BgL_typez00_93, BINT(((long) 1)));
						return (BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7
							=
							MAKE_YOUNG_PAIR(BgL_arg1672z00_1688,
								BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7),
							BUNSPEC);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* install-specialize! */
	obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t
		BgL_specz00_94)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 247 */
			{	/* Cfa/specialize.scm 248 */
				obj_t BgL_genz00_1689;

				{	/* Cfa/specialize.scm 248 */
					obj_t BgL_pairz00_2403;

					BgL_pairz00_2403 = CDR(((obj_t) BgL_specz00_94));
					BgL_genz00_1689 = CAR(BgL_pairz00_2403);
				}
				{	/* Cfa/specialize.scm 248 */
					obj_t BgL_fixesz00_1690;

					{	/* Cfa/specialize.scm 249 */
						obj_t BgL_pairz00_2407;

						BgL_pairz00_2407 = CDR(((obj_t) BgL_specz00_94));
						BgL_fixesz00_1690 = CDR(BgL_pairz00_2407);
					}
					{	/* Cfa/specialize.scm 249 */
						obj_t BgL_genzd2idzd2_1691;

						BgL_genzd2idzd2_1691 = CAR(((obj_t) BgL_genz00_1689));
						{	/* Cfa/specialize.scm 250 */
							obj_t BgL_genzd2modzd2_1692;

							{	/* Cfa/specialize.scm 251 */
								obj_t BgL_pairz00_2412;

								BgL_pairz00_2412 = CDR(((obj_t) BgL_genz00_1689));
								BgL_genzd2modzd2_1692 = CAR(BgL_pairz00_2412);
							}
							{	/* Cfa/specialize.scm 251 */
								obj_t BgL_genericz00_1693;

								BgL_genericz00_1693 =
									BGl_findzd2globalzf2modulez20zzast_envz00
									(BgL_genzd2idzd2_1691, BgL_genzd2modzd2_1692);
								{	/* Cfa/specialize.scm 252 */

									if (BGl_isazf3zf3zz__objectz00(BgL_genericz00_1693,
											BGl_globalz00zzast_varz00))
										{
											obj_t BgL_fixesz00_1697;
											obj_t BgL_resz00_1698;

											BgL_fixesz00_1697 = BgL_fixesz00_1690;
											BgL_resz00_1698 = BNIL;
										BgL_zc3anonymousza31674ze3z83_1699:
											if (NULLP(BgL_fixesz00_1697))
												{	/* Cfa/specialize.scm 256 */
													if (BGl_isazf3zf3zz__objectz00(BgL_genericz00_1693,
															BGl_specializa7edzd2globalz75zzcfa_specializa7eza7))
														{
															obj_t BgL_auxz00_3097;
															BgL_specializa7edzd2globalz75_bglt
																BgL_auxz00_3090;
															{	/* Cfa/specialize.scm 259 */
																obj_t BgL_arg1680z00_1703;

																{
																	BgL_specializa7edzd2globalz75_bglt
																		BgL_auxz00_3098;
																	{
																		obj_t BgL_auxz00_3099;

																		{	/* Cfa/specialize.scm 259 */
																			BgL_objectz00_bglt BgL_tmpz00_3100;

																			BgL_tmpz00_3100 =
																				((BgL_objectz00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_genericz00_1693));
																			BgL_auxz00_3099 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_3100);
																		}
																		BgL_auxz00_3098 =
																			((BgL_specializa7edzd2globalz75_bglt)
																			BgL_auxz00_3099);
																	}
																	BgL_arg1680z00_1703 =
																		(((BgL_specializa7edzd2globalz75_bglt)
																			COBJECT(BgL_auxz00_3098))->BgL_fixz00);
																}
																BgL_auxz00_3097 =
																	BGl_appendzd221010zd2zzcfa_specializa7eza7
																	(BgL_arg1680z00_1703, BgL_resz00_1698);
															}
															{
																obj_t BgL_auxz00_3091;

																{	/* Cfa/specialize.scm 259 */
																	BgL_objectz00_bglt BgL_tmpz00_3092;

																	BgL_tmpz00_3092 =
																		((BgL_objectz00_bglt)
																		((BgL_globalz00_bglt) BgL_genericz00_1693));
																	BgL_auxz00_3091 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_3092);
																}
																BgL_auxz00_3090 =
																	((BgL_specializa7edzd2globalz75_bglt)
																	BgL_auxz00_3091);
															}
															return
																((((BgL_specializa7edzd2globalz75_bglt)
																		COBJECT(BgL_auxz00_3090))->BgL_fixz00) =
																((obj_t) BgL_auxz00_3097), BUNSPEC);
														}
													else
														{	/* Cfa/specialize.scm 257 */
															{	/* Cfa/specialize.scm 261 */
																BgL_specializa7edzd2globalz75_bglt
																	BgL_wide1153z00_1706;
																BgL_wide1153z00_1706 =
																	((BgL_specializa7edzd2globalz75_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_specializa7edzd2globalz75_bgl))));
																{	/* Cfa/specialize.scm 261 */
																	obj_t BgL_auxz00_3113;
																	BgL_objectz00_bglt BgL_tmpz00_3109;

																	BgL_auxz00_3113 =
																		((obj_t) BgL_wide1153z00_1706);
																	BgL_tmpz00_3109 =
																		((BgL_objectz00_bglt)
																		((BgL_globalz00_bglt)
																			((BgL_globalz00_bglt)
																				BgL_genericz00_1693)));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3109,
																		BgL_auxz00_3113);
																}
																{	/* Cfa/specialize.scm 261 */
																	long BgL_arg1684z00_1707;

																	{	/* Cfa/specialize.scm 261 */
																		long BgL_res2002z00_2417;

																		BgL_res2002z00_2417 =
																			BGL_CLASS_INDEX
																			(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
																		BgL_arg1684z00_1707 = BgL_res2002z00_2417;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_genericz00_1693))),
																		BgL_arg1684z00_1707);
																}
																((BgL_globalz00_bglt)
																	((BgL_globalz00_bglt)
																		((BgL_globalz00_bglt)
																			BgL_genericz00_1693)));
															}
															{
																BgL_specializa7edzd2globalz75_bglt
																	BgL_auxz00_3124;
																{
																	obj_t BgL_auxz00_3125;

																	{	/* Cfa/specialize.scm 262 */
																		BgL_objectz00_bglt BgL_tmpz00_3126;

																		BgL_tmpz00_3126 =
																			((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_genericz00_1693)));
																		BgL_auxz00_3125 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3126);
																	}
																	BgL_auxz00_3124 =
																		((BgL_specializa7edzd2globalz75_bglt)
																		BgL_auxz00_3125);
																}
																((((BgL_specializa7edzd2globalz75_bglt)
																			COBJECT(BgL_auxz00_3124))->BgL_fixz00) =
																	((obj_t) BgL_resz00_1698), BUNSPEC);
															}
															((BgL_globalz00_bglt)
																((BgL_globalz00_bglt) BgL_genericz00_1693));
															return
																(BGl_za2specializa7eza2za7zzcfa_specializa7eza7
																=
																MAKE_YOUNG_PAIR(BgL_genericz00_1693,
																	BGl_za2specializa7eza2za7zzcfa_specializa7eza7),
																BUNSPEC);
														}
												}
											else
												{	/* Cfa/specialize.scm 264 */
													obj_t BgL_fixz00_1709;

													BgL_fixz00_1709 = CAR(((obj_t) BgL_fixesz00_1697));
													{	/* Cfa/specialize.scm 264 */
														obj_t BgL_idz00_1710;

														BgL_idz00_1710 = CAR(((obj_t) BgL_fixz00_1709));
														{	/* Cfa/specialize.scm 265 */
															obj_t BgL_modz00_1711;

															{	/* Cfa/specialize.scm 266 */
																obj_t BgL_pairz00_2425;

																BgL_pairz00_2425 =
																	CDR(((obj_t) BgL_fixz00_1709));
																BgL_modz00_1711 = CAR(BgL_pairz00_2425);
															}
															{	/* Cfa/specialize.scm 266 */
																obj_t BgL_globalz00_1712;

																BgL_globalz00_1712 =
																	BGl_findzd2globalzf2modulez20zzast_envz00
																	(BgL_idz00_1710, BgL_modz00_1711);
																{	/* Cfa/specialize.scm 267 */

																	if (BGl_isazf3zf3zz__objectz00
																		(BgL_globalz00_1712,
																			BGl_globalz00zzast_varz00))
																		{	/* Cfa/specialize.scm 269 */
																			BgL_valuez00_bglt BgL_valz00_1714;

																			BgL_valz00_1714 =
																				(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_globalz00_1712))))->
																				BgL_valuez00);
																			{	/* Cfa/specialize.scm 271 */
																				bool_t BgL_testz00_3149;

																				{	/* Cfa/specialize.scm 271 */
																					bool_t BgL_testz00_3150;

																					{	/* Cfa/specialize.scm 271 */
																						bool_t BgL_res2004z00_2428;

																						BgL_res2004z00_2428 =
																							BGl_isazf3zf3zz__objectz00(
																							((obj_t) BgL_valz00_1714),
																							BGl_sfunz00zzast_varz00);
																						BgL_testz00_3150 =
																							BgL_res2004z00_2428;
																					}
																					if (BgL_testz00_3150)
																						{	/* Cfa/specialize.scm 271 */
																							obj_t BgL_tmpz00_3153;

																							BgL_tmpz00_3153 =
																								(((BgL_sfunz00_bglt) COBJECT(
																										((BgL_sfunz00_bglt)
																											BgL_valz00_1714)))->
																								BgL_argsz00);
																							BgL_testz00_3149 =
																								PAIRP(BgL_tmpz00_3153);
																						}
																					else
																						{	/* Cfa/specialize.scm 271 */
																							BgL_testz00_3149 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_3149)
																					{	/* Cfa/specialize.scm 272 */
																						obj_t BgL_typez00_1718;

																						{	/* Cfa/specialize.scm 272 */
																							obj_t BgL_vz00_1722;

																							{	/* Cfa/specialize.scm 272 */
																								obj_t BgL_pairz00_2432;

																								BgL_pairz00_2432 =
																									(((BgL_sfunz00_bglt) COBJECT(
																											((BgL_sfunz00_bglt)
																												BgL_valz00_1714)))->
																									BgL_argsz00);
																								BgL_vz00_1722 =
																									CAR(BgL_pairz00_2432);
																							}
																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_vz00_1722,
																									BGl_typez00zztype_typez00))
																								{	/* Cfa/specialize.scm 274 */
																									BgL_typez00_1718 =
																										BgL_vz00_1722;
																								}
																							else
																								{	/* Cfa/specialize.scm 274 */
																									if (BGl_isazf3zf3zz__objectz00
																										(BgL_vz00_1722,
																											BGl_localz00zzast_varz00))
																										{	/* Cfa/specialize.scm 276 */
																											BgL_typez00_1718 =
																												((obj_t)
																												(((BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																((BgL_localz00_bglt) BgL_vz00_1722))))->BgL_typez00));
																										}
																									else
																										{	/* Cfa/specialize.scm 282 */
																											obj_t BgL_arg1698z00_1725;

																											BgL_arg1698z00_1725 =
																												(((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_globalz00_bglt) BgL_globalz00_1712))))->BgL_idz00);
																											BgL_typez00_1718 =
																												BGl_internalzd2errorzd2zztools_errorz00
																												(BGl_string2053z00zzcfa_specializa7eza7,
																												BGl_string2054z00zzcfa_specializa7eza7,
																												BgL_arg1698z00_1725);
																										}
																								}
																						}
																						BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																							(BgL_typez00_1718);
																						{	/* Cfa/specialize.scm 284 */
																							obj_t BgL_arg1689z00_1719;
																							obj_t BgL_arg1690z00_1720;

																							BgL_arg1689z00_1719 =
																								CDR(
																								((obj_t) BgL_fixesz00_1697));
																							{	/* Cfa/specialize.scm 285 */
																								obj_t BgL_arg1691z00_1721;

																								BgL_arg1691z00_1721 =
																									MAKE_YOUNG_PAIR
																									(BgL_typez00_1718,
																									BgL_globalz00_1712);
																								BgL_arg1690z00_1720 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1691z00_1721,
																									BgL_resz00_1698);
																							}
																							{
																								obj_t BgL_resz00_3178;
																								obj_t BgL_fixesz00_3177;

																								BgL_fixesz00_3177 =
																									BgL_arg1689z00_1719;
																								BgL_resz00_3178 =
																									BgL_arg1690z00_1720;
																								BgL_resz00_1698 =
																									BgL_resz00_3178;
																								BgL_fixesz00_1697 =
																									BgL_fixesz00_3177;
																								goto
																									BgL_zc3anonymousza31674ze3z83_1699;
																							}
																						}
																					}
																				else
																					{	/* Cfa/specialize.scm 286 */
																						bool_t BgL_testz00_3179;

																						{	/* Cfa/specialize.scm 286 */
																							bool_t BgL_testz00_3180;

																							{	/* Cfa/specialize.scm 286 */
																								bool_t BgL_res2008z00_2438;

																								BgL_res2008z00_2438 =
																									BGl_isazf3zf3zz__objectz00(
																									((obj_t) BgL_valz00_1714),
																									BGl_cfunz00zzast_varz00);
																								BgL_testz00_3180 =
																									BgL_res2008z00_2438;
																							}
																							if (BgL_testz00_3180)
																								{	/* Cfa/specialize.scm 286 */
																									obj_t BgL_tmpz00_3183;

																									BgL_tmpz00_3183 =
																										(((BgL_cfunz00_bglt)
																											COBJECT((
																													(BgL_cfunz00_bglt)
																													BgL_valz00_1714)))->
																										BgL_argszd2typezd2);
																									BgL_testz00_3179 =
																										PAIRP(BgL_tmpz00_3183);
																								}
																							else
																								{	/* Cfa/specialize.scm 286 */
																									BgL_testz00_3179 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_testz00_3179)
																							{	/* Cfa/specialize.scm 287 */
																								obj_t BgL_typez00_1730;

																								{	/* Cfa/specialize.scm 287 */
																									obj_t BgL_pairz00_2442;

																									BgL_pairz00_2442 =
																										(((BgL_cfunz00_bglt)
																											COBJECT((
																													(BgL_cfunz00_bglt)
																													BgL_valz00_1714)))->
																										BgL_argszd2typezd2);
																									BgL_typez00_1730 =
																										CAR(BgL_pairz00_2442);
																								}
																								BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																									(BgL_typez00_1730);
																								{	/* Cfa/specialize.scm 289 */
																									obj_t BgL_arg1704z00_1731;
																									obj_t BgL_arg1707z00_1732;

																									BgL_arg1704z00_1731 =
																										CDR(
																										((obj_t)
																											BgL_fixesz00_1697));
																									{	/* Cfa/specialize.scm 290 */
																										obj_t BgL_arg1710z00_1733;

																										BgL_arg1710z00_1733 =
																											MAKE_YOUNG_PAIR
																											(BgL_typez00_1730,
																											BgL_globalz00_1712);
																										BgL_arg1707z00_1732 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1710z00_1733,
																											BgL_resz00_1698);
																									}
																									{
																										obj_t BgL_resz00_3196;
																										obj_t BgL_fixesz00_3195;

																										BgL_fixesz00_3195 =
																											BgL_arg1704z00_1731;
																										BgL_resz00_3196 =
																											BgL_arg1707z00_1732;
																										BgL_resz00_1698 =
																											BgL_resz00_3196;
																										BgL_fixesz00_1697 =
																											BgL_fixesz00_3195;
																										goto
																											BgL_zc3anonymousza31674ze3z83_1699;
																									}
																								}
																							}
																						else
																							{	/* Cfa/specialize.scm 286 */
																								return BFALSE;
																							}
																					}
																			}
																		}
																	else
																		{	/* Cfa/specialize.scm 268 */
																			{	/* Cfa/specialize.scm 295 */
																				obj_t BgL_arg1732z00_1739;

																				BgL_arg1732z00_1739 =
																					MAKE_YOUNG_PAIR(BgL_idz00_1710,
																					BgL_modz00_1711);
																				{	/* Cfa/specialize.scm 292 */
																					obj_t BgL_list1733z00_1740;

																					{	/* Cfa/specialize.scm 292 */
																						obj_t BgL_arg1736z00_1741;

																						{	/* Cfa/specialize.scm 292 */
																							obj_t BgL_arg1743z00_1742;

																							{	/* Cfa/specialize.scm 292 */
																								obj_t BgL_arg1745z00_1743;

																								BgL_arg1745z00_1743 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1732z00_1739, BNIL);
																								BgL_arg1743z00_1742 =
																									MAKE_YOUNG_PAIR
																									(BGl_string2055z00zzcfa_specializa7eza7,
																									BgL_arg1745z00_1743);
																							}
																							BgL_arg1736z00_1741 =
																								MAKE_YOUNG_PAIR
																								(BGl_string2056z00zzcfa_specializa7eza7,
																								BgL_arg1743z00_1742);
																						}
																						BgL_list1733z00_1740 =
																							MAKE_YOUNG_PAIR
																							(BGl_string2057z00zzcfa_specializa7eza7,
																							BgL_arg1736z00_1741);
																					}
																					BGl_warningz00zz__errorz00
																						(BgL_list1733z00_1740);
																				}
																			}
																			{	/* Cfa/specialize.scm 296 */
																				obj_t BgL_arg1746z00_1744;

																				BgL_arg1746z00_1744 =
																					CDR(((obj_t) BgL_fixesz00_1697));
																				{
																					obj_t BgL_fixesz00_3205;

																					BgL_fixesz00_3205 =
																						BgL_arg1746z00_1744;
																					BgL_fixesz00_1697 = BgL_fixesz00_3205;
																					goto
																						BgL_zc3anonymousza31674ze3z83_1699;
																				}
																			}
																		}
																}
															}
														}
													}
												}
										}
									else
										{	/* Cfa/specialize.scm 300 */
											obj_t BgL_arg1747z00_1746;

											BgL_arg1747z00_1746 =
												MAKE_YOUNG_PAIR(BgL_genzd2idzd2_1691,
												BgL_genzd2modzd2_1692);
											{	/* Cfa/specialize.scm 297 */
												obj_t BgL_list1748z00_1747;

												{	/* Cfa/specialize.scm 297 */
													obj_t BgL_arg1749z00_1748;

													{	/* Cfa/specialize.scm 297 */
														obj_t BgL_arg1750z00_1749;

														{	/* Cfa/specialize.scm 297 */
															obj_t BgL_arg1751z00_1750;

															BgL_arg1751z00_1750 =
																MAKE_YOUNG_PAIR(BgL_arg1747z00_1746, BNIL);
															BgL_arg1750z00_1749 =
																MAKE_YOUNG_PAIR
																(BGl_string2055z00zzcfa_specializa7eza7,
																BgL_arg1751z00_1750);
														}
														BgL_arg1749z00_1748 =
															MAKE_YOUNG_PAIR
															(BGl_string2056z00zzcfa_specializa7eza7,
															BgL_arg1750z00_1749);
													}
													BgL_list1748z00_1747 =
														MAKE_YOUNG_PAIR
														(BGl_string2057z00zzcfa_specializa7eza7,
														BgL_arg1749z00_1748);
												}
												return BGl_warningz00zz__errorz00(BgL_list1748z00_1747);
											}
										}
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* uninstall-specializes! */
	obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 305 */
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			{
				obj_t BgL_l1360z00_1752;

				BgL_l1360z00_1752 = BGl_za2specializa7eza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza31752ze3z83_1753:
				if (PAIRP(BgL_l1360z00_1752))
					{	/* Cfa/specialize.scm 307 */
						{	/* Cfa/specialize.scm 307 */
							obj_t BgL_oz00_1755;

							BgL_oz00_1755 = CAR(BgL_l1360z00_1752);
							{	/* Cfa/specialize.scm 307 */
								long BgL_arg1754z00_1757;

								{	/* Cfa/specialize.scm 307 */
									obj_t BgL_arg1755z00_1758;

									{	/* Cfa/specialize.scm 307 */
										obj_t BgL_arg1758z00_1759;

										{	/* Cfa/specialize.scm 307 */
											long BgL_arg1741z00_2448;

											{	/* Cfa/specialize.scm 307 */
												long BgL_arg1744z00_2449;

												{	/* Cfa/specialize.scm 307 */
													long BgL_res2011z00_2451;

													BgL_res2011z00_2451 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt) BgL_oz00_1755));
													BgL_arg1744z00_2449 = BgL_res2011z00_2451;
												}
												BgL_arg1741z00_2448 =
													(BgL_arg1744z00_2449 - OBJECT_TYPE);
											}
											BgL_arg1758z00_1759 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1741z00_2448);
										}
										BgL_arg1755z00_1758 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1758z00_1759);
									}
									{	/* Cfa/specialize.scm 307 */
										long BgL_res2013z00_2458;

										{	/* Cfa/specialize.scm 307 */
											obj_t BgL_tmpz00_3220;

											BgL_tmpz00_3220 = ((obj_t) BgL_arg1755z00_1758);
											BgL_res2013z00_2458 = BGL_CLASS_INDEX(BgL_tmpz00_3220);
										}
										BgL_arg1754z00_1757 = BgL_res2013z00_2458;
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_oz00_1755), BgL_arg1754z00_1757);
							}
							{	/* Cfa/specialize.scm 307 */
								BgL_objectz00_bglt BgL_tmpz00_3225;

								BgL_tmpz00_3225 = ((BgL_objectz00_bglt) BgL_oz00_1755);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3225, BFALSE);
							} BgL_oz00_1755;
						}
						{
							obj_t BgL_l1360z00_3228;

							BgL_l1360z00_3228 = CDR(BgL_l1360z00_1752);
							BgL_l1360z00_1752 = BgL_l1360z00_3228;
							goto BgL_zc3anonymousza31752ze3z83_1753;
						}
					}
				else
					{	/* Cfa/specialize.scm 307 */
						((bool_t) 1);
					}
			}
			return (BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL, BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* patch-tree! */
	bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t BgL_globalsz00_95)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 313 */
			{
				obj_t BgL_l1362z00_1763;

				BgL_l1362z00_1763 = BgL_globalsz00_95;
			BgL_zc3anonymousza31760ze3z83_1764:
				if (PAIRP(BgL_l1362z00_1763))
					{	/* Cfa/specialize.scm 314 */
						BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR(BgL_l1362z00_1763));
						{
							obj_t BgL_l1362z00_3234;

							BgL_l1362z00_3234 = CDR(BgL_l1362z00_1763);
							BgL_l1362z00_1763 = BgL_l1362z00_3234;
							goto BgL_zc3anonymousza31760ze3z83_1764;
						}
					}
				else
					{	/* Cfa/specialize.scm 314 */
						return ((bool_t) 1);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* patch-fun! */
	obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t BgL_variablez00_96)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 319 */
			{	/* Cfa/specialize.scm 320 */
				BgL_valuez00_bglt BgL_funz00_1769;

				BgL_funz00_1769 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_96)))->BgL_valuez00);
				{	/* Cfa/specialize.scm 321 */
					obj_t BgL_arg1764z00_1770;

					{	/* Cfa/specialize.scm 321 */
						obj_t BgL_arg1765z00_1771;

						BgL_arg1765z00_1771 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1769)))->BgL_bodyz00);
						BgL_arg1764z00_1770 =
							BGl_patchz12z12zzcfa_specializa7eza7(
							((BgL_nodez00_bglt) BgL_arg1765z00_1771));
					}
					return
						((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1769)))->BgL_bodyz00) =
						((obj_t) BgL_arg1764z00_1770), BUNSPEC);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* patch*! */
	obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t BgL_nodeza2za2_119)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 526 */
			{
				obj_t BgL_nodeza2za2_1773;

				BgL_nodeza2za2_1773 = BgL_nodeza2za2_119;
			BgL_zc3anonymousza31766ze3z83_1774:
				if (NULLP(BgL_nodeza2za2_1773))
					{	/* Cfa/specialize.scm 528 */
						return CNST_TABLE_REF(((long) 7));
					}
				else
					{	/* Cfa/specialize.scm 528 */
						{	/* Cfa/specialize.scm 531 */
							obj_t BgL_arg1768z00_1776;

							{	/* Cfa/specialize.scm 531 */
								obj_t BgL_arg1769z00_1777;

								BgL_arg1769z00_1777 = CAR(((obj_t) BgL_nodeza2za2_1773));
								BgL_arg1768z00_1776 =
									BGl_patchz12z12zzcfa_specializa7eza7(
									((BgL_nodez00_bglt) BgL_arg1769z00_1777));
							}
							{	/* Cfa/specialize.scm 531 */
								obj_t BgL_tmpz00_3251;

								BgL_tmpz00_3251 = ((obj_t) BgL_nodeza2za2_1773);
								SET_CAR(BgL_tmpz00_3251, BgL_arg1768z00_1776);
							}
						}
						{	/* Cfa/specialize.scm 532 */
							obj_t BgL_arg1770z00_1778;

							BgL_arg1770z00_1778 = CDR(((obj_t) BgL_nodeza2za2_1773));
							{
								obj_t BgL_nodeza2za2_3256;

								BgL_nodeza2za2_3256 = BgL_arg1770z00_1778;
								BgL_nodeza2za2_1773 = BgL_nodeza2za2_3256;
								goto BgL_zc3anonymousza31766ze3z83_1774;
							}
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* specialize-app! */
	BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_121)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 551 */
			if (NULLP((((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->BgL_argsz00)))
				{	/* Cfa/specialize.scm 560 */
					return BgL_nodez00_121;
				}
			else
				{	/* Cfa/specialize.scm 564 */
					obj_t BgL_typez00_1784;

					BgL_typez00_1784 =
						BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7(CAR(
							(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->BgL_argsz00)));
					{	/* Cfa/specialize.scm 564 */
						BgL_variablez00_bglt BgL_gloz00_1785;

						BgL_gloz00_1785 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Cfa/specialize.scm 565 */
							obj_t BgL_specz00_1786;

							{	/* Cfa/specialize.scm 566 */
								obj_t BgL_auxz00_3265;

								{
									BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3266;

									{
										obj_t BgL_auxz00_3267;

										{	/* Cfa/specialize.scm 566 */
											BgL_objectz00_bglt BgL_tmpz00_3268;

											BgL_tmpz00_3268 =
												((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_gloz00_1785));
											BgL_auxz00_3267 = BGL_OBJECT_WIDENING(BgL_tmpz00_3268);
										}
										BgL_auxz00_3266 =
											((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3267);
									}
									BgL_auxz00_3265 =
										(((BgL_specializa7edzd2globalz75_bglt)
											COBJECT(BgL_auxz00_3266))->BgL_fixz00);
								}
								BgL_specz00_1786 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_1784,
									BgL_auxz00_3265);
							}
							{	/* Cfa/specialize.scm 566 */

								if (PAIRP(BgL_specz00_1786))
									{	/* Cfa/specialize.scm 568 */
										obj_t BgL_g1175z00_1788;

										BgL_g1175z00_1788 =
											CDR(
											(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->
												BgL_argsz00));
										{
											obj_t BgL_argsz00_1790;

											BgL_argsz00_1790 = BgL_g1175z00_1788;
										BgL_zc3anonymousza31775ze3z83_1791:
											if (NULLP(BgL_argsz00_1790))
												{	/* Cfa/specialize.scm 570 */
													BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
														(BgL_typez00_1784);
													{	/* Cfa/specialize.scm 572 */
														BgL_varz00_bglt BgL_arg1777z00_1793;
														obj_t BgL_arg1779z00_1794;

														BgL_arg1777z00_1793 =
															(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->
															BgL_funz00);
														BgL_arg1779z00_1794 =
															CDR(((obj_t) BgL_specz00_1786));
														((((BgL_varz00_bglt) COBJECT(BgL_arg1777z00_1793))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_arg1779z00_1794)), BUNSPEC);
													}
													{	/* Cfa/specialize.scm 573 */
														BgL_typez00_bglt BgL_ntz00_1795;

														BgL_ntz00_1795 =
															(((BgL_variablez00_bglt) COBJECT(
																	(((BgL_varz00_bglt) COBJECT(
																				(((BgL_appz00_bglt)
																						COBJECT(BgL_nodez00_121))->
																					BgL_funz00)))->BgL_variablez00)))->
															BgL_typez00);
														{	/* Cfa/specialize.scm 574 */
															BgL_typez00_bglt BgL_arg1780z00_1796;

															BgL_arg1780z00_1796 =
																BGl_strictzd2nodezd2typez00zzast_nodez00
																(BgL_ntz00_1795,
																((BgL_typez00_bglt) BgL_typez00_1784));
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_nodez00_121)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_arg1780z00_1796),
																BUNSPEC);
														}
													}
													return BgL_nodez00_121;
												}
											else
												{	/* Cfa/specialize.scm 576 */
													bool_t BgL_testz00_3294;

													{	/* Cfa/specialize.scm 576 */
														obj_t BgL_arg1788z00_1803;

														{	/* Cfa/specialize.scm 576 */
															obj_t BgL_arg1789z00_1804;

															BgL_arg1789z00_1804 =
																CAR(((obj_t) BgL_argsz00_1790));
															BgL_arg1788z00_1803 =
																BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7
																(BgL_arg1789z00_1804);
														}
														BgL_testz00_3294 =
															(BgL_arg1788z00_1803 == BgL_typez00_1784);
													}
													if (BgL_testz00_3294)
														{	/* Cfa/specialize.scm 577 */
															obj_t BgL_arg1786z00_1802;

															BgL_arg1786z00_1802 =
																CDR(((obj_t) BgL_argsz00_1790));
															{
																obj_t BgL_argsz00_3301;

																BgL_argsz00_3301 = BgL_arg1786z00_1802;
																BgL_argsz00_1790 = BgL_argsz00_3301;
																goto BgL_zc3anonymousza31775ze3z83_1791;
															}
														}
													else
														{	/* Cfa/specialize.scm 576 */
															return
																BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
																(BgL_nodez00_121);
														}
												}
										}
									}
								else
									{	/* Cfa/specialize.scm 567 */
										return
											BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
											(BgL_nodez00_121);
									}
							}
						}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* normalize-get-type~0 */
	obj_t BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7(obj_t
		BgL_valz00_1812)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 557 */
			{	/* Cfa/specialize.scm 554 */
				BgL_typez00_bglt BgL_tyz00_1814;

				BgL_tyz00_1814 =
					BGl_getzd2typezd2zztype_typeofz00(
					((BgL_nodez00_bglt) BgL_valz00_1812), ((bool_t) 0));
				if ((((obj_t) BgL_tyz00_1814) == BGl_za2intza2z00zztype_cachez00))
					{	/* Cfa/specialize.scm 555 */
						return BGl_za2longza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/specialize.scm 555 */
						return ((obj_t) BgL_tyz00_1814);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* specialize-eq? */
	BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_122)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 590 */
			{
				BgL_appz00_bglt BgL_nodez00_1854;
				obj_t BgL_typez00_1855;

				{	/* Cfa/specialize.scm 597 */
					bool_t BgL_testz00_3310;

					{	/* Cfa/specialize.scm 597 */
						bool_t BgL_testz00_3311;

						{	/* Cfa/specialize.scm 597 */
							BgL_variablez00_bglt BgL_arg1829z00_1852;

							BgL_arg1829z00_1852 =
								(((BgL_varz00_bglt) COBJECT(
										(((BgL_appz00_bglt) COBJECT(BgL_nodez00_122))->
											BgL_funz00)))->BgL_variablez00);
							BgL_testz00_3311 =
								(((obj_t) BgL_arg1829z00_1852) ==
								BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7);
						}
						if (BgL_testz00_3311)
							{	/* Cfa/specialize.scm 598 */
								obj_t BgL_arg1828z00_1851;

								BgL_arg1828z00_1851 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								BgL_testz00_3310 =
									(((BgL_backendz00_bglt) COBJECT(
											((BgL_backendz00_bglt) BgL_arg1828z00_1851)))->
									BgL_typedzd2eqzd2);
							}
						else
							{	/* Cfa/specialize.scm 597 */
								BgL_testz00_3310 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3310)
						{	/* Cfa/specialize.scm 600 */
							BgL_typez00_bglt BgL_t1z00_1826;
							BgL_typez00_bglt BgL_t2z00_1827;

							{	/* Cfa/specialize.scm 600 */
								obj_t BgL_arg1822z00_1846;

								BgL_arg1822z00_1846 =
									CAR(
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_122))->BgL_argsz00));
								BgL_t1z00_1826 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg1822z00_1846), ((bool_t) 0));
							}
							{	/* Cfa/specialize.scm 601 */
								obj_t BgL_arg1824z00_1848;

								{	/* Cfa/specialize.scm 601 */
									obj_t BgL_pairz00_2497;

									BgL_pairz00_2497 =
										(((BgL_appz00_bglt) COBJECT(BgL_nodez00_122))->BgL_argsz00);
									BgL_arg1824z00_1848 = CAR(CDR(BgL_pairz00_2497));
								}
								BgL_t2z00_1827 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg1824z00_1848), ((bool_t) 0));
							}
							{	/* Cfa/specialize.scm 603 */
								bool_t BgL_testz00_3328;

								if (
									(((obj_t) BgL_t1z00_1826) == BGl_za2objza2z00zztype_cachez00))
									{	/* Cfa/specialize.scm 603 */
										BgL_testz00_3328 =
											(
											((obj_t) BgL_t2z00_1827) ==
											BGl_za2objza2z00zztype_cachez00);
									}
								else
									{	/* Cfa/specialize.scm 603 */
										BgL_testz00_3328 = ((bool_t) 0);
									}
								if (BgL_testz00_3328)
									{	/* Cfa/specialize.scm 603 */
										BUNSPEC;
									}
								else
									{	/* Cfa/specialize.scm 603 */
										if (
											(((obj_t) BgL_t1z00_1826) ==
												BGl_za2bintza2z00zztype_cachez00))
											{	/* Cfa/specialize.scm 605 */
												if (
													(((obj_t) BgL_t2z00_1827) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 606 */
														BgL_nodez00_1854 = BgL_nodez00_122;
														BgL_typez00_1855 = BGl_za2bintza2z00zztype_cachez00;
													BgL_zc3anonymousza31831ze3z83_1856:
														{	/* Cfa/specialize.scm 593 */
															bool_t BgL_testz00_3340;

															{	/* Cfa/specialize.scm 593 */
																bool_t BgL_res2019z00_2489;

																{	/* Cfa/specialize.scm 593 */
																	obj_t BgL_objz00_2488;

																	BgL_objz00_2488 =
																		BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7;
																	BgL_res2019z00_2489 =
																		BGl_isazf3zf3zz__objectz00(BgL_objz00_2488,
																		BGl_globalz00zzast_varz00);
																}
																BgL_testz00_3340 = BgL_res2019z00_2489;
															}
															if (BgL_testz00_3340)
																{	/* Cfa/specialize.scm 593 */
																	{	/* Cfa/specialize.scm 594 */
																		BgL_varz00_bglt BgL_arg1833z00_1858;

																		BgL_arg1833z00_1858 =
																			(((BgL_appz00_bglt)
																				COBJECT(BgL_nodez00_122))->BgL_funz00);
																		{	/* Cfa/specialize.scm 594 */
																			BgL_variablez00_bglt BgL_vz00_2491;

																			BgL_vz00_2491 =
																				((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7));
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1833z00_1858))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_2491),
																				BUNSPEC);
																		}
																	}
																	BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7
																		(BgL_typez00_1855);
																}
															else
																{	/* Cfa/specialize.scm 593 */
																	BFALSE;
																}
														}
													}
												else
													{	/* Cfa/specialize.scm 606 */
														BFALSE;
													}
											}
										else
											{	/* Cfa/specialize.scm 605 */
												if (
													(((obj_t) BgL_t2z00_1827) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 609 */
														BUNSPEC;
													}
												else
													{	/* Cfa/specialize.scm 609 */
														if (
															(((obj_t) BgL_t1z00_1826) ==
																BGl_za2brealza2z00zztype_cachez00))
															{	/* Cfa/specialize.scm 611 */
																if (
																	(((obj_t) BgL_t2z00_1827) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{
																		obj_t BgL_typez00_3357;
																		BgL_appz00_bglt BgL_nodez00_3356;

																		BgL_nodez00_3356 = BgL_nodez00_122;
																		BgL_typez00_3357 =
																			BGl_za2brealza2z00zztype_cachez00;
																		BgL_typez00_1855 = BgL_typez00_3357;
																		BgL_nodez00_1854 = BgL_nodez00_3356;
																		goto BgL_zc3anonymousza31831ze3z83_1856;
																	}
																else
																	{	/* Cfa/specialize.scm 612 */
																		BFALSE;
																	}
															}
														else
															{	/* Cfa/specialize.scm 611 */
																if (
																	(((obj_t) BgL_t2z00_1827) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{	/* Cfa/specialize.scm 615 */
																		BUNSPEC;
																	}
																else
																	{	/* Cfa/specialize.scm 615 */
																		if (
																			(((obj_t) BgL_t2z00_1827) ==
																				BGl_za2bintza2z00zztype_cachez00))
																			{	/* Cfa/specialize.scm 617 */
																				BUNSPEC;
																			}
																		else
																			{	/* Cfa/specialize.scm 617 */
																				if (
																					(((obj_t) BgL_t1z00_1826) ==
																						BGl_za2bcharza2z00zztype_cachez00))
																					{	/* Cfa/specialize.scm 619 */
																						if (
																							(((obj_t) BgL_t2z00_1827) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{
																								obj_t BgL_typez00_3371;
																								BgL_appz00_bglt
																									BgL_nodez00_3370;
																								BgL_nodez00_3370 =
																									BgL_nodez00_122;
																								BgL_typez00_3371 =
																									BGl_za2bcharza2z00zztype_cachez00;
																								BgL_typez00_1855 =
																									BgL_typez00_3371;
																								BgL_nodez00_1854 =
																									BgL_nodez00_3370;
																								goto
																									BgL_zc3anonymousza31831ze3z83_1856;
																							}
																						else
																							{	/* Cfa/specialize.scm 620 */
																								BFALSE;
																							}
																					}
																				else
																					{	/* Cfa/specialize.scm 619 */
																						if (
																							(((obj_t) BgL_t2z00_1827) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{	/* Cfa/specialize.scm 623 */
																								BUNSPEC;
																							}
																						else
																							{	/* Cfa/specialize.scm 625 */
																								bool_t BgL_testz00_3375;

																								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_1826))
																									{	/* Cfa/specialize.scm 625 */
																										BgL_testz00_3375 =
																											BGl_bigloozd2typezf3z21zztype_typez00
																											(BgL_t2z00_1827);
																									}
																								else
																									{	/* Cfa/specialize.scm 625 */
																										BgL_testz00_3375 =
																											((bool_t) 0);
																									}
																								if (BgL_testz00_3375)
																									{	/* Cfa/specialize.scm 627 */
																										BgL_typez00_bglt
																											BgL_arg1820z00_1842;
																										if ((((obj_t)
																													BgL_t1z00_1826) ==
																												BGl_za2objza2z00zztype_cachez00))
																											{	/* Cfa/specialize.scm 627 */
																												BgL_arg1820z00_1842 =
																													BgL_t2z00_1827;
																											}
																										else
																											{	/* Cfa/specialize.scm 627 */
																												BgL_arg1820z00_1842 =
																													BgL_t1z00_1826;
																											}
																										{
																											obj_t BgL_typez00_3383;
																											BgL_appz00_bglt
																												BgL_nodez00_3382;
																											BgL_nodez00_3382 =
																												BgL_nodez00_122;
																											BgL_typez00_3383 =
																												((obj_t)
																												BgL_arg1820z00_1842);
																											BgL_typez00_1855 =
																												BgL_typez00_3383;
																											BgL_nodez00_1854 =
																												BgL_nodez00_3382;
																											goto
																												BgL_zc3anonymousza31831ze3z83_1856;
																										}
																									}
																								else
																									{	/* Cfa/specialize.scm 625 */
																										BUNSPEC;
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
							return BgL_nodez00_122;
						}
					else
						{	/* Cfa/specialize.scm 597 */
							return BgL_nodez00_122;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 35 */
				obj_t BgL_arg1839z00_1864;
				obj_t BgL_arg1840z00_1865;

				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1373z00_1907;

					BgL_v1373z00_1907 = create_vector(((long) 1));
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg1853z00_1908;

						BgL_arg1853z00_1908 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc2059z00zzcfa_specializa7eza7,
							BGl_proc2058z00zzcfa_specializa7eza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 9)));
						VECTOR_SET(BgL_v1373z00_1907, ((long) 0), BgL_arg1853z00_1908);
					}
					BgL_arg1839z00_1864 = BgL_v1373z00_1907;
				}
				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1374z00_1918;

					BgL_v1374z00_1918 = create_vector(((long) 0));
					BgL_arg1840z00_1865 = BgL_v1374z00_1918;
				}
				return (BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 10)),
						CNST_TABLE_REF(((long) 11)), BGl_globalz00zzast_varz00,
						((long) 16878), BGl_proc2063z00zzcfa_specializa7eza7,
						BGl_proc2062z00zzcfa_specializa7eza7, BFALSE,
						BGl_proc2061z00zzcfa_specializa7eza7,
						BGl_proc2060z00zzcfa_specializa7eza7, BgL_arg1839z00_1864,
						BgL_arg1840z00_1865), BUNSPEC);
		}}
		BGL_FUNCTION_END;
	}



/* &lambda1848 */
	BgL_globalz00_bglt BGl_z62lambda1848z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_2620, obj_t BgL_o1129z00_2621)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 35 */
			{	/* Cfa/specialize.scm 35 */
				long BgL_arg1849z00_2738;

				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_arg1850z00_2739;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg1851z00_2740;

						{	/* Cfa/specialize.scm 35 */
							long BgL_arg1741z00_2741;

							{	/* Cfa/specialize.scm 35 */
								long BgL_arg1744z00_2742;

								{	/* Cfa/specialize.scm 35 */
									long BgL_res2024z00_2743;

									BgL_res2024z00_2743 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt) BgL_o1129z00_2621)));
									BgL_arg1744z00_2742 = BgL_res2024z00_2743;
								}
								BgL_arg1741z00_2741 = (BgL_arg1744z00_2742 - OBJECT_TYPE);
							}
							BgL_arg1851z00_2740 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1741z00_2741);
						}
						BgL_arg1850z00_2739 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1851z00_2740);
					}
					{	/* Cfa/specialize.scm 35 */
						long BgL_res2026z00_2744;

						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_tmpz00_3400;

							BgL_tmpz00_3400 = ((obj_t) BgL_arg1850z00_2739);
							BgL_res2026z00_2744 = BGL_CLASS_INDEX(BgL_tmpz00_3400);
						}
						BgL_arg1849z00_2738 = BgL_res2026z00_2744;
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) BgL_o1129z00_2621)), BgL_arg1849z00_2738);
			}
			{	/* Cfa/specialize.scm 35 */
				BgL_objectz00_bglt BgL_tmpz00_3406;

				BgL_tmpz00_3406 =
					((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1129z00_2621));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3406, BFALSE);
			}
			return ((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1129z00_2621));
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1847> */
	obj_t BGl_z62zc3anonymousza31847ze3ze1zzcfa_specializa7eza7(obj_t
		BgL_envz00_2622, obj_t BgL_new1128z00_2623)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_new1128z00_1899;

				{
					BgL_globalz00_bglt BgL_auxz00_3412;

					BgL_new1128z00_1899 = ((BgL_globalz00_bglt) BgL_new1128z00_2623);
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1128z00_1899)))->BgL_idz00) =
						((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1128z00_1899)))->BgL_namez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_typez00_bglt BgL_auxz00_3418;

						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_classz00_2520;

							BgL_classz00_2520 = BGl_typez00zztype_typez00;
							{	/* Cfa/specialize.scm 35 */
								obj_t BgL__ortest_1105z00_2521;

								BgL__ortest_1105z00_2521 = BGL_CLASS_NIL(BgL_classz00_2520);
								if (CBOOL(BgL__ortest_1105z00_2521))
									{	/* Cfa/specialize.scm 35 */
										BgL_auxz00_3418 =
											((BgL_typez00_bglt) BgL__ortest_1105z00_2521);
									}
								else
									{	/* Cfa/specialize.scm 35 */
										BgL_auxz00_3418 =
											((BgL_typez00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2520));
									}
							}
						}
						((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_new1128z00_1899)))->
								BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3418), BUNSPEC);
					}
					{
						BgL_valuez00_bglt BgL_auxz00_3427;

						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_classz00_2522;

							BgL_classz00_2522 = BGl_valuez00zzast_varz00;
							{	/* Cfa/specialize.scm 35 */
								obj_t BgL__ortest_1105z00_2523;

								BgL__ortest_1105z00_2523 = BGL_CLASS_NIL(BgL_classz00_2522);
								if (CBOOL(BgL__ortest_1105z00_2523))
									{	/* Cfa/specialize.scm 35 */
										BgL_auxz00_3427 =
											((BgL_valuez00_bglt) BgL__ortest_1105z00_2523);
									}
								else
									{	/* Cfa/specialize.scm 35 */
										BgL_auxz00_3427 =
											((BgL_valuez00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2522));
									}
							}
						}
						((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_new1128z00_1899)))->
								BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3427), BUNSPEC);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1128z00_1899)))->
							BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1128z00_1899)))->BgL_fastzd2alphazd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1128z00_1899)))->BgL_removablez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1128z00_1899)))->BgL_occurrencez00) =
						((long) ((long) 0)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1128z00_1899)))->BgL_occurrencewz00) =
						((long) ((long) 0)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1128z00_1899)))->BgL_userzf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1128z00_1899)))->BgL_modulez00) =
						((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1128z00_1899)))->BgL_importz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1128z00_1899)))->BgL_evaluablezf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1128z00_1899)))->BgL_evalzf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1128z00_1899)))->BgL_libraryz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1128z00_1899)))->BgL_pragmaz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1128z00_1899)))->BgL_srcz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1128z00_1899)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BGl_string2064z00zzcfa_specializa7eza7), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1128z00_1899)))->BgL_initz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1128z00_1899)))->BgL_aliasz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3469;

						{
							obj_t BgL_auxz00_3470;

							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_3471;

								BgL_tmpz00_3471 = ((BgL_objectz00_bglt) BgL_new1128z00_1899);
								BgL_auxz00_3470 = BGL_OBJECT_WIDENING(BgL_tmpz00_3471);
							}
							BgL_auxz00_3469 =
								((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3470);
						}
						((((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_3469))->
								BgL_fixz00) = ((obj_t) BUNSPEC), BUNSPEC);
					}
					BgL_auxz00_3412 = BgL_new1128z00_1899;
					return ((obj_t) BgL_auxz00_3412);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1844 */
	BgL_globalz00_bglt BGl_z62lambda1844z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_2624, obj_t BgL_o1124z00_2625)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 35 */
			{	/* Cfa/specialize.scm 35 */
				BgL_specializa7edzd2globalz75_bglt BgL_wide1126z00_2751;

				BgL_wide1126z00_2751 =
					((BgL_specializa7edzd2globalz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_specializa7edzd2globalz75_bgl))));
				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_auxz00_3483;
					BgL_objectz00_bglt BgL_tmpz00_3479;

					BgL_auxz00_3483 = ((obj_t) BgL_wide1126z00_2751);
					BgL_tmpz00_3479 =
						((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1124z00_2625)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3479, BgL_auxz00_3483);
				}
				{	/* Cfa/specialize.scm 35 */
					long BgL_arg1846z00_2752;

					{	/* Cfa/specialize.scm 35 */
						long BgL_res2023z00_2753;

						BgL_res2023z00_2753 =
							BGL_CLASS_INDEX
							(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
						BgL_arg1846z00_2752 = BgL_res2023z00_2753;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_o1124z00_2625))),
						BgL_arg1846z00_2752);
				}
				return
					((BgL_globalz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1124z00_2625)));
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1841 */
	BgL_globalz00_bglt BGl_z62lambda1841z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_2626, obj_t BgL_id1103z00_2627, obj_t BgL_name1104z00_2628,
		obj_t BgL_type1105z00_2629, obj_t BgL_value1106z00_2630,
		obj_t BgL_access1107z00_2631, obj_t BgL_fastzd2alpha1108zd2_2632,
		obj_t BgL_removable1109z00_2633, obj_t BgL_occurrence1110z00_2634,
		obj_t BgL_occurrencew1111z00_2635, obj_t BgL_userzf31112zf3_2636,
		obj_t BgL_module1113z00_2637, obj_t BgL_import1114z00_2638,
		obj_t BgL_evaluablezf31115zf3_2639, obj_t BgL_evalzf31116zf3_2640,
		obj_t BgL_library1117z00_2641, obj_t BgL_pragma1118z00_2642,
		obj_t BgL_src1119z00_2643, obj_t BgL_jvmzd2typezd2name1120z00_2644,
		obj_t BgL_init1121z00_2645, obj_t BgL_alias1122z00_2646,
		obj_t BgL_fix1123z00_2647)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 35 */
			{	/* Cfa/specialize.scm 35 */
				long BgL_occurrence1110z00_2757;
				long BgL_occurrencew1111z00_2758;
				bool_t BgL_userzf31112zf3_2759;
				bool_t BgL_evaluablezf31115zf3_2761;
				bool_t BgL_evalzf31116zf3_2762;

				BgL_occurrence1110z00_2757 = (long) CINT(BgL_occurrence1110z00_2634);
				BgL_occurrencew1111z00_2758 = (long) CINT(BgL_occurrencew1111z00_2635);
				BgL_userzf31112zf3_2759 = CBOOL(BgL_userzf31112zf3_2636);
				BgL_evaluablezf31115zf3_2761 = CBOOL(BgL_evaluablezf31115zf3_2639);
				BgL_evalzf31116zf3_2762 = CBOOL(BgL_evalzf31116zf3_2640);
				{	/* Cfa/specialize.scm 35 */
					BgL_globalz00_bglt BgL_new1182z00_2764;

					{	/* Cfa/specialize.scm 35 */
						BgL_globalz00_bglt BgL_tmp1179z00_2765;
						BgL_specializa7edzd2globalz75_bglt BgL_wide1180z00_2766;

						{
							BgL_globalz00_bglt BgL_auxz00_3499;

							{	/* Cfa/specialize.scm 35 */
								BgL_globalz00_bglt BgL_new1178z00_2767;

								BgL_new1178z00_2767 =
									((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Cfa/specialize.scm 35 */
									long BgL_arg1843z00_2768;

									{	/* Cfa/specialize.scm 35 */
										long BgL_res2021z00_2769;

										BgL_res2021z00_2769 =
											BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
										BgL_arg1843z00_2768 = BgL_res2021z00_2769;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1178z00_2767),
										BgL_arg1843z00_2768);
								}
								{	/* Cfa/specialize.scm 35 */
									BgL_objectz00_bglt BgL_tmpz00_3504;

									BgL_tmpz00_3504 = ((BgL_objectz00_bglt) BgL_new1178z00_2767);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3504, BFALSE);
								}
								BgL_auxz00_3499 = BgL_new1178z00_2767;
							}
							BgL_tmp1179z00_2765 = ((BgL_globalz00_bglt) BgL_auxz00_3499);
						}
						BgL_wide1180z00_2766 =
							((BgL_specializa7edzd2globalz75_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_specializa7edzd2globalz75_bgl))));
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_auxz00_3511;
							BgL_objectz00_bglt BgL_tmpz00_3509;

							BgL_auxz00_3511 = ((obj_t) BgL_wide1180z00_2766);
							BgL_tmpz00_3509 = ((BgL_objectz00_bglt) BgL_tmp1179z00_2765);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3509, BgL_auxz00_3511);
						}
						{	/* Cfa/specialize.scm 35 */
							long BgL_arg1842z00_2770;

							{	/* Cfa/specialize.scm 35 */
								long BgL_res2022z00_2771;

								BgL_res2022z00_2771 =
									BGL_CLASS_INDEX
									(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
								BgL_arg1842z00_2770 = BgL_res2022z00_2771;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1179z00_2765),
								BgL_arg1842z00_2770);
						}
						BgL_new1182z00_2764 = ((BgL_globalz00_bglt) BgL_tmp1179z00_2765);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1182z00_2764)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1103z00_2627)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1182z00_2764)))->BgL_namez00) =
						((obj_t) BgL_name1104z00_2628), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1182z00_2764)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1105z00_2629)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1182z00_2764)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1106z00_2630)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1182z00_2764)))->BgL_accessz00) =
						((obj_t) BgL_access1107z00_2631), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1182z00_2764)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1108zd2_2632), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1182z00_2764)))->BgL_removablez00) =
						((obj_t) BgL_removable1109z00_2633), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1182z00_2764)))->BgL_occurrencez00) =
						((long) BgL_occurrence1110z00_2757), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1182z00_2764)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1111z00_2758), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1182z00_2764)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31112zf3_2759), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1182z00_2764)))->BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1113z00_2637)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1182z00_2764)))->BgL_importz00) =
						((obj_t) BgL_import1114z00_2638), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1182z00_2764)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31115zf3_2761), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1182z00_2764)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31116zf3_2762), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1182z00_2764)))->BgL_libraryz00) =
						((obj_t) BgL_library1117z00_2641), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1182z00_2764)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1118z00_2642), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1182z00_2764)))->BgL_srcz00) =
						((obj_t) BgL_src1119z00_2643), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1182z00_2764)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_jvmzd2typezd2name1120z00_2644)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1182z00_2764)))->BgL_initz00) =
						((obj_t) BgL_init1121z00_2645), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1182z00_2764)))->BgL_aliasz00) =
						((obj_t) BgL_alias1122z00_2646), BUNSPEC);
					{
						BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3563;

						{
							obj_t BgL_auxz00_3564;

							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_3565;

								BgL_tmpz00_3565 = ((BgL_objectz00_bglt) BgL_new1182z00_2764);
								BgL_auxz00_3564 = BGL_OBJECT_WIDENING(BgL_tmpz00_3565);
							}
							BgL_auxz00_3563 =
								((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3564);
						}
						((((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_3563))->
								BgL_fixz00) = ((obj_t) BgL_fix1123z00_2647), BUNSPEC);
					}
					return BgL_new1182z00_2764;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1858 */
	obj_t BGl_z62lambda1858z62zzcfa_specializa7eza7(obj_t BgL_envz00_2648,
		obj_t BgL_oz00_2649, obj_t BgL_vz00_2650)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3570;

				{
					obj_t BgL_auxz00_3571;

					{	/* Cfa/specialize.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_3572;

						BgL_tmpz00_3572 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2649));
						BgL_auxz00_3571 = BGL_OBJECT_WIDENING(BgL_tmpz00_3572);
					}
					BgL_auxz00_3570 =
						((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3571);
				}
				return
					((((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_3570))->
						BgL_fixz00) = ((obj_t) BgL_vz00_2650), BUNSPEC);
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1857 */
	obj_t BGl_z62lambda1857z62zzcfa_specializa7eza7(obj_t BgL_envz00_2651,
		obj_t BgL_oz00_2652)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3578;

				{
					obj_t BgL_auxz00_3579;

					{	/* Cfa/specialize.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_3580;

						BgL_tmpz00_3580 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2652));
						BgL_auxz00_3579 = BGL_OBJECT_WIDENING(BgL_tmpz00_3580);
					}
					BgL_auxz00_3578 =
						((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3579);
				}
				return
					(((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_3578))->
					BgL_fixz00);
			}
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 19 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_proc2065z00zzcfa_specializa7eza7, BGl_nodez00zzast_nodez00,
				BGl_string2066z00zzcfa_specializa7eza7);
		}
		BGL_FUNCTION_END;
	}



/* &patch!1375 */
	obj_t BGl_z62patchz121375z70zzcfa_specializa7eza7(obj_t BgL_envz00_2654,
		obj_t BgL_nodez00_2655)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 326 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 13)),
				BGl_string2067z00zzcfa_specializa7eza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2655)));
		}
		BGL_FUNCTION_END;
	}



/* patch! */
	obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt BgL_nodez00_97)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 326 */
			{	/* Cfa/specialize.scm 326 */
				obj_t BgL_method1376z00_1927;

				{	/* Cfa/specialize.scm 326 */
					obj_t BgL_res2038z00_2582;

					{	/* Cfa/specialize.scm 326 */
						long BgL_objzd2classzd2numz00_2539;

						{	/* Cfa/specialize.scm 326 */
							long BgL_res2027z00_2542;

							BgL_res2027z00_2542 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_97));
							BgL_objzd2classzd2numz00_2539 = BgL_res2027z00_2542;
						}
						{	/* Cfa/specialize.scm 326 */
							obj_t BgL_arg1738z00_2540;

							BgL_arg1738z00_2540 =
								PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
								(int) (((long) 1)));
							{	/* Cfa/specialize.scm 326 */
								int BgL_offsetz00_2544;

								BgL_offsetz00_2544 = (int) (BgL_objzd2classzd2numz00_2539);
								{	/* Cfa/specialize.scm 326 */
									long BgL_offsetz00_2545;

									BgL_offsetz00_2545 =
										((long) (BgL_offsetz00_2544) - OBJECT_TYPE);
									{	/* Cfa/specialize.scm 326 */
										long BgL_modz00_2546;

										{	/* Cfa/specialize.scm 326 */
											int BgL_arg1740z00_2547;

											BgL_arg1740z00_2547 = (int) (((long) 16));
											{	/* Cfa/specialize.scm 326 */
												long BgL_res2030z00_2557;

												{	/* Cfa/specialize.scm 326 */
													long BgL_tmpz00_3599;

													BgL_tmpz00_3599 = (long) (BgL_arg1740z00_2547);
													BgL_res2030z00_2557 =
														(BgL_offsetz00_2545 / BgL_tmpz00_3599);
												}
												BgL_modz00_2546 = BgL_res2030z00_2557;
										}}
										{	/* Cfa/specialize.scm 326 */
											long BgL_restz00_2548;

											{	/* Cfa/specialize.scm 326 */
												int BgL_arg1739z00_2549;

												BgL_arg1739z00_2549 = (int) (((long) 16));
												{	/* Cfa/specialize.scm 326 */
													long BgL_res2037z00_2577;

													{	/* Cfa/specialize.scm 326 */
														long BgL_n1z00_2559;
														long BgL_n2z00_2560;

														BgL_n1z00_2559 = BgL_offsetz00_2545;
														BgL_n2z00_2560 = (long) (BgL_arg1739z00_2549);
														{	/* Cfa/specialize.scm 326 */
															bool_t BgL_testz00_3604;

															{	/* Cfa/specialize.scm 326 */
																long BgL_arg1304z00_2562;

																BgL_arg1304z00_2562 =
																	(((BgL_n1z00_2559) | (BgL_n2z00_2560)) &
																	-2147483648);
																BgL_testz00_3604 =
																	(BgL_arg1304z00_2562 == ((long) 0));
															}
															if (BgL_testz00_3604)
																{	/* Cfa/specialize.scm 326 */
																	int32_t BgL_arg1278z00_2563;

																	{	/* Cfa/specialize.scm 326 */
																		int32_t BgL_arg1301z00_2564;
																		int32_t BgL_arg1303z00_2565;

																		{	/* Cfa/specialize.scm 326 */
																			int32_t BgL_res2033z00_2569;

																			BgL_res2033z00_2569 =
																				(int32_t) (BgL_n1z00_2559);
																			BgL_arg1301z00_2564 = BgL_res2033z00_2569;
																		}
																		{	/* Cfa/specialize.scm 326 */
																			int32_t BgL_res2034z00_2571;

																			BgL_res2034z00_2571 =
																				(int32_t) (BgL_n2z00_2560);
																			BgL_arg1303z00_2565 = BgL_res2034z00_2571;
																		}
																		BgL_arg1278z00_2563 =
																			(BgL_arg1301z00_2564 %
																			BgL_arg1303z00_2565);
																	}
																	{	/* Cfa/specialize.scm 326 */
																		long BgL_res2036z00_2576;

																		{	/* Cfa/specialize.scm 326 */
																			long BgL_arg1406z00_2573;

																			BgL_arg1406z00_2573 =
																				(long) (BgL_arg1278z00_2563);
																			{	/* Cfa/specialize.scm 326 */
																				long BgL_res2035z00_2575;

																				BgL_res2035z00_2575 =
																					(long) (BgL_arg1406z00_2573);
																				BgL_res2036z00_2576 =
																					BgL_res2035z00_2575;
																		}}
																		BgL_res2037z00_2577 = BgL_res2036z00_2576;
																}}
															else
																{	/* Cfa/specialize.scm 326 */
																	BgL_res2037z00_2577 =
																		(BgL_n1z00_2559 % BgL_n2z00_2560);
																}
														}
													}
													BgL_restz00_2548 = BgL_res2037z00_2577;
												}
											}
											{	/* Cfa/specialize.scm 326 */

												{	/* Cfa/specialize.scm 326 */
													obj_t BgL_bucketz00_2550;

													BgL_bucketz00_2550 =
														VECTOR_REF(
														((obj_t) BgL_arg1738z00_2540), BgL_modz00_2546);
													BgL_res2038z00_2582 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2550), BgL_restz00_2548);
												}
											}
										}
									}
								}
							}
						}
					}
					BgL_method1376z00_1927 = BgL_res2038z00_2582;
				}
				return
					PROCEDURE_ENTRY(BgL_method1376z00_1927) (BgL_method1376z00_1927,
					((obj_t) BgL_nodez00_97), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch! */
	obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t BgL_envz00_2656,
		obj_t BgL_nodez00_2657)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 326 */
			return
				BGl_patchz12z12zzcfa_specializa7eza7(
				((BgL_nodez00_bglt) BgL_nodez00_2657));
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 19 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_atomz00zzast_nodez00,
				BGl_proc2068z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_kwotez00zzast_nodez00,
				BGl_proc2070z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_varz00zzast_nodez00,
				BGl_proc2071z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_closurez00zzast_nodez00, BGl_proc2072z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_sequencez00zzast_nodez00, BGl_proc2073z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_syncz00zzast_nodez00,
				BGl_proc2074z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2075z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_funcallz00zzast_nodez00, BGl_proc2076z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_externz00zzast_nodez00,
				BGl_proc2077z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_castz00zzast_nodez00,
				BGl_proc2078z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_setqz00zzast_nodez00,
				BGl_proc2079z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2080z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_failz00zzast_nodez00,
				BGl_proc2081z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_switchz00zzast_nodez00,
				BGl_proc2082z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2083z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2084z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2085z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2086z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2087z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2088z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2089z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_appz00zzast_nodez00,
				BGl_proc2090z00zzcfa_specializa7eza7,
				BGl_string2069z00zzcfa_specializa7eza7);
		}
		BGL_FUNCTION_END;
	}



/* &patch!-app1422 */
	obj_t BGl_z62patchz12zd2app1422za2zzcfa_specializa7eza7(obj_t BgL_envz00_2680,
		obj_t BgL_nodez00_2681)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 537 */
			{
				BgL_appz00_bglt BgL_nodez00_2102;

				{
					BgL_appz00_bglt BgL_auxz00_3646;

					BgL_nodez00_2102 = ((BgL_appz00_bglt) BgL_nodez00_2681);
					BGl_patchza2z12zb0zzcfa_specializa7eza7(
						(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2102))->BgL_argsz00));
					{
						BgL_varz00_bglt BgL_auxz00_3649;

						{	/* Cfa/specialize.scm 540 */
							BgL_varz00_bglt BgL_arg1922z00_2107;

							BgL_arg1922z00_2107 =
								(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2102))->BgL_funz00);
							BgL_auxz00_3649 =
								((BgL_varz00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(
									((BgL_nodez00_bglt) BgL_arg1922z00_2107)));
						}
						((((BgL_appz00_bglt) COBJECT(BgL_nodez00_2102))->BgL_funz00) =
							((BgL_varz00_bglt) BgL_auxz00_3649), BUNSPEC);
					}
					{	/* Cfa/specialize.scm 541 */
						BgL_variablez00_bglt BgL_vz00_2108;

						BgL_vz00_2108 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2102))->
										BgL_funz00)))->BgL_variablez00);
						{	/* Cfa/specialize.scm 543 */
							bool_t BgL_testz00_3657;

							{	/* Cfa/specialize.scm 543 */
								bool_t BgL_res2042z00_2602;

								BgL_res2042z00_2602 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_vz00_2108),
									BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
								BgL_testz00_3657 = BgL_res2042z00_2602;
							}
							if (BgL_testz00_3657)
								{	/* Cfa/specialize.scm 543 */
									BgL_auxz00_3646 =
										BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7
										(BgL_nodez00_2102);
								}
							else
								{	/* Cfa/specialize.scm 543 */
									BgL_auxz00_3646 = BgL_nodez00_2102;
								}
						}
					}
					return ((obj_t) BgL_auxz00_3646);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-box-ref1420 */
	obj_t BGl_z62patchz12zd2boxzd2ref1420z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_2682, obj_t BgL_nodez00_2683)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 518 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_2096;

				{
					BgL_boxzd2refzd2_bglt BgL_auxz00_3663;

					BgL_nodez00_2096 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2683);
					{
						BgL_varz00_bglt BgL_auxz00_3664;

						{	/* Cfa/specialize.scm 520 */
							BgL_varz00_bglt BgL_arg1920z00_2100;

							BgL_arg1920z00_2100 =
								(((BgL_boxzd2refzd2_bglt) COBJECT(BgL_nodez00_2096))->
								BgL_varz00);
							BgL_auxz00_3664 =
								((BgL_varz00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(((BgL_nodez00_bglt)
										BgL_arg1920z00_2100)));
						}
						((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_nodez00_2096))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_auxz00_3664), BUNSPEC);
					}
					BgL_auxz00_3663 = BgL_nodez00_2096;
					return ((obj_t) BgL_auxz00_3663);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-box-set!1418 */
	obj_t BGl_z62patchz12zd2boxzd2setz121418z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_2684, obj_t BgL_nodez00_2685)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 509 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_2089;

				{
					BgL_boxzd2setz12zc0_bglt BgL_auxz00_3672;

					BgL_nodez00_2089 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2685);
					{
						BgL_varz00_bglt BgL_auxz00_3673;

						{	/* Cfa/specialize.scm 511 */
							BgL_varz00_bglt BgL_arg1918z00_2093;

							BgL_arg1918z00_2093 =
								(((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_nodez00_2089))->
								BgL_varz00);
							BgL_auxz00_3673 =
								((BgL_varz00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(((BgL_nodez00_bglt)
										BgL_arg1918z00_2093)));
						}
						((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_nodez00_2089))->
								BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_3673), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3679;

						{	/* Cfa/specialize.scm 512 */
							BgL_nodez00_bglt BgL_arg1919z00_2094;

							BgL_arg1919z00_2094 =
								(((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_nodez00_2089))->
								BgL_valuez00);
							BgL_auxz00_3679 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1919z00_2094));
						}
						((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_nodez00_2089))->
								BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3679), BUNSPEC);
					}
					BgL_auxz00_3672 = BgL_nodez00_2089;
					return ((obj_t) BgL_auxz00_3672);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-make-box1416 */
	obj_t BGl_z62patchz12zd2makezd2box1416z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_2686, obj_t BgL_nodez00_2687)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 501 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_2083;

				{
					BgL_makezd2boxzd2_bglt BgL_auxz00_3686;

					BgL_nodez00_2083 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2687);
					{
						BgL_nodez00_bglt BgL_auxz00_3687;

						{	/* Cfa/specialize.scm 503 */
							BgL_nodez00_bglt BgL_arg1917z00_2087;

							BgL_arg1917z00_2087 =
								(((BgL_makezd2boxzd2_bglt) COBJECT(BgL_nodez00_2083))->
								BgL_valuez00);
							BgL_auxz00_3687 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1917z00_2087));
						}
						((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_nodez00_2083))->
								BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3687), BUNSPEC);
					}
					BgL_auxz00_3686 = BgL_nodez00_2083;
					return ((obj_t) BgL_auxz00_3686);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-jump-ex-it1414 */
	obj_t BGl_z62patchz12zd2jumpzd2exzd2it1414za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2688, obj_t BgL_nodez00_2689)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 492 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2076;

				{
					BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_3694;

					BgL_nodez00_2076 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2689);
					{
						BgL_nodez00_bglt BgL_auxz00_3695;

						{	/* Cfa/specialize.scm 494 */
							BgL_nodez00_bglt BgL_arg1915z00_2080;

							BgL_arg1915z00_2080 =
								(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_nodez00_2076))->
								BgL_exitz00);
							BgL_auxz00_3695 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1915z00_2080));
						}
						((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_nodez00_2076))->
								BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3695), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3700;

						{	/* Cfa/specialize.scm 495 */
							BgL_nodez00_bglt BgL_arg1916z00_2081;

							BgL_arg1916z00_2081 =
								(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_nodez00_2076))->
								BgL_valuez00);
							BgL_auxz00_3700 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1916z00_2081));
						}
						((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_nodez00_2076))->
								BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3700), BUNSPEC);
					}
					BgL_auxz00_3694 = BgL_nodez00_2076;
					return ((obj_t) BgL_auxz00_3694);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-set-ex-it1412 */
	obj_t BGl_z62patchz12zd2setzd2exzd2it1412za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2690, obj_t BgL_nodez00_2691)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 483 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_2069;

				{
					BgL_setzd2exzd2itz00_bglt BgL_auxz00_3707;

					BgL_nodez00_2069 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2691);
					{
						BgL_nodez00_bglt BgL_auxz00_3708;

						{	/* Cfa/specialize.scm 485 */
							BgL_nodez00_bglt BgL_arg1913z00_2073;

							BgL_arg1913z00_2073 =
								(((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_nodez00_2069))->
								BgL_bodyz00);
							BgL_auxz00_3708 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1913z00_2073));
						}
						((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_nodez00_2069))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3708), BUNSPEC);
					}
					{	/* Cfa/specialize.scm 486 */
						BgL_varz00_bglt BgL_arg1914z00_2074;

						BgL_arg1914z00_2074 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_nodez00_2069))->
							BgL_varz00);
						BGl_patchz12z12zzcfa_specializa7eza7(((BgL_nodez00_bglt)
								BgL_arg1914z00_2074));
					}
					BgL_auxz00_3707 = BgL_nodez00_2069;
					return ((obj_t) BgL_auxz00_3707);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-let-var1410 */
	obj_t BGl_z62patchz12zd2letzd2var1410z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_2692, obj_t BgL_nodez00_2693)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 468 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2050;

				{
					BgL_letzd2varzd2_bglt BgL_auxz00_3718;

					BgL_nodez00_2050 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2693);
					{	/* Cfa/specialize.scm 470 */
						obj_t BgL_g1372z00_2054;

						BgL_g1372z00_2054 =
							(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2050))->
							BgL_bindingsz00);
						{
							obj_t BgL_l1370z00_2056;

							BgL_l1370z00_2056 = BgL_g1372z00_2054;
						BgL_zc3anonymousza31905ze3z83_2057:
							if (PAIRP(BgL_l1370z00_2056))
								{	/* Cfa/specialize.scm 470 */
									{	/* Cfa/specialize.scm 471 */
										obj_t BgL_bindingz00_2059;

										BgL_bindingz00_2059 = CAR(BgL_l1370z00_2056);
										{	/* Cfa/specialize.scm 471 */
											obj_t BgL_valz00_2060;

											BgL_valz00_2060 = CDR(((obj_t) BgL_bindingz00_2059));
											{	/* Cfa/specialize.scm 472 */
												obj_t BgL_arg1907z00_2061;

												BgL_arg1907z00_2061 =
													BGl_patchz12z12zzcfa_specializa7eza7(
													((BgL_nodez00_bglt) BgL_valz00_2060));
												{	/* Cfa/specialize.scm 472 */
													obj_t BgL_tmpz00_3727;

													BgL_tmpz00_3727 = ((obj_t) BgL_bindingz00_2059);
													SET_CDR(BgL_tmpz00_3727, BgL_arg1907z00_2061);
												}
											}
										}
									}
									{
										obj_t BgL_l1370z00_3730;

										BgL_l1370z00_3730 = CDR(BgL_l1370z00_2056);
										BgL_l1370z00_2056 = BgL_l1370z00_3730;
										goto BgL_zc3anonymousza31905ze3z83_2057;
									}
								}
							else
								{	/* Cfa/specialize.scm 470 */
									((bool_t) 1);
								}
						}
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3732;

						{	/* Cfa/specialize.scm 474 */
							BgL_nodez00_bglt BgL_arg1909z00_2064;

							BgL_arg1909z00_2064 =
								(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2050))->
								BgL_bodyz00);
							BgL_auxz00_3732 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1909z00_2064));
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2050))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3732), BUNSPEC);
					}
					{	/* Cfa/specialize.scm 475 */
						bool_t BgL_testz00_3737;

						{	/* Cfa/specialize.scm 475 */
							BgL_typez00_bglt BgL_arg1912z00_2067;

							BgL_arg1912z00_2067 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_2050)))->BgL_typez00);
							BgL_testz00_3737 =
								(
								((obj_t) BgL_arg1912z00_2067) ==
								BGl_za2objza2z00zztype_cachez00);
						}
						if (BgL_testz00_3737)
							{	/* Cfa/specialize.scm 475 */
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_nodez00_2050)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_nodez00_2050)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
												BgL_nodez00_2050), ((bool_t) 0))), BUNSPEC);
							}
						else
							{	/* Cfa/specialize.scm 475 */
								BFALSE;
							}
					}
					BgL_auxz00_3718 = BgL_nodez00_2050;
					return ((obj_t) BgL_auxz00_3718);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-let-fun1408 */
	obj_t BGl_z62patchz12zd2letzd2fun1408z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_2694, obj_t BgL_nodez00_2695)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 456 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_2033;

				{
					BgL_letzd2funzd2_bglt BgL_auxz00_3751;

					BgL_nodez00_2033 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2695);
					{	/* Cfa/specialize.scm 458 */
						obj_t BgL_g1369z00_2037;

						BgL_g1369z00_2037 =
							(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_2033))->
							BgL_localsz00);
						{
							obj_t BgL_l1367z00_2039;

							BgL_l1367z00_2039 = BgL_g1369z00_2037;
						BgL_zc3anonymousza31897ze3z83_2040:
							if (PAIRP(BgL_l1367z00_2039))
								{	/* Cfa/specialize.scm 458 */
									BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR
										(BgL_l1367z00_2039));
									{
										obj_t BgL_l1367z00_3757;

										BgL_l1367z00_3757 = CDR(BgL_l1367z00_2039);
										BgL_l1367z00_2039 = BgL_l1367z00_3757;
										goto BgL_zc3anonymousza31897ze3z83_2040;
									}
								}
							else
								{	/* Cfa/specialize.scm 458 */
									((bool_t) 1);
								}
						}
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3759;

						{	/* Cfa/specialize.scm 459 */
							BgL_nodez00_bglt BgL_arg1901z00_2045;

							BgL_arg1901z00_2045 =
								(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_2033))->
								BgL_bodyz00);
							BgL_auxz00_3759 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1901z00_2045));
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_2033))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3759), BUNSPEC);
					}
					{	/* Cfa/specialize.scm 460 */
						bool_t BgL_testz00_3764;

						{	/* Cfa/specialize.scm 460 */
							BgL_typez00_bglt BgL_arg1904z00_2048;

							BgL_arg1904z00_2048 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_2033)))->BgL_typez00);
							BgL_testz00_3764 =
								(
								((obj_t) BgL_arg1904z00_2048) ==
								BGl_za2objza2z00zztype_cachez00);
						}
						if (BgL_testz00_3764)
							{	/* Cfa/specialize.scm 460 */
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_nodez00_2033)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_nodez00_2033)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
												BgL_nodez00_2033), ((bool_t) 0))), BUNSPEC);
							}
						else
							{	/* Cfa/specialize.scm 460 */
								BFALSE;
							}
					}
					BgL_auxz00_3751 = BgL_nodez00_2033;
					return ((obj_t) BgL_auxz00_3751);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-switch1406 */
	obj_t BGl_z62patchz12zd2switch1406za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2696, obj_t BgL_nodez00_2697)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 445 */
			{
				BgL_switchz00_bglt BgL_nodez00_2017;

				{
					BgL_switchz00_bglt BgL_auxz00_3778;

					BgL_nodez00_2017 = ((BgL_switchz00_bglt) BgL_nodez00_2697);
					{
						BgL_nodez00_bglt BgL_auxz00_3779;

						{	/* Cfa/specialize.scm 447 */
							BgL_nodez00_bglt BgL_arg1891z00_2021;

							BgL_arg1891z00_2021 =
								(((BgL_switchz00_bglt) COBJECT(BgL_nodez00_2017))->BgL_testz00);
							BgL_auxz00_3779 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1891z00_2021));
						}
						((((BgL_switchz00_bglt) COBJECT(BgL_nodez00_2017))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_auxz00_3779), BUNSPEC);
					}
					{	/* Cfa/specialize.scm 448 */
						obj_t BgL_g1366z00_2022;

						BgL_g1366z00_2022 =
							(((BgL_switchz00_bglt) COBJECT(BgL_nodez00_2017))->
							BgL_clausesz00);
						{
							obj_t BgL_l1364z00_2024;

							BgL_l1364z00_2024 = BgL_g1366z00_2022;
						BgL_zc3anonymousza31892ze3z83_2025:
							if (PAIRP(BgL_l1364z00_2024))
								{	/* Cfa/specialize.scm 448 */
									{	/* Cfa/specialize.scm 449 */
										obj_t BgL_clausez00_2027;

										BgL_clausez00_2027 = CAR(BgL_l1364z00_2024);
										{	/* Cfa/specialize.scm 449 */
											obj_t BgL_arg1894z00_2028;

											{	/* Cfa/specialize.scm 449 */
												obj_t BgL_arg1895z00_2029;

												BgL_arg1895z00_2029 = CDR(((obj_t) BgL_clausez00_2027));
												BgL_arg1894z00_2028 =
													BGl_patchz12z12zzcfa_specializa7eza7(
													((BgL_nodez00_bglt) BgL_arg1895z00_2029));
											}
											{	/* Cfa/specialize.scm 449 */
												obj_t BgL_tmpz00_3792;

												BgL_tmpz00_3792 = ((obj_t) BgL_clausez00_2027);
												SET_CDR(BgL_tmpz00_3792, BgL_arg1894z00_2028);
											}
										}
									}
									{
										obj_t BgL_l1364z00_3795;

										BgL_l1364z00_3795 = CDR(BgL_l1364z00_2024);
										BgL_l1364z00_2024 = BgL_l1364z00_3795;
										goto BgL_zc3anonymousza31892ze3z83_2025;
									}
								}
							else
								{	/* Cfa/specialize.scm 448 */
									((bool_t) 1);
								}
						}
					}
					BgL_auxz00_3778 = BgL_nodez00_2017;
					return ((obj_t) BgL_auxz00_3778);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-fail1404 */
	obj_t BGl_z62patchz12zd2fail1404za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2698, obj_t BgL_nodez00_2699)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 435 */
			{
				BgL_failz00_bglt BgL_nodez00_2009;

				{
					BgL_failz00_bglt BgL_auxz00_3799;

					BgL_nodez00_2009 = ((BgL_failz00_bglt) BgL_nodez00_2699);
					{
						BgL_nodez00_bglt BgL_auxz00_3800;

						{	/* Cfa/specialize.scm 437 */
							BgL_nodez00_bglt BgL_arg1888z00_2013;

							BgL_arg1888z00_2013 =
								(((BgL_failz00_bglt) COBJECT(BgL_nodez00_2009))->BgL_procz00);
							BgL_auxz00_3800 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1888z00_2013));
						}
						((((BgL_failz00_bglt) COBJECT(BgL_nodez00_2009))->BgL_procz00) =
							((BgL_nodez00_bglt) BgL_auxz00_3800), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3805;

						{	/* Cfa/specialize.scm 438 */
							BgL_nodez00_bglt BgL_arg1889z00_2014;

							BgL_arg1889z00_2014 =
								(((BgL_failz00_bglt) COBJECT(BgL_nodez00_2009))->BgL_msgz00);
							BgL_auxz00_3805 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1889z00_2014));
						}
						((((BgL_failz00_bglt) COBJECT(BgL_nodez00_2009))->BgL_msgz00) =
							((BgL_nodez00_bglt) BgL_auxz00_3805), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3810;

						{	/* Cfa/specialize.scm 439 */
							BgL_nodez00_bglt BgL_arg1890z00_2015;

							BgL_arg1890z00_2015 =
								(((BgL_failz00_bglt) COBJECT(BgL_nodez00_2009))->BgL_objz00);
							BgL_auxz00_3810 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1890z00_2015));
						}
						((((BgL_failz00_bglt) COBJECT(BgL_nodez00_2009))->BgL_objz00) =
							((BgL_nodez00_bglt) BgL_auxz00_3810), BUNSPEC);
					}
					BgL_auxz00_3799 = BgL_nodez00_2009;
					return ((obj_t) BgL_auxz00_3799);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-conditional1402 */
	obj_t BGl_z62patchz12zd2conditional1402za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2700, obj_t BgL_nodez00_2701)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 422 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1998;

				{
					BgL_conditionalz00_bglt BgL_auxz00_3817;

					BgL_nodez00_1998 = ((BgL_conditionalz00_bglt) BgL_nodez00_2701);
					{
						BgL_nodez00_bglt BgL_auxz00_3818;

						{	/* Cfa/specialize.scm 424 */
							BgL_nodez00_bglt BgL_arg1882z00_2002;

							BgL_arg1882z00_2002 =
								(((BgL_conditionalz00_bglt) COBJECT(BgL_nodez00_1998))->
								BgL_testz00);
							BgL_auxz00_3818 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1882z00_2002));
						}
						((((BgL_conditionalz00_bglt) COBJECT(BgL_nodez00_1998))->
								BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_3818), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3823;

						{	/* Cfa/specialize.scm 425 */
							BgL_nodez00_bglt BgL_arg1883z00_2003;

							BgL_arg1883z00_2003 =
								(((BgL_conditionalz00_bglt) COBJECT(BgL_nodez00_1998))->
								BgL_truez00);
							BgL_auxz00_3823 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1883z00_2003));
						}
						((((BgL_conditionalz00_bglt) COBJECT(BgL_nodez00_1998))->
								BgL_truez00) = ((BgL_nodez00_bglt) BgL_auxz00_3823), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3828;

						{	/* Cfa/specialize.scm 426 */
							BgL_nodez00_bglt BgL_arg1884z00_2004;

							BgL_arg1884z00_2004 =
								(((BgL_conditionalz00_bglt) COBJECT(BgL_nodez00_1998))->
								BgL_falsez00);
							BgL_auxz00_3828 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1884z00_2004));
						}
						((((BgL_conditionalz00_bglt) COBJECT(BgL_nodez00_1998))->
								BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_3828), BUNSPEC);
					}
					{	/* Cfa/specialize.scm 427 */
						bool_t BgL_testz00_3833;

						{	/* Cfa/specialize.scm 427 */
							BgL_typez00_bglt BgL_arg1887z00_2007;

							BgL_arg1887z00_2007 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_1998)))->BgL_typez00);
							BgL_testz00_3833 =
								(
								((obj_t) BgL_arg1887z00_2007) ==
								BGl_za2objza2z00zztype_cachez00);
						}
						if (BgL_testz00_3833)
							{	/* Cfa/specialize.scm 427 */
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_nodez00_1998)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_nodez00_1998)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
												BgL_nodez00_1998), ((bool_t) 0))), BUNSPEC);
							}
						else
							{	/* Cfa/specialize.scm 427 */
								BFALSE;
							}
					}
					BgL_auxz00_3817 = BgL_nodez00_1998;
					return ((obj_t) BgL_auxz00_3817);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-setq1400 */
	obj_t BGl_z62patchz12zd2setq1400za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2702, obj_t BgL_nodez00_2703)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 413 */
			{
				BgL_setqz00_bglt BgL_nodez00_1991;

				{
					BgL_setqz00_bglt BgL_auxz00_3847;

					BgL_nodez00_1991 = ((BgL_setqz00_bglt) BgL_nodez00_2703);
					{
						BgL_nodez00_bglt BgL_auxz00_3848;

						{	/* Cfa/specialize.scm 415 */
							BgL_nodez00_bglt BgL_arg1880z00_1995;

							BgL_arg1880z00_1995 =
								(((BgL_setqz00_bglt) COBJECT(BgL_nodez00_1991))->BgL_valuez00);
							BgL_auxz00_3848 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1880z00_1995));
						}
						((((BgL_setqz00_bglt) COBJECT(BgL_nodez00_1991))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_auxz00_3848), BUNSPEC);
					}
					{
						BgL_varz00_bglt BgL_auxz00_3853;

						{	/* Cfa/specialize.scm 416 */
							BgL_varz00_bglt BgL_arg1881z00_1996;

							BgL_arg1881z00_1996 =
								(((BgL_setqz00_bglt) COBJECT(BgL_nodez00_1991))->BgL_varz00);
							BgL_auxz00_3853 =
								((BgL_varz00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(
									((BgL_nodez00_bglt) BgL_arg1881z00_1996)));
						}
						((((BgL_setqz00_bglt) COBJECT(BgL_nodez00_1991))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_auxz00_3853), BUNSPEC);
					}
					BgL_auxz00_3847 = BgL_nodez00_1991;
					return ((obj_t) BgL_auxz00_3847);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-cast1398 */
	obj_t BGl_z62patchz12zd2cast1398za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2704, obj_t BgL_nodez00_2705)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 405 */
			{
				BgL_castz00_bglt BgL_nodez00_1985;

				{
					BgL_castz00_bglt BgL_auxz00_3861;

					BgL_nodez00_1985 = ((BgL_castz00_bglt) BgL_nodez00_2705);
					BGl_patchz12z12zzcfa_specializa7eza7(
						(((BgL_castz00_bglt) COBJECT(BgL_nodez00_1985))->BgL_argz00));
					BgL_auxz00_3861 = BgL_nodez00_1985;
					return ((obj_t) BgL_auxz00_3861);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-extern1396 */
	obj_t BGl_z62patchz12zd2extern1396za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2706, obj_t BgL_nodez00_2707)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 397 */
			{
				BgL_externz00_bglt BgL_nodez00_1979;

				{
					BgL_externz00_bglt BgL_auxz00_3866;

					BgL_nodez00_1979 = ((BgL_externz00_bglt) BgL_nodez00_2707);
					BGl_patchza2z12zb0zzcfa_specializa7eza7(
						(((BgL_externz00_bglt) COBJECT(BgL_nodez00_1979))->BgL_exprza2za2));
					BgL_auxz00_3866 = BgL_nodez00_1979;
					return ((obj_t) BgL_auxz00_3866);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-funcall1394 */
	obj_t BGl_z62patchz12zd2funcall1394za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2708, obj_t BgL_nodez00_2709)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 388 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1972;

				{
					BgL_funcallz00_bglt BgL_auxz00_3871;

					BgL_nodez00_1972 = ((BgL_funcallz00_bglt) BgL_nodez00_2709);
					{
						BgL_nodez00_bglt BgL_auxz00_3872;

						{	/* Cfa/specialize.scm 390 */
							BgL_nodez00_bglt BgL_arg1876z00_1976;

							BgL_arg1876z00_1976 =
								(((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_1972))->BgL_funz00);
							BgL_auxz00_3872 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1876z00_1976));
						}
						((((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_1972))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_auxz00_3872), BUNSPEC);
					}
					BGl_patchza2z12zb0zzcfa_specializa7eza7(
						(((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_1972))->BgL_argsz00));
					BgL_auxz00_3871 = BgL_nodez00_1972;
					return ((obj_t) BgL_auxz00_3871);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-app-ly1392 */
	obj_t BGl_z62patchz12zd2appzd2ly1392z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_2710, obj_t BgL_nodez00_2711)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 379 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1965;

				{
					BgL_appzd2lyzd2_bglt BgL_auxz00_3881;

					BgL_nodez00_1965 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2711);
					{
						BgL_nodez00_bglt BgL_auxz00_3882;

						{	/* Cfa/specialize.scm 381 */
							BgL_nodez00_bglt BgL_arg1873z00_1969;

							BgL_arg1873z00_1969 =
								(((BgL_appzd2lyzd2_bglt) COBJECT(BgL_nodez00_1965))->
								BgL_funz00);
							BgL_auxz00_3882 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1873z00_1969));
						}
						((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_nodez00_1965))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_auxz00_3882), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3887;

						{	/* Cfa/specialize.scm 382 */
							BgL_nodez00_bglt BgL_arg1874z00_1970;

							BgL_arg1874z00_1970 =
								(((BgL_appzd2lyzd2_bglt) COBJECT(BgL_nodez00_1965))->
								BgL_argz00);
							BgL_auxz00_3887 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1874z00_1970));
						}
						((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_nodez00_1965))->BgL_argz00) =
							((BgL_nodez00_bglt) BgL_auxz00_3887), BUNSPEC);
					}
					BgL_auxz00_3881 = BgL_nodez00_1965;
					return ((obj_t) BgL_auxz00_3881);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-sync1390 */
	obj_t BGl_z62patchz12zd2sync1390za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2712, obj_t BgL_nodez00_2713)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 366 */
			{
				BgL_syncz00_bglt BgL_nodez00_1954;

				{
					BgL_syncz00_bglt BgL_auxz00_3894;

					BgL_nodez00_1954 = ((BgL_syncz00_bglt) BgL_nodez00_2713);
					{
						BgL_nodez00_bglt BgL_auxz00_3895;

						{	/* Cfa/specialize.scm 368 */
							BgL_nodez00_bglt BgL_arg1867z00_1958;

							BgL_arg1867z00_1958 =
								(((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1954))->BgL_mutexz00);
							BgL_auxz00_3895 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1867z00_1958));
						}
						((((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1954))->BgL_mutexz00) =
							((BgL_nodez00_bglt) BgL_auxz00_3895), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3900;

						{	/* Cfa/specialize.scm 369 */
							BgL_nodez00_bglt BgL_arg1868z00_1959;

							BgL_arg1868z00_1959 =
								(((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1954))->
								BgL_prelockz00);
							BgL_auxz00_3900 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1868z00_1959));
						}
						((((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1954))->BgL_prelockz00) =
							((BgL_nodez00_bglt) BgL_auxz00_3900), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3905;

						{	/* Cfa/specialize.scm 370 */
							BgL_nodez00_bglt BgL_arg1869z00_1960;

							BgL_arg1869z00_1960 =
								(((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1954))->BgL_bodyz00);
							BgL_auxz00_3905 =
								((BgL_nodez00_bglt)
								BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1869z00_1960));
						}
						((((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1954))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_auxz00_3905), BUNSPEC);
					}
					{	/* Cfa/specialize.scm 371 */
						bool_t BgL_testz00_3910;

						{	/* Cfa/specialize.scm 371 */
							BgL_typez00_bglt BgL_arg1872z00_1963;

							BgL_arg1872z00_1963 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_1954)))->BgL_typez00);
							BgL_testz00_3910 =
								(
								((obj_t) BgL_arg1872z00_1963) ==
								BGl_za2objza2z00zztype_cachez00);
						}
						if (BgL_testz00_3910)
							{	/* Cfa/specialize.scm 371 */
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_nodez00_1954)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_nodez00_1954)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
												BgL_nodez00_1954), ((bool_t) 0))), BUNSPEC);
							}
						else
							{	/* Cfa/specialize.scm 371 */
								BFALSE;
							}
					}
					BgL_auxz00_3894 = BgL_nodez00_1954;
					return ((obj_t) BgL_auxz00_3894);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-sequence1388 */
	obj_t BGl_z62patchz12zd2sequence1388za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2714, obj_t BgL_nodez00_2715)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 355 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1945;

				{
					BgL_sequencez00_bglt BgL_auxz00_3924;

					BgL_nodez00_1945 = ((BgL_sequencez00_bglt) BgL_nodez00_2715);
					BGl_patchza2z12zb0zzcfa_specializa7eza7(
						(((BgL_sequencez00_bglt) COBJECT(BgL_nodez00_1945))->BgL_nodesz00));
					{	/* Cfa/specialize.scm 358 */
						bool_t BgL_testz00_3927;

						{	/* Cfa/specialize.scm 358 */
							BgL_typez00_bglt BgL_arg1865z00_1952;

							BgL_arg1865z00_1952 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_1945)))->BgL_typez00);
							BgL_testz00_3927 =
								(
								((obj_t) BgL_arg1865z00_1952) ==
								BGl_za2objza2z00zztype_cachez00);
						}
						if (BgL_testz00_3927)
							{	/* Cfa/specialize.scm 358 */
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_nodez00_1945)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_nodez00_1945)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
												BgL_nodez00_1945), ((bool_t) 0))), BUNSPEC);
							}
						else
							{	/* Cfa/specialize.scm 358 */
								BFALSE;
							}
					}
					BgL_auxz00_3924 = BgL_nodez00_1945;
					return ((obj_t) BgL_auxz00_3924);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-closure1386 */
	obj_t BGl_z62patchz12zd2closure1386za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2716, obj_t BgL_nodez00_2717)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 349 */
			{	/* Cfa/specialize.scm 350 */
				obj_t BgL_arg1860z00_2842;

				BgL_arg1860z00_2842 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2717)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2069z00zzcfa_specializa7eza7,
					BGl_string2091z00zzcfa_specializa7eza7, BgL_arg1860z00_2842);
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-var1382 */
	obj_t BGl_z62patchz12zd2var1382za2zzcfa_specializa7eza7(obj_t BgL_envz00_2718,
		obj_t BgL_nodez00_2719)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 343 */
			{
				BgL_varz00_bglt BgL_nodez00_1936;

				{
					BgL_varz00_bglt BgL_auxz00_3945;

					BgL_nodez00_1936 = ((BgL_varz00_bglt) BgL_nodez00_2719);
					BgL_auxz00_3945 = BgL_nodez00_1936;
					return ((obj_t) BgL_auxz00_3945);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-kwote1380 */
	obj_t BGl_z62patchz12zd2kwote1380za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2720, obj_t BgL_nodez00_2721)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 337 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1932;

				{
					BgL_kwotez00_bglt BgL_auxz00_3948;

					BgL_nodez00_1932 = ((BgL_kwotez00_bglt) BgL_nodez00_2721);
					BgL_auxz00_3948 = BgL_nodez00_1932;
					return ((obj_t) BgL_auxz00_3948);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &patch!-atom1378 */
	obj_t BGl_z62patchz12zd2atom1378za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2722, obj_t BgL_nodez00_2723)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 331 */
			{
				BgL_atomz00_bglt BgL_nodez00_1928;

				{
					BgL_atomz00_bglt BgL_auxz00_3951;

					BgL_nodez00_1928 = ((BgL_atomz00_bglt) BgL_nodez00_2723);
					BgL_auxz00_3951 = BgL_nodez00_1928;
					return ((obj_t) BgL_auxz00_3951);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2092z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string2092z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2092z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2092z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2092z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2092z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2092z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2092z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2092z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2092z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2092z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2092z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2092z00zzcfa_specializa7eza7));
			return
				BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2092z00zzcfa_specializa7eza7));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
