/*===========================================================================*/
/*   (Dataflow/walk.scm)                                                     */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Dataflow/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2valuezf2_bgl
	{
		int BgL_stampz00;
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                       *BgL_localzf2valuezf2_bglt;


	static obj_t BGl_z62abortzf3zd2sync1441z43zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2appzd2l1390za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2funca1392z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2r1414za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2f1404za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2sync1386z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2v1406za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_appendzd221010zd2zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzdataflow_walkz00();
	static obj_t
		BGl_z62dataflowzd2nodez12zd2jumpzd21410za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2s1416za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2fun1445z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez121375za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2app1388z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62zc3anonymousza31581ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31816ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2ap1420zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2makezd21412za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2closu1380z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2testzd2envzd2co1424zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1612z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1613z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda1619z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1620z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2var1443z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd21430zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2sequence1439z43zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd21433zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2seque1382z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2le1429zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62dataflowzd2nodez12zd2fail1400z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62dataflowzd2nodez12zd2exter1394z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2setq1396z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2var1378z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_z62dataflowzd2nodez12zd2condi1398z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static long BGl_letzd2varzd2stampz00zzdataflow_walkz00;
	static obj_t BGl_z62abortzf31434z91zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2in1422zb0zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2testzd2env1417z62zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2switc1402z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62abortzf3zd2app1449z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_instanceofz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_localzf2valuezf2zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62abortzf3zd2funcall1451z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_localz00_bglt BGl_z62lambda1563z62zzdataflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2conditional1447z43zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static BgL_localz00_bglt BGl_z62lambda1570z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2setzd2e1408za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1582z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62abortzf3zd2appzd2ly1453z91zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62abortzf3zd2fail1437z43zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2va1427zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t __cnst[12];


	   
		 
		DEFINE_STRING(BGl_string2307z00zzdataflow_walkz00,
		BgL_bgl_string2307za700za7za7d2333za7, "dataflow-test-env", 17);
	      DEFINE_STRING(BGl_string2313z00zzdataflow_walkz00,
		BgL_bgl_string2313za700za7za7d2334za7, "dataflow-test-false-env", 23);
	      DEFINE_STRING(BGl_string2315z00zzdataflow_walkz00,
		BgL_bgl_string2315za700za7za7d2335za7, "abort?", 6);
	      DEFINE_STRING(BGl_string2324z00zzdataflow_walkz00,
		BgL_bgl_string2324za700za7za7d2336za7, "dataflow_walk", 13);
	      DEFINE_STRING(BGl_string2325z00zzdataflow_walkz00,
		BgL_bgl_string2325za700za7za7d2337za7,
		"read _ dataflow_walk local/value node int stamp $epair? $pair? foreign $null? pass-started ",
		91);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1613za7622338z00, BGl_z62lambda1613z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1612za7622339z00, BGl_z62lambda1612z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2272z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1620za7622340z00, BGl_z62lambda1620z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1619za7622341z00, BGl_z62lambda1619z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2274z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1582za7622342z00, BGl_z62lambda1582z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2275z00zzdataflow_walkz00,
		BgL_bgl_za762za7c3anonymousza72343za7,
		BGl_z62zc3anonymousza31581ze3ze1zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2276z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1570za7622344z00, BGl_z62lambda1570z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1563za7622345z00, BGl_z62lambda1563z62zzdataflow_walkz00,
		0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2278z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2346z00,
		BGl_z62dataflowzd2nodez121375za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2280z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2347z00,
		BGl_z62dataflowzd2testzd2env1417z62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2282z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2348z00,
		BGl_z62dataflowzd2testzd2falsezd21430zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2284z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f31434za72349za7,
		BGl_z62abortzf31434z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2286z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2350z00,
		BGl_z62dataflowzd2nodez12zd2var1378z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2288z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2351z00,
		BGl_z62dataflowzd2nodez12zd2closu1380z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2289z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2352z00,
		BGl_z62dataflowzd2nodez12zd2seque1382z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2290z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2353z00,
		BGl_z62dataflowzd2nodez12zd2sync1386z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2291z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2354z00,
		BGl_z62dataflowzd2nodez12zd2app1388z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2292z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2355z00,
		BGl_z62dataflowzd2nodez12zd2appzd2l1390za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2293z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2356z00,
		BGl_z62dataflowzd2nodez12zd2funca1392z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2294z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2357z00,
		BGl_z62dataflowzd2nodez12zd2exter1394z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2295z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2358z00,
		BGl_z62dataflowzd2nodez12zd2setq1396z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2296z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2359z00,
		BGl_z62dataflowzd2nodez12zd2condi1398z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2297z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2360z00,
		BGl_z62dataflowzd2nodez12zd2fail1400z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2298z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2361z00,
		BGl_z62dataflowzd2nodez12zd2switc1402z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2299z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2362z00,
		BGl_z62dataflowzd2nodez12zd2letzd2f1404za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2363z00,
		BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2300z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2364z00,
		BGl_z62dataflowzd2nodez12zd2letzd2v1406za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2301z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2365z00,
		BGl_z62dataflowzd2nodez12zd2setzd2e1408za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2302z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2366z00,
		BGl_z62dataflowzd2nodez12zd2jumpzd21410za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2303z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2367z00,
		BGl_z62dataflowzd2nodez12zd2makezd21412za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2304z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2368z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2r1414za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2305z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2369z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2s1416za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2306z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2370z00,
		BGl_z62dataflowzd2testzd2envzd2ap1420zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2308z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2371z00,
		BGl_z62dataflowzd2testzd2envzd2in1422zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2309z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2372z00,
		BGl_z62dataflowzd2testzd2envzd2co1424zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2310z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2373z00,
		BGl_z62dataflowzd2testzd2envzd2va1427zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2311z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2374z00,
		BGl_z62dataflowzd2testzd2envzd2le1429zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2312z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2375z00,
		BGl_z62dataflowzd2testzd2falsezd21433zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2314z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fa2376za7,
		BGl_z62abortzf3zd2fail1437z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2316z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2se2377za7,
		BGl_z62abortzf3zd2sequence1439z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2317z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2sy2378za7,
		BGl_z62abortzf3zd2sync1441z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2318z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2379za7,
		BGl_z62abortzf3zd2letzd2var1443z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2319z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2380za7,
		BGl_z62abortzf3zd2letzd2fun1445z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2320z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2co2381za7,
		BGl_z62abortzf3zd2conditional1447z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2321z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2382za7,
		BGl_z62abortzf3zd2app1449z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2322z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fu2383za7,
		BGl_z62abortzf3zd2funcall1451z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2384za7,
		BGl_z62abortzf3zd2appzd2ly1453z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dataflowzd2walkz12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2wa2385z00,
		BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_abortzf3zd2envz21zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za791za7za72386za7,
		BGl_z62abortzf3z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2263z00zzdataflow_walkz00,
		BgL_bgl_string2263za700za7za7d2387za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2264z00zzdataflow_walkz00,
		BgL_bgl_string2264za700za7za7d2388za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2265z00zzdataflow_walkz00,
		BgL_bgl_string2265za700za7za7d2389za7, " error", 6);
	      DEFINE_STRING(BGl_string2266z00zzdataflow_walkz00,
		BgL_bgl_string2266za700za7za7d2390za7, "s", 1);
	      DEFINE_STRING(BGl_string2267z00zzdataflow_walkz00,
		BgL_bgl_string2267za700za7za7d2391za7, "", 0);
	      DEFINE_STRING(BGl_string2268z00zzdataflow_walkz00,
		BgL_bgl_string2268za700za7za7d2392za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2269z00zzdataflow_walkz00,
		BgL_bgl_string2269za700za7za7d2393za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2279z00zzdataflow_walkz00,
		BgL_bgl_string2279za700za7za7d2394za7, "dataflow-node!1375", 18);
	      DEFINE_STRING(BGl_string2281z00zzdataflow_walkz00,
		BgL_bgl_string2281za700za7za7d2395za7, "dataflow-test-env1417", 21);
	      DEFINE_STRING(BGl_string2283z00zzdataflow_walkz00,
		BgL_bgl_string2283za700za7za7d2396za7, "dataflow-test-false-1430", 24);
	      DEFINE_STRING(BGl_string2285z00zzdataflow_walkz00,
		BgL_bgl_string2285za700za7za7d2397za7, "abort?1434", 10);
	      DEFINE_STRING(BGl_string2287z00zzdataflow_walkz00,
		BgL_bgl_string2287za700za7za7d2398za7, "dataflow-node!", 14);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2399z00,
		BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2400z00,
		BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2z42pairzf3za2zb1zzdataflow_walkz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42epairzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42nullzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_localzf2valuezf2zzdataflow_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long
		BgL_checksumz00_3724, char *BgL_fromz00_3725)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzdataflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzdataflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzdataflow_walkz00();
					BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_cnstzd2initzd2zzdataflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_objectzd2initzd2zzdataflow_walkz00();
					BGl_genericzd2initzd2zzdataflow_walkz00();
					BGl_methodzd2initzd2zzdataflow_walkz00();
					return BGl_toplevelzd2initzd2zzdataflow_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"dataflow_walk");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 17 */
				obj_t BgL_cportz00_3432;

				{	/* Dataflow/walk.scm 17 */
					obj_t BgL_stringz00_3440;

					BgL_stringz00_3440 = BGl_string2325z00zzdataflow_walkz00;
					{	/* Dataflow/walk.scm 17 */
						obj_t BgL_startz00_3441;

						BgL_startz00_3441 = BINT(((long) 0));
						{	/* Dataflow/walk.scm 17 */
							obj_t BgL_endz00_3442;

							BgL_endz00_3442 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3440)));
							{	/* Dataflow/walk.scm 17 */

								BgL_cportz00_3432 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3440, BgL_startz00_3441, BgL_endz00_3442);
				}}}}
				{
					long BgL_iz00_3433;

					BgL_iz00_3433 = ((long) 11);
				BgL_loopz00_3434:
					if ((BgL_iz00_3433 == ((long) -1)))
						{	/* Dataflow/walk.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Dataflow/walk.scm 17 */
							{	/* Dataflow/walk.scm 17 */
								obj_t BgL_arg2327z00_3436;

								{	/* Dataflow/walk.scm 17 */

									{	/* Dataflow/walk.scm 17 */
										obj_t BgL_locationz00_3438;

										BgL_locationz00_3438 = BBOOL(((bool_t) 0));
										{	/* Dataflow/walk.scm 17 */

											BgL_arg2327z00_3436 =
												BGl_readz00zz__readerz00(BgL_cportz00_3432,
												BgL_locationz00_3438);
										}
									}
								}
								{	/* Dataflow/walk.scm 17 */
									int BgL_tmpz00_3757;

									BgL_tmpz00_3757 = (int) (BgL_iz00_3433);
									CNST_TABLE_SET(BgL_tmpz00_3757, BgL_arg2327z00_3436);
							}}
							{	/* Dataflow/walk.scm 17 */
								int BgL_auxz00_3439;

								BgL_auxz00_3439 = (int) ((BgL_iz00_3433 - ((long) 1)));
								{
									long BgL_iz00_3762;

									BgL_iz00_3762 = (long) (BgL_auxz00_3439);
									BgL_iz00_3433 = BgL_iz00_3762;
									goto BgL_loopz00_3434;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 = ((long) 0);
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* append-21010 */
	obj_t BGl_appendzd221010zd2zzdataflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		BGL_FUNCTION_BEGIN;
		{
			{
				obj_t BgL_headz00_1757;

				BgL_headz00_1757 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1758;
					obj_t BgL_tailz00_1759;

					BgL_prevz00_1758 = BgL_headz00_1757;
					BgL_tailz00_1759 = BgL_l1z00_1;
				BgL_loopz00_1760:
					if (PAIRP(BgL_tailz00_1759))
						{
							obj_t BgL_newzd2prevzd2_1762;

							BgL_newzd2prevzd2_1762 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1759), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1758, BgL_newzd2prevzd2_1762);
							{
								obj_t BgL_tailz00_3772;
								obj_t BgL_prevz00_3771;

								BgL_prevz00_3771 = BgL_newzd2prevzd2_1762;
								BgL_tailz00_3772 = CDR(BgL_tailz00_1759);
								BgL_tailz00_1759 = BgL_tailz00_3772;
								BgL_prevz00_1758 = BgL_prevz00_3771;
								goto BgL_loopz00_1760;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1757);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* dataflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t
		BgL_globalsz00_56, obj_t BgL_namez00_57)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 45 */
			{	/* Dataflow/walk.scm 46 */
				obj_t BgL_list1480z00_1771;

				{	/* Dataflow/walk.scm 46 */
					obj_t BgL_arg1481z00_1772;

					{	/* Dataflow/walk.scm 46 */
						obj_t BgL_arg1482z00_1773;

						BgL_arg1482z00_1773 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1481z00_1772 =
							MAKE_YOUNG_PAIR(BgL_namez00_57, BgL_arg1482z00_1773);
					}
					BgL_list1480z00_1771 =
						MAKE_YOUNG_PAIR(BGl_string2263z00zzdataflow_walkz00,
						BgL_arg1481z00_1772);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1480z00_1771);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_namez00_57;
			{	/* Dataflow/walk.scm 46 */
				obj_t BgL_g1145z00_1774;

				BgL_g1145z00_1774 = BNIL;
				{
					obj_t BgL_hooksz00_1777;
					obj_t BgL_hnamesz00_1778;

					BgL_hooksz00_1777 = BgL_g1145z00_1774;
					BgL_hnamesz00_1778 = BNIL;
				BgL_zc3anonymousza31483ze3z83_1779:
					if (NULLP(BgL_hooksz00_1777))
						{	/* Dataflow/walk.scm 46 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Dataflow/walk.scm 46 */
							bool_t BgL_testz00_3785;

							{	/* Dataflow/walk.scm 46 */
								obj_t BgL_fun1498z00_1786;

								BgL_fun1498z00_1786 = CAR(((obj_t) BgL_hooksz00_1777));
								BgL_testz00_3785 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1498z00_1786)
									(BgL_fun1498z00_1786, BEOA));
							}
							if (BgL_testz00_3785)
								{	/* Dataflow/walk.scm 46 */
									obj_t BgL_arg1487z00_1783;
									obj_t BgL_arg1495z00_1784;

									BgL_arg1487z00_1783 = CDR(((obj_t) BgL_hooksz00_1777));
									BgL_arg1495z00_1784 = CDR(((obj_t) BgL_hnamesz00_1778));
									{
										obj_t BgL_hnamesz00_3797;
										obj_t BgL_hooksz00_3796;

										BgL_hooksz00_3796 = BgL_arg1487z00_1783;
										BgL_hnamesz00_3797 = BgL_arg1495z00_1784;
										BgL_hnamesz00_1778 = BgL_hnamesz00_3797;
										BgL_hooksz00_1777 = BgL_hooksz00_3796;
										goto BgL_zc3anonymousza31483ze3z83_1779;
									}
								}
							else
								{	/* Dataflow/walk.scm 46 */
									obj_t BgL_arg1496z00_1785;

									BgL_arg1496z00_1785 = CAR(((obj_t) BgL_hnamesz00_1778));
									BGl_internalzd2errorzd2zztools_errorz00(BgL_namez00_57,
										BGl_string2264z00zzdataflow_walkz00, BgL_arg1496z00_1785);
								}
						}
				}
			}
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 1)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 4)),
				CNST_TABLE_REF(((long) 2)));
			{
				obj_t BgL_l1331z00_1790;

				BgL_l1331z00_1790 = BgL_globalsz00_56;
			BgL_zc3anonymousza31500ze3z83_1791:
				if (PAIRP(BgL_l1331z00_1790))
					{	/* Dataflow/walk.scm 50 */
						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_arg1504z00_1793;

							BgL_arg1504z00_1793 = CAR(BgL_l1331z00_1790);
							{	/* Dataflow/walk.scm 64 */
								obj_t BgL_arg1535z00_2788;

								BgL_arg1535z00_2788 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_arg1504z00_1793))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((BgL_nodez00_bglt)
										BgL_arg1535z00_2788), BNIL);
							}
						}
						{
							obj_t BgL_l1331z00_3820;

							BgL_l1331z00_3820 = CDR(BgL_l1331z00_1790);
							BgL_l1331z00_1790 = BgL_l1331z00_3820;
							goto BgL_zc3anonymousza31500ze3z83_1791;
						}
					}
				else
					{	/* Dataflow/walk.scm 50 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Dataflow/walk.scm 51 */
					{	/* Dataflow/walk.scm 51 */
						obj_t BgL_port1333z00_1798;

						{	/* Dataflow/walk.scm 51 */
							obj_t BgL_res2154z00_2796;

							{	/* Dataflow/walk.scm 51 */
								obj_t BgL_tmpz00_3825;

								BgL_tmpz00_3825 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2154z00_2796 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3825);
							}
							BgL_port1333z00_1798 = BgL_res2154z00_2796;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1333z00_1798);
						bgl_display_string(BGl_string2265z00zzdataflow_walkz00,
							BgL_port1333z00_1798);
						{	/* Dataflow/walk.scm 51 */
							obj_t BgL_arg1508z00_1799;

							{	/* Dataflow/walk.scm 51 */
								bool_t BgL_testz00_3830;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Dataflow/walk.scm 51 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Dataflow/walk.scm 51 */
												BgL_testz00_3830 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Dataflow/walk.scm 51 */
												BgL_testz00_3830 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Dataflow/walk.scm 51 */
										BgL_testz00_3830 = ((bool_t) 0);
									}
								if (BgL_testz00_3830)
									{	/* Dataflow/walk.scm 51 */
										BgL_arg1508z00_1799 = BGl_string2266z00zzdataflow_walkz00;
									}
								else
									{	/* Dataflow/walk.scm 51 */
										BgL_arg1508z00_1799 = BGl_string2267z00zzdataflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1508z00_1799, BgL_port1333z00_1798);
						}
						bgl_display_string(BGl_string2268z00zzdataflow_walkz00,
							BgL_port1333z00_1798);
						bgl_display_char(((unsigned char) 10), BgL_port1333z00_1798);
					}
					{	/* Dataflow/walk.scm 51 */
						obj_t BgL_list1513z00_1805;

						BgL_list1513z00_1805 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1513z00_1805);
					}
				}
			else
				{	/* Dataflow/walk.scm 51 */
					obj_t BgL_g1147z00_1806;

					BgL_g1147z00_1806 = BNIL;
					{
						obj_t BgL_hooksz00_1809;
						obj_t BgL_hnamesz00_1810;

						BgL_hooksz00_1809 = BgL_g1147z00_1806;
						BgL_hnamesz00_1810 = BNIL;
					BgL_zc3anonymousza31514ze3z83_1811:
						if (NULLP(BgL_hooksz00_1809))
							{	/* Dataflow/walk.scm 51 */
								return BgL_globalsz00_56;
							}
						else
							{	/* Dataflow/walk.scm 51 */
								bool_t BgL_testz00_3847;

								{	/* Dataflow/walk.scm 51 */
									obj_t BgL_fun1530z00_1818;

									BgL_fun1530z00_1818 = CAR(((obj_t) BgL_hooksz00_1809));
									BgL_testz00_3847 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1530z00_1818)
										(BgL_fun1530z00_1818, BEOA));
								}
								if (BgL_testz00_3847)
									{	/* Dataflow/walk.scm 51 */
										obj_t BgL_arg1524z00_1815;
										obj_t BgL_arg1526z00_1816;

										BgL_arg1524z00_1815 = CDR(((obj_t) BgL_hooksz00_1809));
										BgL_arg1526z00_1816 = CDR(((obj_t) BgL_hnamesz00_1810));
										{
											obj_t BgL_hnamesz00_3859;
											obj_t BgL_hooksz00_3858;

											BgL_hooksz00_3858 = BgL_arg1524z00_1815;
											BgL_hnamesz00_3859 = BgL_arg1526z00_1816;
											BgL_hnamesz00_1810 = BgL_hnamesz00_3859;
											BgL_hooksz00_1809 = BgL_hooksz00_3858;
											goto BgL_zc3anonymousza31514ze3z83_1811;
										}
									}
								else
									{	/* Dataflow/walk.scm 51 */
										obj_t BgL_arg1528z00_1817;

										BgL_arg1528z00_1817 = CAR(((obj_t) BgL_hnamesz00_1810));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2269z00zzdataflow_walkz00, BgL_arg1528z00_1817);
									}
							}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-walk! */
	obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t BgL_envz00_3244,
		obj_t BgL_globalsz00_3245, obj_t BgL_namez00_3246)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 45 */
			return
				BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(BgL_globalsz00_3245,
				BgL_namez00_3246);
		}
		BGL_FUNCTION_END;
	}



/* dataflow-node*! */
	obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t BgL_nodeza2za2_99,
		obj_t BgL_envz00_100)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 307 */
			{
				obj_t BgL_l1355z00_1824;

				BgL_l1355z00_1824 = BgL_nodeza2za2_99;
			BgL_zc3anonymousza31537ze3z83_1825:
				if (PAIRP(BgL_l1355z00_1824))
					{	/* Dataflow/walk.scm 308 */
						{	/* Dataflow/walk.scm 308 */
							obj_t BgL_nz00_1827;

							BgL_nz00_1827 = CAR(BgL_l1355z00_1824);
							BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								((BgL_nodez00_bglt) BgL_nz00_1827), BgL_envz00_100);
						}
						{
							obj_t BgL_l1355z00_3869;

							BgL_l1355z00_3869 = CDR(BgL_l1355z00_1824);
							BgL_l1355z00_1824 = BgL_l1355z00_3869;
							goto BgL_zc3anonymousza31537ze3z83_1825;
						}
					}
				else
					{	/* Dataflow/walk.scm 308 */
						((bool_t) 1);
					}
			}
			return BgL_envz00_100;
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 37 */
				obj_t BgL_arg1555z00_1834;
				obj_t BgL_arg1562z00_1835;

				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_v1373z00_1869;

					BgL_v1373z00_1869 = create_vector(((long) 2));
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1604z00_1870;

						BgL_arg1604z00_1870 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc2271z00zzdataflow_walkz00,
							BGl_proc2270z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1373z00_1869, ((long) 0), BgL_arg1604z00_1870);
					}
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1615z00_1880;

						BgL_arg1615z00_1880 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc2273z00zzdataflow_walkz00,
							BGl_proc2272z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1373z00_1869, ((long) 1), BgL_arg1615z00_1880);
					}
					BgL_arg1555z00_1834 = BgL_v1373z00_1869;
				}
				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_v1374z00_1890;

					BgL_v1374z00_1890 = create_vector(((long) 0));
					BgL_arg1562z00_1835 = BgL_v1374z00_1890;
				}
				return (BGl_localzf2valuezf2zzdataflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 8)),
						CNST_TABLE_REF(((long) 9)), BGl_localz00zzast_varz00,
						((long) 51723), BGl_proc2277z00zzdataflow_walkz00,
						BGl_proc2276z00zzdataflow_walkz00, BFALSE,
						BGl_proc2275z00zzdataflow_walkz00,
						BGl_proc2274z00zzdataflow_walkz00, BgL_arg1555z00_1834,
						BgL_arg1562z00_1835), BUNSPEC);
		}}
		BGL_FUNCTION_END;
	}



/* &lambda1582 */
	BgL_localz00_bglt BGl_z62lambda1582z62zzdataflow_walkz00(obj_t
		BgL_envz00_3255, obj_t BgL_o1124z00_3256)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				long BgL_arg1587z00_3446;

				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_arg1600z00_3447;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1603z00_3448;

						{	/* Dataflow/walk.scm 37 */
							long BgL_arg1741z00_3449;

							{	/* Dataflow/walk.scm 37 */
								long BgL_arg1744z00_3450;

								{	/* Dataflow/walk.scm 37 */
									long BgL_res2163z00_3451;

									BgL_res2163z00_3451 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_o1124z00_3256)));
									BgL_arg1744z00_3450 = BgL_res2163z00_3451;
								}
								BgL_arg1741z00_3449 = (BgL_arg1744z00_3450 - OBJECT_TYPE);
							}
							BgL_arg1603z00_3448 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1741z00_3449);
						}
						BgL_arg1600z00_3447 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1603z00_3448);
					}
					{	/* Dataflow/walk.scm 37 */
						long BgL_res2165z00_3452;

						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_tmpz00_3889;

							BgL_tmpz00_3889 = ((obj_t) BgL_arg1600z00_3447);
							BgL_res2165z00_3452 = BGL_CLASS_INDEX(BgL_tmpz00_3889);
						}
						BgL_arg1587z00_3446 = BgL_res2165z00_3452;
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1124z00_3256)), BgL_arg1587z00_3446);
			}
			{	/* Dataflow/walk.scm 37 */
				BgL_objectz00_bglt BgL_tmpz00_3895;

				BgL_tmpz00_3895 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1124z00_3256));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3895, BFALSE);
			}
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1124z00_3256));
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1581> */
	obj_t BGl_z62zc3anonymousza31581ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3257, obj_t BgL_new1123z00_3258)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localz00_bglt BgL_new1123z00_1861;

				{
					BgL_localz00_bglt BgL_auxz00_3901;

					BgL_new1123z00_1861 = ((BgL_localz00_bglt) BgL_new1123z00_3258);
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1123z00_1861)))->BgL_idz00) =
						((obj_t) CNST_TABLE_REF(((long) 10))), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1123z00_1861)))->BgL_namez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_typez00_bglt BgL_auxz00_3907;

						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_classz00_2833;

							BgL_classz00_2833 = BGl_typez00zztype_typez00;
							{	/* Dataflow/walk.scm 37 */
								obj_t BgL__ortest_1105z00_2834;

								BgL__ortest_1105z00_2834 = BGL_CLASS_NIL(BgL_classz00_2833);
								if (CBOOL(BgL__ortest_1105z00_2834))
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3907 =
											((BgL_typez00_bglt) BgL__ortest_1105z00_2834);
									}
								else
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3907 =
											((BgL_typez00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2833));
									}
							}
						}
						((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_new1123z00_1861)))->
								BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3907), BUNSPEC);
					}
					{
						BgL_valuez00_bglt BgL_auxz00_3916;

						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_classz00_2835;

							BgL_classz00_2835 = BGl_valuez00zzast_varz00;
							{	/* Dataflow/walk.scm 37 */
								obj_t BgL__ortest_1105z00_2836;

								BgL__ortest_1105z00_2836 = BGL_CLASS_NIL(BgL_classz00_2835);
								if (CBOOL(BgL__ortest_1105z00_2836))
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3916 =
											((BgL_valuez00_bglt) BgL__ortest_1105z00_2836);
									}
								else
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3916 =
											((BgL_valuez00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2835));
									}
							}
						}
						((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_new1123z00_1861)))->
								BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3916), BUNSPEC);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1123z00_1861)))->
							BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1123z00_1861)))->BgL_fastzd2alphazd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1123z00_1861)))->BgL_removablez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1123z00_1861)))->BgL_occurrencez00) =
						((long) ((long) 0)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1123z00_1861)))->BgL_occurrencewz00) =
						((long) ((long) 0)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1123z00_1861)))->BgL_userzf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1123z00_1861)))->BgL_keyz00) =
						((long) ((long) 0)), BUNSPEC);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_3939;

						{
							obj_t BgL_auxz00_3940;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_3941;

								BgL_tmpz00_3941 = ((BgL_objectz00_bglt) BgL_new1123z00_1861);
								BgL_auxz00_3940 = BGL_OBJECT_WIDENING(BgL_tmpz00_3941);
							}
							BgL_auxz00_3939 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3940);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_3939))->
								BgL_stampz00) = ((int) (int) (((long) 0))), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3953;
						BgL_localzf2valuezf2_bglt BgL_auxz00_3947;

						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_classz00_2837;

							BgL_classz00_2837 = BGl_nodez00zzast_nodez00;
							{	/* Dataflow/walk.scm 37 */
								obj_t BgL__ortest_1105z00_2838;

								BgL__ortest_1105z00_2838 = BGL_CLASS_NIL(BgL_classz00_2837);
								if (CBOOL(BgL__ortest_1105z00_2838))
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3953 =
											((BgL_nodez00_bglt) BgL__ortest_1105z00_2838);
									}
								else
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3953 =
											((BgL_nodez00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2837));
									}
							}
						}
						{
							obj_t BgL_auxz00_3948;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_3949;

								BgL_tmpz00_3949 = ((BgL_objectz00_bglt) BgL_new1123z00_1861);
								BgL_auxz00_3948 = BGL_OBJECT_WIDENING(BgL_tmpz00_3949);
							}
							BgL_auxz00_3947 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3948);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_3947))->
								BgL_nodez00) = ((BgL_nodez00_bglt) BgL_auxz00_3953), BUNSPEC);
					}
					BgL_auxz00_3901 = BgL_new1123z00_1861;
					return ((obj_t) BgL_auxz00_3901);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1570 */
	BgL_localz00_bglt BGl_z62lambda1570z62zzdataflow_walkz00(obj_t
		BgL_envz00_3259, obj_t BgL_o1119z00_3260)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				BgL_localzf2valuezf2_bglt BgL_wide1121z00_3461;

				BgL_wide1121z00_3461 =
					((BgL_localzf2valuezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2valuezf2_bgl))));
				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_auxz00_3968;
					BgL_objectz00_bglt BgL_tmpz00_3964;

					BgL_auxz00_3968 = ((obj_t) BgL_wide1121z00_3461);
					BgL_tmpz00_3964 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1119z00_3260)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3964, BgL_auxz00_3968);
				}
				{	/* Dataflow/walk.scm 37 */
					long BgL_arg1580z00_3462;

					{	/* Dataflow/walk.scm 37 */
						long BgL_res2162z00_3463;

						BgL_res2162z00_3463 =
							BGL_CLASS_INDEX(BGl_localzf2valuezf2zzdataflow_walkz00);
						BgL_arg1580z00_3462 = BgL_res2162z00_3463;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1119z00_3260))), BgL_arg1580z00_3462);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1119z00_3260)));
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1563 */
	BgL_localz00_bglt BGl_z62lambda1563z62zzdataflow_walkz00(obj_t
		BgL_envz00_3261, obj_t BgL_id1106z00_3262, obj_t BgL_name1107z00_3263,
		obj_t BgL_type1108z00_3264, obj_t BgL_value1109z00_3265,
		obj_t BgL_access1110z00_3266, obj_t BgL_fastzd2alpha1111zd2_3267,
		obj_t BgL_removable1112z00_3268, obj_t BgL_occurrence1113z00_3269,
		obj_t BgL_occurrencew1114z00_3270, obj_t BgL_userzf31115zf3_3271,
		obj_t BgL_key1116z00_3272, obj_t BgL_stamp1117z00_3273,
		obj_t BgL_node1118z00_3274)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				long BgL_occurrence1113z00_3467;
				long BgL_occurrencew1114z00_3468;
				bool_t BgL_userzf31115zf3_3469;
				long BgL_key1116z00_3470;
				int BgL_stamp1117z00_3471;

				BgL_occurrence1113z00_3467 = (long) CINT(BgL_occurrence1113z00_3269);
				BgL_occurrencew1114z00_3468 = (long) CINT(BgL_occurrencew1114z00_3270);
				BgL_userzf31115zf3_3469 = CBOOL(BgL_userzf31115zf3_3271);
				BgL_key1116z00_3470 = (long) CINT(BgL_key1116z00_3272);
				BgL_stamp1117z00_3471 = CINT(BgL_stamp1117z00_3273);
				{	/* Dataflow/walk.scm 37 */
					BgL_localz00_bglt BgL_new1200z00_3473;

					{	/* Dataflow/walk.scm 37 */
						BgL_localz00_bglt BgL_tmp1198z00_3474;
						BgL_localzf2valuezf2_bglt BgL_wide1199z00_3475;

						{
							BgL_localz00_bglt BgL_auxz00_3984;

							{	/* Dataflow/walk.scm 37 */
								BgL_localz00_bglt BgL_new1197z00_3476;

								BgL_new1197z00_3476 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Dataflow/walk.scm 37 */
									long BgL_arg1569z00_3477;

									{	/* Dataflow/walk.scm 37 */
										long BgL_res2160z00_3478;

										BgL_res2160z00_3478 =
											BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
										BgL_arg1569z00_3477 = BgL_res2160z00_3478;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1197z00_3476),
										BgL_arg1569z00_3477);
								}
								{	/* Dataflow/walk.scm 37 */
									BgL_objectz00_bglt BgL_tmpz00_3989;

									BgL_tmpz00_3989 = ((BgL_objectz00_bglt) BgL_new1197z00_3476);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3989, BFALSE);
								}
								BgL_auxz00_3984 = BgL_new1197z00_3476;
							}
							BgL_tmp1198z00_3474 = ((BgL_localz00_bglt) BgL_auxz00_3984);
						}
						BgL_wide1199z00_3475 =
							((BgL_localzf2valuezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2valuezf2_bgl))));
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_auxz00_3996;
							BgL_objectz00_bglt BgL_tmpz00_3994;

							BgL_auxz00_3996 = ((obj_t) BgL_wide1199z00_3475);
							BgL_tmpz00_3994 = ((BgL_objectz00_bglt) BgL_tmp1198z00_3474);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3994, BgL_auxz00_3996);
						}
						{	/* Dataflow/walk.scm 37 */
							long BgL_arg1568z00_3479;

							{	/* Dataflow/walk.scm 37 */
								long BgL_res2161z00_3480;

								BgL_res2161z00_3480 =
									BGL_CLASS_INDEX(BGl_localzf2valuezf2zzdataflow_walkz00);
								BgL_arg1568z00_3479 = BgL_res2161z00_3480;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1198z00_3474),
								BgL_arg1568z00_3479);
						}
						BgL_new1200z00_3473 = ((BgL_localz00_bglt) BgL_tmp1198z00_3474);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1200z00_3473)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1106z00_3262)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1200z00_3473)))->BgL_namez00) =
						((obj_t) BgL_name1107z00_3263), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1200z00_3473)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1108z00_3264)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1200z00_3473)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1109z00_3265)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1200z00_3473)))->BgL_accessz00) =
						((obj_t) BgL_access1110z00_3266), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1200z00_3473)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1111zd2_3267), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1200z00_3473)))->BgL_removablez00) =
						((obj_t) BgL_removable1112z00_3268), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1200z00_3473)))->BgL_occurrencez00) =
						((long) BgL_occurrence1113z00_3467), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1200z00_3473)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1114z00_3468), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1200z00_3473)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31115zf3_3469), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1200z00_3473)))->BgL_keyz00) =
						((long) BgL_key1116z00_3470), BUNSPEC);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4028;

						{
							obj_t BgL_auxz00_4029;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_4030;

								BgL_tmpz00_4030 = ((BgL_objectz00_bglt) BgL_new1200z00_3473);
								BgL_auxz00_4029 = BGL_OBJECT_WIDENING(BgL_tmpz00_4030);
							}
							BgL_auxz00_4028 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4029);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4028))->
								BgL_stampz00) = ((int) BgL_stamp1117z00_3471), BUNSPEC);
					}
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4035;

						{
							obj_t BgL_auxz00_4036;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_4037;

								BgL_tmpz00_4037 = ((BgL_objectz00_bglt) BgL_new1200z00_3473);
								BgL_auxz00_4036 = BGL_OBJECT_WIDENING(BgL_tmpz00_4037);
							}
							BgL_auxz00_4035 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4036);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4035))->
								BgL_nodez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_node1118z00_3274)),
							BUNSPEC);
					}
					return BgL_new1200z00_3473;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1620 */
	obj_t BGl_z62lambda1620z62zzdataflow_walkz00(obj_t BgL_envz00_3275,
		obj_t BgL_oz00_3276, obj_t BgL_vz00_3277)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localzf2valuezf2_bglt BgL_auxz00_4043;

				{
					obj_t BgL_auxz00_4044;

					{	/* Dataflow/walk.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_4045;

						BgL_tmpz00_4045 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3276));
						BgL_auxz00_4044 = BGL_OBJECT_WIDENING(BgL_tmpz00_4045);
					}
					BgL_auxz00_4043 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4044);
				}
				return
					((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4043))->
						BgL_nodez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_3277)), BUNSPEC);
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1619 */
	BgL_nodez00_bglt BGl_z62lambda1619z62zzdataflow_walkz00(obj_t BgL_envz00_3278,
		obj_t BgL_oz00_3279)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localzf2valuezf2_bglt BgL_auxz00_4052;

				{
					obj_t BgL_auxz00_4053;

					{	/* Dataflow/walk.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_4054;

						BgL_tmpz00_4054 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3279));
						BgL_auxz00_4053 = BGL_OBJECT_WIDENING(BgL_tmpz00_4054);
					}
					BgL_auxz00_4052 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4053);
				}
				return
					(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4052))->BgL_nodez00);
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1613 */
	obj_t BGl_z62lambda1613z62zzdataflow_walkz00(obj_t BgL_envz00_3280,
		obj_t BgL_oz00_3281, obj_t BgL_vz00_3282)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				int BgL_vz00_3485;

				BgL_vz00_3485 = CINT(BgL_vz00_3282);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4061;

					{
						obj_t BgL_auxz00_4062;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4063;

							BgL_tmpz00_4063 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3281));
							BgL_auxz00_4062 = BGL_OBJECT_WIDENING(BgL_tmpz00_4063);
						}
						BgL_auxz00_4061 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4062);
					}
					return
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4061))->
							BgL_stampz00) = ((int) BgL_vz00_3485), BUNSPEC);
		}}}
		BGL_FUNCTION_END;
	}



/* &lambda1612 */
	obj_t BGl_z62lambda1612z62zzdataflow_walkz00(obj_t BgL_envz00_3283,
		obj_t BgL_oz00_3284)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				int BgL_tmpz00_4069;

				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4070;

					{
						obj_t BgL_auxz00_4071;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4072;

							BgL_tmpz00_4072 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3284));
							BgL_auxz00_4071 = BGL_OBJECT_WIDENING(BgL_tmpz00_4072);
						}
						BgL_auxz00_4070 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4071);
					}
					BgL_tmpz00_4069 =
						(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4070))->
						BgL_stampz00);
				}
				return BINT(BgL_tmpz00_4069);
			}
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_proc2278z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2279z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_proc2280z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2281z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_proc2282z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2283z00zzdataflow_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_proc2284z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2285z00zzdataflow_walkz00);
		}
		BGL_FUNCTION_END;
	}



/* &abort?1434 */
	obj_t BGl_z62abortzf31434z91zzdataflow_walkz00(obj_t BgL_envz00_3289,
		obj_t BgL_nodez00_3290)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 428 */
			return BBOOL(((bool_t) 0));
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-false-1430 */
	obj_t BGl_z62dataflowzd2testzd2falsezd21430zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3291, obj_t BgL_nodez00_3292)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 400 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-env1417 */
	obj_t BGl_z62dataflowzd2testzd2env1417z62zzdataflow_walkz00(obj_t
		BgL_envz00_3293, obj_t BgL_nodez00_3294)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 314 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!1375 */
	obj_t BGl_z62dataflowzd2nodez121375za2zzdataflow_walkz00(obj_t
		BgL_envz00_3295, obj_t BgL_nodez00_3296, obj_t BgL_envz00_3297)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 69 */
			return ((obj_t) BgL_envz00_3297);
		}
		BGL_FUNCTION_END;
	}



/* dataflow-node! */
	obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_59, obj_t BgL_envz00_60)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 69 */
			{	/* Dataflow/walk.scm 69 */
				obj_t BgL_method1376z00_1912;

				{	/* Dataflow/walk.scm 69 */
					obj_t BgL_res2177z00_2897;

					{	/* Dataflow/walk.scm 69 */
						long BgL_objzd2classzd2numz00_2854;

						{	/* Dataflow/walk.scm 69 */
							long BgL_res2166z00_2857;

							BgL_res2166z00_2857 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_59));
							BgL_objzd2classzd2numz00_2854 = BgL_res2166z00_2857;
						}
						{	/* Dataflow/walk.scm 69 */
							obj_t BgL_arg1738z00_2855;

							BgL_arg1738z00_2855 =
								PROCEDURE_REF(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 69 */
								int BgL_offsetz00_2859;

								BgL_offsetz00_2859 = (int) (BgL_objzd2classzd2numz00_2854);
								{	/* Dataflow/walk.scm 69 */
									long BgL_offsetz00_2860;

									BgL_offsetz00_2860 =
										((long) (BgL_offsetz00_2859) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 69 */
										long BgL_modz00_2861;

										{	/* Dataflow/walk.scm 69 */
											int BgL_arg1740z00_2862;

											BgL_arg1740z00_2862 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 69 */
												long BgL_res2169z00_2872;

												{	/* Dataflow/walk.scm 69 */
													long BgL_tmpz00_4093;

													BgL_tmpz00_4093 = (long) (BgL_arg1740z00_2862);
													BgL_res2169z00_2872 =
														(BgL_offsetz00_2860 / BgL_tmpz00_4093);
												}
												BgL_modz00_2861 = BgL_res2169z00_2872;
										}}
										{	/* Dataflow/walk.scm 69 */
											long BgL_restz00_2863;

											{	/* Dataflow/walk.scm 69 */
												int BgL_arg1739z00_2864;

												BgL_arg1739z00_2864 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 69 */
													long BgL_res2176z00_2892;

													{	/* Dataflow/walk.scm 69 */
														long BgL_n1z00_2874;
														long BgL_n2z00_2875;

														BgL_n1z00_2874 = BgL_offsetz00_2860;
														BgL_n2z00_2875 = (long) (BgL_arg1739z00_2864);
														{	/* Dataflow/walk.scm 69 */
															bool_t BgL_testz00_4098;

															{	/* Dataflow/walk.scm 69 */
																long BgL_arg1304z00_2877;

																BgL_arg1304z00_2877 =
																	(((BgL_n1z00_2874) | (BgL_n2z00_2875)) &
																	-2147483648);
																BgL_testz00_4098 =
																	(BgL_arg1304z00_2877 == ((long) 0));
															}
															if (BgL_testz00_4098)
																{	/* Dataflow/walk.scm 69 */
																	int32_t BgL_arg1278z00_2878;

																	{	/* Dataflow/walk.scm 69 */
																		int32_t BgL_arg1301z00_2879;
																		int32_t BgL_arg1303z00_2880;

																		{	/* Dataflow/walk.scm 69 */
																			int32_t BgL_res2172z00_2884;

																			BgL_res2172z00_2884 =
																				(int32_t) (BgL_n1z00_2874);
																			BgL_arg1301z00_2879 = BgL_res2172z00_2884;
																		}
																		{	/* Dataflow/walk.scm 69 */
																			int32_t BgL_res2173z00_2886;

																			BgL_res2173z00_2886 =
																				(int32_t) (BgL_n2z00_2875);
																			BgL_arg1303z00_2880 = BgL_res2173z00_2886;
																		}
																		BgL_arg1278z00_2878 =
																			(BgL_arg1301z00_2879 %
																			BgL_arg1303z00_2880);
																	}
																	{	/* Dataflow/walk.scm 69 */
																		long BgL_res2175z00_2891;

																		{	/* Dataflow/walk.scm 69 */
																			long BgL_arg1406z00_2888;

																			BgL_arg1406z00_2888 =
																				(long) (BgL_arg1278z00_2878);
																			{	/* Dataflow/walk.scm 69 */
																				long BgL_res2174z00_2890;

																				BgL_res2174z00_2890 =
																					(long) (BgL_arg1406z00_2888);
																				BgL_res2175z00_2891 =
																					BgL_res2174z00_2890;
																		}}
																		BgL_res2176z00_2892 = BgL_res2175z00_2891;
																}}
															else
																{	/* Dataflow/walk.scm 69 */
																	BgL_res2176z00_2892 =
																		(BgL_n1z00_2874 % BgL_n2z00_2875);
																}
														}
													}
													BgL_restz00_2863 = BgL_res2176z00_2892;
												}
											}
											{	/* Dataflow/walk.scm 69 */

												{	/* Dataflow/walk.scm 69 */
													obj_t BgL_bucketz00_2865;

													BgL_bucketz00_2865 =
														VECTOR_REF(
														((obj_t) BgL_arg1738z00_2855), BgL_modz00_2861);
													BgL_res2177z00_2897 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2865), BgL_restz00_2863);
												}
											}
										}
									}
								}
							}
						}
					}
					BgL_method1376z00_1912 = BgL_res2177z00_2897;
				}
				return
					PROCEDURE_ENTRY(BgL_method1376z00_1912) (BgL_method1376z00_1912,
					((obj_t) BgL_nodez00_59), BgL_envz00_60, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node! */
	obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t BgL_envz00_3298,
		obj_t BgL_nodez00_3299, obj_t BgL_envz00_3300)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 69 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3299), BgL_envz00_3300);
		}
		BGL_FUNCTION_END;
	}



/* dataflow-test-env */
	obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_101)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 314 */
			{	/* Dataflow/walk.scm 314 */
				obj_t BgL_method1418z00_1913;

				{	/* Dataflow/walk.scm 314 */
					obj_t BgL_res2189z00_2942;

					{	/* Dataflow/walk.scm 314 */
						long BgL_objzd2classzd2numz00_2899;

						{	/* Dataflow/walk.scm 314 */
							long BgL_res2178z00_2902;

							BgL_res2178z00_2902 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_101));
							BgL_objzd2classzd2numz00_2899 = BgL_res2178z00_2902;
						}
						{	/* Dataflow/walk.scm 314 */
							obj_t BgL_arg1738z00_2900;

							BgL_arg1738z00_2900 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 314 */
								int BgL_offsetz00_2904;

								BgL_offsetz00_2904 = (int) (BgL_objzd2classzd2numz00_2899);
								{	/* Dataflow/walk.scm 314 */
									long BgL_offsetz00_2905;

									BgL_offsetz00_2905 =
										((long) (BgL_offsetz00_2904) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 314 */
										long BgL_modz00_2906;

										{	/* Dataflow/walk.scm 314 */
											int BgL_arg1740z00_2907;

											BgL_arg1740z00_2907 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 314 */
												long BgL_res2181z00_2917;

												{	/* Dataflow/walk.scm 314 */
													long BgL_tmpz00_4127;

													BgL_tmpz00_4127 = (long) (BgL_arg1740z00_2907);
													BgL_res2181z00_2917 =
														(BgL_offsetz00_2905 / BgL_tmpz00_4127);
												}
												BgL_modz00_2906 = BgL_res2181z00_2917;
										}}
										{	/* Dataflow/walk.scm 314 */
											long BgL_restz00_2908;

											{	/* Dataflow/walk.scm 314 */
												int BgL_arg1739z00_2909;

												BgL_arg1739z00_2909 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 314 */
													long BgL_res2188z00_2937;

													{	/* Dataflow/walk.scm 314 */
														long BgL_n1z00_2919;
														long BgL_n2z00_2920;

														BgL_n1z00_2919 = BgL_offsetz00_2905;
														BgL_n2z00_2920 = (long) (BgL_arg1739z00_2909);
														{	/* Dataflow/walk.scm 314 */
															bool_t BgL_testz00_4132;

															{	/* Dataflow/walk.scm 314 */
																long BgL_arg1304z00_2922;

																BgL_arg1304z00_2922 =
																	(((BgL_n1z00_2919) | (BgL_n2z00_2920)) &
																	-2147483648);
																BgL_testz00_4132 =
																	(BgL_arg1304z00_2922 == ((long) 0));
															}
															if (BgL_testz00_4132)
																{	/* Dataflow/walk.scm 314 */
																	int32_t BgL_arg1278z00_2923;

																	{	/* Dataflow/walk.scm 314 */
																		int32_t BgL_arg1301z00_2924;
																		int32_t BgL_arg1303z00_2925;

																		{	/* Dataflow/walk.scm 314 */
																			int32_t BgL_res2184z00_2929;

																			BgL_res2184z00_2929 =
																				(int32_t) (BgL_n1z00_2919);
																			BgL_arg1301z00_2924 = BgL_res2184z00_2929;
																		}
																		{	/* Dataflow/walk.scm 314 */
																			int32_t BgL_res2185z00_2931;

																			BgL_res2185z00_2931 =
																				(int32_t) (BgL_n2z00_2920);
																			BgL_arg1303z00_2925 = BgL_res2185z00_2931;
																		}
																		BgL_arg1278z00_2923 =
																			(BgL_arg1301z00_2924 %
																			BgL_arg1303z00_2925);
																	}
																	{	/* Dataflow/walk.scm 314 */
																		long BgL_res2187z00_2936;

																		{	/* Dataflow/walk.scm 314 */
																			long BgL_arg1406z00_2933;

																			BgL_arg1406z00_2933 =
																				(long) (BgL_arg1278z00_2923);
																			{	/* Dataflow/walk.scm 314 */
																				long BgL_res2186z00_2935;

																				BgL_res2186z00_2935 =
																					(long) (BgL_arg1406z00_2933);
																				BgL_res2187z00_2936 =
																					BgL_res2186z00_2935;
																		}}
																		BgL_res2188z00_2937 = BgL_res2187z00_2936;
																}}
															else
																{	/* Dataflow/walk.scm 314 */
																	BgL_res2188z00_2937 =
																		(BgL_n1z00_2919 % BgL_n2z00_2920);
																}
														}
													}
													BgL_restz00_2908 = BgL_res2188z00_2937;
												}
											}
											{	/* Dataflow/walk.scm 314 */

												{	/* Dataflow/walk.scm 314 */
													obj_t BgL_bucketz00_2910;

													BgL_bucketz00_2910 =
														VECTOR_REF(
														((obj_t) BgL_arg1738z00_2900), BgL_modz00_2906);
													BgL_res2189z00_2942 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2910), BgL_restz00_2908);
												}
											}
										}
									}
								}
							}
						}
					}
					BgL_method1418z00_1913 = BgL_res2189z00_2942;
				}
				return
					PROCEDURE_ENTRY(BgL_method1418z00_1913) (BgL_method1418z00_1913,
					((obj_t) BgL_nodez00_101), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-env */
	obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t BgL_envz00_3301,
		obj_t BgL_nodez00_3302)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 314 */
			return
				BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3302));
		}
		BGL_FUNCTION_END;
	}



/* dataflow-test-false-env */
	obj_t BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_107)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 400 */
			{	/* Dataflow/walk.scm 400 */
				obj_t BgL_method1431z00_1914;

				{	/* Dataflow/walk.scm 400 */
					obj_t BgL_res2201z00_2987;

					{	/* Dataflow/walk.scm 400 */
						long BgL_objzd2classzd2numz00_2944;

						{	/* Dataflow/walk.scm 400 */
							long BgL_res2190z00_2947;

							BgL_res2190z00_2947 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_107));
							BgL_objzd2classzd2numz00_2944 = BgL_res2190z00_2947;
						}
						{	/* Dataflow/walk.scm 400 */
							obj_t BgL_arg1738z00_2945;

							BgL_arg1738z00_2945 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 400 */
								int BgL_offsetz00_2949;

								BgL_offsetz00_2949 = (int) (BgL_objzd2classzd2numz00_2944);
								{	/* Dataflow/walk.scm 400 */
									long BgL_offsetz00_2950;

									BgL_offsetz00_2950 =
										((long) (BgL_offsetz00_2949) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 400 */
										long BgL_modz00_2951;

										{	/* Dataflow/walk.scm 400 */
											int BgL_arg1740z00_2952;

											BgL_arg1740z00_2952 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 400 */
												long BgL_res2193z00_2962;

												{	/* Dataflow/walk.scm 400 */
													long BgL_tmpz00_4160;

													BgL_tmpz00_4160 = (long) (BgL_arg1740z00_2952);
													BgL_res2193z00_2962 =
														(BgL_offsetz00_2950 / BgL_tmpz00_4160);
												}
												BgL_modz00_2951 = BgL_res2193z00_2962;
										}}
										{	/* Dataflow/walk.scm 400 */
											long BgL_restz00_2953;

											{	/* Dataflow/walk.scm 400 */
												int BgL_arg1739z00_2954;

												BgL_arg1739z00_2954 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 400 */
													long BgL_res2200z00_2982;

													{	/* Dataflow/walk.scm 400 */
														long BgL_n1z00_2964;
														long BgL_n2z00_2965;

														BgL_n1z00_2964 = BgL_offsetz00_2950;
														BgL_n2z00_2965 = (long) (BgL_arg1739z00_2954);
														{	/* Dataflow/walk.scm 400 */
															bool_t BgL_testz00_4165;

															{	/* Dataflow/walk.scm 400 */
																long BgL_arg1304z00_2967;

																BgL_arg1304z00_2967 =
																	(((BgL_n1z00_2964) | (BgL_n2z00_2965)) &
																	-2147483648);
																BgL_testz00_4165 =
																	(BgL_arg1304z00_2967 == ((long) 0));
															}
															if (BgL_testz00_4165)
																{	/* Dataflow/walk.scm 400 */
																	int32_t BgL_arg1278z00_2968;

																	{	/* Dataflow/walk.scm 400 */
																		int32_t BgL_arg1301z00_2969;
																		int32_t BgL_arg1303z00_2970;

																		{	/* Dataflow/walk.scm 400 */
																			int32_t BgL_res2196z00_2974;

																			BgL_res2196z00_2974 =
																				(int32_t) (BgL_n1z00_2964);
																			BgL_arg1301z00_2969 = BgL_res2196z00_2974;
																		}
																		{	/* Dataflow/walk.scm 400 */
																			int32_t BgL_res2197z00_2976;

																			BgL_res2197z00_2976 =
																				(int32_t) (BgL_n2z00_2965);
																			BgL_arg1303z00_2970 = BgL_res2197z00_2976;
																		}
																		BgL_arg1278z00_2968 =
																			(BgL_arg1301z00_2969 %
																			BgL_arg1303z00_2970);
																	}
																	{	/* Dataflow/walk.scm 400 */
																		long BgL_res2199z00_2981;

																		{	/* Dataflow/walk.scm 400 */
																			long BgL_arg1406z00_2978;

																			BgL_arg1406z00_2978 =
																				(long) (BgL_arg1278z00_2968);
																			{	/* Dataflow/walk.scm 400 */
																				long BgL_res2198z00_2980;

																				BgL_res2198z00_2980 =
																					(long) (BgL_arg1406z00_2978);
																				BgL_res2199z00_2981 =
																					BgL_res2198z00_2980;
																		}}
																		BgL_res2200z00_2982 = BgL_res2199z00_2981;
																}}
															else
																{	/* Dataflow/walk.scm 400 */
																	BgL_res2200z00_2982 =
																		(BgL_n1z00_2964 % BgL_n2z00_2965);
																}
														}
													}
													BgL_restz00_2953 = BgL_res2200z00_2982;
												}
											}
											{	/* Dataflow/walk.scm 400 */

												{	/* Dataflow/walk.scm 400 */
													obj_t BgL_bucketz00_2955;

													BgL_bucketz00_2955 =
														VECTOR_REF(
														((obj_t) BgL_arg1738z00_2945), BgL_modz00_2951);
													BgL_res2201z00_2987 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2955), BgL_restz00_2953);
												}
											}
										}
									}
								}
							}
						}
					}
					BgL_method1431z00_1914 = BgL_res2201z00_2987;
				}
				return
					PROCEDURE_ENTRY(BgL_method1431z00_1914) (BgL_method1431z00_1914,
					((obj_t) BgL_nodez00_107), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-false-env */
	obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t
		BgL_envz00_3303, obj_t BgL_nodez00_3304)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 400 */
			return
				BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3304));
		}
		BGL_FUNCTION_END;
	}



/* abort? */
	obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt BgL_nodez00_109)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 428 */
			{	/* Dataflow/walk.scm 428 */
				obj_t BgL_method1435z00_1915;

				{	/* Dataflow/walk.scm 428 */
					obj_t BgL_res2213z00_3032;

					{	/* Dataflow/walk.scm 428 */
						long BgL_objzd2classzd2numz00_2989;

						{	/* Dataflow/walk.scm 428 */
							long BgL_res2202z00_2992;

							BgL_res2202z00_2992 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_109));
							BgL_objzd2classzd2numz00_2989 = BgL_res2202z00_2992;
						}
						{	/* Dataflow/walk.scm 428 */
							obj_t BgL_arg1738z00_2990;

							BgL_arg1738z00_2990 =
								PROCEDURE_REF(BGl_abortzf3zd2envz21zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 428 */
								int BgL_offsetz00_2994;

								BgL_offsetz00_2994 = (int) (BgL_objzd2classzd2numz00_2989);
								{	/* Dataflow/walk.scm 428 */
									long BgL_offsetz00_2995;

									BgL_offsetz00_2995 =
										((long) (BgL_offsetz00_2994) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 428 */
										long BgL_modz00_2996;

										{	/* Dataflow/walk.scm 428 */
											int BgL_arg1740z00_2997;

											BgL_arg1740z00_2997 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 428 */
												long BgL_res2205z00_3007;

												{	/* Dataflow/walk.scm 428 */
													long BgL_tmpz00_4193;

													BgL_tmpz00_4193 = (long) (BgL_arg1740z00_2997);
													BgL_res2205z00_3007 =
														(BgL_offsetz00_2995 / BgL_tmpz00_4193);
												}
												BgL_modz00_2996 = BgL_res2205z00_3007;
										}}
										{	/* Dataflow/walk.scm 428 */
											long BgL_restz00_2998;

											{	/* Dataflow/walk.scm 428 */
												int BgL_arg1739z00_2999;

												BgL_arg1739z00_2999 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 428 */
													long BgL_res2212z00_3027;

													{	/* Dataflow/walk.scm 428 */
														long BgL_n1z00_3009;
														long BgL_n2z00_3010;

														BgL_n1z00_3009 = BgL_offsetz00_2995;
														BgL_n2z00_3010 = (long) (BgL_arg1739z00_2999);
														{	/* Dataflow/walk.scm 428 */
															bool_t BgL_testz00_4198;

															{	/* Dataflow/walk.scm 428 */
																long BgL_arg1304z00_3012;

																BgL_arg1304z00_3012 =
																	(((BgL_n1z00_3009) | (BgL_n2z00_3010)) &
																	-2147483648);
																BgL_testz00_4198 =
																	(BgL_arg1304z00_3012 == ((long) 0));
															}
															if (BgL_testz00_4198)
																{	/* Dataflow/walk.scm 428 */
																	int32_t BgL_arg1278z00_3013;

																	{	/* Dataflow/walk.scm 428 */
																		int32_t BgL_arg1301z00_3014;
																		int32_t BgL_arg1303z00_3015;

																		{	/* Dataflow/walk.scm 428 */
																			int32_t BgL_res2208z00_3019;

																			BgL_res2208z00_3019 =
																				(int32_t) (BgL_n1z00_3009);
																			BgL_arg1301z00_3014 = BgL_res2208z00_3019;
																		}
																		{	/* Dataflow/walk.scm 428 */
																			int32_t BgL_res2209z00_3021;

																			BgL_res2209z00_3021 =
																				(int32_t) (BgL_n2z00_3010);
																			BgL_arg1303z00_3015 = BgL_res2209z00_3021;
																		}
																		BgL_arg1278z00_3013 =
																			(BgL_arg1301z00_3014 %
																			BgL_arg1303z00_3015);
																	}
																	{	/* Dataflow/walk.scm 428 */
																		long BgL_res2211z00_3026;

																		{	/* Dataflow/walk.scm 428 */
																			long BgL_arg1406z00_3023;

																			BgL_arg1406z00_3023 =
																				(long) (BgL_arg1278z00_3013);
																			{	/* Dataflow/walk.scm 428 */
																				long BgL_res2210z00_3025;

																				BgL_res2210z00_3025 =
																					(long) (BgL_arg1406z00_3023);
																				BgL_res2211z00_3026 =
																					BgL_res2210z00_3025;
																		}}
																		BgL_res2212z00_3027 = BgL_res2211z00_3026;
																}}
															else
																{	/* Dataflow/walk.scm 428 */
																	BgL_res2212z00_3027 =
																		(BgL_n1z00_3009 % BgL_n2z00_3010);
																}
														}
													}
													BgL_restz00_2998 = BgL_res2212z00_3027;
												}
											}
											{	/* Dataflow/walk.scm 428 */

												{	/* Dataflow/walk.scm 428 */
													obj_t BgL_bucketz00_3000;

													BgL_bucketz00_3000 =
														VECTOR_REF(
														((obj_t) BgL_arg1738z00_2990), BgL_modz00_2996);
													BgL_res2213z00_3032 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3000), BgL_restz00_2998);
												}
											}
										}
									}
								}
							}
						}
					}
					BgL_method1435z00_1915 = BgL_res2213z00_3032;
				}
				return
					PROCEDURE_ENTRY(BgL_method1435z00_1915) (BgL_method1435z00_1915,
					((obj_t) BgL_nodez00_109), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort? */
	obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t BgL_envz00_3305,
		obj_t BgL_nodez00_3306)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 428 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3306));
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2286z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2288z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2289z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2290z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2291z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2292z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2293z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2294z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2295z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2296z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2297z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc2298z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2299z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2300z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2301z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2302z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2303z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2304z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2305z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2306z00zzdataflow_walkz00,
				BGl_string2307z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2308z00zzdataflow_walkz00,
				BGl_string2307z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2309z00zzdataflow_walkz00,
				BGl_string2307z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2310z00zzdataflow_walkz00,
				BGl_string2307z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2311z00zzdataflow_walkz00,
				BGl_string2307z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2312z00zzdataflow_walkz00,
				BGl_string2313z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2314z00zzdataflow_walkz00, BGl_string2315z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2316z00zzdataflow_walkz00, BGl_string2315z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2317z00zzdataflow_walkz00, BGl_string2315z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2318z00zzdataflow_walkz00, BGl_string2315z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2319z00zzdataflow_walkz00, BGl_string2315z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2320z00zzdataflow_walkz00,
				BGl_string2315z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2321z00zzdataflow_walkz00, BGl_string2315z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2322z00zzdataflow_walkz00, BGl_string2315z00zzdataflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2323z00zzdataflow_walkz00, BGl_string2315z00zzdataflow_walkz00);
		}
		BGL_FUNCTION_END;
	}



/* &abort?-app-ly1453 */
	obj_t BGl_z62abortzf3zd2appzd2ly1453z91zzdataflow_walkz00(obj_t
		BgL_envz00_3342, obj_t BgL_nodez00_3343)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 489 */
			{	/* Dataflow/walk.scm 491 */
				obj_t BgL__ortest_1196z00_3493;

				BgL__ortest_1196z00_3493 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3343)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1196z00_3493))
					{	/* Dataflow/walk.scm 491 */
						return BgL__ortest_1196z00_3493;
					}
				else
					{	/* Dataflow/walk.scm 491 */
						return
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_3343)))->BgL_argz00));
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort?-funcall1451 */
	obj_t BGl_z62abortzf3zd2funcall1451z43zzdataflow_walkz00(obj_t
		BgL_envz00_3344, obj_t BgL_nodez00_3345)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 482 */
			{	/* Dataflow/walk.scm 484 */
				obj_t BgL__ortest_1194z00_3495;

				BgL__ortest_1194z00_3495 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3345)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1194z00_3495))
					{	/* Dataflow/walk.scm 484 */
						return BgL__ortest_1194z00_3495;
					}
				else
					{	/* Dataflow/walk.scm 484 */
						obj_t BgL_g1371z00_3496;

						BgL_g1371z00_3496 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_3345)))->BgL_argsz00);
						{
							obj_t BgL_l1369z00_3498;

							BgL_l1369z00_3498 = BgL_g1371z00_3496;
						BgL_zc3anonymousza32070ze3z83_3497:
							if (NULLP(BgL_l1369z00_3498))
								{	/* Dataflow/walk.scm 484 */
									return BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 484 */
									obj_t BgL__ortest_1372z00_3499;

									{	/* Dataflow/walk.scm 484 */
										obj_t BgL_arg2073z00_3500;

										BgL_arg2073z00_3500 = CAR(((obj_t) BgL_l1369z00_3498));
										BgL__ortest_1372z00_3499 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2073z00_3500));
									}
									if (CBOOL(BgL__ortest_1372z00_3499))
										{	/* Dataflow/walk.scm 484 */
											return BgL__ortest_1372z00_3499;
										}
									else
										{	/* Dataflow/walk.scm 484 */
											obj_t BgL_arg2072z00_3501;

											BgL_arg2072z00_3501 = CDR(((obj_t) BgL_l1369z00_3498));
											{
												obj_t BgL_l1369z00_4277;

												BgL_l1369z00_4277 = BgL_arg2072z00_3501;
												BgL_l1369z00_3498 = BgL_l1369z00_4277;
												goto BgL_zc3anonymousza32070ze3z83_3497;
											}
										}
								}
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort?-app1449 */
	obj_t BGl_z62abortzf3zd2app1449z43zzdataflow_walkz00(obj_t BgL_envz00_3346,
		obj_t BgL_nodez00_3347)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 475 */
			{	/* Dataflow/walk.scm 477 */
				obj_t BgL__ortest_1192z00_3503;

				{	/* Dataflow/walk.scm 477 */
					BgL_varz00_bglt BgL_arg2069z00_3504;

					BgL_arg2069z00_3504 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3347)))->BgL_funz00);
					BgL__ortest_1192z00_3503 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						((BgL_nodez00_bglt) BgL_arg2069z00_3504));
				}
				if (CBOOL(BgL__ortest_1192z00_3503))
					{	/* Dataflow/walk.scm 477 */
						return BgL__ortest_1192z00_3503;
					}
				else
					{	/* Dataflow/walk.scm 477 */
						obj_t BgL_g1367z00_3505;

						BgL_g1367z00_3505 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_3347)))->BgL_argsz00);
						{
							obj_t BgL_l1365z00_3507;

							BgL_l1365z00_3507 = BgL_g1367z00_3505;
						BgL_zc3anonymousza32065ze3z83_3506:
							if (NULLP(BgL_l1365z00_3507))
								{	/* Dataflow/walk.scm 477 */
									return BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 477 */
									obj_t BgL__ortest_1368z00_3508;

									{	/* Dataflow/walk.scm 477 */
										obj_t BgL_arg2068z00_3509;

										BgL_arg2068z00_3509 = CAR(((obj_t) BgL_l1365z00_3507));
										BgL__ortest_1368z00_3508 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2068z00_3509));
									}
									if (CBOOL(BgL__ortest_1368z00_3508))
										{	/* Dataflow/walk.scm 477 */
											return BgL__ortest_1368z00_3508;
										}
									else
										{	/* Dataflow/walk.scm 477 */
											obj_t BgL_arg2067z00_3510;

											BgL_arg2067z00_3510 = CDR(((obj_t) BgL_l1365z00_3507));
											{
												obj_t BgL_l1365z00_4296;

												BgL_l1365z00_4296 = BgL_arg2067z00_3510;
												BgL_l1365z00_3507 = BgL_l1365z00_4296;
												goto BgL_zc3anonymousza32065ze3z83_3506;
											}
										}
								}
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort?-conditional1447 */
	obj_t BGl_z62abortzf3zd2conditional1447z43zzdataflow_walkz00(obj_t
		BgL_envz00_3348, obj_t BgL_nodez00_3349)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 468 */
			{	/* Dataflow/walk.scm 470 */
				obj_t BgL__ortest_1189z00_3512;

				BgL__ortest_1189z00_3512 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3349)))->BgL_testz00));
				if (CBOOL(BgL__ortest_1189z00_3512))
					{	/* Dataflow/walk.scm 470 */
						return BgL__ortest_1189z00_3512;
					}
				else
					{	/* Dataflow/walk.scm 470 */
						obj_t BgL__andtest_1190z00_3513;

						BgL__andtest_1190z00_3513 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_3349)))->
								BgL_truez00));
						if (CBOOL(BgL__andtest_1190z00_3513))
							{	/* Dataflow/walk.scm 470 */
								return
									BGl_abortzf3zf3zzdataflow_walkz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_3349)))->
										BgL_falsez00));
							}
						else
							{	/* Dataflow/walk.scm 470 */
								return BFALSE;
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort?-let-fun1445 */
	obj_t BGl_z62abortzf3zd2letzd2fun1445z91zzdataflow_walkz00(obj_t
		BgL_envz00_3350, obj_t BgL_nodez00_3351)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 461 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3351)))->BgL_bodyz00));
		}
		BGL_FUNCTION_END;
	}



/* &abort?-let-var1443 */
	obj_t BGl_z62abortzf3zd2letzd2var1443z91zzdataflow_walkz00(obj_t
		BgL_envz00_3352, obj_t BgL_nodez00_3353)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 454 */
			{	/* Dataflow/walk.scm 456 */
				obj_t BgL__ortest_1186z00_3516;

				{	/* Dataflow/walk.scm 456 */
					obj_t BgL_g1363z00_3517;

					BgL_g1363z00_3517 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3353)))->BgL_bindingsz00);
					{
						obj_t BgL_l1361z00_3519;

						BgL_l1361z00_3519 = BgL_g1363z00_3517;
					BgL_zc3anonymousza32057ze3z83_3518:
						if (NULLP(BgL_l1361z00_3519))
							{	/* Dataflow/walk.scm 456 */
								BgL__ortest_1186z00_3516 = BFALSE;
							}
						else
							{	/* Dataflow/walk.scm 456 */
								obj_t BgL__ortest_1364z00_3520;

								{	/* Dataflow/walk.scm 456 */
									obj_t BgL_bz00_3521;

									BgL_bz00_3521 = CAR(((obj_t) BgL_l1361z00_3519));
									{	/* Dataflow/walk.scm 456 */
										obj_t BgL_arg2060z00_3522;

										BgL_arg2060z00_3522 = CDR(((obj_t) BgL_bz00_3521));
										BgL__ortest_1364z00_3520 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2060z00_3522));
									}
								}
								if (CBOOL(BgL__ortest_1364z00_3520))
									{	/* Dataflow/walk.scm 456 */
										BgL__ortest_1186z00_3516 = BgL__ortest_1364z00_3520;
									}
								else
									{	/* Dataflow/walk.scm 456 */
										obj_t BgL_arg2059z00_3523;

										BgL_arg2059z00_3523 = CDR(((obj_t) BgL_l1361z00_3519));
										{
											obj_t BgL_l1361z00_4327;

											BgL_l1361z00_4327 = BgL_arg2059z00_3523;
											BgL_l1361z00_3519 = BgL_l1361z00_4327;
											goto BgL_zc3anonymousza32057ze3z83_3518;
										}
									}
							}
					}
				}
				if (CBOOL(BgL__ortest_1186z00_3516))
					{	/* Dataflow/walk.scm 456 */
						return BgL__ortest_1186z00_3516;
					}
				else
					{	/* Dataflow/walk.scm 456 */
						return
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_3353)))->BgL_bodyz00));
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort?-sync1441 */
	obj_t BGl_z62abortzf3zd2sync1441z43zzdataflow_walkz00(obj_t BgL_envz00_3354,
		obj_t BgL_nodez00_3355)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 446 */
			{	/* Dataflow/walk.scm 447 */
				obj_t BgL__ortest_1183z00_3525;

				BgL__ortest_1183z00_3525 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3355)))->BgL_mutexz00));
				if (CBOOL(BgL__ortest_1183z00_3525))
					{	/* Dataflow/walk.scm 447 */
						return BgL__ortest_1183z00_3525;
					}
				else
					{	/* Dataflow/walk.scm 448 */
						obj_t BgL__ortest_1184z00_3526;

						BgL__ortest_1184z00_3526 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_3355)))->BgL_prelockz00));
						if (CBOOL(BgL__ortest_1184z00_3526))
							{	/* Dataflow/walk.scm 448 */
								return BgL__ortest_1184z00_3526;
							}
						else
							{	/* Dataflow/walk.scm 448 */
								return
									BGl_abortzf3zf3zzdataflow_walkz00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nodez00_3355)))->BgL_bodyz00));
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort?-sequence1439 */
	obj_t BGl_z62abortzf3zd2sequence1439z43zzdataflow_walkz00(obj_t
		BgL_envz00_3356, obj_t BgL_nodez00_3357)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 440 */
			{	/* Dataflow/walk.scm 441 */
				obj_t BgL_g1359z00_3528;

				BgL_g1359z00_3528 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3357)))->BgL_nodesz00);
				{
					obj_t BgL_l1357z00_3530;

					BgL_l1357z00_3530 = BgL_g1359z00_3528;
				BgL_zc3anonymousza32049ze3z83_3529:
					if (NULLP(BgL_l1357z00_3530))
						{	/* Dataflow/walk.scm 441 */
							return BFALSE;
						}
					else
						{	/* Dataflow/walk.scm 441 */
							obj_t BgL__ortest_1360z00_3531;

							{	/* Dataflow/walk.scm 441 */
								obj_t BgL_arg2052z00_3532;

								BgL_arg2052z00_3532 = CAR(((obj_t) BgL_l1357z00_3530));
								BgL__ortest_1360z00_3531 =
									BGl_abortzf3zf3zzdataflow_walkz00(
									((BgL_nodez00_bglt) BgL_arg2052z00_3532));
							}
							if (CBOOL(BgL__ortest_1360z00_3531))
								{	/* Dataflow/walk.scm 441 */
									return BgL__ortest_1360z00_3531;
								}
							else
								{	/* Dataflow/walk.scm 441 */
									obj_t BgL_arg2051z00_3533;

									BgL_arg2051z00_3533 = CDR(((obj_t) BgL_l1357z00_3530));
									{
										obj_t BgL_l1357z00_4358;

										BgL_l1357z00_4358 = BgL_arg2051z00_3533;
										BgL_l1357z00_3530 = BgL_l1357z00_4358;
										goto BgL_zc3anonymousza32049ze3z83_3529;
									}
								}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &abort?-fail1437 */
	obj_t BGl_z62abortzf3zd2fail1437z43zzdataflow_walkz00(obj_t BgL_envz00_3358,
		obj_t BgL_nodez00_3359)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 434 */
			return BBOOL(((bool_t) 1));
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-false-1433 */
	obj_t BGl_z62dataflowzd2testzd2falsezd21433zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3360, obj_t BgL_nodez00_3361)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 406 */
			{	/* Dataflow/walk.scm 408 */
				BgL_variablez00_bglt BgL_fz00_3536;

				BgL_fz00_3536 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3361)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Dataflow/walk.scm 409 */

					{	/* Dataflow/walk.scm 410 */
						bool_t BgL_testz00_4363;

						{	/* Dataflow/walk.scm 410 */
							bool_t BgL_testz00_4364;

							{	/* Dataflow/walk.scm 410 */
								obj_t BgL_tmpz00_4365;

								BgL_tmpz00_4365 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_3361)))->BgL_argsz00);
								BgL_testz00_4364 = PAIRP(BgL_tmpz00_4365);
							}
							if (BgL_testz00_4364)
								{	/* Dataflow/walk.scm 410 */
									if (NULLP(CDR(
												(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_3361)))->
													BgL_argsz00))))
										{	/* Dataflow/walk.scm 411 */
											bool_t BgL_testz00_4374;

											{	/* Dataflow/walk.scm 411 */
												obj_t BgL_arg2042z00_3537;

												BgL_arg2042z00_3537 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_3361)))->
														BgL_argsz00));
												BgL_testz00_4374 =
													BGl_isazf3zf3zz__objectz00(BgL_arg2042z00_3537,
													BGl_varz00zzast_nodez00);
											}
											if (BgL_testz00_4374)
												{	/* Dataflow/walk.scm 412 */
													BgL_typez00_bglt BgL_arg2038z00_3538;

													{
														BgL_variablez00_bglt BgL_auxz00_4379;

														{
															BgL_varz00_bglt BgL_auxz00_4380;

															{	/* Dataflow/walk.scm 412 */
																obj_t BgL_pairz00_3539;

																BgL_pairz00_3539 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_3361)))->
																	BgL_argsz00);
																BgL_auxz00_4380 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_3539));
															}
															BgL_auxz00_4379 =
																(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4380))->
																BgL_variablez00);
														}
														BgL_arg2038z00_3538 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_auxz00_4379))->BgL_typez00);
													}
													BgL_testz00_4363 =
														(
														((obj_t) BgL_arg2038z00_3538) ==
														BGl_za2pairzd2nilza2zd2zztype_cachez00);
												}
											else
												{	/* Dataflow/walk.scm 411 */
													BgL_testz00_4363 = ((bool_t) 0);
												}
										}
									else
										{	/* Dataflow/walk.scm 410 */
											BgL_testz00_4363 = ((bool_t) 0);
										}
								}
							else
								{	/* Dataflow/walk.scm 410 */
									BgL_testz00_4363 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_4363)
							{	/* Dataflow/walk.scm 410 */
								if (
									(((obj_t) BgL_fz00_3536) ==
										BGl_za2z42nullzf3za2zb1zzdataflow_walkz00))
									{	/* Dataflow/walk.scm 415 */
										obj_t BgL_arg2025z00_3540;

										{	/* Dataflow/walk.scm 415 */
											BgL_variablez00_bglt BgL_arg2027z00_3541;

											{
												BgL_varz00_bglt BgL_auxz00_4392;

												{	/* Dataflow/walk.scm 415 */
													obj_t BgL_pairz00_3542;

													BgL_pairz00_3542 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_3361)))->
														BgL_argsz00);
													BgL_auxz00_4392 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_3542));
												}
												BgL_arg2027z00_3541 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4392))->
													BgL_variablez00);
											}
											BgL_arg2025z00_3540 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg2027z00_3541),
												BGl_za2pairza2z00zztype_cachez00);
										}
										{	/* Dataflow/walk.scm 415 */
											obj_t BgL_list2026z00_3543;

											BgL_list2026z00_3543 =
												MAKE_YOUNG_PAIR(BgL_arg2025z00_3540, BNIL);
											return BgL_list2026z00_3543;
										}
									}
								else
									{	/* Dataflow/walk.scm 416 */
										bool_t BgL_testz00_4401;

										if (
											(((obj_t) BgL_fz00_3536) ==
												BGl_za2z42pairzf3za2zb1zzdataflow_walkz00))
											{	/* Dataflow/walk.scm 416 */
												BgL_testz00_4401 = ((bool_t) 1);
											}
										else
											{	/* Dataflow/walk.scm 416 */
												BgL_testz00_4401 =
													(
													((obj_t) BgL_fz00_3536) ==
													BGl_za2z42epairzf3za2zb1zzdataflow_walkz00);
											}
										if (BgL_testz00_4401)
											{	/* Dataflow/walk.scm 417 */
												obj_t BgL_arg2032z00_3544;

												{	/* Dataflow/walk.scm 417 */
													BgL_variablez00_bglt BgL_arg2034z00_3545;

													{
														BgL_varz00_bglt BgL_auxz00_4407;

														{	/* Dataflow/walk.scm 417 */
															obj_t BgL_pairz00_3546;

															BgL_pairz00_3546 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_3361)))->
																BgL_argsz00);
															BgL_auxz00_4407 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_3546));
														}
														BgL_arg2034z00_3545 =
															(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4407))->
															BgL_variablez00);
													}
													BgL_arg2032z00_3544 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2034z00_3545),
														BGl_za2bnilza2z00zztype_cachez00);
												}
												{	/* Dataflow/walk.scm 417 */
													obj_t BgL_list2033z00_3547;

													BgL_list2033z00_3547 =
														MAKE_YOUNG_PAIR(BgL_arg2032z00_3544, BNIL);
													return BgL_list2033z00_3547;
												}
											}
										else
											{	/* Dataflow/walk.scm 416 */
												return BNIL;
											}
									}
							}
						else
							{	/* Dataflow/walk.scm 410 */
								return BNIL;
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-env-le1429 */
	obj_t BGl_z62dataflowzd2testzd2envzd2le1429zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3362, obj_t BgL_nodez00_3363)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 378 */
			{	/* Dataflow/walk.scm 380 */
				bool_t BgL_testz00_4416;

				{	/* Dataflow/walk.scm 380 */
					bool_t BgL_testz00_4417;

					{	/* Dataflow/walk.scm 380 */
						obj_t BgL_tmpz00_4418;

						BgL_tmpz00_4418 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3363)))->
							BgL_bindingsz00);
						BgL_testz00_4417 = PAIRP(BgL_tmpz00_4418);
					}
					if (BgL_testz00_4417)
						{	/* Dataflow/walk.scm 380 */
							BgL_testz00_4416 =
								NULLP(CDR(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_3363)))->
										BgL_bindingsz00)));
						}
					else
						{	/* Dataflow/walk.scm 380 */
							BgL_testz00_4416 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_4416)
					{	/* Dataflow/walk.scm 382 */
						bool_t BgL_testz00_4426;

						{	/* Dataflow/walk.scm 382 */
							obj_t BgL_arg1999z00_3549;

							{	/* Dataflow/walk.scm 382 */
								obj_t BgL_pairz00_3550;

								BgL_pairz00_3550 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3363)))->
									BgL_bindingsz00);
								BgL_arg1999z00_3549 = CDR(CAR(BgL_pairz00_3550));
							}
							BgL_testz00_4426 =
								BGl_isazf3zf3zz__objectz00(BgL_arg1999z00_3549,
								BGl_varz00zzast_nodez00);
						}
						if (BgL_testz00_4426)
							{	/* Dataflow/walk.scm 383 */
								obj_t BgL_envz00_3551;

								BgL_envz00_3551 =
									BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_3363)))->
										BgL_bodyz00));
								{	/* Dataflow/walk.scm 384 */
									bool_t BgL_testz00_4435;

									if (NULLP(BgL_envz00_3551))
										{	/* Dataflow/walk.scm 384 */
											BgL_testz00_4435 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 384 */
											if (NULLP(CDR(BgL_envz00_3551)))
												{	/* Dataflow/walk.scm 386 */
													obj_t BgL_tmpz00_4441;

													{	/* Dataflow/walk.scm 386 */
														obj_t BgL_pairz00_3552;

														BgL_pairz00_3552 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_3363)))->
															BgL_bindingsz00);
														BgL_tmpz00_4441 = CAR(CAR(BgL_pairz00_3552));
													}
													BgL_testz00_4435 =
														(CAR(CAR(BgL_envz00_3551)) == BgL_tmpz00_4441);
												}
											else
												{	/* Dataflow/walk.scm 385 */
													BgL_testz00_4435 = ((bool_t) 0);
												}
										}
									if (BgL_testz00_4435)
										{	/* Dataflow/walk.scm 387 */
											obj_t BgL_arg1956z00_3553;

											{	/* Dataflow/walk.scm 387 */
												BgL_variablez00_bglt BgL_arg1958z00_3554;
												obj_t BgL_arg1960z00_3555;

												{
													BgL_varz00_bglt BgL_auxz00_4449;

													{
														obj_t BgL_auxz00_4450;

														{	/* Dataflow/walk.scm 387 */
															obj_t BgL_pairz00_3556;

															BgL_pairz00_3556 =
																(((BgL_letzd2varzd2_bglt) COBJECT(
																		((BgL_letzd2varzd2_bglt)
																			BgL_nodez00_3363)))->BgL_bindingsz00);
															{	/* Dataflow/walk.scm 387 */
																obj_t BgL_pairz00_3557;

																BgL_pairz00_3557 = CAR(BgL_pairz00_3556);
																BgL_auxz00_4450 = CDR(BgL_pairz00_3557);
															}
														}
														BgL_auxz00_4449 =
															((BgL_varz00_bglt) BgL_auxz00_4450);
													}
													BgL_arg1958z00_3554 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4449))->
														BgL_variablez00);
												}
												BgL_arg1960z00_3555 = CDR(CAR(BgL_envz00_3551));
												BgL_arg1956z00_3553 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1958z00_3554), BgL_arg1960z00_3555);
											}
											{	/* Dataflow/walk.scm 387 */
												obj_t BgL_list1957z00_3558;

												BgL_list1957z00_3558 =
													MAKE_YOUNG_PAIR(BgL_arg1956z00_3553, BNIL);
												return BgL_list1957z00_3558;
											}
										}
									else
										{	/* Dataflow/walk.scm 384 */
											return BNIL;
										}
								}
							}
						else
							{	/* Dataflow/walk.scm 389 */
								bool_t BgL_testz00_4462;

								{	/* Dataflow/walk.scm 389 */
									bool_t BgL_testz00_4463;

									{	/* Dataflow/walk.scm 389 */
										BgL_nodez00_bglt BgL_arg1998z00_3559;

										BgL_arg1998z00_3559 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_3363)))->
											BgL_bodyz00);
										{	/* Dataflow/walk.scm 389 */
											bool_t BgL_res2253z00_3560;

											BgL_res2253z00_3560 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg1998z00_3559), BGl_varz00zzast_nodez00);
											BgL_testz00_4463 = BgL_res2253z00_3560;
										}
									}
									if (BgL_testz00_4463)
										{	/* Dataflow/walk.scm 390 */
											bool_t BgL_testz00_4468;

											{	/* Dataflow/walk.scm 390 */
												obj_t BgL_tmpz00_4469;

												{	/* Dataflow/walk.scm 390 */
													obj_t BgL_pairz00_3561;

													BgL_pairz00_3561 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_3363)))->
														BgL_bindingsz00);
													BgL_tmpz00_4469 = CAR(CAR(BgL_pairz00_3561));
												}
												BgL_testz00_4468 =
													(
													((obj_t)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt)
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_3363)))->
																			BgL_bodyz00))))->BgL_variablez00)) ==
													BgL_tmpz00_4469);
											}
											if (BgL_testz00_4468)
												{	/* Dataflow/walk.scm 391 */
													BgL_typez00_bglt BgL_arg1990z00_3562;

													{
														BgL_variablez00_bglt BgL_auxz00_4480;

														{
															obj_t BgL_auxz00_4481;

															{	/* Dataflow/walk.scm 391 */
																obj_t BgL_pairz00_3563;

																BgL_pairz00_3563 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_3363)))->BgL_bindingsz00);
																{	/* Dataflow/walk.scm 391 */
																	obj_t BgL_pairz00_3564;

																	BgL_pairz00_3564 = CAR(BgL_pairz00_3563);
																	BgL_auxz00_4481 = CAR(BgL_pairz00_3564);
																}
															}
															BgL_auxz00_4480 =
																((BgL_variablez00_bglt) BgL_auxz00_4481);
														}
														BgL_arg1990z00_3562 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_auxz00_4480))->BgL_typez00);
													}
													BgL_testz00_4462 =
														(
														((obj_t) BgL_arg1990z00_3562) ==
														BGl_za2boolza2z00zztype_cachez00);
												}
											else
												{	/* Dataflow/walk.scm 390 */
													BgL_testz00_4462 = ((bool_t) 0);
												}
										}
									else
										{	/* Dataflow/walk.scm 389 */
											BgL_testz00_4462 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_4462)
									{	/* Dataflow/walk.scm 392 */
										obj_t BgL_arg1986z00_3565;

										{	/* Dataflow/walk.scm 392 */
											obj_t BgL_pairz00_3566;

											BgL_pairz00_3566 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_3363)))->
												BgL_bindingsz00);
											BgL_arg1986z00_3565 = CDR(CAR(BgL_pairz00_3566));
										}
										return
											BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg1986z00_3565));
									}
								else
									{	/* Dataflow/walk.scm 389 */
										return BNIL;
									}
							}
					}
				else
					{	/* Dataflow/walk.scm 380 */
						return BNIL;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-env-va1427 */
	obj_t BGl_z62dataflowzd2testzd2envzd2va1427zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3364, obj_t BgL_nodez00_3365)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 361 */
			{	/* Dataflow/walk.scm 363 */
				bool_t BgL_testz00_4496;

				{	/* Dataflow/walk.scm 363 */
					BgL_variablez00_bglt BgL_arg1938z00_3568;

					BgL_arg1938z00_3568 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_3365)))->BgL_variablez00);
					{	/* Dataflow/walk.scm 363 */
						bool_t BgL_res2246z00_3569;

						BgL_res2246z00_3569 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_arg1938z00_3568),
							BGl_localzf2valuezf2zzdataflow_walkz00);
						BgL_testz00_4496 = BgL_res2246z00_3569;
					}
				}
				if (BgL_testz00_4496)
					{	/* Dataflow/walk.scm 364 */
						BgL_nodez00_bglt BgL_arg1936z00_3570;

						{
							BgL_localzf2valuezf2_bglt BgL_auxz00_4501;

							{
								obj_t BgL_auxz00_4502;

								{	/* Dataflow/walk.scm 364 */
									BgL_objectz00_bglt BgL_tmpz00_4503;

									BgL_tmpz00_4503 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt)
											(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nodez00_3365)))->
												BgL_variablez00)));
									BgL_auxz00_4502 = BGL_OBJECT_WIDENING(BgL_tmpz00_4503);
								}
								BgL_auxz00_4501 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4502);
							}
							BgL_arg1936z00_3570 =
								(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4501))->
								BgL_nodez00);
						}
						return
							BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
							(BgL_arg1936z00_3570);
					}
				else
					{	/* Dataflow/walk.scm 363 */
						return BNIL;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-env-co1424 */
	obj_t BGl_z62dataflowzd2testzd2envzd2co1424zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3366, obj_t BgL_nodez00_3367)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 352 */
			{	/* Dataflow/walk.scm 354 */
				bool_t BgL_testz00_4512;

				{	/* Dataflow/walk.scm 354 */
					bool_t BgL_testz00_4513;

					{	/* Dataflow/walk.scm 354 */
						BgL_nodez00_bglt BgL_arg1933z00_3572;

						BgL_arg1933z00_3572 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3367)))->BgL_falsez00);
						{	/* Dataflow/walk.scm 354 */
							bool_t BgL_res2245z00_3573;

							BgL_res2245z00_3573 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_arg1933z00_3572), BGl_atomz00zzast_nodez00);
							BgL_testz00_4513 = BgL_res2245z00_3573;
						}
					}
					if (BgL_testz00_4513)
						{	/* Dataflow/walk.scm 354 */
							BgL_testz00_4512 =
								(
								(((BgL_atomz00_bglt) COBJECT(
											((BgL_atomz00_bglt)
												(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_3367)))->
													BgL_falsez00))))->BgL_valuez00) == BFALSE);
						}
					else
						{	/* Dataflow/walk.scm 354 */
							BgL_testz00_4512 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_4512)
					{	/* Dataflow/walk.scm 354 */
						return
							BGl_appendzd221010zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_3367)))->BgL_testz00)),
							BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_3367)))->BgL_truez00)));
					}
				else
					{	/* Dataflow/walk.scm 354 */
						return BNIL;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-env-in1422 */
	obj_t BGl_z62dataflowzd2testzd2envzd2in1422zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3368, obj_t BgL_nodez00_3369)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 343 */
			{	/* Dataflow/walk.scm 345 */
				bool_t BgL_testz00_4530;

				{	/* Dataflow/walk.scm 345 */
					obj_t BgL_arg1918z00_3575;

					{	/* Dataflow/walk.scm 345 */
						obj_t BgL_pairz00_3576;

						BgL_pairz00_3576 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nodez00_3369))))->
							BgL_exprza2za2);
						BgL_arg1918z00_3575 = CAR(BgL_pairz00_3576);
					}
					BgL_testz00_4530 =
						BGl_isazf3zf3zz__objectz00(BgL_arg1918z00_3575,
						BGl_varz00zzast_nodez00);
				}
				if (BgL_testz00_4530)
					{	/* Dataflow/walk.scm 346 */
						obj_t BgL_arg1912z00_3577;

						{	/* Dataflow/walk.scm 346 */
							BgL_variablez00_bglt BgL_arg1914z00_3578;
							BgL_typez00_bglt BgL_arg1915z00_3579;

							{
								BgL_varz00_bglt BgL_auxz00_4536;

								{	/* Dataflow/walk.scm 346 */
									obj_t BgL_pairz00_3580;

									BgL_pairz00_3580 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_instanceofz00_bglt) BgL_nodez00_3369))))->
										BgL_exprza2za2);
									BgL_auxz00_4536 = ((BgL_varz00_bglt) CAR(BgL_pairz00_3580));
								}
								BgL_arg1914z00_3578 =
									(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4536))->
									BgL_variablez00);
							}
							BgL_arg1915z00_3579 =
								(((BgL_instanceofz00_bglt) COBJECT(
										((BgL_instanceofz00_bglt) BgL_nodez00_3369)))->
								BgL_classz00);
							BgL_arg1912z00_3577 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1914z00_3578),
								((obj_t) BgL_arg1915z00_3579));
						}
						{	/* Dataflow/walk.scm 346 */
							obj_t BgL_list1913z00_3581;

							BgL_list1913z00_3581 = MAKE_YOUNG_PAIR(BgL_arg1912z00_3577, BNIL);
							return BgL_list1913z00_3581;
						}
					}
				else
					{	/* Dataflow/walk.scm 345 */
						return BNIL;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-test-env-ap1420 */
	obj_t BGl_z62dataflowzd2testzd2envzd2ap1420zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3370, obj_t BgL_nodez00_3371)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 320 */
			{	/* Dataflow/walk.scm 322 */
				BgL_variablez00_bglt BgL_fz00_3583;

				BgL_fz00_3583 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3371)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Dataflow/walk.scm 322 */
					BgL_valuez00_bglt BgL_funvz00_3584;

					BgL_funvz00_3584 =
						(((BgL_variablez00_bglt) COBJECT(BgL_fz00_3583))->BgL_valuez00);
					{	/* Dataflow/walk.scm 323 */

						{	/* Dataflow/walk.scm 325 */
							obj_t BgL_g1176z00_3585;

							BgL_g1176z00_3585 =
								BGl_isazd2ofzd2zztype_miscz00(
								((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3371)));
							if (CBOOL(BgL_g1176z00_3585))
								{	/* Dataflow/walk.scm 328 */
									bool_t BgL_testz00_4558;

									{	/* Dataflow/walk.scm 328 */
										obj_t BgL_arg1870z00_3586;

										BgL_arg1870z00_3586 =
											CAR(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_3371)))->
												BgL_argsz00));
										BgL_testz00_4558 =
											BGl_isazf3zf3zz__objectz00(BgL_arg1870z00_3586,
											BGl_varz00zzast_nodez00);
									}
									if (BgL_testz00_4558)
										{	/* Dataflow/walk.scm 329 */
											obj_t BgL_arg1864z00_3587;

											{	/* Dataflow/walk.scm 329 */
												BgL_variablez00_bglt BgL_arg1867z00_3588;

												{
													BgL_varz00_bglt BgL_auxz00_4563;

													{	/* Dataflow/walk.scm 329 */
														obj_t BgL_pairz00_3589;

														BgL_pairz00_3589 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3371)))->
															BgL_argsz00);
														BgL_auxz00_4563 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_3589));
													}
													BgL_arg1867z00_3588 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4563))->
														BgL_variablez00);
												}
												BgL_arg1864z00_3587 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1867z00_3588), BgL_g1176z00_3585);
											}
											{	/* Dataflow/walk.scm 329 */
												obj_t BgL_list1865z00_3590;

												BgL_list1865z00_3590 =
													MAKE_YOUNG_PAIR(BgL_arg1864z00_3587, BNIL);
												return BgL_list1865z00_3590;
											}
										}
									else
										{	/* Dataflow/walk.scm 328 */
											return BNIL;
										}
								}
							else
								{	/* Dataflow/walk.scm 331 */
									bool_t BgL_testz00_4572;

									{	/* Dataflow/walk.scm 331 */
										bool_t BgL_testz00_4573;

										{	/* Dataflow/walk.scm 331 */
											bool_t BgL_res2238z00_3591;

											BgL_res2238z00_3591 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_funvz00_3584), BGl_funz00zzast_varz00);
											BgL_testz00_4573 = BgL_res2238z00_3591;
										}
										if (BgL_testz00_4573)
											{	/* Dataflow/walk.scm 331 */
												if (CBOOL(
														(((BgL_funz00_bglt) COBJECT(
																	((BgL_funz00_bglt) BgL_funvz00_3584)))->
															BgL_predicatezd2ofzd2)))
													{	/* Dataflow/walk.scm 333 */
														bool_t BgL_testz00_4580;

														{	/* Dataflow/walk.scm 333 */
															obj_t BgL_tmpz00_4581;

															BgL_tmpz00_4581 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_3371)))->
																BgL_argsz00);
															BgL_testz00_4580 = PAIRP(BgL_tmpz00_4581);
														}
														if (BgL_testz00_4580)
															{	/* Dataflow/walk.scm 333 */
																if (NULLP(CDR(
																			(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							BgL_nodez00_3371)))->
																				BgL_argsz00))))
																	{	/* Dataflow/walk.scm 334 */
																		bool_t BgL_testz00_4590;

																		{	/* Dataflow/walk.scm 334 */
																			obj_t BgL_arg1902z00_3592;

																			BgL_arg1902z00_3592 =
																				CAR(
																				(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_nodez00_3371)))->
																					BgL_argsz00));
																			BgL_testz00_4590 =
																				BGl_isazf3zf3zz__objectz00
																				(BgL_arg1902z00_3592,
																				BGl_varz00zzast_nodez00);
																		}
																		if (BgL_testz00_4590)
																			{	/* Dataflow/walk.scm 335 */
																				BgL_typez00_bglt BgL_arg1898z00_3593;

																				{
																					BgL_variablez00_bglt BgL_auxz00_4595;

																					{
																						BgL_varz00_bglt BgL_auxz00_4596;

																						{	/* Dataflow/walk.scm 335 */
																							obj_t BgL_pairz00_3594;

																							BgL_pairz00_3594 =
																								(((BgL_appz00_bglt) COBJECT(
																										((BgL_appz00_bglt)
																											BgL_nodez00_3371)))->
																								BgL_argsz00);
																							BgL_auxz00_4596 =
																								((BgL_varz00_bglt)
																								CAR(BgL_pairz00_3594));
																						}
																						BgL_auxz00_4595 =
																							(((BgL_varz00_bglt)
																								COBJECT(BgL_auxz00_4596))->
																							BgL_variablez00);
																					}
																					BgL_arg1898z00_3593 =
																						(((BgL_variablez00_bglt)
																							COBJECT(BgL_auxz00_4595))->
																						BgL_typez00);
																				}
																				BgL_testz00_4572 =
																					BGl_bigloozd2typezf3z21zztype_typez00
																					(BgL_arg1898z00_3593);
																			}
																		else
																			{	/* Dataflow/walk.scm 334 */
																				BgL_testz00_4572 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Dataflow/walk.scm 333 */
																		BgL_testz00_4572 = ((bool_t) 0);
																	}
															}
														else
															{	/* Dataflow/walk.scm 333 */
																BgL_testz00_4572 = ((bool_t) 0);
															}
													}
												else
													{	/* Dataflow/walk.scm 332 */
														BgL_testz00_4572 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 331 */
												BgL_testz00_4572 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_4572)
										{	/* Dataflow/walk.scm 336 */
											obj_t BgL_arg1892z00_3595;

											{	/* Dataflow/walk.scm 336 */
												BgL_variablez00_bglt BgL_arg1894z00_3596;
												obj_t BgL_arg1895z00_3597;

												{
													BgL_varz00_bglt BgL_auxz00_4604;

													{	/* Dataflow/walk.scm 336 */
														obj_t BgL_pairz00_3598;

														BgL_pairz00_3598 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3371)))->
															BgL_argsz00);
														BgL_auxz00_4604 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_3598));
													}
													BgL_arg1894z00_3596 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4604))->
														BgL_variablez00);
												}
												BgL_arg1895z00_3597 =
													(((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt) BgL_funvz00_3584)))->
													BgL_predicatezd2ofzd2);
												BgL_arg1892z00_3595 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1894z00_3596),
													BgL_arg1895z00_3597);
											}
											{	/* Dataflow/walk.scm 336 */
												obj_t BgL_list1893z00_3599;

												BgL_list1893z00_3599 =
													MAKE_YOUNG_PAIR(BgL_arg1892z00_3595, BNIL);
												return BgL_list1893z00_3599;
											}
										}
									else
										{	/* Dataflow/walk.scm 331 */
											return BNIL;
										}
								}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-box-s1416 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2s1416za2zzdataflow_walkz00(obj_t
		BgL_envz00_3372, obj_t BgL_nodez00_3373, obj_t BgL_envz00_3374)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 300 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3373)))->BgL_valuez00),
				BgL_envz00_3374);
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-box-r1414 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2r1414za2zzdataflow_walkz00(obj_t
		BgL_envz00_3375, obj_t BgL_nodez00_3376, obj_t BgL_envz00_3377)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 293 */
			return ((obj_t) BgL_envz00_3377);
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-make-1412 */
	obj_t BGl_z62dataflowzd2nodez12zd2makezd21412za2zzdataflow_walkz00(obj_t
		BgL_envz00_3378, obj_t BgL_nodez00_3379, obj_t BgL_envz00_3380)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 287 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3379)))->BgL_valuez00),
				BgL_envz00_3380);
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-jump-1410 */
	obj_t BGl_z62dataflowzd2nodez12zd2jumpzd21410za2zzdataflow_walkz00(obj_t
		BgL_envz00_3381, obj_t BgL_nodez00_3382, obj_t BgL_envz00_3383)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 278 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3382)))->BgL_exitz00),
				BgL_envz00_3383);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_jumpzd2exzd2itz00_bglt)
						COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3382)))->
					BgL_valuez00), BgL_envz00_3383);
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-set-e1408 */
	obj_t BGl_z62dataflowzd2nodez12zd2setzd2e1408za2zzdataflow_walkz00(obj_t
		BgL_envz00_3384, obj_t BgL_nodez00_3385, obj_t BgL_envz00_3386)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 270 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3385)))->BgL_bodyz00),
				BgL_envz00_3386);
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-let-v1406 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2v1406za2zzdataflow_walkz00(obj_t
		BgL_envz00_3387, obj_t BgL_nodez00_3388, obj_t BgL_envz00_3389)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 238 */
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 =
				(((long) 1) + BGl_letzd2varzd2stampz00zzdataflow_walkz00);
			{	/* Dataflow/walk.scm 241 */
				long BgL_stampz00_3607;

				BgL_stampz00_3607 = BGl_letzd2varzd2stampz00zzdataflow_walkz00;
				{	/* Dataflow/walk.scm 241 */
					obj_t BgL_envz00_3608;

					{
						obj_t BgL_bindingsz00_3610;
						obj_t BgL_envz00_3611;

						BgL_bindingsz00_3610 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3388)))->
							BgL_bindingsz00);
						BgL_envz00_3611 = BgL_envz00_3389;
					BgL_loopz00_3609:
						if (NULLP(BgL_bindingsz00_3610))
							{	/* Dataflow/walk.scm 244 */
								BgL_envz00_3608 = BgL_envz00_3611;
							}
						else
							{	/* Dataflow/walk.scm 246 */
								obj_t BgL_nodez00_3612;

								{	/* Dataflow/walk.scm 246 */
									obj_t BgL_pairz00_3613;

									BgL_pairz00_3613 = CAR(((obj_t) BgL_bindingsz00_3610));
									BgL_nodez00_3612 = CDR(BgL_pairz00_3613);
								}
								{	/* Dataflow/walk.scm 246 */
									obj_t BgL_envz00_3614;

									BgL_envz00_3614 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_nodez00_3612), BgL_envz00_3611);
									{	/* Dataflow/walk.scm 247 */

										{	/* Dataflow/walk.scm 248 */
											obj_t BgL_lz00_3615;

											{	/* Dataflow/walk.scm 248 */
												obj_t BgL_pairz00_3616;

												BgL_pairz00_3616 = CAR(((obj_t) BgL_bindingsz00_3610));
												BgL_lz00_3615 = CAR(BgL_pairz00_3616);
											}
											if (
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_lz00_3615)))->
														BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
												{	/* Dataflow/walk.scm 249 */
													{	/* Dataflow/walk.scm 250 */
														BgL_localzf2valuezf2_bglt BgL_wide1169z00_3617;

														BgL_wide1169z00_3617 =
															((BgL_localzf2valuezf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_localzf2valuezf2_bgl))));
														{	/* Dataflow/walk.scm 250 */
															obj_t BgL_auxz00_4652;
															BgL_objectz00_bglt BgL_tmpz00_4648;

															BgL_auxz00_4652 = ((obj_t) BgL_wide1169z00_3617);
															BgL_tmpz00_4648 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_lz00_3615)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4648,
																BgL_auxz00_4652);
														}
														{	/* Dataflow/walk.scm 250 */
															long BgL_arg1849z00_3618;

															{	/* Dataflow/walk.scm 250 */
																long BgL_res2232z00_3619;

																BgL_res2232z00_3619 =
																	BGL_CLASS_INDEX
																	(BGl_localzf2valuezf2zzdataflow_walkz00);
																BgL_arg1849z00_3618 = BgL_res2232z00_3619;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_3615))),
																BgL_arg1849z00_3618);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_lz00_3615)));
													}
													{
														BgL_localzf2valuezf2_bglt BgL_auxz00_4663;

														{
															obj_t BgL_auxz00_4664;

															{	/* Dataflow/walk.scm 251 */
																BgL_objectz00_bglt BgL_tmpz00_4665;

																BgL_tmpz00_4665 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_3615)));
																BgL_auxz00_4664 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4665);
															}
															BgL_auxz00_4663 =
																((BgL_localzf2valuezf2_bglt) BgL_auxz00_4664);
														}
														((((BgL_localzf2valuezf2_bglt)
																	COBJECT(BgL_auxz00_4663))->BgL_stampz00) =
															((int) (int) (BgL_stampz00_3607)), BUNSPEC);
													}
													{
														BgL_localzf2valuezf2_bglt BgL_auxz00_4673;

														{
															obj_t BgL_auxz00_4674;

															{	/* Dataflow/walk.scm 252 */
																BgL_objectz00_bglt BgL_tmpz00_4675;

																BgL_tmpz00_4675 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_3615)));
																BgL_auxz00_4674 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4675);
															}
															BgL_auxz00_4673 =
																((BgL_localzf2valuezf2_bglt) BgL_auxz00_4674);
														}
														((((BgL_localzf2valuezf2_bglt)
																	COBJECT(BgL_auxz00_4673))->BgL_nodez00) =
															((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																	BgL_nodez00_3612)), BUNSPEC);
													}
													((obj_t)
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_lz00_3615)));
												}
											else
												{	/* Dataflow/walk.scm 249 */
													BFALSE;
												}
										}
										{	/* Dataflow/walk.scm 253 */
											obj_t BgL_arg1851z00_3620;

											BgL_arg1851z00_3620 = CDR(((obj_t) BgL_bindingsz00_3610));
											{
												obj_t BgL_envz00_4689;
												obj_t BgL_bindingsz00_4688;

												BgL_bindingsz00_4688 = BgL_arg1851z00_3620;
												BgL_envz00_4689 = BgL_envz00_3614;
												BgL_envz00_3611 = BgL_envz00_4689;
												BgL_bindingsz00_3610 = BgL_bindingsz00_4688;
												goto BgL_loopz00_3609;
											}
										}
									}
								}
							}
					}
					{	/* Dataflow/walk.scm 242 */

						{	/* Dataflow/walk.scm 254 */
							obj_t BgL_arg1814z00_3621;

							BgL_arg1814z00_3621 =
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3388)))->
									BgL_bodyz00), BgL_envz00_3608);
							{	/* Dataflow/walk.scm 256 */
								obj_t BgL_zc3anonymousza31816ze3z83_3622;

								BgL_zc3anonymousza31816ze3z83_3622 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31816ze3ze1zzdataflow_walkz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza31816ze3z83_3622,
									(int) (((long) 0)), BINT(BgL_stampz00_3607));
								{	/* Dataflow/walk.scm 254 */
									obj_t BgL_list1815z00_3623;

									BgL_list1815z00_3623 =
										MAKE_YOUNG_PAIR(BgL_arg1814z00_3621, BNIL);
									return
										BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
										(BgL_zc3anonymousza31816ze3z83_3622, BgL_list1815z00_3623);
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1816> */
	obj_t BGl_z62zc3anonymousza31816ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3390, obj_t BgL_bz00_3392)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 254 */
			{	/* Dataflow/walk.scm 256 */
				long BgL_stampz00_3391;

				BgL_stampz00_3391 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_3390, (int) (((long) 0))));
				{	/* Dataflow/walk.scm 256 */
					bool_t BgL_testz00_4706;

					{	/* Dataflow/walk.scm 256 */
						bool_t BgL_testz00_4707;

						{	/* Dataflow/walk.scm 256 */
							obj_t BgL_arg1840z00_3624;

							BgL_arg1840z00_3624 = CAR(((obj_t) BgL_bz00_3392));
							BgL_testz00_4707 =
								BGl_isazf3zf3zz__objectz00(BgL_arg1840z00_3624,
								BGl_localzf2valuezf2zzdataflow_walkz00);
						}
						if (BgL_testz00_4707)
							{	/* Dataflow/walk.scm 257 */
								long BgL_tmpz00_4711;

								{	/* Dataflow/walk.scm 257 */
									int BgL_tmpz00_4712;

									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_4713;

										{
											obj_t BgL_auxz00_4714;

											{	/* Dataflow/walk.scm 257 */
												BgL_objectz00_bglt BgL_tmpz00_4715;

												BgL_tmpz00_4715 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_3392))));
												BgL_auxz00_4714 = BGL_OBJECT_WIDENING(BgL_tmpz00_4715);
											}
											BgL_auxz00_4713 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_4714);
										}
										BgL_tmpz00_4712 =
											(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4713))->
											BgL_stampz00);
									}
									BgL_tmpz00_4711 = (long) (BgL_tmpz00_4712);
								}
								BgL_testz00_4706 = (BgL_tmpz00_4711 < BgL_stampz00_3391);
							}
						else
							{	/* Dataflow/walk.scm 256 */
								BgL_testz00_4706 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4706)
						{	/* Dataflow/walk.scm 256 */
							return BgL_bz00_3392;
						}
					else
						{	/* Dataflow/walk.scm 259 */
							bool_t BgL_testz00_4725;

							{	/* Dataflow/walk.scm 259 */
								BgL_nodez00_bglt BgL_arg1835z00_3625;

								{
									BgL_localzf2valuezf2_bglt BgL_auxz00_4726;

									{
										obj_t BgL_auxz00_4727;

										{	/* Dataflow/walk.scm 259 */
											BgL_objectz00_bglt BgL_tmpz00_4728;

											BgL_tmpz00_4728 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_3392))));
											BgL_auxz00_4727 = BGL_OBJECT_WIDENING(BgL_tmpz00_4728);
										}
										BgL_auxz00_4726 =
											((BgL_localzf2valuezf2_bglt) BgL_auxz00_4727);
									}
									BgL_arg1835z00_3625 =
										(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4726))->
										BgL_nodez00);
								}
								{	/* Dataflow/walk.scm 259 */
									bool_t BgL_res2235z00_3626;

									BgL_res2235z00_3626 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_arg1835z00_3625), BGl_varz00zzast_nodez00);
									BgL_testz00_4725 = BgL_res2235z00_3626;
								}
							}
							if (BgL_testz00_4725)
								{	/* Dataflow/walk.scm 260 */
									BgL_variablez00_bglt BgL_vz00_3627;

									{
										BgL_varz00_bglt BgL_auxz00_4738;

										{
											BgL_nodez00_bglt BgL_auxz00_4739;

											{
												BgL_localzf2valuezf2_bglt BgL_auxz00_4740;

												{
													obj_t BgL_auxz00_4741;

													{	/* Dataflow/walk.scm 260 */
														BgL_objectz00_bglt BgL_tmpz00_4742;

														BgL_tmpz00_4742 =
															((BgL_objectz00_bglt)
															((BgL_localz00_bglt)
																CAR(((obj_t) BgL_bz00_3392))));
														BgL_auxz00_4741 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4742);
													}
													BgL_auxz00_4740 =
														((BgL_localzf2valuezf2_bglt) BgL_auxz00_4741);
												}
												BgL_auxz00_4739 =
													(((BgL_localzf2valuezf2_bglt)
														COBJECT(BgL_auxz00_4740))->BgL_nodez00);
											}
											BgL_auxz00_4738 = ((BgL_varz00_bglt) BgL_auxz00_4739);
										}
										BgL_vz00_3627 =
											(((BgL_varz00_bglt) COBJECT(BgL_auxz00_4738))->
											BgL_variablez00);
									}
									if (
										((((BgL_variablez00_bglt) COBJECT(BgL_vz00_3627))->
												BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
										{	/* Dataflow/walk.scm 262 */
											obj_t BgL_arg1830z00_3628;

											BgL_arg1830z00_3628 = CDR(((obj_t) BgL_bz00_3392));
											return
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_vz00_3627), BgL_arg1830z00_3628);
										}
									else
										{	/* Dataflow/walk.scm 261 */
											return BFALSE;
										}
								}
							else
								{	/* Dataflow/walk.scm 259 */
									return BFALSE;
								}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-let-f1404 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2f1404za2zzdataflow_walkz00(obj_t
		BgL_envz00_3393, obj_t BgL_nodez00_3394, obj_t BgL_envz00_3395)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 223 */
			{	/* Dataflow/walk.scm 225 */
				obj_t BgL_g1354z00_3630;

				BgL_g1354z00_3630 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3394)))->BgL_localsz00);
				{
					obj_t BgL_l1352z00_3632;

					BgL_l1352z00_3632 = BgL_g1354z00_3630;
				BgL_zc3anonymousza31804ze3z83_3631:
					if (PAIRP(BgL_l1352z00_3632))
						{	/* Dataflow/walk.scm 225 */
							{	/* Dataflow/walk.scm 226 */
								obj_t BgL_localz00_3633;

								BgL_localz00_3633 = CAR(BgL_l1352z00_3632);
								{	/* Dataflow/walk.scm 226 */
									obj_t BgL_arg1807z00_3634;

									BgL_arg1807z00_3634 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_3633))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((
											(BgL_nodez00_bglt) BgL_arg1807z00_3634), BNIL);
								}
							}
							{
								obj_t BgL_l1352z00_4772;

								BgL_l1352z00_4772 = CDR(BgL_l1352z00_3632);
								BgL_l1352z00_3632 = BgL_l1352z00_4772;
								goto BgL_zc3anonymousza31804ze3z83_3631;
							}
						}
					else
						{	/* Dataflow/walk.scm 225 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3394)))->BgL_bodyz00),
				BgL_envz00_3395);
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-switc1402 */
	obj_t BGl_z62dataflowzd2nodez12zd2switc1402z70zzdataflow_walkz00(obj_t
		BgL_envz00_3396, obj_t BgL_nodez00_3397, obj_t BgL_envz00_3398)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 212 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3397)))->BgL_testz00),
				BgL_envz00_3398);
			{	/* Dataflow/walk.scm 215 */
				obj_t BgL_g1351z00_3636;

				BgL_g1351z00_3636 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3397)))->BgL_clausesz00);
				{
					obj_t BgL_l1349z00_3638;

					BgL_l1349z00_3638 = BgL_g1351z00_3636;
				BgL_zc3anonymousza31799ze3z83_3637:
					if (PAIRP(BgL_l1349z00_3638))
						{	/* Dataflow/walk.scm 215 */
							{	/* Dataflow/walk.scm 216 */
								obj_t BgL_clausez00_3639;

								BgL_clausez00_3639 = CAR(BgL_l1349z00_3638);
								{	/* Dataflow/walk.scm 216 */
									obj_t BgL_arg1801z00_3640;

									BgL_arg1801z00_3640 = CDR(((obj_t) BgL_clausez00_3639));
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg1801z00_3640), BgL_envz00_3398);
								}
							}
							{
								obj_t BgL_l1349z00_4789;

								BgL_l1349z00_4789 = CDR(BgL_l1349z00_3638);
								BgL_l1349z00_3638 = BgL_l1349z00_4789;
								goto BgL_zc3anonymousza31799ze3z83_3637;
							}
						}
					else
						{	/* Dataflow/walk.scm 215 */
							((bool_t) 1);
						}
				}
			}
			return BgL_envz00_3398;
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-fail1400 */
	obj_t BGl_z62dataflowzd2nodez12zd2fail1400z70zzdataflow_walkz00(obj_t
		BgL_envz00_3399, obj_t BgL_nodez00_3400, obj_t BgL_envz00_3401)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 202 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3400)))->BgL_procz00),
				BgL_envz00_3401);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
						COBJECT(((BgL_failz00_bglt) BgL_nodez00_3400)))->BgL_msgz00),
				BgL_envz00_3401);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
						COBJECT(((BgL_failz00_bglt) BgL_nodez00_3400)))->BgL_objz00),
				BgL_envz00_3401);
			return BgL_envz00_3401;
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-condi1398 */
	obj_t BGl_z62dataflowzd2nodez12zd2condi1398z70zzdataflow_walkz00(obj_t
		BgL_envz00_3402, obj_t BgL_nodez00_3403, obj_t BgL_envz00_3404)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 179 */
			{
				obj_t BgL_env1z00_3644;
				obj_t BgL_env2z00_3645;

				{	/* Dataflow/walk.scm 190 */
					obj_t BgL_tenvz00_3657;

					BgL_tenvz00_3657 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3403)))->BgL_testz00),
						BgL_envz00_3404);
					{	/* Dataflow/walk.scm 190 */
						obj_t BgL_truezd2envzd2_3658;

						BgL_truezd2envzd2_3658 =
							BGl_appendzd221010zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_3403)))->BgL_testz00)), BgL_tenvz00_3657);
						{	/* Dataflow/walk.scm 191 */
							obj_t BgL_falsezd2envzd2_3659;

							BgL_falsezd2envzd2_3659 =
								BGl_appendzd221010zd2zzdataflow_walkz00
								(BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt)
											COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_3403)))->
										BgL_testz00)), BgL_tenvz00_3657);
							{	/* Dataflow/walk.scm 192 */

								{	/* Dataflow/walk.scm 193 */
									obj_t BgL_tenvz00_3660;
									obj_t BgL_fenvz00_3661;

									BgL_tenvz00_3660 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_3403)))->
											BgL_falsez00), BgL_falsezd2envzd2_3659);
									BgL_fenvz00_3661 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
												(BgL_conditionalz00_bglt)
												COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_3403)))->
											BgL_truez00), BgL_truezd2envzd2_3658);
									{	/* Dataflow/walk.scm 195 */
										bool_t BgL_testz00_4817;

										{	/* Dataflow/walk.scm 195 */
											BgL_nodez00_bglt BgL_arg1775z00_3662;

											BgL_arg1775z00_3662 =
												(((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_3403)))->
												BgL_falsez00);
											BgL_testz00_4817 =
												CBOOL(BGl_abortzf3zf3zzdataflow_walkz00
												(BgL_arg1775z00_3662));
										}
										if (BgL_testz00_4817)
											{	/* Dataflow/walk.scm 195 */
												return BgL_tenvz00_3660;
											}
										else
											{	/* Dataflow/walk.scm 195 */
												BgL_env1z00_3644 = BgL_tenvz00_3660;
												BgL_env2z00_3645 = BgL_fenvz00_3661;
												{	/* Dataflow/walk.scm 182 */
													obj_t BgL_hook1348z00_3646;

													BgL_hook1348z00_3646 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
													{
														obj_t BgL_l1345z00_3648;
														obj_t BgL_h1346z00_3649;

														BgL_l1345z00_3648 = BgL_env1z00_3644;
														BgL_h1346z00_3649 = BgL_hook1348z00_3646;
													BgL_zc3anonymousza31786ze3z83_3647:
														if (NULLP(BgL_l1345z00_3648))
															{	/* Dataflow/walk.scm 182 */
																return CDR(BgL_hook1348z00_3646);
															}
														else
															{	/* Dataflow/walk.scm 182 */
																bool_t BgL_testz00_4826;

																{	/* Dataflow/walk.scm 183 */
																	obj_t BgL_cz00_3650;

																	BgL_cz00_3650 =
																		CAR(((obj_t) BgL_l1345z00_3648));
																	{	/* Dataflow/walk.scm 184 */
																		obj_t BgL_c2z00_3651;

																		BgL_c2z00_3651 =
																			BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																			(CAR(((obj_t) BgL_cz00_3650)),
																			BgL_env2z00_3645);
																		{	/* Dataflow/walk.scm 185 */

																			if (PAIRP(BgL_c2z00_3651))
																				{	/* Dataflow/walk.scm 186 */
																					BgL_testz00_4826 =
																						(CDR(BgL_c2z00_3651) ==
																						CDR(((obj_t) BgL_cz00_3650)));
																				}
																			else
																				{	/* Dataflow/walk.scm 186 */
																					BgL_testz00_4826 = ((bool_t) 0);
																				}
																		}
																	}
																}
																if (BgL_testz00_4826)
																	{	/* Dataflow/walk.scm 182 */
																		obj_t BgL_nh1347z00_3652;

																		{	/* Dataflow/walk.scm 182 */
																			obj_t BgL_arg1791z00_3653;

																			BgL_arg1791z00_3653 =
																				CAR(((obj_t) BgL_l1345z00_3648));
																			{	/* Dataflow/walk.scm 182 */
																				obj_t BgL_res2227z00_3654;

																				BgL_res2227z00_3654 =
																					MAKE_YOUNG_PAIR(BgL_arg1791z00_3653,
																					BNIL);
																				BgL_nh1347z00_3652 =
																					BgL_res2227z00_3654;
																			}
																		}
																		SET_CDR(BgL_h1346z00_3649,
																			BgL_nh1347z00_3652);
																		{	/* Dataflow/walk.scm 182 */
																			obj_t BgL_arg1790z00_3655;

																			BgL_arg1790z00_3655 =
																				CDR(((obj_t) BgL_l1345z00_3648));
																			{
																				obj_t BgL_h1346z00_4845;
																				obj_t BgL_l1345z00_4844;

																				BgL_l1345z00_4844 = BgL_arg1790z00_3655;
																				BgL_h1346z00_4845 = BgL_nh1347z00_3652;
																				BgL_h1346z00_3649 = BgL_h1346z00_4845;
																				BgL_l1345z00_3648 = BgL_l1345z00_4844;
																				goto BgL_zc3anonymousza31786ze3z83_3647;
																			}
																		}
																	}
																else
																	{	/* Dataflow/walk.scm 182 */
																		obj_t BgL_arg1792z00_3656;

																		BgL_arg1792z00_3656 =
																			CDR(((obj_t) BgL_l1345z00_3648));
																		{
																			obj_t BgL_l1345z00_4848;

																			BgL_l1345z00_4848 = BgL_arg1792z00_3656;
																			BgL_l1345z00_3648 = BgL_l1345z00_4848;
																			goto BgL_zc3anonymousza31786ze3z83_3647;
																		}
																	}
															}
													}
												}
											}
									}
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-setq1396 */
	obj_t BGl_z62dataflowzd2nodez12zd2setq1396z70zzdataflow_walkz00(obj_t
		BgL_envz00_3405, obj_t BgL_nodez00_3406, obj_t BgL_envz00_3407)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 159 */
			{
				BgL_variablez00_bglt BgL_variablez00_3665;
				obj_t BgL_envz00_3666;

				{	/* Dataflow/walk.scm 167 */
					obj_t BgL_nenvz00_3677;

					BgL_nenvz00_3677 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_3406)))->BgL_valuez00),
						BgL_envz00_3407);
					{	/* Dataflow/walk.scm 168 */
						BgL_varz00_bglt BgL_i1160z00_3678;

						BgL_i1160z00_3678 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_3406)))->BgL_varz00);
						{	/* Dataflow/walk.scm 169 */
							bool_t BgL_testz00_4854;

							{	/* Dataflow/walk.scm 169 */
								BgL_variablez00_bglt BgL_arg1759z00_3679;

								BgL_arg1759z00_3679 =
									(((BgL_varz00_bglt) COBJECT(BgL_i1160z00_3678))->
									BgL_variablez00);
								{	/* Dataflow/walk.scm 169 */
									bool_t BgL_res2224z00_3680;

									BgL_res2224z00_3680 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_arg1759z00_3679), BGl_globalz00zzast_varz00);
									BgL_testz00_4854 = BgL_res2224z00_3680;
								}
							}
							if (BgL_testz00_4854)
								{	/* Dataflow/walk.scm 169 */
									BgL_variablez00_3665 =
										(((BgL_varz00_bglt) COBJECT(BgL_i1160z00_3678))->
										BgL_variablez00);
									BgL_envz00_3666 = BgL_nenvz00_3677;
								BgL_removezd2variablezd2fromzd2envzd2_3664:
									{	/* Dataflow/walk.scm 162 */
										obj_t BgL_hook1343z00_3667;

										BgL_hook1343z00_3667 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
										{
											obj_t BgL_l1340z00_3669;
											obj_t BgL_h1341z00_3670;

											BgL_l1340z00_3669 = BgL_envz00_3666;
											BgL_h1341z00_3670 = BgL_hook1343z00_3667;
										BgL_zc3anonymousza31762ze3z83_3668:
											if (NULLP(BgL_l1340z00_3669))
												{	/* Dataflow/walk.scm 162 */
													return CDR(BgL_hook1343z00_3667);
												}
											else
												{	/* Dataflow/walk.scm 162 */
													bool_t BgL_testz00_4862;

													{	/* Dataflow/walk.scm 163 */
														bool_t BgL_testz00_4863;

														{	/* Dataflow/walk.scm 163 */
															obj_t BgL_tmpz00_4864;

															{	/* Dataflow/walk.scm 163 */
																obj_t BgL_pairz00_3671;

																BgL_pairz00_3671 =
																	CAR(((obj_t) BgL_l1340z00_3669));
																BgL_tmpz00_4864 = CAR(BgL_pairz00_3671);
															}
															BgL_testz00_4863 =
																(BgL_tmpz00_4864 ==
																((obj_t) BgL_variablez00_3665));
														}
														if (BgL_testz00_4863)
															{	/* Dataflow/walk.scm 163 */
																BgL_testz00_4862 = ((bool_t) 0);
															}
														else
															{	/* Dataflow/walk.scm 163 */
																BgL_testz00_4862 = ((bool_t) 1);
															}
													}
													if (BgL_testz00_4862)
														{	/* Dataflow/walk.scm 162 */
															obj_t BgL_nh1342z00_3672;

															{	/* Dataflow/walk.scm 162 */
																obj_t BgL_arg1769z00_3673;

																BgL_arg1769z00_3673 =
																	CAR(((obj_t) BgL_l1340z00_3669));
																{	/* Dataflow/walk.scm 162 */
																	obj_t BgL_res2223z00_3674;

																	BgL_res2223z00_3674 =
																		MAKE_YOUNG_PAIR(BgL_arg1769z00_3673, BNIL);
																	BgL_nh1342z00_3672 = BgL_res2223z00_3674;
																}
															}
															SET_CDR(BgL_h1341z00_3670, BgL_nh1342z00_3672);
															{	/* Dataflow/walk.scm 162 */
																obj_t BgL_arg1768z00_3675;

																BgL_arg1768z00_3675 =
																	CDR(((obj_t) BgL_l1340z00_3669));
																{
																	obj_t BgL_h1341z00_4877;
																	obj_t BgL_l1340z00_4876;

																	BgL_l1340z00_4876 = BgL_arg1768z00_3675;
																	BgL_h1341z00_4877 = BgL_nh1342z00_3672;
																	BgL_h1341z00_3670 = BgL_h1341z00_4877;
																	BgL_l1340z00_3669 = BgL_l1340z00_4876;
																	goto BgL_zc3anonymousza31762ze3z83_3668;
																}
															}
														}
													else
														{	/* Dataflow/walk.scm 162 */
															obj_t BgL_arg1770z00_3676;

															BgL_arg1770z00_3676 =
																CDR(((obj_t) BgL_l1340z00_3669));
															{
																obj_t BgL_l1340z00_4880;

																BgL_l1340z00_4880 = BgL_arg1770z00_3676;
																BgL_l1340z00_3669 = BgL_l1340z00_4880;
																goto BgL_zc3anonymousza31762ze3z83_3668;
															}
														}
												}
										}
									}
								}
							else
								{	/* Dataflow/walk.scm 171 */
									BgL_typez00_bglt BgL_typz00_3681;

									BgL_typz00_3681 =
										BGl_getzd2typezd2zztype_typeofz00(
										(((BgL_setqz00_bglt) COBJECT(
													((BgL_setqz00_bglt) BgL_nodez00_3406)))->
											BgL_valuez00), ((bool_t) 1));
									{	/* Dataflow/walk.scm 172 */
										bool_t BgL_testz00_4885;

										if (
											(((obj_t) BgL_typz00_3681) ==
												BGl_za2_za2z00zztype_cachez00))
											{	/* Dataflow/walk.scm 172 */
												BgL_testz00_4885 = ((bool_t) 1);
											}
										else
											{	/* Dataflow/walk.scm 172 */
												BgL_testz00_4885 =
													(
													((obj_t) BgL_typz00_3681) ==
													BGl_za2objza2z00zztype_cachez00);
											}
										if (BgL_testz00_4885)
											{
												obj_t BgL_envz00_4893;
												BgL_variablez00_bglt BgL_variablez00_4891;

												BgL_variablez00_4891 =
													(((BgL_varz00_bglt) COBJECT(BgL_i1160z00_3678))->
													BgL_variablez00);
												BgL_envz00_4893 = BgL_nenvz00_3677;
												BgL_envz00_3666 = BgL_envz00_4893;
												BgL_variablez00_3665 = BgL_variablez00_4891;
												goto BgL_removezd2variablezd2fromzd2envzd2_3664;
											}
										else
											{	/* Dataflow/walk.scm 174 */
												obj_t BgL_arg1754z00_3682;

												{	/* Dataflow/walk.scm 174 */
													BgL_variablez00_bglt BgL_arg1755z00_3683;

													BgL_arg1755z00_3683 =
														(((BgL_varz00_bglt) COBJECT(BgL_i1160z00_3678))->
														BgL_variablez00);
													BgL_arg1754z00_3682 =
														MAKE_YOUNG_PAIR(((obj_t) BgL_arg1755z00_3683),
														((obj_t) BgL_typz00_3681));
												}
												return
													MAKE_YOUNG_PAIR(BgL_arg1754z00_3682,
													BgL_nenvz00_3677);
											}
									}
								}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-exter1394 */
	obj_t BGl_z62dataflowzd2nodez12zd2exter1394z70zzdataflow_walkz00(obj_t
		BgL_envz00_3408, obj_t BgL_nodez00_3409, obj_t BgL_envz00_3410)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 152 */
			{	/* Dataflow/walk.scm 153 */
				obj_t BgL_res2330z00_3685;

				BgL_res2330z00_3685 =
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_3409)))->BgL_exprza2za2),
					BgL_envz00_3410);
				return BgL_res2330z00_3685;
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-funca1392 */
	obj_t BGl_z62dataflowzd2nodez12zd2funca1392z70zzdataflow_walkz00(obj_t
		BgL_envz00_3411, obj_t BgL_nodez00_3412, obj_t BgL_envz00_3413)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 144 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_3412)))->BgL_funz00),
				BgL_envz00_3413);
			return
				BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00((((BgL_funcallz00_bglt)
						COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_3412)))->BgL_argsz00),
				BgL_envz00_3413);
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-app-l1390 */
	obj_t BGl_z62dataflowzd2nodez12zd2appzd2l1390za2zzdataflow_walkz00(obj_t
		BgL_envz00_3414, obj_t BgL_nodez00_3415, obj_t BgL_envz00_3416)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 136 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3415)))->BgL_funz00),
				BgL_envz00_3416);
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_appzd2lyzd2_bglt)
						COBJECT(((BgL_appzd2lyzd2_bglt) BgL_nodez00_3415)))->BgL_argz00),
				BgL_envz00_3416);
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-app1388 */
	obj_t BGl_z62dataflowzd2nodez12zd2app1388z70zzdataflow_walkz00(obj_t
		BgL_envz00_3417, obj_t BgL_nodez00_3418, obj_t BgL_envz00_3419)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 120 */
			{	/* Dataflow/walk.scm 122 */
				obj_t BgL_aenvz00_3689;

				BgL_aenvz00_3689 =
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3418)))->BgL_argsz00),
					BgL_envz00_3419);
				{	/* Dataflow/walk.scm 123 */
					bool_t BgL_testz00_4917;

					{	/* Dataflow/walk.scm 123 */
						BgL_variablez00_bglt BgL_arg1711z00_3690;

						BgL_arg1711z00_3690 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_nodez00_3418)))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Dataflow/walk.scm 123 */
							bool_t BgL_res2218z00_3691;

							BgL_res2218z00_3691 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_arg1711z00_3690), BGl_localz00zzast_varz00);
							BgL_testz00_4917 = BgL_res2218z00_3691;
						}
					}
					if (BgL_testz00_4917)
						{	/* Dataflow/walk.scm 127 */
							obj_t BgL_hook1338z00_3692;

							BgL_hook1338z00_3692 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{
								obj_t BgL_l1335z00_3694;
								obj_t BgL_h1336z00_3695;

								BgL_l1335z00_3694 = BgL_aenvz00_3689;
								BgL_h1336z00_3695 = BgL_hook1338z00_3692;
							BgL_zc3anonymousza31691ze3z83_3693:
								if (NULLP(BgL_l1335z00_3694))
									{	/* Dataflow/walk.scm 127 */
										return CDR(BgL_hook1338z00_3692);
									}
								else
									{	/* Dataflow/walk.scm 127 */
										bool_t BgL_testz00_4927;

										{	/* Dataflow/walk.scm 128 */
											obj_t BgL_vz00_3696;

											{	/* Dataflow/walk.scm 128 */
												obj_t BgL_pairz00_3697;

												BgL_pairz00_3697 = CAR(((obj_t) BgL_l1335z00_3694));
												BgL_vz00_3696 = CAR(BgL_pairz00_3697);
											}
											{	/* Dataflow/walk.scm 129 */
												bool_t BgL__ortest_1156z00_3698;

												BgL__ortest_1156z00_3698 =
													BGl_isazf3zf3zz__objectz00(BgL_vz00_3696,
													BGl_globalz00zzast_varz00);
												if (BgL__ortest_1156z00_3698)
													{	/* Dataflow/walk.scm 129 */
														BgL_testz00_4927 = BgL__ortest_1156z00_3698;
													}
												else
													{	/* Dataflow/walk.scm 129 */
														BgL_testz00_4927 =
															(
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_vz00_3696)))->
																BgL_accessz00) == CNST_TABLE_REF(((long) 11)));
										}}}
										if (BgL_testz00_4927)
											{	/* Dataflow/walk.scm 127 */
												obj_t BgL_nh1337z00_3699;

												{	/* Dataflow/walk.scm 127 */
													obj_t BgL_arg1704z00_3700;

													BgL_arg1704z00_3700 =
														CAR(((obj_t) BgL_l1335z00_3694));
													{	/* Dataflow/walk.scm 127 */
														obj_t BgL_res2221z00_3701;

														BgL_res2221z00_3701 =
															MAKE_YOUNG_PAIR(BgL_arg1704z00_3700, BNIL);
														BgL_nh1337z00_3699 = BgL_res2221z00_3701;
													}
												}
												SET_CDR(BgL_h1336z00_3695, BgL_nh1337z00_3699);
												{	/* Dataflow/walk.scm 127 */
													obj_t BgL_arg1702z00_3702;

													BgL_arg1702z00_3702 =
														CDR(((obj_t) BgL_l1335z00_3694));
													{
														obj_t BgL_h1336z00_4944;
														obj_t BgL_l1335z00_4943;

														BgL_l1335z00_4943 = BgL_arg1702z00_3702;
														BgL_h1336z00_4944 = BgL_nh1337z00_3699;
														BgL_h1336z00_3695 = BgL_h1336z00_4944;
														BgL_l1335z00_3694 = BgL_l1335z00_4943;
														goto BgL_zc3anonymousza31691ze3z83_3693;
													}
												}
											}
										else
											{	/* Dataflow/walk.scm 127 */
												obj_t BgL_arg1707z00_3703;

												BgL_arg1707z00_3703 = CDR(((obj_t) BgL_l1335z00_3694));
												{
													obj_t BgL_l1335z00_4947;

													BgL_l1335z00_4947 = BgL_arg1707z00_3703;
													BgL_l1335z00_3694 = BgL_l1335z00_4947;
													goto BgL_zc3anonymousza31691ze3z83_3693;
												}
											}
									}
							}
						}
					else
						{	/* Dataflow/walk.scm 123 */
							return BgL_aenvz00_3689;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-sync1386 */
	obj_t BGl_z62dataflowzd2nodez12zd2sync1386z70zzdataflow_walkz00(obj_t
		BgL_envz00_3420, obj_t BgL_nodez00_3421, obj_t BgL_envz00_3422)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 111 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3421)))->BgL_mutexz00),
				BgL_envz00_3422);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
						COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3421)))->BgL_prelockz00),
				BgL_envz00_3422);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
						COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3421)))->BgL_bodyz00),
				BgL_envz00_3422);
			return BgL_envz00_3422;
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-seque1382 */
	obj_t BGl_z62dataflowzd2nodez12zd2seque1382z70zzdataflow_walkz00(obj_t
		BgL_envz00_3423, obj_t BgL_nodez00_3424, obj_t BgL_envz00_3425)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 101 */
			{	/* Dataflow/walk.scm 102 */
				obj_t BgL_res2331z00_3713;

				{	/* Dataflow/walk.scm 102 */
					obj_t BgL_g1154z00_3706;

					BgL_g1154z00_3706 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_3424)))->BgL_nodesz00);
					{
						obj_t BgL_nodeza2za2_3708;
						obj_t BgL_envz00_3709;

						BgL_nodeza2za2_3708 = BgL_g1154z00_3706;
						BgL_envz00_3709 = BgL_envz00_3425;
					BgL_loopz00_3707:
						if (NULLP(BgL_nodeza2za2_3708))
							{	/* Dataflow/walk.scm 104 */
								BgL_res2331z00_3713 = BgL_envz00_3709;
							}
						else
							{	/* Dataflow/walk.scm 106 */
								obj_t BgL_arg1673z00_3710;
								obj_t BgL_arg1674z00_3711;

								BgL_arg1673z00_3710 = CDR(((obj_t) BgL_nodeza2za2_3708));
								{	/* Dataflow/walk.scm 106 */
									obj_t BgL_arg1675z00_3712;

									BgL_arg1675z00_3712 = CAR(((obj_t) BgL_nodeza2za2_3708));
									BgL_arg1674z00_3711 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg1675z00_3712), BgL_envz00_3709);
								}
								{
									obj_t BgL_envz00_4968;
									obj_t BgL_nodeza2za2_4967;

									BgL_nodeza2za2_4967 = BgL_arg1673z00_3710;
									BgL_envz00_4968 = BgL_arg1674z00_3711;
									BgL_envz00_3709 = BgL_envz00_4968;
									BgL_nodeza2za2_3708 = BgL_nodeza2za2_4967;
									goto BgL_loopz00_3707;
								}
							}
					}
				}
				return BgL_res2331z00_3713;
			}
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-closu1380 */
	obj_t BGl_z62dataflowzd2nodez12zd2closu1380z70zzdataflow_walkz00(obj_t
		BgL_envz00_3426, obj_t BgL_nodez00_3427, obj_t BgL_envz00_3428)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 95 */
			return ((obj_t) BgL_envz00_3428);
		}
		BGL_FUNCTION_END;
	}



/* &dataflow-node!-var1378 */
	obj_t BGl_z62dataflowzd2nodez12zd2var1378z70zzdataflow_walkz00(obj_t
		BgL_envz00_3429, obj_t BgL_nodez00_3430, obj_t BgL_envz00_3431)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 81 */
			{	/* Dataflow/walk.scm 83 */
				BgL_variablez00_bglt BgL_i1151z00_3717;

				BgL_i1151z00_3717 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_3430)))->BgL_variablez00);
				{	/* Dataflow/walk.scm 84 */
					bool_t BgL_testz00_4972;

					if (BGl_bigloozd2typezf3z21zztype_typez00(
							(((BgL_variablez00_bglt) COBJECT(BgL_i1151z00_3717))->
								BgL_typez00)))
						{	/* Dataflow/walk.scm 85 */
							bool_t BgL__ortest_1152z00_3718;

							{	/* Dataflow/walk.scm 85 */
								bool_t BgL_testz00_4976;

								{	/* Dataflow/walk.scm 85 */
									BgL_typez00_bglt BgL_arg1668z00_3719;

									BgL_arg1668z00_3719 =
										(((BgL_variablez00_bglt) COBJECT(BgL_i1151z00_3717))->
										BgL_typez00);
									{	/* Dataflow/walk.scm 85 */
										bool_t BgL_res2214z00_3720;

										BgL_res2214z00_3720 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_arg1668z00_3719),
											BGl_tclassz00zzobject_classz00);
										BgL_testz00_4976 = BgL_res2214z00_3720;
									}
								}
								if (BgL_testz00_4976)
									{	/* Dataflow/walk.scm 85 */
										BgL__ortest_1152z00_3718 = ((bool_t) 0);
									}
								else
									{	/* Dataflow/walk.scm 85 */
										BgL__ortest_1152z00_3718 = ((bool_t) 1);
									}
							}
							if (BgL__ortest_1152z00_3718)
								{	/* Dataflow/walk.scm 85 */
									BgL_testz00_4972 = BgL__ortest_1152z00_3718;
								}
							else
								{	/* Dataflow/walk.scm 85 */
									BgL_typez00_bglt BgL_arg1665z00_3721;
									BgL_typez00_bglt BgL_arg1667z00_3722;

									BgL_arg1665z00_3721 =
										(((BgL_variablez00_bglt) COBJECT(BgL_i1151z00_3717))->
										BgL_typez00);
									BgL_arg1667z00_3722 =
										(((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
														BgL_nodez00_3430))))->BgL_typez00);
									BgL_testz00_4972 =
										BGl_typezd2subclasszf3z21zzobject_classz00
										(BgL_arg1665z00_3721, BgL_arg1667z00_3722);
								}
						}
					else
						{	/* Dataflow/walk.scm 84 */
							BgL_testz00_4972 = ((bool_t) 0);
						}
					if (BgL_testz00_4972)
						{	/* Dataflow/walk.scm 86 */
							obj_t BgL_bz00_3723;

							BgL_bz00_3723 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_3430)))->
										BgL_variablez00)), BgL_envz00_3431);
							if (PAIRP(BgL_bz00_3723))
								{	/* Dataflow/walk.scm 87 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_3430))))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												CDR(BgL_bz00_3723))), BUNSPEC);
								}
							else
								{	/* Dataflow/walk.scm 87 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_3430))))->
											BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																		BgL_nodez00_3430)))->BgL_variablez00)))->
												BgL_typez00)), BUNSPEC);
								}
						}
					else
						{	/* Dataflow/walk.scm 84 */
							BFALSE;
						}
				}
			}
			return BgL_envz00_3431;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string2324z00zzdataflow_walkz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
