/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:26:26 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3e/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3e/lib/bigloo/4.3e -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3e/lib/bigloo/4.3e -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_comp.scm -o objs/obj_p/Eval/evaluate_comp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32688ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5230z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5232z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5234z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5236z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5238z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31992ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32956ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5240z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5242z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5244z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5246z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5248z00zz__evaluate_compz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62zc3anonymousza32303ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33016ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32779ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5250z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5252z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5254z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5256z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5258z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_litt1397zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32990ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33598ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5260z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_symbol5262z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5264z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5266z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5268z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32038ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5270z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5272z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5274z00zz__evaluate_compz00 = BUNSPEC;
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33303ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32977ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33037ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
static obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t);
extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_or1401zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33143ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3anonymousza32147ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3anonymousza32092ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32149ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_appendzd221009zd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5101z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_z62run5103z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_zc3exitza33034ze3ze70z64zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5105z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5107z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5109z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32700ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza33073ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33219ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static long BGl_correctz00zz__evaluate_compz00(obj_t, long);
static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62run5111z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5113z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5115z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
static obj_t BGl_z62run5117z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5119z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32612ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33163ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
static obj_t BGl_z62run5121z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run5123z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5125z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5127z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5129z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31900ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33431ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33180ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5131z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5133z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5135z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5137z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5139z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33327ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_reset_profilez00zz__evaluate_compz00();
static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5141z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5143z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
static obj_t BGl_z62run5145z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5147z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5149z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32704ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33506ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_labels1421zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5151z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5153z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5155z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5157z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5159z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33523ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32632ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32616ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32349ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5161z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5163z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5165z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5167z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5169z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5100z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5102z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5104z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32188ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5106z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5108z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run5171z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5173z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5175z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5110z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31816ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_z62main5112z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5114z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5116z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5118z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32724ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5120z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5122z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33348ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5124z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5126z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5128z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32652ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33292ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5130z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32636ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5132z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5134z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5136z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5138z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62compzd2ev_bindzd2exit1413z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
extern int bgl_debug();
static obj_t BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33560ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33455ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5140z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5142z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33188ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32297ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5144z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_global1391zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5146z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
static obj_t BGl_z62main5148z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
extern obj_t create_struct(obj_t, int);
static obj_t BGl_get_profilez00zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza33472ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33383ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5150z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5152z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5154z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
static obj_t BGl_z62main5156z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5158z62zz__evaluate_compz00(obj_t, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00();
static obj_t BGl_z62compzd2ev_withzd2handler1417z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32922ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32906ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31837ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5160z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5162z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3anonymousza32299ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5164z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5166z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5168z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32672ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32907ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32656ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5170z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5172z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5174z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33548ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_letza21409z12zz__evaluate_compz00(obj_t, obj_t, obj_t);
static bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t);
static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3anonymousza31946ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31857ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32692ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32676ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_compz00();
extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62zc3anonymousza32871ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32855ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33495ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
static obj_t BGl_symbol5305z00zz__evaluate_compz00 = BUNSPEC;
static bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32696ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_if1399zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_trap1385zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33023ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_symbol5322z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol5324z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5326z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5328z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza33202ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33024ze3ze1zz__evaluate_compz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_prog21405zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5180z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5182z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5184z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32119ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_symbol5190z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
static obj_t BGl_symbol5198z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_defglobal1395zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32225ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_setglobal1393zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32153ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32064ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza33312ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33150ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33134ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32260ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33062ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bgl_reverse_bang(obj_t);
static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
static obj_t BGl_z62zc3anonymousza33241ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33209ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
static obj_t BGl_z62compzd2ev_let1407zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_goto1423zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza33421ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33170ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33405ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33227ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_zc3exitza33017ze3ze70z64zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_z62zc3anonymousza32620ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33260ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32443ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33067ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_synchroniza7e1419z17zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32712ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33336ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32640ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32624ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_var1387zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_app1425zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33621ze3ze1zz__evaluate_compz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33249ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5091z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5093z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5095z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5097z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5099z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33444ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t bigloo_string_lt(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31930ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33534ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32716ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32822ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32660ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32644ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33284ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32628ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_and1403zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_z62zc3anonymousza32912ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33374ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33358ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33269ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33642ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62compzd2ev_abs1427zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_z62compzd2ev_letrec1411zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32842ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32680ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33482ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32664ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31773ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32648ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32397ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5090z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5092z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5094z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5096z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5098z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32011ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31952ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32860ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31880ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33395ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32829ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62comp1381z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_setlocal1389zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31971ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31882ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32684ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32668ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_unwindzd2prote1415z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol5200z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5202z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5205z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5208z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32032ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza32880ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5210z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5212z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5214z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5216z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5218z00zz__evaluate_compz00 = BUNSPEC;
extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza33578ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31796ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5220z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5222z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5224z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5226z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5228z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32034ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STATIC_BGL_PROCEDURE( BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_bgl_za762za7c3lexintza7a1za75332z00, BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_compilezd2envzd2zz__evaluate_compz00, BgL_bgl_za762compileza762za7za7_5333z00, BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
DEFINE_STRING( BGl_string5201z00zz__evaluate_compz00, BgL_bgl_string5201za700za7za7_5334za7, "internal", 8 );
DEFINE_STRING( BGl_string5203z00zz__evaluate_compz00, BgL_bgl_string5203za700za7za7_5335za7, "impossible", 10 );
DEFINE_STRING( BGl_string5204z00zz__evaluate_compz00, BgL_bgl_string5204za700za7za7_5336za7, "procedure", 9 );
DEFINE_STRING( BGl_string5206z00zz__evaluate_compz00, BgL_bgl_string5206za700za7za7_5337za7, "user", 4 );
DEFINE_STRING( BGl_string5207z00zz__evaluate_compz00, BgL_bgl_string5207za700za7za7_5338za7, "invalid byte code", 17 );
extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
DEFINE_STRING( BGl_string5209z00zz__evaluate_compz00, BgL_bgl_string5209za700za7za7_5339za7, "+", 1 );
DEFINE_STRING( BGl_string5211z00zz__evaluate_compz00, BgL_bgl_string5211za700za7za7_5340za7, "number", 6 );
extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string5213z00zz__evaluate_compz00, BgL_bgl_string5213za700za7za7_5341za7, "-", 1 );
DEFINE_STRING( BGl_string5215z00zz__evaluate_compz00, BgL_bgl_string5215za700za7za7_5342za7, "*", 1 );
DEFINE_STRING( BGl_string5217z00zz__evaluate_compz00, BgL_bgl_string5217za700za7za7_5343za7, "/", 1 );
DEFINE_STRING( BGl_string5219z00zz__evaluate_compz00, BgL_bgl_string5219za700za7za7_5344za7, "<", 1 );
DEFINE_STRING( BGl_string5221z00zz__evaluate_compz00, BgL_bgl_string5221za700za7za7_5345za7, ">", 1 );
DEFINE_STRING( BGl_string5223z00zz__evaluate_compz00, BgL_bgl_string5223za700za7za7_5346za7, "<=", 2 );
DEFINE_STRING( BGl_string5225z00zz__evaluate_compz00, BgL_bgl_string5225za700za7za7_5347za7, ">=", 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_findzd2statezd2envz00zz__evaluate_compz00, BgL_bgl_za762findza7d2stateza75348za7, BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5227z00zz__evaluate_compz00, BgL_bgl_string5227za700za7za7_5349za7, "=", 1 );
DEFINE_STRING( BGl_string5229z00zz__evaluate_compz00, BgL_bgl_string5229za700za7za7_5350za7, "+fx", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5300z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_got5351z00, BGl_z62compzd2ev_goto1423zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5301z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_app5352z00, BGl_z62compzd2ev_app1425zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5302z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_abs5353z00, BGl_z62compzd2ev_abs1427zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5231z00zz__evaluate_compz00, BgL_bgl_string5231za700za7za7_5354za7, "fixnum", 6 );
DEFINE_STRING( BGl_string5233z00zz__evaluate_compz00, BgL_bgl_string5233za700za7za7_5355za7, "-fx", 3 );
DEFINE_STRING( BGl_string5235z00zz__evaluate_compz00, BgL_bgl_string5235za700za7za7_5356za7, "*fx", 3 );
DEFINE_STRING( BGl_string5237z00zz__evaluate_compz00, BgL_bgl_string5237za700za7za7_5357za7, "/fx", 3 );
DEFINE_STRING( BGl_string5239z00zz__evaluate_compz00, BgL_bgl_string5239za700za7za7_5358za7, "<fx", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5314z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75359za7, BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5315z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75360za7, BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5316z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75361za7, BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5241z00zz__evaluate_compz00, BgL_bgl_string5241za700za7za7_5362za7, ">fx", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5317z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75363za7, BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5318z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75364za7, BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5243z00zz__evaluate_compz00, BgL_bgl_string5243za700za7za7_5365za7, "<=fx", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5319z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75366za7, BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5245z00zz__evaluate_compz00, BgL_bgl_string5245za700za7za7_5367za7, ">=fx", 4 );
DEFINE_STRING( BGl_string5247z00zz__evaluate_compz00, BgL_bgl_string5247za700za7za7_5368za7, "=fx", 3 );
DEFINE_STRING( BGl_string5249z00zz__evaluate_compz00, BgL_bgl_string5249za700za7za7_5369za7, "+fl", 3 );
extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5320z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75370za7, BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5321z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75371za7, BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5251z00zz__evaluate_compz00, BgL_bgl_string5251za700za7za7_5372za7, "flonum", 6 );
DEFINE_STRING( BGl_string5253z00zz__evaluate_compz00, BgL_bgl_string5253za700za7za7_5373za7, "-fl", 3 );
DEFINE_STRING( BGl_string5255z00zz__evaluate_compz00, BgL_bgl_string5255za700za7za7_5374za7, "*fl", 3 );
DEFINE_STRING( BGl_string5257z00zz__evaluate_compz00, BgL_bgl_string5257za700za7za7_5375za7, "/fl", 3 );
DEFINE_STRING( BGl_string5259z00zz__evaluate_compz00, BgL_bgl_string5259za700za7za7_5376za7, "<fl", 3 );
DEFINE_STRING( BGl_string5261z00zz__evaluate_compz00, BgL_bgl_string5261za700za7za7_5377za7, ">fl", 3 );
DEFINE_STRING( BGl_string5263z00zz__evaluate_compz00, BgL_bgl_string5263za700za7za7_5378za7, "<=fl", 4 );
DEFINE_STRING( BGl_string5265z00zz__evaluate_compz00, BgL_bgl_string5265za700za7za7_5379za7, ">=fl", 4 );
DEFINE_STRING( BGl_string5267z00zz__evaluate_compz00, BgL_bgl_string5267za700za7za7_5380za7, "=fl", 3 );
DEFINE_STRING( BGl_string5269z00zz__evaluate_compz00, BgL_bgl_string5269za700za7za7_5381za7, "car", 3 );
DEFINE_STRING( BGl_string5271z00zz__evaluate_compz00, BgL_bgl_string5271za700za7za7_5382za7, "pair", 4 );
DEFINE_STRING( BGl_string5273z00zz__evaluate_compz00, BgL_bgl_string5273za700za7za7_5383za7, "cdr", 3 );
DEFINE_STRING( BGl_string5275z00zz__evaluate_compz00, BgL_bgl_string5275za700za7za7_5384za7, "cadr", 4 );
DEFINE_STRING( BGl_string5277z00zz__evaluate_compz00, BgL_bgl_string5277za700za7za7_5385za7, "comp1381", 8 );
DEFINE_STRING( BGl_string5278z00zz__evaluate_compz00, BgL_bgl_string5278za700za7za7_5386za7, "internal error: not defined for", 31 );
DEFINE_STRING( BGl_string5279z00zz__evaluate_compz00, BgL_bgl_string5279za700za7za7_5387za7, "&comp", 5 );
extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string5281z00zz__evaluate_compz00, BgL_bgl_string5281za700za7za7_5388za7, "comp", 4 );
extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
DEFINE_STATIC_BGL_GENERIC( BGl_compzd2envzd2zz__evaluate_compz00, BgL_bgl_za762compza762za7za7__ev5389z00, BGl_z62compz62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string5303z00zz__evaluate_compz00, BgL_bgl_string5303za700za7za7_5390za7, "internal error", 14 );
DEFINE_STRING( BGl_string5304z00zz__evaluate_compz00, BgL_bgl_string5304za700za7za7_5391za7, "must be dead code", 17 );
DEFINE_STRING( BGl_string5306z00zz__evaluate_compz00, BgL_bgl_string5306za700za7za7_5392za7, "notyet", 6 );
DEFINE_STRING( BGl_string5307z00zz__evaluate_compz00, BgL_bgl_string5307za700za7za7_5393za7, "synchronize", 11 );
DEFINE_STRING( BGl_string5308z00zz__evaluate_compz00, BgL_bgl_string5308za700za7za7_5394za7, "mutex", 5 );
DEFINE_STRING( BGl_string5309z00zz__evaluate_compz00, BgL_bgl_string5309za700za7za7_5395za7, "set!", 4 );
DEFINE_STRING( BGl_string5310z00zz__evaluate_compz00, BgL_bgl_string5310za700za7za7_5396za7, "read-only variable", 18 );
DEFINE_STRING( BGl_string5311z00zz__evaluate_compz00, BgL_bgl_string5311za700za7za7_5397za7, "\nRedefinition of compiled variable -- ", 38 );
DEFINE_STRING( BGl_string5312z00zz__evaluate_compz00, BgL_bgl_string5312za700za7za7_5398za7, "Unbound variable", 16 );
DEFINE_STRING( BGl_string5313z00zz__evaluate_compz00, BgL_bgl_string5313za700za7za7_5399za7, "Uninitialized variable", 22 );
DEFINE_STRING( BGl_string5323z00zz__evaluate_compz00, BgL_bgl_string5323za700za7za7_5400za7, "get_sp", 6 );
DEFINE_STRING( BGl_string5325z00zz__evaluate_compz00, BgL_bgl_string5325za700za7za7_5401za7, "reset_profile", 13 );
DEFINE_STRING( BGl_string5327z00zz__evaluate_compz00, BgL_bgl_string5327za700za7za7_5402za7, "get_profile", 11 );
DEFINE_STRING( BGl_string5329z00zz__evaluate_compz00, BgL_bgl_string5329za700za7za7_5403za7, "reset_stack", 11 );
extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string5330z00zz__evaluate_compz00, BgL_bgl_string5330za700za7za7_5404za7, "internal error: unknown command", 31 );
DEFINE_STRING( BGl_string5331z00zz__evaluate_compz00, BgL_bgl_string5331za700za7za7_5405za7, "__evaluate_comp", 15 );
DEFINE_STRING( BGl_string5181z00zz__evaluate_compz00, BgL_bgl_string5181za700za7za7_5406za7, "all", 3 );
DEFINE_STRING( BGl_string5183z00zz__evaluate_compz00, BgL_bgl_string5183za700za7za7_5407za7, "label-tag", 9 );
DEFINE_STRING( BGl_string5185z00zz__evaluate_compz00, BgL_bgl_string5185za700za7za7_5408za7, "bounce", 6 );
DEFINE_STRING( BGl_string5186z00zz__evaluate_compz00, BgL_bgl_string5186za700za7za7_5409za7, "non non non", 11 );
DEFINE_STRING( BGl_string5187z00zz__evaluate_compz00, BgL_bgl_string5187za700za7za7_5410za7, " in ", 4 );
DEFINE_STRING( BGl_string5188z00zz__evaluate_compz00, BgL_bgl_string5188za700za7za7_5411za7, "eval", 4 );
DEFINE_STRING( BGl_string5189z00zz__evaluate_compz00, BgL_bgl_string5189za700za7za7_5412za7, "internal error: not found", 25 );
DEFINE_STRING( BGl_string5191z00zz__evaluate_compz00, BgL_bgl_string5191za700za7za7_5413za7, "at", 2 );
DEFINE_STRING( BGl_string5192z00zz__evaluate_compz00, BgL_bgl_string5192za700za7za7_5414za7, "", 0 );
DEFINE_STRING( BGl_string5193z00zz__evaluate_compz00, BgL_bgl_string5193za700za7za7_5415za7, "/builddir/build/BUILD/bigloo4.3e/runtime/Eval/evaluate_comp.scm", 63 );
DEFINE_STRING( BGl_string5194z00zz__evaluate_compz00, BgL_bgl_string5194za700za7za7_5416za7, "&compile", 8 );
DEFINE_STRING( BGl_string5195z00zz__evaluate_compz00, BgL_bgl_string5195za700za7za7_5417za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string5196z00zz__evaluate_compz00, BgL_bgl_string5196za700za7za7_5418za7, "expecting ~a, got ~a", 20 );
DEFINE_STRING( BGl_string5197z00zz__evaluate_compz00, BgL_bgl_string5197za700za7za7_5419za7, "wrong number of argument", 24 );
DEFINE_STRING( BGl_string5199z00zz__evaluate_compz00, BgL_bgl_string5199za700za7za7_5420za7, "mcell", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5276z00zz__evaluate_compz00, BgL_bgl_za762comp1381za762za7za75421z00, BGl_z62comp1381z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5280z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_tra5422z00, BGl_z62compzd2ev_trap1385zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5282z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_var5423z00, BGl_z62compzd2ev_var1387zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5283z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set5424z00, BGl_z62compzd2ev_setlocal1389zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5284z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_glo5425z00, BGl_z62compzd2ev_global1391zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5285z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set5426z00, BGl_z62compzd2ev_setglobal1393zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5286z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_def5427z00, BGl_z62compzd2ev_defglobal1395zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5287z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lit5428z00, BGl_z62compzd2ev_litt1397zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5288z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_if15429z00, BGl_z62compzd2ev_if1399zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5289z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_or15430z00, BGl_z62compzd2ev_or1401zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5290z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_and5431z00, BGl_z62compzd2ev_and1403zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5291z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_pro5432z00, BGl_z62compzd2ev_prog21405zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5292z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let5433z00, BGl_z62compzd2ev_let1407zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5293z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let5434z00, BGl_z62compzd2ev_letza21409z12zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5294z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let5435z00, BGl_z62compzd2ev_letrec1411zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5295z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_bin5436z00, BGl_z62compzd2ev_bindzd2exit1413z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5296z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_unw5437z00, BGl_z62compzd2ev_unwindzd2prote1415z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5297z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_wit5438z00, BGl_z62compzd2ev_withzd2handler1417z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5298z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_syn5439z00, BGl_z62compzd2ev_synchroniza7e1419z17zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5299z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lab5440z00, BGl_z62compzd2ev_labels1421zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol5230z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5232z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5234z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5236z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5238z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5240z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5242z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5244z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5246z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5248z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5250z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5252z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5254z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5256z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5258z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5260z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5262z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5264z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5266z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5268z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5270z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5272z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5274z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5305z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5322z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5324z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5326z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5328z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5180z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5182z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5184z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5190z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5198z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5200z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5202z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5205z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5208z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5210z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5212z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5214z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5216z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5218z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5220z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5222z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5224z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5226z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5228z00zz__evaluate_compz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_comp.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21009\" \"BGl_appendzd221009zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"reset_profile\" \"Eval/evaluate_comp.scm\" 3738) \"BGl_reset_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"o->s~0\" \"Eval/evaluate_comp.scm\" 3991) \"BGl_ozd2ze3sze70zd6zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<lexint\" \"Eval/evaluate_comp.scm\" 3822) \"BGl_z62zc3lexintza1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get_profile\" \"Eval/evaluate_comp.scm\" 4130) \"BGl_get_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~1\" \"Eval/evaluate_comp.scm\" 4155) \"BGl_recze71ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"index\" \"Eval/evaluate_comp.scm\" 4323) \"BGl_indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_index\" \"Eval/evaluate_comp.scm\" 4474) \"BGl__indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"lname\" \"Eval/evaluate_comp.scm\" 5060) \"BGl_lnamez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"loc-type-error\" \"Eval/evaluate_comp.scm\" 5157) \"BGl_loczd2typezd2errorz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-state\" \"Eval/evaluate_comp.scm\" 5415) \"BGl_makezd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_findzd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_z62findzd2statezb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_compilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_z62compilez62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"global-fun-value\" \"Eval/evaluate_comp.scm\" 8623) \"BGl_globalzd2funzd2valuez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-goto-trampoline\" \"Eval/evaluate_comp.scm\" 17346) \"BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-boxes-args-on-sp\" \"Eval/evaluate_comp.scm\" 18720) \"BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"sub-stk\" \"Eval/evaluate_comp.scm\" 19328) \"BGl_subzd2stkzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-trampoline\" \"Eval/evaluate_comp.scm\" 19829) \"BGl_catchzd2trampolinezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"check-stack\" \"Eval/evaluate_comp.scm\" 20164) \"BGl_checkzd2stackzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-with-push\" \"Eval/evaluate_comp.scm\" 20234) \"BGl_compzd2withzd2pushz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~0\" \"Eval/evaluate_comp.scm\" 20479) \"BGl_recze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"subr-call-with-push\" \"Eval/evaluate_comp.scm\" 20642) \"BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-args-on-sp\" \"Eval/evaluate_comp.scm\" 20879) \"BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-nargs-on-sp\" \"Eval/evaluate_comp.scm\" 21039) \"BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"need-shift\" \"Eval/evaluate_comp.scm\" 23185) \"BGl_needzd2shiftzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-old-call\" \"Eval/evaluate_comp.scm\" 23450) \"BGl_compzd2oldzd2callz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1750>\" \"Eval/evaluate_comp.scm\" 23890) \"BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1773>\" \"Eval/evaluate_comp.scm\" 23890) \"BGl_z62zc3anonymousza31773ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1796>\" \"Eval/evaluate_comp.scm\" 24231) \"BGl_z62zc3anonymousza31796ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1816>\" \"Eval/evaluate_comp.scm\" 24231) \"BGl_z62zc3anonymousza31816ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1837>\" \"Eval/evaluate_comp.scm\" 23663) \"BGl_z62zc3anonymousza31837ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1857>\" \"Eval/evaluate_comp.scm\" 23663) \"BGl_z62zc3anonymousza31857ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call0\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call0zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1880>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31880ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1882>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31882ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1886>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1900>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31900ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1916>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1930>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31930ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call1\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call1zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1946>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31946ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1948>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1952>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31952ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1971>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31971ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1992>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31992ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2011>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32011ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call2\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call2zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2032>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32032ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2034>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32034ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2038>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32038ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2064>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32064ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2092>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32092ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2119>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32119ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call3\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call3zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2147>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32147ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2149>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32149ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2153>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32153ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2188>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32188ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2225>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32225ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2260>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32260ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call4\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call4zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2297>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32297ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2299>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32299ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2303>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32303ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2349>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32349ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2397>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32397ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2443>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32443ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"is-constant-fun?\" \"Eval/evaluate_comp.scm\" 28401) \"BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile-float-arith\" \"Eval/evaluate_comp.scm\" 29045) \"BGl_compilezd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"eval-float-arith\" \"Eval/evaluate_comp.scm\" 30433) \"BGl_evalzd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"E~0\" \"Eval/evaluate_comp.scm\" 31265) \"BGl_Eze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"arith-expression\" \"Eval/evaluate_comp.scm\" 31282) \"BGl_arithzd2expressionzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2612>\" \"Eval/evaluate_comp.scm\" 31546) \"BGl_z62zc3anonymousza32612ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"inline-call\" \"Eval/evaluate_comp.scm\" 32473) \"BGl_inlinezd2callzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2616>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32616ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2620>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32620ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2624>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32624ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2628>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32628ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2632>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32632ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2636>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32636ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2640>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32640ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2644>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32644ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2648>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32648ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2652>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32652ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2656>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32656ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2660>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32660ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2664>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32664ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2668>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32668ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2672>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32672ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2676>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32676ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2680>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32680ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2684>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32684ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2688>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32688ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2692>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32692ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2696>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32696ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2700>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32700ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2704>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32704ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2708>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2712>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32712ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2716>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32716ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2720>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2724>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32724ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2726>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2729>\" \"Eval/evaluate_comp.scm\" 32662) \"BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2732>\" \"Eval/evaluate_comp.scm\" 32662) \"BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2735>\" \"Eval/evaluate_comp.scm\" 32662) \"BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadr?\" \"Eval/evaluate_comp.scm\" 33050) \"BGl_cadrzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadrerrv\" \"Eval/evaluate_comp.scm\" 33106) \"BGl_cadrerrvz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"correct\" \"Eval/evaluate_comp.scm\" 34120) \"BGl_correctz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bind-frame\" \"Eval/evaluate_comp.scm\" 34206) \"BGl_bindzd2framezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-boxes\" \"Eval/evaluate_comp.scm\" 38533) \"BGl_makezd2boxeszd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-collect\" \"Eval/evaluate_comp.scm\" 38789) \"BGl_freezd2collectzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-restore\" \"Eval/evaluate_comp.scm\" 39059) \"BGl_freezd2restorezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp1381\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62comp1381z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_compz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62compz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_abs1427\" \"Eval/evaluate_comp.scm\" 38059) \"BGl_z62compzd2ev_abs1427zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3523>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33523ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62mainz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62runz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3534>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33534ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5090\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5090z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5091\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5091z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3548>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33548ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5092\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5092z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5093\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5093z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3560>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33560ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5094\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5094z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5095\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5095z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3472>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33472ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5096\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5096z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5097\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5097z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3482>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33482ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5098\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5098z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5099\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5099z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3495>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33495ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5100\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5100z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5101\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5101z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3506>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33506ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5102\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5102z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5103\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5103z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3421>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33421ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5104\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5104z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5105\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5105z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3431>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33431ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5106\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5106z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5107\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5107z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3444>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33444ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5108\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5108z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5109\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5109z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3455>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33455ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5110\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5110z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5111\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5111z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3374>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33374ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5112\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5112z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5113\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5113z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3383>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33383ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5114\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5114z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5115\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5115z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3395>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33395ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5116\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5116z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5117\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5117z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3405>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33405ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5118\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5118z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5119\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5119z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3327>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33327ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5120\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5120z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5121\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5121z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3336>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33336ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5122\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5122z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5123\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5123z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3348>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33348ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5124\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5124z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5125\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5125z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3358>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33358ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5126\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5126z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5127\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5127z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3284>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33284ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5128\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5128z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5129\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5129z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3292>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33292ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5130\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5130z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5131\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5131z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3303>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33303ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5132\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5132z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5133\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5133z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3312>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33312ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5134\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5134z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5135\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5135z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3241>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33241ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5136\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5136z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5137\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5137z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3249>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33249ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5138\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5138z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5139\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5139z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3260>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33260ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5140\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5140z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5141\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5141z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3269>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33269ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5142\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5142z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5143\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5143z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3202>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33202ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5144\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5144z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5145\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5145z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3209>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33209ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5146\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5146z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5147\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5147z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3219>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33219ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5148\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5148z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5149\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5149z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3227>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33227ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5150\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5150z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5151\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5151z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3163>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33163ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5152\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5152z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5153\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5153z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3170>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33170ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5154\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5154z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5155\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5155z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3180>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33180ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5156\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5156z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5157\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5157z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3188>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33188ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5158\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5158z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5159\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5159z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3128>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5160\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5160z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5161\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5161z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3134>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33134ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5162\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5162z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5163\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5163z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3143>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33143ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5164\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5164z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5165\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5165z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3150>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33150ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5166\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5166z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5167\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5167z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3578>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33578ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5168\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5168z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5169\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5169z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3598>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33598ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5170\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5170z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5171\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5171z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3621>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33621ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5172\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5172z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5173\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5173z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3642>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33642ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5174\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5174z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5175\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5175z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_app1425\" \"Eval/evaluate_comp.scm\" 33674) \"BGl_z62compzd2ev_app1425zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_goto1423\" \"Eval/evaluate_comp.scm\" 17686) \"BGl_z62compzd2ev_goto1423zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3067>\" \"Eval/evaluate_comp.scm\" 18311) \"BGl_z62zc3anonymousza33067ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3073>\" \"Eval/evaluate_comp.scm\" 18592) \"BGl_z62zc3anonymousza33073ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_labels1421\" \"Eval/evaluate_comp.scm\" 16611) \"BGl_z62compzd2ev_labels1421zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3062>\" \"Eval/evaluate_comp.scm\" 17284) \"BGl_z62zc3anonymousza33062ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_synchronize1419\" \"Eval/evaluate_comp.scm\" 15984) \"BGl_z62compzd2ev_synchroniza7e1419z17zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3041>\" \"Eval/evaluate_comp.scm\" 16194) \"BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_with-handler1417\" \"Eval/evaluate_comp.scm\" 15642) \"BGl_z62compzd2ev_withzd2handler1417z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3027>\" \"Eval/evaluate_comp.scm\" 15807) \"BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<exit:3034>~0\" \"Eval/evaluate_comp.scm\" 15914) \"BGl_zc3exitza33034ze3ze70z64zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3037>\" \"Eval/evaluate_comp.scm\" 15914) \"BGl_z62zc3anonymousza33037ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3038>\" \"Eval/evaluate_comp.scm\" 15914) \"BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_unwind-prote1415\" \"Eval/evaluate_comp.scm\" 15334) \"BGl_z62compzd2ev_unwindzd2prote1415z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3023>\" \"Eval/evaluate_comp.scm\" 15485) \"BGl_z62zc3anonymousza33023ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3024>\" \"Eval/evaluate_comp.scm\" 15554) \"BGl_z62zc3anonymousza33024ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_bind-exit1413\" \"Eval/evaluate_comp.scm\" 14879) \"BGl_z62compzd2ev_bindzd2exit1413z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3016>\" \"Eval/evaluate_comp.scm\" 15118) \"BGl_z62zc3anonymousza33016ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<exit:3017>~0\" \"Eval/evaluate_comp.scm\" 15185) \"BGl_zc3exitza33017ze3ze70z64zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&exit\" \"Eval/evaluate_comp.scm\" 15185) \"BGl_z62exitz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_letrec1411\" \"Eval/evaluate_comp.scm\" 13826) \"BGl_z62compzd2ev_letrec1411zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2977>\" \"Eval/evaluate_comp.scm\" 14108) \"BGl_z62zc3anonymousza32977ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2990>\" \"Eval/evaluate_comp.scm\" 14464) \"BGl_z62zc3anonymousza32990ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let*1409\" \"Eval/evaluate_comp.scm\" 13331) \"BGl_z62compzd2ev_letza21409z12zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2956>\" \"Eval/evaluate_comp.scm\" 13566) \"BGl_z62zc3anonymousza32956ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let1407\" \"Eval/evaluate_comp.scm\" 12651) \"BGl_z62compzd2ev_let1407zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2935>\" \"Eval/evaluate_comp.scm\" 12978) \"BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_prog21405\" \"Eval/evaluate_comp.scm\" 12457) \"BGl_z62compzd2ev_prog21405zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2932>\" \"Eval/evaluate_comp.scm\" 12587) \"BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_and1403\" \"Eval/evaluate_comp.scm\" 12171) \"BGl_z62compzd2ev_and1403zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2922>\" \"Eval/evaluate_comp.scm\" 12302) \"BGl_z62zc3anonymousza32922ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_or1401\" \"Eval/evaluate_comp.scm\" 11913) \"BGl_z62compzd2ev_or1401zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2912>\" \"Eval/evaluate_comp.scm\" 12042) \"BGl_z62zc3anonymousza32912ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_if1399\" \"Eval/evaluate_comp.scm\" 11709) \"BGl_z62compzd2ev_if1399zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2907>\" \"Eval/evaluate_comp.scm\" 11846) \"BGl_z62zc3anonymousza32907ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_litt1397\" \"Eval/evaluate_comp.scm\" 11590) \"BGl_z62compzd2ev_litt1397zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2906>\" \"Eval/evaluate_comp.scm\" 11669) \"BGl_z62zc3anonymousza32906ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_defglobal1395\" \"Eval/evaluate_comp.scm\" 10633) \"BGl_z62compzd2ev_defglobal1395zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2880>\" \"Eval/evaluate_comp.scm\" 10759) \"BGl_z62zc3anonymousza32880ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setglobal1393\" \"Eval/evaluate_comp.scm\" 9772) \"BGl_z62compzd2ev_setglobal1393zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2855>\" \"Eval/evaluate_comp.scm\" 9982) \"BGl_z62zc3anonymousza32855ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2860>\" \"Eval/evaluate_comp.scm\" 10155) \"BGl_z62zc3anonymousza32860ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2871>\" \"Eval/evaluate_comp.scm\" 10415) \"BGl_z62zc3anonymousza32871ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_global1391\" \"Eval/evaluate_comp.scm\" 8830) \"BGl_z62compzd2ev_global1391zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2829>\" \"Eval/evaluate_comp.scm\" 9018) \"BGl_z62zc3anonymousza32829ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2831>\" \"Eval/evaluate_comp.scm\" 9111) \"BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2842>\" \"Eval/evaluate_comp.scm\" 9364) \"BGl_z62zc3anonymousza32842ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setlocal1389\" \"Eval/evaluate_comp.scm\" 8242) \"BGl_z62compzd2ev_setlocal1389zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2818>\" \"Eval/evaluate_comp.scm\" 8418) \"BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2822>\" \"Eval/evaluate_comp.scm\" 8525) \"BGl_z62zc3anonymousza32822ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_var1387\" \"Eval/evaluate_comp.scm\" 8097) \"BGl_z62compzd2ev_var1387zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2806>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2809>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2800>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2803>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2794>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2797>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2788>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2791>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2812>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2815>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_trap1385\" \"Eval/evaluate_comp.scm\" 7340) \"BGl_z62compzd2ev_trap1385zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2779>\" \"Eval/evaluate_comp.scm\" 7442) \"BGl_z62zc3anonymousza32779ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long BgL_checksumz00_15040, char * BgL_fromz00_15041)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_compz00(); 
BGl_cnstzd2initzd2zz__evaluate_compz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(); 
BGl_genericzd2initzd2zz__evaluate_compz00(); 
BGl_methodzd2initzd2zz__evaluate_compz00(); 
BGl_toplevelzd2initzd2zz__evaluate_compz00(); 
return 
BGl_profzd2initzd2zz__evaluate_compz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
BGl_symbol5180z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5181z00zz__evaluate_compz00); 
BGl_symbol5182z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5183z00zz__evaluate_compz00); 
BGl_symbol5184z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5185z00zz__evaluate_compz00); 
BGl_symbol5190z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5191z00zz__evaluate_compz00); 
BGl_symbol5198z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5199z00zz__evaluate_compz00); 
BGl_symbol5200z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5201z00zz__evaluate_compz00); 
BGl_symbol5202z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5203z00zz__evaluate_compz00); 
BGl_symbol5205z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5206z00zz__evaluate_compz00); 
BGl_symbol5208z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5209z00zz__evaluate_compz00); 
BGl_symbol5210z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5211z00zz__evaluate_compz00); 
BGl_symbol5212z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5213z00zz__evaluate_compz00); 
BGl_symbol5214z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5215z00zz__evaluate_compz00); 
BGl_symbol5216z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5217z00zz__evaluate_compz00); 
BGl_symbol5218z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5219z00zz__evaluate_compz00); 
BGl_symbol5220z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5221z00zz__evaluate_compz00); 
BGl_symbol5222z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5223z00zz__evaluate_compz00); 
BGl_symbol5224z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5225z00zz__evaluate_compz00); 
BGl_symbol5226z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5227z00zz__evaluate_compz00); 
BGl_symbol5228z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5229z00zz__evaluate_compz00); 
BGl_symbol5230z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5231z00zz__evaluate_compz00); 
BGl_symbol5232z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5233z00zz__evaluate_compz00); 
BGl_symbol5234z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5235z00zz__evaluate_compz00); 
BGl_symbol5236z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5237z00zz__evaluate_compz00); 
BGl_symbol5238z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5239z00zz__evaluate_compz00); 
BGl_symbol5240z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5241z00zz__evaluate_compz00); 
BGl_symbol5242z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5243z00zz__evaluate_compz00); 
BGl_symbol5244z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5245z00zz__evaluate_compz00); 
BGl_symbol5246z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5247z00zz__evaluate_compz00); 
BGl_symbol5248z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5249z00zz__evaluate_compz00); 
BGl_symbol5250z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5251z00zz__evaluate_compz00); 
BGl_symbol5252z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5253z00zz__evaluate_compz00); 
BGl_symbol5254z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5255z00zz__evaluate_compz00); 
BGl_symbol5256z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5257z00zz__evaluate_compz00); 
BGl_symbol5258z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5259z00zz__evaluate_compz00); 
BGl_symbol5260z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5261z00zz__evaluate_compz00); 
BGl_symbol5262z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5263z00zz__evaluate_compz00); 
BGl_symbol5264z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5265z00zz__evaluate_compz00); 
BGl_symbol5266z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5267z00zz__evaluate_compz00); 
BGl_symbol5268z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5269z00zz__evaluate_compz00); 
BGl_symbol5270z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5271z00zz__evaluate_compz00); 
BGl_symbol5272z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5273z00zz__evaluate_compz00); 
BGl_symbol5274z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5275z00zz__evaluate_compz00); 
BGl_symbol5305z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5306z00zz__evaluate_compz00); 
BGl_symbol5322z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5323z00zz__evaluate_compz00); 
BGl_symbol5324z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5325z00zz__evaluate_compz00); 
BGl_symbol5326z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5327z00zz__evaluate_compz00); 
return ( 
BGl_symbol5328z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5329z00zz__evaluate_compz00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
{ /* Eval/evaluate_comp.scm 114 */
BGL_LONGLONG_T BgL_arg1469z00_1338;
{ /* Eval/evaluate_comp.scm 114 */
BGL_LONGLONG_T BgL_res3961z00_6373;
BgL_res3961z00_6373 = 
LONG_TO_LLONG(((long)0)); 
BgL_arg1469z00_1338 = BgL_res3961z00_6373; } 
{ /* Eval/evaluate_comp.scm 114 */
obj_t BgL_list1470z00_1339;
{ /* Eval/evaluate_comp.scm 114 */
obj_t BgL_arg1471z00_1340;
BgL_arg1471z00_1340 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1469z00_1338), BNIL); 
BgL_list1470z00_1339 = 
MAKE_YOUNG_PAIR(BGl_symbol5180z00zz__evaluate_compz00, BgL_arg1471z00_1340); } 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1470z00_1339; } } 
BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long)8192); 
BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol5182z00zz__evaluate_compz00, 
(int)(((long)0))); 
BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)0))); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* append-21009 */
obj_t BGl_appendzd221009zd2zz__evaluate_compz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{ BGL_FUNCTION_BEGIN;
{ 
{ 
obj_t BgL_headz00_1341;
BgL_headz00_1341 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
obj_t BgL_prevz00_1342;obj_t BgL_tailz00_1343;
BgL_prevz00_1342 = BgL_headz00_1341; 
BgL_tailz00_1343 = BgL_l1z00_1; 
BgL_loopz00_1344:
if(
PAIRP(BgL_tailz00_1343))
{ 
obj_t BgL_newzd2prevzd2_1346;
BgL_newzd2prevzd2_1346 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1343), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1342, BgL_newzd2prevzd2_1346); 
{ 
obj_t BgL_tailz00_15116;obj_t BgL_prevz00_15115;
BgL_prevz00_15115 = BgL_newzd2prevzd2_1346; 
BgL_tailz00_15116 = 
CDR(BgL_tailz00_1343); 
BgL_tailz00_1343 = BgL_tailz00_15116; 
BgL_prevz00_1342 = BgL_prevz00_15115; 
goto BgL_loopz00_1344;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1341);} } } 
BGL_FUNCTION_END;
}



/* reset_profile */
obj_t BGl_reset_profilez00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 132 */
{ /* Eval/evaluate_comp.scm 133 */
BGL_LONGLONG_T BgL_arg1492z00_1369;
{ /* Eval/evaluate_comp.scm 133 */
BGL_LONGLONG_T BgL_res3968z00_6386;
BgL_res3968z00_6386 = 
LONG_TO_LLONG(((long)0)); 
BgL_arg1492z00_1369 = BgL_res3968z00_6386; } 
{ /* Eval/evaluate_comp.scm 133 */
obj_t BgL_list1493z00_1370;
{ /* Eval/evaluate_comp.scm 133 */
obj_t BgL_arg1494z00_1371;
BgL_arg1494z00_1371 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1492z00_1369), BNIL); 
BgL_list1493z00_1370 = 
MAKE_YOUNG_PAIR(BGl_symbol5180z00zz__evaluate_compz00, BgL_arg1494z00_1371); } 
return ( 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1493z00_1370, BUNSPEC) ;} } } 
BGL_FUNCTION_END;
}



/* o->s~0 */
obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1380)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 141 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1380))
{ /* Ieee/fixnum.scm 977 */

return 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_vz00_1380), ((long)10));}  else 
{ /* Eval/evaluate_comp.scm 138 */
if(
SYMBOLP(BgL_vz00_1380))
{ /* Eval/evaluate_comp.scm 139 */
obj_t BgL_res3971z00_6391;
{ /* Eval/evaluate_comp.scm 139 */
obj_t BgL_arg3812z00_6390;
BgL_arg3812z00_6390 = 
SYMBOL_TO_STRING(BgL_vz00_1380); 
BgL_res3971z00_6391 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg3812z00_6390); } 
return BgL_res3971z00_6391;}  else 
{ /* Eval/evaluate_comp.scm 139 */
if(
STRINGP(BgL_vz00_1380))
{ /* Eval/evaluate_comp.scm 140 */
return BgL_vz00_1380;}  else 
{ /* Eval/evaluate_comp.scm 140 */
return BGl_string5186z00zz__evaluate_compz00;} } } } 
BGL_FUNCTION_END;
}



/* &<lexint */
obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_10617, obj_t BgL_t1z00_10618, obj_t BgL_t2z00_10619)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 135 */
{ /* Eval/evaluate_comp.scm 138 */
bool_t BgL_tmpz00_15133;
{ /* Eval/evaluate_comp.scm 142 */
obj_t BgL_v1z00_12609;obj_t BgL_v2z00_12610;
BgL_v1z00_12609 = 
CAR(
((obj_t)BgL_t1z00_10618)); 
BgL_v2z00_12610 = 
CAR(
((obj_t)BgL_t2z00_10619)); 
{ /* Eval/evaluate_comp.scm 143 */
bool_t BgL_testz00_15138;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_12609))
{ /* Eval/evaluate_comp.scm 143 */
BgL_testz00_15138 = 
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_12610)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_testz00_15138 = ((bool_t)0)
; } 
if(BgL_testz00_15138)
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_15133 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_12609, BgL_v2z00_12610)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_15133 = 
bigloo_string_lt(
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v1z00_12609), 
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_12610))
; } } } 
return 
BBOOL(BgL_tmpz00_15133);} } 
BGL_FUNCTION_END;
}



/* get_profile */
obj_t BGl_get_profilez00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 147 */
BGl_recze71ze7zz__evaluate_compz00(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00); 
return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;} 
BGL_FUNCTION_END;
}



/* rec~1 */
bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1389)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 148 */
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_arg1506z00_1391;obj_t BgL_arg1507z00_1392;
BgL_arg1506z00_1391 = 
CDR(
((obj_t)BgL_tz00_1389)); 
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_arg1508z00_1393;
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_pairz00_6402;
BgL_pairz00_6402 = 
CDR(
((obj_t)BgL_tz00_1389)); 
BgL_arg1508z00_1393 = 
CDR(BgL_pairz00_6402); } 
BgL_arg1507z00_1392 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1508z00_1393); } 
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_tmpz00_15154;
BgL_tmpz00_15154 = 
((obj_t)BgL_arg1506z00_1391); 
SET_CDR(BgL_tmpz00_15154, BgL_arg1507z00_1392); } } 
{ /* Eval/evaluate_comp.scm 150 */
obj_t BgL_g1284z00_1394;
{ /* Eval/evaluate_comp.scm 150 */
obj_t BgL_pairz00_6407;
BgL_pairz00_6407 = 
CDR(
((obj_t)BgL_tz00_1389)); 
BgL_g1284z00_1394 = 
CDR(BgL_pairz00_6407); } 
{ 
obj_t BgL_l1282z00_1396;
BgL_l1282z00_1396 = BgL_g1284z00_1394; 
BgL_zc3anonymousza31509ze3z83_1397:
if(
PAIRP(BgL_l1282z00_1396))
{ /* Eval/evaluate_comp.scm 150 */
BGl_recze71ze7zz__evaluate_compz00(
CAR(BgL_l1282z00_1396)); 
{ 
obj_t BgL_l1282z00_15164;
BgL_l1282z00_15164 = 
CDR(BgL_l1282z00_1396); 
BgL_l1282z00_1396 = BgL_l1282z00_15164; 
goto BgL_zc3anonymousza31509ze3z83_1397;} }  else 
{ /* Eval/evaluate_comp.scm 150 */
return ((bool_t)1);} } } } 
BGL_FUNCTION_END;
}



/* index */
obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 156 */
{ 
obj_t BgL_lz00_1404;long BgL_nz00_1405;
BgL_lz00_1404 = BgL_lz00_7; 
BgL_nz00_1405 = ((long)0); 
BgL_zc3anonymousza31512ze3z83_1406:
if(
NULLP(BgL_lz00_1404))
{ /* Eval/evaluate_comp.scm 158 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 158 */
if(
(BgL_xz00_6==
CAR(
((obj_t)BgL_lz00_1404))))
{ /* Eval/evaluate_comp.scm 159 */
return 
BINT(BgL_nz00_1405);}  else 
{ 
long BgL_nz00_15176;obj_t BgL_lz00_15173;
BgL_lz00_15173 = 
CDR(
((obj_t)BgL_lz00_1404)); 
BgL_nz00_15176 = 
(BgL_nz00_1405+((long)1)); 
BgL_nz00_1405 = BgL_nz00_15176; 
BgL_lz00_1404 = BgL_lz00_15173; 
goto BgL_zc3anonymousza31512ze3z83_1406;} } } } 
BGL_FUNCTION_END;
}



/* _index */
obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 163 */
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL__ortest_1075z00_1414;
BgL__ortest_1075z00_1414 = 
BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9); 
if(
CBOOL(BgL__ortest_1075z00_1414))
{ /* Eval/evaluate_comp.scm 164 */
return BgL__ortest_1075z00_1414;}  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1519z00_1415;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1521z00_1416;
if(
NULLP(BgL_lz00_9))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1521z00_1416 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_head1287z00_1422;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1534z00_1434;
BgL_arg1534z00_1434 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_lz00_9))); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_res3978z00_6418;
BgL_res3978z00_6418 = 
MAKE_YOUNG_PAIR(BgL_arg1534z00_1434, BNIL); 
BgL_head1287z00_1422 = BgL_res3978z00_6418; } } 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_g1290z00_1423;
BgL_g1290z00_1423 = 
CDR(
((obj_t)BgL_lz00_9)); 
{ 
obj_t BgL_l1285z00_1425;obj_t BgL_tail1288z00_1426;
BgL_l1285z00_1425 = BgL_g1290z00_1423; 
BgL_tail1288z00_1426 = BgL_head1287z00_1422; 
BgL_zc3anonymousza31528ze3z83_1427:
if(
NULLP(BgL_l1285z00_1425))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1521z00_1416 = BgL_head1287z00_1422; }  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_newtail1289z00_1429;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1531z00_1431;
BgL_arg1531z00_1431 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_l1285z00_1425))); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_res3980z00_6422;
BgL_res3980z00_6422 = 
MAKE_YOUNG_PAIR(BgL_arg1531z00_1431, BNIL); 
BgL_newtail1289z00_1429 = BgL_res3980z00_6422; } } 
SET_CDR(BgL_tail1288z00_1426, BgL_newtail1289z00_1429); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1530z00_1430;
BgL_arg1530z00_1430 = 
CDR(
((obj_t)BgL_l1285z00_1425)); 
{ 
obj_t BgL_tail1288z00_15199;obj_t BgL_l1285z00_15198;
BgL_l1285z00_15198 = BgL_arg1530z00_1430; 
BgL_tail1288z00_15199 = BgL_newtail1289z00_1429; 
BgL_tail1288z00_1426 = BgL_tail1288z00_15199; 
BgL_l1285z00_1425 = BgL_l1285z00_15198; 
goto BgL_zc3anonymousza31528ze3z83_1427;} } } } } } 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_list1522z00_1417;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1523z00_1418;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1526z00_1419;
BgL_arg1526z00_1419 = 
MAKE_YOUNG_PAIR(BgL_arg1521z00_1416, BNIL); 
BgL_arg1523z00_1418 = 
MAKE_YOUNG_PAIR(BGl_string5187z00zz__evaluate_compz00, BgL_arg1526z00_1419); } 
BgL_list1522z00_1417 = 
MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1523z00_1418); } 
BgL_arg1519z00_1415 = BgL_list1522z00_1417; } } 
return 
BGl_errorz00zz__errorz00(BGl_string5188z00zz__evaluate_compz00, BGl_string5189z00zz__evaluate_compz00, BgL_arg1519z00_1415);} } } 
BGL_FUNCTION_END;
}



/* lname */
obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 188 */
if(
BGl_isazf3zf3zz__objectz00(BgL_vz00_16, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 189 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_16)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 189 */
return BgL_vz00_16;} } 
BGL_FUNCTION_END;
}



/* loc-type-error */
obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17, obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 193 */
{ 
obj_t BgL_fnamez00_1455;obj_t BgL_locz00_1456;
if(
PAIRP(BgL_locz00_20))
{ /* Eval/evaluate_comp.scm 194 */
obj_t BgL_cdrzd2194zd2_1461;
BgL_cdrzd2194zd2_1461 = 
CDR(BgL_locz00_20); 
if(
(
CAR(BgL_locz00_20)==BGl_symbol5190z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 194 */
if(
PAIRP(BgL_cdrzd2194zd2_1461))
{ /* Eval/evaluate_comp.scm 194 */
obj_t BgL_cdrzd2198zd2_1465;
BgL_cdrzd2198zd2_1465 = 
CDR(BgL_cdrzd2194zd2_1461); 
if(
PAIRP(BgL_cdrzd2198zd2_1465))
{ /* Eval/evaluate_comp.scm 194 */
if(
NULLP(
CDR(BgL_cdrzd2198zd2_1465)))
{ /* Eval/evaluate_comp.scm 194 */
BgL_fnamez00_1455 = 
CAR(BgL_cdrzd2194zd2_1461); 
BgL_locz00_1456 = 
CAR(BgL_cdrzd2198zd2_1465); 
return 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19, BgL_fnamez00_1455, BgL_locz00_1456);}  else 
{ /* Eval/evaluate_comp.scm 194 */
BgL_tagzd2187zd2_1458:
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1458;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1458;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1458;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1458;} } } 
BGL_FUNCTION_END;
}



/* make-state */
obj_t BGl_makezd2statezd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 206 */
{ /* Eval/evaluate_comp.scm 207 */
obj_t BgL_stkz00_1481;
BgL_stkz00_1481 = 
make_vector(((long)8192), BGl_string5192z00zz__evaluate_compz00); 
VECTOR_SET(BgL_stkz00_1481,((long)0),
BINT(((long)2))); 
return BgL_stkz00_1481;} } 
BGL_FUNCTION_END;
}



/* find-state */
BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 211 */
{ /* Eval/evaluate_comp.scm 212 */
obj_t BgL_sz00_1482;
{ /* Eval/evaluate_comp.scm 212 */
obj_t BgL_tmpz00_15229;
BgL_tmpz00_15229 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1482 = 
BGL_ENV_EVSTATE(BgL_tmpz00_15229); } 
if(
VECTORP(BgL_sz00_1482))
{ /* Eval/evaluate_comp.scm 213 */
return BgL_sz00_1482;}  else 
{ /* Eval/evaluate_comp.scm 214 */
obj_t BgL_statez00_1484;
BgL_statez00_1484 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 215 */
obj_t BgL_tmpz00_15235;
BgL_tmpz00_15235 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_15235, BgL_statez00_1484); } 
return BgL_statez00_1484;} } } 
BGL_FUNCTION_END;
}



/* &find-state */
obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_10620)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 211 */
return 
BGl_findzd2statezd2zz__evaluate_compz00();} 
BGL_FUNCTION_END;
}



/* compile */
BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_34)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 273 */
return 
BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);} 
BGL_FUNCTION_END;
}



/* &compile */
obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_10621, obj_t BgL_ez00_10622)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 273 */
{ /* Eval/evaluate_comp.scm 274 */
BgL_ev_exprz00_bglt BgL_auxz00_15240;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_10622, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 274 */
BgL_auxz00_15240 = 
((BgL_ev_exprz00_bglt)BgL_ez00_10622)
; }  else 
{ 
obj_t BgL_auxz00_15244;
BgL_auxz00_15244 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string5193z00zz__evaluate_compz00, 
BINT(((long)7006)), BGl_string5194z00zz__evaluate_compz00, BGl_string5195z00zz__evaluate_compz00, BgL_ez00_10622); 
FAILURE(BgL_auxz00_15244,BFALSE,BFALSE);} 
return 
BGl_compilez00zz__evaluate_compz00(BgL_auxz00_15240);} } 
BGL_FUNCTION_END;
}



/* global-fun-value */
obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_43)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 332 */
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 335 */
obj_t BgL_gz00_1540;
{ /* Eval/evaluate_comp.scm 335 */
obj_t BgL_arg1616z00_1541;obj_t BgL_arg1617z00_1542;
BgL_arg1616z00_1541 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_modz00); 
BgL_arg1617z00_1542 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_namez00); 
BgL_gz00_1540 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg1616z00_1541, BgL_arg1617z00_1542); } 
if(
CBOOL(BgL_gz00_1540))
{ /* Eval/evaluate_comp.scm 336 */
return 
VECTOR_REF(
((obj_t)BgL_gz00_1540),((long)2));}  else 
{ /* Eval/evaluate_comp.scm 336 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 333 */
return BFALSE;} } 
BGL_FUNCTION_END;
}



/* catch-goto-trampoline */
obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t BgL_fz00_78, obj_t BgL_sz00_79)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 586 */
{ 
obj_t BgL_fz00_1552;
BgL_fz00_1552 = BgL_fz00_78; 
BgL_zc3anonymousza31630ze3z83_1553:
{ /* Eval/evaluate_comp.scm 590 */
obj_t BgL_rz00_1554;
BgL_rz00_1554 = 
PROCEDURE_ENTRY(BgL_fz00_1552)(BgL_fz00_1552, BgL_sz00_79, BEOA); 
{ /* Eval/evaluate_comp.scm 592 */
bool_t BgL_testz00_15265;
if(
PROCEDUREP(BgL_rz00_1554))
{ /* Eval/evaluate_comp.scm 592 */
obj_t BgL_arg1634z00_1559;
BgL_arg1634z00_1559 = 
PROCEDURE_ATTR(BgL_rz00_1554); 
if(
STRUCTP(BgL_arg1634z00_1559))
{ /* Eval/evaluate_comp.scm 562 */
BgL_testz00_15265 = 
(
STRUCT_KEY(BgL_arg1634z00_1559)==BGl_symbol5182z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 562 */
BgL_testz00_15265 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 592 */
BgL_testz00_15265 = ((bool_t)0)
; } 
if(BgL_testz00_15265)
{ 
obj_t BgL_fz00_15273;
BgL_fz00_15273 = BgL_rz00_1554; 
BgL_fz00_1552 = BgL_fz00_15273; 
goto BgL_zc3anonymousza31630ze3z83_1553;}  else 
{ /* Eval/evaluate_comp.scm 592 */
return BgL_rz00_1554;} } } } } 
BGL_FUNCTION_END;
}



/* push-boxes-args-on-sp */
obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85, obj_t BgL_locz00_86)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 616 */
{ 
obj_t BgL_lz00_1562;obj_t BgL_bsz00_1563;long BgL_spz00_1564;
BgL_lz00_1562 = BgL_argsz00_83; 
BgL_bsz00_1563 = BgL_boxesz00_84; 
BgL_spz00_1564 = BgL_spz00_85; 
BgL_zc3anonymousza31635ze3z83_1565:
if(
NULLP(BgL_lz00_1562))
{ /* Eval/evaluate_comp.scm 618 */
if(
NULLP(BgL_bsz00_1563))
{ /* Eval/evaluate_comp.scm 619 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 622 */
obj_t BgL_arg1638z00_1568;
{ /* Eval/evaluate_comp.scm 622 */
long BgL_arg1640z00_1569;long BgL_arg1641z00_1570;
BgL_arg1640z00_1569 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1641z00_1570 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 621 */
obj_t BgL_list1642z00_1571;
{ /* Eval/evaluate_comp.scm 621 */
obj_t BgL_arg1643z00_1572;
BgL_arg1643z00_1572 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1641z00_1570), BNIL); 
BgL_list1642z00_1571 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1640z00_1569), BgL_arg1643z00_1572); } 
BgL_arg1638z00_1568 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5196z00zz__evaluate_compz00, BgL_list1642z00_1571); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string5188z00zz__evaluate_compz00, BGl_string5197z00zz__evaluate_compz00, BgL_arg1638z00_1568);} }  else 
{ /* Eval/evaluate_comp.scm 618 */
if(
NULLP(BgL_bsz00_1563))
{ /* Eval/evaluate_comp.scm 626 */
obj_t BgL_arg1646z00_1574;
{ /* Eval/evaluate_comp.scm 626 */
long BgL_arg1647z00_1575;long BgL_arg1648z00_1576;
BgL_arg1647z00_1575 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1648z00_1576 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 625 */
obj_t BgL_list1649z00_1577;
{ /* Eval/evaluate_comp.scm 625 */
obj_t BgL_arg1650z00_1578;
BgL_arg1650z00_1578 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1648z00_1576), BNIL); 
BgL_list1649z00_1577 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1647z00_1575), BgL_arg1650z00_1578); } 
BgL_arg1646z00_1574 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5196z00zz__evaluate_compz00, BgL_list1649z00_1577); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string5188z00zz__evaluate_compz00, BGl_string5197z00zz__evaluate_compz00, BgL_arg1646z00_1574);}  else 
{ /* Eval/evaluate_comp.scm 623 */
{ /* Eval/evaluate_comp.scm 629 */
obj_t BgL_arg1651z00_1579;
{ /* Eval/evaluate_comp.scm 629 */
obj_t BgL_vz00_1580;
{ /* Eval/evaluate_comp.scm 629 */
obj_t BgL_fun1653z00_1582;
BgL_fun1653z00_1582 = 
CAR(
((obj_t)BgL_lz00_1562)); 
BgL_vz00_1580 = 
PROCEDURE_ENTRY(BgL_fun1653z00_1582)(BgL_fun1653z00_1582, BgL_sz00_82, BEOA); } 
if(
CBOOL(
CAR(
((obj_t)BgL_bsz00_1563))))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_6464;
BgL_newz00_6464 = 
create_struct(BGl_symbol5198z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_15308;
BgL_tmpz00_15308 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_6464, BgL_tmpz00_15308, BgL_vz00_1580); } 
BgL_arg1651z00_1579 = BgL_newz00_6464; }  else 
{ /* Eval/evaluate_comp.scm 630 */
BgL_arg1651z00_1579 = BgL_vz00_1580; } } 
VECTOR_SET(
((obj_t)BgL_sz00_82),BgL_spz00_1564,BgL_arg1651z00_1579); } 
{ /* Eval/evaluate_comp.scm 633 */
obj_t BgL_arg1654z00_1583;obj_t BgL_arg1655z00_1584;long BgL_arg1656z00_1585;
BgL_arg1654z00_1583 = 
CDR(
((obj_t)BgL_lz00_1562)); 
BgL_arg1655z00_1584 = 
CDR(
((obj_t)BgL_bsz00_1563)); 
BgL_arg1656z00_1585 = 
(BgL_spz00_1564+((long)1)); 
{ 
long BgL_spz00_15320;obj_t BgL_bsz00_15319;obj_t BgL_lz00_15318;
BgL_lz00_15318 = BgL_arg1654z00_1583; 
BgL_bsz00_15319 = BgL_arg1655z00_1584; 
BgL_spz00_15320 = BgL_arg1656z00_1585; 
BgL_spz00_1564 = BgL_spz00_15320; 
BgL_bsz00_1563 = BgL_bsz00_15319; 
BgL_lz00_1562 = BgL_lz00_15318; 
goto BgL_zc3anonymousza31635ze3z83_1565;} } } } } } 
BGL_FUNCTION_END;
}



/* sub-stk */
obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88, obj_t BgL_l2z00_89)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 638 */
BGl_subzd2stkzd2zz__evaluate_compz00:
if(
NULLP(BgL_l1z00_88))
{ /* Eval/evaluate_comp.scm 639 */
return BgL_l2z00_89;}  else 
{ /* Eval/evaluate_comp.scm 639 */
if(
(
CAR(
((obj_t)BgL_l1z00_88))==
CAR(
((obj_t)BgL_l2z00_89))))
{ /* Eval/evaluate_comp.scm 642 */
obj_t BgL_arg1663z00_1591;obj_t BgL_arg1664z00_1592;
BgL_arg1663z00_1591 = 
CDR(
((obj_t)BgL_l1z00_88)); 
BgL_arg1664z00_1592 = 
CDR(
((obj_t)BgL_l2z00_89)); 
{ 
obj_t BgL_l2z00_15334;obj_t BgL_l1z00_15333;
BgL_l1z00_15333 = BgL_arg1663z00_1591; 
BgL_l2z00_15334 = BgL_arg1664z00_1592; 
BgL_l2z00_89 = BgL_l2z00_15334; 
BgL_l1z00_88 = BgL_l1z00_15333; 
goto BGl_subzd2stkzd2zz__evaluate_compz00;} }  else 
{ /* Eval/evaluate_comp.scm 640 */
return 
BGl_errorz00zz__errorz00(BGl_string5188z00zz__evaluate_compz00, BGl_symbol5200z00zz__evaluate_compz00, BGl_symbol5202z00zz__evaluate_compz00);} } } 
BGL_FUNCTION_END;
}



/* catch-trampoline */
obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93, obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 662 */
{ /* Eval/evaluate_comp.scm 663 */
obj_t BgL_savedzd2bpzd2_1603;
BgL_savedzd2bpzd2_1603 = 
VECTOR_REF(
((obj_t)BgL_sz00_94),((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_bpz00_95); 
{ 
obj_t BgL_fz00_1605;
BgL_fz00_1605 = BgL_fz00_93; 
BgL_zc3anonymousza31674ze3z83_1606:
{ /* Eval/evaluate_comp.scm 666 */
obj_t BgL_rz00_1607;
BgL_rz00_1607 = 
PROCEDURE_ENTRY(BgL_fz00_1605)(BgL_fz00_1605, BgL_sz00_94, BEOA); 
{ /* Eval/evaluate_comp.scm 667 */
bool_t BgL_testz00_15344;
if(
PROCEDUREP(BgL_rz00_1607))
{ /* Eval/evaluate_comp.scm 667 */
obj_t BgL_arg1678z00_1612;
BgL_arg1678z00_1612 = 
PROCEDURE_ATTR(BgL_rz00_1607); 
if(
STRUCTP(BgL_arg1678z00_1612))
{ /* Eval/evaluate_comp.scm 647 */
BgL_testz00_15344 = 
(
STRUCT_KEY(BgL_arg1678z00_1612)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 647 */
BgL_testz00_15344 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 667 */
BgL_testz00_15344 = ((bool_t)0)
; } 
if(BgL_testz00_15344)
{ 
obj_t BgL_fz00_15352;
BgL_fz00_15352 = BgL_rz00_1607; 
BgL_fz00_1605 = BgL_fz00_15352; 
goto BgL_zc3anonymousza31674ze3z83_1606;}  else 
{ /* Eval/evaluate_comp.scm 667 */
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_savedzd2bpzd2_1603); 
return BgL_rz00_1607;} } } } } } 
BGL_FUNCTION_END;
}



/* check-stack */
bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t BgL_sz00_114, obj_t BgL_bpz00_115, obj_t BgL_nz00_116)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 678 */
return 
(
(
(long)CINT(BgL_bpz00_115)+
(long)CINT(BgL_nz00_116))<
VECTOR_LENGTH(
((obj_t)BgL_sz00_114)));} 
BGL_FUNCTION_END;
}



/* comp-with-push */
obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117, obj_t BgL_stkz00_118)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 681 */
if(
NULLP(BgL_eza2za2_117))
{ /* Eval/evaluate_comp.scm 683 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 685 */
obj_t BgL_arg1689z00_1625;obj_t BgL_arg1690z00_1626;
{ /* Eval/evaluate_comp.scm 685 */
obj_t BgL_arg1691z00_1627;
BgL_arg1691z00_1627 = 
CAR(
((obj_t)BgL_eza2za2_117)); 
BgL_arg1689z00_1625 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1691z00_1627), BgL_stkz00_118); } 
{ /* Eval/evaluate_comp.scm 686 */
obj_t BgL_arg1692z00_1628;obj_t BgL_arg1694z00_1629;
BgL_arg1692z00_1628 = 
CDR(
((obj_t)BgL_eza2za2_117)); 
{ /* Eval/evaluate_comp.scm 686 */
obj_t BgL_arg1695z00_1630;
BgL_arg1695z00_1630 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
BgL_arg1694z00_1629 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_118, BgL_arg1695z00_1630); } 
BgL_arg1690z00_1626 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1692z00_1628, BgL_arg1694z00_1629); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1689z00_1625, BgL_arg1690z00_1626);} } 
BGL_FUNCTION_END;
}



/* rec~0 */
obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_12594, obj_t BgL_lz00_1632, long BgL_iz00_1633)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 689 */
if(
NULLP(BgL_lz00_1632))
{ /* Eval/evaluate_comp.scm 690 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 690 */
if(
(BgL_iz00_1633==((long)0)))
{ /* Eval/evaluate_comp.scm 691 */
return 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1632, BgL_stkz00_12594);}  else 
{ /* Eval/evaluate_comp.scm 692 */
obj_t BgL_arg1699z00_1637;obj_t BgL_arg1700z00_1638;
{ /* Eval/evaluate_comp.scm 692 */
obj_t BgL_arg1701z00_1639;
BgL_arg1701z00_1639 = 
CAR(
((obj_t)BgL_lz00_1632)); 
BgL_arg1699z00_1637 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1701z00_1639), BgL_stkz00_12594); } 
{ /* Eval/evaluate_comp.scm 693 */
obj_t BgL_arg1702z00_1640;long BgL_arg1703z00_1641;
BgL_arg1702z00_1640 = 
CDR(
((obj_t)BgL_lz00_1632)); 
BgL_arg1703z00_1641 = 
(BgL_iz00_1633-((long)1)); 
BgL_arg1700z00_1638 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12594, BgL_arg1702z00_1640, BgL_arg1703z00_1641); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1699z00_1637, BgL_arg1700z00_1638);} } } 
BGL_FUNCTION_END;
}



/* subr-call-with-push */
obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122, obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125, obj_t BgL_siza7eza7_126)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 695 */
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_argsz00_1643;
if(
NULLP(BgL_argsz00_124))
{ /* Eval/evaluate_comp.scm 697 */
BgL_argsz00_1643 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_head1336z00_1648;
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_res4013z00_6529;
BgL_res4013z00_6529 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1336z00_1648 = BgL_res4013z00_6529; } 
{ 
obj_t BgL_l1334z00_1650;obj_t BgL_tail1337z00_1651;
BgL_l1334z00_1650 = BgL_argsz00_124; 
BgL_tail1337z00_1651 = BgL_head1336z00_1648; 
BgL_zc3anonymousza31706ze3z83_1652:
if(
NULLP(BgL_l1334z00_1650))
{ /* Eval/evaluate_comp.scm 697 */
BgL_argsz00_1643 = 
CDR(BgL_head1336z00_1648); }  else 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_newtail1338z00_1654;
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_arg1709z00_1656;
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_az00_1657;
BgL_az00_1657 = 
CAR(
((obj_t)BgL_l1334z00_1650)); 
BgL_arg1709z00_1656 = 
PROCEDURE_ENTRY(BgL_az00_1657)(BgL_az00_1657, BgL_sz00_122, BEOA); } 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_res4015z00_6533;
BgL_res4015z00_6533 = 
MAKE_YOUNG_PAIR(BgL_arg1709z00_1656, BNIL); 
BgL_newtail1338z00_1654 = BgL_res4015z00_6533; } } 
SET_CDR(BgL_tail1337z00_1651, BgL_newtail1338z00_1654); 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_arg1708z00_1655;
BgL_arg1708z00_1655 = 
CDR(
((obj_t)BgL_l1334z00_1650)); 
{ 
obj_t BgL_tail1337z00_15404;obj_t BgL_l1334z00_15403;
BgL_l1334z00_15403 = BgL_arg1708z00_1655; 
BgL_tail1337z00_15404 = BgL_newtail1338z00_1654; 
BgL_tail1337z00_1651 = BgL_tail1337z00_15404; 
BgL_l1334z00_1650 = BgL_l1334z00_15403; 
goto BgL_zc3anonymousza31706ze3z83_1652;} } } } } 
{ /* Eval/evaluate_comp.scm 698 */
long BgL_arg1704z00_1644;
BgL_arg1704z00_1644 = 
(
(long)CINT(BgL_bpz00_125)+
(long)CINT(BgL_siza7eza7_126)); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),
BINT(BgL_arg1704z00_1644)); } 
{ /* Eval/evaluate_comp.scm 699 */
obj_t BgL_za2za2resza2za2z00_1645;
BgL_za2za2resza2za2z00_1645 = 
apply(BgL_fz00_123, BgL_argsz00_1643); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),BgL_bpz00_125); 
return BgL_za2za2resza2za2z00_1645;} } } 
BGL_FUNCTION_END;
}



/* push-args-on-sp */
bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_sz00_127, obj_t BgL_argsz00_128, obj_t BgL_spz00_129)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 702 */
{ 
obj_t BgL_lz00_1660;obj_t BgL_spz00_1661;
BgL_lz00_1660 = BgL_argsz00_128; 
BgL_spz00_1661 = BgL_spz00_129; 
BgL_zc3anonymousza31710ze3z83_1662:
if(
NULLP(BgL_lz00_1660))
{ /* Eval/evaluate_comp.scm 704 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 704 */
{ /* Eval/evaluate_comp.scm 705 */
obj_t BgL_arg1712z00_1664;
{ /* Eval/evaluate_comp.scm 705 */
obj_t BgL_fun1713z00_1665;
BgL_fun1713z00_1665 = 
CAR(
((obj_t)BgL_lz00_1660)); 
BgL_arg1712z00_1664 = 
PROCEDURE_ENTRY(BgL_fun1713z00_1665)(BgL_fun1713z00_1665, BgL_sz00_127, BEOA); } 
{ /* Eval/evaluate_comp.scm 705 */
long BgL_kz00_6544;
BgL_kz00_6544 = 
(long)CINT(BgL_spz00_1661); 
VECTOR_SET(
((obj_t)BgL_sz00_127),BgL_kz00_6544,BgL_arg1712z00_1664); } } 
{ /* Eval/evaluate_comp.scm 706 */
obj_t BgL_arg1714z00_1666;long BgL_arg1715z00_1667;
BgL_arg1714z00_1666 = 
CDR(
((obj_t)BgL_lz00_1660)); 
BgL_arg1715z00_1667 = 
(
(long)CINT(BgL_spz00_1661)+((long)1)); 
{ 
obj_t BgL_spz00_15431;obj_t BgL_lz00_15430;
BgL_lz00_15430 = BgL_arg1714z00_1666; 
BgL_spz00_15431 = 
BINT(BgL_arg1715z00_1667); 
BgL_spz00_1661 = BgL_spz00_15431; 
BgL_lz00_1660 = BgL_lz00_15430; 
goto BgL_zc3anonymousza31710ze3z83_1662;} } } } } 
BGL_FUNCTION_END;
}



/* push-nargs-on-sp */
obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132, obj_t BgL_spz00_133)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 708 */
{ /* Eval/evaluate_comp.scm 709 */
long BgL_g1144z00_1669;
BgL_g1144z00_1669 = 
(((long)-1)-
(long)CINT(BgL_arityz00_130)); 
{ 
obj_t BgL_lz00_1671;obj_t BgL_spz00_1672;long BgL_nz00_1673;
BgL_lz00_1671 = BgL_argsz00_132; 
BgL_spz00_1672 = BgL_spz00_133; 
BgL_nz00_1673 = BgL_g1144z00_1669; 
BgL_zc3anonymousza31716ze3z83_1674:
if(
(BgL_nz00_1673==((long)0)))
{ 
obj_t BgL_lz00_1678;obj_t BgL_rz00_1679;
BgL_lz00_1678 = BgL_lz00_1671; 
BgL_rz00_1679 = BNIL; 
BgL_zc3anonymousza31718ze3z83_1680:
if(
NULLP(BgL_lz00_1678))
{ /* Eval/evaluate_comp.scm 713 */
obj_t BgL_arg1720z00_1682;
BgL_arg1720z00_1682 = 
bgl_reverse_bang(BgL_rz00_1679); 
{ /* Eval/evaluate_comp.scm 713 */
long BgL_kz00_6554;
BgL_kz00_6554 = 
(long)CINT(BgL_spz00_1672); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6554,BgL_arg1720z00_1682);} }  else 
{ /* Eval/evaluate_comp.scm 714 */
obj_t BgL_arg1721z00_1683;obj_t BgL_arg1722z00_1684;
BgL_arg1721z00_1683 = 
CDR(
((obj_t)BgL_lz00_1678)); 
{ /* Eval/evaluate_comp.scm 714 */
obj_t BgL_arg1723z00_1685;
{ /* Eval/evaluate_comp.scm 714 */
obj_t BgL_fun1724z00_1686;
BgL_fun1724z00_1686 = 
CAR(
((obj_t)BgL_lz00_1678)); 
BgL_arg1723z00_1685 = 
PROCEDURE_ENTRY(BgL_fun1724z00_1686)(BgL_fun1724z00_1686, BgL_sz00_131, BEOA); } 
BgL_arg1722z00_1684 = 
MAKE_YOUNG_PAIR(BgL_arg1723z00_1685, BgL_rz00_1679); } 
{ 
obj_t BgL_rz00_15453;obj_t BgL_lz00_15452;
BgL_lz00_15452 = BgL_arg1721z00_1683; 
BgL_rz00_15453 = BgL_arg1722z00_1684; 
BgL_rz00_1679 = BgL_rz00_15453; 
BgL_lz00_1678 = BgL_lz00_15452; 
goto BgL_zc3anonymousza31718ze3z83_1680;} } }  else 
{ /* Eval/evaluate_comp.scm 710 */
{ /* Eval/evaluate_comp.scm 715 */
obj_t BgL_arg1725z00_1688;
{ /* Eval/evaluate_comp.scm 715 */
obj_t BgL_fun1726z00_1689;
BgL_fun1726z00_1689 = 
CAR(
((obj_t)BgL_lz00_1671)); 
BgL_arg1725z00_1688 = 
PROCEDURE_ENTRY(BgL_fun1726z00_1689)(BgL_fun1726z00_1689, BgL_sz00_131, BEOA); } 
{ /* Eval/evaluate_comp.scm 715 */
long BgL_kz00_6559;
BgL_kz00_6559 = 
(long)CINT(BgL_spz00_1672); 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6559,BgL_arg1725z00_1688); } } 
{ /* Eval/evaluate_comp.scm 716 */
obj_t BgL_arg1727z00_1690;long BgL_arg1728z00_1691;long BgL_arg1729z00_1692;
BgL_arg1727z00_1690 = 
CDR(
((obj_t)BgL_lz00_1671)); 
BgL_arg1728z00_1691 = 
(
(long)CINT(BgL_spz00_1672)+((long)1)); 
BgL_arg1729z00_1692 = 
(BgL_nz00_1673-((long)1)); 
{ 
long BgL_nz00_15471;obj_t BgL_spz00_15469;obj_t BgL_lz00_15468;
BgL_lz00_15468 = BgL_arg1727z00_1690; 
BgL_spz00_15469 = 
BINT(BgL_arg1728z00_1691); 
BgL_nz00_15471 = BgL_arg1729z00_1692; 
BgL_nz00_1673 = BgL_nz00_15471; 
BgL_spz00_1672 = BgL_spz00_15469; 
BgL_lz00_1671 = BgL_lz00_15468; 
goto BgL_zc3anonymousza31716ze3z83_1674;} } } } } } 
BGL_FUNCTION_END;
}



/* need-shift */
bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134, obj_t BgL_stkz00_135)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 759 */
{ 
obj_t BgL_lz00_1695;obj_t BgL_stkz00_1696;
BgL_lz00_1695 = BgL_argsz00_134; 
BgL_stkz00_1696 = BgL_stkz00_135; 
BgL_zc3anonymousza31730ze3z83_1697:
{ /* Eval/evaluate_comp.scm 763 */
bool_t BgL_testz00_15472;
if(
NULLP(BgL_lz00_1695))
{ /* Eval/evaluate_comp.scm 763 */
BgL_testz00_15472 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 763 */
BgL_testz00_15472 = 
NULLP(BgL_stkz00_1696)
; } 
if(BgL_testz00_15472)
{ /* Eval/evaluate_comp.scm 763 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 765 */
bool_t BgL_testz00_15476;
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_g1341z00_1714;
BgL_g1341z00_1714 = 
CDR(
((obj_t)BgL_lz00_1695)); 
{ 
obj_t BgL_l1339z00_1716;
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_tmpz00_15479;
BgL_l1339z00_1716 = BgL_g1341z00_1714; 
BgL_zc3anonymousza31741ze3z83_1717:
if(
NULLP(BgL_l1339z00_1716))
{ /* Eval/evaluate_comp.scm 765 */
BgL_tmpz00_15479 = BFALSE
; }  else 
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL__ortest_1342z00_1719;
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_ez00_1721;
BgL_ez00_1721 = 
CAR(
((obj_t)BgL_l1339z00_1716)); 
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_arg1743z00_1722;obj_t BgL_arg1744z00_1723;
BgL_arg1743z00_1722 = 
CAR(
((obj_t)BgL_stkz00_1696)); 
BgL_arg1744z00_1723 = 
BGl_usez00zz__evaluate_usez00(
((BgL_ev_exprz00_bglt)BgL_ez00_1721), BNIL); 
BgL__ortest_1342z00_1719 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1743z00_1722, BgL_arg1744z00_1723); } } 
if(
CBOOL(BgL__ortest_1342z00_1719))
{ /* Eval/evaluate_comp.scm 765 */
BgL_tmpz00_15479 = BgL__ortest_1342z00_1719
; }  else 
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_arg1742z00_1720;
BgL_arg1742z00_1720 = 
CDR(
((obj_t)BgL_l1339z00_1716)); 
{ 
obj_t BgL_l1339z00_15493;
BgL_l1339z00_15493 = BgL_arg1742z00_1720; 
BgL_l1339z00_1716 = BgL_l1339z00_15493; 
goto BgL_zc3anonymousza31741ze3z83_1717;} } } 
BgL_testz00_15476 = 
CBOOL(BgL_tmpz00_15479); } } } 
if(BgL_testz00_15476)
{ /* Eval/evaluate_comp.scm 765 */
return ((bool_t)1);}  else 
{ /* Eval/evaluate_comp.scm 767 */
obj_t BgL_arg1739z00_1712;obj_t BgL_arg1740z00_1713;
BgL_arg1739z00_1712 = 
CDR(
((obj_t)BgL_lz00_1695)); 
BgL_arg1740z00_1713 = 
CDR(
((obj_t)BgL_stkz00_1696)); 
{ 
obj_t BgL_stkz00_15500;obj_t BgL_lz00_15499;
BgL_lz00_15499 = BgL_arg1739z00_1712; 
BgL_stkz00_15500 = BgL_arg1740z00_1713; 
BgL_stkz00_1696 = BgL_stkz00_15500; 
BgL_lz00_1695 = BgL_lz00_15499; 
goto BgL_zc3anonymousza31730ze3z83_1697;} } } } } } 
BGL_FUNCTION_END;
}



/* comp-old-call */
obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_ez00_136, obj_t BgL_stkz00_137)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 769 */
{ /* Eval/evaluate_comp.scm 771 */
long BgL_siza7eza7_1728;long BgL_nbargsz00_1729;obj_t BgL_fz00_1730;obj_t BgL_symbzd2funzd2_1731;
BgL_siza7eza7_1728 = 
bgl_list_length(BgL_stkz00_137); 
BgL_nbargsz00_1729 = 
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00)); 
BgL_fz00_1730 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00), BgL_stkz00_137); 
BgL_symbzd2funzd2_1731 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00)); 
if(
CBOOL(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_tailzf3zf3)))
{ /* Eval/evaluate_comp.scm 773 */
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137))
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15514;
{ /* Eval/evaluate_comp.scm 780 */
int BgL_arg1793z00_1810;
BgL_arg1793z00_1810 = 
bgl_debug(); 
BgL_testz00_15514 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1793z00_1810), 
BINT(((long)0))); } 
if(BgL_testz00_15514)
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_argsz00_1737;
BgL_argsz00_1737 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_zc3anonymousza31750ze3z83_10623;
BgL_zc3anonymousza31750ze3z83_10623 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_10623, 
(int)(((long)0)), BgL_fz00_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_10623, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_10623, 
(int)(((long)2)), BgL_symbzd2funzd2_1731); 
PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_10623, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1729)); 
PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_10623, 
(int)(((long)4)), BgL_argsz00_1737); 
PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_10623, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1728)); 
return BgL_zc3anonymousza31750ze3z83_10623;} }  else 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_argsz00_1775;
BgL_argsz00_1775 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_zc3anonymousza31773ze3z83_10624;
BgL_zc3anonymousza31773ze3z83_10624 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31773ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31773ze3z83_10624, 
(int)(((long)0)), BgL_fz00_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31773ze3z83_10624, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31773ze3z83_10624, 
(int)(((long)2)), BgL_symbzd2funzd2_1731); 
PROCEDURE_SET(BgL_zc3anonymousza31773ze3z83_10624, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1729)); 
PROCEDURE_SET(BgL_zc3anonymousza31773ze3z83_10624, 
(int)(((long)4)), BgL_argsz00_1775); 
PROCEDURE_SET(BgL_zc3anonymousza31773ze3z83_10624, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1728)); 
return BgL_zc3anonymousza31773ze3z83_10624;} } }  else 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15559;
{ /* Eval/evaluate_comp.scm 788 */
int BgL_arg1833z00_1880;
BgL_arg1833z00_1880 = 
bgl_debug(); 
BgL_testz00_15559 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1833z00_1880), 
BINT(((long)0))); } 
if(BgL_testz00_15559)
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_argsz00_1813;
BgL_argsz00_1813 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1728); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_zc3anonymousza31796ze3z83_10625;
BgL_zc3anonymousza31796ze3z83_10625 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31796ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31796ze3z83_10625, 
(int)(((long)0)), BgL_fz00_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31796ze3z83_10625, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31796ze3z83_10625, 
(int)(((long)2)), BgL_symbzd2funzd2_1731); 
PROCEDURE_SET(BgL_zc3anonymousza31796ze3z83_10625, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1729)); 
PROCEDURE_SET(BgL_zc3anonymousza31796ze3z83_10625, 
(int)(((long)4)), BgL_argsz00_1813); 
return BgL_zc3anonymousza31796ze3z83_10625;} }  else 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_argsz00_1848;
BgL_argsz00_1848 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1728); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_zc3anonymousza31816ze3z83_10626;
BgL_zc3anonymousza31816ze3z83_10626 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31816ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31816ze3z83_10626, 
(int)(((long)0)), BgL_fz00_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31816ze3z83_10626, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31816ze3z83_10626, 
(int)(((long)2)), BgL_symbzd2funzd2_1731); 
PROCEDURE_SET(BgL_zc3anonymousza31816ze3z83_10626, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1729)); 
PROCEDURE_SET(BgL_zc3anonymousza31816ze3z83_10626, 
(int)(((long)4)), BgL_argsz00_1848); 
return BgL_zc3anonymousza31816ze3z83_10626;} } } }  else 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_15598;
{ /* Eval/evaluate_comp.scm 774 */
int BgL_arg1874z00_1951;
BgL_arg1874z00_1951 = 
bgl_debug(); 
BgL_testz00_15598 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1874z00_1951), 
BINT(((long)0))); } 
if(BgL_testz00_15598)
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_argsz00_1884;
BgL_argsz00_1884 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_zc3anonymousza31837ze3z83_10627;
BgL_zc3anonymousza31837ze3z83_10627 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31837ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31837ze3z83_10627, 
(int)(((long)0)), BgL_fz00_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31837ze3z83_10627, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31837ze3z83_10627, 
(int)(((long)2)), BgL_symbzd2funzd2_1731); 
PROCEDURE_SET(BgL_zc3anonymousza31837ze3z83_10627, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1729)); 
PROCEDURE_SET(BgL_zc3anonymousza31837ze3z83_10627, 
(int)(((long)4)), BgL_argsz00_1884); 
PROCEDURE_SET(BgL_zc3anonymousza31837ze3z83_10627, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1728)); 
return BgL_zc3anonymousza31837ze3z83_10627;} }  else 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_argsz00_1919;
BgL_argsz00_1919 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_zc3anonymousza31857ze3z83_10628;
BgL_zc3anonymousza31857ze3z83_10628 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31857ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_10628, 
(int)(((long)0)), BgL_fz00_1730); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_10628, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_10628, 
(int)(((long)2)), BgL_symbzd2funzd2_1731); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_10628, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1729)); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_10628, 
(int)(((long)4)), BgL_argsz00_1919); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_10628, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1728)); 
return BgL_zc3anonymousza31857ze3z83_10628;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1750> */
obj_t BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10629, obj_t BgL_sz00_10636)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 780 */
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_10630;BgL_ev_appz00_bglt BgL_i1152z00_10631;obj_t BgL_symbzd2funzd2_10632;long BgL_nbargsz00_10633;obj_t BgL_argsz00_10634;long BgL_siza7eza7_10635;
BgL_fz00_10630 = 
PROCEDURE_REF(BgL_envz00_10629, 
(int)(((long)0))); 
BgL_i1152z00_10631 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10629, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10632 = 
PROCEDURE_REF(BgL_envz00_10629, 
(int)(((long)2))); 
BgL_nbargsz00_10633 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10629, 
(int)(((long)3)))); 
BgL_argsz00_10634 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10629, 
(int)(((long)4)))); 
BgL_siza7eza7_10635 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10629, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_bpz00_12615;
BgL_bpz00_12615 = 
VECTOR_REF(
((obj_t)BgL_sz00_10636),((long)0)); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_12616;
BgL_fz00_12616 = 
PROCEDURE_ENTRY(BgL_fz00_10630)(BgL_fz00_10630, BgL_sz00_10636, BEOA); 
if(
PROCEDUREP(BgL_fz00_12616))
{ /* Eval/evaluate_comp.scm 780 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10631))->BgL_locz00), BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12616); } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ufz00_12617;
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_tmpz00_15669;
BgL_tmpz00_15669 = 
((obj_t)BgL_fz00_12616); 
BgL_ufz00_12617 = 
PROCEDURE_ATTR(BgL_tmpz00_15669); } 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15672;
if(
STRUCTP(BgL_ufz00_12617))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15672 = 
(
STRUCT_KEY(BgL_ufz00_12617)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15672 = ((bool_t)0)
; } 
if(BgL_testz00_15672)
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_arityz00_12618;obj_t BgL_runz00_12619;obj_t BgL_sfz00_12620;
BgL_arityz00_12618 = 
STRUCT_REF(BgL_ufz00_12617, 
(int)(((long)0))); 
BgL_runz00_12619 = 
STRUCT_REF(BgL_ufz00_12617, 
(int)(((long)1))); 
BgL_sfz00_12620 = 
STRUCT_REF(BgL_ufz00_12617, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_spz00_12621;
BgL_spz00_12621 = 
(
(long)CINT(BgL_bpz00_12615)+BgL_siza7eza7_10635); 
if(
(
(long)CINT(BgL_arityz00_12618)==BgL_nbargsz00_10633))
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10636, BgL_argsz00_10634, 
BINT(BgL_spz00_12621)); 
{ /* Eval/evaluate_comp.scm 784 */
long BgL_arg1755z00_12622;
BgL_arg1755z00_12622 = 
(BgL_spz00_12621+BgL_nbargsz00_10633); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10636, 
(long)CINT(BgL_bpz00_12615), BgL_sz00_10636, 
BINT(BgL_spz00_12621), 
BINT(BgL_arg1755z00_12622)); } }  else 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15695;
if(
(
(long)CINT(BgL_arityz00_12618)>=((long)0)))
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15695 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15695 = 
(
(long)CINT(BgL_arityz00_12618)<
(((long)-1)-BgL_nbargsz00_10633))
; } 
if(BgL_testz00_15695)
{ /* Eval/evaluate_comp.scm 780 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10631))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12617, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10633), 
CINT(BgL_arityz00_12618)); }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12618, BgL_sz00_10636, BgL_argsz00_10634, 
BINT(BgL_spz00_12621)); 
{ /* Eval/evaluate_comp.scm 786 */
long BgL_arg1761z00_12623;
BgL_arg1761z00_12623 = 
(BgL_spz00_12621+
(((long)0)-
(long)CINT(BgL_arityz00_12618))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10636, 
(long)CINT(BgL_bpz00_12615), BgL_sz00_10636, 
BINT(BgL_spz00_12621), 
BINT(BgL_arg1761z00_12623)); } } } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_z12denvz12_12624;
BgL_z12denvz12_12624 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_tmpz00_15718;
BgL_tmpz00_15718 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10631))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12624, BgL_tmpz00_15718); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10636, BgL_bpz00_12615, BgL_sfz00_12620))
{ /* Eval/evaluate_comp.scm 780 */
return BgL_runz00_12619;}  else 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_nsz00_12625;
BgL_nsz00_12625 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_arg1766z00_12626;
BgL_arg1766z00_12626 = 
(
(long)CINT(BgL_bpz00_12615)+BgL_nbargsz00_10633); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12625, ((long)2), BgL_sz00_10636, BgL_bpz00_12615, 
BINT(BgL_arg1766z00_12626)); } 
VECTOR_SET(BgL_nsz00_12625,((long)1),BgL_sz00_10636); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12624, BgL_nsz00_12625); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ez00_12627;
BgL_ez00_12627 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12627, BgL_sz00_10636); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_____rz00_12628;
BgL_____rz00_12628 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12619, BgL_nsz00_12625, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12627); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12624, BgL_sz00_10636); 
return BgL_____rz00_12628;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 780 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12616, 
(int)(BgL_nbargsz00_10633)))
{ /* Eval/evaluate_comp.scm 780 */
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_auxz00_15741;obj_t BgL_tmpz00_15739;
BgL_auxz00_15741 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10631))->BgL_locz00); 
BgL_tmpz00_15739 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15739, BgL_auxz00_15741); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10636, BgL_fz00_12616, BgL_argsz00_10634, BgL_bpz00_12615, 
BINT(BgL_siza7eza7_10635));}  else 
{ /* Eval/evaluate_comp.scm 780 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10631))->BgL_locz00), BgL_symbzd2funzd2_10632, 
(int)(BgL_nbargsz00_10633), 
PROCEDURE_ARITY(BgL_fz00_12616));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1773> */
obj_t BGl_z62zc3anonymousza31773ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10637, obj_t BgL_sz00_10644)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 780 */
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_10638;BgL_ev_appz00_bglt BgL_i1152z00_10639;obj_t BgL_symbzd2funzd2_10640;long BgL_nbargsz00_10641;obj_t BgL_argsz00_10642;long BgL_siza7eza7_10643;
BgL_fz00_10638 = 
PROCEDURE_REF(BgL_envz00_10637, 
(int)(((long)0))); 
BgL_i1152z00_10639 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10637, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10640 = 
PROCEDURE_REF(BgL_envz00_10637, 
(int)(((long)2))); 
BgL_nbargsz00_10641 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10637, 
(int)(((long)3)))); 
BgL_argsz00_10642 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10637, 
(int)(((long)4)))); 
BgL_siza7eza7_10643 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10637, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_bpz00_12629;
BgL_bpz00_12629 = 
VECTOR_REF(
((obj_t)BgL_sz00_10644),((long)0)); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_12630;
BgL_fz00_12630 = 
PROCEDURE_ENTRY(BgL_fz00_10638)(BgL_fz00_10638, BgL_sz00_10644, BEOA); 
if(
PROCEDUREP(BgL_fz00_12630))
{ /* Eval/evaluate_comp.scm 780 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10639))->BgL_locz00), BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12630); } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ufz00_12631;
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_tmpz00_15776;
BgL_tmpz00_15776 = 
((obj_t)BgL_fz00_12630); 
BgL_ufz00_12631 = 
PROCEDURE_ATTR(BgL_tmpz00_15776); } 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15779;
if(
STRUCTP(BgL_ufz00_12631))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15779 = 
(
STRUCT_KEY(BgL_ufz00_12631)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15779 = ((bool_t)0)
; } 
if(BgL_testz00_15779)
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_arityz00_12632;obj_t BgL_runz00_12633;obj_t BgL_sfz00_12634;
BgL_arityz00_12632 = 
STRUCT_REF(BgL_ufz00_12631, 
(int)(((long)0))); 
BgL_runz00_12633 = 
STRUCT_REF(BgL_ufz00_12631, 
(int)(((long)1))); 
BgL_sfz00_12634 = 
STRUCT_REF(BgL_ufz00_12631, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_spz00_12635;
BgL_spz00_12635 = 
(
(long)CINT(BgL_bpz00_12629)+BgL_siza7eza7_10643); 
if(
(
(long)CINT(BgL_arityz00_12632)==BgL_nbargsz00_10641))
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10644, BgL_argsz00_10642, 
BINT(BgL_spz00_12635)); 
{ /* Eval/evaluate_comp.scm 784 */
long BgL_arg1778z00_12636;
BgL_arg1778z00_12636 = 
(BgL_spz00_12635+BgL_nbargsz00_10641); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10644, 
(long)CINT(BgL_bpz00_12629), BgL_sz00_10644, 
BINT(BgL_spz00_12635), 
BINT(BgL_arg1778z00_12636)); } }  else 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15802;
if(
(
(long)CINT(BgL_arityz00_12632)>=((long)0)))
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15802 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15802 = 
(
(long)CINT(BgL_arityz00_12632)<
(((long)-1)-BgL_nbargsz00_10641))
; } 
if(BgL_testz00_15802)
{ /* Eval/evaluate_comp.scm 780 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10639))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12631, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10641), 
CINT(BgL_arityz00_12632)); }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12632, BgL_sz00_10644, BgL_argsz00_10642, 
BINT(BgL_spz00_12635)); 
{ /* Eval/evaluate_comp.scm 786 */
long BgL_arg1784z00_12637;
BgL_arg1784z00_12637 = 
(BgL_spz00_12635+
(((long)0)-
(long)CINT(BgL_arityz00_12632))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10644, 
(long)CINT(BgL_bpz00_12629), BgL_sz00_10644, 
BINT(BgL_spz00_12635), 
BINT(BgL_arg1784z00_12637)); } } } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_z12denvz12_12638;
BgL_z12denvz12_12638 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10644, BgL_bpz00_12629, BgL_sfz00_12634))
{ /* Eval/evaluate_comp.scm 780 */
return BgL_runz00_12633;}  else 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_nsz00_12639;
BgL_nsz00_12639 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_arg1788z00_12640;
BgL_arg1788z00_12640 = 
(
(long)CINT(BgL_bpz00_12629)+BgL_nbargsz00_10641); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12639, ((long)2), BgL_sz00_10644, BgL_bpz00_12629, 
BINT(BgL_arg1788z00_12640)); } 
VECTOR_SET(BgL_nsz00_12639,((long)1),BgL_sz00_10644); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12638, BgL_nsz00_12639); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ez00_12641;
BgL_ez00_12641 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12641, BgL_sz00_10644); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_____rz00_12642;
BgL_____rz00_12642 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12633, BgL_nsz00_12639, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12641); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12638, BgL_sz00_10644); 
return BgL_____rz00_12642;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 780 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12630, 
(int)(BgL_nbargsz00_10641)))
{ /* Eval/evaluate_comp.scm 780 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10644, BgL_fz00_12630, BgL_argsz00_10642, BgL_bpz00_12629, 
BINT(BgL_siza7eza7_10643));}  else 
{ /* Eval/evaluate_comp.scm 780 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10639))->BgL_locz00), BgL_symbzd2funzd2_10640, 
(int)(BgL_nbargsz00_10641), 
PROCEDURE_ARITY(BgL_fz00_12630));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1796> */
obj_t BGl_z62zc3anonymousza31796ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10645, obj_t BgL_sz00_10651)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 788 */
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_10646;BgL_ev_appz00_bglt BgL_i1152z00_10647;obj_t BgL_symbzd2funzd2_10648;long BgL_nbargsz00_10649;obj_t BgL_argsz00_10650;
BgL_fz00_10646 = 
PROCEDURE_REF(BgL_envz00_10645, 
(int)(((long)0))); 
BgL_i1152z00_10647 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10645, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10648 = 
PROCEDURE_REF(BgL_envz00_10645, 
(int)(((long)2))); 
BgL_nbargsz00_10649 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10645, 
(int)(((long)3)))); 
BgL_argsz00_10650 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10645, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_bpz00_12643;
BgL_bpz00_12643 = 
VECTOR_REF(
((obj_t)BgL_sz00_10651),((long)0)); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_12644;
BgL_fz00_12644 = 
PROCEDURE_ENTRY(BgL_fz00_10646)(BgL_fz00_10646, BgL_sz00_10651, BEOA); 
if(
PROCEDUREP(BgL_fz00_12644))
{ /* Eval/evaluate_comp.scm 788 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10647))->BgL_locz00), BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12644); } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ufz00_12645;
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_tmpz00_15872;
BgL_tmpz00_15872 = 
((obj_t)BgL_fz00_12644); 
BgL_ufz00_12645 = 
PROCEDURE_ATTR(BgL_tmpz00_15872); } 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15875;
if(
STRUCTP(BgL_ufz00_12645))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15875 = 
(
STRUCT_KEY(BgL_ufz00_12645)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15875 = ((bool_t)0)
; } 
if(BgL_testz00_15875)
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_arityz00_12646;obj_t BgL_runz00_12647;obj_t BgL_sfz00_12648;
BgL_arityz00_12646 = 
STRUCT_REF(BgL_ufz00_12645, 
(int)(((long)0))); 
BgL_runz00_12647 = 
STRUCT_REF(BgL_ufz00_12645, 
(int)(((long)1))); 
BgL_sfz00_12648 = 
STRUCT_REF(BgL_ufz00_12645, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12646)==BgL_nbargsz00_10649))
{ /* Eval/evaluate_comp.scm 788 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10651, BgL_argsz00_10650, BgL_bpz00_12643)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15891;
if(
(
(long)CINT(BgL_arityz00_12646)>=((long)0)))
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15891 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15891 = 
(
(long)CINT(BgL_arityz00_12646)<
(((long)-1)-BgL_nbargsz00_10649))
; } 
if(BgL_testz00_15891)
{ /* Eval/evaluate_comp.scm 788 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10647))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12645, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10649), 
CINT(BgL_arityz00_12646)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12646, BgL_sz00_10651, BgL_argsz00_10650, BgL_bpz00_12643); } } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_z12denvz12_12649;
BgL_z12denvz12_12649 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_tmpz00_15906;
BgL_tmpz00_15906 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10647))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12649, BgL_tmpz00_15906); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10651, BgL_bpz00_12643, BgL_sfz00_12648))
{ /* Eval/evaluate_comp.scm 788 */
return BgL_runz00_12647;}  else 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_nsz00_12650;
BgL_nsz00_12650 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 788 */
long BgL_arg1809z00_12651;
BgL_arg1809z00_12651 = 
(
(long)CINT(BgL_bpz00_12643)+BgL_nbargsz00_10649); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12650, ((long)2), BgL_sz00_10651, BgL_bpz00_12643, 
BINT(BgL_arg1809z00_12651)); } 
VECTOR_SET(BgL_nsz00_12650,((long)1),BgL_sz00_10651); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12649, BgL_nsz00_12650); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ez00_12652;
BgL_ez00_12652 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12652, BgL_sz00_10651); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_____rz00_12653;
BgL_____rz00_12653 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12647, BgL_nsz00_12650, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12652); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12649, BgL_sz00_10651); 
return BgL_____rz00_12653;} } } } }  else 
{ /* Eval/evaluate_comp.scm 788 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12644, 
(int)(BgL_nbargsz00_10649)))
{ /* Eval/evaluate_comp.scm 788 */
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_auxz00_15929;obj_t BgL_tmpz00_15927;
BgL_auxz00_15929 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10647))->BgL_locz00); 
BgL_tmpz00_15927 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15927, BgL_auxz00_15929); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10651, BgL_fz00_12644, BgL_argsz00_10650, BgL_bpz00_12643, 
BINT(BgL_nbargsz00_10649));}  else 
{ /* Eval/evaluate_comp.scm 788 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10647))->BgL_locz00), BgL_symbzd2funzd2_10648, 
(int)(BgL_nbargsz00_10649), 
PROCEDURE_ARITY(BgL_fz00_12644));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1816> */
obj_t BGl_z62zc3anonymousza31816ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10652, obj_t BgL_sz00_10658)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 788 */
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_10653;BgL_ev_appz00_bglt BgL_i1152z00_10654;obj_t BgL_symbzd2funzd2_10655;long BgL_nbargsz00_10656;obj_t BgL_argsz00_10657;
BgL_fz00_10653 = 
PROCEDURE_REF(BgL_envz00_10652, 
(int)(((long)0))); 
BgL_i1152z00_10654 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10652, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10655 = 
PROCEDURE_REF(BgL_envz00_10652, 
(int)(((long)2))); 
BgL_nbargsz00_10656 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10652, 
(int)(((long)3)))); 
BgL_argsz00_10657 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10652, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_bpz00_12654;
BgL_bpz00_12654 = 
VECTOR_REF(
((obj_t)BgL_sz00_10658),((long)0)); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_12655;
BgL_fz00_12655 = 
PROCEDURE_ENTRY(BgL_fz00_10653)(BgL_fz00_10653, BgL_sz00_10658, BEOA); 
if(
PROCEDUREP(BgL_fz00_12655))
{ /* Eval/evaluate_comp.scm 788 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10654))->BgL_locz00), BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12655); } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ufz00_12656;
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_tmpz00_15961;
BgL_tmpz00_15961 = 
((obj_t)BgL_fz00_12655); 
BgL_ufz00_12656 = 
PROCEDURE_ATTR(BgL_tmpz00_15961); } 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15964;
if(
STRUCTP(BgL_ufz00_12656))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15964 = 
(
STRUCT_KEY(BgL_ufz00_12656)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15964 = ((bool_t)0)
; } 
if(BgL_testz00_15964)
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_arityz00_12657;obj_t BgL_runz00_12658;obj_t BgL_sfz00_12659;
BgL_arityz00_12657 = 
STRUCT_REF(BgL_ufz00_12656, 
(int)(((long)0))); 
BgL_runz00_12658 = 
STRUCT_REF(BgL_ufz00_12656, 
(int)(((long)1))); 
BgL_sfz00_12659 = 
STRUCT_REF(BgL_ufz00_12656, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12657)==BgL_nbargsz00_10656))
{ /* Eval/evaluate_comp.scm 788 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10658, BgL_argsz00_10657, BgL_bpz00_12654)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15980;
if(
(
(long)CINT(BgL_arityz00_12657)>=((long)0)))
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15980 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15980 = 
(
(long)CINT(BgL_arityz00_12657)<
(((long)-1)-BgL_nbargsz00_10656))
; } 
if(BgL_testz00_15980)
{ /* Eval/evaluate_comp.scm 788 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10654))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12656, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10656), 
CINT(BgL_arityz00_12657)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12657, BgL_sz00_10658, BgL_argsz00_10657, BgL_bpz00_12654); } } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_z12denvz12_12660;
BgL_z12denvz12_12660 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10658, BgL_bpz00_12654, BgL_sfz00_12659))
{ /* Eval/evaluate_comp.scm 788 */
return BgL_runz00_12658;}  else 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_nsz00_12661;
BgL_nsz00_12661 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 788 */
long BgL_arg1828z00_12662;
BgL_arg1828z00_12662 = 
(
(long)CINT(BgL_bpz00_12654)+BgL_nbargsz00_10656); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12661, ((long)2), BgL_sz00_10658, BgL_bpz00_12654, 
BINT(BgL_arg1828z00_12662)); } 
VECTOR_SET(BgL_nsz00_12661,((long)1),BgL_sz00_10658); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12660, BgL_nsz00_12661); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ez00_12663;
BgL_ez00_12663 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12663, BgL_sz00_10658); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_____rz00_12664;
BgL_____rz00_12664 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12658, BgL_nsz00_12661, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12663); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12660, BgL_sz00_10658); 
return BgL_____rz00_12664;} } } } }  else 
{ /* Eval/evaluate_comp.scm 788 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12655, 
(int)(BgL_nbargsz00_10656)))
{ /* Eval/evaluate_comp.scm 788 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10658, BgL_fz00_12655, BgL_argsz00_10657, BgL_bpz00_12654, 
BINT(BgL_nbargsz00_10656));}  else 
{ /* Eval/evaluate_comp.scm 788 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10654))->BgL_locz00), BgL_symbzd2funzd2_10655, 
(int)(BgL_nbargsz00_10656), 
PROCEDURE_ARITY(BgL_fz00_12655));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1837> */
obj_t BGl_z62zc3anonymousza31837ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10659, obj_t BgL_sz00_10666)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 774 */
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_10660;BgL_ev_appz00_bglt BgL_i1152z00_10661;obj_t BgL_symbzd2funzd2_10662;long BgL_nbargsz00_10663;obj_t BgL_argsz00_10664;long BgL_siza7eza7_10665;
BgL_fz00_10660 = 
PROCEDURE_REF(BgL_envz00_10659, 
(int)(((long)0))); 
BgL_i1152z00_10661 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10659, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10662 = 
PROCEDURE_REF(BgL_envz00_10659, 
(int)(((long)2))); 
BgL_nbargsz00_10663 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10659, 
(int)(((long)3)))); 
BgL_argsz00_10664 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10659, 
(int)(((long)4)))); 
BgL_siza7eza7_10665 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10659, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_bpz00_12665;
BgL_bpz00_12665 = 
VECTOR_REF(
((obj_t)BgL_sz00_10666),((long)0)); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_12666;
BgL_fz00_12666 = 
PROCEDURE_ENTRY(BgL_fz00_10660)(BgL_fz00_10660, BgL_sz00_10666, BEOA); 
if(
PROCEDUREP(BgL_fz00_12666))
{ /* Eval/evaluate_comp.scm 774 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10661))->BgL_locz00), BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12666); } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ufz00_12667;
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_tmpz00_16045;
BgL_tmpz00_16045 = 
((obj_t)BgL_fz00_12666); 
BgL_ufz00_12667 = 
PROCEDURE_ATTR(BgL_tmpz00_16045); } 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_16048;
if(
STRUCTP(BgL_ufz00_12667))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16048 = 
(
STRUCT_KEY(BgL_ufz00_12667)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16048 = ((bool_t)0)
; } 
if(BgL_testz00_16048)
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_arityz00_12668;obj_t BgL_runz00_12669;obj_t BgL_sfz00_12670;
BgL_arityz00_12668 = 
STRUCT_REF(BgL_ufz00_12667, 
(int)(((long)0))); 
BgL_runz00_12669 = 
STRUCT_REF(BgL_ufz00_12667, 
(int)(((long)1))); 
BgL_sfz00_12670 = 
STRUCT_REF(BgL_ufz00_12667, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_spz00_12671;
BgL_spz00_12671 = 
(
(long)CINT(BgL_bpz00_12665)+BgL_siza7eza7_10665); 
if(
(
(long)CINT(BgL_arityz00_12668)==BgL_nbargsz00_10663))
{ /* Eval/evaluate_comp.scm 774 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10666, BgL_argsz00_10664, 
BINT(BgL_spz00_12671))); }  else 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_16067;
if(
(
(long)CINT(BgL_arityz00_12668)>=((long)0)))
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_16067 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_16067 = 
(
(long)CINT(BgL_arityz00_12668)<
(((long)-1)-BgL_nbargsz00_10663))
; } 
if(BgL_testz00_16067)
{ /* Eval/evaluate_comp.scm 774 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10661))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12667, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10663), 
CINT(BgL_arityz00_12668)); }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12668, BgL_sz00_10666, BgL_argsz00_10664, 
BINT(BgL_spz00_12671)); } } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_z12denvz12_12672;
BgL_z12denvz12_12672 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_tmpz00_16083;
BgL_tmpz00_16083 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10661))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12672, BgL_tmpz00_16083); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10666, 
BINT(BgL_spz00_12671), BgL_sfz00_12670))
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12669, BgL_sz00_10666, 
BINT(BgL_spz00_12671));}  else 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_nsz00_12673;
BgL_nsz00_12673 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_arg1850z00_12674;
BgL_arg1850z00_12674 = 
(BgL_spz00_12671+BgL_nbargsz00_10663); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12673, ((long)2), BgL_sz00_10666, 
BINT(BgL_spz00_12671), 
BINT(BgL_arg1850z00_12674)); } 
VECTOR_SET(BgL_nsz00_12673,((long)1),BgL_sz00_10666); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12672, BgL_nsz00_12673); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ez00_12675;
BgL_ez00_12675 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12675, BgL_sz00_10666); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_____rz00_12676;
BgL_____rz00_12676 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12669, BgL_nsz00_12673, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12675); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12672, BgL_sz00_10666); 
return BgL_____rz00_12676;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 774 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12666, 
(int)(BgL_nbargsz00_10663)))
{ /* Eval/evaluate_comp.scm 774 */
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_auxz00_16109;obj_t BgL_tmpz00_16107;
BgL_auxz00_16109 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10661))->BgL_locz00); 
BgL_tmpz00_16107 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16107, BgL_auxz00_16109); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10666, BgL_fz00_12666, BgL_argsz00_10664, BgL_bpz00_12665, 
BINT(BgL_siza7eza7_10665));}  else 
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10661))->BgL_locz00), BgL_symbzd2funzd2_10662, 
(int)(BgL_nbargsz00_10663), 
PROCEDURE_ARITY(BgL_fz00_12666));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1857> */
obj_t BGl_z62zc3anonymousza31857ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10667, obj_t BgL_sz00_10674)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 774 */
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_10668;BgL_ev_appz00_bglt BgL_i1152z00_10669;obj_t BgL_symbzd2funzd2_10670;long BgL_nbargsz00_10671;obj_t BgL_argsz00_10672;long BgL_siza7eza7_10673;
BgL_fz00_10668 = 
PROCEDURE_REF(BgL_envz00_10667, 
(int)(((long)0))); 
BgL_i1152z00_10669 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10667, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10670 = 
PROCEDURE_REF(BgL_envz00_10667, 
(int)(((long)2))); 
BgL_nbargsz00_10671 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10667, 
(int)(((long)3)))); 
BgL_argsz00_10672 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10667, 
(int)(((long)4)))); 
BgL_siza7eza7_10673 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10667, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_bpz00_12677;
BgL_bpz00_12677 = 
VECTOR_REF(
((obj_t)BgL_sz00_10674),((long)0)); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_12678;
BgL_fz00_12678 = 
PROCEDURE_ENTRY(BgL_fz00_10668)(BgL_fz00_10668, BgL_sz00_10674, BEOA); 
if(
PROCEDUREP(BgL_fz00_12678))
{ /* Eval/evaluate_comp.scm 774 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10669))->BgL_locz00), BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12678); } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ufz00_12679;
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_tmpz00_16144;
BgL_tmpz00_16144 = 
((obj_t)BgL_fz00_12678); 
BgL_ufz00_12679 = 
PROCEDURE_ATTR(BgL_tmpz00_16144); } 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_16147;
if(
STRUCTP(BgL_ufz00_12679))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16147 = 
(
STRUCT_KEY(BgL_ufz00_12679)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16147 = ((bool_t)0)
; } 
if(BgL_testz00_16147)
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_arityz00_12680;obj_t BgL_runz00_12681;obj_t BgL_sfz00_12682;
BgL_arityz00_12680 = 
STRUCT_REF(BgL_ufz00_12679, 
(int)(((long)0))); 
BgL_runz00_12681 = 
STRUCT_REF(BgL_ufz00_12679, 
(int)(((long)1))); 
BgL_sfz00_12682 = 
STRUCT_REF(BgL_ufz00_12679, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_spz00_12683;
BgL_spz00_12683 = 
(
(long)CINT(BgL_bpz00_12677)+BgL_siza7eza7_10673); 
if(
(
(long)CINT(BgL_arityz00_12680)==BgL_nbargsz00_10671))
{ /* Eval/evaluate_comp.scm 774 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10674, BgL_argsz00_10672, 
BINT(BgL_spz00_12683))); }  else 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_16166;
if(
(
(long)CINT(BgL_arityz00_12680)>=((long)0)))
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_16166 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_16166 = 
(
(long)CINT(BgL_arityz00_12680)<
(((long)-1)-BgL_nbargsz00_10671))
; } 
if(BgL_testz00_16166)
{ /* Eval/evaluate_comp.scm 774 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10669))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12679, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10671), 
CINT(BgL_arityz00_12680)); }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12680, BgL_sz00_10674, BgL_argsz00_10672, 
BINT(BgL_spz00_12683)); } } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_z12denvz12_12684;
BgL_z12denvz12_12684 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10674, 
BINT(BgL_spz00_12683), BgL_sfz00_12682))
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12681, BgL_sz00_10674, 
BINT(BgL_spz00_12683));}  else 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_nsz00_12685;
BgL_nsz00_12685 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_arg1869z00_12686;
BgL_arg1869z00_12686 = 
(BgL_spz00_12683+BgL_nbargsz00_10671); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12685, ((long)2), BgL_sz00_10674, 
BINT(BgL_spz00_12683), 
BINT(BgL_arg1869z00_12686)); } 
VECTOR_SET(BgL_nsz00_12685,((long)1),BgL_sz00_10674); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12684, BgL_nsz00_12685); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ez00_12687;
BgL_ez00_12687 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12687, BgL_sz00_10674); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_____rz00_12688;
BgL_____rz00_12688 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12681, BgL_nsz00_12685, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12687); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12684, BgL_sz00_10674); 
return BgL_____rz00_12688;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 774 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12678, 
(int)(BgL_nbargsz00_10671)))
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10674, BgL_fz00_12678, BgL_argsz00_10672, BgL_bpz00_12677, 
BINT(BgL_siza7eza7_10673));}  else 
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1152z00_10669))->BgL_locz00), BgL_symbzd2funzd2_10670, 
(int)(BgL_nbargsz00_10671), 
PROCEDURE_ARITY(BgL_fz00_12678));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call0 */
obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138, BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140, obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143, long BgL_siza7eza7_144)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_1955;
BgL_cfunz00_1955 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139, ((long)0), BgL_locz00_138, BgL_symbzd2funzd2_140); 
if(
CBOOL(BgL_cfunz00_1955))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16212;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1883z00_1969;
BgL_arg1883z00_1969 = 
bgl_debug(); 
BgL_testz00_16212 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1883z00_1969), 
BINT(((long)0))); } 
if(BgL_testz00_16212)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31880ze3z83_10675;
BgL_zc3anonymousza31880ze3z83_10675 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31880ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza31880ze3z83_10675, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3anonymousza31880ze3z83_10675, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31880ze3z83_10675, 
(int)(((long)2)), BgL_cfunz00_1955); 
return BgL_zc3anonymousza31880ze3z83_10675;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31882ze3z83_10676;
BgL_zc3anonymousza31882ze3z83_10676 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31882ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza31882ze3z83_10676, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3anonymousza31882ze3z83_10676, 
(int)(((long)1)), BgL_cfunz00_1955); 
return BgL_zc3anonymousza31882ze3z83_10676;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_142))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16237;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1913z00_2033;
BgL_arg1913z00_2033 = 
bgl_debug(); 
BgL_testz00_16237 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1913z00_2033), 
BINT(((long)0))); } 
if(BgL_testz00_16237)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31886ze3z83_10677;
BgL_zc3anonymousza31886ze3z83_10677 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31886ze3z83_10677, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31886ze3z83_10677, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31886ze3z83_10677, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31886ze3z83_10677, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31886ze3z83_10677;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31900ze3z83_10678;
BgL_zc3anonymousza31900ze3z83_10678 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31900ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31900ze3z83_10678, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31900ze3z83_10678, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31900ze3z83_10678, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31900ze3z83_10678, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31900ze3z83_10678;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16266;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1943z00_2097;
BgL_arg1943z00_2097 = 
bgl_debug(); 
BgL_testz00_16266 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1943z00_2097), 
BINT(((long)0))); } 
if(BgL_testz00_16266)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31916ze3z83_10679;
BgL_zc3anonymousza31916ze3z83_10679 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31916ze3z83_10679, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31916ze3z83_10679, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31916ze3z83_10679, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31916ze3z83_10679, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31916ze3z83_10679;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31930ze3z83_10680;
BgL_zc3anonymousza31930ze3z83_10680 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31930ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31930ze3z83_10680, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31930ze3z83_10680, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31930ze3z83_10680, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31930ze3z83_10680, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31930ze3z83_10680;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1880> */
obj_t BGl_z62zc3anonymousza31880ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10681, obj_t BgL_sz00_10685)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_siza7eza7_10682;obj_t BgL_locz00_10683;obj_t BgL_cfunz00_10684;
BgL_siza7eza7_10682 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10681, 
(int)(((long)0)))); 
BgL_locz00_10683 = 
PROCEDURE_REF(BgL_envz00_10681, 
(int)(((long)1))); 
BgL_cfunz00_10684 = 
PROCEDURE_REF(BgL_envz00_10681, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12689;
BgL_bpz00_12689 = 
VECTOR_REF(
((obj_t)BgL_sz00_10685),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */

{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12690;
BgL_nbpz00_12690 = 
(
(long)CINT(BgL_bpz00_12689)+BgL_siza7eza7_10682); 
VECTOR_SET(
((obj_t)BgL_sz00_10685),((long)0),
BINT(BgL_nbpz00_12690)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16309;
BgL_tmpz00_16309 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16309, BgL_locz00_10683); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12691;
BgL_rz00_12691 = 
PROCEDURE_ENTRY(BgL_cfunz00_10684)(BgL_cfunz00_10684, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10685),((long)0),BgL_bpz00_12689); 
return BgL_rz00_12691;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1882> */
obj_t BGl_z62zc3anonymousza31882ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10686, obj_t BgL_sz00_10689)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_siza7eza7_10687;obj_t BgL_cfunz00_10688;
BgL_siza7eza7_10687 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10686, 
(int)(((long)0)))); 
BgL_cfunz00_10688 = 
PROCEDURE_REF(BgL_envz00_10686, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12692;
BgL_bpz00_12692 = 
VECTOR_REF(
((obj_t)BgL_sz00_10689),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */

{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12693;
BgL_nbpz00_12693 = 
(
(long)CINT(BgL_bpz00_12692)+BgL_siza7eza7_10687); 
VECTOR_SET(
((obj_t)BgL_sz00_10689),((long)0),
BINT(BgL_nbpz00_12693)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12694;
BgL_rz00_12694 = 
PROCEDURE_ENTRY(BgL_cfunz00_10688)(BgL_cfunz00_10688, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10689),((long)0),BgL_bpz00_12692); 
return BgL_rz00_12694;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1886> */
obj_t BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10690, obj_t BgL_sz00_10695)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10691;obj_t BgL_locz00_10692;obj_t BgL_symbzd2funzd2_10693;long BgL_siza7eza7_10694;
BgL_funz00_10691 = 
PROCEDURE_REF(BgL_envz00_10690, 
(int)(((long)0))); 
BgL_locz00_10692 = 
PROCEDURE_REF(BgL_envz00_10690, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10693 = 
PROCEDURE_REF(BgL_envz00_10690, 
(int)(((long)2))); 
BgL_siza7eza7_10694 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10690, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12695;
BgL_bpz00_12695 = 
VECTOR_REF(
((obj_t)BgL_sz00_10695),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12696;
BgL_fz00_12696 = 
PROCEDURE_ENTRY(BgL_funz00_10691)(BgL_funz00_10691, BgL_sz00_10695, BEOA); 
if(
PROCEDUREP(BgL_fz00_12696))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10692, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12696); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12697;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16352;
BgL_tmpz00_16352 = 
((obj_t)BgL_fz00_12696); 
BgL_ufz00_12697 = 
PROCEDURE_ATTR(BgL_tmpz00_16352); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16355;
if(
STRUCTP(BgL_ufz00_12697))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16355 = 
(
STRUCT_KEY(BgL_ufz00_12697)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16355 = ((bool_t)0)
; } 
if(BgL_testz00_16355)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12698;obj_t BgL_runz00_12699;obj_t BgL_sfz00_12700;
BgL_arityz00_12698 = 
STRUCT_REF(BgL_ufz00_12697, 
(int)(((long)0))); 
BgL_runz00_12699 = 
STRUCT_REF(BgL_ufz00_12697, 
(int)(((long)1))); 
BgL_sfz00_12700 = 
STRUCT_REF(BgL_ufz00_12697, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12698)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12698))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12698)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1891z00_12703;obj_t BgL_arg1892z00_12704;
BgL_arg1891z00_12703 = 
(
(long)CINT(BgL_bpz00_12695)+((long)0)); 
BgL_arg1892z00_12704 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10695),BgL_arg1891z00_12703,BgL_arg1892z00_12704); } break;
default: 
BgL_case_else1168z00_12701:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1894z00_12702;
BgL_arg1894z00_12702 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12697), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10692, BgL_arg1894z00_12702, 
(int)(((long)0)), 
CINT(BgL_arityz00_12698)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1168z00_12701;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12705;
BgL_z12denvz12_12705 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12705, BgL_locz00_10692); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10695, BgL_bpz00_12695, BgL_sfz00_12700))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12699;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12706;
BgL_nsz00_12706 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1896z00_12707;
BgL_arg1896z00_12707 = 
(
(long)CINT(BgL_bpz00_12695)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12706, ((long)2), BgL_sz00_10695, BgL_bpz00_12695, 
BINT(BgL_arg1896z00_12707)); } 
VECTOR_SET(BgL_nsz00_12706,((long)1),BgL_sz00_10695); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12705, BgL_nsz00_12706); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12708;
BgL_ez00_12708 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12708, BgL_sz00_10695); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12709;
BgL_____rz00_12709 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12699, BgL_nsz00_12706, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12708); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12705, BgL_sz00_10695); 
return BgL_____rz00_12709;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12696, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12710;
BgL_nbpz00_12710 = 
(
(long)CINT(BgL_bpz00_12695)+BgL_siza7eza7_10694); 
VECTOR_SET(
((obj_t)BgL_sz00_10695),((long)0),
BINT(BgL_nbpz00_12710)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16408;
BgL_tmpz00_16408 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16408, BgL_locz00_10692); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12711;
BgL_rz00_12711 = 
PROCEDURE_ENTRY(BgL_fz00_12696)(BgL_fz00_12696, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10695),((long)0),BgL_bpz00_12695); 
return BgL_rz00_12711;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10692, BgL_symbzd2funzd2_10693, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12696));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1900> */
obj_t BGl_z62zc3anonymousza31900ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10696, obj_t BgL_sz00_10701)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10697;obj_t BgL_locz00_10698;obj_t BgL_symbzd2funzd2_10699;long BgL_siza7eza7_10700;
BgL_funz00_10697 = 
PROCEDURE_REF(BgL_envz00_10696, 
(int)(((long)0))); 
BgL_locz00_10698 = 
PROCEDURE_REF(BgL_envz00_10696, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10699 = 
PROCEDURE_REF(BgL_envz00_10696, 
(int)(((long)2))); 
BgL_siza7eza7_10700 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10696, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12712;
BgL_bpz00_12712 = 
VECTOR_REF(
((obj_t)BgL_sz00_10701),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12713;
BgL_fz00_12713 = 
PROCEDURE_ENTRY(BgL_funz00_10697)(BgL_funz00_10697, BgL_sz00_10701, BEOA); 
if(
PROCEDUREP(BgL_fz00_12713))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10698, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12713); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12714;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16437;
BgL_tmpz00_16437 = 
((obj_t)BgL_fz00_12713); 
BgL_ufz00_12714 = 
PROCEDURE_ATTR(BgL_tmpz00_16437); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16440;
if(
STRUCTP(BgL_ufz00_12714))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16440 = 
(
STRUCT_KEY(BgL_ufz00_12714)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16440 = ((bool_t)0)
; } 
if(BgL_testz00_16440)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12715;obj_t BgL_runz00_12716;obj_t BgL_sfz00_12717;
BgL_arityz00_12715 = 
STRUCT_REF(BgL_ufz00_12714, 
(int)(((long)0))); 
BgL_runz00_12716 = 
STRUCT_REF(BgL_ufz00_12714, 
(int)(((long)1))); 
BgL_sfz00_12717 = 
STRUCT_REF(BgL_ufz00_12714, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12715)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12715))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12715)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1905z00_12720;obj_t BgL_arg1906z00_12721;
BgL_arg1905z00_12720 = 
(
(long)CINT(BgL_bpz00_12712)+((long)0)); 
BgL_arg1906z00_12721 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10701),BgL_arg1905z00_12720,BgL_arg1906z00_12721); } break;
default: 
BgL_case_else1170z00_12718:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1908z00_12719;
BgL_arg1908z00_12719 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12714), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10698, BgL_arg1908z00_12719, 
(int)(((long)0)), 
CINT(BgL_arityz00_12715)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1170z00_12718;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12722;
BgL_z12denvz12_12722 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10701, BgL_bpz00_12712, BgL_sfz00_12717))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12716;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12723;
BgL_nsz00_12723 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1910z00_12724;
BgL_arg1910z00_12724 = 
(
(long)CINT(BgL_bpz00_12712)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12723, ((long)2), BgL_sz00_10701, BgL_bpz00_12712, 
BINT(BgL_arg1910z00_12724)); } 
VECTOR_SET(BgL_nsz00_12723,((long)1),BgL_sz00_10701); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12722, BgL_nsz00_12723); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12725;
BgL_ez00_12725 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12725, BgL_sz00_10701); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12726;
BgL_____rz00_12726 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12716, BgL_nsz00_12723, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12725); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12722, BgL_sz00_10701); 
return BgL_____rz00_12726;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12713, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12727;
BgL_nbpz00_12727 = 
(
(long)CINT(BgL_bpz00_12712)+BgL_siza7eza7_10700); 
VECTOR_SET(
((obj_t)BgL_sz00_10701),((long)0),
BINT(BgL_nbpz00_12727)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12728;
BgL_rz00_12728 = 
PROCEDURE_ENTRY(BgL_fz00_12713)(BgL_fz00_12713, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10701),((long)0),BgL_bpz00_12712); 
return BgL_rz00_12728;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10698, BgL_symbzd2funzd2_10699, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12713));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1916> */
obj_t BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10702, obj_t BgL_sz00_10707)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10703;obj_t BgL_locz00_10704;obj_t BgL_symbzd2funzd2_10705;long BgL_siza7eza7_10706;
BgL_funz00_10703 = 
PROCEDURE_REF(BgL_envz00_10702, 
(int)(((long)0))); 
BgL_locz00_10704 = 
PROCEDURE_REF(BgL_envz00_10702, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10705 = 
PROCEDURE_REF(BgL_envz00_10702, 
(int)(((long)2))); 
BgL_siza7eza7_10706 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10702, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12729;
BgL_bpz00_12729 = 
VECTOR_REF(
((obj_t)BgL_sz00_10707),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12730;
BgL_fz00_12730 = 
PROCEDURE_ENTRY(BgL_funz00_10703)(BgL_funz00_10703, BgL_sz00_10707, BEOA); 
if(
PROCEDUREP(BgL_fz00_12730))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10704, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12730); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12731;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16518;
BgL_tmpz00_16518 = 
((obj_t)BgL_fz00_12730); 
BgL_ufz00_12731 = 
PROCEDURE_ATTR(BgL_tmpz00_16518); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16521;
if(
STRUCTP(BgL_ufz00_12731))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16521 = 
(
STRUCT_KEY(BgL_ufz00_12731)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16521 = ((bool_t)0)
; } 
if(BgL_testz00_16521)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12732;obj_t BgL_runz00_12733;obj_t BgL_sfz00_12734;
BgL_arityz00_12732 = 
STRUCT_REF(BgL_ufz00_12731, 
(int)(((long)0))); 
BgL_runz00_12733 = 
STRUCT_REF(BgL_ufz00_12731, 
(int)(((long)1))); 
BgL_sfz00_12734 = 
STRUCT_REF(BgL_ufz00_12731, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12735;
BgL_spz00_12735 = 
(
(long)CINT(BgL_bpz00_12729)+BgL_siza7eza7_10706); 
if(
(
(long)CINT(BgL_arityz00_12732)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12732))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12732)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1921z00_12738;obj_t BgL_arg1922z00_12739;
BgL_arg1921z00_12738 = 
(BgL_spz00_12735+((long)0)); 
BgL_arg1922z00_12739 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10707),BgL_arg1921z00_12738,BgL_arg1922z00_12739); } break;
default: 
BgL_case_else1172z00_12736:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1924z00_12737;
BgL_arg1924z00_12737 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12731), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10704, BgL_arg1924z00_12737, 
(int)(((long)0)), 
CINT(BgL_arityz00_12732)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1172z00_12736;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12740;
BgL_z12denvz12_12740 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12740, BgL_locz00_10704); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10707, 
BINT(BgL_spz00_12735), BgL_sfz00_12734))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12733, BgL_sz00_10707, 
BINT(BgL_spz00_12735));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12741;
BgL_nsz00_12741 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1926z00_12742;
BgL_arg1926z00_12742 = 
(BgL_spz00_12735+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12741, ((long)2), BgL_sz00_10707, 
BINT(BgL_spz00_12735), 
BINT(BgL_arg1926z00_12742)); } 
VECTOR_SET(BgL_nsz00_12741,((long)1),BgL_sz00_10707); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12740, BgL_nsz00_12741); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12743;
BgL_ez00_12743 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12743, BgL_sz00_10707); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12744;
BgL_____rz00_12744 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12733, BgL_nsz00_12741, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12743); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12740, BgL_sz00_10707); 
return BgL_____rz00_12744;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12730, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12745;
BgL_nbpz00_12745 = 
(
(long)CINT(BgL_bpz00_12729)+BgL_siza7eza7_10706); 
VECTOR_SET(
((obj_t)BgL_sz00_10707),((long)0),
BINT(BgL_nbpz00_12745)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16578;
BgL_tmpz00_16578 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16578, BgL_locz00_10704); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12746;
BgL_rz00_12746 = 
PROCEDURE_ENTRY(BgL_fz00_12730)(BgL_fz00_12730, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10707),((long)0),BgL_bpz00_12729); 
return BgL_rz00_12746;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10704, BgL_symbzd2funzd2_10705, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12730));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1930> */
obj_t BGl_z62zc3anonymousza31930ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10708, obj_t BgL_sz00_10713)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10709;obj_t BgL_locz00_10710;obj_t BgL_symbzd2funzd2_10711;long BgL_siza7eza7_10712;
BgL_funz00_10709 = 
PROCEDURE_REF(BgL_envz00_10708, 
(int)(((long)0))); 
BgL_locz00_10710 = 
PROCEDURE_REF(BgL_envz00_10708, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10711 = 
PROCEDURE_REF(BgL_envz00_10708, 
(int)(((long)2))); 
BgL_siza7eza7_10712 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10708, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12747;
BgL_bpz00_12747 = 
VECTOR_REF(
((obj_t)BgL_sz00_10713),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12748;
BgL_fz00_12748 = 
PROCEDURE_ENTRY(BgL_funz00_10709)(BgL_funz00_10709, BgL_sz00_10713, BEOA); 
if(
PROCEDUREP(BgL_fz00_12748))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10710, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12748); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12749;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16607;
BgL_tmpz00_16607 = 
((obj_t)BgL_fz00_12748); 
BgL_ufz00_12749 = 
PROCEDURE_ATTR(BgL_tmpz00_16607); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16610;
if(
STRUCTP(BgL_ufz00_12749))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16610 = 
(
STRUCT_KEY(BgL_ufz00_12749)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16610 = ((bool_t)0)
; } 
if(BgL_testz00_16610)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12750;obj_t BgL_runz00_12751;obj_t BgL_sfz00_12752;
BgL_arityz00_12750 = 
STRUCT_REF(BgL_ufz00_12749, 
(int)(((long)0))); 
BgL_runz00_12751 = 
STRUCT_REF(BgL_ufz00_12749, 
(int)(((long)1))); 
BgL_sfz00_12752 = 
STRUCT_REF(BgL_ufz00_12749, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12753;
BgL_spz00_12753 = 
(
(long)CINT(BgL_bpz00_12747)+BgL_siza7eza7_10712); 
if(
(
(long)CINT(BgL_arityz00_12750)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12750))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12750)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1935z00_12756;obj_t BgL_arg1936z00_12757;
BgL_arg1935z00_12756 = 
(BgL_spz00_12753+((long)0)); 
BgL_arg1936z00_12757 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10713),BgL_arg1935z00_12756,BgL_arg1936z00_12757); } break;
default: 
BgL_case_else1174z00_12754:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1938z00_12755;
BgL_arg1938z00_12755 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12749), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10710, BgL_arg1938z00_12755, 
(int)(((long)0)), 
CINT(BgL_arityz00_12750)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1174z00_12754;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12758;
BgL_z12denvz12_12758 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10713, 
BINT(BgL_spz00_12753), BgL_sfz00_12752))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12751, BgL_sz00_10713, 
BINT(BgL_spz00_12753));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12759;
BgL_nsz00_12759 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1940z00_12760;
BgL_arg1940z00_12760 = 
(BgL_spz00_12753+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12759, ((long)2), BgL_sz00_10713, 
BINT(BgL_spz00_12753), 
BINT(BgL_arg1940z00_12760)); } 
VECTOR_SET(BgL_nsz00_12759,((long)1),BgL_sz00_10713); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12758, BgL_nsz00_12759); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12761;
BgL_ez00_12761 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12761, BgL_sz00_10713); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12762;
BgL_____rz00_12762 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12751, BgL_nsz00_12759, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12761); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12758, BgL_sz00_10713); 
return BgL_____rz00_12762;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12748, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12763;
BgL_nbpz00_12763 = 
(
(long)CINT(BgL_bpz00_12747)+BgL_siza7eza7_10712); 
VECTOR_SET(
((obj_t)BgL_sz00_10713),((long)0),
BINT(BgL_nbpz00_12763)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12764;
BgL_rz00_12764 = 
PROCEDURE_ENTRY(BgL_fz00_12748)(BgL_fz00_12748, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10713),((long)0),BgL_bpz00_12747); 
return BgL_rz00_12764;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10710, BgL_symbzd2funzd2_10711, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12748));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call1 */
obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145, BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147, obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150, long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2098;
BgL_cfunz00_2098 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146, ((long)1), BgL_locz00_145, BgL_symbzd2funzd2_147); 
if(
CBOOL(BgL_cfunz00_2098))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16677;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1949z00_2114;
BgL_arg1949z00_2114 = 
bgl_debug(); 
BgL_testz00_16677 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1949z00_2114), 
BINT(((long)0))); } 
if(BgL_testz00_16677)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31946ze3z83_10714;
BgL_zc3anonymousza31946ze3z83_10714 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31946ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31946ze3z83_10714, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31946ze3z83_10714, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3anonymousza31946ze3z83_10714, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31946ze3z83_10714, 
(int)(((long)3)), BgL_cfunz00_2098); 
return BgL_zc3anonymousza31946ze3z83_10714;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31948ze3z83_10715;
BgL_zc3anonymousza31948ze3z83_10715 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza31948ze3z83_10715, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31948ze3z83_10715, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3anonymousza31948ze3z83_10715, 
(int)(((long)2)), BgL_cfunz00_2098); 
return BgL_zc3anonymousza31948ze3z83_10715;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_149))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16706;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1989z00_2190;
BgL_arg1989z00_2190 = 
bgl_debug(); 
BgL_testz00_16706 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1989z00_2190), 
BINT(((long)0))); } 
if(BgL_testz00_16706)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31952ze3z83_10716;
BgL_zc3anonymousza31952ze3z83_10716 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31952ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31952ze3z83_10716, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza31952ze3z83_10716, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31952ze3z83_10716, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31952ze3z83_10716, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza31952ze3z83_10716, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza31952ze3z83_10716;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31971ze3z83_10717;
BgL_zc3anonymousza31971ze3z83_10717 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31971ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31971ze3z83_10717, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza31971ze3z83_10717, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31971ze3z83_10717, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31971ze3z83_10717, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza31971ze3z83_10717, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza31971ze3z83_10717;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16739;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2029z00_2266;
BgL_arg2029z00_2266 = 
bgl_debug(); 
BgL_testz00_16739 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2029z00_2266), 
BINT(((long)0))); } 
if(BgL_testz00_16739)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31992ze3z83_10718;
BgL_zc3anonymousza31992ze3z83_10718 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31992ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31992ze3z83_10718, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza31992ze3z83_10718, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31992ze3z83_10718, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31992ze3z83_10718, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza31992ze3z83_10718, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza31992ze3z83_10718;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32011ze3z83_10719;
BgL_zc3anonymousza32011ze3z83_10719 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32011ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_10719, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_10719, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_10719, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_10719, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza32011ze3z83_10719, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza32011ze3z83_10719;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1946> */
obj_t BGl_z62zc3anonymousza31946ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10720, obj_t BgL_sz00_10725)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10721;long BgL_siza7eza7_10722;obj_t BgL_locz00_10723;obj_t BgL_cfunz00_10724;
BgL_a1z00_10721 = 
PROCEDURE_REF(BgL_envz00_10720, 
(int)(((long)0))); 
BgL_siza7eza7_10722 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10720, 
(int)(((long)1)))); 
BgL_locz00_10723 = 
PROCEDURE_REF(BgL_envz00_10720, 
(int)(((long)2))); 
BgL_cfunz00_10724 = 
PROCEDURE_REF(BgL_envz00_10720, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12765;
BgL_bpz00_12765 = 
VECTOR_REF(
((obj_t)BgL_sz00_10725),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12766;
BgL_a1z00_12766 = 
PROCEDURE_ENTRY(BgL_a1z00_10721)(BgL_a1z00_10721, BgL_sz00_10725, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12767;
BgL_nbpz00_12767 = 
(
(long)CINT(BgL_bpz00_12765)+BgL_siza7eza7_10722); 
VECTOR_SET(
((obj_t)BgL_sz00_10725),((long)0),
BINT(BgL_nbpz00_12767)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16792;
BgL_tmpz00_16792 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16792, BgL_locz00_10723); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12768;
BgL_rz00_12768 = 
PROCEDURE_ENTRY(BgL_cfunz00_10724)(BgL_cfunz00_10724, BgL_a1z00_12766, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10725),((long)0),BgL_bpz00_12765); 
return BgL_rz00_12768;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1948> */
obj_t BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10726, obj_t BgL_sz00_10730)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10727;long BgL_siza7eza7_10728;obj_t BgL_cfunz00_10729;
BgL_a1z00_10727 = 
PROCEDURE_REF(BgL_envz00_10726, 
(int)(((long)0))); 
BgL_siza7eza7_10728 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10726, 
(int)(((long)1)))); 
BgL_cfunz00_10729 = 
PROCEDURE_REF(BgL_envz00_10726, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12769;
BgL_bpz00_12769 = 
VECTOR_REF(
((obj_t)BgL_sz00_10730),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12770;
BgL_a1z00_12770 = 
PROCEDURE_ENTRY(BgL_a1z00_10727)(BgL_a1z00_10727, BgL_sz00_10730, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12771;
BgL_nbpz00_12771 = 
(
(long)CINT(BgL_bpz00_12769)+BgL_siza7eza7_10728); 
VECTOR_SET(
((obj_t)BgL_sz00_10730),((long)0),
BINT(BgL_nbpz00_12771)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12772;
BgL_rz00_12772 = 
PROCEDURE_ENTRY(BgL_cfunz00_10729)(BgL_cfunz00_10729, BgL_a1z00_12770, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10730),((long)0),BgL_bpz00_12769); 
return BgL_rz00_12772;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1952> */
obj_t BGl_z62zc3anonymousza31952ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10731, obj_t BgL_sz00_10737)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10732;obj_t BgL_a1z00_10733;obj_t BgL_locz00_10734;obj_t BgL_symbzd2funzd2_10735;long BgL_siza7eza7_10736;
BgL_funz00_10732 = 
PROCEDURE_REF(BgL_envz00_10731, 
(int)(((long)0))); 
BgL_a1z00_10733 = 
PROCEDURE_REF(BgL_envz00_10731, 
(int)(((long)1))); 
BgL_locz00_10734 = 
PROCEDURE_REF(BgL_envz00_10731, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10735 = 
PROCEDURE_REF(BgL_envz00_10731, 
(int)(((long)3))); 
BgL_siza7eza7_10736 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10731, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12773;
BgL_bpz00_12773 = 
VECTOR_REF(
((obj_t)BgL_sz00_10737),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12774;obj_t BgL_a1z00_12775;
BgL_fz00_12774 = 
PROCEDURE_ENTRY(BgL_funz00_10732)(BgL_funz00_10732, BgL_sz00_10737, BEOA); 
BgL_a1z00_12775 = 
PROCEDURE_ENTRY(BgL_a1z00_10733)(BgL_a1z00_10733, BgL_sz00_10737, BEOA); 
if(
PROCEDUREP(BgL_fz00_12774))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10734, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12774); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12776;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16849;
BgL_tmpz00_16849 = 
((obj_t)BgL_fz00_12774); 
BgL_ufz00_12776 = 
PROCEDURE_ATTR(BgL_tmpz00_16849); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16852;
if(
STRUCTP(BgL_ufz00_12776))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16852 = 
(
STRUCT_KEY(BgL_ufz00_12776)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16852 = ((bool_t)0)
; } 
if(BgL_testz00_16852)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12777;obj_t BgL_runz00_12778;obj_t BgL_sfz00_12779;
BgL_arityz00_12777 = 
STRUCT_REF(BgL_ufz00_12776, 
(int)(((long)0))); 
BgL_runz00_12778 = 
STRUCT_REF(BgL_ufz00_12776, 
(int)(((long)1))); 
BgL_sfz00_12779 = 
STRUCT_REF(BgL_ufz00_12776, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12777)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1956z00_12780;
BgL_arg1956z00_12780 = 
(
(long)CINT(BgL_bpz00_12773)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10737),BgL_arg1956z00_12780,BgL_a1z00_12775); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12777))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12777)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1958z00_12783;obj_t BgL_arg1959z00_12784;
BgL_arg1958z00_12783 = 
(
(long)CINT(BgL_bpz00_12773)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list1960z00_12785;
BgL_list1960z00_12785 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12775, BNIL); 
BgL_arg1959z00_12784 = BgL_list1960z00_12785; } 
VECTOR_SET(
((obj_t)BgL_sz00_10737),BgL_arg1958z00_12783,BgL_arg1959z00_12784); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1961z00_12786;
BgL_arg1961z00_12786 = 
(
(long)CINT(BgL_bpz00_12773)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10737),BgL_arg1961z00_12786,BgL_a1z00_12775); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1962z00_12787;obj_t BgL_arg1963z00_12788;
BgL_arg1962z00_12787 = 
(
(long)CINT(BgL_bpz00_12773)+((long)1)); 
BgL_arg1963z00_12788 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10737),BgL_arg1962z00_12787,BgL_arg1963z00_12788); } break;
default: 
BgL_case_else1176z00_12781:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1965z00_12782;
BgL_arg1965z00_12782 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12776), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10734, BgL_arg1965z00_12782, 
(int)(((long)1)), 
CINT(BgL_arityz00_12777)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1176z00_12781;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12789;
BgL_z12denvz12_12789 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12789, BgL_locz00_10734); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10737, BgL_bpz00_12773, BgL_sfz00_12779))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12778;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12790;
BgL_nsz00_12790 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1967z00_12791;
BgL_arg1967z00_12791 = 
(
(long)CINT(BgL_bpz00_12773)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12790, ((long)2), BgL_sz00_10737, BgL_bpz00_12773, 
BINT(BgL_arg1967z00_12791)); } 
VECTOR_SET(BgL_nsz00_12790,((long)1),BgL_sz00_10737); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12789, BgL_nsz00_12790); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12792;
BgL_ez00_12792 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12792, BgL_sz00_10737); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12793;
BgL_____rz00_12793 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12778, BgL_nsz00_12790, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12792); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12789, BgL_sz00_10737); 
return BgL_____rz00_12793;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12774, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12794;
BgL_nbpz00_12794 = 
(
(long)CINT(BgL_bpz00_12773)+BgL_siza7eza7_10736); 
VECTOR_SET(
((obj_t)BgL_sz00_10737),((long)0),
BINT(BgL_nbpz00_12794)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16918;
BgL_tmpz00_16918 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16918, BgL_locz00_10734); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12795;
BgL_rz00_12795 = 
PROCEDURE_ENTRY(BgL_fz00_12774)(BgL_fz00_12774, BgL_a1z00_12775, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10737),((long)0),BgL_bpz00_12773); 
return BgL_rz00_12795;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10734, BgL_symbzd2funzd2_10735, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12774));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1971> */
obj_t BGl_z62zc3anonymousza31971ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10738, obj_t BgL_sz00_10744)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10739;obj_t BgL_a1z00_10740;obj_t BgL_locz00_10741;obj_t BgL_symbzd2funzd2_10742;long BgL_siza7eza7_10743;
BgL_funz00_10739 = 
PROCEDURE_REF(BgL_envz00_10738, 
(int)(((long)0))); 
BgL_a1z00_10740 = 
PROCEDURE_REF(BgL_envz00_10738, 
(int)(((long)1))); 
BgL_locz00_10741 = 
PROCEDURE_REF(BgL_envz00_10738, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10742 = 
PROCEDURE_REF(BgL_envz00_10738, 
(int)(((long)3))); 
BgL_siza7eza7_10743 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10738, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12796;
BgL_bpz00_12796 = 
VECTOR_REF(
((obj_t)BgL_sz00_10744),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12797;obj_t BgL_a1z00_12798;
BgL_fz00_12797 = 
PROCEDURE_ENTRY(BgL_funz00_10739)(BgL_funz00_10739, BgL_sz00_10744, BEOA); 
BgL_a1z00_12798 = 
PROCEDURE_ENTRY(BgL_a1z00_10740)(BgL_a1z00_10740, BgL_sz00_10744, BEOA); 
if(
PROCEDUREP(BgL_fz00_12797))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10741, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12797); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12799;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16954;
BgL_tmpz00_16954 = 
((obj_t)BgL_fz00_12797); 
BgL_ufz00_12799 = 
PROCEDURE_ATTR(BgL_tmpz00_16954); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16957;
if(
STRUCTP(BgL_ufz00_12799))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16957 = 
(
STRUCT_KEY(BgL_ufz00_12799)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16957 = ((bool_t)0)
; } 
if(BgL_testz00_16957)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12800;obj_t BgL_runz00_12801;obj_t BgL_sfz00_12802;
BgL_arityz00_12800 = 
STRUCT_REF(BgL_ufz00_12799, 
(int)(((long)0))); 
BgL_runz00_12801 = 
STRUCT_REF(BgL_ufz00_12799, 
(int)(((long)1))); 
BgL_sfz00_12802 = 
STRUCT_REF(BgL_ufz00_12799, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12800)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1975z00_12803;
BgL_arg1975z00_12803 = 
(
(long)CINT(BgL_bpz00_12796)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10744),BgL_arg1975z00_12803,BgL_a1z00_12798); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12800))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12800)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1977z00_12806;obj_t BgL_arg1978z00_12807;
BgL_arg1977z00_12806 = 
(
(long)CINT(BgL_bpz00_12796)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list1979z00_12808;
BgL_list1979z00_12808 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12798, BNIL); 
BgL_arg1978z00_12807 = BgL_list1979z00_12808; } 
VECTOR_SET(
((obj_t)BgL_sz00_10744),BgL_arg1977z00_12806,BgL_arg1978z00_12807); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1980z00_12809;
BgL_arg1980z00_12809 = 
(
(long)CINT(BgL_bpz00_12796)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10744),BgL_arg1980z00_12809,BgL_a1z00_12798); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1981z00_12810;obj_t BgL_arg1982z00_12811;
BgL_arg1981z00_12810 = 
(
(long)CINT(BgL_bpz00_12796)+((long)1)); 
BgL_arg1982z00_12811 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10744),BgL_arg1981z00_12810,BgL_arg1982z00_12811); } break;
default: 
BgL_case_else1178z00_12804:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1984z00_12805;
BgL_arg1984z00_12805 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12799), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10741, BgL_arg1984z00_12805, 
(int)(((long)1)), 
CINT(BgL_arityz00_12800)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1178z00_12804;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12812;
BgL_z12denvz12_12812 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10744, BgL_bpz00_12796, BgL_sfz00_12802))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12801;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12813;
BgL_nsz00_12813 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1986z00_12814;
BgL_arg1986z00_12814 = 
(
(long)CINT(BgL_bpz00_12796)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12813, ((long)2), BgL_sz00_10744, BgL_bpz00_12796, 
BINT(BgL_arg1986z00_12814)); } 
VECTOR_SET(BgL_nsz00_12813,((long)1),BgL_sz00_10744); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12812, BgL_nsz00_12813); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12815;
BgL_ez00_12815 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12815, BgL_sz00_10744); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12816;
BgL_____rz00_12816 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12801, BgL_nsz00_12813, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12815); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12812, BgL_sz00_10744); 
return BgL_____rz00_12816;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12797, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12817;
BgL_nbpz00_12817 = 
(
(long)CINT(BgL_bpz00_12796)+BgL_siza7eza7_10743); 
VECTOR_SET(
((obj_t)BgL_sz00_10744),((long)0),
BINT(BgL_nbpz00_12817)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12818;
BgL_rz00_12818 = 
PROCEDURE_ENTRY(BgL_fz00_12797)(BgL_fz00_12797, BgL_a1z00_12798, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10744),((long)0),BgL_bpz00_12796); 
return BgL_rz00_12818;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10741, BgL_symbzd2funzd2_10742, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12797));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1992> */
obj_t BGl_z62zc3anonymousza31992ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10745, obj_t BgL_sz00_10751)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10746;obj_t BgL_a1z00_10747;obj_t BgL_locz00_10748;obj_t BgL_symbzd2funzd2_10749;long BgL_siza7eza7_10750;
BgL_funz00_10746 = 
PROCEDURE_REF(BgL_envz00_10745, 
(int)(((long)0))); 
BgL_a1z00_10747 = 
PROCEDURE_REF(BgL_envz00_10745, 
(int)(((long)1))); 
BgL_locz00_10748 = 
PROCEDURE_REF(BgL_envz00_10745, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10749 = 
PROCEDURE_REF(BgL_envz00_10745, 
(int)(((long)3))); 
BgL_siza7eza7_10750 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10745, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12819;
BgL_bpz00_12819 = 
VECTOR_REF(
((obj_t)BgL_sz00_10751),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12820;obj_t BgL_a1z00_12821;
BgL_fz00_12820 = 
PROCEDURE_ENTRY(BgL_funz00_10746)(BgL_funz00_10746, BgL_sz00_10751, BEOA); 
BgL_a1z00_12821 = 
PROCEDURE_ENTRY(BgL_a1z00_10747)(BgL_a1z00_10747, BgL_sz00_10751, BEOA); 
if(
PROCEDUREP(BgL_fz00_12820))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10748, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12820); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12822;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17055;
BgL_tmpz00_17055 = 
((obj_t)BgL_fz00_12820); 
BgL_ufz00_12822 = 
PROCEDURE_ATTR(BgL_tmpz00_17055); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17058;
if(
STRUCTP(BgL_ufz00_12822))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17058 = 
(
STRUCT_KEY(BgL_ufz00_12822)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17058 = ((bool_t)0)
; } 
if(BgL_testz00_17058)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12823;obj_t BgL_runz00_12824;obj_t BgL_sfz00_12825;
BgL_arityz00_12823 = 
STRUCT_REF(BgL_ufz00_12822, 
(int)(((long)0))); 
BgL_runz00_12824 = 
STRUCT_REF(BgL_ufz00_12822, 
(int)(((long)1))); 
BgL_sfz00_12825 = 
STRUCT_REF(BgL_ufz00_12822, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12826;
BgL_spz00_12826 = 
(
(long)CINT(BgL_bpz00_12819)+BgL_siza7eza7_10750); 
if(
(
(long)CINT(BgL_arityz00_12823)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1996z00_12827;
BgL_arg1996z00_12827 = 
(BgL_spz00_12826+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10751),BgL_arg1996z00_12827,BgL_a1z00_12821); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12823))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12823)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1998z00_12830;obj_t BgL_arg1999z00_12831;
BgL_arg1998z00_12830 = 
(BgL_spz00_12826+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2000z00_12832;
BgL_list2000z00_12832 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12821, BNIL); 
BgL_arg1999z00_12831 = BgL_list2000z00_12832; } 
VECTOR_SET(
((obj_t)BgL_sz00_10751),BgL_arg1998z00_12830,BgL_arg1999z00_12831); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2001z00_12833;
BgL_arg2001z00_12833 = 
(BgL_spz00_12826+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10751),BgL_arg2001z00_12833,BgL_a1z00_12821); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2002z00_12834;obj_t BgL_arg2003z00_12835;
BgL_arg2002z00_12834 = 
(BgL_spz00_12826+((long)1)); 
BgL_arg2003z00_12835 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10751),BgL_arg2002z00_12834,BgL_arg2003z00_12835); } break;
default: 
BgL_case_else1180z00_12828:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2005z00_12829;
BgL_arg2005z00_12829 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12822), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10748, BgL_arg2005z00_12829, 
(int)(((long)1)), 
CINT(BgL_arityz00_12823)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1180z00_12828;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12836;
BgL_z12denvz12_12836 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12836, BgL_locz00_10748); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10751, 
BINT(BgL_spz00_12826), BgL_sfz00_12825))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12824, BgL_sz00_10751, 
BINT(BgL_spz00_12826));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12837;
BgL_nsz00_12837 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2007z00_12838;
BgL_arg2007z00_12838 = 
(BgL_spz00_12826+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12837, ((long)2), BgL_sz00_10751, 
BINT(BgL_spz00_12826), 
BINT(BgL_arg2007z00_12838)); } 
VECTOR_SET(BgL_nsz00_12837,((long)1),BgL_sz00_10751); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12836, BgL_nsz00_12837); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12839;
BgL_ez00_12839 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12839, BgL_sz00_10751); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12840;
BgL_____rz00_12840 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12824, BgL_nsz00_12837, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12839); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12836, BgL_sz00_10751); 
return BgL_____rz00_12840;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12820, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12841;
BgL_nbpz00_12841 = 
(
(long)CINT(BgL_bpz00_12819)+BgL_siza7eza7_10750); 
VECTOR_SET(
((obj_t)BgL_sz00_10751),((long)0),
BINT(BgL_nbpz00_12841)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17125;
BgL_tmpz00_17125 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17125, BgL_locz00_10748); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12842;
BgL_rz00_12842 = 
PROCEDURE_ENTRY(BgL_fz00_12820)(BgL_fz00_12820, BgL_a1z00_12821, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10751),((long)0),BgL_bpz00_12819); 
return BgL_rz00_12842;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10748, BgL_symbzd2funzd2_10749, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12820));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2011> */
obj_t BGl_z62zc3anonymousza32011ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10752, obj_t BgL_sz00_10758)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10753;obj_t BgL_a1z00_10754;obj_t BgL_locz00_10755;obj_t BgL_symbzd2funzd2_10756;long BgL_siza7eza7_10757;
BgL_funz00_10753 = 
PROCEDURE_REF(BgL_envz00_10752, 
(int)(((long)0))); 
BgL_a1z00_10754 = 
PROCEDURE_REF(BgL_envz00_10752, 
(int)(((long)1))); 
BgL_locz00_10755 = 
PROCEDURE_REF(BgL_envz00_10752, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10756 = 
PROCEDURE_REF(BgL_envz00_10752, 
(int)(((long)3))); 
BgL_siza7eza7_10757 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10752, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12843;
BgL_bpz00_12843 = 
VECTOR_REF(
((obj_t)BgL_sz00_10758),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12844;obj_t BgL_a1z00_12845;
BgL_fz00_12844 = 
PROCEDURE_ENTRY(BgL_funz00_10753)(BgL_funz00_10753, BgL_sz00_10758, BEOA); 
BgL_a1z00_12845 = 
PROCEDURE_ENTRY(BgL_a1z00_10754)(BgL_a1z00_10754, BgL_sz00_10758, BEOA); 
if(
PROCEDUREP(BgL_fz00_12844))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10755, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12844); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12846;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17161;
BgL_tmpz00_17161 = 
((obj_t)BgL_fz00_12844); 
BgL_ufz00_12846 = 
PROCEDURE_ATTR(BgL_tmpz00_17161); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17164;
if(
STRUCTP(BgL_ufz00_12846))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17164 = 
(
STRUCT_KEY(BgL_ufz00_12846)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17164 = ((bool_t)0)
; } 
if(BgL_testz00_17164)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12847;obj_t BgL_runz00_12848;obj_t BgL_sfz00_12849;
BgL_arityz00_12847 = 
STRUCT_REF(BgL_ufz00_12846, 
(int)(((long)0))); 
BgL_runz00_12848 = 
STRUCT_REF(BgL_ufz00_12846, 
(int)(((long)1))); 
BgL_sfz00_12849 = 
STRUCT_REF(BgL_ufz00_12846, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12850;
BgL_spz00_12850 = 
(
(long)CINT(BgL_bpz00_12843)+BgL_siza7eza7_10757); 
if(
(
(long)CINT(BgL_arityz00_12847)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2015z00_12851;
BgL_arg2015z00_12851 = 
(BgL_spz00_12850+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10758),BgL_arg2015z00_12851,BgL_a1z00_12845); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12847))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12847)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2017z00_12854;obj_t BgL_arg2018z00_12855;
BgL_arg2017z00_12854 = 
(BgL_spz00_12850+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2019z00_12856;
BgL_list2019z00_12856 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12845, BNIL); 
BgL_arg2018z00_12855 = BgL_list2019z00_12856; } 
VECTOR_SET(
((obj_t)BgL_sz00_10758),BgL_arg2017z00_12854,BgL_arg2018z00_12855); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2020z00_12857;
BgL_arg2020z00_12857 = 
(BgL_spz00_12850+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10758),BgL_arg2020z00_12857,BgL_a1z00_12845); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2021z00_12858;obj_t BgL_arg2022z00_12859;
BgL_arg2021z00_12858 = 
(BgL_spz00_12850+((long)1)); 
BgL_arg2022z00_12859 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10758),BgL_arg2021z00_12858,BgL_arg2022z00_12859); } break;
default: 
BgL_case_else1182z00_12852:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2024z00_12853;
BgL_arg2024z00_12853 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12846), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10755, BgL_arg2024z00_12853, 
(int)(((long)1)), 
CINT(BgL_arityz00_12847)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1182z00_12852;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12860;
BgL_z12denvz12_12860 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10758, 
BINT(BgL_spz00_12850), BgL_sfz00_12849))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12848, BgL_sz00_10758, 
BINT(BgL_spz00_12850));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12861;
BgL_nsz00_12861 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2026z00_12862;
BgL_arg2026z00_12862 = 
(BgL_spz00_12850+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12861, ((long)2), BgL_sz00_10758, 
BINT(BgL_spz00_12850), 
BINT(BgL_arg2026z00_12862)); } 
VECTOR_SET(BgL_nsz00_12861,((long)1),BgL_sz00_10758); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12860, BgL_nsz00_12861); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12863;
BgL_ez00_12863 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12863, BgL_sz00_10758); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12864;
BgL_____rz00_12864 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12848, BgL_nsz00_12861, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12863); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12860, BgL_sz00_10758); 
return BgL_____rz00_12864;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12844, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12865;
BgL_nbpz00_12865 = 
(
(long)CINT(BgL_bpz00_12843)+BgL_siza7eza7_10757); 
VECTOR_SET(
((obj_t)BgL_sz00_10758),((long)0),
BINT(BgL_nbpz00_12865)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12866;
BgL_rz00_12866 = 
PROCEDURE_ENTRY(BgL_fz00_12844)(BgL_fz00_12844, BgL_a1z00_12845, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10758),((long)0),BgL_bpz00_12843); 
return BgL_rz00_12866;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10755, BgL_symbzd2funzd2_10756, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12844));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call2 */
obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153, BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155, obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158, long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2267;
BgL_cfunz00_2267 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154, ((long)2), BgL_locz00_153, BgL_symbzd2funzd2_155); 
if(
CBOOL(BgL_cfunz00_2267))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17242;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2035z00_2285;
BgL_arg2035z00_2285 = 
bgl_debug(); 
BgL_testz00_17242 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2035z00_2285), 
BINT(((long)0))); } 
if(BgL_testz00_17242)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32032ze3z83_10759;
BgL_zc3anonymousza32032ze3z83_10759 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32032ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza32032ze3z83_10759, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32032ze3z83_10759, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32032ze3z83_10759, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3anonymousza32032ze3z83_10759, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32032ze3z83_10759, 
(int)(((long)4)), BgL_cfunz00_2267); 
return BgL_zc3anonymousza32032ze3z83_10759;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32034ze3z83_10760;
BgL_zc3anonymousza32034ze3z83_10760 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32034ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza32034ze3z83_10760, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32034ze3z83_10760, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32034ze3z83_10760, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3anonymousza32034ze3z83_10760, 
(int)(((long)3)), BgL_cfunz00_2267); 
return BgL_zc3anonymousza32034ze3z83_10760;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_157))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17275;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2089z00_2377;
BgL_arg2089z00_2377 = 
bgl_debug(); 
BgL_testz00_17275 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2089z00_2377), 
BINT(((long)0))); } 
if(BgL_testz00_17275)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32038ze3z83_10761;
BgL_zc3anonymousza32038ze3z83_10761 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32038ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10761, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10761, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10761, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10761, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10761, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10761, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32038ze3z83_10761;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32064ze3z83_10762;
BgL_zc3anonymousza32064ze3z83_10762 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32064ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32064ze3z83_10762, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32064ze3z83_10762, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32064ze3z83_10762, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32064ze3z83_10762, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32064ze3z83_10762, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32064ze3z83_10762, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32064ze3z83_10762;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17312;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2144z00_2469;
BgL_arg2144z00_2469 = 
bgl_debug(); 
BgL_testz00_17312 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2144z00_2469), 
BINT(((long)0))); } 
if(BgL_testz00_17312)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32092ze3z83_10763;
BgL_zc3anonymousza32092ze3z83_10763 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32092ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_10763, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_10763, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_10763, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_10763, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_10763, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_10763, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32092ze3z83_10763;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32119ze3z83_10764;
BgL_zc3anonymousza32119ze3z83_10764 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32119ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_10764, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_10764, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_10764, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_10764, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_10764, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_10764, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32119ze3z83_10764;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2032> */
obj_t BGl_z62zc3anonymousza32032ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10765, obj_t BgL_sz00_10771)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10766;obj_t BgL_a2z00_10767;long BgL_siza7eza7_10768;obj_t BgL_locz00_10769;obj_t BgL_cfunz00_10770;
BgL_a1z00_10766 = 
PROCEDURE_REF(BgL_envz00_10765, 
(int)(((long)0))); 
BgL_a2z00_10767 = 
PROCEDURE_REF(BgL_envz00_10765, 
(int)(((long)1))); 
BgL_siza7eza7_10768 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10765, 
(int)(((long)2)))); 
BgL_locz00_10769 = 
PROCEDURE_REF(BgL_envz00_10765, 
(int)(((long)3))); 
BgL_cfunz00_10770 = 
PROCEDURE_REF(BgL_envz00_10765, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12867;
BgL_bpz00_12867 = 
VECTOR_REF(
((obj_t)BgL_sz00_10771),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12868;obj_t BgL_a2z00_12869;
BgL_a1z00_12868 = 
PROCEDURE_ENTRY(BgL_a1z00_10766)(BgL_a1z00_10766, BgL_sz00_10771, BEOA); 
BgL_a2z00_12869 = 
PROCEDURE_ENTRY(BgL_a2z00_10767)(BgL_a2z00_10767, BgL_sz00_10771, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12870;
BgL_nbpz00_12870 = 
(
(long)CINT(BgL_bpz00_12867)+BgL_siza7eza7_10768); 
VECTOR_SET(
((obj_t)BgL_sz00_10771),((long)0),
BINT(BgL_nbpz00_12870)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17375;
BgL_tmpz00_17375 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17375, BgL_locz00_10769); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12871;
BgL_rz00_12871 = 
PROCEDURE_ENTRY(BgL_cfunz00_10770)(BgL_cfunz00_10770, BgL_a1z00_12868, BgL_a2z00_12869, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10771),((long)0),BgL_bpz00_12867); 
return BgL_rz00_12871;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2034> */
obj_t BGl_z62zc3anonymousza32034ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10772, obj_t BgL_sz00_10777)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10773;obj_t BgL_a2z00_10774;long BgL_siza7eza7_10775;obj_t BgL_cfunz00_10776;
BgL_a1z00_10773 = 
PROCEDURE_REF(BgL_envz00_10772, 
(int)(((long)0))); 
BgL_a2z00_10774 = 
PROCEDURE_REF(BgL_envz00_10772, 
(int)(((long)1))); 
BgL_siza7eza7_10775 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10772, 
(int)(((long)2)))); 
BgL_cfunz00_10776 = 
PROCEDURE_REF(BgL_envz00_10772, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12872;
BgL_bpz00_12872 = 
VECTOR_REF(
((obj_t)BgL_sz00_10777),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12873;obj_t BgL_a2z00_12874;
BgL_a1z00_12873 = 
PROCEDURE_ENTRY(BgL_a1z00_10773)(BgL_a1z00_10773, BgL_sz00_10777, BEOA); 
BgL_a2z00_12874 = 
PROCEDURE_ENTRY(BgL_a2z00_10774)(BgL_a2z00_10774, BgL_sz00_10777, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12875;
BgL_nbpz00_12875 = 
(
(long)CINT(BgL_bpz00_12872)+BgL_siza7eza7_10775); 
VECTOR_SET(
((obj_t)BgL_sz00_10777),((long)0),
BINT(BgL_nbpz00_12875)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12876;
BgL_rz00_12876 = 
PROCEDURE_ENTRY(BgL_cfunz00_10776)(BgL_cfunz00_10776, BgL_a1z00_12873, BgL_a2z00_12874, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10777),((long)0),BgL_bpz00_12872); 
return BgL_rz00_12876;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2038> */
obj_t BGl_z62zc3anonymousza32038ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10778, obj_t BgL_sz00_10785)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10779;obj_t BgL_a1z00_10780;obj_t BgL_a2z00_10781;obj_t BgL_locz00_10782;obj_t BgL_symbzd2funzd2_10783;long BgL_siza7eza7_10784;
BgL_funz00_10779 = 
PROCEDURE_REF(BgL_envz00_10778, 
(int)(((long)0))); 
BgL_a1z00_10780 = 
PROCEDURE_REF(BgL_envz00_10778, 
(int)(((long)1))); 
BgL_a2z00_10781 = 
PROCEDURE_REF(BgL_envz00_10778, 
(int)(((long)2))); 
BgL_locz00_10782 = 
PROCEDURE_REF(BgL_envz00_10778, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10783 = 
PROCEDURE_REF(BgL_envz00_10778, 
(int)(((long)4))); 
BgL_siza7eza7_10784 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10778, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12877;
BgL_bpz00_12877 = 
VECTOR_REF(
((obj_t)BgL_sz00_10785),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12878;obj_t BgL_a1z00_12879;obj_t BgL_a2z00_12880;
BgL_fz00_12878 = 
PROCEDURE_ENTRY(BgL_funz00_10779)(BgL_funz00_10779, BgL_sz00_10785, BEOA); 
BgL_a1z00_12879 = 
PROCEDURE_ENTRY(BgL_a1z00_10780)(BgL_a1z00_10780, BgL_sz00_10785, BEOA); 
BgL_a2z00_12880 = 
PROCEDURE_ENTRY(BgL_a2z00_10781)(BgL_a2z00_10781, BgL_sz00_10785, BEOA); 
if(
PROCEDUREP(BgL_fz00_12878))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10782, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12878); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12881;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17446;
BgL_tmpz00_17446 = 
((obj_t)BgL_fz00_12878); 
BgL_ufz00_12881 = 
PROCEDURE_ATTR(BgL_tmpz00_17446); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17449;
if(
STRUCTP(BgL_ufz00_12881))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17449 = 
(
STRUCT_KEY(BgL_ufz00_12881)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17449 = ((bool_t)0)
; } 
if(BgL_testz00_17449)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12882;obj_t BgL_runz00_12883;obj_t BgL_sfz00_12884;
BgL_arityz00_12882 = 
STRUCT_REF(BgL_ufz00_12881, 
(int)(((long)0))); 
BgL_runz00_12883 = 
STRUCT_REF(BgL_ufz00_12881, 
(int)(((long)1))); 
BgL_sfz00_12884 = 
STRUCT_REF(BgL_ufz00_12881, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12882)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2042z00_12885;
BgL_arg2042z00_12885 = 
(
(long)CINT(BgL_bpz00_12877)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10785),BgL_arg2042z00_12885,BgL_a1z00_12879); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2043z00_12886;
BgL_arg2043z00_12886 = 
(
(long)CINT(BgL_bpz00_12877)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10785),BgL_arg2043z00_12886,BgL_a2z00_12880); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12882))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12882)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2045z00_12889;obj_t BgL_arg2046z00_12890;
BgL_arg2045z00_12889 = 
(
(long)CINT(BgL_bpz00_12877)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2047z00_12891;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2048z00_12892;
BgL_arg2048z00_12892 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12880, BNIL); 
BgL_list2047z00_12891 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12879, BgL_arg2048z00_12892); } 
BgL_arg2046z00_12890 = BgL_list2047z00_12891; } 
VECTOR_SET(
((obj_t)BgL_sz00_10785),BgL_arg2045z00_12889,BgL_arg2046z00_12890); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2049z00_12893;
BgL_arg2049z00_12893 = 
(
(long)CINT(BgL_bpz00_12877)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10785),BgL_arg2049z00_12893,BgL_a1z00_12879); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2050z00_12894;obj_t BgL_arg2051z00_12895;
BgL_arg2050z00_12894 = 
(
(long)CINT(BgL_bpz00_12877)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2052z00_12896;
BgL_list2052z00_12896 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12880, BNIL); 
BgL_arg2051z00_12895 = BgL_list2052z00_12896; } 
VECTOR_SET(
((obj_t)BgL_sz00_10785),BgL_arg2050z00_12894,BgL_arg2051z00_12895); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2053z00_12897;
BgL_arg2053z00_12897 = 
(
(long)CINT(BgL_bpz00_12877)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10785),BgL_arg2053z00_12897,BgL_a1z00_12879); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2054z00_12898;
BgL_arg2054z00_12898 = 
(
(long)CINT(BgL_bpz00_12877)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10785),BgL_arg2054z00_12898,BgL_a2z00_12880); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2055z00_12899;obj_t BgL_arg2056z00_12900;
BgL_arg2055z00_12899 = 
(
(long)CINT(BgL_bpz00_12877)+((long)2)); 
BgL_arg2056z00_12900 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10785),BgL_arg2055z00_12899,BgL_arg2056z00_12900); } break;
default: 
BgL_case_else1184z00_12887:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2058z00_12888;
BgL_arg2058z00_12888 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12881), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10782, BgL_arg2058z00_12888, 
(int)(((long)2)), 
CINT(BgL_arityz00_12882)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1184z00_12887;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12901;
BgL_z12denvz12_12901 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12901, BgL_locz00_10782); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10785, BgL_bpz00_12877, BgL_sfz00_12884))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12883;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12902;
BgL_nsz00_12902 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2060z00_12903;
BgL_arg2060z00_12903 = 
(
(long)CINT(BgL_bpz00_12877)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12902, ((long)2), BgL_sz00_10785, BgL_bpz00_12877, 
BINT(BgL_arg2060z00_12903)); } 
VECTOR_SET(BgL_nsz00_12902,((long)1),BgL_sz00_10785); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12901, BgL_nsz00_12902); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12904;
BgL_ez00_12904 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12904, BgL_sz00_10785); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12905;
BgL_____rz00_12905 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12883, BgL_nsz00_12902, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12904); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12901, BgL_sz00_10785); 
return BgL_____rz00_12905;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12878, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12906;
BgL_nbpz00_12906 = 
(
(long)CINT(BgL_bpz00_12877)+BgL_siza7eza7_10784); 
VECTOR_SET(
((obj_t)BgL_sz00_10785),((long)0),
BINT(BgL_nbpz00_12906)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17533;
BgL_tmpz00_17533 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17533, BgL_locz00_10782); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12907;
BgL_rz00_12907 = 
PROCEDURE_ENTRY(BgL_fz00_12878)(BgL_fz00_12878, BgL_a1z00_12879, BgL_a2z00_12880, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10785),((long)0),BgL_bpz00_12877); 
return BgL_rz00_12907;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10782, BgL_symbzd2funzd2_10783, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12878));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2064> */
obj_t BGl_z62zc3anonymousza32064ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10786, obj_t BgL_sz00_10793)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10787;obj_t BgL_a1z00_10788;obj_t BgL_a2z00_10789;obj_t BgL_locz00_10790;obj_t BgL_symbzd2funzd2_10791;long BgL_siza7eza7_10792;
BgL_funz00_10787 = 
PROCEDURE_REF(BgL_envz00_10786, 
(int)(((long)0))); 
BgL_a1z00_10788 = 
PROCEDURE_REF(BgL_envz00_10786, 
(int)(((long)1))); 
BgL_a2z00_10789 = 
PROCEDURE_REF(BgL_envz00_10786, 
(int)(((long)2))); 
BgL_locz00_10790 = 
PROCEDURE_REF(BgL_envz00_10786, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10791 = 
PROCEDURE_REF(BgL_envz00_10786, 
(int)(((long)4))); 
BgL_siza7eza7_10792 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10786, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12908;
BgL_bpz00_12908 = 
VECTOR_REF(
((obj_t)BgL_sz00_10793),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12909;obj_t BgL_a1z00_12910;obj_t BgL_a2z00_12911;
BgL_fz00_12909 = 
PROCEDURE_ENTRY(BgL_funz00_10787)(BgL_funz00_10787, BgL_sz00_10793, BEOA); 
BgL_a1z00_12910 = 
PROCEDURE_ENTRY(BgL_a1z00_10788)(BgL_a1z00_10788, BgL_sz00_10793, BEOA); 
BgL_a2z00_12911 = 
PROCEDURE_ENTRY(BgL_a2z00_10789)(BgL_a2z00_10789, BgL_sz00_10793, BEOA); 
if(
PROCEDUREP(BgL_fz00_12909))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10790, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12909); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12912;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17576;
BgL_tmpz00_17576 = 
((obj_t)BgL_fz00_12909); 
BgL_ufz00_12912 = 
PROCEDURE_ATTR(BgL_tmpz00_17576); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17579;
if(
STRUCTP(BgL_ufz00_12912))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17579 = 
(
STRUCT_KEY(BgL_ufz00_12912)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17579 = ((bool_t)0)
; } 
if(BgL_testz00_17579)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12913;obj_t BgL_runz00_12914;obj_t BgL_sfz00_12915;
BgL_arityz00_12913 = 
STRUCT_REF(BgL_ufz00_12912, 
(int)(((long)0))); 
BgL_runz00_12914 = 
STRUCT_REF(BgL_ufz00_12912, 
(int)(((long)1))); 
BgL_sfz00_12915 = 
STRUCT_REF(BgL_ufz00_12912, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12913)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2068z00_12916;
BgL_arg2068z00_12916 = 
(
(long)CINT(BgL_bpz00_12908)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2068z00_12916,BgL_a1z00_12910); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2069z00_12917;
BgL_arg2069z00_12917 = 
(
(long)CINT(BgL_bpz00_12908)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2069z00_12917,BgL_a2z00_12911); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12913))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12913)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2071z00_12920;obj_t BgL_arg2072z00_12921;
BgL_arg2071z00_12920 = 
(
(long)CINT(BgL_bpz00_12908)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2073z00_12922;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2074z00_12923;
BgL_arg2074z00_12923 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12911, BNIL); 
BgL_list2073z00_12922 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12910, BgL_arg2074z00_12923); } 
BgL_arg2072z00_12921 = BgL_list2073z00_12922; } 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2071z00_12920,BgL_arg2072z00_12921); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2075z00_12924;
BgL_arg2075z00_12924 = 
(
(long)CINT(BgL_bpz00_12908)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2075z00_12924,BgL_a1z00_12910); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2076z00_12925;obj_t BgL_arg2077z00_12926;
BgL_arg2076z00_12925 = 
(
(long)CINT(BgL_bpz00_12908)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2078z00_12927;
BgL_list2078z00_12927 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12911, BNIL); 
BgL_arg2077z00_12926 = BgL_list2078z00_12927; } 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2076z00_12925,BgL_arg2077z00_12926); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2079z00_12928;
BgL_arg2079z00_12928 = 
(
(long)CINT(BgL_bpz00_12908)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2079z00_12928,BgL_a1z00_12910); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2080z00_12929;
BgL_arg2080z00_12929 = 
(
(long)CINT(BgL_bpz00_12908)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2080z00_12929,BgL_a2z00_12911); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2081z00_12930;obj_t BgL_arg2082z00_12931;
BgL_arg2081z00_12930 = 
(
(long)CINT(BgL_bpz00_12908)+((long)2)); 
BgL_arg2082z00_12931 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10793),BgL_arg2081z00_12930,BgL_arg2082z00_12931); } break;
default: 
BgL_case_else1186z00_12918:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2084z00_12919;
BgL_arg2084z00_12919 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12912), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10790, BgL_arg2084z00_12919, 
(int)(((long)2)), 
CINT(BgL_arityz00_12913)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1186z00_12918;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12932;
BgL_z12denvz12_12932 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10793, BgL_bpz00_12908, BgL_sfz00_12915))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12914;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12933;
BgL_nsz00_12933 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2086z00_12934;
BgL_arg2086z00_12934 = 
(
(long)CINT(BgL_bpz00_12908)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12933, ((long)2), BgL_sz00_10793, BgL_bpz00_12908, 
BINT(BgL_arg2086z00_12934)); } 
VECTOR_SET(BgL_nsz00_12933,((long)1),BgL_sz00_10793); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12932, BgL_nsz00_12933); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12935;
BgL_ez00_12935 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12935, BgL_sz00_10793); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12936;
BgL_____rz00_12936 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12914, BgL_nsz00_12933, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12935); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12932, BgL_sz00_10793); 
return BgL_____rz00_12936;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12909, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12937;
BgL_nbpz00_12937 = 
(
(long)CINT(BgL_bpz00_12908)+BgL_siza7eza7_10792); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),((long)0),
BINT(BgL_nbpz00_12937)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12938;
BgL_rz00_12938 = 
PROCEDURE_ENTRY(BgL_fz00_12909)(BgL_fz00_12909, BgL_a1z00_12910, BgL_a2z00_12911, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10793),((long)0),BgL_bpz00_12908); 
return BgL_rz00_12938;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10790, BgL_symbzd2funzd2_10791, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12909));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2092> */
obj_t BGl_z62zc3anonymousza32092ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10794, obj_t BgL_sz00_10801)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10795;obj_t BgL_a1z00_10796;obj_t BgL_a2z00_10797;obj_t BgL_locz00_10798;obj_t BgL_symbzd2funzd2_10799;long BgL_siza7eza7_10800;
BgL_funz00_10795 = 
PROCEDURE_REF(BgL_envz00_10794, 
(int)(((long)0))); 
BgL_a1z00_10796 = 
PROCEDURE_REF(BgL_envz00_10794, 
(int)(((long)1))); 
BgL_a2z00_10797 = 
PROCEDURE_REF(BgL_envz00_10794, 
(int)(((long)2))); 
BgL_locz00_10798 = 
PROCEDURE_REF(BgL_envz00_10794, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10799 = 
PROCEDURE_REF(BgL_envz00_10794, 
(int)(((long)4))); 
BgL_siza7eza7_10800 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10794, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12939;
BgL_bpz00_12939 = 
VECTOR_REF(
((obj_t)BgL_sz00_10801),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12940;obj_t BgL_a1z00_12941;obj_t BgL_a2z00_12942;
BgL_fz00_12940 = 
PROCEDURE_ENTRY(BgL_funz00_10795)(BgL_funz00_10795, BgL_sz00_10801, BEOA); 
BgL_a1z00_12941 = 
PROCEDURE_ENTRY(BgL_a1z00_10796)(BgL_a1z00_10796, BgL_sz00_10801, BEOA); 
BgL_a2z00_12942 = 
PROCEDURE_ENTRY(BgL_a2z00_10797)(BgL_a2z00_10797, BgL_sz00_10801, BEOA); 
if(
PROCEDUREP(BgL_fz00_12940))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10798, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12940); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12943;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17702;
BgL_tmpz00_17702 = 
((obj_t)BgL_fz00_12940); 
BgL_ufz00_12943 = 
PROCEDURE_ATTR(BgL_tmpz00_17702); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17705;
if(
STRUCTP(BgL_ufz00_12943))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17705 = 
(
STRUCT_KEY(BgL_ufz00_12943)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17705 = ((bool_t)0)
; } 
if(BgL_testz00_17705)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12944;obj_t BgL_runz00_12945;obj_t BgL_sfz00_12946;
BgL_arityz00_12944 = 
STRUCT_REF(BgL_ufz00_12943, 
(int)(((long)0))); 
BgL_runz00_12945 = 
STRUCT_REF(BgL_ufz00_12943, 
(int)(((long)1))); 
BgL_sfz00_12946 = 
STRUCT_REF(BgL_ufz00_12943, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12947;
BgL_spz00_12947 = 
(
(long)CINT(BgL_bpz00_12939)+BgL_siza7eza7_10800); 
if(
(
(long)CINT(BgL_arityz00_12944)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2096z00_12948;
BgL_arg2096z00_12948 = 
(BgL_spz00_12947+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10801),BgL_arg2096z00_12948,BgL_a1z00_12941); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2097z00_12949;
BgL_arg2097z00_12949 = 
(BgL_spz00_12947+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10801),BgL_arg2097z00_12949,BgL_a2z00_12942); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12944))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12944)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2099z00_12952;obj_t BgL_arg2100z00_12953;
BgL_arg2099z00_12952 = 
(BgL_spz00_12947+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2101z00_12954;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2102z00_12955;
BgL_arg2102z00_12955 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12942, BNIL); 
BgL_list2101z00_12954 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12941, BgL_arg2102z00_12955); } 
BgL_arg2100z00_12953 = BgL_list2101z00_12954; } 
VECTOR_SET(
((obj_t)BgL_sz00_10801),BgL_arg2099z00_12952,BgL_arg2100z00_12953); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2103z00_12956;
BgL_arg2103z00_12956 = 
(BgL_spz00_12947+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10801),BgL_arg2103z00_12956,BgL_a1z00_12941); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2104z00_12957;obj_t BgL_arg2105z00_12958;
BgL_arg2104z00_12957 = 
(BgL_spz00_12947+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2106z00_12959;
BgL_list2106z00_12959 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12942, BNIL); 
BgL_arg2105z00_12958 = BgL_list2106z00_12959; } 
VECTOR_SET(
((obj_t)BgL_sz00_10801),BgL_arg2104z00_12957,BgL_arg2105z00_12958); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2107z00_12960;
BgL_arg2107z00_12960 = 
(BgL_spz00_12947+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10801),BgL_arg2107z00_12960,BgL_a1z00_12941); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2108z00_12961;
BgL_arg2108z00_12961 = 
(BgL_spz00_12947+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10801),BgL_arg2108z00_12961,BgL_a2z00_12942); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2109z00_12962;obj_t BgL_arg2111z00_12963;
BgL_arg2109z00_12962 = 
(BgL_spz00_12947+((long)2)); 
BgL_arg2111z00_12963 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10801),BgL_arg2109z00_12962,BgL_arg2111z00_12963); } break;
default: 
BgL_case_else1188z00_12950:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2113z00_12951;
BgL_arg2113z00_12951 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12943), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10798, BgL_arg2113z00_12951, 
(int)(((long)2)), 
CINT(BgL_arityz00_12944)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1188z00_12950;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12964;
BgL_z12denvz12_12964 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12964, BgL_locz00_10798); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10801, 
BINT(BgL_spz00_12947), BgL_sfz00_12946))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12945, BgL_sz00_10801, 
BINT(BgL_spz00_12947));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12965;
BgL_nsz00_12965 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2115z00_12966;
BgL_arg2115z00_12966 = 
(BgL_spz00_12947+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12965, ((long)2), BgL_sz00_10801, 
BINT(BgL_spz00_12947), 
BINT(BgL_arg2115z00_12966)); } 
VECTOR_SET(BgL_nsz00_12965,((long)1),BgL_sz00_10801); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12964, BgL_nsz00_12965); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12967;
BgL_ez00_12967 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12967, BgL_sz00_10801); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12968;
BgL_____rz00_12968 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12945, BgL_nsz00_12965, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12967); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12964, BgL_sz00_10801); 
return BgL_____rz00_12968;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12940, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12969;
BgL_nbpz00_12969 = 
(
(long)CINT(BgL_bpz00_12939)+BgL_siza7eza7_10800); 
VECTOR_SET(
((obj_t)BgL_sz00_10801),((long)0),
BINT(BgL_nbpz00_12969)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17786;
BgL_tmpz00_17786 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17786, BgL_locz00_10798); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12970;
BgL_rz00_12970 = 
PROCEDURE_ENTRY(BgL_fz00_12940)(BgL_fz00_12940, BgL_a1z00_12941, BgL_a2z00_12942, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10801),((long)0),BgL_bpz00_12939); 
return BgL_rz00_12970;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10798, BgL_symbzd2funzd2_10799, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12940));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2119> */
obj_t BGl_z62zc3anonymousza32119ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10802, obj_t BgL_sz00_10809)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10803;obj_t BgL_a1z00_10804;obj_t BgL_a2z00_10805;obj_t BgL_locz00_10806;obj_t BgL_symbzd2funzd2_10807;long BgL_siza7eza7_10808;
BgL_funz00_10803 = 
PROCEDURE_REF(BgL_envz00_10802, 
(int)(((long)0))); 
BgL_a1z00_10804 = 
PROCEDURE_REF(BgL_envz00_10802, 
(int)(((long)1))); 
BgL_a2z00_10805 = 
PROCEDURE_REF(BgL_envz00_10802, 
(int)(((long)2))); 
BgL_locz00_10806 = 
PROCEDURE_REF(BgL_envz00_10802, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10807 = 
PROCEDURE_REF(BgL_envz00_10802, 
(int)(((long)4))); 
BgL_siza7eza7_10808 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10802, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12971;
BgL_bpz00_12971 = 
VECTOR_REF(
((obj_t)BgL_sz00_10809),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12972;obj_t BgL_a1z00_12973;obj_t BgL_a2z00_12974;
BgL_fz00_12972 = 
PROCEDURE_ENTRY(BgL_funz00_10803)(BgL_funz00_10803, BgL_sz00_10809, BEOA); 
BgL_a1z00_12973 = 
PROCEDURE_ENTRY(BgL_a1z00_10804)(BgL_a1z00_10804, BgL_sz00_10809, BEOA); 
BgL_a2z00_12974 = 
PROCEDURE_ENTRY(BgL_a2z00_10805)(BgL_a2z00_10805, BgL_sz00_10809, BEOA); 
if(
PROCEDUREP(BgL_fz00_12972))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10806, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_12972); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12975;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17829;
BgL_tmpz00_17829 = 
((obj_t)BgL_fz00_12972); 
BgL_ufz00_12975 = 
PROCEDURE_ATTR(BgL_tmpz00_17829); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17832;
if(
STRUCTP(BgL_ufz00_12975))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17832 = 
(
STRUCT_KEY(BgL_ufz00_12975)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17832 = ((bool_t)0)
; } 
if(BgL_testz00_17832)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12976;obj_t BgL_runz00_12977;obj_t BgL_sfz00_12978;
BgL_arityz00_12976 = 
STRUCT_REF(BgL_ufz00_12975, 
(int)(((long)0))); 
BgL_runz00_12977 = 
STRUCT_REF(BgL_ufz00_12975, 
(int)(((long)1))); 
BgL_sfz00_12978 = 
STRUCT_REF(BgL_ufz00_12975, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12979;
BgL_spz00_12979 = 
(
(long)CINT(BgL_bpz00_12971)+BgL_siza7eza7_10808); 
if(
(
(long)CINT(BgL_arityz00_12976)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2123z00_12980;
BgL_arg2123z00_12980 = 
(BgL_spz00_12979+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10809),BgL_arg2123z00_12980,BgL_a1z00_12973); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2124z00_12981;
BgL_arg2124z00_12981 = 
(BgL_spz00_12979+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10809),BgL_arg2124z00_12981,BgL_a2z00_12974); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12976))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12976)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2126z00_12984;obj_t BgL_arg2127z00_12985;
BgL_arg2126z00_12984 = 
(BgL_spz00_12979+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2128z00_12986;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2129z00_12987;
BgL_arg2129z00_12987 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12974, BNIL); 
BgL_list2128z00_12986 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12973, BgL_arg2129z00_12987); } 
BgL_arg2127z00_12985 = BgL_list2128z00_12986; } 
VECTOR_SET(
((obj_t)BgL_sz00_10809),BgL_arg2126z00_12984,BgL_arg2127z00_12985); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2130z00_12988;
BgL_arg2130z00_12988 = 
(BgL_spz00_12979+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10809),BgL_arg2130z00_12988,BgL_a1z00_12973); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2131z00_12989;obj_t BgL_arg2132z00_12990;
BgL_arg2131z00_12989 = 
(BgL_spz00_12979+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2133z00_12991;
BgL_list2133z00_12991 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12974, BNIL); 
BgL_arg2132z00_12990 = BgL_list2133z00_12991; } 
VECTOR_SET(
((obj_t)BgL_sz00_10809),BgL_arg2131z00_12989,BgL_arg2132z00_12990); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2134z00_12992;
BgL_arg2134z00_12992 = 
(BgL_spz00_12979+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10809),BgL_arg2134z00_12992,BgL_a1z00_12973); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2135z00_12993;
BgL_arg2135z00_12993 = 
(BgL_spz00_12979+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10809),BgL_arg2135z00_12993,BgL_a2z00_12974); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2136z00_12994;obj_t BgL_arg2137z00_12995;
BgL_arg2136z00_12994 = 
(BgL_spz00_12979+((long)2)); 
BgL_arg2137z00_12995 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10809),BgL_arg2136z00_12994,BgL_arg2137z00_12995); } break;
default: 
BgL_case_else1190z00_12982:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2139z00_12983;
BgL_arg2139z00_12983 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12975), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10806, BgL_arg2139z00_12983, 
(int)(((long)2)), 
CINT(BgL_arityz00_12976)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1190z00_12982;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12996;
BgL_z12denvz12_12996 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10809, 
BINT(BgL_spz00_12979), BgL_sfz00_12978))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12977, BgL_sz00_10809, 
BINT(BgL_spz00_12979));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12997;
BgL_nsz00_12997 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2141z00_12998;
BgL_arg2141z00_12998 = 
(BgL_spz00_12979+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12997, ((long)2), BgL_sz00_10809, 
BINT(BgL_spz00_12979), 
BINT(BgL_arg2141z00_12998)); } 
VECTOR_SET(BgL_nsz00_12997,((long)1),BgL_sz00_10809); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12996, BgL_nsz00_12997); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12999;
BgL_ez00_12999 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12999, BgL_sz00_10809); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13000;
BgL_____rz00_13000 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12977, BgL_nsz00_12997, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12999); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12996, BgL_sz00_10809); 
return BgL_____rz00_13000;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12972, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13001;
BgL_nbpz00_13001 = 
(
(long)CINT(BgL_bpz00_12971)+BgL_siza7eza7_10808); 
VECTOR_SET(
((obj_t)BgL_sz00_10809),((long)0),
BINT(BgL_nbpz00_13001)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13002;
BgL_rz00_13002 = 
PROCEDURE_ENTRY(BgL_fz00_12972)(BgL_fz00_12972, BgL_a1z00_12973, BgL_a2z00_12974, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10809),((long)0),BgL_bpz00_12971); 
return BgL_rz00_13002;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10806, BgL_symbzd2funzd2_10807, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12972));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call3 */
obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162, BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164, obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167, long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170, obj_t BgL_a3z00_171)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2470;
BgL_cfunz00_2470 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163, ((long)3), BgL_locz00_162, BgL_symbzd2funzd2_164); 
if(
CBOOL(BgL_cfunz00_2470))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17925;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2150z00_2490;
BgL_arg2150z00_2490 = 
bgl_debug(); 
BgL_testz00_17925 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2150z00_2490), 
BINT(((long)0))); } 
if(BgL_testz00_17925)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32147ze3z83_10810;
BgL_zc3anonymousza32147ze3z83_10810 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32147ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_10810, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_10810, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_10810, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_10810, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_10810, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_10810, 
(int)(((long)5)), BgL_cfunz00_2470); 
return BgL_zc3anonymousza32147ze3z83_10810;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32149ze3z83_10811;
BgL_zc3anonymousza32149ze3z83_10811 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32149ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza32149ze3z83_10811, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32149ze3z83_10811, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32149ze3z83_10811, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32149ze3z83_10811, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3anonymousza32149ze3z83_10811, 
(int)(((long)4)), BgL_cfunz00_2470); 
return BgL_zc3anonymousza32149ze3z83_10811;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_166))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17962;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2222z00_2602;
BgL_arg2222z00_2602 = 
bgl_debug(); 
BgL_testz00_17962 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2222z00_2602), 
BINT(((long)0))); } 
if(BgL_testz00_17962)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32153ze3z83_10812;
BgL_zc3anonymousza32153ze3z83_10812 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32153ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32153ze3z83_10812, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32153ze3z83_10812, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32153ze3z83_10812, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32153ze3z83_10812, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32153ze3z83_10812, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32153ze3z83_10812, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32153ze3z83_10812, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32153ze3z83_10812;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32188ze3z83_10813;
BgL_zc3anonymousza32188ze3z83_10813 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32188ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32188ze3z83_10813, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32188ze3z83_10813, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32188ze3z83_10813, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32188ze3z83_10813, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32188ze3z83_10813, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32188ze3z83_10813, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32188ze3z83_10813, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32188ze3z83_10813;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18003;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2294z00_2714;
BgL_arg2294z00_2714 = 
bgl_debug(); 
BgL_testz00_18003 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2294z00_2714), 
BINT(((long)0))); } 
if(BgL_testz00_18003)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32225ze3z83_10814;
BgL_zc3anonymousza32225ze3z83_10814 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32225ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_10814, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_10814, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_10814, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_10814, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_10814, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_10814, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_10814, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32225ze3z83_10814;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32260ze3z83_10815;
BgL_zc3anonymousza32260ze3z83_10815 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32260ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_10815, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_10815, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_10815, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_10815, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_10815, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_10815, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_10815, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32260ze3z83_10815;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2147> */
obj_t BGl_z62zc3anonymousza32147ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10816, obj_t BgL_sz00_10823)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10817;obj_t BgL_a2z00_10818;obj_t BgL_a3z00_10819;long BgL_siza7eza7_10820;obj_t BgL_locz00_10821;obj_t BgL_cfunz00_10822;
BgL_a1z00_10817 = 
PROCEDURE_REF(BgL_envz00_10816, 
(int)(((long)0))); 
BgL_a2z00_10818 = 
PROCEDURE_REF(BgL_envz00_10816, 
(int)(((long)1))); 
BgL_a3z00_10819 = 
PROCEDURE_REF(BgL_envz00_10816, 
(int)(((long)2))); 
BgL_siza7eza7_10820 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10816, 
(int)(((long)3)))); 
BgL_locz00_10821 = 
PROCEDURE_REF(BgL_envz00_10816, 
(int)(((long)4))); 
BgL_cfunz00_10822 = 
PROCEDURE_REF(BgL_envz00_10816, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13003;
BgL_bpz00_13003 = 
VECTOR_REF(
((obj_t)BgL_sz00_10823),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_13004;obj_t BgL_a2z00_13005;obj_t BgL_a3z00_13006;
BgL_a1z00_13004 = 
PROCEDURE_ENTRY(BgL_a1z00_10817)(BgL_a1z00_10817, BgL_sz00_10823, BEOA); 
BgL_a2z00_13005 = 
PROCEDURE_ENTRY(BgL_a2z00_10818)(BgL_a2z00_10818, BgL_sz00_10823, BEOA); 
BgL_a3z00_13006 = 
PROCEDURE_ENTRY(BgL_a3z00_10819)(BgL_a3z00_10819, BgL_sz00_10823, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13007;
BgL_nbpz00_13007 = 
(
(long)CINT(BgL_bpz00_13003)+BgL_siza7eza7_10820); 
VECTOR_SET(
((obj_t)BgL_sz00_10823),((long)0),
BINT(BgL_nbpz00_13007)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18076;
BgL_tmpz00_18076 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18076, BgL_locz00_10821); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13008;
BgL_rz00_13008 = 
PROCEDURE_ENTRY(BgL_cfunz00_10822)(BgL_cfunz00_10822, BgL_a1z00_13004, BgL_a2z00_13005, BgL_a3z00_13006, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10823),((long)0),BgL_bpz00_13003); 
return BgL_rz00_13008;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2149> */
obj_t BGl_z62zc3anonymousza32149ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10824, obj_t BgL_sz00_10830)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10825;obj_t BgL_a2z00_10826;obj_t BgL_a3z00_10827;long BgL_siza7eza7_10828;obj_t BgL_cfunz00_10829;
BgL_a1z00_10825 = 
PROCEDURE_REF(BgL_envz00_10824, 
(int)(((long)0))); 
BgL_a2z00_10826 = 
PROCEDURE_REF(BgL_envz00_10824, 
(int)(((long)1))); 
BgL_a3z00_10827 = 
PROCEDURE_REF(BgL_envz00_10824, 
(int)(((long)2))); 
BgL_siza7eza7_10828 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10824, 
(int)(((long)3)))); 
BgL_cfunz00_10829 = 
PROCEDURE_REF(BgL_envz00_10824, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13009;
BgL_bpz00_13009 = 
VECTOR_REF(
((obj_t)BgL_sz00_10830),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_13010;obj_t BgL_a2z00_13011;obj_t BgL_a3z00_13012;
BgL_a1z00_13010 = 
PROCEDURE_ENTRY(BgL_a1z00_10825)(BgL_a1z00_10825, BgL_sz00_10830, BEOA); 
BgL_a2z00_13011 = 
PROCEDURE_ENTRY(BgL_a2z00_10826)(BgL_a2z00_10826, BgL_sz00_10830, BEOA); 
BgL_a3z00_13012 = 
PROCEDURE_ENTRY(BgL_a3z00_10827)(BgL_a3z00_10827, BgL_sz00_10830, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13013;
BgL_nbpz00_13013 = 
(
(long)CINT(BgL_bpz00_13009)+BgL_siza7eza7_10828); 
VECTOR_SET(
((obj_t)BgL_sz00_10830),((long)0),
BINT(BgL_nbpz00_13013)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13014;
BgL_rz00_13014 = 
PROCEDURE_ENTRY(BgL_cfunz00_10829)(BgL_cfunz00_10829, BgL_a1z00_13010, BgL_a2z00_13011, BgL_a3z00_13012, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10830),((long)0),BgL_bpz00_13009); 
return BgL_rz00_13014;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2153> */
obj_t BGl_z62zc3anonymousza32153ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10831, obj_t BgL_sz00_10839)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10832;obj_t BgL_a1z00_10833;obj_t BgL_a2z00_10834;obj_t BgL_a3z00_10835;obj_t BgL_locz00_10836;obj_t BgL_symbzd2funzd2_10837;long BgL_siza7eza7_10838;
BgL_funz00_10832 = 
PROCEDURE_REF(BgL_envz00_10831, 
(int)(((long)0))); 
BgL_a1z00_10833 = 
PROCEDURE_REF(BgL_envz00_10831, 
(int)(((long)1))); 
BgL_a2z00_10834 = 
PROCEDURE_REF(BgL_envz00_10831, 
(int)(((long)2))); 
BgL_a3z00_10835 = 
PROCEDURE_REF(BgL_envz00_10831, 
(int)(((long)3))); 
BgL_locz00_10836 = 
PROCEDURE_REF(BgL_envz00_10831, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10837 = 
PROCEDURE_REF(BgL_envz00_10831, 
(int)(((long)5))); 
BgL_siza7eza7_10838 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10831, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13015;
BgL_bpz00_13015 = 
VECTOR_REF(
((obj_t)BgL_sz00_10839),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13016;obj_t BgL_a1z00_13017;obj_t BgL_a2z00_13018;obj_t BgL_a3z00_13019;
BgL_fz00_13016 = 
PROCEDURE_ENTRY(BgL_funz00_10832)(BgL_funz00_10832, BgL_sz00_10839, BEOA); 
BgL_a1z00_13017 = 
PROCEDURE_ENTRY(BgL_a1z00_10833)(BgL_a1z00_10833, BgL_sz00_10839, BEOA); 
BgL_a2z00_13018 = 
PROCEDURE_ENTRY(BgL_a2z00_10834)(BgL_a2z00_10834, BgL_sz00_10839, BEOA); 
BgL_a3z00_13019 = 
PROCEDURE_ENTRY(BgL_a3z00_10835)(BgL_a3z00_10835, BgL_sz00_10839, BEOA); 
if(
PROCEDUREP(BgL_fz00_13016))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10836, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_13016); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13020;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18161;
BgL_tmpz00_18161 = 
((obj_t)BgL_fz00_13016); 
BgL_ufz00_13020 = 
PROCEDURE_ATTR(BgL_tmpz00_18161); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18164;
if(
STRUCTP(BgL_ufz00_13020))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18164 = 
(
STRUCT_KEY(BgL_ufz00_13020)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18164 = ((bool_t)0)
; } 
if(BgL_testz00_18164)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13021;obj_t BgL_runz00_13022;obj_t BgL_sfz00_13023;
BgL_arityz00_13021 = 
STRUCT_REF(BgL_ufz00_13020, 
(int)(((long)0))); 
BgL_runz00_13022 = 
STRUCT_REF(BgL_ufz00_13020, 
(int)(((long)1))); 
BgL_sfz00_13023 = 
STRUCT_REF(BgL_ufz00_13020, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13021)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2157z00_13024;
BgL_arg2157z00_13024 = 
(
(long)CINT(BgL_bpz00_13015)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10839),BgL_arg2157z00_13024,BgL_a1z00_13017); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2158z00_13025;
BgL_arg2158z00_13025 = 
(
(long)CINT(BgL_bpz00_13015)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10839),BgL_arg2158z00_13025,BgL_a2z00_13018); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2159z00_13026;
BgL_arg2159z00_13026 = 
(
(long)CINT(BgL_bpz00_13015)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10839),BgL_arg2159z00_13026,BgL_a3z00_13019); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13021))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13021)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2161z00_13029;obj_t BgL_arg2162z00_13030;
BgL_arg2161z00_13029 = 
(
(long)CINT(BgL_bpz00_13015)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2163z00_13031;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2164z00_13032;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2165z00_13033;
BgL_arg2165z00_13033 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13019, BNIL); 
BgL_arg2164z00_13032 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13018, BgL_arg2165z00_13033); } 
BgL_list2163z00_13031 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13017, BgL_arg2164z00_13032); } 
BgL_arg2162z00_13030 = BgL_list2163z00_13031; } 
VECTOR_SET(
((obj_t)BgL_sz00_10839),BgL_arg2161z00_13029,BgL_arg2162z00_13030); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2166z00_13034;
BgL_arg2166z00_13034 = 
(
(long)CINT(BgL_bpz00_13015)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10839),BgL_arg2166z00_13034,BgL_a1z00_13017); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2167z00_13035;obj_t BgL_arg2168z00_13036;
BgL_arg2167z00_13035 = 
(
(long)CINT(BgL_bpz00_13015)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2169z00_13037;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2170z00_13038;
BgL_arg2170z00_13038 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13019, BNIL); 
BgL_list2169z00_13037 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13018, BgL_arg2170z00_13038); } 
BgL_arg2168z00_13036 = BgL_list2169z00_13037; } 
VECTOR_SET(
((obj_t)BgL_sz00_10839),BgL_arg2167z00_13035,BgL_arg2168z00_13036); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2171z00_13039;
BgL_arg2171z00_13039 = 
(
(long)CINT(BgL_bpz00_13015)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10839),BgL_arg2171z00_13039,BgL_a1z00_13017); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2172z00_13040;
BgL_arg2172z00_13040 = 
(
(long)CINT(BgL_bpz00_13015)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10839),BgL_arg2172z00_13040,BgL_a2z00_13018); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2173z00_13041;obj_t BgL_arg2174z00_13042;
BgL_arg2173z00_13041 = 
(
(long)CINT(BgL_bpz00_13015)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2175z00_13043;
BgL_list2175z00_13043 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13019, BNIL); 
BgL_arg2174z00_13042 = BgL_list2175z00_13043; } 
VECTOR_SET(
((obj_t)BgL_sz00_10839),BgL_arg2173z00_13041,BgL_arg2174z00_13042); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2176z00_13044;
BgL_arg2176z00_13044 = 
(
(long)CINT(BgL_bpz00_13015)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10839),BgL_arg2176z00_13044,BgL_a1z00_13017); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2177z00_13045;
BgL_arg2177z00_13045 = 
(
(long)CINT(BgL_bpz00_13015)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10839),BgL_arg2177z00_13045,BgL_a2z00_13018); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2178z00_13046;
BgL_arg2178z00_13046 = 
(
(long)CINT(BgL_bpz00_13015)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10839),BgL_arg2178z00_13046,BgL_a3z00_13019); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2179z00_13047;obj_t BgL_arg2180z00_13048;
BgL_arg2179z00_13047 = 
(
(long)CINT(BgL_bpz00_13015)+((long)3)); 
BgL_arg2180z00_13048 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10839),BgL_arg2179z00_13047,BgL_arg2180z00_13048); } break;
default: 
BgL_case_else1192z00_13027:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2182z00_13028;
BgL_arg2182z00_13028 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13020), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10836, BgL_arg2182z00_13028, 
(int)(((long)3)), 
CINT(BgL_arityz00_13021)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1192z00_13027;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13049;
BgL_z12denvz12_13049 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13049, BgL_locz00_10836); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10839, BgL_bpz00_13015, BgL_sfz00_13023))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_13022;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13050;
BgL_nsz00_13050 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2184z00_13051;
BgL_arg2184z00_13051 = 
(
(long)CINT(BgL_bpz00_13015)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13050, ((long)2), BgL_sz00_10839, BgL_bpz00_13015, 
BINT(BgL_arg2184z00_13051)); } 
VECTOR_SET(BgL_nsz00_13050,((long)1),BgL_sz00_10839); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13049, BgL_nsz00_13050); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13052;
BgL_ez00_13052 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13052, BgL_sz00_10839); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13053;
BgL_____rz00_13053 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13022, BgL_nsz00_13050, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13052); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13049, BgL_sz00_10839); 
return BgL_____rz00_13053;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13016, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13054;
BgL_nbpz00_13054 = 
(
(long)CINT(BgL_bpz00_13015)+BgL_siza7eza7_10838); 
VECTOR_SET(
((obj_t)BgL_sz00_10839),((long)0),
BINT(BgL_nbpz00_13054)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18271;
BgL_tmpz00_18271 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18271, BgL_locz00_10836); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13055;
BgL_rz00_13055 = 
PROCEDURE_ENTRY(BgL_fz00_13016)(BgL_fz00_13016, BgL_a1z00_13017, BgL_a2z00_13018, BgL_a3z00_13019, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10839),((long)0),BgL_bpz00_13015); 
return BgL_rz00_13055;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10836, BgL_symbzd2funzd2_10837, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13016));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2188> */
obj_t BGl_z62zc3anonymousza32188ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10840, obj_t BgL_sz00_10848)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10841;obj_t BgL_a1z00_10842;obj_t BgL_a2z00_10843;obj_t BgL_a3z00_10844;obj_t BgL_locz00_10845;obj_t BgL_symbzd2funzd2_10846;long BgL_siza7eza7_10847;
BgL_funz00_10841 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)0))); 
BgL_a1z00_10842 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)1))); 
BgL_a2z00_10843 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)2))); 
BgL_a3z00_10844 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)3))); 
BgL_locz00_10845 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10846 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)5))); 
BgL_siza7eza7_10847 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13056;
BgL_bpz00_13056 = 
VECTOR_REF(
((obj_t)BgL_sz00_10848),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13057;obj_t BgL_a1z00_13058;obj_t BgL_a2z00_13059;obj_t BgL_a3z00_13060;
BgL_fz00_13057 = 
PROCEDURE_ENTRY(BgL_funz00_10841)(BgL_funz00_10841, BgL_sz00_10848, BEOA); 
BgL_a1z00_13058 = 
PROCEDURE_ENTRY(BgL_a1z00_10842)(BgL_a1z00_10842, BgL_sz00_10848, BEOA); 
BgL_a2z00_13059 = 
PROCEDURE_ENTRY(BgL_a2z00_10843)(BgL_a2z00_10843, BgL_sz00_10848, BEOA); 
BgL_a3z00_13060 = 
PROCEDURE_ENTRY(BgL_a3z00_10844)(BgL_a3z00_10844, BgL_sz00_10848, BEOA); 
if(
PROCEDUREP(BgL_fz00_13057))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10845, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_13057); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13061;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18321;
BgL_tmpz00_18321 = 
((obj_t)BgL_fz00_13057); 
BgL_ufz00_13061 = 
PROCEDURE_ATTR(BgL_tmpz00_18321); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18324;
if(
STRUCTP(BgL_ufz00_13061))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18324 = 
(
STRUCT_KEY(BgL_ufz00_13061)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18324 = ((bool_t)0)
; } 
if(BgL_testz00_18324)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13062;obj_t BgL_runz00_13063;obj_t BgL_sfz00_13064;
BgL_arityz00_13062 = 
STRUCT_REF(BgL_ufz00_13061, 
(int)(((long)0))); 
BgL_runz00_13063 = 
STRUCT_REF(BgL_ufz00_13061, 
(int)(((long)1))); 
BgL_sfz00_13064 = 
STRUCT_REF(BgL_ufz00_13061, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13062)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2192z00_13065;
BgL_arg2192z00_13065 = 
(
(long)CINT(BgL_bpz00_13056)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2192z00_13065,BgL_a1z00_13058); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2193z00_13066;
BgL_arg2193z00_13066 = 
(
(long)CINT(BgL_bpz00_13056)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2193z00_13066,BgL_a2z00_13059); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2194z00_13067;
BgL_arg2194z00_13067 = 
(
(long)CINT(BgL_bpz00_13056)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2194z00_13067,BgL_a3z00_13060); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13062))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13062)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2196z00_13070;obj_t BgL_arg2197z00_13071;
BgL_arg2196z00_13070 = 
(
(long)CINT(BgL_bpz00_13056)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2198z00_13072;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2199z00_13073;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2200z00_13074;
BgL_arg2200z00_13074 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13060, BNIL); 
BgL_arg2199z00_13073 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13059, BgL_arg2200z00_13074); } 
BgL_list2198z00_13072 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13058, BgL_arg2199z00_13073); } 
BgL_arg2197z00_13071 = BgL_list2198z00_13072; } 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2196z00_13070,BgL_arg2197z00_13071); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2201z00_13075;
BgL_arg2201z00_13075 = 
(
(long)CINT(BgL_bpz00_13056)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2201z00_13075,BgL_a1z00_13058); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2202z00_13076;obj_t BgL_arg2203z00_13077;
BgL_arg2202z00_13076 = 
(
(long)CINT(BgL_bpz00_13056)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2204z00_13078;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2205z00_13079;
BgL_arg2205z00_13079 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13060, BNIL); 
BgL_list2204z00_13078 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13059, BgL_arg2205z00_13079); } 
BgL_arg2203z00_13077 = BgL_list2204z00_13078; } 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2202z00_13076,BgL_arg2203z00_13077); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2206z00_13080;
BgL_arg2206z00_13080 = 
(
(long)CINT(BgL_bpz00_13056)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2206z00_13080,BgL_a1z00_13058); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2207z00_13081;
BgL_arg2207z00_13081 = 
(
(long)CINT(BgL_bpz00_13056)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2207z00_13081,BgL_a2z00_13059); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2208z00_13082;obj_t BgL_arg2209z00_13083;
BgL_arg2208z00_13082 = 
(
(long)CINT(BgL_bpz00_13056)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2210z00_13084;
BgL_list2210z00_13084 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13060, BNIL); 
BgL_arg2209z00_13083 = BgL_list2210z00_13084; } 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2208z00_13082,BgL_arg2209z00_13083); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2211z00_13085;
BgL_arg2211z00_13085 = 
(
(long)CINT(BgL_bpz00_13056)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2211z00_13085,BgL_a1z00_13058); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2212z00_13086;
BgL_arg2212z00_13086 = 
(
(long)CINT(BgL_bpz00_13056)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2212z00_13086,BgL_a2z00_13059); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2213z00_13087;
BgL_arg2213z00_13087 = 
(
(long)CINT(BgL_bpz00_13056)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2213z00_13087,BgL_a3z00_13060); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2214z00_13088;obj_t BgL_arg2215z00_13089;
BgL_arg2214z00_13088 = 
(
(long)CINT(BgL_bpz00_13056)+((long)3)); 
BgL_arg2215z00_13089 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2214z00_13088,BgL_arg2215z00_13089); } break;
default: 
BgL_case_else1194z00_13068:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2217z00_13069;
BgL_arg2217z00_13069 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13061), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10845, BgL_arg2217z00_13069, 
(int)(((long)3)), 
CINT(BgL_arityz00_13062)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1194z00_13068;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13090;
BgL_z12denvz12_13090 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10848, BgL_bpz00_13056, BgL_sfz00_13064))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_13063;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13091;
BgL_nsz00_13091 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2219z00_13092;
BgL_arg2219z00_13092 = 
(
(long)CINT(BgL_bpz00_13056)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13091, ((long)2), BgL_sz00_10848, BgL_bpz00_13056, 
BINT(BgL_arg2219z00_13092)); } 
VECTOR_SET(BgL_nsz00_13091,((long)1),BgL_sz00_10848); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13090, BgL_nsz00_13091); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13093;
BgL_ez00_13093 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13093, BgL_sz00_10848); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13094;
BgL_____rz00_13094 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13063, BgL_nsz00_13091, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13093); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13090, BgL_sz00_10848); 
return BgL_____rz00_13094;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13057, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13095;
BgL_nbpz00_13095 = 
(
(long)CINT(BgL_bpz00_13056)+BgL_siza7eza7_10847); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),((long)0),
BINT(BgL_nbpz00_13095)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13096;
BgL_rz00_13096 = 
PROCEDURE_ENTRY(BgL_fz00_13057)(BgL_fz00_13057, BgL_a1z00_13058, BgL_a2z00_13059, BgL_a3z00_13060, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),((long)0),BgL_bpz00_13056); 
return BgL_rz00_13096;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10845, BgL_symbzd2funzd2_10846, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13057));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2225> */
obj_t BGl_z62zc3anonymousza32225ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10849, obj_t BgL_sz00_10857)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10850;obj_t BgL_a1z00_10851;obj_t BgL_a2z00_10852;obj_t BgL_a3z00_10853;obj_t BgL_locz00_10854;obj_t BgL_symbzd2funzd2_10855;long BgL_siza7eza7_10856;
BgL_funz00_10850 = 
PROCEDURE_REF(BgL_envz00_10849, 
(int)(((long)0))); 
BgL_a1z00_10851 = 
PROCEDURE_REF(BgL_envz00_10849, 
(int)(((long)1))); 
BgL_a2z00_10852 = 
PROCEDURE_REF(BgL_envz00_10849, 
(int)(((long)2))); 
BgL_a3z00_10853 = 
PROCEDURE_REF(BgL_envz00_10849, 
(int)(((long)3))); 
BgL_locz00_10854 = 
PROCEDURE_REF(BgL_envz00_10849, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10855 = 
PROCEDURE_REF(BgL_envz00_10849, 
(int)(((long)5))); 
BgL_siza7eza7_10856 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10849, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13097;
BgL_bpz00_13097 = 
VECTOR_REF(
((obj_t)BgL_sz00_10857),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13098;obj_t BgL_a1z00_13099;obj_t BgL_a2z00_13100;obj_t BgL_a3z00_13101;
BgL_fz00_13098 = 
PROCEDURE_ENTRY(BgL_funz00_10850)(BgL_funz00_10850, BgL_sz00_10857, BEOA); 
BgL_a1z00_13099 = 
PROCEDURE_ENTRY(BgL_a1z00_10851)(BgL_a1z00_10851, BgL_sz00_10857, BEOA); 
BgL_a2z00_13100 = 
PROCEDURE_ENTRY(BgL_a2z00_10852)(BgL_a2z00_10852, BgL_sz00_10857, BEOA); 
BgL_a3z00_13101 = 
PROCEDURE_ENTRY(BgL_a3z00_10853)(BgL_a3z00_10853, BgL_sz00_10857, BEOA); 
if(
PROCEDUREP(BgL_fz00_13098))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10854, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_13098); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13102;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18477;
BgL_tmpz00_18477 = 
((obj_t)BgL_fz00_13098); 
BgL_ufz00_13102 = 
PROCEDURE_ATTR(BgL_tmpz00_18477); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18480;
if(
STRUCTP(BgL_ufz00_13102))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18480 = 
(
STRUCT_KEY(BgL_ufz00_13102)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18480 = ((bool_t)0)
; } 
if(BgL_testz00_18480)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13103;obj_t BgL_runz00_13104;obj_t BgL_sfz00_13105;
BgL_arityz00_13103 = 
STRUCT_REF(BgL_ufz00_13102, 
(int)(((long)0))); 
BgL_runz00_13104 = 
STRUCT_REF(BgL_ufz00_13102, 
(int)(((long)1))); 
BgL_sfz00_13105 = 
STRUCT_REF(BgL_ufz00_13102, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13106;
BgL_spz00_13106 = 
(
(long)CINT(BgL_bpz00_13097)+BgL_siza7eza7_10856); 
if(
(
(long)CINT(BgL_arityz00_13103)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2229z00_13107;
BgL_arg2229z00_13107 = 
(BgL_spz00_13106+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2229z00_13107,BgL_a1z00_13099); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2230z00_13108;
BgL_arg2230z00_13108 = 
(BgL_spz00_13106+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2230z00_13108,BgL_a2z00_13100); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2231z00_13109;
BgL_arg2231z00_13109 = 
(BgL_spz00_13106+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2231z00_13109,BgL_a3z00_13101); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13103))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13103)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2233z00_13112;obj_t BgL_arg2234z00_13113;
BgL_arg2233z00_13112 = 
(BgL_spz00_13106+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2235z00_13114;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2236z00_13115;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2237z00_13116;
BgL_arg2237z00_13116 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13101, BNIL); 
BgL_arg2236z00_13115 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13100, BgL_arg2237z00_13116); } 
BgL_list2235z00_13114 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13099, BgL_arg2236z00_13115); } 
BgL_arg2234z00_13113 = BgL_list2235z00_13114; } 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2233z00_13112,BgL_arg2234z00_13113); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2238z00_13117;
BgL_arg2238z00_13117 = 
(BgL_spz00_13106+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2238z00_13117,BgL_a1z00_13099); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2239z00_13118;obj_t BgL_arg2240z00_13119;
BgL_arg2239z00_13118 = 
(BgL_spz00_13106+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2241z00_13120;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2242z00_13121;
BgL_arg2242z00_13121 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13101, BNIL); 
BgL_list2241z00_13120 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13100, BgL_arg2242z00_13121); } 
BgL_arg2240z00_13119 = BgL_list2241z00_13120; } 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2239z00_13118,BgL_arg2240z00_13119); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2243z00_13122;
BgL_arg2243z00_13122 = 
(BgL_spz00_13106+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2243z00_13122,BgL_a1z00_13099); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2244z00_13123;
BgL_arg2244z00_13123 = 
(BgL_spz00_13106+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2244z00_13123,BgL_a2z00_13100); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2245z00_13124;obj_t BgL_arg2246z00_13125;
BgL_arg2245z00_13124 = 
(BgL_spz00_13106+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2247z00_13126;
BgL_list2247z00_13126 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13101, BNIL); 
BgL_arg2246z00_13125 = BgL_list2247z00_13126; } 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2245z00_13124,BgL_arg2246z00_13125); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2248z00_13127;
BgL_arg2248z00_13127 = 
(BgL_spz00_13106+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2248z00_13127,BgL_a1z00_13099); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2249z00_13128;
BgL_arg2249z00_13128 = 
(BgL_spz00_13106+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2249z00_13128,BgL_a2z00_13100); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2250z00_13129;
BgL_arg2250z00_13129 = 
(BgL_spz00_13106+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2250z00_13129,BgL_a3z00_13101); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2251z00_13130;obj_t BgL_arg2252z00_13131;
BgL_arg2251z00_13130 = 
(BgL_spz00_13106+((long)3)); 
BgL_arg2252z00_13131 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2251z00_13130,BgL_arg2252z00_13131); } break;
default: 
BgL_case_else1196z00_13110:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2254z00_13111;
BgL_arg2254z00_13111 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13102), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10854, BgL_arg2254z00_13111, 
(int)(((long)3)), 
CINT(BgL_arityz00_13103)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1196z00_13110;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13132;
BgL_z12denvz12_13132 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13132, BgL_locz00_10854); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10857, 
BINT(BgL_spz00_13106), BgL_sfz00_13105))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13104, BgL_sz00_10857, 
BINT(BgL_spz00_13106));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13133;
BgL_nsz00_13133 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2256z00_13134;
BgL_arg2256z00_13134 = 
(BgL_spz00_13106+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13133, ((long)2), BgL_sz00_10857, 
BINT(BgL_spz00_13106), 
BINT(BgL_arg2256z00_13134)); } 
VECTOR_SET(BgL_nsz00_13133,((long)1),BgL_sz00_10857); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13132, BgL_nsz00_13133); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13135;
BgL_ez00_13135 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13135, BgL_sz00_10857); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13136;
BgL_____rz00_13136 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13104, BgL_nsz00_13133, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13135); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13132, BgL_sz00_10857); 
return BgL_____rz00_13136;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13098, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13137;
BgL_nbpz00_13137 = 
(
(long)CINT(BgL_bpz00_13097)+BgL_siza7eza7_10856); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),((long)0),
BINT(BgL_nbpz00_13137)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18579;
BgL_tmpz00_18579 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18579, BgL_locz00_10854); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13138;
BgL_rz00_13138 = 
PROCEDURE_ENTRY(BgL_fz00_13098)(BgL_fz00_13098, BgL_a1z00_13099, BgL_a2z00_13100, BgL_a3z00_13101, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),((long)0),BgL_bpz00_13097); 
return BgL_rz00_13138;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10854, BgL_symbzd2funzd2_10855, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13098));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2260> */
obj_t BGl_z62zc3anonymousza32260ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10858, obj_t BgL_sz00_10866)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10859;obj_t BgL_a1z00_10860;obj_t BgL_a2z00_10861;obj_t BgL_a3z00_10862;obj_t BgL_locz00_10863;obj_t BgL_symbzd2funzd2_10864;long BgL_siza7eza7_10865;
BgL_funz00_10859 = 
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)0))); 
BgL_a1z00_10860 = 
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)1))); 
BgL_a2z00_10861 = 
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)2))); 
BgL_a3z00_10862 = 
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)3))); 
BgL_locz00_10863 = 
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10864 = 
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)5))); 
BgL_siza7eza7_10865 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13139;
BgL_bpz00_13139 = 
VECTOR_REF(
((obj_t)BgL_sz00_10866),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13140;obj_t BgL_a1z00_13141;obj_t BgL_a2z00_13142;obj_t BgL_a3z00_13143;
BgL_fz00_13140 = 
PROCEDURE_ENTRY(BgL_funz00_10859)(BgL_funz00_10859, BgL_sz00_10866, BEOA); 
BgL_a1z00_13141 = 
PROCEDURE_ENTRY(BgL_a1z00_10860)(BgL_a1z00_10860, BgL_sz00_10866, BEOA); 
BgL_a2z00_13142 = 
PROCEDURE_ENTRY(BgL_a2z00_10861)(BgL_a2z00_10861, BgL_sz00_10866, BEOA); 
BgL_a3z00_13143 = 
PROCEDURE_ENTRY(BgL_a3z00_10862)(BgL_a3z00_10862, BgL_sz00_10866, BEOA); 
if(
PROCEDUREP(BgL_fz00_13140))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10863, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_13140); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13144;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18629;
BgL_tmpz00_18629 = 
((obj_t)BgL_fz00_13140); 
BgL_ufz00_13144 = 
PROCEDURE_ATTR(BgL_tmpz00_18629); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18632;
if(
STRUCTP(BgL_ufz00_13144))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18632 = 
(
STRUCT_KEY(BgL_ufz00_13144)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18632 = ((bool_t)0)
; } 
if(BgL_testz00_18632)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13145;obj_t BgL_runz00_13146;obj_t BgL_sfz00_13147;
BgL_arityz00_13145 = 
STRUCT_REF(BgL_ufz00_13144, 
(int)(((long)0))); 
BgL_runz00_13146 = 
STRUCT_REF(BgL_ufz00_13144, 
(int)(((long)1))); 
BgL_sfz00_13147 = 
STRUCT_REF(BgL_ufz00_13144, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13148;
BgL_spz00_13148 = 
(
(long)CINT(BgL_bpz00_13139)+BgL_siza7eza7_10865); 
if(
(
(long)CINT(BgL_arityz00_13145)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2264z00_13149;
BgL_arg2264z00_13149 = 
(BgL_spz00_13148+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2264z00_13149,BgL_a1z00_13141); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2265z00_13150;
BgL_arg2265z00_13150 = 
(BgL_spz00_13148+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2265z00_13150,BgL_a2z00_13142); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2266z00_13151;
BgL_arg2266z00_13151 = 
(BgL_spz00_13148+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2266z00_13151,BgL_a3z00_13143); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13145))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13145)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2268z00_13154;obj_t BgL_arg2269z00_13155;
BgL_arg2268z00_13154 = 
(BgL_spz00_13148+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2270z00_13156;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2271z00_13157;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2272z00_13158;
BgL_arg2272z00_13158 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13143, BNIL); 
BgL_arg2271z00_13157 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13142, BgL_arg2272z00_13158); } 
BgL_list2270z00_13156 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13141, BgL_arg2271z00_13157); } 
BgL_arg2269z00_13155 = BgL_list2270z00_13156; } 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2268z00_13154,BgL_arg2269z00_13155); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2273z00_13159;
BgL_arg2273z00_13159 = 
(BgL_spz00_13148+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2273z00_13159,BgL_a1z00_13141); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2274z00_13160;obj_t BgL_arg2275z00_13161;
BgL_arg2274z00_13160 = 
(BgL_spz00_13148+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2276z00_13162;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2277z00_13163;
BgL_arg2277z00_13163 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13143, BNIL); 
BgL_list2276z00_13162 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13142, BgL_arg2277z00_13163); } 
BgL_arg2275z00_13161 = BgL_list2276z00_13162; } 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2274z00_13160,BgL_arg2275z00_13161); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2278z00_13164;
BgL_arg2278z00_13164 = 
(BgL_spz00_13148+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2278z00_13164,BgL_a1z00_13141); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2279z00_13165;
BgL_arg2279z00_13165 = 
(BgL_spz00_13148+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2279z00_13165,BgL_a2z00_13142); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2280z00_13166;obj_t BgL_arg2281z00_13167;
BgL_arg2280z00_13166 = 
(BgL_spz00_13148+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2282z00_13168;
BgL_list2282z00_13168 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13143, BNIL); 
BgL_arg2281z00_13167 = BgL_list2282z00_13168; } 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2280z00_13166,BgL_arg2281z00_13167); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2283z00_13169;
BgL_arg2283z00_13169 = 
(BgL_spz00_13148+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2283z00_13169,BgL_a1z00_13141); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2284z00_13170;
BgL_arg2284z00_13170 = 
(BgL_spz00_13148+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2284z00_13170,BgL_a2z00_13142); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2285z00_13171;
BgL_arg2285z00_13171 = 
(BgL_spz00_13148+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2285z00_13171,BgL_a3z00_13143); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2286z00_13172;obj_t BgL_arg2287z00_13173;
BgL_arg2286z00_13172 = 
(BgL_spz00_13148+((long)3)); 
BgL_arg2287z00_13173 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2286z00_13172,BgL_arg2287z00_13173); } break;
default: 
BgL_case_else1198z00_13152:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2289z00_13153;
BgL_arg2289z00_13153 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13144), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10863, BgL_arg2289z00_13153, 
(int)(((long)3)), 
CINT(BgL_arityz00_13145)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1198z00_13152;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13174;
BgL_z12denvz12_13174 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10866, 
BINT(BgL_spz00_13148), BgL_sfz00_13147))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13146, BgL_sz00_10866, 
BINT(BgL_spz00_13148));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13175;
BgL_nsz00_13175 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2291z00_13176;
BgL_arg2291z00_13176 = 
(BgL_spz00_13148+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13175, ((long)2), BgL_sz00_10866, 
BINT(BgL_spz00_13148), 
BINT(BgL_arg2291z00_13176)); } 
VECTOR_SET(BgL_nsz00_13175,((long)1),BgL_sz00_10866); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13174, BgL_nsz00_13175); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13177;
BgL_ez00_13177 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13177, BgL_sz00_10866); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13178;
BgL_____rz00_13178 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13146, BgL_nsz00_13175, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13177); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13174, BgL_sz00_10866); 
return BgL_____rz00_13178;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13140, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13179;
BgL_nbpz00_13179 = 
(
(long)CINT(BgL_bpz00_13139)+BgL_siza7eza7_10865); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),((long)0),
BINT(BgL_nbpz00_13179)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13180;
BgL_rz00_13180 = 
PROCEDURE_ENTRY(BgL_fz00_13140)(BgL_fz00_13140, BgL_a1z00_13141, BgL_a2z00_13142, BgL_a3z00_13143, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),((long)0),BgL_bpz00_13139); 
return BgL_rz00_13180;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10863, BgL_symbzd2funzd2_10864, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13140));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call4 */
obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172, BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174, obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177, long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180, obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2715;
BgL_cfunz00_2715 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173, ((long)4), BgL_locz00_172, BgL_symbzd2funzd2_174); 
if(
CBOOL(BgL_cfunz00_2715))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18744;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2300z00_2737;
BgL_arg2300z00_2737 = 
bgl_debug(); 
BgL_testz00_18744 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2300z00_2737), 
BINT(((long)0))); } 
if(BgL_testz00_18744)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32297ze3z83_10867;
BgL_zc3anonymousza32297ze3z83_10867 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32297ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32297ze3z83_10867, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32297ze3z83_10867, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32297ze3z83_10867, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32297ze3z83_10867, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32297ze3z83_10867, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3anonymousza32297ze3z83_10867, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32297ze3z83_10867, 
(int)(((long)6)), BgL_cfunz00_2715); 
return BgL_zc3anonymousza32297ze3z83_10867;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32299ze3z83_10868;
BgL_zc3anonymousza32299ze3z83_10868 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32299ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32299ze3z83_10868, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32299ze3z83_10868, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32299ze3z83_10868, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32299ze3z83_10868, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32299ze3z83_10868, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3anonymousza32299ze3z83_10868, 
(int)(((long)5)), BgL_cfunz00_2715); 
return BgL_zc3anonymousza32299ze3z83_10868;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_176))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18785;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2394z00_2873;
BgL_arg2394z00_2873 = 
bgl_debug(); 
BgL_testz00_18785 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2394z00_2873), 
BINT(((long)0))); } 
if(BgL_testz00_18785)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32303ze3z83_10869;
BgL_zc3anonymousza32303ze3z83_10869 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32303ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10869, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10869, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10869, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10869, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10869, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10869, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10869, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_10869, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32303ze3z83_10869;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32349ze3z83_10870;
BgL_zc3anonymousza32349ze3z83_10870 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32349ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10870, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10870, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10870, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10870, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10870, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10870, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10870, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_10870, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32349ze3z83_10870;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18830;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2488z00_3009;
BgL_arg2488z00_3009 = 
bgl_debug(); 
BgL_testz00_18830 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2488z00_3009), 
BINT(((long)0))); } 
if(BgL_testz00_18830)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32397ze3z83_10871;
BgL_zc3anonymousza32397ze3z83_10871 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32397ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10871, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10871, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10871, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10871, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10871, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10871, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10871, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32397ze3z83_10871, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32397ze3z83_10871;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32443ze3z83_10872;
BgL_zc3anonymousza32443ze3z83_10872 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32443ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10872, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10872, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10872, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10872, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10872, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10872, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10872, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32443ze3z83_10872, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32443ze3z83_10872;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2297> */
obj_t BGl_z62zc3anonymousza32297ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10873, obj_t BgL_sz00_10881)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10874;obj_t BgL_a2z00_10875;obj_t BgL_a3z00_10876;obj_t BgL_a4z00_10877;long BgL_siza7eza7_10878;obj_t BgL_locz00_10879;obj_t BgL_cfunz00_10880;
BgL_a1z00_10874 = 
PROCEDURE_REF(BgL_envz00_10873, 
(int)(((long)0))); 
BgL_a2z00_10875 = 
PROCEDURE_REF(BgL_envz00_10873, 
(int)(((long)1))); 
BgL_a3z00_10876 = 
PROCEDURE_REF(BgL_envz00_10873, 
(int)(((long)2))); 
BgL_a4z00_10877 = 
PROCEDURE_REF(BgL_envz00_10873, 
(int)(((long)3))); 
BgL_siza7eza7_10878 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10873, 
(int)(((long)4)))); 
BgL_locz00_10879 = 
PROCEDURE_REF(BgL_envz00_10873, 
(int)(((long)5))); 
BgL_cfunz00_10880 = 
PROCEDURE_REF(BgL_envz00_10873, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13181;
BgL_bpz00_13181 = 
VECTOR_REF(
((obj_t)BgL_sz00_10881),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_13182;obj_t BgL_a2z00_13183;obj_t BgL_a3z00_13184;obj_t BgL_a4z00_13185;
BgL_a1z00_13182 = 
PROCEDURE_ENTRY(BgL_a1z00_10874)(BgL_a1z00_10874, BgL_sz00_10881, BEOA); 
BgL_a2z00_13183 = 
PROCEDURE_ENTRY(BgL_a2z00_10875)(BgL_a2z00_10875, BgL_sz00_10881, BEOA); 
BgL_a3z00_13184 = 
PROCEDURE_ENTRY(BgL_a3z00_10876)(BgL_a3z00_10876, BgL_sz00_10881, BEOA); 
BgL_a4z00_13185 = 
PROCEDURE_ENTRY(BgL_a4z00_10877)(BgL_a4z00_10877, BgL_sz00_10881, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13186;
BgL_nbpz00_13186 = 
(
(long)CINT(BgL_bpz00_13181)+BgL_siza7eza7_10878); 
VECTOR_SET(
((obj_t)BgL_sz00_10881),((long)0),
BINT(BgL_nbpz00_13186)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18913;
BgL_tmpz00_18913 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18913, BgL_locz00_10879); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13187;
BgL_rz00_13187 = 
PROCEDURE_ENTRY(BgL_cfunz00_10880)(BgL_cfunz00_10880, BgL_a1z00_13182, BgL_a2z00_13183, BgL_a3z00_13184, BgL_a4z00_13185, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10881),((long)0),BgL_bpz00_13181); 
return BgL_rz00_13187;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2299> */
obj_t BGl_z62zc3anonymousza32299ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10882, obj_t BgL_sz00_10889)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10883;obj_t BgL_a2z00_10884;obj_t BgL_a3z00_10885;obj_t BgL_a4z00_10886;long BgL_siza7eza7_10887;obj_t BgL_cfunz00_10888;
BgL_a1z00_10883 = 
PROCEDURE_REF(BgL_envz00_10882, 
(int)(((long)0))); 
BgL_a2z00_10884 = 
PROCEDURE_REF(BgL_envz00_10882, 
(int)(((long)1))); 
BgL_a3z00_10885 = 
PROCEDURE_REF(BgL_envz00_10882, 
(int)(((long)2))); 
BgL_a4z00_10886 = 
PROCEDURE_REF(BgL_envz00_10882, 
(int)(((long)3))); 
BgL_siza7eza7_10887 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10882, 
(int)(((long)4)))); 
BgL_cfunz00_10888 = 
PROCEDURE_REF(BgL_envz00_10882, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13188;
BgL_bpz00_13188 = 
VECTOR_REF(
((obj_t)BgL_sz00_10889),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_13189;obj_t BgL_a2z00_13190;obj_t BgL_a3z00_13191;obj_t BgL_a4z00_13192;
BgL_a1z00_13189 = 
PROCEDURE_ENTRY(BgL_a1z00_10883)(BgL_a1z00_10883, BgL_sz00_10889, BEOA); 
BgL_a2z00_13190 = 
PROCEDURE_ENTRY(BgL_a2z00_10884)(BgL_a2z00_10884, BgL_sz00_10889, BEOA); 
BgL_a3z00_13191 = 
PROCEDURE_ENTRY(BgL_a3z00_10885)(BgL_a3z00_10885, BgL_sz00_10889, BEOA); 
BgL_a4z00_13192 = 
PROCEDURE_ENTRY(BgL_a4z00_10886)(BgL_a4z00_10886, BgL_sz00_10889, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13193;
BgL_nbpz00_13193 = 
(
(long)CINT(BgL_bpz00_13188)+BgL_siza7eza7_10887); 
VECTOR_SET(
((obj_t)BgL_sz00_10889),((long)0),
BINT(BgL_nbpz00_13193)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13194;
BgL_rz00_13194 = 
PROCEDURE_ENTRY(BgL_cfunz00_10888)(BgL_cfunz00_10888, BgL_a1z00_13189, BgL_a2z00_13190, BgL_a3z00_13191, BgL_a4z00_13192, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10889),((long)0),BgL_bpz00_13188); 
return BgL_rz00_13194;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2303> */
obj_t BGl_z62zc3anonymousza32303ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10890, obj_t BgL_sz00_10899)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10891;obj_t BgL_a1z00_10892;obj_t BgL_a2z00_10893;obj_t BgL_a3z00_10894;obj_t BgL_a4z00_10895;obj_t BgL_locz00_10896;obj_t BgL_symbzd2funzd2_10897;long BgL_siza7eza7_10898;
BgL_funz00_10891 = 
PROCEDURE_REF(BgL_envz00_10890, 
(int)(((long)0))); 
BgL_a1z00_10892 = 
PROCEDURE_REF(BgL_envz00_10890, 
(int)(((long)1))); 
BgL_a2z00_10893 = 
PROCEDURE_REF(BgL_envz00_10890, 
(int)(((long)2))); 
BgL_a3z00_10894 = 
PROCEDURE_REF(BgL_envz00_10890, 
(int)(((long)3))); 
BgL_a4z00_10895 = 
PROCEDURE_REF(BgL_envz00_10890, 
(int)(((long)4))); 
BgL_locz00_10896 = 
PROCEDURE_REF(BgL_envz00_10890, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10897 = 
PROCEDURE_REF(BgL_envz00_10890, 
(int)(((long)6))); 
BgL_siza7eza7_10898 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10890, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13195;
BgL_bpz00_13195 = 
VECTOR_REF(
((obj_t)BgL_sz00_10899),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13196;obj_t BgL_a1z00_13197;obj_t BgL_a2z00_13198;obj_t BgL_a3z00_13199;obj_t BgL_a4z00_13200;
BgL_fz00_13196 = 
PROCEDURE_ENTRY(BgL_funz00_10891)(BgL_funz00_10891, BgL_sz00_10899, BEOA); 
BgL_a1z00_13197 = 
PROCEDURE_ENTRY(BgL_a1z00_10892)(BgL_a1z00_10892, BgL_sz00_10899, BEOA); 
BgL_a2z00_13198 = 
PROCEDURE_ENTRY(BgL_a2z00_10893)(BgL_a2z00_10893, BgL_sz00_10899, BEOA); 
BgL_a3z00_13199 = 
PROCEDURE_ENTRY(BgL_a3z00_10894)(BgL_a3z00_10894, BgL_sz00_10899, BEOA); 
BgL_a4z00_13200 = 
PROCEDURE_ENTRY(BgL_a4z00_10895)(BgL_a4z00_10895, BgL_sz00_10899, BEOA); 
if(
PROCEDUREP(BgL_fz00_13196))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10896, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_13196); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13201;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19012;
BgL_tmpz00_19012 = 
((obj_t)BgL_fz00_13196); 
BgL_ufz00_13201 = 
PROCEDURE_ATTR(BgL_tmpz00_19012); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_19015;
if(
STRUCTP(BgL_ufz00_13201))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19015 = 
(
STRUCT_KEY(BgL_ufz00_13201)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19015 = ((bool_t)0)
; } 
if(BgL_testz00_19015)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13202;obj_t BgL_runz00_13203;obj_t BgL_sfz00_13204;
BgL_arityz00_13202 = 
STRUCT_REF(BgL_ufz00_13201, 
(int)(((long)0))); 
BgL_runz00_13203 = 
STRUCT_REF(BgL_ufz00_13201, 
(int)(((long)1))); 
BgL_sfz00_13204 = 
STRUCT_REF(BgL_ufz00_13201, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13202)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2307z00_13205;
BgL_arg2307z00_13205 = 
(
(long)CINT(BgL_bpz00_13195)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2307z00_13205,BgL_a1z00_13197); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2308z00_13206;
BgL_arg2308z00_13206 = 
(
(long)CINT(BgL_bpz00_13195)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2308z00_13206,BgL_a2z00_13198); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2309z00_13207;
BgL_arg2309z00_13207 = 
(
(long)CINT(BgL_bpz00_13195)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2309z00_13207,BgL_a3z00_13199); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2310z00_13208;
BgL_arg2310z00_13208 = 
(
(long)CINT(BgL_bpz00_13195)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2310z00_13208,BgL_a4z00_13200); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13202))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13202)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2312z00_13211;obj_t BgL_arg2313z00_13212;
BgL_arg2312z00_13211 = 
(
(long)CINT(BgL_bpz00_13195)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2314z00_13213;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2315z00_13214;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2316z00_13215;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2317z00_13216;
BgL_arg2317z00_13216 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13200, BNIL); 
BgL_arg2316z00_13215 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13199, BgL_arg2317z00_13216); } 
BgL_arg2315z00_13214 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13198, BgL_arg2316z00_13215); } 
BgL_list2314z00_13213 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13197, BgL_arg2315z00_13214); } 
BgL_arg2313z00_13212 = BgL_list2314z00_13213; } 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2312z00_13211,BgL_arg2313z00_13212); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2318z00_13217;
BgL_arg2318z00_13217 = 
(
(long)CINT(BgL_bpz00_13195)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2318z00_13217,BgL_a1z00_13197); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2319z00_13218;obj_t BgL_arg2320z00_13219;
BgL_arg2319z00_13218 = 
(
(long)CINT(BgL_bpz00_13195)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2321z00_13220;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2322z00_13221;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2323z00_13222;
BgL_arg2323z00_13222 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13200, BNIL); 
BgL_arg2322z00_13221 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13199, BgL_arg2323z00_13222); } 
BgL_list2321z00_13220 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13198, BgL_arg2322z00_13221); } 
BgL_arg2320z00_13219 = BgL_list2321z00_13220; } 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2319z00_13218,BgL_arg2320z00_13219); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2324z00_13223;
BgL_arg2324z00_13223 = 
(
(long)CINT(BgL_bpz00_13195)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2324z00_13223,BgL_a1z00_13197); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2325z00_13224;
BgL_arg2325z00_13224 = 
(
(long)CINT(BgL_bpz00_13195)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2325z00_13224,BgL_a2z00_13198); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2326z00_13225;obj_t BgL_arg2327z00_13226;
BgL_arg2326z00_13225 = 
(
(long)CINT(BgL_bpz00_13195)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2328z00_13227;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2329z00_13228;
BgL_arg2329z00_13228 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13200, BNIL); 
BgL_list2328z00_13227 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13199, BgL_arg2329z00_13228); } 
BgL_arg2327z00_13226 = BgL_list2328z00_13227; } 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2326z00_13225,BgL_arg2327z00_13226); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2330z00_13229;
BgL_arg2330z00_13229 = 
(
(long)CINT(BgL_bpz00_13195)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2330z00_13229,BgL_a1z00_13197); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2331z00_13230;
BgL_arg2331z00_13230 = 
(
(long)CINT(BgL_bpz00_13195)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2331z00_13230,BgL_a2z00_13198); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2332z00_13231;
BgL_arg2332z00_13231 = 
(
(long)CINT(BgL_bpz00_13195)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2332z00_13231,BgL_a3z00_13199); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2333z00_13232;obj_t BgL_arg2334z00_13233;
BgL_arg2333z00_13232 = 
(
(long)CINT(BgL_bpz00_13195)+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2335z00_13234;
BgL_list2335z00_13234 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13200, BNIL); 
BgL_arg2334z00_13233 = BgL_list2335z00_13234; } 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2333z00_13232,BgL_arg2334z00_13233); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2336z00_13235;
BgL_arg2336z00_13235 = 
(
(long)CINT(BgL_bpz00_13195)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2336z00_13235,BgL_a1z00_13197); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2337z00_13236;
BgL_arg2337z00_13236 = 
(
(long)CINT(BgL_bpz00_13195)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2337z00_13236,BgL_a2z00_13198); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2338z00_13237;
BgL_arg2338z00_13237 = 
(
(long)CINT(BgL_bpz00_13195)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2338z00_13237,BgL_a3z00_13199); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2339z00_13238;
BgL_arg2339z00_13238 = 
(
(long)CINT(BgL_bpz00_13195)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2339z00_13238,BgL_a4z00_13200); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2340z00_13239;obj_t BgL_arg2341z00_13240;
BgL_arg2340z00_13239 = 
(
(long)CINT(BgL_bpz00_13195)+((long)4)); 
BgL_arg2341z00_13240 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10899),BgL_arg2340z00_13239,BgL_arg2341z00_13240); } break;
default: 
BgL_case_else1200z00_13209:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2343z00_13210;
BgL_arg2343z00_13210 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13201), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10896, BgL_arg2343z00_13210, 
(int)(((long)4)), 
CINT(BgL_arityz00_13202)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1200z00_13209;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13241;
BgL_z12denvz12_13241 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13241, BgL_locz00_10896); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10899, BgL_bpz00_13195, BgL_sfz00_13204))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_13203;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13242;
BgL_nsz00_13242 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2345z00_13243;
BgL_arg2345z00_13243 = 
(
(long)CINT(BgL_bpz00_13195)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13242, ((long)2), BgL_sz00_10899, BgL_bpz00_13195, 
BINT(BgL_arg2345z00_13243)); } 
VECTOR_SET(BgL_nsz00_13242,((long)1),BgL_sz00_10899); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13241, BgL_nsz00_13242); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13244;
BgL_ez00_13244 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13244, BgL_sz00_10899); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13245;
BgL_____rz00_13245 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13203, BgL_nsz00_13242, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13244); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13241, BgL_sz00_10899); 
return BgL_____rz00_13245;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13196, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13246;
BgL_nbpz00_13246 = 
(
(long)CINT(BgL_bpz00_13195)+BgL_siza7eza7_10898); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),((long)0),
BINT(BgL_nbpz00_13246)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19150;
BgL_tmpz00_19150 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19150, BgL_locz00_10896); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13247;
BgL_rz00_13247 = 
PROCEDURE_ENTRY(BgL_fz00_13196)(BgL_fz00_13196, BgL_a1z00_13197, BgL_a2z00_13198, BgL_a3z00_13199, BgL_a4z00_13200, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10899),((long)0),BgL_bpz00_13195); 
return BgL_rz00_13247;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10896, BgL_symbzd2funzd2_10897, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13196));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2349> */
obj_t BGl_z62zc3anonymousza32349ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10900, obj_t BgL_sz00_10909)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10901;obj_t BgL_a1z00_10902;obj_t BgL_a2z00_10903;obj_t BgL_a3z00_10904;obj_t BgL_a4z00_10905;obj_t BgL_locz00_10906;obj_t BgL_symbzd2funzd2_10907;long BgL_siza7eza7_10908;
BgL_funz00_10901 = 
PROCEDURE_REF(BgL_envz00_10900, 
(int)(((long)0))); 
BgL_a1z00_10902 = 
PROCEDURE_REF(BgL_envz00_10900, 
(int)(((long)1))); 
BgL_a2z00_10903 = 
PROCEDURE_REF(BgL_envz00_10900, 
(int)(((long)2))); 
BgL_a3z00_10904 = 
PROCEDURE_REF(BgL_envz00_10900, 
(int)(((long)3))); 
BgL_a4z00_10905 = 
PROCEDURE_REF(BgL_envz00_10900, 
(int)(((long)4))); 
BgL_locz00_10906 = 
PROCEDURE_REF(BgL_envz00_10900, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10907 = 
PROCEDURE_REF(BgL_envz00_10900, 
(int)(((long)6))); 
BgL_siza7eza7_10908 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10900, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13248;
BgL_bpz00_13248 = 
VECTOR_REF(
((obj_t)BgL_sz00_10909),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13249;obj_t BgL_a1z00_13250;obj_t BgL_a2z00_13251;obj_t BgL_a3z00_13252;obj_t BgL_a4z00_13253;
BgL_fz00_13249 = 
PROCEDURE_ENTRY(BgL_funz00_10901)(BgL_funz00_10901, BgL_sz00_10909, BEOA); 
BgL_a1z00_13250 = 
PROCEDURE_ENTRY(BgL_a1z00_10902)(BgL_a1z00_10902, BgL_sz00_10909, BEOA); 
BgL_a2z00_13251 = 
PROCEDURE_ENTRY(BgL_a2z00_10903)(BgL_a2z00_10903, BgL_sz00_10909, BEOA); 
BgL_a3z00_13252 = 
PROCEDURE_ENTRY(BgL_a3z00_10904)(BgL_a3z00_10904, BgL_sz00_10909, BEOA); 
BgL_a4z00_13253 = 
PROCEDURE_ENTRY(BgL_a4z00_10905)(BgL_a4z00_10905, BgL_sz00_10909, BEOA); 
if(
PROCEDUREP(BgL_fz00_13249))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10906, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_13249); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13254;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19207;
BgL_tmpz00_19207 = 
((obj_t)BgL_fz00_13249); 
BgL_ufz00_13254 = 
PROCEDURE_ATTR(BgL_tmpz00_19207); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_19210;
if(
STRUCTP(BgL_ufz00_13254))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19210 = 
(
STRUCT_KEY(BgL_ufz00_13254)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19210 = ((bool_t)0)
; } 
if(BgL_testz00_19210)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13255;obj_t BgL_runz00_13256;obj_t BgL_sfz00_13257;
BgL_arityz00_13255 = 
STRUCT_REF(BgL_ufz00_13254, 
(int)(((long)0))); 
BgL_runz00_13256 = 
STRUCT_REF(BgL_ufz00_13254, 
(int)(((long)1))); 
BgL_sfz00_13257 = 
STRUCT_REF(BgL_ufz00_13254, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13255)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2353z00_13258;
BgL_arg2353z00_13258 = 
(
(long)CINT(BgL_bpz00_13248)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2353z00_13258,BgL_a1z00_13250); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2354z00_13259;
BgL_arg2354z00_13259 = 
(
(long)CINT(BgL_bpz00_13248)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2354z00_13259,BgL_a2z00_13251); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2355z00_13260;
BgL_arg2355z00_13260 = 
(
(long)CINT(BgL_bpz00_13248)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2355z00_13260,BgL_a3z00_13252); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2356z00_13261;
BgL_arg2356z00_13261 = 
(
(long)CINT(BgL_bpz00_13248)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2356z00_13261,BgL_a4z00_13253); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13255))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13255)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2358z00_13264;obj_t BgL_arg2359z00_13265;
BgL_arg2358z00_13264 = 
(
(long)CINT(BgL_bpz00_13248)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2360z00_13266;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2361z00_13267;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2362z00_13268;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2363z00_13269;
BgL_arg2363z00_13269 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13253, BNIL); 
BgL_arg2362z00_13268 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13252, BgL_arg2363z00_13269); } 
BgL_arg2361z00_13267 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13251, BgL_arg2362z00_13268); } 
BgL_list2360z00_13266 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13250, BgL_arg2361z00_13267); } 
BgL_arg2359z00_13265 = BgL_list2360z00_13266; } 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2358z00_13264,BgL_arg2359z00_13265); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2364z00_13270;
BgL_arg2364z00_13270 = 
(
(long)CINT(BgL_bpz00_13248)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2364z00_13270,BgL_a1z00_13250); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2365z00_13271;obj_t BgL_arg2366z00_13272;
BgL_arg2365z00_13271 = 
(
(long)CINT(BgL_bpz00_13248)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2367z00_13273;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2368z00_13274;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2369z00_13275;
BgL_arg2369z00_13275 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13253, BNIL); 
BgL_arg2368z00_13274 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13252, BgL_arg2369z00_13275); } 
BgL_list2367z00_13273 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13251, BgL_arg2368z00_13274); } 
BgL_arg2366z00_13272 = BgL_list2367z00_13273; } 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2365z00_13271,BgL_arg2366z00_13272); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2370z00_13276;
BgL_arg2370z00_13276 = 
(
(long)CINT(BgL_bpz00_13248)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2370z00_13276,BgL_a1z00_13250); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2371z00_13277;
BgL_arg2371z00_13277 = 
(
(long)CINT(BgL_bpz00_13248)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2371z00_13277,BgL_a2z00_13251); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2372z00_13278;obj_t BgL_arg2373z00_13279;
BgL_arg2372z00_13278 = 
(
(long)CINT(BgL_bpz00_13248)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2374z00_13280;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2375z00_13281;
BgL_arg2375z00_13281 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13253, BNIL); 
BgL_list2374z00_13280 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13252, BgL_arg2375z00_13281); } 
BgL_arg2373z00_13279 = BgL_list2374z00_13280; } 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2372z00_13278,BgL_arg2373z00_13279); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2376z00_13282;
BgL_arg2376z00_13282 = 
(
(long)CINT(BgL_bpz00_13248)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2376z00_13282,BgL_a1z00_13250); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2377z00_13283;
BgL_arg2377z00_13283 = 
(
(long)CINT(BgL_bpz00_13248)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2377z00_13283,BgL_a2z00_13251); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2378z00_13284;
BgL_arg2378z00_13284 = 
(
(long)CINT(BgL_bpz00_13248)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2378z00_13284,BgL_a3z00_13252); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2379z00_13285;obj_t BgL_arg2380z00_13286;
BgL_arg2379z00_13285 = 
(
(long)CINT(BgL_bpz00_13248)+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2381z00_13287;
BgL_list2381z00_13287 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13253, BNIL); 
BgL_arg2380z00_13286 = BgL_list2381z00_13287; } 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2379z00_13285,BgL_arg2380z00_13286); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2382z00_13288;
BgL_arg2382z00_13288 = 
(
(long)CINT(BgL_bpz00_13248)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2382z00_13288,BgL_a1z00_13250); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2383z00_13289;
BgL_arg2383z00_13289 = 
(
(long)CINT(BgL_bpz00_13248)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2383z00_13289,BgL_a2z00_13251); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2384z00_13290;
BgL_arg2384z00_13290 = 
(
(long)CINT(BgL_bpz00_13248)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2384z00_13290,BgL_a3z00_13252); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2385z00_13291;
BgL_arg2385z00_13291 = 
(
(long)CINT(BgL_bpz00_13248)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2385z00_13291,BgL_a4z00_13253); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2386z00_13292;obj_t BgL_arg2387z00_13293;
BgL_arg2386z00_13292 = 
(
(long)CINT(BgL_bpz00_13248)+((long)4)); 
BgL_arg2387z00_13293 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10909),BgL_arg2386z00_13292,BgL_arg2387z00_13293); } break;
default: 
BgL_case_else1202z00_13262:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2389z00_13263;
BgL_arg2389z00_13263 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13254), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10906, BgL_arg2389z00_13263, 
(int)(((long)4)), 
CINT(BgL_arityz00_13255)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1202z00_13262;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13294;
BgL_z12denvz12_13294 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10909, BgL_bpz00_13248, BgL_sfz00_13257))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_13256;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13295;
BgL_nsz00_13295 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2391z00_13296;
BgL_arg2391z00_13296 = 
(
(long)CINT(BgL_bpz00_13248)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13295, ((long)2), BgL_sz00_10909, BgL_bpz00_13248, 
BINT(BgL_arg2391z00_13296)); } 
VECTOR_SET(BgL_nsz00_13295,((long)1),BgL_sz00_10909); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13294, BgL_nsz00_13295); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13297;
BgL_ez00_13297 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13297, BgL_sz00_10909); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13298;
BgL_____rz00_13298 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13256, BgL_nsz00_13295, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13297); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13294, BgL_sz00_10909); 
return BgL_____rz00_13298;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13249, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13299;
BgL_nbpz00_13299 = 
(
(long)CINT(BgL_bpz00_13248)+BgL_siza7eza7_10908); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),((long)0),
BINT(BgL_nbpz00_13299)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13300;
BgL_rz00_13300 = 
PROCEDURE_ENTRY(BgL_fz00_13249)(BgL_fz00_13249, BgL_a1z00_13250, BgL_a2z00_13251, BgL_a3z00_13252, BgL_a4z00_13253, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10909),((long)0),BgL_bpz00_13248); 
return BgL_rz00_13300;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10906, BgL_symbzd2funzd2_10907, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13249));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2397> */
obj_t BGl_z62zc3anonymousza32397ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10910, obj_t BgL_sz00_10919)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10911;obj_t BgL_a1z00_10912;obj_t BgL_a2z00_10913;obj_t BgL_a3z00_10914;obj_t BgL_a4z00_10915;obj_t BgL_locz00_10916;obj_t BgL_symbzd2funzd2_10917;long BgL_siza7eza7_10918;
BgL_funz00_10911 = 
PROCEDURE_REF(BgL_envz00_10910, 
(int)(((long)0))); 
BgL_a1z00_10912 = 
PROCEDURE_REF(BgL_envz00_10910, 
(int)(((long)1))); 
BgL_a2z00_10913 = 
PROCEDURE_REF(BgL_envz00_10910, 
(int)(((long)2))); 
BgL_a3z00_10914 = 
PROCEDURE_REF(BgL_envz00_10910, 
(int)(((long)3))); 
BgL_a4z00_10915 = 
PROCEDURE_REF(BgL_envz00_10910, 
(int)(((long)4))); 
BgL_locz00_10916 = 
PROCEDURE_REF(BgL_envz00_10910, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10917 = 
PROCEDURE_REF(BgL_envz00_10910, 
(int)(((long)6))); 
BgL_siza7eza7_10918 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10910, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13301;
BgL_bpz00_13301 = 
VECTOR_REF(
((obj_t)BgL_sz00_10919),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13302;obj_t BgL_a1z00_13303;obj_t BgL_a2z00_13304;obj_t BgL_a3z00_13305;obj_t BgL_a4z00_13306;
BgL_fz00_13302 = 
PROCEDURE_ENTRY(BgL_funz00_10911)(BgL_funz00_10911, BgL_sz00_10919, BEOA); 
BgL_a1z00_13303 = 
PROCEDURE_ENTRY(BgL_a1z00_10912)(BgL_a1z00_10912, BgL_sz00_10919, BEOA); 
BgL_a2z00_13304 = 
PROCEDURE_ENTRY(BgL_a2z00_10913)(BgL_a2z00_10913, BgL_sz00_10919, BEOA); 
BgL_a3z00_13305 = 
PROCEDURE_ENTRY(BgL_a3z00_10914)(BgL_a3z00_10914, BgL_sz00_10919, BEOA); 
BgL_a4z00_13306 = 
PROCEDURE_ENTRY(BgL_a4z00_10915)(BgL_a4z00_10915, BgL_sz00_10919, BEOA); 
if(
PROCEDUREP(BgL_fz00_13302))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10916, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_13302); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13307;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19398;
BgL_tmpz00_19398 = 
((obj_t)BgL_fz00_13302); 
BgL_ufz00_13307 = 
PROCEDURE_ATTR(BgL_tmpz00_19398); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_19401;
if(
STRUCTP(BgL_ufz00_13307))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19401 = 
(
STRUCT_KEY(BgL_ufz00_13307)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19401 = ((bool_t)0)
; } 
if(BgL_testz00_19401)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13308;obj_t BgL_runz00_13309;obj_t BgL_sfz00_13310;
BgL_arityz00_13308 = 
STRUCT_REF(BgL_ufz00_13307, 
(int)(((long)0))); 
BgL_runz00_13309 = 
STRUCT_REF(BgL_ufz00_13307, 
(int)(((long)1))); 
BgL_sfz00_13310 = 
STRUCT_REF(BgL_ufz00_13307, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13311;
BgL_spz00_13311 = 
(
(long)CINT(BgL_bpz00_13301)+BgL_siza7eza7_10918); 
if(
(
(long)CINT(BgL_arityz00_13308)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2401z00_13312;
BgL_arg2401z00_13312 = 
(BgL_spz00_13311+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2401z00_13312,BgL_a1z00_13303); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2402z00_13313;
BgL_arg2402z00_13313 = 
(BgL_spz00_13311+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2402z00_13313,BgL_a2z00_13304); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2403z00_13314;
BgL_arg2403z00_13314 = 
(BgL_spz00_13311+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2403z00_13314,BgL_a3z00_13305); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2404z00_13315;
BgL_arg2404z00_13315 = 
(BgL_spz00_13311+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2404z00_13315,BgL_a4z00_13306); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13308))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13308)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2406z00_13318;obj_t BgL_arg2407z00_13319;
BgL_arg2406z00_13318 = 
(BgL_spz00_13311+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2408z00_13320;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2409z00_13321;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2410z00_13322;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2411z00_13323;
BgL_arg2411z00_13323 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13306, BNIL); 
BgL_arg2410z00_13322 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13305, BgL_arg2411z00_13323); } 
BgL_arg2409z00_13321 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13304, BgL_arg2410z00_13322); } 
BgL_list2408z00_13320 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13303, BgL_arg2409z00_13321); } 
BgL_arg2407z00_13319 = BgL_list2408z00_13320; } 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2406z00_13318,BgL_arg2407z00_13319); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2412z00_13324;
BgL_arg2412z00_13324 = 
(BgL_spz00_13311+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2412z00_13324,BgL_a1z00_13303); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2413z00_13325;obj_t BgL_arg2414z00_13326;
BgL_arg2413z00_13325 = 
(BgL_spz00_13311+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2415z00_13327;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2416z00_13328;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2417z00_13329;
BgL_arg2417z00_13329 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13306, BNIL); 
BgL_arg2416z00_13328 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13305, BgL_arg2417z00_13329); } 
BgL_list2415z00_13327 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13304, BgL_arg2416z00_13328); } 
BgL_arg2414z00_13326 = BgL_list2415z00_13327; } 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2413z00_13325,BgL_arg2414z00_13326); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2418z00_13330;
BgL_arg2418z00_13330 = 
(BgL_spz00_13311+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2418z00_13330,BgL_a1z00_13303); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2419z00_13331;
BgL_arg2419z00_13331 = 
(BgL_spz00_13311+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2419z00_13331,BgL_a2z00_13304); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2420z00_13332;obj_t BgL_arg2421z00_13333;
BgL_arg2420z00_13332 = 
(BgL_spz00_13311+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2422z00_13334;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2423z00_13335;
BgL_arg2423z00_13335 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13306, BNIL); 
BgL_list2422z00_13334 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13305, BgL_arg2423z00_13335); } 
BgL_arg2421z00_13333 = BgL_list2422z00_13334; } 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2420z00_13332,BgL_arg2421z00_13333); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2424z00_13336;
BgL_arg2424z00_13336 = 
(BgL_spz00_13311+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2424z00_13336,BgL_a1z00_13303); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2425z00_13337;
BgL_arg2425z00_13337 = 
(BgL_spz00_13311+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2425z00_13337,BgL_a2z00_13304); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2426z00_13338;
BgL_arg2426z00_13338 = 
(BgL_spz00_13311+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2426z00_13338,BgL_a3z00_13305); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2427z00_13339;obj_t BgL_arg2428z00_13340;
BgL_arg2427z00_13339 = 
(BgL_spz00_13311+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2429z00_13341;
BgL_list2429z00_13341 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13306, BNIL); 
BgL_arg2428z00_13340 = BgL_list2429z00_13341; } 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2427z00_13339,BgL_arg2428z00_13340); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2430z00_13342;
BgL_arg2430z00_13342 = 
(BgL_spz00_13311+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2430z00_13342,BgL_a1z00_13303); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2431z00_13343;
BgL_arg2431z00_13343 = 
(BgL_spz00_13311+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2431z00_13343,BgL_a2z00_13304); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2432z00_13344;
BgL_arg2432z00_13344 = 
(BgL_spz00_13311+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2432z00_13344,BgL_a3z00_13305); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2433z00_13345;
BgL_arg2433z00_13345 = 
(BgL_spz00_13311+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2433z00_13345,BgL_a4z00_13306); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2434z00_13346;obj_t BgL_arg2435z00_13347;
BgL_arg2434z00_13346 = 
(BgL_spz00_13311+((long)4)); 
BgL_arg2435z00_13347 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10919),BgL_arg2434z00_13346,BgL_arg2435z00_13347); } break;
default: 
BgL_case_else1204z00_13316:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2437z00_13317;
BgL_arg2437z00_13317 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13307), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10916, BgL_arg2437z00_13317, 
(int)(((long)4)), 
CINT(BgL_arityz00_13308)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1204z00_13316;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13348;
BgL_z12denvz12_13348 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13348, BgL_locz00_10916); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10919, 
BINT(BgL_spz00_13311), BgL_sfz00_13310))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13309, BgL_sz00_10919, 
BINT(BgL_spz00_13311));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13349;
BgL_nsz00_13349 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2439z00_13350;
BgL_arg2439z00_13350 = 
(BgL_spz00_13311+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13349, ((long)2), BgL_sz00_10919, 
BINT(BgL_spz00_13311), 
BINT(BgL_arg2439z00_13350)); } 
VECTOR_SET(BgL_nsz00_13349,((long)1),BgL_sz00_10919); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13348, BgL_nsz00_13349); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13351;
BgL_ez00_13351 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13351, BgL_sz00_10919); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13352;
BgL_____rz00_13352 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13309, BgL_nsz00_13349, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13351); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13348, BgL_sz00_10919); 
return BgL_____rz00_13352;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13302, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13353;
BgL_nbpz00_13353 = 
(
(long)CINT(BgL_bpz00_13301)+BgL_siza7eza7_10918); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),((long)0),
BINT(BgL_nbpz00_13353)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19522;
BgL_tmpz00_19522 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19522, BgL_locz00_10916); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13354;
BgL_rz00_13354 = 
PROCEDURE_ENTRY(BgL_fz00_13302)(BgL_fz00_13302, BgL_a1z00_13303, BgL_a2z00_13304, BgL_a3z00_13305, BgL_a4z00_13306, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10919),((long)0),BgL_bpz00_13301); 
return BgL_rz00_13354;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10916, BgL_symbzd2funzd2_10917, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13302));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2443> */
obj_t BGl_z62zc3anonymousza32443ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10920, obj_t BgL_sz00_10929)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10921;obj_t BgL_a1z00_10922;obj_t BgL_a2z00_10923;obj_t BgL_a3z00_10924;obj_t BgL_a4z00_10925;obj_t BgL_locz00_10926;obj_t BgL_symbzd2funzd2_10927;long BgL_siza7eza7_10928;
BgL_funz00_10921 = 
PROCEDURE_REF(BgL_envz00_10920, 
(int)(((long)0))); 
BgL_a1z00_10922 = 
PROCEDURE_REF(BgL_envz00_10920, 
(int)(((long)1))); 
BgL_a2z00_10923 = 
PROCEDURE_REF(BgL_envz00_10920, 
(int)(((long)2))); 
BgL_a3z00_10924 = 
PROCEDURE_REF(BgL_envz00_10920, 
(int)(((long)3))); 
BgL_a4z00_10925 = 
PROCEDURE_REF(BgL_envz00_10920, 
(int)(((long)4))); 
BgL_locz00_10926 = 
PROCEDURE_REF(BgL_envz00_10920, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10927 = 
PROCEDURE_REF(BgL_envz00_10920, 
(int)(((long)6))); 
BgL_siza7eza7_10928 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10920, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13355;
BgL_bpz00_13355 = 
VECTOR_REF(
((obj_t)BgL_sz00_10929),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13356;obj_t BgL_a1z00_13357;obj_t BgL_a2z00_13358;obj_t BgL_a3z00_13359;obj_t BgL_a4z00_13360;
BgL_fz00_13356 = 
PROCEDURE_ENTRY(BgL_funz00_10921)(BgL_funz00_10921, BgL_sz00_10929, BEOA); 
BgL_a1z00_13357 = 
PROCEDURE_ENTRY(BgL_a1z00_10922)(BgL_a1z00_10922, BgL_sz00_10929, BEOA); 
BgL_a2z00_13358 = 
PROCEDURE_ENTRY(BgL_a2z00_10923)(BgL_a2z00_10923, BgL_sz00_10929, BEOA); 
BgL_a3z00_13359 = 
PROCEDURE_ENTRY(BgL_a3z00_10924)(BgL_a3z00_10924, BgL_sz00_10929, BEOA); 
BgL_a4z00_13360 = 
PROCEDURE_ENTRY(BgL_a4z00_10925)(BgL_a4z00_10925, BgL_sz00_10929, BEOA); 
if(
PROCEDUREP(BgL_fz00_13356))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10926, BGl_string5188z00zz__evaluate_compz00, BGl_string5204z00zz__evaluate_compz00, BgL_fz00_13356); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13361;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19579;
BgL_tmpz00_19579 = 
((obj_t)BgL_fz00_13356); 
BgL_ufz00_13361 = 
PROCEDURE_ATTR(BgL_tmpz00_19579); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_19582;
if(
STRUCTP(BgL_ufz00_13361))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19582 = 
(
STRUCT_KEY(BgL_ufz00_13361)==BGl_symbol5205z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19582 = ((bool_t)0)
; } 
if(BgL_testz00_19582)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13362;obj_t BgL_runz00_13363;obj_t BgL_sfz00_13364;
BgL_arityz00_13362 = 
STRUCT_REF(BgL_ufz00_13361, 
(int)(((long)0))); 
BgL_runz00_13363 = 
STRUCT_REF(BgL_ufz00_13361, 
(int)(((long)1))); 
BgL_sfz00_13364 = 
STRUCT_REF(BgL_ufz00_13361, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13365;
BgL_spz00_13365 = 
(
(long)CINT(BgL_bpz00_13355)+BgL_siza7eza7_10928); 
if(
(
(long)CINT(BgL_arityz00_13362)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2447z00_13366;
BgL_arg2447z00_13366 = 
(BgL_spz00_13365+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2447z00_13366,BgL_a1z00_13357); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2448z00_13367;
BgL_arg2448z00_13367 = 
(BgL_spz00_13365+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2448z00_13367,BgL_a2z00_13358); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2449z00_13368;
BgL_arg2449z00_13368 = 
(BgL_spz00_13365+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2449z00_13368,BgL_a3z00_13359); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2450z00_13369;
BgL_arg2450z00_13369 = 
(BgL_spz00_13365+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2450z00_13369,BgL_a4z00_13360); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13362))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13362)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2452z00_13372;obj_t BgL_arg2453z00_13373;
BgL_arg2452z00_13372 = 
(BgL_spz00_13365+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2454z00_13374;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2455z00_13375;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2456z00_13376;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2457z00_13377;
BgL_arg2457z00_13377 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13360, BNIL); 
BgL_arg2456z00_13376 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13359, BgL_arg2457z00_13377); } 
BgL_arg2455z00_13375 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13358, BgL_arg2456z00_13376); } 
BgL_list2454z00_13374 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13357, BgL_arg2455z00_13375); } 
BgL_arg2453z00_13373 = BgL_list2454z00_13374; } 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2452z00_13372,BgL_arg2453z00_13373); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2458z00_13378;
BgL_arg2458z00_13378 = 
(BgL_spz00_13365+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2458z00_13378,BgL_a1z00_13357); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2459z00_13379;obj_t BgL_arg2460z00_13380;
BgL_arg2459z00_13379 = 
(BgL_spz00_13365+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2461z00_13381;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2462z00_13382;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2463z00_13383;
BgL_arg2463z00_13383 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13360, BNIL); 
BgL_arg2462z00_13382 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13359, BgL_arg2463z00_13383); } 
BgL_list2461z00_13381 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13358, BgL_arg2462z00_13382); } 
BgL_arg2460z00_13380 = BgL_list2461z00_13381; } 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2459z00_13379,BgL_arg2460z00_13380); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2464z00_13384;
BgL_arg2464z00_13384 = 
(BgL_spz00_13365+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2464z00_13384,BgL_a1z00_13357); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2465z00_13385;
BgL_arg2465z00_13385 = 
(BgL_spz00_13365+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2465z00_13385,BgL_a2z00_13358); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2466z00_13386;obj_t BgL_arg2467z00_13387;
BgL_arg2466z00_13386 = 
(BgL_spz00_13365+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2468z00_13388;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2469z00_13389;
BgL_arg2469z00_13389 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13360, BNIL); 
BgL_list2468z00_13388 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13359, BgL_arg2469z00_13389); } 
BgL_arg2467z00_13387 = BgL_list2468z00_13388; } 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2466z00_13386,BgL_arg2467z00_13387); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2470z00_13390;
BgL_arg2470z00_13390 = 
(BgL_spz00_13365+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2470z00_13390,BgL_a1z00_13357); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2471z00_13391;
BgL_arg2471z00_13391 = 
(BgL_spz00_13365+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2471z00_13391,BgL_a2z00_13358); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2472z00_13392;
BgL_arg2472z00_13392 = 
(BgL_spz00_13365+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2472z00_13392,BgL_a3z00_13359); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2473z00_13393;obj_t BgL_arg2474z00_13394;
BgL_arg2473z00_13393 = 
(BgL_spz00_13365+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2475z00_13395;
BgL_list2475z00_13395 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13360, BNIL); 
BgL_arg2474z00_13394 = BgL_list2475z00_13395; } 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2473z00_13393,BgL_arg2474z00_13394); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2476z00_13396;
BgL_arg2476z00_13396 = 
(BgL_spz00_13365+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2476z00_13396,BgL_a1z00_13357); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2477z00_13397;
BgL_arg2477z00_13397 = 
(BgL_spz00_13365+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2477z00_13397,BgL_a2z00_13358); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2478z00_13398;
BgL_arg2478z00_13398 = 
(BgL_spz00_13365+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2478z00_13398,BgL_a3z00_13359); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2479z00_13399;
BgL_arg2479z00_13399 = 
(BgL_spz00_13365+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2479z00_13399,BgL_a4z00_13360); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2480z00_13400;obj_t BgL_arg2481z00_13401;
BgL_arg2480z00_13400 = 
(BgL_spz00_13365+((long)4)); 
BgL_arg2481z00_13401 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10929),BgL_arg2480z00_13400,BgL_arg2481z00_13401); } break;
default: 
BgL_case_else1206z00_13370:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2483z00_13371;
BgL_arg2483z00_13371 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13361), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10926, BgL_arg2483z00_13371, 
(int)(((long)4)), 
CINT(BgL_arityz00_13362)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1206z00_13370;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13402;
BgL_z12denvz12_13402 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10929, 
BINT(BgL_spz00_13365), BgL_sfz00_13364))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13363, BgL_sz00_10929, 
BINT(BgL_spz00_13365));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13403;
BgL_nsz00_13403 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2485z00_13404;
BgL_arg2485z00_13404 = 
(BgL_spz00_13365+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13403, ((long)2), BgL_sz00_10929, 
BINT(BgL_spz00_13365), 
BINT(BgL_arg2485z00_13404)); } 
VECTOR_SET(BgL_nsz00_13403,((long)1),BgL_sz00_10929); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13402, BgL_nsz00_13403); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13405;
BgL_ez00_13405 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13405, BgL_sz00_10929); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13406;
BgL_____rz00_13406 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13363, BgL_nsz00_13403, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13405); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13402, BgL_sz00_10929); 
return BgL_____rz00_13406;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13356, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13407;
BgL_nbpz00_13407 = 
(
(long)CINT(BgL_bpz00_13355)+BgL_siza7eza7_10928); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),((long)0),
BINT(BgL_nbpz00_13407)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13408;
BgL_rz00_13408 = 
PROCEDURE_ENTRY(BgL_fz00_13356)(BgL_fz00_13356, BgL_a1z00_13357, BgL_a2z00_13358, BgL_a3z00_13359, BgL_a4z00_13360, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10929),((long)0),BgL_bpz00_13355); 
return BgL_rz00_13408;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10926, BgL_symbzd2funzd2_10927, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13356));} } } } } } } } 
BGL_FUNCTION_END;
}



/* is-constant-fun? */
obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185, obj_t BgL_symbzd2funzd2_186)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 892 */
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_funz00_183), BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_gz00_3012;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2495z00_3020;obj_t BgL_arg2496z00_3021;
BgL_arg2495z00_3020 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_modz00); 
BgL_arg2496z00_3021 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_namez00); 
BgL_gz00_3012 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2495z00_3020, BgL_arg2496z00_3021); } 
if(
CBOOL(BgL_gz00_3012))
{ /* Eval/evaluate_comp.scm 898 */
bool_t BgL_testz00_19724;
{ /* Eval/evaluate_comp.scm 898 */
int BgL_arg2494z00_3019;
{ /* Eval/evaluate_comp.scm 898 */
int BgL_res4521z00_8150;
BgL_res4521z00_8150 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3012),((long)0))); 
BgL_arg2494z00_3019 = BgL_res4521z00_8150; } 
BgL_testz00_19724 = 
(
(long)(BgL_arg2494z00_3019)==((long)0)); } 
if(BgL_testz00_19724)
{ /* Eval/evaluate_comp.scm 899 */
obj_t BgL_valz00_3015;
BgL_valz00_3015 = 
VECTOR_REF(
((obj_t)BgL_gz00_3012),((long)2)); 
{ /* Eval/evaluate_comp.scm 900 */
bool_t BgL_testz00_19732;
if(
PROCEDUREP(BgL_valz00_3015))
{ /* Eval/evaluate_comp.scm 900 */
BgL_testz00_19732 = 
PROCEDURE_CORRECT_ARITYP(BgL_valz00_3015, 
(int)(BgL_nbargsz00_184))
; }  else 
{ /* Eval/evaluate_comp.scm 900 */
BgL_testz00_19732 = ((bool_t)0)
; } 
if(BgL_testz00_19732)
{ /* Eval/evaluate_comp.scm 900 */
return BgL_valz00_3015;}  else 
{ /* Eval/evaluate_comp.scm 900 */
return BFALSE;} } }  else 
{ /* Eval/evaluate_comp.scm 898 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 897 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 903 */
bool_t BgL_testz00_19737;
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_funz00_183), BGl_ev_littz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 904 */
obj_t BgL_tmpz00_19741;
BgL_tmpz00_19741 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_testz00_19737 = 
PROCEDUREP(BgL_tmpz00_19741); }  else 
{ /* Eval/evaluate_comp.scm 903 */
BgL_testz00_19737 = ((bool_t)0)
; } 
if(BgL_testz00_19737)
{ /* Eval/evaluate_comp.scm 906 */
bool_t BgL_testz00_19745;
{ /* Eval/evaluate_comp.scm 906 */
obj_t BgL_arg2504z00_3031;
BgL_arg2504z00_3031 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_testz00_19745 = 
PROCEDURE_CORRECT_ARITYP(BgL_arg2504z00_3031, 
(int)(BgL_nbargsz00_184)); } 
if(BgL_testz00_19745)
{ /* Eval/evaluate_comp.scm 906 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00);}  else 
{ /* Eval/evaluate_comp.scm 908 */
int BgL_arg2502z00_3029;
{ /* Eval/evaluate_comp.scm 908 */
obj_t BgL_arg2503z00_3030;
BgL_arg2503z00_3030 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_arg2502z00_3029 = 
PROCEDURE_ARITY(BgL_arg2503z00_3030); } 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185, BgL_symbzd2funzd2_186, 
(int)(BgL_nbargsz00_184), BgL_arg2502z00_3029);} }  else 
{ /* Eval/evaluate_comp.scm 903 */
return BFALSE;} } } 
BGL_FUNCTION_END;
}



/* compile-float-arith */
obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_exprz00_187, obj_t BgL_stkz00_188)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 911 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_littz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 915 */
if(
INTEGERP(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00)))
{ /* Eval/evaluate_comp.scm 917 */
obj_t BgL_v1343z00_3040;
BgL_v1343z00_3040 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1343z00_3040,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 917 */
double BgL_arg2509z00_3041;
BgL_arg2509z00_3041 = 
(double)(
(long)CINT(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00))); 
VECTOR_SET(BgL_v1343z00_3040,((long)1),
DOUBLE_TO_REAL(BgL_arg2509z00_3041)); } 
return BgL_v1343z00_3040;}  else 
{ /* Eval/evaluate_comp.scm 918 */
bool_t BgL_testz00_19772;
{ /* Eval/evaluate_comp.scm 918 */
obj_t BgL_tmpz00_19773;
BgL_tmpz00_19773 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
BgL_testz00_19772 = 
REALP(BgL_tmpz00_19773); } 
if(BgL_testz00_19772)
{ /* Eval/evaluate_comp.scm 918 */
obj_t BgL_v1344z00_3045;
BgL_v1344z00_3045 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1344z00_3045,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 918 */
obj_t BgL_arg2513z00_3046;
BgL_arg2513z00_3046 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
VECTOR_SET(BgL_v1344z00_3045,((long)1),BgL_arg2513z00_3046); } 
return BgL_v1344z00_3045;}  else 
{ /* Eval/evaluate_comp.scm 919 */
obj_t BgL_v1345z00_3047;
BgL_v1345z00_3047 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1345z00_3047,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 919 */
obj_t BgL_arg2514z00_3048;
BgL_arg2514z00_3048 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_littz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1345z00_3047,((long)1),BgL_arg2514z00_3048); } 
return BgL_v1345z00_3047;} } }  else 
{ /* Eval/evaluate_comp.scm 915 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 920 */
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_exprz00_187)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 923 */
obj_t BgL_v1346z00_3054;
BgL_v1346z00_3054 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1346z00_3054,((long)0),
BINT(((long)3))); 
VECTOR_SET(BgL_v1346z00_3054,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1346z00_3054;}  else 
{ /* Eval/evaluate_comp.scm 924 */
obj_t BgL_v1347z00_3056;
BgL_v1347z00_3056 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1347z00_3056,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1347z00_3056,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1347z00_3056;} }  else 
{ /* Eval/evaluate_comp.scm 920 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 927 */
obj_t BgL_gz00_3060;
{ /* Eval/evaluate_comp.scm 927 */
obj_t BgL_arg2526z00_3068;obj_t BgL_arg2527z00_3069;
BgL_arg2526z00_3068 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_modz00); 
BgL_arg2527z00_3069 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_namez00); 
BgL_gz00_3060 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2526z00_3068, BgL_arg2527z00_3069); } 
if(
CBOOL(BgL_gz00_3060))
{ /* Eval/evaluate_comp.scm 929 */
bool_t BgL_testz00_19815;
{ /* Eval/evaluate_comp.scm 929 */
int BgL_arg2524z00_3065;
{ /* Eval/evaluate_comp.scm 929 */
int BgL_res4528z00_8173;
BgL_res4528z00_8173 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3060),((long)0))); 
BgL_arg2524z00_3065 = BgL_res4528z00_8173; } 
BgL_testz00_19815 = 
(
BINT(BgL_arg2524z00_3065)==
BINT(((long)1))); } 
if(BgL_testz00_19815)
{ /* Eval/evaluate_comp.scm 930 */
obj_t BgL_v1348z00_3063;
BgL_v1348z00_3063 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1348z00_3063,((long)0),
BINT(((long)4))); 
VECTOR_SET(BgL_v1348z00_3063,((long)1),BgL_gz00_3060); 
return BgL_v1348z00_3063;}  else 
{ /* Eval/evaluate_comp.scm 931 */
obj_t BgL_v1349z00_3064;
BgL_v1349z00_3064 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1349z00_3064,((long)0),
BINT(((long)5))); 
VECTOR_SET(BgL_v1349z00_3064,((long)1),BgL_gz00_3060); 
return BgL_v1349z00_3064;} }  else 
{ /* Eval/evaluate_comp.scm 932 */
obj_t BgL_v1350z00_3066;
BgL_v1350z00_3066 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1350z00_3066,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 932 */
obj_t BgL_arg2525z00_3067;
BgL_arg2525z00_3067 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_globalz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1350z00_3066,((long)1),BgL_arg2525z00_3067); } 
return BgL_v1350z00_3066;} }  else 
{ /* Eval/evaluate_comp.scm 925 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_appz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 935 */
obj_t BgL_fvalz00_3072;
{ /* Eval/evaluate_comp.scm 935 */
BgL_ev_exprz00_bglt BgL_arg2569z00_3120;
BgL_arg2569z00_3120 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_fvalz00_3072 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_arg2569z00_3120); } 
if(
(BgL_fvalz00_3072==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_v1351z00_3074;
BgL_v1351z00_3074 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1351z00_3074,((long)0),
BINT(((long)6))); 
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2530z00_3075;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2531z00_3076;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_pairz00_8181;
BgL_pairz00_8181 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2531z00_3076 = 
CAR(BgL_pairz00_8181); } 
BgL_arg2530z00_3075 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2531z00_3076, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1351z00_3074,((long)1),BgL_arg2530z00_3075); } 
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2533z00_3078;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2534z00_3079;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_pairz00_8183;
BgL_pairz00_8183 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2534z00_3079 = 
CAR(
CDR(BgL_pairz00_8183)); } 
BgL_arg2533z00_3078 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2534z00_3079, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1351z00_3074,((long)2),BgL_arg2533z00_3078); } 
return BgL_v1351z00_3074;}  else 
{ /* Eval/evaluate_comp.scm 937 */
if(
(BgL_fvalz00_3072==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_v1352z00_3082;
BgL_v1352z00_3082 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1352z00_3082,((long)0),
BINT(((long)7))); 
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2537z00_3083;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2538z00_3084;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_pairz00_8189;
BgL_pairz00_8189 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2538z00_3084 = 
CAR(BgL_pairz00_8189); } 
BgL_arg2537z00_3083 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2538z00_3084, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1352z00_3082,((long)1),BgL_arg2537z00_3083); } 
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2540z00_3086;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2541z00_3087;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_pairz00_8191;
BgL_pairz00_8191 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2541z00_3087 = 
CAR(
CDR(BgL_pairz00_8191)); } 
BgL_arg2540z00_3086 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2541z00_3087, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1352z00_3082,((long)2),BgL_arg2540z00_3086); } 
return BgL_v1352z00_3082;}  else 
{ /* Eval/evaluate_comp.scm 939 */
if(
(BgL_fvalz00_3072==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_v1353z00_3090;
BgL_v1353z00_3090 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1353z00_3090,((long)0),
BINT(((long)8))); 
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2544z00_3091;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2545z00_3092;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_pairz00_8197;
BgL_pairz00_8197 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2545z00_3092 = 
CAR(BgL_pairz00_8197); } 
BgL_arg2544z00_3091 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2545z00_3092, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1353z00_3090,((long)1),BgL_arg2544z00_3091); } 
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2547z00_3094;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2548z00_3095;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_pairz00_8199;
BgL_pairz00_8199 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2548z00_3095 = 
CAR(
CDR(BgL_pairz00_8199)); } 
BgL_arg2547z00_3094 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2548z00_3095, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1353z00_3090,((long)2),BgL_arg2547z00_3094); } 
return BgL_v1353z00_3090;}  else 
{ /* Eval/evaluate_comp.scm 941 */
if(
(BgL_fvalz00_3072==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_v1354z00_3098;
BgL_v1354z00_3098 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1354z00_3098,((long)0),
BINT(((long)9))); 
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2551z00_3099;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2552z00_3100;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_pairz00_8205;
BgL_pairz00_8205 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2552z00_3100 = 
CAR(BgL_pairz00_8205); } 
BgL_arg2551z00_3099 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2552z00_3100, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1354z00_3098,((long)1),BgL_arg2551z00_3099); } 
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2554z00_3102;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2555z00_3103;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_pairz00_8207;
BgL_pairz00_8207 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2555z00_3103 = 
CAR(
CDR(BgL_pairz00_8207)); } 
BgL_arg2554z00_3102 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2555z00_3103, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1354z00_3098,((long)2),BgL_arg2554z00_3102); } 
return BgL_v1354z00_3098;}  else 
{ /* Eval/evaluate_comp.scm 943 */
if(
(BgL_fvalz00_3072==BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_v1355z00_3106;
BgL_v1355z00_3106 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1355z00_3106,((long)0),
BINT(((long)10))); 
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_arg2558z00_3107;
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_arg2559z00_3108;
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_pairz00_8213;
BgL_pairz00_8213 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2559z00_3108 = 
CAR(BgL_pairz00_8213); } 
BgL_arg2558z00_3107 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2559z00_3108), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1355z00_3106,((long)1),BgL_arg2558z00_3107); } 
return BgL_v1355z00_3106;}  else 
{ /* Eval/evaluate_comp.scm 945 */
if(
(BgL_fvalz00_3072==BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_v1356z00_3111;
BgL_v1356z00_3111 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1356z00_3111,((long)0),
BINT(((long)11))); 
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2562z00_3112;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2563z00_3113;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_pairz00_8216;
BgL_pairz00_8216 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2563z00_3113 = 
CAR(BgL_pairz00_8216); } 
BgL_arg2562z00_3112 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2563z00_3113), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1356z00_3111,((long)1),BgL_arg2562z00_3112); } 
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2565z00_3115;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2566z00_3116;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_pairz00_8218;
BgL_pairz00_8218 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2566z00_3116 = 
CAR(
CDR(BgL_pairz00_8218)); } 
BgL_arg2565z00_3115 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2566z00_3116), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1356z00_3111,((long)2),BgL_arg2565z00_3115); } 
return BgL_v1356z00_3111;}  else 
{ /* Eval/evaluate_comp.scm 950 */
obj_t BgL_v1357z00_3118;
BgL_v1357z00_3118 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1357z00_3118,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 950 */
obj_t BgL_arg2568z00_3119;
BgL_arg2568z00_3119 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_appz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1357z00_3118,((long)1),BgL_arg2568z00_3119); } 
return BgL_v1357z00_3118;} } } } } } }  else 
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_v1358z00_3121;
BgL_v1358z00_3121 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1358z00_3121,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_arg2570z00_3122;
BgL_arg2570z00_3122 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1358z00_3121,((long)1),BgL_arg2570z00_3122); } 
return BgL_v1358z00_3121;} } } } } 
BGL_FUNCTION_END;
}



/* eval-float-arith */
double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189, obj_t BgL_sz00_190)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 953 */
return 
REAL_TO_DOUBLE(
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190, BgL_bcz00_189));} 
BGL_FUNCTION_END;
}



/* E~0 */
obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_12592, obj_t BgL_bcz00_3127)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 968 */
{ 

{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_aux1216z00_3130;
BgL_aux1216z00_3130 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)0)); 
if(
INTEGERP(BgL_aux1216z00_3130))
{ /* Eval/evaluate_comp.scm 955 */
switch( 
(long)CINT(BgL_aux1216z00_3130)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 956 */
obj_t BgL_fun2574z00_3132;
BgL_fun2574z00_3132 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
return 
PROCEDURE_ENTRY(BgL_fun2574z00_3132)(BgL_fun2574z00_3132, BgL_sz00_12592, BEOA);} break;case ((long)1) : 

return 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1));break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 958 */
long BgL_arg2575z00_3133;
{ /* Eval/evaluate_comp.scm 958 */
obj_t BgL_arg2576z00_3134;obj_t BgL_arg2577z00_3135;
BgL_arg2576z00_3134 = 
VECTOR_REF(
((obj_t)BgL_sz00_12592),((long)0)); 
BgL_arg2577z00_3135 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2575z00_3133 = 
(
(long)CINT(BgL_arg2576z00_3134)+
(long)CINT(BgL_arg2577z00_3135)); } 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12592),BgL_arg2575z00_3133);} break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 959 */
obj_t BgL_arg2578z00_3136;
{ /* Eval/evaluate_comp.scm 959 */
long BgL_arg2579z00_3137;
{ /* Eval/evaluate_comp.scm 959 */
obj_t BgL_arg2580z00_3138;obj_t BgL_arg2581z00_3139;
BgL_arg2580z00_3138 = 
VECTOR_REF(
((obj_t)BgL_sz00_12592),((long)0)); 
BgL_arg2581z00_3139 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2579z00_3137 = 
(
(long)CINT(BgL_arg2580z00_3138)+
(long)CINT(BgL_arg2581z00_3139)); } 
BgL_arg2578z00_3136 = 
VECTOR_REF(
((obj_t)BgL_sz00_12592),BgL_arg2579z00_3137); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2578z00_3136), 
(int)(((long)0)));} break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 960 */
obj_t BgL_arg2582z00_3140;
{ /* Eval/evaluate_comp.scm 960 */
obj_t BgL_arg2583z00_3141;
BgL_arg2583z00_3141 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2582z00_3140 = 
VECTOR_REF(
((obj_t)BgL_arg2583z00_3141),((long)2)); } 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2582z00_3140);} break;case ((long)5) : 

{ /* Eval/evaluate_comp.scm 961 */
obj_t BgL_arg2584z00_3142;
BgL_arg2584z00_3142 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_arg2584z00_3142),((long)2));} break;case ((long)6) : 

{ /* Eval/evaluate_comp.scm 962 */
obj_t BgL_arg2585z00_3143;obj_t BgL_arg2586z00_3144;
{ /* Eval/evaluate_comp.scm 962 */
obj_t BgL_arg2587z00_3145;
BgL_arg2587z00_3145 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2585z00_3143 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12592, BgL_arg2587z00_3145); } 
{ /* Eval/evaluate_comp.scm 962 */
obj_t BgL_arg2588z00_3146;
BgL_arg2588z00_3146 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)2)); 
BgL_arg2586z00_3144 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12592, BgL_arg2588z00_3146); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2585z00_3143)+
REAL_TO_DOUBLE(BgL_arg2586z00_3144)));} break;case ((long)7) : 

{ /* Eval/evaluate_comp.scm 963 */
obj_t BgL_arg2589z00_3147;obj_t BgL_arg2590z00_3148;
{ /* Eval/evaluate_comp.scm 963 */
obj_t BgL_arg2591z00_3149;
BgL_arg2591z00_3149 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2589z00_3147 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12592, BgL_arg2591z00_3149); } 
{ /* Eval/evaluate_comp.scm 963 */
obj_t BgL_arg2592z00_3150;
BgL_arg2592z00_3150 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)2)); 
BgL_arg2590z00_3148 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12592, BgL_arg2592z00_3150); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2589z00_3147)-
REAL_TO_DOUBLE(BgL_arg2590z00_3148)));} break;case ((long)8) : 

{ /* Eval/evaluate_comp.scm 964 */
obj_t BgL_arg2593z00_3151;obj_t BgL_arg2594z00_3152;
{ /* Eval/evaluate_comp.scm 964 */
obj_t BgL_arg2595z00_3153;
BgL_arg2595z00_3153 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2593z00_3151 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12592, BgL_arg2595z00_3153); } 
{ /* Eval/evaluate_comp.scm 964 */
obj_t BgL_arg2596z00_3154;
BgL_arg2596z00_3154 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)2)); 
BgL_arg2594z00_3152 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12592, BgL_arg2596z00_3154); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2593z00_3151)*
REAL_TO_DOUBLE(BgL_arg2594z00_3152)));} break;case ((long)9) : 

{ /* Eval/evaluate_comp.scm 965 */
obj_t BgL_arg2597z00_3155;obj_t BgL_arg2598z00_3156;
{ /* Eval/evaluate_comp.scm 965 */
obj_t BgL_arg2599z00_3157;
BgL_arg2599z00_3157 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2597z00_3155 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12592, BgL_arg2599z00_3157); } 
{ /* Eval/evaluate_comp.scm 965 */
obj_t BgL_arg2600z00_3158;
BgL_arg2600z00_3158 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)2)); 
BgL_arg2598z00_3156 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12592, BgL_arg2600z00_3158); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2597z00_3155)/
REAL_TO_DOUBLE(BgL_arg2598z00_3156)));} break;case ((long)10) : 

{ /* Eval/evaluate_comp.scm 966 */
obj_t BgL_arg2601z00_3159;
{ /* Eval/evaluate_comp.scm 966 */
obj_t BgL_fun2602z00_3160;
BgL_fun2602z00_3160 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2601z00_3159 = 
PROCEDURE_ENTRY(BgL_fun2602z00_3160)(BgL_fun2602z00_3160, BgL_sz00_12592, BEOA); } 
return 
DOUBLE_TO_REAL(
(double)(
(long)CINT(BgL_arg2601z00_3159)));} break;case ((long)11) : 

{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_arg2603z00_3161;obj_t BgL_arg2604z00_3162;
{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_fun2605z00_3163;
BgL_fun2605z00_3163 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)1)); 
BgL_arg2603z00_3161 = 
PROCEDURE_ENTRY(BgL_fun2605z00_3163)(BgL_fun2605z00_3163, BgL_sz00_12592, BEOA); } 
{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_fun2606z00_3164;
BgL_fun2606z00_3164 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)2)); 
BgL_arg2604z00_3162 = 
PROCEDURE_ENTRY(BgL_fun2606z00_3164)(BgL_fun2606z00_3164, BgL_sz00_12592, BEOA); } 
{ /* Eval/evaluate_comp.scm 967 */
double BgL_tmpz00_20053;
{ /* Eval/evaluate_comp.scm 967 */
long BgL_tmpz00_20054;
BgL_tmpz00_20054 = 
(long)CINT(BgL_arg2604z00_3162); 
BgL_tmpz00_20053 = 
BGL_F64VREF(BgL_arg2603z00_3161, BgL_tmpz00_20054); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20053);} } break;
default: 
BgL_case_else1215z00_3129:
{ /* Eval/evaluate_comp.scm 968 */
obj_t BgL_arg2607z00_3165;
BgL_arg2607z00_3165 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3127),((long)0)); 
return 
BGl_errorz00zz__errorz00(BGl_string5188z00zz__evaluate_compz00, BGl_string5207z00zz__evaluate_compz00, BgL_arg2607z00_3165);} } }  else 
{ /* Eval/evaluate_comp.scm 955 */
goto BgL_case_else1215z00_3129;} } } } 
BGL_FUNCTION_END;
}



/* arith-expression */
obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_exprz00_191, obj_t BgL_stkz00_192)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 971 */
{ /* Eval/evaluate_comp.scm 973 */
obj_t BgL_fvalz00_3168;
BgL_fvalz00_3168 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_exprz00_191))->BgL_funz00)); 
{ /* Eval/evaluate_comp.scm 974 */
bool_t BgL_testz00_20065;
if(
(BgL_fvalz00_3168==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_20065 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 974 */
if(
(BgL_fvalz00_3168==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_20065 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 974 */
if(
(BgL_fvalz00_3168==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_20065 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_20065 = 
(BgL_fvalz00_3168==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00)
; } } } 
if(BgL_testz00_20065)
{ /* Eval/evaluate_comp.scm 975 */
obj_t BgL_bcz00_3173;
BgL_bcz00_3173 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
((obj_t)BgL_exprz00_191), BgL_stkz00_192); 
{ /* Eval/evaluate_comp.scm 976 */
obj_t BgL_zc3anonymousza32612ze3z83_10947;
BgL_zc3anonymousza32612ze3z83_10947 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32612ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32612ze3z83_10947, 
(int)(((long)0)), BgL_bcz00_3173); 
return BgL_zc3anonymousza32612ze3z83_10947;} }  else 
{ /* Eval/evaluate_comp.scm 974 */
return BFALSE;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2612> */
obj_t BGl_z62zc3anonymousza32612ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10948, obj_t BgL_sz00_10950)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 976 */
{ /* Eval/evaluate_comp.scm 976 */
obj_t BgL_bcz00_10949;
BgL_bcz00_10949 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10948, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 976 */
double BgL_tmpz00_20083;
{ /* Eval/evaluate_comp.scm 976 */
obj_t BgL_bpz00_13409;
BgL_bpz00_13409 = 
VECTOR_REF(
((obj_t)BgL_sz00_10950),((long)0)); 
BgL_tmpz00_20083 = 
BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_10949, BgL_sz00_10950); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20083);} } } 
BGL_FUNCTION_END;
}



/* inline-call */
obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193, BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195, obj_t BgL_stkz00_196)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1005 */
{ /* Eval/evaluate_comp.scm 1006 */
obj_t BgL_valz00_3181;
BgL_valz00_3181 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194); 
if(
CBOOL(BgL_valz00_3181))
{ /* Eval/evaluate_comp.scm 1008 */
long BgL_nz00_3182;
BgL_nz00_3182 = 
bgl_list_length(BgL_argsz00_195); 
{ /* Eval/evaluate_comp.scm 1009 */
obj_t BgL__ortest_1222z00_3183;
if(
(BgL_nz00_3182==((long)1)))
{ /* Eval/evaluate_comp.scm 1010 */
obj_t BgL_a1z00_3474;
BgL_a1z00_3474 = 
CAR(
((obj_t)BgL_argsz00_195)); 
if(
(BgL_valz00_3181==BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_3476;
BgL_a1z00_3476 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3474), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_zc3anonymousza32729ze3z83_10980;
BgL_zc3anonymousza32729ze3z83_10980 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32729ze3z83_10980, 
(int)(((long)0)), BgL_a1z00_3476); 
PROCEDURE_SET(BgL_zc3anonymousza32729ze3z83_10980, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1222z00_3183 = BgL_zc3anonymousza32729ze3z83_10980; } }  else 
{ /* Eval/evaluate_comp.scm 1011 */
if(
(BgL_valz00_3181==BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_3483;
BgL_a1z00_3483 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3474), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_zc3anonymousza32732ze3z83_10981;
BgL_zc3anonymousza32732ze3z83_10981 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32732ze3z83_10981, 
(int)(((long)0)), BgL_a1z00_3483); 
PROCEDURE_SET(BgL_zc3anonymousza32732ze3z83_10981, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1222z00_3183 = BgL_zc3anonymousza32732ze3z83_10981; } }  else 
{ /* Eval/evaluate_comp.scm 1011 */
if(
(BgL_valz00_3181==BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_3490;
BgL_a1z00_3490 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3474), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_zc3anonymousza32735ze3z83_10982;
BgL_zc3anonymousza32735ze3z83_10982 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32735ze3z83_10982, 
(int)(((long)0)), BgL_a1z00_3490); 
PROCEDURE_SET(BgL_zc3anonymousza32735ze3z83_10982, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1222z00_3183 = BgL_zc3anonymousza32735ze3z83_10982; } }  else 
{ /* Eval/evaluate_comp.scm 1011 */
BgL__ortest_1222z00_3183 = BFALSE; } } } }  else 
{ /* Eval/evaluate_comp.scm 1009 */
BgL__ortest_1222z00_3183 = BFALSE; } 
if(
CBOOL(BgL__ortest_1222z00_3183))
{ /* Eval/evaluate_comp.scm 1009 */
return BgL__ortest_1222z00_3183;}  else 
{ /* Eval/evaluate_comp.scm 1009 */
if(
(BgL_nz00_3182==((long)2)))
{ /* Eval/evaluate_comp.scm 1013 */
obj_t BgL_a1z00_3185;obj_t BgL_a2z00_3186;
BgL_a1z00_3185 = 
CAR(
((obj_t)BgL_argsz00_195)); 
{ /* Eval/evaluate_comp.scm 1013 */
obj_t BgL_pairz00_8298;
BgL_pairz00_8298 = 
CDR(
((obj_t)BgL_argsz00_195)); 
BgL_a2z00_3186 = 
CAR(BgL_pairz00_8298); } 
if(
(BgL_valz00_3181==BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3188;obj_t BgL_a2z00_3189;
BgL_a1z00_3188 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3189 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32616ze3z83_10951;
BgL_zc3anonymousza32616ze3z83_10951 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32616ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32616ze3z83_10951, 
(int)(((long)0)), BgL_a1z00_3188); 
PROCEDURE_SET(BgL_zc3anonymousza32616ze3z83_10951, 
(int)(((long)1)), BgL_a2z00_3189); 
PROCEDURE_SET(BgL_zc3anonymousza32616ze3z83_10951, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32616ze3z83_10951;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3198;obj_t BgL_a2z00_3199;
BgL_a1z00_3198 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3199 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32620ze3z83_10952;
BgL_zc3anonymousza32620ze3z83_10952 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32620ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32620ze3z83_10952, 
(int)(((long)0)), BgL_a1z00_3198); 
PROCEDURE_SET(BgL_zc3anonymousza32620ze3z83_10952, 
(int)(((long)1)), BgL_a2z00_3199); 
PROCEDURE_SET(BgL_zc3anonymousza32620ze3z83_10952, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32620ze3z83_10952;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_za2zd2envz70zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3208;obj_t BgL_a2z00_3209;
BgL_a1z00_3208 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3209 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32624ze3z83_10953;
BgL_zc3anonymousza32624ze3z83_10953 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32624ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32624ze3z83_10953, 
(int)(((long)0)), BgL_a1z00_3208); 
PROCEDURE_SET(BgL_zc3anonymousza32624ze3z83_10953, 
(int)(((long)1)), BgL_a2z00_3209); 
PROCEDURE_SET(BgL_zc3anonymousza32624ze3z83_10953, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32624ze3z83_10953;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3218;obj_t BgL_a2z00_3219;
BgL_a1z00_3218 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3219 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32628ze3z83_10954;
BgL_zc3anonymousza32628ze3z83_10954 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32628ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32628ze3z83_10954, 
(int)(((long)0)), BgL_a1z00_3218); 
PROCEDURE_SET(BgL_zc3anonymousza32628ze3z83_10954, 
(int)(((long)1)), BgL_a2z00_3219); 
PROCEDURE_SET(BgL_zc3anonymousza32628ze3z83_10954, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32628ze3z83_10954;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3228;obj_t BgL_a2z00_3229;
BgL_a1z00_3228 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3229 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32632ze3z83_10955;
BgL_zc3anonymousza32632ze3z83_10955 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32632ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32632ze3z83_10955, 
(int)(((long)0)), BgL_a1z00_3228); 
PROCEDURE_SET(BgL_zc3anonymousza32632ze3z83_10955, 
(int)(((long)1)), BgL_a2z00_3229); 
PROCEDURE_SET(BgL_zc3anonymousza32632ze3z83_10955, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32632ze3z83_10955;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3238;obj_t BgL_a2z00_3239;
BgL_a1z00_3238 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3239 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32636ze3z83_10956;
BgL_zc3anonymousza32636ze3z83_10956 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32636ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32636ze3z83_10956, 
(int)(((long)0)), BgL_a1z00_3238); 
PROCEDURE_SET(BgL_zc3anonymousza32636ze3z83_10956, 
(int)(((long)1)), BgL_a2z00_3239); 
PROCEDURE_SET(BgL_zc3anonymousza32636ze3z83_10956, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32636ze3z83_10956;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3248;obj_t BgL_a2z00_3249;
BgL_a1z00_3248 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3249 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32640ze3z83_10957;
BgL_zc3anonymousza32640ze3z83_10957 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32640ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32640ze3z83_10957, 
(int)(((long)0)), BgL_a1z00_3248); 
PROCEDURE_SET(BgL_zc3anonymousza32640ze3z83_10957, 
(int)(((long)1)), BgL_a2z00_3249); 
PROCEDURE_SET(BgL_zc3anonymousza32640ze3z83_10957, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32640ze3z83_10957;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3258;obj_t BgL_a2z00_3259;
BgL_a1z00_3258 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3259 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32644ze3z83_10958;
BgL_zc3anonymousza32644ze3z83_10958 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32644ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32644ze3z83_10958, 
(int)(((long)0)), BgL_a1z00_3258); 
PROCEDURE_SET(BgL_zc3anonymousza32644ze3z83_10958, 
(int)(((long)1)), BgL_a2z00_3259); 
PROCEDURE_SET(BgL_zc3anonymousza32644ze3z83_10958, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32644ze3z83_10958;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3268;obj_t BgL_a2z00_3269;
BgL_a1z00_3268 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3269 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32648ze3z83_10959;
BgL_zc3anonymousza32648ze3z83_10959 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32648ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32648ze3z83_10959, 
(int)(((long)0)), BgL_a1z00_3268); 
PROCEDURE_SET(BgL_zc3anonymousza32648ze3z83_10959, 
(int)(((long)1)), BgL_a2z00_3269); 
PROCEDURE_SET(BgL_zc3anonymousza32648ze3z83_10959, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32648ze3z83_10959;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3278;obj_t BgL_a2z00_3279;
BgL_a1z00_3278 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3279 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32652ze3z83_10960;
BgL_zc3anonymousza32652ze3z83_10960 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32652ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32652ze3z83_10960, 
(int)(((long)0)), BgL_a1z00_3278); 
PROCEDURE_SET(BgL_zc3anonymousza32652ze3z83_10960, 
(int)(((long)1)), BgL_a2z00_3279); 
PROCEDURE_SET(BgL_zc3anonymousza32652ze3z83_10960, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32652ze3z83_10960;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3288;obj_t BgL_a2z00_3289;
BgL_a1z00_3288 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3289 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32656ze3z83_10961;
BgL_zc3anonymousza32656ze3z83_10961 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32656ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32656ze3z83_10961, 
(int)(((long)0)), BgL_a1z00_3288); 
PROCEDURE_SET(BgL_zc3anonymousza32656ze3z83_10961, 
(int)(((long)1)), BgL_a2z00_3289); 
PROCEDURE_SET(BgL_zc3anonymousza32656ze3z83_10961, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32656ze3z83_10961;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3298;obj_t BgL_a2z00_3299;
BgL_a1z00_3298 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3299 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32660ze3z83_10962;
BgL_zc3anonymousza32660ze3z83_10962 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32660ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32660ze3z83_10962, 
(int)(((long)0)), BgL_a1z00_3298); 
PROCEDURE_SET(BgL_zc3anonymousza32660ze3z83_10962, 
(int)(((long)1)), BgL_a2z00_3299); 
PROCEDURE_SET(BgL_zc3anonymousza32660ze3z83_10962, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32660ze3z83_10962;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3308;obj_t BgL_a2z00_3309;
BgL_a1z00_3308 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3309 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32664ze3z83_10963;
BgL_zc3anonymousza32664ze3z83_10963 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32664ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32664ze3z83_10963, 
(int)(((long)0)), BgL_a1z00_3308); 
PROCEDURE_SET(BgL_zc3anonymousza32664ze3z83_10963, 
(int)(((long)1)), BgL_a2z00_3309); 
PROCEDURE_SET(BgL_zc3anonymousza32664ze3z83_10963, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32664ze3z83_10963;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3318;obj_t BgL_a2z00_3319;
BgL_a1z00_3318 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3319 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32668ze3z83_10964;
BgL_zc3anonymousza32668ze3z83_10964 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32668ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32668ze3z83_10964, 
(int)(((long)0)), BgL_a1z00_3318); 
PROCEDURE_SET(BgL_zc3anonymousza32668ze3z83_10964, 
(int)(((long)1)), BgL_a2z00_3319); 
PROCEDURE_SET(BgL_zc3anonymousza32668ze3z83_10964, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32668ze3z83_10964;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3328;obj_t BgL_a2z00_3329;
BgL_a1z00_3328 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3329 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32672ze3z83_10965;
BgL_zc3anonymousza32672ze3z83_10965 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32672ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32672ze3z83_10965, 
(int)(((long)0)), BgL_a1z00_3328); 
PROCEDURE_SET(BgL_zc3anonymousza32672ze3z83_10965, 
(int)(((long)1)), BgL_a2z00_3329); 
PROCEDURE_SET(BgL_zc3anonymousza32672ze3z83_10965, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32672ze3z83_10965;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3338;obj_t BgL_a2z00_3339;
BgL_a1z00_3338 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3339 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32676ze3z83_10966;
BgL_zc3anonymousza32676ze3z83_10966 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32676ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32676ze3z83_10966, 
(int)(((long)0)), BgL_a1z00_3338); 
PROCEDURE_SET(BgL_zc3anonymousza32676ze3z83_10966, 
(int)(((long)1)), BgL_a2z00_3339); 
PROCEDURE_SET(BgL_zc3anonymousza32676ze3z83_10966, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32676ze3z83_10966;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3348;obj_t BgL_a2z00_3349;
BgL_a1z00_3348 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3349 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32680ze3z83_10967;
BgL_zc3anonymousza32680ze3z83_10967 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32680ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32680ze3z83_10967, 
(int)(((long)0)), BgL_a1z00_3348); 
PROCEDURE_SET(BgL_zc3anonymousza32680ze3z83_10967, 
(int)(((long)1)), BgL_a2z00_3349); 
PROCEDURE_SET(BgL_zc3anonymousza32680ze3z83_10967, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32680ze3z83_10967;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3358;obj_t BgL_a2z00_3359;
BgL_a1z00_3358 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3359 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32684ze3z83_10968;
BgL_zc3anonymousza32684ze3z83_10968 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32684ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32684ze3z83_10968, 
(int)(((long)0)), BgL_a1z00_3358); 
PROCEDURE_SET(BgL_zc3anonymousza32684ze3z83_10968, 
(int)(((long)1)), BgL_a2z00_3359); 
PROCEDURE_SET(BgL_zc3anonymousza32684ze3z83_10968, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32684ze3z83_10968;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3368;obj_t BgL_a2z00_3369;
BgL_a1z00_3368 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3369 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32688ze3z83_10969;
BgL_zc3anonymousza32688ze3z83_10969 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32688ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32688ze3z83_10969, 
(int)(((long)0)), BgL_a1z00_3368); 
PROCEDURE_SET(BgL_zc3anonymousza32688ze3z83_10969, 
(int)(((long)1)), BgL_a2z00_3369); 
PROCEDURE_SET(BgL_zc3anonymousza32688ze3z83_10969, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32688ze3z83_10969;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3378;obj_t BgL_a2z00_3379;
BgL_a1z00_3378 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3379 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32692ze3z83_10970;
BgL_zc3anonymousza32692ze3z83_10970 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32692ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32692ze3z83_10970, 
(int)(((long)0)), BgL_a1z00_3378); 
PROCEDURE_SET(BgL_zc3anonymousza32692ze3z83_10970, 
(int)(((long)1)), BgL_a2z00_3379); 
PROCEDURE_SET(BgL_zc3anonymousza32692ze3z83_10970, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32692ze3z83_10970;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3388;obj_t BgL_a2z00_3389;
BgL_a1z00_3388 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3389 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32696ze3z83_10971;
BgL_zc3anonymousza32696ze3z83_10971 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32696ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32696ze3z83_10971, 
(int)(((long)0)), BgL_a1z00_3388); 
PROCEDURE_SET(BgL_zc3anonymousza32696ze3z83_10971, 
(int)(((long)1)), BgL_a2z00_3389); 
PROCEDURE_SET(BgL_zc3anonymousza32696ze3z83_10971, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32696ze3z83_10971;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3398;obj_t BgL_a2z00_3399;
BgL_a1z00_3398 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3399 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32700ze3z83_10972;
BgL_zc3anonymousza32700ze3z83_10972 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32700ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32700ze3z83_10972, 
(int)(((long)0)), BgL_a1z00_3398); 
PROCEDURE_SET(BgL_zc3anonymousza32700ze3z83_10972, 
(int)(((long)1)), BgL_a2z00_3399); 
PROCEDURE_SET(BgL_zc3anonymousza32700ze3z83_10972, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32700ze3z83_10972;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3408;obj_t BgL_a2z00_3409;
BgL_a1z00_3408 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3409 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32704ze3z83_10973;
BgL_zc3anonymousza32704ze3z83_10973 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32704ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32704ze3z83_10973, 
(int)(((long)0)), BgL_a1z00_3408); 
PROCEDURE_SET(BgL_zc3anonymousza32704ze3z83_10973, 
(int)(((long)1)), BgL_a2z00_3409); 
PROCEDURE_SET(BgL_zc3anonymousza32704ze3z83_10973, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32704ze3z83_10973;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3418;obj_t BgL_a2z00_3419;
BgL_a1z00_3418 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3419 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32708ze3z83_10974;
BgL_zc3anonymousza32708ze3z83_10974 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32708ze3z83_10974, 
(int)(((long)0)), BgL_a1z00_3418); 
PROCEDURE_SET(BgL_zc3anonymousza32708ze3z83_10974, 
(int)(((long)1)), BgL_a2z00_3419); 
PROCEDURE_SET(BgL_zc3anonymousza32708ze3z83_10974, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32708ze3z83_10974;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3428;obj_t BgL_a2z00_3429;
BgL_a1z00_3428 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3429 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32712ze3z83_10975;
BgL_zc3anonymousza32712ze3z83_10975 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32712ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32712ze3z83_10975, 
(int)(((long)0)), BgL_a1z00_3428); 
PROCEDURE_SET(BgL_zc3anonymousza32712ze3z83_10975, 
(int)(((long)1)), BgL_a2z00_3429); 
PROCEDURE_SET(BgL_zc3anonymousza32712ze3z83_10975, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32712ze3z83_10975;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3438;obj_t BgL_a2z00_3439;
BgL_a1z00_3438 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3439 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32716ze3z83_10976;
BgL_zc3anonymousza32716ze3z83_10976 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32716ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32716ze3z83_10976, 
(int)(((long)0)), BgL_a1z00_3438); 
PROCEDURE_SET(BgL_zc3anonymousza32716ze3z83_10976, 
(int)(((long)1)), BgL_a2z00_3439); 
PROCEDURE_SET(BgL_zc3anonymousza32716ze3z83_10976, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32716ze3z83_10976;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3448;obj_t BgL_a2z00_3449;
BgL_a1z00_3448 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3449 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32720ze3z83_10977;
BgL_zc3anonymousza32720ze3z83_10977 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32720ze3z83_10977, 
(int)(((long)0)), BgL_a1z00_3448); 
PROCEDURE_SET(BgL_zc3anonymousza32720ze3z83_10977, 
(int)(((long)1)), BgL_a2z00_3449); 
PROCEDURE_SET(BgL_zc3anonymousza32720ze3z83_10977, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32720ze3z83_10977;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3458;obj_t BgL_a2z00_3459;
BgL_a1z00_3458 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3459 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32724ze3z83_10978;
BgL_zc3anonymousza32724ze3z83_10978 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32724ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32724ze3z83_10978, 
(int)(((long)0)), BgL_a1z00_3458); 
PROCEDURE_SET(BgL_zc3anonymousza32724ze3z83_10978, 
(int)(((long)1)), BgL_a2z00_3459); 
return BgL_zc3anonymousza32724ze3z83_10978;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3181==BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3466;obj_t BgL_a2z00_3467;
BgL_a1z00_3466 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3185), BgL_stkz00_196); 
BgL_a2z00_3467 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3186), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32726ze3z83_10979;
BgL_zc3anonymousza32726ze3z83_10979 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32726ze3z83_10979, 
(int)(((long)0)), BgL_a1z00_3466); 
PROCEDURE_SET(BgL_zc3anonymousza32726ze3z83_10979, 
(int)(((long)1)), BgL_a2z00_3467); 
return BgL_zc3anonymousza32726ze3z83_10979;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
return BFALSE;} } } } } } } } } } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate_comp.scm 1012 */
return BFALSE;} } } }  else 
{ /* Eval/evaluate_comp.scm 1007 */
return BFALSE;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2616> */
obj_t BGl_z62zc3anonymousza32616ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10983, obj_t BgL_sz00_10987)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10984;obj_t BgL_a2z00_10985;obj_t BgL_locz00_10986;
BgL_a1z00_10984 = 
PROCEDURE_REF(BgL_envz00_10983, 
(int)(((long)0))); 
BgL_a2z00_10985 = 
PROCEDURE_REF(BgL_envz00_10983, 
(int)(((long)1))); 
BgL_locz00_10986 = 
PROCEDURE_REF(BgL_envz00_10983, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13410;
BgL_bpz00_13410 = 
VECTOR_REF(
((obj_t)BgL_sz00_10987),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13411;obj_t BgL_a2z00_13412;
BgL_a1z00_13411 = 
PROCEDURE_ENTRY(BgL_a1z00_10984)(BgL_a1z00_10984, BgL_sz00_10987, BEOA); 
BgL_a2z00_13412 = 
PROCEDURE_ENTRY(BgL_a2z00_10985)(BgL_a2z00_10985, BgL_sz00_10987, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13411))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5208z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a1z00_13411, BgL_locz00_10986); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13412))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5208z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a2z00_13412, BgL_locz00_10986); } 
return 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_13411, BgL_a2z00_13412);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2620> */
obj_t BGl_z62zc3anonymousza32620ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10988, obj_t BgL_sz00_10992)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10989;obj_t BgL_a2z00_10990;obj_t BgL_locz00_10991;
BgL_a1z00_10989 = 
PROCEDURE_REF(BgL_envz00_10988, 
(int)(((long)0))); 
BgL_a2z00_10990 = 
PROCEDURE_REF(BgL_envz00_10988, 
(int)(((long)1))); 
BgL_locz00_10991 = 
PROCEDURE_REF(BgL_envz00_10988, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13413;
BgL_bpz00_13413 = 
VECTOR_REF(
((obj_t)BgL_sz00_10992),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13414;obj_t BgL_a2z00_13415;
BgL_a1z00_13414 = 
PROCEDURE_ENTRY(BgL_a1z00_10989)(BgL_a1z00_10989, BgL_sz00_10992, BEOA); 
BgL_a2z00_13415 = 
PROCEDURE_ENTRY(BgL_a2z00_10990)(BgL_a2z00_10990, BgL_sz00_10992, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13414))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5212z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a1z00_13414, BgL_locz00_10991); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13415))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5212z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a2z00_13415, BgL_locz00_10991); } 
return 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_13414, BgL_a2z00_13415);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2624> */
obj_t BGl_z62zc3anonymousza32624ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10993, obj_t BgL_sz00_10997)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10994;obj_t BgL_a2z00_10995;obj_t BgL_locz00_10996;
BgL_a1z00_10994 = 
PROCEDURE_REF(BgL_envz00_10993, 
(int)(((long)0))); 
BgL_a2z00_10995 = 
PROCEDURE_REF(BgL_envz00_10993, 
(int)(((long)1))); 
BgL_locz00_10996 = 
PROCEDURE_REF(BgL_envz00_10993, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13416;
BgL_bpz00_13416 = 
VECTOR_REF(
((obj_t)BgL_sz00_10997),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13417;obj_t BgL_a2z00_13418;
BgL_a1z00_13417 = 
PROCEDURE_ENTRY(BgL_a1z00_10994)(BgL_a1z00_10994, BgL_sz00_10997, BEOA); 
BgL_a2z00_13418 = 
PROCEDURE_ENTRY(BgL_a2z00_10995)(BgL_a2z00_10995, BgL_sz00_10997, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13417))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5214z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a1z00_13417, BgL_locz00_10996); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13418))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5214z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a2z00_13418, BgL_locz00_10996); } 
return 
BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_13417, BgL_a2z00_13418);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2628> */
obj_t BGl_z62zc3anonymousza32628ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10998, obj_t BgL_sz00_11002)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10999;obj_t BgL_a2z00_11000;obj_t BgL_locz00_11001;
BgL_a1z00_10999 = 
PROCEDURE_REF(BgL_envz00_10998, 
(int)(((long)0))); 
BgL_a2z00_11000 = 
PROCEDURE_REF(BgL_envz00_10998, 
(int)(((long)1))); 
BgL_locz00_11001 = 
PROCEDURE_REF(BgL_envz00_10998, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13419;
BgL_bpz00_13419 = 
VECTOR_REF(
((obj_t)BgL_sz00_11002),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13420;obj_t BgL_a2z00_13421;
BgL_a1z00_13420 = 
PROCEDURE_ENTRY(BgL_a1z00_10999)(BgL_a1z00_10999, BgL_sz00_11002, BEOA); 
BgL_a2z00_13421 = 
PROCEDURE_ENTRY(BgL_a2z00_11000)(BgL_a2z00_11000, BgL_sz00_11002, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13420))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5216z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a1z00_13420, BgL_locz00_11001); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13421))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5216z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a2z00_13421, BgL_locz00_11001); } 
return 
BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_13420, BgL_a2z00_13421);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2632> */
obj_t BGl_z62zc3anonymousza32632ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11003, obj_t BgL_sz00_11007)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11004;obj_t BgL_a2z00_11005;obj_t BgL_locz00_11006;
BgL_a1z00_11004 = 
PROCEDURE_REF(BgL_envz00_11003, 
(int)(((long)0))); 
BgL_a2z00_11005 = 
PROCEDURE_REF(BgL_envz00_11003, 
(int)(((long)1))); 
BgL_locz00_11006 = 
PROCEDURE_REF(BgL_envz00_11003, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20667;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13422;
BgL_bpz00_13422 = 
VECTOR_REF(
((obj_t)BgL_sz00_11007),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13423;obj_t BgL_a2z00_13424;
BgL_a1z00_13423 = 
PROCEDURE_ENTRY(BgL_a1z00_11004)(BgL_a1z00_11004, BgL_sz00_11007, BEOA); 
BgL_a2z00_13424 = 
PROCEDURE_ENTRY(BgL_a2z00_11005)(BgL_a2z00_11005, BgL_sz00_11007, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13423))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5218z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a1z00_13423, BgL_locz00_11006); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13424))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5218z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a2z00_13424, BgL_locz00_11006); } 
BgL_tmpz00_20667 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_13423, BgL_a2z00_13424); } } 
return 
BBOOL(BgL_tmpz00_20667);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2636> */
obj_t BGl_z62zc3anonymousza32636ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11008, obj_t BgL_sz00_11012)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11009;obj_t BgL_a2z00_11010;obj_t BgL_locz00_11011;
BgL_a1z00_11009 = 
PROCEDURE_REF(BgL_envz00_11008, 
(int)(((long)0))); 
BgL_a2z00_11010 = 
PROCEDURE_REF(BgL_envz00_11008, 
(int)(((long)1))); 
BgL_locz00_11011 = 
PROCEDURE_REF(BgL_envz00_11008, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20692;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13425;
BgL_bpz00_13425 = 
VECTOR_REF(
((obj_t)BgL_sz00_11012),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13426;obj_t BgL_a2z00_13427;
BgL_a1z00_13426 = 
PROCEDURE_ENTRY(BgL_a1z00_11009)(BgL_a1z00_11009, BgL_sz00_11012, BEOA); 
BgL_a2z00_13427 = 
PROCEDURE_ENTRY(BgL_a2z00_11010)(BgL_a2z00_11010, BgL_sz00_11012, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13426))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5220z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a1z00_13426, BgL_locz00_11011); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13427))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5220z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a2z00_13427, BgL_locz00_11011); } 
BgL_tmpz00_20692 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_13426, BgL_a2z00_13427); } } 
return 
BBOOL(BgL_tmpz00_20692);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2640> */
obj_t BGl_z62zc3anonymousza32640ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11013, obj_t BgL_sz00_11017)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11014;obj_t BgL_a2z00_11015;obj_t BgL_locz00_11016;
BgL_a1z00_11014 = 
PROCEDURE_REF(BgL_envz00_11013, 
(int)(((long)0))); 
BgL_a2z00_11015 = 
PROCEDURE_REF(BgL_envz00_11013, 
(int)(((long)1))); 
BgL_locz00_11016 = 
PROCEDURE_REF(BgL_envz00_11013, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20717;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13428;
BgL_bpz00_13428 = 
VECTOR_REF(
((obj_t)BgL_sz00_11017),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13429;obj_t BgL_a2z00_13430;
BgL_a1z00_13429 = 
PROCEDURE_ENTRY(BgL_a1z00_11014)(BgL_a1z00_11014, BgL_sz00_11017, BEOA); 
BgL_a2z00_13430 = 
PROCEDURE_ENTRY(BgL_a2z00_11015)(BgL_a2z00_11015, BgL_sz00_11017, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13429))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5222z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a1z00_13429, BgL_locz00_11016); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13430))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5222z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a2z00_13430, BgL_locz00_11016); } 
BgL_tmpz00_20717 = 
BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_13429, BgL_a2z00_13430); } } 
return 
BBOOL(BgL_tmpz00_20717);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2644> */
obj_t BGl_z62zc3anonymousza32644ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11018, obj_t BgL_sz00_11022)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11019;obj_t BgL_a2z00_11020;obj_t BgL_locz00_11021;
BgL_a1z00_11019 = 
PROCEDURE_REF(BgL_envz00_11018, 
(int)(((long)0))); 
BgL_a2z00_11020 = 
PROCEDURE_REF(BgL_envz00_11018, 
(int)(((long)1))); 
BgL_locz00_11021 = 
PROCEDURE_REF(BgL_envz00_11018, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20742;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13431;
BgL_bpz00_13431 = 
VECTOR_REF(
((obj_t)BgL_sz00_11022),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13432;obj_t BgL_a2z00_13433;
BgL_a1z00_13432 = 
PROCEDURE_ENTRY(BgL_a1z00_11019)(BgL_a1z00_11019, BgL_sz00_11022, BEOA); 
BgL_a2z00_13433 = 
PROCEDURE_ENTRY(BgL_a2z00_11020)(BgL_a2z00_11020, BgL_sz00_11022, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13432))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5224z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a1z00_13432, BgL_locz00_11021); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13433))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5224z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a2z00_13433, BgL_locz00_11021); } 
BgL_tmpz00_20742 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_13432, BgL_a2z00_13433); } } 
return 
BBOOL(BgL_tmpz00_20742);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2648> */
obj_t BGl_z62zc3anonymousza32648ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11023, obj_t BgL_sz00_11027)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11024;obj_t BgL_a2z00_11025;obj_t BgL_locz00_11026;
BgL_a1z00_11024 = 
PROCEDURE_REF(BgL_envz00_11023, 
(int)(((long)0))); 
BgL_a2z00_11025 = 
PROCEDURE_REF(BgL_envz00_11023, 
(int)(((long)1))); 
BgL_locz00_11026 = 
PROCEDURE_REF(BgL_envz00_11023, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20767;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13434;
BgL_bpz00_13434 = 
VECTOR_REF(
((obj_t)BgL_sz00_11027),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13435;obj_t BgL_a2z00_13436;
BgL_a1z00_13435 = 
PROCEDURE_ENTRY(BgL_a1z00_11024)(BgL_a1z00_11024, BgL_sz00_11027, BEOA); 
BgL_a2z00_13436 = 
PROCEDURE_ENTRY(BgL_a2z00_11025)(BgL_a2z00_11025, BgL_sz00_11027, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13435))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5226z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a1z00_13435, BgL_locz00_11026); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13436))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5226z00zz__evaluate_compz00, BGl_symbol5210z00zz__evaluate_compz00, BgL_a2z00_13436, BgL_locz00_11026); } 
BgL_tmpz00_20767 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_13435, BgL_a2z00_13436); } } 
return 
BBOOL(BgL_tmpz00_20767);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2652> */
obj_t BGl_z62zc3anonymousza32652ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11028, obj_t BgL_sz00_11032)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11029;obj_t BgL_a2z00_11030;obj_t BgL_locz00_11031;
BgL_a1z00_11029 = 
PROCEDURE_REF(BgL_envz00_11028, 
(int)(((long)0))); 
BgL_a2z00_11030 = 
PROCEDURE_REF(BgL_envz00_11028, 
(int)(((long)1))); 
BgL_locz00_11031 = 
PROCEDURE_REF(BgL_envz00_11028, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20792;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13437;
BgL_bpz00_13437 = 
VECTOR_REF(
((obj_t)BgL_sz00_11032),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13438;obj_t BgL_a2z00_13439;
BgL_a1z00_13438 = 
PROCEDURE_ENTRY(BgL_a1z00_11029)(BgL_a1z00_11029, BgL_sz00_11032, BEOA); 
BgL_a2z00_13439 = 
PROCEDURE_ENTRY(BgL_a2z00_11030)(BgL_a2z00_11030, BgL_sz00_11032, BEOA); 
if(
INTEGERP(BgL_a1z00_13438))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5228z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a1z00_13438, BgL_locz00_11031); } 
if(
INTEGERP(BgL_a2z00_13439))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5228z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a2z00_13439, BgL_locz00_11031); } 
BgL_tmpz00_20792 = 
(
(long)CINT(BgL_a1z00_13438)+
(long)CINT(BgL_a2z00_13439)); } } 
return 
BINT(BgL_tmpz00_20792);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2656> */
obj_t BGl_z62zc3anonymousza32656ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11033, obj_t BgL_sz00_11037)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11034;obj_t BgL_a2z00_11035;obj_t BgL_locz00_11036;
BgL_a1z00_11034 = 
PROCEDURE_REF(BgL_envz00_11033, 
(int)(((long)0))); 
BgL_a2z00_11035 = 
PROCEDURE_REF(BgL_envz00_11033, 
(int)(((long)1))); 
BgL_locz00_11036 = 
PROCEDURE_REF(BgL_envz00_11033, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20819;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13440;
BgL_bpz00_13440 = 
VECTOR_REF(
((obj_t)BgL_sz00_11037),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13441;obj_t BgL_a2z00_13442;
BgL_a1z00_13441 = 
PROCEDURE_ENTRY(BgL_a1z00_11034)(BgL_a1z00_11034, BgL_sz00_11037, BEOA); 
BgL_a2z00_13442 = 
PROCEDURE_ENTRY(BgL_a2z00_11035)(BgL_a2z00_11035, BgL_sz00_11037, BEOA); 
if(
INTEGERP(BgL_a1z00_13441))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5232z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a1z00_13441, BgL_locz00_11036); } 
if(
INTEGERP(BgL_a2z00_13442))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5232z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a2z00_13442, BgL_locz00_11036); } 
BgL_tmpz00_20819 = 
(
(long)CINT(BgL_a1z00_13441)-
(long)CINT(BgL_a2z00_13442)); } } 
return 
BINT(BgL_tmpz00_20819);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2660> */
obj_t BGl_z62zc3anonymousza32660ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11038, obj_t BgL_sz00_11042)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11039;obj_t BgL_a2z00_11040;obj_t BgL_locz00_11041;
BgL_a1z00_11039 = 
PROCEDURE_REF(BgL_envz00_11038, 
(int)(((long)0))); 
BgL_a2z00_11040 = 
PROCEDURE_REF(BgL_envz00_11038, 
(int)(((long)1))); 
BgL_locz00_11041 = 
PROCEDURE_REF(BgL_envz00_11038, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20846;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13443;
BgL_bpz00_13443 = 
VECTOR_REF(
((obj_t)BgL_sz00_11042),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13444;obj_t BgL_a2z00_13445;
BgL_a1z00_13444 = 
PROCEDURE_ENTRY(BgL_a1z00_11039)(BgL_a1z00_11039, BgL_sz00_11042, BEOA); 
BgL_a2z00_13445 = 
PROCEDURE_ENTRY(BgL_a2z00_11040)(BgL_a2z00_11040, BgL_sz00_11042, BEOA); 
if(
INTEGERP(BgL_a1z00_13444))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5234z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a1z00_13444, BgL_locz00_11041); } 
if(
INTEGERP(BgL_a2z00_13445))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5234z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a2z00_13445, BgL_locz00_11041); } 
BgL_tmpz00_20846 = 
(
(long)CINT(BgL_a1z00_13444)*
(long)CINT(BgL_a2z00_13445)); } } 
return 
BINT(BgL_tmpz00_20846);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2664> */
obj_t BGl_z62zc3anonymousza32664ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11043, obj_t BgL_sz00_11047)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11044;obj_t BgL_a2z00_11045;obj_t BgL_locz00_11046;
BgL_a1z00_11044 = 
PROCEDURE_REF(BgL_envz00_11043, 
(int)(((long)0))); 
BgL_a2z00_11045 = 
PROCEDURE_REF(BgL_envz00_11043, 
(int)(((long)1))); 
BgL_locz00_11046 = 
PROCEDURE_REF(BgL_envz00_11043, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20873;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13446;
BgL_bpz00_13446 = 
VECTOR_REF(
((obj_t)BgL_sz00_11047),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13447;obj_t BgL_a2z00_13448;
BgL_a1z00_13447 = 
PROCEDURE_ENTRY(BgL_a1z00_11044)(BgL_a1z00_11044, BgL_sz00_11047, BEOA); 
BgL_a2z00_13448 = 
PROCEDURE_ENTRY(BgL_a2z00_11045)(BgL_a2z00_11045, BgL_sz00_11047, BEOA); 
if(
INTEGERP(BgL_a1z00_13447))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5236z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a1z00_13447, BgL_locz00_11046); } 
if(
INTEGERP(BgL_a2z00_13448))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5236z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a2z00_13448, BgL_locz00_11046); } 
BgL_tmpz00_20873 = 
(
(long)CINT(BgL_a1z00_13447)/
(long)CINT(BgL_a2z00_13448)); } } 
return 
BINT(BgL_tmpz00_20873);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2668> */
obj_t BGl_z62zc3anonymousza32668ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11048, obj_t BgL_sz00_11052)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11049;obj_t BgL_a2z00_11050;obj_t BgL_locz00_11051;
BgL_a1z00_11049 = 
PROCEDURE_REF(BgL_envz00_11048, 
(int)(((long)0))); 
BgL_a2z00_11050 = 
PROCEDURE_REF(BgL_envz00_11048, 
(int)(((long)1))); 
BgL_locz00_11051 = 
PROCEDURE_REF(BgL_envz00_11048, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20900;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13449;
BgL_bpz00_13449 = 
VECTOR_REF(
((obj_t)BgL_sz00_11052),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13450;obj_t BgL_a2z00_13451;
BgL_a1z00_13450 = 
PROCEDURE_ENTRY(BgL_a1z00_11049)(BgL_a1z00_11049, BgL_sz00_11052, BEOA); 
BgL_a2z00_13451 = 
PROCEDURE_ENTRY(BgL_a2z00_11050)(BgL_a2z00_11050, BgL_sz00_11052, BEOA); 
if(
INTEGERP(BgL_a1z00_13450))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5238z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a1z00_13450, BgL_locz00_11051); } 
if(
INTEGERP(BgL_a2z00_13451))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5238z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a2z00_13451, BgL_locz00_11051); } 
BgL_tmpz00_20900 = 
(
(long)CINT(BgL_a1z00_13450)<
(long)CINT(BgL_a2z00_13451)); } } 
return 
BBOOL(BgL_tmpz00_20900);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2672> */
obj_t BGl_z62zc3anonymousza32672ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11053, obj_t BgL_sz00_11057)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11054;obj_t BgL_a2z00_11055;obj_t BgL_locz00_11056;
BgL_a1z00_11054 = 
PROCEDURE_REF(BgL_envz00_11053, 
(int)(((long)0))); 
BgL_a2z00_11055 = 
PROCEDURE_REF(BgL_envz00_11053, 
(int)(((long)1))); 
BgL_locz00_11056 = 
PROCEDURE_REF(BgL_envz00_11053, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20927;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13452;
BgL_bpz00_13452 = 
VECTOR_REF(
((obj_t)BgL_sz00_11057),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13453;obj_t BgL_a2z00_13454;
BgL_a1z00_13453 = 
PROCEDURE_ENTRY(BgL_a1z00_11054)(BgL_a1z00_11054, BgL_sz00_11057, BEOA); 
BgL_a2z00_13454 = 
PROCEDURE_ENTRY(BgL_a2z00_11055)(BgL_a2z00_11055, BgL_sz00_11057, BEOA); 
if(
INTEGERP(BgL_a1z00_13453))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5240z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a1z00_13453, BgL_locz00_11056); } 
if(
INTEGERP(BgL_a2z00_13454))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5240z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a2z00_13454, BgL_locz00_11056); } 
BgL_tmpz00_20927 = 
(
(long)CINT(BgL_a1z00_13453)>
(long)CINT(BgL_a2z00_13454)); } } 
return 
BBOOL(BgL_tmpz00_20927);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2676> */
obj_t BGl_z62zc3anonymousza32676ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11058, obj_t BgL_sz00_11062)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11059;obj_t BgL_a2z00_11060;obj_t BgL_locz00_11061;
BgL_a1z00_11059 = 
PROCEDURE_REF(BgL_envz00_11058, 
(int)(((long)0))); 
BgL_a2z00_11060 = 
PROCEDURE_REF(BgL_envz00_11058, 
(int)(((long)1))); 
BgL_locz00_11061 = 
PROCEDURE_REF(BgL_envz00_11058, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20954;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13455;
BgL_bpz00_13455 = 
VECTOR_REF(
((obj_t)BgL_sz00_11062),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13456;obj_t BgL_a2z00_13457;
BgL_a1z00_13456 = 
PROCEDURE_ENTRY(BgL_a1z00_11059)(BgL_a1z00_11059, BgL_sz00_11062, BEOA); 
BgL_a2z00_13457 = 
PROCEDURE_ENTRY(BgL_a2z00_11060)(BgL_a2z00_11060, BgL_sz00_11062, BEOA); 
if(
INTEGERP(BgL_a1z00_13456))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5242z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a1z00_13456, BgL_locz00_11061); } 
if(
INTEGERP(BgL_a2z00_13457))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5242z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a2z00_13457, BgL_locz00_11061); } 
BgL_tmpz00_20954 = 
(
(long)CINT(BgL_a1z00_13456)<=
(long)CINT(BgL_a2z00_13457)); } } 
return 
BBOOL(BgL_tmpz00_20954);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2680> */
obj_t BGl_z62zc3anonymousza32680ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11063, obj_t BgL_sz00_11067)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11064;obj_t BgL_a2z00_11065;obj_t BgL_locz00_11066;
BgL_a1z00_11064 = 
PROCEDURE_REF(BgL_envz00_11063, 
(int)(((long)0))); 
BgL_a2z00_11065 = 
PROCEDURE_REF(BgL_envz00_11063, 
(int)(((long)1))); 
BgL_locz00_11066 = 
PROCEDURE_REF(BgL_envz00_11063, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20981;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13458;
BgL_bpz00_13458 = 
VECTOR_REF(
((obj_t)BgL_sz00_11067),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13459;obj_t BgL_a2z00_13460;
BgL_a1z00_13459 = 
PROCEDURE_ENTRY(BgL_a1z00_11064)(BgL_a1z00_11064, BgL_sz00_11067, BEOA); 
BgL_a2z00_13460 = 
PROCEDURE_ENTRY(BgL_a2z00_11065)(BgL_a2z00_11065, BgL_sz00_11067, BEOA); 
if(
INTEGERP(BgL_a1z00_13459))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5244z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a1z00_13459, BgL_locz00_11066); } 
if(
INTEGERP(BgL_a2z00_13460))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5244z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a2z00_13460, BgL_locz00_11066); } 
BgL_tmpz00_20981 = 
(
(long)CINT(BgL_a1z00_13459)>=
(long)CINT(BgL_a2z00_13460)); } } 
return 
BBOOL(BgL_tmpz00_20981);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2684> */
obj_t BGl_z62zc3anonymousza32684ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11068, obj_t BgL_sz00_11072)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11069;obj_t BgL_a2z00_11070;obj_t BgL_locz00_11071;
BgL_a1z00_11069 = 
PROCEDURE_REF(BgL_envz00_11068, 
(int)(((long)0))); 
BgL_a2z00_11070 = 
PROCEDURE_REF(BgL_envz00_11068, 
(int)(((long)1))); 
BgL_locz00_11071 = 
PROCEDURE_REF(BgL_envz00_11068, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21008;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13461;
BgL_bpz00_13461 = 
VECTOR_REF(
((obj_t)BgL_sz00_11072),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13462;obj_t BgL_a2z00_13463;
BgL_a1z00_13462 = 
PROCEDURE_ENTRY(BgL_a1z00_11069)(BgL_a1z00_11069, BgL_sz00_11072, BEOA); 
BgL_a2z00_13463 = 
PROCEDURE_ENTRY(BgL_a2z00_11070)(BgL_a2z00_11070, BgL_sz00_11072, BEOA); 
if(
INTEGERP(BgL_a1z00_13462))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5246z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a1z00_13462, BgL_locz00_11071); } 
if(
INTEGERP(BgL_a2z00_13463))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5246z00zz__evaluate_compz00, BGl_symbol5230z00zz__evaluate_compz00, BgL_a2z00_13463, BgL_locz00_11071); } 
BgL_tmpz00_21008 = 
(
(long)CINT(BgL_a1z00_13462)==
(long)CINT(BgL_a2z00_13463)); } } 
return 
BBOOL(BgL_tmpz00_21008);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2688> */
obj_t BGl_z62zc3anonymousza32688ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11073, obj_t BgL_sz00_11077)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11074;obj_t BgL_a2z00_11075;obj_t BgL_locz00_11076;
BgL_a1z00_11074 = 
PROCEDURE_REF(BgL_envz00_11073, 
(int)(((long)0))); 
BgL_a2z00_11075 = 
PROCEDURE_REF(BgL_envz00_11073, 
(int)(((long)1))); 
BgL_locz00_11076 = 
PROCEDURE_REF(BgL_envz00_11073, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_21035;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13464;
BgL_bpz00_13464 = 
VECTOR_REF(
((obj_t)BgL_sz00_11077),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13465;obj_t BgL_a2z00_13466;
BgL_a1z00_13465 = 
PROCEDURE_ENTRY(BgL_a1z00_11074)(BgL_a1z00_11074, BgL_sz00_11077, BEOA); 
BgL_a2z00_13466 = 
PROCEDURE_ENTRY(BgL_a2z00_11075)(BgL_a2z00_11075, BgL_sz00_11077, BEOA); 
if(
REALP(BgL_a1z00_13465))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5248z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a1z00_13465, BgL_locz00_11076); } 
if(
REALP(BgL_a2z00_13466))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5248z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a2z00_13466, BgL_locz00_11076); } 
BgL_tmpz00_21035 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13465)+
REAL_TO_DOUBLE(BgL_a2z00_13466)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21035);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2692> */
obj_t BGl_z62zc3anonymousza32692ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11078, obj_t BgL_sz00_11082)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11079;obj_t BgL_a2z00_11080;obj_t BgL_locz00_11081;
BgL_a1z00_11079 = 
PROCEDURE_REF(BgL_envz00_11078, 
(int)(((long)0))); 
BgL_a2z00_11080 = 
PROCEDURE_REF(BgL_envz00_11078, 
(int)(((long)1))); 
BgL_locz00_11081 = 
PROCEDURE_REF(BgL_envz00_11078, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_21062;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13467;
BgL_bpz00_13467 = 
VECTOR_REF(
((obj_t)BgL_sz00_11082),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13468;obj_t BgL_a2z00_13469;
BgL_a1z00_13468 = 
PROCEDURE_ENTRY(BgL_a1z00_11079)(BgL_a1z00_11079, BgL_sz00_11082, BEOA); 
BgL_a2z00_13469 = 
PROCEDURE_ENTRY(BgL_a2z00_11080)(BgL_a2z00_11080, BgL_sz00_11082, BEOA); 
if(
REALP(BgL_a1z00_13468))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5252z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a1z00_13468, BgL_locz00_11081); } 
if(
REALP(BgL_a2z00_13469))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5252z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a2z00_13469, BgL_locz00_11081); } 
BgL_tmpz00_21062 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13468)-
REAL_TO_DOUBLE(BgL_a2z00_13469)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21062);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2696> */
obj_t BGl_z62zc3anonymousza32696ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11083, obj_t BgL_sz00_11087)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11084;obj_t BgL_a2z00_11085;obj_t BgL_locz00_11086;
BgL_a1z00_11084 = 
PROCEDURE_REF(BgL_envz00_11083, 
(int)(((long)0))); 
BgL_a2z00_11085 = 
PROCEDURE_REF(BgL_envz00_11083, 
(int)(((long)1))); 
BgL_locz00_11086 = 
PROCEDURE_REF(BgL_envz00_11083, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_21089;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13470;
BgL_bpz00_13470 = 
VECTOR_REF(
((obj_t)BgL_sz00_11087),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13471;obj_t BgL_a2z00_13472;
BgL_a1z00_13471 = 
PROCEDURE_ENTRY(BgL_a1z00_11084)(BgL_a1z00_11084, BgL_sz00_11087, BEOA); 
BgL_a2z00_13472 = 
PROCEDURE_ENTRY(BgL_a2z00_11085)(BgL_a2z00_11085, BgL_sz00_11087, BEOA); 
if(
REALP(BgL_a1z00_13471))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5254z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a1z00_13471, BgL_locz00_11086); } 
if(
REALP(BgL_a2z00_13472))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5254z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a2z00_13472, BgL_locz00_11086); } 
BgL_tmpz00_21089 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13471)*
REAL_TO_DOUBLE(BgL_a2z00_13472)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21089);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2700> */
obj_t BGl_z62zc3anonymousza32700ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11088, obj_t BgL_sz00_11092)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11089;obj_t BgL_a2z00_11090;obj_t BgL_locz00_11091;
BgL_a1z00_11089 = 
PROCEDURE_REF(BgL_envz00_11088, 
(int)(((long)0))); 
BgL_a2z00_11090 = 
PROCEDURE_REF(BgL_envz00_11088, 
(int)(((long)1))); 
BgL_locz00_11091 = 
PROCEDURE_REF(BgL_envz00_11088, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_21116;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13473;
BgL_bpz00_13473 = 
VECTOR_REF(
((obj_t)BgL_sz00_11092),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13474;obj_t BgL_a2z00_13475;
BgL_a1z00_13474 = 
PROCEDURE_ENTRY(BgL_a1z00_11089)(BgL_a1z00_11089, BgL_sz00_11092, BEOA); 
BgL_a2z00_13475 = 
PROCEDURE_ENTRY(BgL_a2z00_11090)(BgL_a2z00_11090, BgL_sz00_11092, BEOA); 
if(
REALP(BgL_a1z00_13474))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5256z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a1z00_13474, BgL_locz00_11091); } 
if(
REALP(BgL_a2z00_13475))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5256z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a2z00_13475, BgL_locz00_11091); } 
BgL_tmpz00_21116 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13474)/
REAL_TO_DOUBLE(BgL_a2z00_13475)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21116);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2704> */
obj_t BGl_z62zc3anonymousza32704ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11093, obj_t BgL_sz00_11097)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11094;obj_t BgL_a2z00_11095;obj_t BgL_locz00_11096;
BgL_a1z00_11094 = 
PROCEDURE_REF(BgL_envz00_11093, 
(int)(((long)0))); 
BgL_a2z00_11095 = 
PROCEDURE_REF(BgL_envz00_11093, 
(int)(((long)1))); 
BgL_locz00_11096 = 
PROCEDURE_REF(BgL_envz00_11093, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21143;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13476;
BgL_bpz00_13476 = 
VECTOR_REF(
((obj_t)BgL_sz00_11097),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13477;obj_t BgL_a2z00_13478;
BgL_a1z00_13477 = 
PROCEDURE_ENTRY(BgL_a1z00_11094)(BgL_a1z00_11094, BgL_sz00_11097, BEOA); 
BgL_a2z00_13478 = 
PROCEDURE_ENTRY(BgL_a2z00_11095)(BgL_a2z00_11095, BgL_sz00_11097, BEOA); 
if(
REALP(BgL_a1z00_13477))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5258z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a1z00_13477, BgL_locz00_11096); } 
if(
REALP(BgL_a2z00_13478))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5258z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a2z00_13478, BgL_locz00_11096); } 
BgL_tmpz00_21143 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13477)<
REAL_TO_DOUBLE(BgL_a2z00_13478)); } } 
return 
BBOOL(BgL_tmpz00_21143);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2708> */
obj_t BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11098, obj_t BgL_sz00_11102)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11099;obj_t BgL_a2z00_11100;obj_t BgL_locz00_11101;
BgL_a1z00_11099 = 
PROCEDURE_REF(BgL_envz00_11098, 
(int)(((long)0))); 
BgL_a2z00_11100 = 
PROCEDURE_REF(BgL_envz00_11098, 
(int)(((long)1))); 
BgL_locz00_11101 = 
PROCEDURE_REF(BgL_envz00_11098, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21170;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13479;
BgL_bpz00_13479 = 
VECTOR_REF(
((obj_t)BgL_sz00_11102),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13480;obj_t BgL_a2z00_13481;
BgL_a1z00_13480 = 
PROCEDURE_ENTRY(BgL_a1z00_11099)(BgL_a1z00_11099, BgL_sz00_11102, BEOA); 
BgL_a2z00_13481 = 
PROCEDURE_ENTRY(BgL_a2z00_11100)(BgL_a2z00_11100, BgL_sz00_11102, BEOA); 
if(
REALP(BgL_a1z00_13480))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5260z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a1z00_13480, BgL_locz00_11101); } 
if(
REALP(BgL_a2z00_13481))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5260z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a2z00_13481, BgL_locz00_11101); } 
BgL_tmpz00_21170 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13480)>
REAL_TO_DOUBLE(BgL_a2z00_13481)); } } 
return 
BBOOL(BgL_tmpz00_21170);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2712> */
obj_t BGl_z62zc3anonymousza32712ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11103, obj_t BgL_sz00_11107)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11104;obj_t BgL_a2z00_11105;obj_t BgL_locz00_11106;
BgL_a1z00_11104 = 
PROCEDURE_REF(BgL_envz00_11103, 
(int)(((long)0))); 
BgL_a2z00_11105 = 
PROCEDURE_REF(BgL_envz00_11103, 
(int)(((long)1))); 
BgL_locz00_11106 = 
PROCEDURE_REF(BgL_envz00_11103, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21197;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13482;
BgL_bpz00_13482 = 
VECTOR_REF(
((obj_t)BgL_sz00_11107),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13483;obj_t BgL_a2z00_13484;
BgL_a1z00_13483 = 
PROCEDURE_ENTRY(BgL_a1z00_11104)(BgL_a1z00_11104, BgL_sz00_11107, BEOA); 
BgL_a2z00_13484 = 
PROCEDURE_ENTRY(BgL_a2z00_11105)(BgL_a2z00_11105, BgL_sz00_11107, BEOA); 
if(
REALP(BgL_a1z00_13483))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5262z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a1z00_13483, BgL_locz00_11106); } 
if(
REALP(BgL_a2z00_13484))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5262z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a2z00_13484, BgL_locz00_11106); } 
BgL_tmpz00_21197 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13483)<=
REAL_TO_DOUBLE(BgL_a2z00_13484)); } } 
return 
BBOOL(BgL_tmpz00_21197);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2716> */
obj_t BGl_z62zc3anonymousza32716ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11108, obj_t BgL_sz00_11112)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11109;obj_t BgL_a2z00_11110;obj_t BgL_locz00_11111;
BgL_a1z00_11109 = 
PROCEDURE_REF(BgL_envz00_11108, 
(int)(((long)0))); 
BgL_a2z00_11110 = 
PROCEDURE_REF(BgL_envz00_11108, 
(int)(((long)1))); 
BgL_locz00_11111 = 
PROCEDURE_REF(BgL_envz00_11108, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21224;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13485;
BgL_bpz00_13485 = 
VECTOR_REF(
((obj_t)BgL_sz00_11112),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13486;obj_t BgL_a2z00_13487;
BgL_a1z00_13486 = 
PROCEDURE_ENTRY(BgL_a1z00_11109)(BgL_a1z00_11109, BgL_sz00_11112, BEOA); 
BgL_a2z00_13487 = 
PROCEDURE_ENTRY(BgL_a2z00_11110)(BgL_a2z00_11110, BgL_sz00_11112, BEOA); 
if(
REALP(BgL_a1z00_13486))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5264z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a1z00_13486, BgL_locz00_11111); } 
if(
REALP(BgL_a2z00_13487))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5264z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a2z00_13487, BgL_locz00_11111); } 
BgL_tmpz00_21224 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13486)>=
REAL_TO_DOUBLE(BgL_a2z00_13487)); } } 
return 
BBOOL(BgL_tmpz00_21224);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2720> */
obj_t BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11113, obj_t BgL_sz00_11117)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11114;obj_t BgL_a2z00_11115;obj_t BgL_locz00_11116;
BgL_a1z00_11114 = 
PROCEDURE_REF(BgL_envz00_11113, 
(int)(((long)0))); 
BgL_a2z00_11115 = 
PROCEDURE_REF(BgL_envz00_11113, 
(int)(((long)1))); 
BgL_locz00_11116 = 
PROCEDURE_REF(BgL_envz00_11113, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21251;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13488;
BgL_bpz00_13488 = 
VECTOR_REF(
((obj_t)BgL_sz00_11117),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13489;obj_t BgL_a2z00_13490;
BgL_a1z00_13489 = 
PROCEDURE_ENTRY(BgL_a1z00_11114)(BgL_a1z00_11114, BgL_sz00_11117, BEOA); 
BgL_a2z00_13490 = 
PROCEDURE_ENTRY(BgL_a2z00_11115)(BgL_a2z00_11115, BgL_sz00_11117, BEOA); 
if(
REALP(BgL_a1z00_13489))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5266z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a1z00_13489, BgL_locz00_11116); } 
if(
REALP(BgL_a2z00_13490))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5266z00zz__evaluate_compz00, BGl_symbol5250z00zz__evaluate_compz00, BgL_a2z00_13490, BgL_locz00_11116); } 
BgL_tmpz00_21251 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13489)==
REAL_TO_DOUBLE(BgL_a2z00_13490)); } } 
return 
BBOOL(BgL_tmpz00_21251);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2724> */
obj_t BGl_z62zc3anonymousza32724ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11118, obj_t BgL_sz00_11121)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11119;obj_t BgL_a2z00_11120;
BgL_a1z00_11119 = 
PROCEDURE_REF(BgL_envz00_11118, 
(int)(((long)0))); 
BgL_a2z00_11120 = 
PROCEDURE_REF(BgL_envz00_11118, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21276;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13491;
BgL_bpz00_13491 = 
VECTOR_REF(
((obj_t)BgL_sz00_11121),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13492;obj_t BgL_a2z00_13493;
BgL_a1z00_13492 = 
PROCEDURE_ENTRY(BgL_a1z00_11119)(BgL_a1z00_11119, BgL_sz00_11121, BEOA); 
BgL_a2z00_13493 = 
PROCEDURE_ENTRY(BgL_a2z00_11120)(BgL_a2z00_11120, BgL_sz00_11121, BEOA); 
BgL_tmpz00_21276 = 
(BgL_a1z00_13492==BgL_a2z00_13493); } } 
return 
BBOOL(BgL_tmpz00_21276);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2726> */
obj_t BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11122, obj_t BgL_sz00_11125)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11123;obj_t BgL_a2z00_11124;
BgL_a1z00_11123 = 
PROCEDURE_REF(BgL_envz00_11122, 
(int)(((long)0))); 
BgL_a2z00_11124 = 
PROCEDURE_REF(BgL_envz00_11122, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13494;
BgL_bpz00_13494 = 
VECTOR_REF(
((obj_t)BgL_sz00_11125),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13495;obj_t BgL_a2z00_13496;
BgL_a1z00_13495 = 
PROCEDURE_ENTRY(BgL_a1z00_11123)(BgL_a1z00_11123, BgL_sz00_11125, BEOA); 
BgL_a2z00_13496 = 
PROCEDURE_ENTRY(BgL_a2z00_11124)(BgL_a2z00_11124, BgL_sz00_11125, BEOA); 
return 
MAKE_YOUNG_PAIR(BgL_a1z00_13495, BgL_a2z00_13496);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2729> */
obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11126, obj_t BgL_sz00_11129)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1011 */
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_11127;obj_t BgL_locz00_11128;
BgL_a1z00_11127 = 
PROCEDURE_REF(BgL_envz00_11126, 
(int)(((long)0))); 
BgL_locz00_11128 = 
PROCEDURE_REF(BgL_envz00_11126, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_bpz00_13497;
BgL_bpz00_13497 = 
VECTOR_REF(
((obj_t)BgL_sz00_11129),((long)0)); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_13498;
BgL_a1z00_13498 = 
PROCEDURE_ENTRY(BgL_a1z00_11127)(BgL_a1z00_11127, BgL_sz00_11129, BEOA); 
if(
PAIRP(BgL_a1z00_13498))
{ /* Eval/evaluate_comp.scm 1011 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1011 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5268z00zz__evaluate_compz00, BGl_symbol5270z00zz__evaluate_compz00, BgL_a1z00_13498, BgL_locz00_11128); } 
return 
CAR(
((obj_t)BgL_a1z00_13498));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2732> */
obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11130, obj_t BgL_sz00_11133)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1011 */
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_11131;obj_t BgL_locz00_11132;
BgL_a1z00_11131 = 
PROCEDURE_REF(BgL_envz00_11130, 
(int)(((long)0))); 
BgL_locz00_11132 = 
PROCEDURE_REF(BgL_envz00_11130, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_bpz00_13499;
BgL_bpz00_13499 = 
VECTOR_REF(
((obj_t)BgL_sz00_11133),((long)0)); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_13500;
BgL_a1z00_13500 = 
PROCEDURE_ENTRY(BgL_a1z00_11131)(BgL_a1z00_11131, BgL_sz00_11133, BEOA); 
if(
PAIRP(BgL_a1z00_13500))
{ /* Eval/evaluate_comp.scm 1011 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1011 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5272z00zz__evaluate_compz00, BGl_symbol5270z00zz__evaluate_compz00, BgL_a1z00_13500, BgL_locz00_11132); } 
return 
CDR(
((obj_t)BgL_a1z00_13500));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2735> */
obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11134, obj_t BgL_sz00_11137)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1011 */
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_11135;obj_t BgL_locz00_11136;
BgL_a1z00_11135 = 
PROCEDURE_REF(BgL_envz00_11134, 
(int)(((long)0))); 
BgL_locz00_11136 = 
PROCEDURE_REF(BgL_envz00_11134, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_bpz00_13501;
BgL_bpz00_13501 = 
VECTOR_REF(
((obj_t)BgL_sz00_11137),((long)0)); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_13502;
BgL_a1z00_13502 = 
PROCEDURE_ENTRY(BgL_a1z00_11135)(BgL_a1z00_11135, BgL_sz00_11137, BEOA); 
if(
BGl_cadrzf3zf3zz__evaluate_compz00(BgL_a1z00_13502))
{ /* Eval/evaluate_comp.scm 1011 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_arg2737z00_13503;
BgL_arg2737z00_13503 = 
BGl_cadrerrvz00zz__evaluate_compz00(BgL_a1z00_13502); 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5274z00zz__evaluate_compz00, BGl_symbol5270z00zz__evaluate_compz00, BgL_arg2737z00_13503, BgL_locz00_11136); } 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_pairz00_13504;
BgL_pairz00_13504 = 
CDR(
((obj_t)BgL_a1z00_13502)); 
return 
CAR(BgL_pairz00_13504);} } } } } 
BGL_FUNCTION_END;
}



/* cadr? */
bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t BgL_lz00_197)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1019 */
if(
PAIRP(BgL_lz00_197))
{ /* Eval/evaluate_comp.scm 1020 */
obj_t BgL_tmpz00_21353;
BgL_tmpz00_21353 = 
CDR(BgL_lz00_197); 
return 
PAIRP(BgL_tmpz00_21353);}  else 
{ /* Eval/evaluate_comp.scm 1020 */
return ((bool_t)0);} } 
BGL_FUNCTION_END;
}



/* cadrerrv */
obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t BgL_vz00_198)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1022 */
if(
PAIRP(BgL_vz00_198))
{ /* Eval/evaluate_comp.scm 1023 */
return 
CDR(BgL_vz00_198);}  else 
{ /* Eval/evaluate_comp.scm 1023 */
return BgL_vz00_198;} } 
BGL_FUNCTION_END;
}



/* correct */
long BGl_correctz00zz__evaluate_compz00(obj_t BgL_nz00_201, long BgL_donez00_202)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1051 */
if(
(
(long)CINT(BgL_nz00_201)<((long)0)))
{ /* Eval/evaluate_comp.scm 1052 */
return 
(
(long)CINT(BgL_nz00_201)+BgL_donez00_202);}  else 
{ /* Eval/evaluate_comp.scm 1052 */
return 
(
(long)CINT(BgL_nz00_201)-BgL_donez00_202);} } 
BGL_FUNCTION_END;
}



/* bind-frame */
obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203, obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206, obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1056 */
if(
(BgL_arityz00_206<((long)0)))
{ /* Eval/evaluate_comp.scm 1058 */
long BgL_g1232z00_3502;
BgL_g1232z00_3502 = 
(((long)-1)-BgL_arityz00_206); 
{ 
long BgL_rz00_3504;long BgL_spz00_3505;obj_t BgL_lz00_3506;
BgL_rz00_3504 = BgL_g1232z00_3502; 
BgL_spz00_3505 = BgL_spz00_205; 
BgL_lz00_3506 = BgL_valsz00_207; 
BgL_zc3anonymousza32742ze3z83_3507:
if(
(BgL_rz00_3504==((long)0)))
{ /* Eval/evaluate_comp.scm 1060 */
return 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3505,BgL_lz00_3506);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
if(
PAIRP(BgL_lz00_3506))
{ /* Eval/evaluate_comp.scm 1062 */
{ /* Eval/evaluate_comp.scm 1065 */
obj_t BgL_arg2745z00_3510;
BgL_arg2745z00_3510 = 
CAR(BgL_lz00_3506); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3505,BgL_arg2745z00_3510); } 
{ 
obj_t BgL_lz00_21382;long BgL_spz00_21380;long BgL_rz00_21378;
BgL_rz00_21378 = 
(BgL_rz00_3504-((long)1)); 
BgL_spz00_21380 = 
(BgL_spz00_3505+((long)1)); 
BgL_lz00_21382 = 
CDR(BgL_lz00_3506); 
BgL_lz00_3506 = BgL_lz00_21382; 
BgL_spz00_3505 = BgL_spz00_21380; 
BgL_rz00_3504 = BgL_rz00_21378; 
goto BgL_zc3anonymousza32742ze3z83_3507;} }  else 
{ /* Eval/evaluate_comp.scm 1063 */
long BgL_arg2749z00_3514;
BgL_arg2749z00_3514 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2749z00_3514));} } } }  else 
{ 
long BgL_rz00_3517;long BgL_spz00_3518;obj_t BgL_lz00_3519;
BgL_rz00_3517 = BgL_arityz00_206; 
BgL_spz00_3518 = BgL_spz00_205; 
BgL_lz00_3519 = BgL_valsz00_207; 
BgL_zc3anonymousza32750ze3z83_3520:
if(
(BgL_rz00_3517==((long)0)))
{ /* Eval/evaluate_comp.scm 1069 */
if(
NULLP(BgL_lz00_3519))
{ /* Eval/evaluate_comp.scm 1070 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 1071 */
long BgL_arg2753z00_3523;
BgL_arg2753z00_3523 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2753z00_3523));} }  else 
{ /* Eval/evaluate_comp.scm 1069 */
if(
PAIRP(BgL_lz00_3519))
{ /* Eval/evaluate_comp.scm 1072 */
{ /* Eval/evaluate_comp.scm 1075 */
obj_t BgL_arg2755z00_3525;
BgL_arg2755z00_3525 = 
CAR(BgL_lz00_3519); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3518,BgL_arg2755z00_3525); } 
{ 
obj_t BgL_lz00_21405;long BgL_spz00_21403;long BgL_rz00_21401;
BgL_rz00_21401 = 
(BgL_rz00_3517-((long)1)); 
BgL_spz00_21403 = 
(BgL_spz00_3518+((long)1)); 
BgL_lz00_21405 = 
CDR(BgL_lz00_3519); 
BgL_lz00_3519 = BgL_lz00_21405; 
BgL_spz00_3518 = BgL_spz00_21403; 
BgL_rz00_3517 = BgL_rz00_21401; 
goto BgL_zc3anonymousza32750ze3z83_3520;} }  else 
{ /* Eval/evaluate_comp.scm 1073 */
long BgL_arg2759z00_3529;
BgL_arg2759z00_3529 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2759z00_3529));} } } } 
BGL_FUNCTION_END;
}



/* make-boxes */
bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211, obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1170 */
{ 
long BgL_iz00_3533;
BgL_iz00_3533 = ((long)0); 
BgL_zc3anonymousza32760ze3z83_3534:
{ /* Eval/evaluate_comp.scm 1173 */
long BgL_spz00_3535;
{ /* Eval/evaluate_comp.scm 1173 */
obj_t BgL_arg2764z00_3540;
BgL_arg2764z00_3540 = 
VECTOR_REF(
((obj_t)BgL_ibza2za2_212),BgL_iz00_3533); 
BgL_spz00_3535 = 
(
(long)CINT(BgL_bpz00_213)+
(long)CINT(BgL_arg2764z00_3540)); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg2761z00_3536;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg2762z00_3537;
BgL_arg2762z00_3537 = 
VECTOR_REF(
((obj_t)BgL_sz00_211),BgL_spz00_3535); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_8468;
BgL_newz00_8468 = 
create_struct(BGl_symbol5198z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_21420;
BgL_tmpz00_21420 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8468, BgL_tmpz00_21420, BgL_arg2762z00_3537); } 
BgL_arg2761z00_3536 = BgL_newz00_8468; } } 
VECTOR_SET(
((obj_t)BgL_sz00_211),BgL_spz00_3535,BgL_arg2761z00_3536); } 
{ /* Eval/evaluate_comp.scm 1175 */
long BgL_niz00_3538;
BgL_niz00_3538 = 
(BgL_iz00_3533+((long)1)); 
if(
(BgL_niz00_3538<
VECTOR_LENGTH(
((obj_t)BgL_ibza2za2_212))))
{ 
long BgL_iz00_21430;
BgL_iz00_21430 = BgL_niz00_3538; 
BgL_iz00_3533 = BgL_iz00_21430; 
goto BgL_zc3anonymousza32760ze3z83_3534;}  else 
{ /* Eval/evaluate_comp.scm 1176 */
return ((bool_t)0);} } } } } 
BGL_FUNCTION_END;
}



/* free-collect */
obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214, obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1178 */
{ /* Eval/evaluate_comp.scm 1179 */
obj_t BgL_rz00_3543;
BgL_rz00_3543 = 
make_vector(
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216)), BUNSPEC); 
{ /* Eval/evaluate_comp.scm 1179 */

{ 
long BgL_iz00_3545;
BgL_iz00_3545 = ((long)0); 
BgL_zc3anonymousza32765ze3z83_3546:
if(
(BgL_iz00_3545>=
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216))))
{ /* Eval/evaluate_comp.scm 1181 */
return BgL_rz00_3543;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1184 */
obj_t BgL_arg2767z00_3548;
{ /* Eval/evaluate_comp.scm 1184 */
long BgL_arg2768z00_3549;
{ /* Eval/evaluate_comp.scm 1184 */
obj_t BgL_arg2769z00_3550;
BgL_arg2769z00_3550 = 
VECTOR_REF(
((obj_t)BgL_iza2za2_216),BgL_iz00_3545); 
BgL_arg2768z00_3549 = 
(
(long)CINT(BgL_bpz00_215)+
(long)CINT(BgL_arg2769z00_3550)); } 
BgL_arg2767z00_3548 = 
VECTOR_REF(
((obj_t)BgL_sz00_214),BgL_arg2768z00_3549); } 
VECTOR_SET(BgL_rz00_3543,BgL_iz00_3545,BgL_arg2767z00_3548); } 
{ 
long BgL_iz00_21446;
BgL_iz00_21446 = 
(BgL_iz00_3545+((long)1)); 
BgL_iz00_3545 = BgL_iz00_21446; 
goto BgL_zc3anonymousza32765ze3z83_3546;} } } } } } 
BGL_FUNCTION_END;
}



/* free-restore */
bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217, obj_t BgL_valza2za2_218, long BgL_spz00_219)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1187 */
{ /* Eval/evaluate_comp.scm 1188 */
long BgL_stopz00_3554;
BgL_stopz00_3554 = 
(BgL_spz00_219+
VECTOR_LENGTH(
((obj_t)BgL_valza2za2_218))); 
{ 
long BgL_iz00_3556;long BgL_spz00_3557;
BgL_iz00_3556 = ((long)0); 
BgL_spz00_3557 = BgL_spz00_219; 
BgL_zc3anonymousza32772ze3z83_3558:
if(
(BgL_spz00_3557<BgL_stopz00_3554))
{ /* Eval/evaluate_comp.scm 1190 */
{ /* Eval/evaluate_comp.scm 1191 */
obj_t BgL_arg2774z00_3560;
BgL_arg2774z00_3560 = 
VECTOR_REF(
((obj_t)BgL_valza2za2_218),BgL_iz00_3556); 
VECTOR_SET(
((obj_t)BgL_sz00_217),BgL_spz00_3557,BgL_arg2774z00_3560); } 
{ 
long BgL_spz00_21459;long BgL_iz00_21457;
BgL_iz00_21457 = 
(BgL_iz00_3556+((long)1)); 
BgL_spz00_21459 = 
(BgL_spz00_3557+((long)1)); 
BgL_spz00_3557 = BgL_spz00_21459; 
BgL_iz00_3556 = BgL_iz00_21457; 
goto BgL_zc3anonymousza32772ze3z83_3558;} }  else 
{ /* Eval/evaluate_comp.scm 1190 */
return ((bool_t)0);} } } } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_proc5276z00zz__evaluate_compz00, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string5277z00zz__evaluate_compz00);} 
BGL_FUNCTION_END;
}



/* &comp1381 */
obj_t BGl_z62comp1381z62zz__evaluate_compz00(obj_t BgL_envz00_11223, obj_t BgL_ez00_11224, obj_t BgL_stkz00_11225)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 276 */
return 
BGl_errorz00zz__errorz00(BGl_string5188z00zz__evaluate_compz00, BGl_string5278z00zz__evaluate_compz00, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_11224)));} 
BGL_FUNCTION_END;
}



/* comp */
obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35, obj_t BgL_stkz00_36)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_method1383z00_3570;
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_res4633z00_8552;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_objzd2classzd2numz00_8509;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_res4622z00_8512;
BgL_res4622z00_8512 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_35)); 
BgL_objzd2classzd2numz00_8509 = BgL_res4622z00_8512; } 
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_arg3955z00_8510;
BgL_arg3955z00_8510 = 
PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 276 */
int BgL_offsetz00_8514;
BgL_offsetz00_8514 = 
(int)(BgL_objzd2classzd2numz00_8509); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_offsetz00_8515;
BgL_offsetz00_8515 = 
(
(long)(BgL_offsetz00_8514)-OBJECT_TYPE); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_modz00_8516;
{ /* Eval/evaluate_comp.scm 276 */
int BgL_arg3957z00_8517;
BgL_arg3957z00_8517 = 
(int)(((long)16)); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_res4625z00_8527;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_tmpz00_21473;
BgL_tmpz00_21473 = 
(long)(BgL_arg3957z00_8517); 
BgL_res4625z00_8527 = 
(BgL_offsetz00_8515/BgL_tmpz00_21473); } 
BgL_modz00_8516 = BgL_res4625z00_8527; } } 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_restz00_8518;
{ /* Eval/evaluate_comp.scm 276 */
int BgL_arg3956z00_8519;
BgL_arg3956z00_8519 = 
(int)(((long)16)); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_res4632z00_8547;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_n1z00_8529;long BgL_n2z00_8530;
BgL_n1z00_8529 = BgL_offsetz00_8515; 
BgL_n2z00_8530 = 
(long)(BgL_arg3956z00_8519); 
{ /* Eval/evaluate_comp.scm 276 */
bool_t BgL_testz00_21478;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_arg3841z00_8532;
BgL_arg3841z00_8532 = 
(((BgL_n1z00_8529) | (BgL_n2z00_8530)) & -2147483648); 
BgL_testz00_21478 = 
(BgL_arg3841z00_8532==((long)0)); } 
if(BgL_testz00_21478)
{ /* Eval/evaluate_comp.scm 276 */
int32_t BgL_arg3838z00_8533;
{ /* Eval/evaluate_comp.scm 276 */
int32_t BgL_arg3839z00_8534;int32_t BgL_arg3840z00_8535;
{ /* Eval/evaluate_comp.scm 276 */
int32_t BgL_res4628z00_8539;
BgL_res4628z00_8539 = 
(int32_t)(BgL_n1z00_8529); 
BgL_arg3839z00_8534 = BgL_res4628z00_8539; } 
{ /* Eval/evaluate_comp.scm 276 */
int32_t BgL_res4629z00_8541;
BgL_res4629z00_8541 = 
(int32_t)(BgL_n2z00_8530); 
BgL_arg3840z00_8535 = BgL_res4629z00_8541; } 
BgL_arg3838z00_8533 = 
(BgL_arg3839z00_8534%BgL_arg3840z00_8535); } 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_res4631z00_8546;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_arg3932z00_8543;
BgL_arg3932z00_8543 = 
(long)(BgL_arg3838z00_8533); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_res4630z00_8545;
BgL_res4630z00_8545 = 
(long)(BgL_arg3932z00_8543); 
BgL_res4631z00_8546 = BgL_res4630z00_8545; } } 
BgL_res4632z00_8547 = BgL_res4631z00_8546; } }  else 
{ /* Eval/evaluate_comp.scm 276 */
BgL_res4632z00_8547 = 
(BgL_n1z00_8529%BgL_n2z00_8530); } } } 
BgL_restz00_8518 = BgL_res4632z00_8547; } } 
{ /* Eval/evaluate_comp.scm 276 */

{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_bucketz00_8520;
BgL_bucketz00_8520 = 
VECTOR_REF(
((obj_t)BgL_arg3955z00_8510),BgL_modz00_8516); 
BgL_res4633z00_8552 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_8520),BgL_restz00_8518); } } } } } } } } 
BgL_method1383z00_3570 = BgL_res4633z00_8552; } 
return 
PROCEDURE_ENTRY(BgL_method1383z00_3570)(BgL_method1383z00_3570, 
((obj_t)BgL_ez00_35), BgL_stkz00_36, BEOA);} } 
BGL_FUNCTION_END;
}



/* &comp */
obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_11226, obj_t BgL_ez00_11227, obj_t BgL_stkz00_11228)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
BgL_ev_exprz00_bglt BgL_auxz00_21497;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_11227, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 276 */
BgL_auxz00_21497 = 
((BgL_ev_exprz00_bglt)BgL_ez00_11227)
; }  else 
{ 
obj_t BgL_auxz00_21501;
BgL_auxz00_21501 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string5193z00zz__evaluate_compz00, 
BINT(((long)7022)), BGl_string5279z00zz__evaluate_compz00, BGl_string5195z00zz__evaluate_compz00, BgL_ez00_11227); 
FAILURE(BgL_auxz00_21501,BFALSE,BFALSE);} 
return 
BGl_compz00zz__evaluate_compz00(BgL_auxz00_21497, BgL_stkz00_11228);} } 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_trapz00zz__evaluate_typesz00, BGl_proc5280z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc5282z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc5283z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc5284z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setglobalz00zz__evaluate_typesz00, BGl_proc5285z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_defglobalz00zz__evaluate_typesz00, BGl_proc5286z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc5287z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc5288z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_orz00zz__evaluate_typesz00, BGl_proc5289z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_andz00zz__evaluate_typesz00, BGl_proc5290z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc5291z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc5292z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc5293z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc5294z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc5295z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc5296z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc5297z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc5298z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc5299z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc5300z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc5301z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc5302z00zz__evaluate_compz00, BGl_string5281z00zz__evaluate_compz00);} 
BGL_FUNCTION_END;
}



/* &comp-ev_abs1427 */
obj_t BGl_z62compzd2ev_abs1427zb0zz__evaluate_compz00(obj_t BgL_envz00_11423, obj_t BgL_ez00_11424, obj_t BgL_stkz00_11425)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1158 */
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_ifreesz00_13507;obj_t BgL_iboxesz00_13508;long BgL_siza7eza7_13509;long BgL_siza7ezd2framez75_13510;obj_t BgL_nstkz00_13511;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_arg3666z00_13512;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_l1359z00_13513;
BgL_l1359z00_13513 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11424)))->BgL_freez00); 
if(
NULLP(BgL_l1359z00_13513))
{ /* Eval/evaluate_comp.scm 1160 */
BgL_arg3666z00_13512 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_head1361z00_13514;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_res4723z00_13515;
BgL_res4723z00_13515 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1361z00_13514 = BgL_res4723z00_13515; } 
{ 
obj_t BgL_l1359z00_13517;obj_t BgL_tail1362z00_13518;
BgL_l1359z00_13517 = BgL_l1359z00_13513; 
BgL_tail1362z00_13518 = BgL_head1361z00_13514; 
BgL_zc3anonymousza33668ze3z83_13516:
if(
NULLP(BgL_l1359z00_13517))
{ /* Eval/evaluate_comp.scm 1160 */
BgL_arg3666z00_13512 = 
CDR(BgL_head1361z00_13514); }  else 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_newtail1363z00_13519;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_arg3671z00_13520;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_vz00_13521;
BgL_vz00_13521 = 
CAR(
((obj_t)BgL_l1359z00_13517)); 
BgL_arg3671z00_13520 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_13521, BgL_stkz00_11425); } 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_res4725z00_13522;
BgL_res4725z00_13522 = 
MAKE_YOUNG_PAIR(BgL_arg3671z00_13520, BNIL); 
BgL_newtail1363z00_13519 = BgL_res4725z00_13522; } } 
SET_CDR(BgL_tail1362z00_13518, BgL_newtail1363z00_13519); 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_arg3670z00_13523;
BgL_arg3670z00_13523 = 
CDR(
((obj_t)BgL_l1359z00_13517)); 
{ 
obj_t BgL_tail1362z00_21544;obj_t BgL_l1359z00_21543;
BgL_l1359z00_21543 = BgL_arg3670z00_13523; 
BgL_tail1362z00_21544 = BgL_newtail1363z00_13519; 
BgL_tail1362z00_13518 = BgL_tail1362z00_21544; 
BgL_l1359z00_13517 = BgL_l1359z00_21543; 
goto BgL_zc3anonymousza33668ze3z83_13516;} } } } } } 
BgL_ifreesz00_13507 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3666z00_13512); } 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_arg3672z00_13524;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_l1364z00_13525;
BgL_l1364z00_13525 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11424)))->BgL_boxesz00); 
if(
NULLP(BgL_l1364z00_13525))
{ /* Eval/evaluate_comp.scm 1161 */
BgL_arg3672z00_13524 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_head1366z00_13526;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_res4727z00_13527;
BgL_res4727z00_13527 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1366z00_13526 = BgL_res4727z00_13527; } 
{ 
obj_t BgL_l1364z00_13529;obj_t BgL_tail1367z00_13530;
BgL_l1364z00_13529 = BgL_l1364z00_13525; 
BgL_tail1367z00_13530 = BgL_head1366z00_13526; 
BgL_zc3anonymousza33674ze3z83_13528:
if(
NULLP(BgL_l1364z00_13529))
{ /* Eval/evaluate_comp.scm 1161 */
BgL_arg3672z00_13524 = 
CDR(BgL_head1366z00_13526); }  else 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_newtail1368z00_13531;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_arg3677z00_13532;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_vz00_13533;
BgL_vz00_13533 = 
CAR(
((obj_t)BgL_l1364z00_13529)); 
BgL_arg3677z00_13532 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_13533, 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11424)))->BgL_varsz00)); } 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_res4729z00_13534;
BgL_res4729z00_13534 = 
MAKE_YOUNG_PAIR(BgL_arg3677z00_13532, BNIL); 
BgL_newtail1368z00_13531 = BgL_res4729z00_13534; } } 
SET_CDR(BgL_tail1367z00_13530, BgL_newtail1368z00_13531); 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_arg3676z00_13535;
BgL_arg3676z00_13535 = 
CDR(
((obj_t)BgL_l1364z00_13529)); 
{ 
obj_t BgL_tail1367z00_21564;obj_t BgL_l1364z00_21563;
BgL_l1364z00_21563 = BgL_arg3676z00_13535; 
BgL_tail1367z00_21564 = BgL_newtail1368z00_13531; 
BgL_tail1367z00_13530 = BgL_tail1367z00_21564; 
BgL_l1364z00_13529 = BgL_l1364z00_21563; 
goto BgL_zc3anonymousza33674ze3z83_13528;} } } } } } 
BgL_iboxesz00_13508 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3672z00_13524); } 
BgL_siza7eza7_13509 = 
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11424)))->BgL_varsz00)); 
BgL_siza7ezd2framez75_13510 = 
(
(long)(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11424)))->BgL_siza7eza7))+
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11424)))->BgL_freez00))); 
BgL_nstkz00_13511 = 
BGl_appendzd221009zd2zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11424)))->BgL_varsz00), 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11424)))->BgL_freez00)); 
{ /* Eval/evaluate_comp.scm 1165 */
obj_t BgL_bodyz00_13536;
BgL_bodyz00_13536 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11424)))->BgL_bodyz00), BgL_nstkz00_13511); 
{ 

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_aux1244z00_13542;
BgL_aux1244z00_13542 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11424)))->BgL_arityz00); 
if(
INTEGERP(BgL_aux1244z00_13542))
{ /* Eval/evaluate_comp.scm 1167 */
switch( 
(long)CINT(BgL_aux1244z00_13542)) { case ((long)0) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13507)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33128ze3z83_13543;
BgL_zc3anonymousza33128ze3z83_13543 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33128ze3z83_13543, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33128ze3z83_13543, 
(int)(((long)1)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33128ze3z83_13543, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33128ze3z83_13543;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33134ze3z83_13544;
BgL_zc3anonymousza33134ze3z83_13544 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33134ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33134ze3z83_13544, 
(int)(((long)0)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33134ze3z83_13544, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33134ze3z83_13544, 
(int)(((long)2)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33134ze3z83_13544, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33134ze3z83_13544;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33143ze3z83_13545;
BgL_zc3anonymousza33143ze3z83_13545 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33143ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33143ze3z83_13545, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33143ze3z83_13545, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33143ze3z83_13545, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33143ze3z83_13545, 
(int)(((long)3)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33143ze3z83_13545, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33143ze3z83_13545;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33150ze3z83_13546;
BgL_zc3anonymousza33150ze3z83_13546 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33150ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33150ze3z83_13546, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33150ze3z83_13546, 
(int)(((long)1)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33150ze3z83_13546, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33150ze3z83_13546, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33150ze3z83_13546, 
(int)(((long)4)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33150ze3z83_13546, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33150ze3z83_13546;} } break;case ((long)-1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13507)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33163ze3z83_13547;
BgL_zc3anonymousza33163ze3z83_13547 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33163ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33163ze3z83_13547, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33163ze3z83_13547, 
(int)(((long)1)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33163ze3z83_13547, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33163ze3z83_13547;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33170ze3z83_13548;
BgL_zc3anonymousza33170ze3z83_13548 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33170ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33170ze3z83_13548, 
(int)(((long)0)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33170ze3z83_13548, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33170ze3z83_13548, 
(int)(((long)2)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33170ze3z83_13548, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33170ze3z83_13548;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33180ze3z83_13549;
BgL_zc3anonymousza33180ze3z83_13549 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33180ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33180ze3z83_13549, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33180ze3z83_13549, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33180ze3z83_13549, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33180ze3z83_13549, 
(int)(((long)3)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33180ze3z83_13549, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33180ze3z83_13549;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33188ze3z83_13550;
BgL_zc3anonymousza33188ze3z83_13550 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33188ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_13550, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_13550, 
(int)(((long)1)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_13550, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_13550, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_13550, 
(int)(((long)4)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_13550, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33188ze3z83_13550;} } break;case ((long)1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13507)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33202ze3z83_13551;
BgL_zc3anonymousza33202ze3z83_13551 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33202ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33202ze3z83_13551, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33202ze3z83_13551, 
(int)(((long)1)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33202ze3z83_13551, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33202ze3z83_13551;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33209ze3z83_13552;
BgL_zc3anonymousza33209ze3z83_13552 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33209ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33209ze3z83_13552, 
(int)(((long)0)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33209ze3z83_13552, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33209ze3z83_13552, 
(int)(((long)2)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33209ze3z83_13552, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33209ze3z83_13552;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33219ze3z83_13553;
BgL_zc3anonymousza33219ze3z83_13553 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33219ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33219ze3z83_13553, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33219ze3z83_13553, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33219ze3z83_13553, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33219ze3z83_13553, 
(int)(((long)3)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33219ze3z83_13553, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33219ze3z83_13553;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33227ze3z83_13554;
BgL_zc3anonymousza33227ze3z83_13554 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33227ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33227ze3z83_13554, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33227ze3z83_13554, 
(int)(((long)1)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33227ze3z83_13554, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33227ze3z83_13554, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33227ze3z83_13554, 
(int)(((long)4)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33227ze3z83_13554, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33227ze3z83_13554;} } break;case ((long)-2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13507)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33241ze3z83_13555;
BgL_zc3anonymousza33241ze3z83_13555 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33241ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33241ze3z83_13555, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33241ze3z83_13555, 
(int)(((long)1)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33241ze3z83_13555, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33241ze3z83_13555;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33249ze3z83_13556;
BgL_zc3anonymousza33249ze3z83_13556 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33249ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33249ze3z83_13556, 
(int)(((long)0)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33249ze3z83_13556, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33249ze3z83_13556, 
(int)(((long)2)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33249ze3z83_13556, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33249ze3z83_13556;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33260ze3z83_13557;
BgL_zc3anonymousza33260ze3z83_13557 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33260ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33260ze3z83_13557, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33260ze3z83_13557, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33260ze3z83_13557, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33260ze3z83_13557, 
(int)(((long)3)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33260ze3z83_13557, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33260ze3z83_13557;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33269ze3z83_13558;
BgL_zc3anonymousza33269ze3z83_13558 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33269ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33269ze3z83_13558, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33269ze3z83_13558, 
(int)(((long)1)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33269ze3z83_13558, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33269ze3z83_13558, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33269ze3z83_13558, 
(int)(((long)4)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33269ze3z83_13558, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33269ze3z83_13558;} } break;case ((long)2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13507)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33284ze3z83_13559;
BgL_zc3anonymousza33284ze3z83_13559 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33284ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33284ze3z83_13559, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33284ze3z83_13559, 
(int)(((long)1)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33284ze3z83_13559, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33284ze3z83_13559;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33292ze3z83_13560;
BgL_zc3anonymousza33292ze3z83_13560 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33292ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33292ze3z83_13560, 
(int)(((long)0)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33292ze3z83_13560, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33292ze3z83_13560, 
(int)(((long)2)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33292ze3z83_13560, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33292ze3z83_13560;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33303ze3z83_13561;
BgL_zc3anonymousza33303ze3z83_13561 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33303ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33303ze3z83_13561, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33303ze3z83_13561, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33303ze3z83_13561, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33303ze3z83_13561, 
(int)(((long)3)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33303ze3z83_13561, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33303ze3z83_13561;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33312ze3z83_13562;
BgL_zc3anonymousza33312ze3z83_13562 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33312ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33312ze3z83_13562, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33312ze3z83_13562, 
(int)(((long)1)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33312ze3z83_13562, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33312ze3z83_13562, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33312ze3z83_13562, 
(int)(((long)4)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33312ze3z83_13562, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33312ze3z83_13562;} } break;case ((long)-3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13507)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33327ze3z83_13563;
BgL_zc3anonymousza33327ze3z83_13563 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33327ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33327ze3z83_13563, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33327ze3z83_13563, 
(int)(((long)1)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33327ze3z83_13563, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33327ze3z83_13563;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33336ze3z83_13564;
BgL_zc3anonymousza33336ze3z83_13564 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33336ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33336ze3z83_13564, 
(int)(((long)0)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33336ze3z83_13564, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33336ze3z83_13564, 
(int)(((long)2)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33336ze3z83_13564, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33336ze3z83_13564;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33348ze3z83_13565;
BgL_zc3anonymousza33348ze3z83_13565 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33348ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33348ze3z83_13565, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33348ze3z83_13565, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33348ze3z83_13565, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33348ze3z83_13565, 
(int)(((long)3)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33348ze3z83_13565, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33348ze3z83_13565;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33358ze3z83_13566;
BgL_zc3anonymousza33358ze3z83_13566 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33358ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_13566, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_13566, 
(int)(((long)1)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_13566, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_13566, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_13566, 
(int)(((long)4)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_13566, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33358ze3z83_13566;} } break;case ((long)3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13507)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33374ze3z83_13567;
BgL_zc3anonymousza33374ze3z83_13567 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33374ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33374ze3z83_13567, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33374ze3z83_13567, 
(int)(((long)1)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33374ze3z83_13567, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33374ze3z83_13567;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33383ze3z83_13568;
BgL_zc3anonymousza33383ze3z83_13568 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33383ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33383ze3z83_13568, 
(int)(((long)0)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33383ze3z83_13568, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33383ze3z83_13568, 
(int)(((long)2)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33383ze3z83_13568, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33383ze3z83_13568;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33395ze3z83_13569;
BgL_zc3anonymousza33395ze3z83_13569 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33395ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33395ze3z83_13569, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33395ze3z83_13569, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33395ze3z83_13569, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33395ze3z83_13569, 
(int)(((long)3)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33395ze3z83_13569, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33395ze3z83_13569;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33405ze3z83_13570;
BgL_zc3anonymousza33405ze3z83_13570 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33405ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33405ze3z83_13570, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33405ze3z83_13570, 
(int)(((long)1)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33405ze3z83_13570, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33405ze3z83_13570, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33405ze3z83_13570, 
(int)(((long)4)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33405ze3z83_13570, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33405ze3z83_13570;} } break;case ((long)-4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13507)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33421ze3z83_13571;
BgL_zc3anonymousza33421ze3z83_13571 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33421ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33421ze3z83_13571, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33421ze3z83_13571, 
(int)(((long)1)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33421ze3z83_13571, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33421ze3z83_13571;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33431ze3z83_13572;
BgL_zc3anonymousza33431ze3z83_13572 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33431ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33431ze3z83_13572, 
(int)(((long)0)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33431ze3z83_13572, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33431ze3z83_13572, 
(int)(((long)2)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33431ze3z83_13572, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33431ze3z83_13572;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33444ze3z83_13573;
BgL_zc3anonymousza33444ze3z83_13573 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33444ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33444ze3z83_13573, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33444ze3z83_13573, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33444ze3z83_13573, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33444ze3z83_13573, 
(int)(((long)3)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33444ze3z83_13573, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33444ze3z83_13573;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33455ze3z83_13574;
BgL_zc3anonymousza33455ze3z83_13574 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33455ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33455ze3z83_13574, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33455ze3z83_13574, 
(int)(((long)1)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33455ze3z83_13574, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33455ze3z83_13574, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33455ze3z83_13574, 
(int)(((long)4)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33455ze3z83_13574, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33455ze3z83_13574;} } break;case ((long)4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13507)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33472ze3z83_13575;
BgL_zc3anonymousza33472ze3z83_13575 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33472ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33472ze3z83_13575, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33472ze3z83_13575, 
(int)(((long)1)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33472ze3z83_13575, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33472ze3z83_13575;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33482ze3z83_13576;
BgL_zc3anonymousza33482ze3z83_13576 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33482ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33482ze3z83_13576, 
(int)(((long)0)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33482ze3z83_13576, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33482ze3z83_13576, 
(int)(((long)2)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33482ze3z83_13576, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33482ze3z83_13576;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33495ze3z83_13577;
BgL_zc3anonymousza33495ze3z83_13577 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33495ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33495ze3z83_13577, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33495ze3z83_13577, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33495ze3z83_13577, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33495ze3z83_13577, 
(int)(((long)3)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33495ze3z83_13577, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33495ze3z83_13577;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33506ze3z83_13578;
BgL_zc3anonymousza33506ze3z83_13578 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33506ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33506ze3z83_13578, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33506ze3z83_13578, 
(int)(((long)1)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33506ze3z83_13578, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33506ze3z83_13578, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33506ze3z83_13578, 
(int)(((long)4)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33506ze3z83_13578, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33506ze3z83_13578;} } break;case ((long)-5) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13507)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33523ze3z83_13579;
BgL_zc3anonymousza33523ze3z83_13579 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33523ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33523ze3z83_13579, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33523ze3z83_13579, 
(int)(((long)1)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33523ze3z83_13579, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33523ze3z83_13579;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33534ze3z83_13580;
BgL_zc3anonymousza33534ze3z83_13580 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33534ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33534ze3z83_13580, 
(int)(((long)0)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33534ze3z83_13580, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33534ze3z83_13580, 
(int)(((long)2)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33534ze3z83_13580, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33534ze3z83_13580;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33548ze3z83_13581;
BgL_zc3anonymousza33548ze3z83_13581 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33548ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33548ze3z83_13581, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33548ze3z83_13581, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33548ze3z83_13581, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33548ze3z83_13581, 
(int)(((long)3)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33548ze3z83_13581, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33548ze3z83_13581;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33560ze3z83_13582;
BgL_zc3anonymousza33560ze3z83_13582 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33560ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_13582, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_13582, 
(int)(((long)1)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_13582, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_13582, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_13582, 
(int)(((long)4)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33560ze3z83_13582, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33560ze3z83_13582;} } break;
default: 
BgL_case_else1243z00_13537:
if(
(
VECTOR_LENGTH(BgL_ifreesz00_13507)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33578ze3z83_13538;
BgL_zc3anonymousza33578ze3z83_13538 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33578ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33578ze3z83_13538, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33578ze3z83_13538, 
(int)(((long)1)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33578ze3z83_13538, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33578ze3z83_13538;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33598ze3z83_13539;
BgL_zc3anonymousza33598ze3z83_13539 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33598ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33598ze3z83_13539, 
(int)(((long)0)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33598ze3z83_13539, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33598ze3z83_13539, 
(int)(((long)2)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33598ze3z83_13539, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33598ze3z83_13539;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13508)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33621ze3z83_13540;
BgL_zc3anonymousza33621ze3z83_13540 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33621ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33621ze3z83_13540, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33621ze3z83_13540, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33621ze3z83_13540, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33621ze3z83_13540, 
(int)(((long)3)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33621ze3z83_13540, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33621ze3z83_13540;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33642ze3z83_13541;
BgL_zc3anonymousza33642ze3z83_13541 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33642ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33642ze3z83_13541, 
(int)(((long)0)), BgL_ifreesz00_13507); 
PROCEDURE_SET(BgL_zc3anonymousza33642ze3z83_13541, 
(int)(((long)1)), BgL_iboxesz00_13508); 
PROCEDURE_SET(BgL_zc3anonymousza33642ze3z83_13541, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13509)); 
PROCEDURE_SET(BgL_zc3anonymousza33642ze3z83_13541, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11424))); 
PROCEDURE_SET(BgL_zc3anonymousza33642ze3z83_13541, 
(int)(((long)4)), BgL_bodyz00_13536); 
PROCEDURE_SET(BgL_zc3anonymousza33642ze3z83_13541, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13510)); 
return BgL_zc3anonymousza33642ze3z83_13541;} } } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
goto BgL_case_else1243z00_13537;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3523> */
obj_t BGl_z62zc3anonymousza33523ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11426, obj_t BgL_sz00_11430)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11427;obj_t BgL_bodyz00_11428;long BgL_siza7ezd2framez75_11429;
BgL_i1242z00_11427 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11426, 
(int)(((long)0)))); 
BgL_bodyz00_11428 = 
PROCEDURE_REF(BgL_envz00_11426, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11429 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11426, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13583;
BgL_bpz00_13583 = 
VECTOR_REF(
((obj_t)BgL_sz00_11430),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13584;
BgL_runz00_13584 = 
MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13584, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11427)); 
PROCEDURE_SET(BgL_runz00_13584, 
(int)(((long)1)), BgL_bodyz00_11428); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13585;
BgL_mainz00_13585 = 
MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13585, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11427)); 
PROCEDURE_SET(BgL_mainz00_13585, 
(int)(((long)1)), BgL_bodyz00_11428); 
PROCEDURE_SET(BgL_mainz00_13585, 
(int)(((long)2)), BgL_runz00_13584); 
PROCEDURE_SET(BgL_mainz00_13585, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11429)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13586;
BgL_objz00_13586 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13584, BgL_objz00_13586); BgL_objz00_13586; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3524z00_13587;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3525z00_13588;
BgL_arg3525z00_13588 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11427))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13589;
BgL_newz00_13589 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22406;
BgL_tmpz00_22406 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13589, BgL_tmpz00_22406, BgL_arg3525z00_13588); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22411;int BgL_tmpz00_22409;
BgL_auxz00_22411 = 
BINT(BgL_siza7ezd2framez75_11429); 
BgL_tmpz00_22409 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13589, BgL_tmpz00_22409, BgL_auxz00_22411); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22414;
BgL_tmpz00_22414 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13589, BgL_tmpz00_22414, BgL_runz00_13584); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22419;int BgL_tmpz00_22417;
BgL_auxz00_22419 = 
BINT(((long)-5)); 
BgL_tmpz00_22417 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13589, BgL_tmpz00_22417, BgL_auxz00_22419); } 
BgL_arg3524z00_13587 = BgL_newz00_13589; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13585, BgL_arg3524z00_13587); BgL_arg3524z00_13587; } 
return BgL_mainz00_13585;} } } } } } 
BGL_FUNCTION_END;
}



/* &main */
obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_11431, obj_t BgL_az00_11436, obj_t BgL_bz00_11437, obj_t BgL_cz00_11438, obj_t BgL_dz00_11439, obj_t BgL_lastz00_11440)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11434;long BgL_siza7ezd2framez75_11435;
BgL_runz00_11434 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11431, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11435 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11431, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13590;
BgL_sz00_13590 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13591;
BgL_bpz00_13591 = 
VECTOR_REF(
((obj_t)BgL_sz00_13590),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13590, BgL_bpz00_13591, 
BINT(BgL_siza7ezd2framez75_11435)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3528z00_13592;
BgL_arg3528z00_13592 = 
(
(long)CINT(BgL_bpz00_13591)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13590),BgL_arg3528z00_13592,BgL_az00_11436); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3529z00_13593;
BgL_arg3529z00_13593 = 
(
(long)CINT(BgL_bpz00_13591)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13590),BgL_arg3529z00_13593,BgL_bz00_11437); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3530z00_13594;
BgL_arg3530z00_13594 = 
(
(long)CINT(BgL_bpz00_13591)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13590),BgL_arg3530z00_13594,BgL_cz00_11438); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3531z00_13595;
BgL_arg3531z00_13595 = 
(
(long)CINT(BgL_bpz00_13591)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13590),BgL_arg3531z00_13595,BgL_dz00_11439); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3532z00_13596;
BgL_arg3532z00_13596 = 
(
(long)CINT(BgL_bpz00_13591)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13590),BgL_arg3532z00_13596,BgL_lastz00_11440); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13597;
BgL_ez00_13597 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13597, BgL_bpz00_13591); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13598;
BgL_accz00_13598 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11434, BgL_sz00_13590, BgL_bpz00_13591); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13597); 
VECTOR_SET(
((obj_t)BgL_sz00_13590),((long)0),BgL_bpz00_13591); 
return BgL_accz00_13598;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13599;
BgL_nsz00_13599 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13599,((long)1),BgL_sz00_13590); 
VECTOR_SET(BgL_nsz00_13599,((long)2),BgL_az00_11436); 
VECTOR_SET(BgL_nsz00_13599,((long)3),BgL_bz00_11437); 
VECTOR_SET(BgL_nsz00_13599,((long)4),BgL_cz00_11438); 
VECTOR_SET(BgL_nsz00_13599,((long)5),BgL_dz00_11439); 
VECTOR_SET(BgL_nsz00_13599,((long)6),BgL_lastz00_11440); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13600;
BgL_z12denvz12_13600 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13600, BgL_nsz00_13599); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13601;
BgL_ez00_13601 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13601, BgL_sz00_13590); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13602;
BgL_____rz00_13602 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11434, BgL_nsz00_13599, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13601); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13600, BgL_sz00_13590); 
return BgL_____rz00_13602;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run */
obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_11441, obj_t BgL_sz00_11444)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11442;obj_t BgL_bodyz00_11443;
BgL_i1242z00_11442 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11441, 
(int)(((long)0)))); 
BgL_bodyz00_11443 = 
PROCEDURE_REF(BgL_envz00_11441, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13603;
BgL_bpz00_13603 = 
VECTOR_REF(
((obj_t)BgL_sz00_11444),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13604;obj_t BgL_wherez00_13605;obj_t BgL_locz00_13606;
BgL_z12denvz12_13604 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13605 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11442))->BgL_wherez00); 
BgL_locz00_13606 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11442))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13604, BgL_wherez00_13605, BgL_locz00_13606); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13607;
BgL_za2za2resza2za2z00_13607 = 
PROCEDURE_ENTRY(BgL_bodyz00_11443)(BgL_bodyz00_11443, BgL_sz00_11444, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13604); 
return BgL_za2za2resza2za2z00_13607;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3534> */
obj_t BGl_z62zc3anonymousza33534ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11445, obj_t BgL_sz00_11450)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11446;BgL_ev_absz00_bglt BgL_i1242z00_11447;obj_t BgL_bodyz00_11448;long BgL_siza7ezd2framez75_11449;
BgL_iboxesz00_11446 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11445, 
(int)(((long)0)))); 
BgL_i1242z00_11447 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11445, 
(int)(((long)1)))); 
BgL_bodyz00_11448 = 
PROCEDURE_REF(BgL_envz00_11445, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11449 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11445, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13608;
BgL_bpz00_13608 = 
VECTOR_REF(
((obj_t)BgL_sz00_11450),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13609;
BgL_runz00_13609 = 
MAKE_FX_PROCEDURE(BGl_z62run5091z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13609, 
(int)(((long)0)), BgL_iboxesz00_11446); 
PROCEDURE_SET(BgL_runz00_13609, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11447)); 
PROCEDURE_SET(BgL_runz00_13609, 
(int)(((long)2)), BgL_bodyz00_11448); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13610;
BgL_mainz00_13610 = 
MAKE_VA_PROCEDURE(BGl_z62main5090z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13610, 
(int)(((long)0)), BgL_iboxesz00_11446); 
PROCEDURE_SET(BgL_mainz00_13610, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11447)); 
PROCEDURE_SET(BgL_mainz00_13610, 
(int)(((long)2)), BgL_bodyz00_11448); 
PROCEDURE_SET(BgL_mainz00_13610, 
(int)(((long)3)), BgL_runz00_13609); 
PROCEDURE_SET(BgL_mainz00_13610, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11449)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13611;
BgL_objz00_13611 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13609, BgL_objz00_13611); BgL_objz00_13611; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3535z00_13612;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3536z00_13613;
BgL_arg3536z00_13613 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11447))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13614;
BgL_newz00_13614 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22534;
BgL_tmpz00_22534 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13614, BgL_tmpz00_22534, BgL_arg3536z00_13613); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22539;int BgL_tmpz00_22537;
BgL_auxz00_22539 = 
BINT(BgL_siza7ezd2framez75_11449); 
BgL_tmpz00_22537 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13614, BgL_tmpz00_22537, BgL_auxz00_22539); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22542;
BgL_tmpz00_22542 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13614, BgL_tmpz00_22542, BgL_runz00_13609); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22547;int BgL_tmpz00_22545;
BgL_auxz00_22547 = 
BINT(((long)-5)); 
BgL_tmpz00_22545 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13614, BgL_tmpz00_22545, BgL_auxz00_22547); } 
BgL_arg3535z00_13612 = BgL_newz00_13614; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13610, BgL_arg3535z00_13612); BgL_arg3535z00_13612; } 
return BgL_mainz00_13610;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5090 */
obj_t BGl_z62main5090z62zz__evaluate_compz00(obj_t BgL_envz00_11451, obj_t BgL_az00_11457, obj_t BgL_bz00_11458, obj_t BgL_cz00_11459, obj_t BgL_dz00_11460, obj_t BgL_lastz00_11461)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11455;long BgL_siza7ezd2framez75_11456;
BgL_runz00_11455 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11451, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11456 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11451, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13615;
BgL_sz00_13615 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13616;
BgL_bpz00_13616 = 
VECTOR_REF(
((obj_t)BgL_sz00_13615),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13615, BgL_bpz00_13616, 
BINT(BgL_siza7ezd2framez75_11456)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3539z00_13617;
BgL_arg3539z00_13617 = 
(
(long)CINT(BgL_bpz00_13616)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13615),BgL_arg3539z00_13617,BgL_az00_11457); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3540z00_13618;
BgL_arg3540z00_13618 = 
(
(long)CINT(BgL_bpz00_13616)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13615),BgL_arg3540z00_13618,BgL_bz00_11458); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3541z00_13619;
BgL_arg3541z00_13619 = 
(
(long)CINT(BgL_bpz00_13616)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13615),BgL_arg3541z00_13619,BgL_cz00_11459); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3542z00_13620;
BgL_arg3542z00_13620 = 
(
(long)CINT(BgL_bpz00_13616)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13615),BgL_arg3542z00_13620,BgL_dz00_11460); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3543z00_13621;
BgL_arg3543z00_13621 = 
(
(long)CINT(BgL_bpz00_13616)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13615),BgL_arg3543z00_13621,BgL_lastz00_11461); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13622;
BgL_ez00_13622 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13622, BgL_bpz00_13616); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13623;
BgL_accz00_13623 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11455, BgL_sz00_13615, BgL_bpz00_13616); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13622); 
VECTOR_SET(
((obj_t)BgL_sz00_13615),((long)0),BgL_bpz00_13616); 
return BgL_accz00_13623;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13624;
BgL_nsz00_13624 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13624,((long)1),BgL_sz00_13615); 
VECTOR_SET(BgL_nsz00_13624,((long)2),BgL_az00_11457); 
VECTOR_SET(BgL_nsz00_13624,((long)3),BgL_bz00_11458); 
VECTOR_SET(BgL_nsz00_13624,((long)4),BgL_cz00_11459); 
VECTOR_SET(BgL_nsz00_13624,((long)5),BgL_dz00_11460); 
VECTOR_SET(BgL_nsz00_13624,((long)6),BgL_lastz00_11461); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13625;
BgL_z12denvz12_13625 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13625, BgL_nsz00_13624); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13626;
BgL_ez00_13626 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13626, BgL_sz00_13615); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13627;
BgL_____rz00_13627 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11455, BgL_nsz00_13624, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13626); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13625, BgL_sz00_13615); 
return BgL_____rz00_13627;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5091 */
obj_t BGl_z62run5091z62zz__evaluate_compz00(obj_t BgL_envz00_11462, obj_t BgL_sz00_11466)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11463;BgL_ev_absz00_bglt BgL_i1242z00_11464;obj_t BgL_bodyz00_11465;
BgL_iboxesz00_11463 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11462, 
(int)(((long)0)))); 
BgL_i1242z00_11464 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11462, 
(int)(((long)1)))); 
BgL_bodyz00_11465 = 
PROCEDURE_REF(BgL_envz00_11462, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13628;
BgL_bpz00_13628 = 
VECTOR_REF(
((obj_t)BgL_sz00_11466),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11466, BgL_iboxesz00_11463, BgL_bpz00_13628); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13629;obj_t BgL_wherez00_13630;obj_t BgL_locz00_13631;
BgL_z12denvz12_13629 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13630 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11464))->BgL_wherez00); 
BgL_locz00_13631 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11464))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13629, BgL_wherez00_13630, BgL_locz00_13631); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13632;
BgL_za2za2resza2za2z00_13632 = 
PROCEDURE_ENTRY(BgL_bodyz00_11465)(BgL_bodyz00_11465, BgL_sz00_11466, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13629); 
return BgL_za2za2resza2za2z00_13632;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3548> */
obj_t BGl_z62zc3anonymousza33548ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11467, obj_t BgL_sz00_11473)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11468;long BgL_siza7eza7_11469;BgL_ev_absz00_bglt BgL_i1242z00_11470;obj_t BgL_bodyz00_11471;long BgL_siza7ezd2framez75_11472;
BgL_ifreesz00_11468 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11467, 
(int)(((long)0)))); 
BgL_siza7eza7_11469 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11467, 
(int)(((long)1)))); 
BgL_i1242z00_11470 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11467, 
(int)(((long)2)))); 
BgL_bodyz00_11471 = 
PROCEDURE_REF(BgL_envz00_11467, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11472 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11467, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13633;
BgL_bpz00_13633 = 
VECTOR_REF(
((obj_t)BgL_sz00_11473),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13634;
BgL_valza2za2_13634 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11473, BgL_bpz00_13633, BgL_ifreesz00_11468); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13635;
BgL_runz00_13635 = 
MAKE_FX_PROCEDURE(BGl_z62run5093z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13635, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11469)); 
PROCEDURE_SET(BgL_runz00_13635, 
(int)(((long)1)), BgL_valza2za2_13634); 
PROCEDURE_SET(BgL_runz00_13635, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11470)); 
PROCEDURE_SET(BgL_runz00_13635, 
(int)(((long)3)), BgL_bodyz00_11471); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13636;
BgL_mainz00_13636 = 
MAKE_VA_PROCEDURE(BGl_z62main5092z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13636, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11469)); 
PROCEDURE_SET(BgL_mainz00_13636, 
(int)(((long)1)), BgL_valza2za2_13634); 
PROCEDURE_SET(BgL_mainz00_13636, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11470)); 
PROCEDURE_SET(BgL_mainz00_13636, 
(int)(((long)3)), BgL_bodyz00_11471); 
PROCEDURE_SET(BgL_mainz00_13636, 
(int)(((long)4)), BgL_runz00_13635); 
PROCEDURE_SET(BgL_mainz00_13636, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11472)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13637;
BgL_objz00_13637 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13635, BgL_objz00_13637); BgL_objz00_13637; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3549z00_13638;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3550z00_13639;
BgL_arg3550z00_13639 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11470))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13640;
BgL_newz00_13640 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22676;
BgL_tmpz00_22676 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13640, BgL_tmpz00_22676, BgL_arg3550z00_13639); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22681;int BgL_tmpz00_22679;
BgL_auxz00_22681 = 
BINT(BgL_siza7ezd2framez75_11472); 
BgL_tmpz00_22679 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13640, BgL_tmpz00_22679, BgL_auxz00_22681); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22684;
BgL_tmpz00_22684 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13640, BgL_tmpz00_22684, BgL_runz00_13635); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22689;int BgL_tmpz00_22687;
BgL_auxz00_22689 = 
BINT(((long)-5)); 
BgL_tmpz00_22687 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13640, BgL_tmpz00_22687, BgL_auxz00_22689); } 
BgL_arg3549z00_13638 = BgL_newz00_13640; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13636, BgL_arg3549z00_13638); BgL_arg3549z00_13638; } 
return BgL_mainz00_13636;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5092 */
obj_t BGl_z62main5092z62zz__evaluate_compz00(obj_t BgL_envz00_11474, obj_t BgL_az00_11481, obj_t BgL_bz00_11482, obj_t BgL_cz00_11483, obj_t BgL_dz00_11484, obj_t BgL_lastz00_11485)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11479;long BgL_siza7ezd2framez75_11480;
BgL_runz00_11479 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11474, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11480 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11474, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13641;
BgL_sz00_13641 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13642;
BgL_bpz00_13642 = 
VECTOR_REF(
((obj_t)BgL_sz00_13641),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13641, BgL_bpz00_13642, 
BINT(BgL_siza7ezd2framez75_11480)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3553z00_13643;
BgL_arg3553z00_13643 = 
(
(long)CINT(BgL_bpz00_13642)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13641),BgL_arg3553z00_13643,BgL_az00_11481); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3554z00_13644;
BgL_arg3554z00_13644 = 
(
(long)CINT(BgL_bpz00_13642)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13641),BgL_arg3554z00_13644,BgL_bz00_11482); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3555z00_13645;
BgL_arg3555z00_13645 = 
(
(long)CINT(BgL_bpz00_13642)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13641),BgL_arg3555z00_13645,BgL_cz00_11483); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3556z00_13646;
BgL_arg3556z00_13646 = 
(
(long)CINT(BgL_bpz00_13642)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13641),BgL_arg3556z00_13646,BgL_dz00_11484); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3557z00_13647;
BgL_arg3557z00_13647 = 
(
(long)CINT(BgL_bpz00_13642)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13641),BgL_arg3557z00_13647,BgL_lastz00_11485); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13648;
BgL_ez00_13648 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13648, BgL_bpz00_13642); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13649;
BgL_accz00_13649 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11479, BgL_sz00_13641, BgL_bpz00_13642); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13648); 
VECTOR_SET(
((obj_t)BgL_sz00_13641),((long)0),BgL_bpz00_13642); 
return BgL_accz00_13649;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13650;
BgL_nsz00_13650 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13650,((long)1),BgL_sz00_13641); 
VECTOR_SET(BgL_nsz00_13650,((long)2),BgL_az00_11481); 
VECTOR_SET(BgL_nsz00_13650,((long)3),BgL_bz00_11482); 
VECTOR_SET(BgL_nsz00_13650,((long)4),BgL_cz00_11483); 
VECTOR_SET(BgL_nsz00_13650,((long)5),BgL_dz00_11484); 
VECTOR_SET(BgL_nsz00_13650,((long)6),BgL_lastz00_11485); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13651;
BgL_z12denvz12_13651 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13651, BgL_nsz00_13650); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13652;
BgL_ez00_13652 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13652, BgL_sz00_13641); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13653;
BgL_____rz00_13653 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11479, BgL_nsz00_13650, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13652); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13651, BgL_sz00_13641); 
return BgL_____rz00_13653;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5093 */
obj_t BGl_z62run5093z62zz__evaluate_compz00(obj_t BgL_envz00_11486, obj_t BgL_sz00_11491)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11487;obj_t BgL_valza2za2_11488;BgL_ev_absz00_bglt BgL_i1242z00_11489;obj_t BgL_bodyz00_11490;
BgL_siza7eza7_11487 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11486, 
(int)(((long)0)))); 
BgL_valza2za2_11488 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11486, 
(int)(((long)1)))); 
BgL_i1242z00_11489 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11486, 
(int)(((long)2)))); 
BgL_bodyz00_11490 = 
PROCEDURE_REF(BgL_envz00_11486, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13654;
BgL_bpz00_13654 = 
VECTOR_REF(
((obj_t)BgL_sz00_11491),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11491, BgL_valza2za2_11488, 
(
(long)CINT(BgL_bpz00_13654)+BgL_siza7eza7_11487)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13655;obj_t BgL_wherez00_13656;obj_t BgL_locz00_13657;
BgL_z12denvz12_13655 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13656 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11489))->BgL_wherez00); 
BgL_locz00_13657 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11489))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13655, BgL_wherez00_13656, BgL_locz00_13657); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13658;
BgL_za2za2resza2za2z00_13658 = 
PROCEDURE_ENTRY(BgL_bodyz00_11490)(BgL_bodyz00_11490, BgL_sz00_11491, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13655); 
return BgL_za2za2resza2za2z00_13658;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3560> */
obj_t BGl_z62zc3anonymousza33560ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11492, obj_t BgL_sz00_11499)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11493;obj_t BgL_iboxesz00_11494;long BgL_siza7eza7_11495;BgL_ev_absz00_bglt BgL_i1242z00_11496;obj_t BgL_bodyz00_11497;long BgL_siza7ezd2framez75_11498;
BgL_ifreesz00_11493 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11492, 
(int)(((long)0)))); 
BgL_iboxesz00_11494 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11492, 
(int)(((long)1)))); 
BgL_siza7eza7_11495 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11492, 
(int)(((long)2)))); 
BgL_i1242z00_11496 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11492, 
(int)(((long)3)))); 
BgL_bodyz00_11497 = 
PROCEDURE_REF(BgL_envz00_11492, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11498 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11492, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13659;
BgL_bpz00_13659 = 
VECTOR_REF(
((obj_t)BgL_sz00_11499),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13660;
BgL_valza2za2_13660 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11499, BgL_bpz00_13659, BgL_ifreesz00_11493); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13661;
BgL_runz00_13661 = 
MAKE_FX_PROCEDURE(BGl_z62run5095z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13661, 
(int)(((long)0)), BgL_iboxesz00_11494); 
PROCEDURE_SET(BgL_runz00_13661, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11495)); 
PROCEDURE_SET(BgL_runz00_13661, 
(int)(((long)2)), BgL_valza2za2_13660); 
PROCEDURE_SET(BgL_runz00_13661, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11496)); 
PROCEDURE_SET(BgL_runz00_13661, 
(int)(((long)4)), BgL_bodyz00_11497); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13662;
BgL_mainz00_13662 = 
MAKE_VA_PROCEDURE(BGl_z62main5094z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13662, 
(int)(((long)0)), BgL_iboxesz00_11494); 
PROCEDURE_SET(BgL_mainz00_13662, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11495)); 
PROCEDURE_SET(BgL_mainz00_13662, 
(int)(((long)2)), BgL_valza2za2_13660); 
PROCEDURE_SET(BgL_mainz00_13662, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11496)); 
PROCEDURE_SET(BgL_mainz00_13662, 
(int)(((long)4)), BgL_bodyz00_11497); 
PROCEDURE_SET(BgL_mainz00_13662, 
(int)(((long)5)), BgL_runz00_13661); 
PROCEDURE_SET(BgL_mainz00_13662, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11498)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13663;
BgL_objz00_13663 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13661, BgL_objz00_13663); BgL_objz00_13663; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3561z00_13664;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3562z00_13665;
BgL_arg3562z00_13665 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11496))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13666;
BgL_newz00_13666 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22830;
BgL_tmpz00_22830 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13666, BgL_tmpz00_22830, BgL_arg3562z00_13665); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22835;int BgL_tmpz00_22833;
BgL_auxz00_22835 = 
BINT(BgL_siza7ezd2framez75_11498); 
BgL_tmpz00_22833 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13666, BgL_tmpz00_22833, BgL_auxz00_22835); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22838;
BgL_tmpz00_22838 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13666, BgL_tmpz00_22838, BgL_runz00_13661); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22843;int BgL_tmpz00_22841;
BgL_auxz00_22843 = 
BINT(((long)-5)); 
BgL_tmpz00_22841 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13666, BgL_tmpz00_22841, BgL_auxz00_22843); } 
BgL_arg3561z00_13664 = BgL_newz00_13666; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13662, BgL_arg3561z00_13664); BgL_arg3561z00_13664; } 
return BgL_mainz00_13662;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5094 */
obj_t BGl_z62main5094z62zz__evaluate_compz00(obj_t BgL_envz00_11500, obj_t BgL_az00_11508, obj_t BgL_bz00_11509, obj_t BgL_cz00_11510, obj_t BgL_dz00_11511, obj_t BgL_lastz00_11512)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11506;long BgL_siza7ezd2framez75_11507;
BgL_runz00_11506 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11500, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11507 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11500, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13667;
BgL_sz00_13667 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13668;
BgL_bpz00_13668 = 
VECTOR_REF(
((obj_t)BgL_sz00_13667),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13667, BgL_bpz00_13668, 
BINT(BgL_siza7ezd2framez75_11507)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3565z00_13669;
BgL_arg3565z00_13669 = 
(
(long)CINT(BgL_bpz00_13668)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13667),BgL_arg3565z00_13669,BgL_az00_11508); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3566z00_13670;
BgL_arg3566z00_13670 = 
(
(long)CINT(BgL_bpz00_13668)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13667),BgL_arg3566z00_13670,BgL_bz00_11509); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3567z00_13671;
BgL_arg3567z00_13671 = 
(
(long)CINT(BgL_bpz00_13668)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13667),BgL_arg3567z00_13671,BgL_cz00_11510); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3568z00_13672;
BgL_arg3568z00_13672 = 
(
(long)CINT(BgL_bpz00_13668)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13667),BgL_arg3568z00_13672,BgL_dz00_11511); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3569z00_13673;
BgL_arg3569z00_13673 = 
(
(long)CINT(BgL_bpz00_13668)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13667),BgL_arg3569z00_13673,BgL_lastz00_11512); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13674;
BgL_ez00_13674 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13674, BgL_bpz00_13668); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13675;
BgL_accz00_13675 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11506, BgL_sz00_13667, BgL_bpz00_13668); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13674); 
VECTOR_SET(
((obj_t)BgL_sz00_13667),((long)0),BgL_bpz00_13668); 
return BgL_accz00_13675;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13676;
BgL_nsz00_13676 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13676,((long)1),BgL_sz00_13667); 
VECTOR_SET(BgL_nsz00_13676,((long)2),BgL_az00_11508); 
VECTOR_SET(BgL_nsz00_13676,((long)3),BgL_bz00_11509); 
VECTOR_SET(BgL_nsz00_13676,((long)4),BgL_cz00_11510); 
VECTOR_SET(BgL_nsz00_13676,((long)5),BgL_dz00_11511); 
VECTOR_SET(BgL_nsz00_13676,((long)6),BgL_lastz00_11512); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13677;
BgL_z12denvz12_13677 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13677, BgL_nsz00_13676); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13678;
BgL_ez00_13678 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13678, BgL_sz00_13667); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13679;
BgL_____rz00_13679 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11506, BgL_nsz00_13676, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13678); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13677, BgL_sz00_13667); 
return BgL_____rz00_13679;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5095 */
obj_t BGl_z62run5095z62zz__evaluate_compz00(obj_t BgL_envz00_11513, obj_t BgL_sz00_11519)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11514;long BgL_siza7eza7_11515;obj_t BgL_valza2za2_11516;BgL_ev_absz00_bglt BgL_i1242z00_11517;obj_t BgL_bodyz00_11518;
BgL_iboxesz00_11514 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11513, 
(int)(((long)0)))); 
BgL_siza7eza7_11515 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11513, 
(int)(((long)1)))); 
BgL_valza2za2_11516 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11513, 
(int)(((long)2)))); 
BgL_i1242z00_11517 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11513, 
(int)(((long)3)))); 
BgL_bodyz00_11518 = 
PROCEDURE_REF(BgL_envz00_11513, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13680;
BgL_bpz00_13680 = 
VECTOR_REF(
((obj_t)BgL_sz00_11519),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11519, BgL_iboxesz00_11514, BgL_bpz00_13680); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11519, BgL_valza2za2_11516, 
(
(long)CINT(BgL_bpz00_13680)+BgL_siza7eza7_11515)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13681;obj_t BgL_wherez00_13682;obj_t BgL_locz00_13683;
BgL_z12denvz12_13681 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13682 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11517))->BgL_wherez00); 
BgL_locz00_13683 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11517))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13681, BgL_wherez00_13682, BgL_locz00_13683); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13684;
BgL_za2za2resza2za2z00_13684 = 
PROCEDURE_ENTRY(BgL_bodyz00_11518)(BgL_bodyz00_11518, BgL_sz00_11519, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13681); 
return BgL_za2za2resza2za2z00_13684;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3472> */
obj_t BGl_z62zc3anonymousza33472ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11520, obj_t BgL_sz00_11524)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11521;obj_t BgL_bodyz00_11522;long BgL_siza7ezd2framez75_11523;
BgL_i1242z00_11521 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11520, 
(int)(((long)0)))); 
BgL_bodyz00_11522 = 
PROCEDURE_REF(BgL_envz00_11520, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11523 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11520, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13685;
BgL_bpz00_13685 = 
VECTOR_REF(
((obj_t)BgL_sz00_11524),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13686;
BgL_runz00_13686 = 
MAKE_FX_PROCEDURE(BGl_z62run5097z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13686, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11521)); 
PROCEDURE_SET(BgL_runz00_13686, 
(int)(((long)1)), BgL_bodyz00_11522); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13687;
BgL_mainz00_13687 = 
MAKE_FX_PROCEDURE(BGl_z62main5096z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13687, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11521)); 
PROCEDURE_SET(BgL_mainz00_13687, 
(int)(((long)1)), BgL_bodyz00_11522); 
PROCEDURE_SET(BgL_mainz00_13687, 
(int)(((long)2)), BgL_runz00_13686); 
PROCEDURE_SET(BgL_mainz00_13687, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11523)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13688;
BgL_objz00_13688 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13686, BgL_objz00_13688); BgL_objz00_13688; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3473z00_13689;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3474z00_13690;
BgL_arg3474z00_13690 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11521))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13691;
BgL_newz00_13691 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22964;
BgL_tmpz00_22964 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13691, BgL_tmpz00_22964, BgL_arg3474z00_13690); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22969;int BgL_tmpz00_22967;
BgL_auxz00_22969 = 
BINT(BgL_siza7ezd2framez75_11523); 
BgL_tmpz00_22967 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13691, BgL_tmpz00_22967, BgL_auxz00_22969); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22972;
BgL_tmpz00_22972 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13691, BgL_tmpz00_22972, BgL_runz00_13686); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22977;int BgL_tmpz00_22975;
BgL_auxz00_22977 = 
BINT(((long)4)); 
BgL_tmpz00_22975 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13691, BgL_tmpz00_22975, BgL_auxz00_22977); } 
BgL_arg3473z00_13689 = BgL_newz00_13691; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13687, BgL_arg3473z00_13689); BgL_arg3473z00_13689; } 
return BgL_mainz00_13687;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5096 */
obj_t BGl_z62main5096z62zz__evaluate_compz00(obj_t BgL_envz00_11525, obj_t BgL_az00_11530, obj_t BgL_bz00_11531, obj_t BgL_cz00_11532, obj_t BgL_dz00_11533)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11528;long BgL_siza7ezd2framez75_11529;
BgL_runz00_11528 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11525, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11529 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11525, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13692;
BgL_sz00_13692 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13693;
BgL_bpz00_13693 = 
VECTOR_REF(
((obj_t)BgL_sz00_13692),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13692, BgL_bpz00_13693, 
BINT(BgL_siza7ezd2framez75_11529)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3477z00_13694;
BgL_arg3477z00_13694 = 
(
(long)CINT(BgL_bpz00_13693)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13692),BgL_arg3477z00_13694,BgL_az00_11530); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3478z00_13695;
BgL_arg3478z00_13695 = 
(
(long)CINT(BgL_bpz00_13693)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13692),BgL_arg3478z00_13695,BgL_bz00_11531); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3479z00_13696;
BgL_arg3479z00_13696 = 
(
(long)CINT(BgL_bpz00_13693)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13692),BgL_arg3479z00_13696,BgL_cz00_11532); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3480z00_13697;
BgL_arg3480z00_13697 = 
(
(long)CINT(BgL_bpz00_13693)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13692),BgL_arg3480z00_13697,BgL_dz00_11533); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13698;
BgL_ez00_13698 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13698, BgL_bpz00_13693); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13699;
BgL_accz00_13699 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11528, BgL_sz00_13692, BgL_bpz00_13693); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13698); 
VECTOR_SET(
((obj_t)BgL_sz00_13692),((long)0),BgL_bpz00_13693); 
return BgL_accz00_13699;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13700;
BgL_nsz00_13700 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13700,((long)1),BgL_sz00_13692); 
VECTOR_SET(BgL_nsz00_13700,((long)2),BgL_az00_11530); 
VECTOR_SET(BgL_nsz00_13700,((long)3),BgL_bz00_11531); 
VECTOR_SET(BgL_nsz00_13700,((long)4),BgL_cz00_11532); 
VECTOR_SET(BgL_nsz00_13700,((long)5),BgL_dz00_11533); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13701;
BgL_z12denvz12_13701 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13701, BgL_nsz00_13700); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13702;
BgL_ez00_13702 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13702, BgL_sz00_13692); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13703;
BgL_____rz00_13703 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11528, BgL_nsz00_13700, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13702); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13701, BgL_sz00_13692); 
return BgL_____rz00_13703;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5097 */
obj_t BGl_z62run5097z62zz__evaluate_compz00(obj_t BgL_envz00_11534, obj_t BgL_sz00_11537)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11535;obj_t BgL_bodyz00_11536;
BgL_i1242z00_11535 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11534, 
(int)(((long)0)))); 
BgL_bodyz00_11536 = 
PROCEDURE_REF(BgL_envz00_11534, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13704;
BgL_bpz00_13704 = 
VECTOR_REF(
((obj_t)BgL_sz00_11537),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13705;obj_t BgL_wherez00_13706;obj_t BgL_locz00_13707;
BgL_z12denvz12_13705 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13706 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11535))->BgL_wherez00); 
BgL_locz00_13707 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11535))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13705, BgL_wherez00_13706, BgL_locz00_13707); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13708;
BgL_za2za2resza2za2z00_13708 = 
PROCEDURE_ENTRY(BgL_bodyz00_11536)(BgL_bodyz00_11536, BgL_sz00_11537, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13705); 
return BgL_za2za2resza2za2z00_13708;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3482> */
obj_t BGl_z62zc3anonymousza33482ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11538, obj_t BgL_sz00_11543)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11539;BgL_ev_absz00_bglt BgL_i1242z00_11540;obj_t BgL_bodyz00_11541;long BgL_siza7ezd2framez75_11542;
BgL_iboxesz00_11539 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11538, 
(int)(((long)0)))); 
BgL_i1242z00_11540 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11538, 
(int)(((long)1)))); 
BgL_bodyz00_11541 = 
PROCEDURE_REF(BgL_envz00_11538, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11542 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11538, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13709;
BgL_bpz00_13709 = 
VECTOR_REF(
((obj_t)BgL_sz00_11543),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13710;
BgL_runz00_13710 = 
MAKE_FX_PROCEDURE(BGl_z62run5099z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13710, 
(int)(((long)0)), BgL_iboxesz00_11539); 
PROCEDURE_SET(BgL_runz00_13710, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11540)); 
PROCEDURE_SET(BgL_runz00_13710, 
(int)(((long)2)), BgL_bodyz00_11541); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13711;
BgL_mainz00_13711 = 
MAKE_FX_PROCEDURE(BGl_z62main5098z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)0)), BgL_iboxesz00_11539); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11540)); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)2)), BgL_bodyz00_11541); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)3)), BgL_runz00_13710); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11542)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13712;
BgL_objz00_13712 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13710, BgL_objz00_13712); BgL_objz00_13712; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3483z00_13713;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3484z00_13714;
BgL_arg3484z00_13714 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11540))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13715;
BgL_newz00_13715 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23087;
BgL_tmpz00_23087 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13715, BgL_tmpz00_23087, BgL_arg3484z00_13714); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23092;int BgL_tmpz00_23090;
BgL_auxz00_23092 = 
BINT(BgL_siza7ezd2framez75_11542); 
BgL_tmpz00_23090 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13715, BgL_tmpz00_23090, BgL_auxz00_23092); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23095;
BgL_tmpz00_23095 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13715, BgL_tmpz00_23095, BgL_runz00_13710); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23100;int BgL_tmpz00_23098;
BgL_auxz00_23100 = 
BINT(((long)4)); 
BgL_tmpz00_23098 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13715, BgL_tmpz00_23098, BgL_auxz00_23100); } 
BgL_arg3483z00_13713 = BgL_newz00_13715; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13711, BgL_arg3483z00_13713); BgL_arg3483z00_13713; } 
return BgL_mainz00_13711;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5098 */
obj_t BGl_z62main5098z62zz__evaluate_compz00(obj_t BgL_envz00_11544, obj_t BgL_az00_11550, obj_t BgL_bz00_11551, obj_t BgL_cz00_11552, obj_t BgL_dz00_11553)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11548;long BgL_siza7ezd2framez75_11549;
BgL_runz00_11548 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11544, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11549 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11544, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13716;
BgL_sz00_13716 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13717;
BgL_bpz00_13717 = 
VECTOR_REF(
((obj_t)BgL_sz00_13716),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13716, BgL_bpz00_13717, 
BINT(BgL_siza7ezd2framez75_11549)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3487z00_13718;
BgL_arg3487z00_13718 = 
(
(long)CINT(BgL_bpz00_13717)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13716),BgL_arg3487z00_13718,BgL_az00_11550); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3488z00_13719;
BgL_arg3488z00_13719 = 
(
(long)CINT(BgL_bpz00_13717)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13716),BgL_arg3488z00_13719,BgL_bz00_11551); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3489z00_13720;
BgL_arg3489z00_13720 = 
(
(long)CINT(BgL_bpz00_13717)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13716),BgL_arg3489z00_13720,BgL_cz00_11552); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3490z00_13721;
BgL_arg3490z00_13721 = 
(
(long)CINT(BgL_bpz00_13717)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13716),BgL_arg3490z00_13721,BgL_dz00_11553); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13722;
BgL_ez00_13722 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13722, BgL_bpz00_13717); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13723;
BgL_accz00_13723 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11548, BgL_sz00_13716, BgL_bpz00_13717); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13722); 
VECTOR_SET(
((obj_t)BgL_sz00_13716),((long)0),BgL_bpz00_13717); 
return BgL_accz00_13723;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13724;
BgL_nsz00_13724 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13724,((long)1),BgL_sz00_13716); 
VECTOR_SET(BgL_nsz00_13724,((long)2),BgL_az00_11550); 
VECTOR_SET(BgL_nsz00_13724,((long)3),BgL_bz00_11551); 
VECTOR_SET(BgL_nsz00_13724,((long)4),BgL_cz00_11552); 
VECTOR_SET(BgL_nsz00_13724,((long)5),BgL_dz00_11553); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13725;
BgL_z12denvz12_13725 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13725, BgL_nsz00_13724); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13726;
BgL_ez00_13726 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13726, BgL_sz00_13716); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13727;
BgL_____rz00_13727 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11548, BgL_nsz00_13724, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13726); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13725, BgL_sz00_13716); 
return BgL_____rz00_13727;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5099 */
obj_t BGl_z62run5099z62zz__evaluate_compz00(obj_t BgL_envz00_11554, obj_t BgL_sz00_11558)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11555;BgL_ev_absz00_bglt BgL_i1242z00_11556;obj_t BgL_bodyz00_11557;
BgL_iboxesz00_11555 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11554, 
(int)(((long)0)))); 
BgL_i1242z00_11556 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11554, 
(int)(((long)1)))); 
BgL_bodyz00_11557 = 
PROCEDURE_REF(BgL_envz00_11554, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13728;
BgL_bpz00_13728 = 
VECTOR_REF(
((obj_t)BgL_sz00_11558),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11558, BgL_iboxesz00_11555, BgL_bpz00_13728); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13729;obj_t BgL_wherez00_13730;obj_t BgL_locz00_13731;
BgL_z12denvz12_13729 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13730 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11556))->BgL_wherez00); 
BgL_locz00_13731 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11556))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13729, BgL_wherez00_13730, BgL_locz00_13731); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13732;
BgL_za2za2resza2za2z00_13732 = 
PROCEDURE_ENTRY(BgL_bodyz00_11557)(BgL_bodyz00_11557, BgL_sz00_11558, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13729); 
return BgL_za2za2resza2za2z00_13732;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3495> */
obj_t BGl_z62zc3anonymousza33495ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11559, obj_t BgL_sz00_11565)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11560;long BgL_siza7eza7_11561;BgL_ev_absz00_bglt BgL_i1242z00_11562;obj_t BgL_bodyz00_11563;long BgL_siza7ezd2framez75_11564;
BgL_ifreesz00_11560 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11559, 
(int)(((long)0)))); 
BgL_siza7eza7_11561 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11559, 
(int)(((long)1)))); 
BgL_i1242z00_11562 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11559, 
(int)(((long)2)))); 
BgL_bodyz00_11563 = 
PROCEDURE_REF(BgL_envz00_11559, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11564 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11559, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13733;
BgL_bpz00_13733 = 
VECTOR_REF(
((obj_t)BgL_sz00_11565),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13734;
BgL_valza2za2_13734 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11565, BgL_bpz00_13733, BgL_ifreesz00_11560); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13735;
BgL_runz00_13735 = 
MAKE_FX_PROCEDURE(BGl_z62run5101z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13735, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11561)); 
PROCEDURE_SET(BgL_runz00_13735, 
(int)(((long)1)), BgL_valza2za2_13734); 
PROCEDURE_SET(BgL_runz00_13735, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11562)); 
PROCEDURE_SET(BgL_runz00_13735, 
(int)(((long)3)), BgL_bodyz00_11563); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13736;
BgL_mainz00_13736 = 
MAKE_FX_PROCEDURE(BGl_z62main5100z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13736, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11561)); 
PROCEDURE_SET(BgL_mainz00_13736, 
(int)(((long)1)), BgL_valza2za2_13734); 
PROCEDURE_SET(BgL_mainz00_13736, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11562)); 
PROCEDURE_SET(BgL_mainz00_13736, 
(int)(((long)3)), BgL_bodyz00_11563); 
PROCEDURE_SET(BgL_mainz00_13736, 
(int)(((long)4)), BgL_runz00_13735); 
PROCEDURE_SET(BgL_mainz00_13736, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11564)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13737;
BgL_objz00_13737 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13735, BgL_objz00_13737); BgL_objz00_13737; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3496z00_13738;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3497z00_13739;
BgL_arg3497z00_13739 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11562))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13740;
BgL_newz00_13740 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23224;
BgL_tmpz00_23224 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13740, BgL_tmpz00_23224, BgL_arg3497z00_13739); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23229;int BgL_tmpz00_23227;
BgL_auxz00_23229 = 
BINT(BgL_siza7ezd2framez75_11564); 
BgL_tmpz00_23227 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13740, BgL_tmpz00_23227, BgL_auxz00_23229); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23232;
BgL_tmpz00_23232 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13740, BgL_tmpz00_23232, BgL_runz00_13735); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23237;int BgL_tmpz00_23235;
BgL_auxz00_23237 = 
BINT(((long)4)); 
BgL_tmpz00_23235 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13740, BgL_tmpz00_23235, BgL_auxz00_23237); } 
BgL_arg3496z00_13738 = BgL_newz00_13740; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13736, BgL_arg3496z00_13738); BgL_arg3496z00_13738; } 
return BgL_mainz00_13736;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5100 */
obj_t BGl_z62main5100z62zz__evaluate_compz00(obj_t BgL_envz00_11566, obj_t BgL_az00_11573, obj_t BgL_bz00_11574, obj_t BgL_cz00_11575, obj_t BgL_dz00_11576)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11571;long BgL_siza7ezd2framez75_11572;
BgL_runz00_11571 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11566, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11572 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11566, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13741;
BgL_sz00_13741 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13742;
BgL_bpz00_13742 = 
VECTOR_REF(
((obj_t)BgL_sz00_13741),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13741, BgL_bpz00_13742, 
BINT(BgL_siza7ezd2framez75_11572)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3500z00_13743;
BgL_arg3500z00_13743 = 
(
(long)CINT(BgL_bpz00_13742)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13741),BgL_arg3500z00_13743,BgL_az00_11573); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3501z00_13744;
BgL_arg3501z00_13744 = 
(
(long)CINT(BgL_bpz00_13742)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13741),BgL_arg3501z00_13744,BgL_bz00_11574); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3502z00_13745;
BgL_arg3502z00_13745 = 
(
(long)CINT(BgL_bpz00_13742)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13741),BgL_arg3502z00_13745,BgL_cz00_11575); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3503z00_13746;
BgL_arg3503z00_13746 = 
(
(long)CINT(BgL_bpz00_13742)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13741),BgL_arg3503z00_13746,BgL_dz00_11576); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13747;
BgL_ez00_13747 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13747, BgL_bpz00_13742); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13748;
BgL_accz00_13748 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11571, BgL_sz00_13741, BgL_bpz00_13742); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13747); 
VECTOR_SET(
((obj_t)BgL_sz00_13741),((long)0),BgL_bpz00_13742); 
return BgL_accz00_13748;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13749;
BgL_nsz00_13749 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13749,((long)1),BgL_sz00_13741); 
VECTOR_SET(BgL_nsz00_13749,((long)2),BgL_az00_11573); 
VECTOR_SET(BgL_nsz00_13749,((long)3),BgL_bz00_11574); 
VECTOR_SET(BgL_nsz00_13749,((long)4),BgL_cz00_11575); 
VECTOR_SET(BgL_nsz00_13749,((long)5),BgL_dz00_11576); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13750;
BgL_z12denvz12_13750 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13750, BgL_nsz00_13749); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13751;
BgL_ez00_13751 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13751, BgL_sz00_13741); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13752;
BgL_____rz00_13752 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11571, BgL_nsz00_13749, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13751); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13750, BgL_sz00_13741); 
return BgL_____rz00_13752;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5101 */
obj_t BGl_z62run5101z62zz__evaluate_compz00(obj_t BgL_envz00_11577, obj_t BgL_sz00_11582)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11578;obj_t BgL_valza2za2_11579;BgL_ev_absz00_bglt BgL_i1242z00_11580;obj_t BgL_bodyz00_11581;
BgL_siza7eza7_11578 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11577, 
(int)(((long)0)))); 
BgL_valza2za2_11579 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11577, 
(int)(((long)1)))); 
BgL_i1242z00_11580 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11577, 
(int)(((long)2)))); 
BgL_bodyz00_11581 = 
PROCEDURE_REF(BgL_envz00_11577, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13753;
BgL_bpz00_13753 = 
VECTOR_REF(
((obj_t)BgL_sz00_11582),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11582, BgL_valza2za2_11579, 
(
(long)CINT(BgL_bpz00_13753)+BgL_siza7eza7_11578)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13754;obj_t BgL_wherez00_13755;obj_t BgL_locz00_13756;
BgL_z12denvz12_13754 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13755 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11580))->BgL_wherez00); 
BgL_locz00_13756 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11580))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13754, BgL_wherez00_13755, BgL_locz00_13756); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13757;
BgL_za2za2resza2za2z00_13757 = 
PROCEDURE_ENTRY(BgL_bodyz00_11581)(BgL_bodyz00_11581, BgL_sz00_11582, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13754); 
return BgL_za2za2resza2za2z00_13757;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3506> */
obj_t BGl_z62zc3anonymousza33506ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11583, obj_t BgL_sz00_11590)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11584;obj_t BgL_iboxesz00_11585;long BgL_siza7eza7_11586;BgL_ev_absz00_bglt BgL_i1242z00_11587;obj_t BgL_bodyz00_11588;long BgL_siza7ezd2framez75_11589;
BgL_ifreesz00_11584 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11583, 
(int)(((long)0)))); 
BgL_iboxesz00_11585 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11583, 
(int)(((long)1)))); 
BgL_siza7eza7_11586 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11583, 
(int)(((long)2)))); 
BgL_i1242z00_11587 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11583, 
(int)(((long)3)))); 
BgL_bodyz00_11588 = 
PROCEDURE_REF(BgL_envz00_11583, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11589 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11583, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13758;
BgL_bpz00_13758 = 
VECTOR_REF(
((obj_t)BgL_sz00_11590),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13759;
BgL_valza2za2_13759 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11590, BgL_bpz00_13758, BgL_ifreesz00_11584); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13760;
BgL_runz00_13760 = 
MAKE_FX_PROCEDURE(BGl_z62run5103z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13760, 
(int)(((long)0)), BgL_iboxesz00_11585); 
PROCEDURE_SET(BgL_runz00_13760, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11586)); 
PROCEDURE_SET(BgL_runz00_13760, 
(int)(((long)2)), BgL_valza2za2_13759); 
PROCEDURE_SET(BgL_runz00_13760, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11587)); 
PROCEDURE_SET(BgL_runz00_13760, 
(int)(((long)4)), BgL_bodyz00_11588); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13761;
BgL_mainz00_13761 = 
MAKE_FX_PROCEDURE(BGl_z62main5102z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13761, 
(int)(((long)0)), BgL_iboxesz00_11585); 
PROCEDURE_SET(BgL_mainz00_13761, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11586)); 
PROCEDURE_SET(BgL_mainz00_13761, 
(int)(((long)2)), BgL_valza2za2_13759); 
PROCEDURE_SET(BgL_mainz00_13761, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11587)); 
PROCEDURE_SET(BgL_mainz00_13761, 
(int)(((long)4)), BgL_bodyz00_11588); 
PROCEDURE_SET(BgL_mainz00_13761, 
(int)(((long)5)), BgL_runz00_13760); 
PROCEDURE_SET(BgL_mainz00_13761, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11589)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13762;
BgL_objz00_13762 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13760, BgL_objz00_13762); BgL_objz00_13762; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3507z00_13763;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3508z00_13764;
BgL_arg3508z00_13764 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11587))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13765;
BgL_newz00_13765 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23373;
BgL_tmpz00_23373 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13765, BgL_tmpz00_23373, BgL_arg3508z00_13764); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23378;int BgL_tmpz00_23376;
BgL_auxz00_23378 = 
BINT(BgL_siza7ezd2framez75_11589); 
BgL_tmpz00_23376 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13765, BgL_tmpz00_23376, BgL_auxz00_23378); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23381;
BgL_tmpz00_23381 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13765, BgL_tmpz00_23381, BgL_runz00_13760); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23386;int BgL_tmpz00_23384;
BgL_auxz00_23386 = 
BINT(((long)4)); 
BgL_tmpz00_23384 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13765, BgL_tmpz00_23384, BgL_auxz00_23386); } 
BgL_arg3507z00_13763 = BgL_newz00_13765; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13761, BgL_arg3507z00_13763); BgL_arg3507z00_13763; } 
return BgL_mainz00_13761;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5102 */
obj_t BGl_z62main5102z62zz__evaluate_compz00(obj_t BgL_envz00_11591, obj_t BgL_az00_11599, obj_t BgL_bz00_11600, obj_t BgL_cz00_11601, obj_t BgL_dz00_11602)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11597;long BgL_siza7ezd2framez75_11598;
BgL_runz00_11597 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11591, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11598 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11591, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13766;
BgL_sz00_13766 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13767;
BgL_bpz00_13767 = 
VECTOR_REF(
((obj_t)BgL_sz00_13766),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13766, BgL_bpz00_13767, 
BINT(BgL_siza7ezd2framez75_11598)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3511z00_13768;
BgL_arg3511z00_13768 = 
(
(long)CINT(BgL_bpz00_13767)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13766),BgL_arg3511z00_13768,BgL_az00_11599); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3512z00_13769;
BgL_arg3512z00_13769 = 
(
(long)CINT(BgL_bpz00_13767)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13766),BgL_arg3512z00_13769,BgL_bz00_11600); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3513z00_13770;
BgL_arg3513z00_13770 = 
(
(long)CINT(BgL_bpz00_13767)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13766),BgL_arg3513z00_13770,BgL_cz00_11601); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3514z00_13771;
BgL_arg3514z00_13771 = 
(
(long)CINT(BgL_bpz00_13767)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13766),BgL_arg3514z00_13771,BgL_dz00_11602); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13772;
BgL_ez00_13772 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13772, BgL_bpz00_13767); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13773;
BgL_accz00_13773 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11597, BgL_sz00_13766, BgL_bpz00_13767); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13772); 
VECTOR_SET(
((obj_t)BgL_sz00_13766),((long)0),BgL_bpz00_13767); 
return BgL_accz00_13773;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13774;
BgL_nsz00_13774 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13774,((long)1),BgL_sz00_13766); 
VECTOR_SET(BgL_nsz00_13774,((long)2),BgL_az00_11599); 
VECTOR_SET(BgL_nsz00_13774,((long)3),BgL_bz00_11600); 
VECTOR_SET(BgL_nsz00_13774,((long)4),BgL_cz00_11601); 
VECTOR_SET(BgL_nsz00_13774,((long)5),BgL_dz00_11602); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13775;
BgL_z12denvz12_13775 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13775, BgL_nsz00_13774); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13776;
BgL_ez00_13776 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13776, BgL_sz00_13766); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13777;
BgL_____rz00_13777 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11597, BgL_nsz00_13774, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13776); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13775, BgL_sz00_13766); 
return BgL_____rz00_13777;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5103 */
obj_t BGl_z62run5103z62zz__evaluate_compz00(obj_t BgL_envz00_11603, obj_t BgL_sz00_11609)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11604;long BgL_siza7eza7_11605;obj_t BgL_valza2za2_11606;BgL_ev_absz00_bglt BgL_i1242z00_11607;obj_t BgL_bodyz00_11608;
BgL_iboxesz00_11604 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11603, 
(int)(((long)0)))); 
BgL_siza7eza7_11605 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11603, 
(int)(((long)1)))); 
BgL_valza2za2_11606 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11603, 
(int)(((long)2)))); 
BgL_i1242z00_11607 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11603, 
(int)(((long)3)))); 
BgL_bodyz00_11608 = 
PROCEDURE_REF(BgL_envz00_11603, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13778;
BgL_bpz00_13778 = 
VECTOR_REF(
((obj_t)BgL_sz00_11609),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11609, BgL_iboxesz00_11604, BgL_bpz00_13778); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11609, BgL_valza2za2_11606, 
(
(long)CINT(BgL_bpz00_13778)+BgL_siza7eza7_11605)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13779;obj_t BgL_wherez00_13780;obj_t BgL_locz00_13781;
BgL_z12denvz12_13779 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13780 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11607))->BgL_wherez00); 
BgL_locz00_13781 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11607))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13779, BgL_wherez00_13780, BgL_locz00_13781); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13782;
BgL_za2za2resza2za2z00_13782 = 
PROCEDURE_ENTRY(BgL_bodyz00_11608)(BgL_bodyz00_11608, BgL_sz00_11609, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13779); 
return BgL_za2za2resza2za2z00_13782;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3421> */
obj_t BGl_z62zc3anonymousza33421ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11610, obj_t BgL_sz00_11614)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11611;obj_t BgL_bodyz00_11612;long BgL_siza7ezd2framez75_11613;
BgL_i1242z00_11611 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11610, 
(int)(((long)0)))); 
BgL_bodyz00_11612 = 
PROCEDURE_REF(BgL_envz00_11610, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11613 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11610, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13783;
BgL_bpz00_13783 = 
VECTOR_REF(
((obj_t)BgL_sz00_11614),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13784;
BgL_runz00_13784 = 
MAKE_FX_PROCEDURE(BGl_z62run5105z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13784, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11611)); 
PROCEDURE_SET(BgL_runz00_13784, 
(int)(((long)1)), BgL_bodyz00_11612); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13785;
BgL_mainz00_13785 = 
MAKE_VA_PROCEDURE(BGl_z62main5104z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13785, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11611)); 
PROCEDURE_SET(BgL_mainz00_13785, 
(int)(((long)1)), BgL_bodyz00_11612); 
PROCEDURE_SET(BgL_mainz00_13785, 
(int)(((long)2)), BgL_runz00_13784); 
PROCEDURE_SET(BgL_mainz00_13785, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11613)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13786;
BgL_objz00_13786 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13784, BgL_objz00_13786); BgL_objz00_13786; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3422z00_13787;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3423z00_13788;
BgL_arg3423z00_13788 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11611))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13789;
BgL_newz00_13789 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23502;
BgL_tmpz00_23502 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13789, BgL_tmpz00_23502, BgL_arg3423z00_13788); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23507;int BgL_tmpz00_23505;
BgL_auxz00_23507 = 
BINT(BgL_siza7ezd2framez75_11613); 
BgL_tmpz00_23505 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13789, BgL_tmpz00_23505, BgL_auxz00_23507); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23510;
BgL_tmpz00_23510 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13789, BgL_tmpz00_23510, BgL_runz00_13784); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23515;int BgL_tmpz00_23513;
BgL_auxz00_23515 = 
BINT(((long)-4)); 
BgL_tmpz00_23513 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13789, BgL_tmpz00_23513, BgL_auxz00_23515); } 
BgL_arg3422z00_13787 = BgL_newz00_13789; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13785, BgL_arg3422z00_13787); BgL_arg3422z00_13787; } 
return BgL_mainz00_13785;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5104 */
obj_t BGl_z62main5104z62zz__evaluate_compz00(obj_t BgL_envz00_11615, obj_t BgL_bz00_11620, obj_t BgL_cz00_11621, obj_t BgL_dz00_11622, obj_t BgL_lastz00_11623)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11618;long BgL_siza7ezd2framez75_11619;
BgL_runz00_11618 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11615, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11619 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11615, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13790;
BgL_sz00_13790 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13791;
BgL_bpz00_13791 = 
VECTOR_REF(
((obj_t)BgL_sz00_13790),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13790, BgL_bpz00_13791, 
BINT(BgL_siza7ezd2framez75_11619)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3426z00_13792;
BgL_arg3426z00_13792 = 
(
(long)CINT(BgL_bpz00_13791)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13790),BgL_arg3426z00_13792,BgL_bz00_11620); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3427z00_13793;
BgL_arg3427z00_13793 = 
(
(long)CINT(BgL_bpz00_13791)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13790),BgL_arg3427z00_13793,BgL_cz00_11621); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3428z00_13794;
BgL_arg3428z00_13794 = 
(
(long)CINT(BgL_bpz00_13791)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13790),BgL_arg3428z00_13794,BgL_dz00_11622); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3429z00_13795;
BgL_arg3429z00_13795 = 
(
(long)CINT(BgL_bpz00_13791)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13790),BgL_arg3429z00_13795,BgL_lastz00_11623); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13796;
BgL_ez00_13796 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13796, BgL_bpz00_13791); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13797;
BgL_accz00_13797 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11618, BgL_sz00_13790, BgL_bpz00_13791); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13796); 
VECTOR_SET(
((obj_t)BgL_sz00_13790),((long)0),BgL_bpz00_13791); 
return BgL_accz00_13797;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13798;
BgL_nsz00_13798 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13798,((long)1),BgL_sz00_13790); 
VECTOR_SET(BgL_nsz00_13798,((long)2),BgL_bz00_11620); 
VECTOR_SET(BgL_nsz00_13798,((long)3),BgL_cz00_11621); 
VECTOR_SET(BgL_nsz00_13798,((long)4),BgL_dz00_11622); 
VECTOR_SET(BgL_nsz00_13798,((long)5),BgL_lastz00_11623); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13799;
BgL_z12denvz12_13799 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13799, BgL_nsz00_13798); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13800;
BgL_ez00_13800 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13800, BgL_sz00_13790); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13801;
BgL_____rz00_13801 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11618, BgL_nsz00_13798, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13800); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13799, BgL_sz00_13790); 
return BgL_____rz00_13801;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5105 */
obj_t BGl_z62run5105z62zz__evaluate_compz00(obj_t BgL_envz00_11624, obj_t BgL_sz00_11627)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11625;obj_t BgL_bodyz00_11626;
BgL_i1242z00_11625 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11624, 
(int)(((long)0)))); 
BgL_bodyz00_11626 = 
PROCEDURE_REF(BgL_envz00_11624, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13802;
BgL_bpz00_13802 = 
VECTOR_REF(
((obj_t)BgL_sz00_11627),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13803;obj_t BgL_wherez00_13804;obj_t BgL_locz00_13805;
BgL_z12denvz12_13803 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13804 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11625))->BgL_wherez00); 
BgL_locz00_13805 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11625))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13803, BgL_wherez00_13804, BgL_locz00_13805); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13806;
BgL_za2za2resza2za2z00_13806 = 
PROCEDURE_ENTRY(BgL_bodyz00_11626)(BgL_bodyz00_11626, BgL_sz00_11627, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13803); 
return BgL_za2za2resza2za2z00_13806;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3431> */
obj_t BGl_z62zc3anonymousza33431ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11628, obj_t BgL_sz00_11633)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11629;BgL_ev_absz00_bglt BgL_i1242z00_11630;obj_t BgL_bodyz00_11631;long BgL_siza7ezd2framez75_11632;
BgL_iboxesz00_11629 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11628, 
(int)(((long)0)))); 
BgL_i1242z00_11630 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11628, 
(int)(((long)1)))); 
BgL_bodyz00_11631 = 
PROCEDURE_REF(BgL_envz00_11628, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11632 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11628, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13807;
BgL_bpz00_13807 = 
VECTOR_REF(
((obj_t)BgL_sz00_11633),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13808;
BgL_runz00_13808 = 
MAKE_FX_PROCEDURE(BGl_z62run5107z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13808, 
(int)(((long)0)), BgL_iboxesz00_11629); 
PROCEDURE_SET(BgL_runz00_13808, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11630)); 
PROCEDURE_SET(BgL_runz00_13808, 
(int)(((long)2)), BgL_bodyz00_11631); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13809;
BgL_mainz00_13809 = 
MAKE_VA_PROCEDURE(BGl_z62main5106z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)0)), BgL_iboxesz00_11629); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11630)); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)2)), BgL_bodyz00_11631); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)3)), BgL_runz00_13808); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11632)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13810;
BgL_objz00_13810 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13808, BgL_objz00_13810); BgL_objz00_13810; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3432z00_13811;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3433z00_13812;
BgL_arg3433z00_13812 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11630))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13813;
BgL_newz00_13813 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23625;
BgL_tmpz00_23625 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13813, BgL_tmpz00_23625, BgL_arg3433z00_13812); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23630;int BgL_tmpz00_23628;
BgL_auxz00_23630 = 
BINT(BgL_siza7ezd2framez75_11632); 
BgL_tmpz00_23628 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13813, BgL_tmpz00_23628, BgL_auxz00_23630); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23633;
BgL_tmpz00_23633 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13813, BgL_tmpz00_23633, BgL_runz00_13808); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23638;int BgL_tmpz00_23636;
BgL_auxz00_23638 = 
BINT(((long)-4)); 
BgL_tmpz00_23636 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13813, BgL_tmpz00_23636, BgL_auxz00_23638); } 
BgL_arg3432z00_13811 = BgL_newz00_13813; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13809, BgL_arg3432z00_13811); BgL_arg3432z00_13811; } 
return BgL_mainz00_13809;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5106 */
obj_t BGl_z62main5106z62zz__evaluate_compz00(obj_t BgL_envz00_11634, obj_t BgL_bz00_11640, obj_t BgL_cz00_11641, obj_t BgL_dz00_11642, obj_t BgL_lastz00_11643)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11638;long BgL_siza7ezd2framez75_11639;
BgL_runz00_11638 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11634, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11639 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11634, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13814;
BgL_sz00_13814 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13815;
BgL_bpz00_13815 = 
VECTOR_REF(
((obj_t)BgL_sz00_13814),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13814, BgL_bpz00_13815, 
BINT(BgL_siza7ezd2framez75_11639)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3436z00_13816;
BgL_arg3436z00_13816 = 
(
(long)CINT(BgL_bpz00_13815)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13814),BgL_arg3436z00_13816,BgL_bz00_11640); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3437z00_13817;
BgL_arg3437z00_13817 = 
(
(long)CINT(BgL_bpz00_13815)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13814),BgL_arg3437z00_13817,BgL_cz00_11641); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3438z00_13818;
BgL_arg3438z00_13818 = 
(
(long)CINT(BgL_bpz00_13815)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13814),BgL_arg3438z00_13818,BgL_dz00_11642); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3439z00_13819;
BgL_arg3439z00_13819 = 
(
(long)CINT(BgL_bpz00_13815)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13814),BgL_arg3439z00_13819,BgL_lastz00_11643); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13820;
BgL_ez00_13820 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13820, BgL_bpz00_13815); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13821;
BgL_accz00_13821 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11638, BgL_sz00_13814, BgL_bpz00_13815); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13820); 
VECTOR_SET(
((obj_t)BgL_sz00_13814),((long)0),BgL_bpz00_13815); 
return BgL_accz00_13821;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13822;
BgL_nsz00_13822 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13822,((long)1),BgL_sz00_13814); 
VECTOR_SET(BgL_nsz00_13822,((long)2),BgL_bz00_11640); 
VECTOR_SET(BgL_nsz00_13822,((long)3),BgL_cz00_11641); 
VECTOR_SET(BgL_nsz00_13822,((long)4),BgL_dz00_11642); 
VECTOR_SET(BgL_nsz00_13822,((long)5),BgL_lastz00_11643); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13823;
BgL_z12denvz12_13823 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13823, BgL_nsz00_13822); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13824;
BgL_ez00_13824 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13824, BgL_sz00_13814); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13825;
BgL_____rz00_13825 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11638, BgL_nsz00_13822, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13824); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13823, BgL_sz00_13814); 
return BgL_____rz00_13825;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5107 */
obj_t BGl_z62run5107z62zz__evaluate_compz00(obj_t BgL_envz00_11644, obj_t BgL_sz00_11648)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11645;BgL_ev_absz00_bglt BgL_i1242z00_11646;obj_t BgL_bodyz00_11647;
BgL_iboxesz00_11645 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11644, 
(int)(((long)0)))); 
BgL_i1242z00_11646 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11644, 
(int)(((long)1)))); 
BgL_bodyz00_11647 = 
PROCEDURE_REF(BgL_envz00_11644, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13826;
BgL_bpz00_13826 = 
VECTOR_REF(
((obj_t)BgL_sz00_11648),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11648, BgL_iboxesz00_11645, BgL_bpz00_13826); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13827;obj_t BgL_wherez00_13828;obj_t BgL_locz00_13829;
BgL_z12denvz12_13827 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13828 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11646))->BgL_wherez00); 
BgL_locz00_13829 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11646))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13827, BgL_wherez00_13828, BgL_locz00_13829); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13830;
BgL_za2za2resza2za2z00_13830 = 
PROCEDURE_ENTRY(BgL_bodyz00_11647)(BgL_bodyz00_11647, BgL_sz00_11648, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13827); 
return BgL_za2za2resza2za2z00_13830;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3444> */
obj_t BGl_z62zc3anonymousza33444ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11649, obj_t BgL_sz00_11655)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11650;long BgL_siza7eza7_11651;BgL_ev_absz00_bglt BgL_i1242z00_11652;obj_t BgL_bodyz00_11653;long BgL_siza7ezd2framez75_11654;
BgL_ifreesz00_11650 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11649, 
(int)(((long)0)))); 
BgL_siza7eza7_11651 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11649, 
(int)(((long)1)))); 
BgL_i1242z00_11652 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11649, 
(int)(((long)2)))); 
BgL_bodyz00_11653 = 
PROCEDURE_REF(BgL_envz00_11649, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11654 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11649, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13831;
BgL_bpz00_13831 = 
VECTOR_REF(
((obj_t)BgL_sz00_11655),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13832;
BgL_valza2za2_13832 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11655, BgL_bpz00_13831, BgL_ifreesz00_11650); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13833;
BgL_runz00_13833 = 
MAKE_FX_PROCEDURE(BGl_z62run5109z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13833, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11651)); 
PROCEDURE_SET(BgL_runz00_13833, 
(int)(((long)1)), BgL_valza2za2_13832); 
PROCEDURE_SET(BgL_runz00_13833, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11652)); 
PROCEDURE_SET(BgL_runz00_13833, 
(int)(((long)3)), BgL_bodyz00_11653); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13834;
BgL_mainz00_13834 = 
MAKE_VA_PROCEDURE(BGl_z62main5108z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13834, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11651)); 
PROCEDURE_SET(BgL_mainz00_13834, 
(int)(((long)1)), BgL_valza2za2_13832); 
PROCEDURE_SET(BgL_mainz00_13834, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11652)); 
PROCEDURE_SET(BgL_mainz00_13834, 
(int)(((long)3)), BgL_bodyz00_11653); 
PROCEDURE_SET(BgL_mainz00_13834, 
(int)(((long)4)), BgL_runz00_13833); 
PROCEDURE_SET(BgL_mainz00_13834, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11654)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13835;
BgL_objz00_13835 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13833, BgL_objz00_13835); BgL_objz00_13835; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3445z00_13836;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3446z00_13837;
BgL_arg3446z00_13837 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11652))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13838;
BgL_newz00_13838 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23762;
BgL_tmpz00_23762 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13838, BgL_tmpz00_23762, BgL_arg3446z00_13837); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23767;int BgL_tmpz00_23765;
BgL_auxz00_23767 = 
BINT(BgL_siza7ezd2framez75_11654); 
BgL_tmpz00_23765 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13838, BgL_tmpz00_23765, BgL_auxz00_23767); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23770;
BgL_tmpz00_23770 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13838, BgL_tmpz00_23770, BgL_runz00_13833); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23775;int BgL_tmpz00_23773;
BgL_auxz00_23775 = 
BINT(((long)-4)); 
BgL_tmpz00_23773 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13838, BgL_tmpz00_23773, BgL_auxz00_23775); } 
BgL_arg3445z00_13836 = BgL_newz00_13838; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13834, BgL_arg3445z00_13836); BgL_arg3445z00_13836; } 
return BgL_mainz00_13834;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5108 */
obj_t BGl_z62main5108z62zz__evaluate_compz00(obj_t BgL_envz00_11656, obj_t BgL_bz00_11663, obj_t BgL_cz00_11664, obj_t BgL_dz00_11665, obj_t BgL_lastz00_11666)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11661;long BgL_siza7ezd2framez75_11662;
BgL_runz00_11661 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11656, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11662 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11656, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13839;
BgL_sz00_13839 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13840;
BgL_bpz00_13840 = 
VECTOR_REF(
((obj_t)BgL_sz00_13839),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13839, BgL_bpz00_13840, 
BINT(BgL_siza7ezd2framez75_11662)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3449z00_13841;
BgL_arg3449z00_13841 = 
(
(long)CINT(BgL_bpz00_13840)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13839),BgL_arg3449z00_13841,BgL_bz00_11663); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3450z00_13842;
BgL_arg3450z00_13842 = 
(
(long)CINT(BgL_bpz00_13840)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13839),BgL_arg3450z00_13842,BgL_cz00_11664); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3451z00_13843;
BgL_arg3451z00_13843 = 
(
(long)CINT(BgL_bpz00_13840)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13839),BgL_arg3451z00_13843,BgL_dz00_11665); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3452z00_13844;
BgL_arg3452z00_13844 = 
(
(long)CINT(BgL_bpz00_13840)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13839),BgL_arg3452z00_13844,BgL_lastz00_11666); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13845;
BgL_ez00_13845 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13845, BgL_bpz00_13840); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13846;
BgL_accz00_13846 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11661, BgL_sz00_13839, BgL_bpz00_13840); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13845); 
VECTOR_SET(
((obj_t)BgL_sz00_13839),((long)0),BgL_bpz00_13840); 
return BgL_accz00_13846;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13847;
BgL_nsz00_13847 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13847,((long)1),BgL_sz00_13839); 
VECTOR_SET(BgL_nsz00_13847,((long)2),BgL_bz00_11663); 
VECTOR_SET(BgL_nsz00_13847,((long)3),BgL_cz00_11664); 
VECTOR_SET(BgL_nsz00_13847,((long)4),BgL_dz00_11665); 
VECTOR_SET(BgL_nsz00_13847,((long)5),BgL_lastz00_11666); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13848;
BgL_z12denvz12_13848 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13848, BgL_nsz00_13847); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13849;
BgL_ez00_13849 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13849, BgL_sz00_13839); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13850;
BgL_____rz00_13850 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11661, BgL_nsz00_13847, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13849); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13848, BgL_sz00_13839); 
return BgL_____rz00_13850;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5109 */
obj_t BGl_z62run5109z62zz__evaluate_compz00(obj_t BgL_envz00_11667, obj_t BgL_sz00_11672)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11668;obj_t BgL_valza2za2_11669;BgL_ev_absz00_bglt BgL_i1242z00_11670;obj_t BgL_bodyz00_11671;
BgL_siza7eza7_11668 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11667, 
(int)(((long)0)))); 
BgL_valza2za2_11669 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11667, 
(int)(((long)1)))); 
BgL_i1242z00_11670 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11667, 
(int)(((long)2)))); 
BgL_bodyz00_11671 = 
PROCEDURE_REF(BgL_envz00_11667, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13851;
BgL_bpz00_13851 = 
VECTOR_REF(
((obj_t)BgL_sz00_11672),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11672, BgL_valza2za2_11669, 
(
(long)CINT(BgL_bpz00_13851)+BgL_siza7eza7_11668)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13852;obj_t BgL_wherez00_13853;obj_t BgL_locz00_13854;
BgL_z12denvz12_13852 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13853 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11670))->BgL_wherez00); 
BgL_locz00_13854 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11670))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13852, BgL_wherez00_13853, BgL_locz00_13854); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13855;
BgL_za2za2resza2za2z00_13855 = 
PROCEDURE_ENTRY(BgL_bodyz00_11671)(BgL_bodyz00_11671, BgL_sz00_11672, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13852); 
return BgL_za2za2resza2za2z00_13855;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3455> */
obj_t BGl_z62zc3anonymousza33455ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11673, obj_t BgL_sz00_11680)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11674;obj_t BgL_iboxesz00_11675;long BgL_siza7eza7_11676;BgL_ev_absz00_bglt BgL_i1242z00_11677;obj_t BgL_bodyz00_11678;long BgL_siza7ezd2framez75_11679;
BgL_ifreesz00_11674 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11673, 
(int)(((long)0)))); 
BgL_iboxesz00_11675 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11673, 
(int)(((long)1)))); 
BgL_siza7eza7_11676 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11673, 
(int)(((long)2)))); 
BgL_i1242z00_11677 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11673, 
(int)(((long)3)))); 
BgL_bodyz00_11678 = 
PROCEDURE_REF(BgL_envz00_11673, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11679 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11673, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13856;
BgL_bpz00_13856 = 
VECTOR_REF(
((obj_t)BgL_sz00_11680),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13857;
BgL_valza2za2_13857 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11680, BgL_bpz00_13856, BgL_ifreesz00_11674); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13858;
BgL_runz00_13858 = 
MAKE_FX_PROCEDURE(BGl_z62run5111z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13858, 
(int)(((long)0)), BgL_iboxesz00_11675); 
PROCEDURE_SET(BgL_runz00_13858, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11676)); 
PROCEDURE_SET(BgL_runz00_13858, 
(int)(((long)2)), BgL_valza2za2_13857); 
PROCEDURE_SET(BgL_runz00_13858, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11677)); 
PROCEDURE_SET(BgL_runz00_13858, 
(int)(((long)4)), BgL_bodyz00_11678); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13859;
BgL_mainz00_13859 = 
MAKE_VA_PROCEDURE(BGl_z62main5110z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13859, 
(int)(((long)0)), BgL_iboxesz00_11675); 
PROCEDURE_SET(BgL_mainz00_13859, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11676)); 
PROCEDURE_SET(BgL_mainz00_13859, 
(int)(((long)2)), BgL_valza2za2_13857); 
PROCEDURE_SET(BgL_mainz00_13859, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11677)); 
PROCEDURE_SET(BgL_mainz00_13859, 
(int)(((long)4)), BgL_bodyz00_11678); 
PROCEDURE_SET(BgL_mainz00_13859, 
(int)(((long)5)), BgL_runz00_13858); 
PROCEDURE_SET(BgL_mainz00_13859, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11679)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13860;
BgL_objz00_13860 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13858, BgL_objz00_13860); BgL_objz00_13860; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3456z00_13861;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3457z00_13862;
BgL_arg3457z00_13862 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11677))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13863;
BgL_newz00_13863 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23911;
BgL_tmpz00_23911 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13863, BgL_tmpz00_23911, BgL_arg3457z00_13862); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23916;int BgL_tmpz00_23914;
BgL_auxz00_23916 = 
BINT(BgL_siza7ezd2framez75_11679); 
BgL_tmpz00_23914 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13863, BgL_tmpz00_23914, BgL_auxz00_23916); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23919;
BgL_tmpz00_23919 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13863, BgL_tmpz00_23919, BgL_runz00_13858); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23924;int BgL_tmpz00_23922;
BgL_auxz00_23924 = 
BINT(((long)-4)); 
BgL_tmpz00_23922 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13863, BgL_tmpz00_23922, BgL_auxz00_23924); } 
BgL_arg3456z00_13861 = BgL_newz00_13863; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13859, BgL_arg3456z00_13861); BgL_arg3456z00_13861; } 
return BgL_mainz00_13859;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5110 */
obj_t BGl_z62main5110z62zz__evaluate_compz00(obj_t BgL_envz00_11681, obj_t BgL_bz00_11689, obj_t BgL_cz00_11690, obj_t BgL_dz00_11691, obj_t BgL_lastz00_11692)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11687;long BgL_siza7ezd2framez75_11688;
BgL_runz00_11687 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11681, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11688 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11681, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13864;
BgL_sz00_13864 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13865;
BgL_bpz00_13865 = 
VECTOR_REF(
((obj_t)BgL_sz00_13864),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13864, BgL_bpz00_13865, 
BINT(BgL_siza7ezd2framez75_11688)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3460z00_13866;
BgL_arg3460z00_13866 = 
(
(long)CINT(BgL_bpz00_13865)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13864),BgL_arg3460z00_13866,BgL_bz00_11689); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3461z00_13867;
BgL_arg3461z00_13867 = 
(
(long)CINT(BgL_bpz00_13865)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13864),BgL_arg3461z00_13867,BgL_cz00_11690); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3462z00_13868;
BgL_arg3462z00_13868 = 
(
(long)CINT(BgL_bpz00_13865)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13864),BgL_arg3462z00_13868,BgL_dz00_11691); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3463z00_13869;
BgL_arg3463z00_13869 = 
(
(long)CINT(BgL_bpz00_13865)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13864),BgL_arg3463z00_13869,BgL_lastz00_11692); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13870;
BgL_ez00_13870 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13870, BgL_bpz00_13865); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13871;
BgL_accz00_13871 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11687, BgL_sz00_13864, BgL_bpz00_13865); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13870); 
VECTOR_SET(
((obj_t)BgL_sz00_13864),((long)0),BgL_bpz00_13865); 
return BgL_accz00_13871;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13872;
BgL_nsz00_13872 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13872,((long)1),BgL_sz00_13864); 
VECTOR_SET(BgL_nsz00_13872,((long)2),BgL_bz00_11689); 
VECTOR_SET(BgL_nsz00_13872,((long)3),BgL_cz00_11690); 
VECTOR_SET(BgL_nsz00_13872,((long)4),BgL_dz00_11691); 
VECTOR_SET(BgL_nsz00_13872,((long)5),BgL_lastz00_11692); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13873;
BgL_z12denvz12_13873 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13873, BgL_nsz00_13872); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13874;
BgL_ez00_13874 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13874, BgL_sz00_13864); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13875;
BgL_____rz00_13875 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11687, BgL_nsz00_13872, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13874); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13873, BgL_sz00_13864); 
return BgL_____rz00_13875;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5111 */
obj_t BGl_z62run5111z62zz__evaluate_compz00(obj_t BgL_envz00_11693, obj_t BgL_sz00_11699)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11694;long BgL_siza7eza7_11695;obj_t BgL_valza2za2_11696;BgL_ev_absz00_bglt BgL_i1242z00_11697;obj_t BgL_bodyz00_11698;
BgL_iboxesz00_11694 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11693, 
(int)(((long)0)))); 
BgL_siza7eza7_11695 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11693, 
(int)(((long)1)))); 
BgL_valza2za2_11696 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11693, 
(int)(((long)2)))); 
BgL_i1242z00_11697 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11693, 
(int)(((long)3)))); 
BgL_bodyz00_11698 = 
PROCEDURE_REF(BgL_envz00_11693, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13876;
BgL_bpz00_13876 = 
VECTOR_REF(
((obj_t)BgL_sz00_11699),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11699, BgL_iboxesz00_11694, BgL_bpz00_13876); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11699, BgL_valza2za2_11696, 
(
(long)CINT(BgL_bpz00_13876)+BgL_siza7eza7_11695)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13877;obj_t BgL_wherez00_13878;obj_t BgL_locz00_13879;
BgL_z12denvz12_13877 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13878 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11697))->BgL_wherez00); 
BgL_locz00_13879 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11697))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13877, BgL_wherez00_13878, BgL_locz00_13879); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13880;
BgL_za2za2resza2za2z00_13880 = 
PROCEDURE_ENTRY(BgL_bodyz00_11698)(BgL_bodyz00_11698, BgL_sz00_11699, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13877); 
return BgL_za2za2resza2za2z00_13880;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3374> */
obj_t BGl_z62zc3anonymousza33374ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11700, obj_t BgL_sz00_11704)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11701;obj_t BgL_bodyz00_11702;long BgL_siza7ezd2framez75_11703;
BgL_i1242z00_11701 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11700, 
(int)(((long)0)))); 
BgL_bodyz00_11702 = 
PROCEDURE_REF(BgL_envz00_11700, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11703 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11700, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13881;
BgL_bpz00_13881 = 
VECTOR_REF(
((obj_t)BgL_sz00_11704),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13882;
BgL_runz00_13882 = 
MAKE_FX_PROCEDURE(BGl_z62run5113z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13882, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11701)); 
PROCEDURE_SET(BgL_runz00_13882, 
(int)(((long)1)), BgL_bodyz00_11702); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13883;
BgL_mainz00_13883 = 
MAKE_FX_PROCEDURE(BGl_z62main5112z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13883, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11701)); 
PROCEDURE_SET(BgL_mainz00_13883, 
(int)(((long)1)), BgL_bodyz00_11702); 
PROCEDURE_SET(BgL_mainz00_13883, 
(int)(((long)2)), BgL_runz00_13882); 
PROCEDURE_SET(BgL_mainz00_13883, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11703)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13884;
BgL_objz00_13884 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13882, BgL_objz00_13884); BgL_objz00_13884; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3375z00_13885;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3376z00_13886;
BgL_arg3376z00_13886 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11701))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13887;
BgL_newz00_13887 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24040;
BgL_tmpz00_24040 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13887, BgL_tmpz00_24040, BgL_arg3376z00_13886); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24045;int BgL_tmpz00_24043;
BgL_auxz00_24045 = 
BINT(BgL_siza7ezd2framez75_11703); 
BgL_tmpz00_24043 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13887, BgL_tmpz00_24043, BgL_auxz00_24045); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24048;
BgL_tmpz00_24048 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13887, BgL_tmpz00_24048, BgL_runz00_13882); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24053;int BgL_tmpz00_24051;
BgL_auxz00_24053 = 
BINT(((long)3)); 
BgL_tmpz00_24051 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13887, BgL_tmpz00_24051, BgL_auxz00_24053); } 
BgL_arg3375z00_13885 = BgL_newz00_13887; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13883, BgL_arg3375z00_13885); BgL_arg3375z00_13885; } 
return BgL_mainz00_13883;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5112 */
obj_t BGl_z62main5112z62zz__evaluate_compz00(obj_t BgL_envz00_11705, obj_t BgL_bz00_11710, obj_t BgL_cz00_11711, obj_t BgL_dz00_11712)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11708;long BgL_siza7ezd2framez75_11709;
BgL_runz00_11708 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11705, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11709 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11705, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13888;
BgL_sz00_13888 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13889;
BgL_bpz00_13889 = 
VECTOR_REF(
((obj_t)BgL_sz00_13888),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13888, BgL_bpz00_13889, 
BINT(BgL_siza7ezd2framez75_11709)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3379z00_13890;
BgL_arg3379z00_13890 = 
(
(long)CINT(BgL_bpz00_13889)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13888),BgL_arg3379z00_13890,BgL_bz00_11710); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3380z00_13891;
BgL_arg3380z00_13891 = 
(
(long)CINT(BgL_bpz00_13889)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13888),BgL_arg3380z00_13891,BgL_cz00_11711); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3381z00_13892;
BgL_arg3381z00_13892 = 
(
(long)CINT(BgL_bpz00_13889)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13888),BgL_arg3381z00_13892,BgL_dz00_11712); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13893;
BgL_ez00_13893 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13893, BgL_bpz00_13889); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13894;
BgL_accz00_13894 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11708, BgL_sz00_13888, BgL_bpz00_13889); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13893); 
VECTOR_SET(
((obj_t)BgL_sz00_13888),((long)0),BgL_bpz00_13889); 
return BgL_accz00_13894;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13895;
BgL_nsz00_13895 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13895,((long)1),BgL_sz00_13888); 
VECTOR_SET(BgL_nsz00_13895,((long)2),BgL_bz00_11710); 
VECTOR_SET(BgL_nsz00_13895,((long)3),BgL_cz00_11711); 
VECTOR_SET(BgL_nsz00_13895,((long)4),BgL_dz00_11712); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13896;
BgL_z12denvz12_13896 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13896, BgL_nsz00_13895); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13897;
BgL_ez00_13897 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13897, BgL_sz00_13888); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13898;
BgL_____rz00_13898 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11708, BgL_nsz00_13895, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13897); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13896, BgL_sz00_13888); 
return BgL_____rz00_13898;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5113 */
obj_t BGl_z62run5113z62zz__evaluate_compz00(obj_t BgL_envz00_11713, obj_t BgL_sz00_11716)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11714;obj_t BgL_bodyz00_11715;
BgL_i1242z00_11714 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11713, 
(int)(((long)0)))); 
BgL_bodyz00_11715 = 
PROCEDURE_REF(BgL_envz00_11713, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13899;
BgL_bpz00_13899 = 
VECTOR_REF(
((obj_t)BgL_sz00_11716),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13900;obj_t BgL_wherez00_13901;obj_t BgL_locz00_13902;
BgL_z12denvz12_13900 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13901 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11714))->BgL_wherez00); 
BgL_locz00_13902 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11714))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13900, BgL_wherez00_13901, BgL_locz00_13902); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13903;
BgL_za2za2resza2za2z00_13903 = 
PROCEDURE_ENTRY(BgL_bodyz00_11715)(BgL_bodyz00_11715, BgL_sz00_11716, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13900); 
return BgL_za2za2resza2za2z00_13903;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3383> */
obj_t BGl_z62zc3anonymousza33383ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11717, obj_t BgL_sz00_11722)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11718;BgL_ev_absz00_bglt BgL_i1242z00_11719;obj_t BgL_bodyz00_11720;long BgL_siza7ezd2framez75_11721;
BgL_iboxesz00_11718 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11717, 
(int)(((long)0)))); 
BgL_i1242z00_11719 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11717, 
(int)(((long)1)))); 
BgL_bodyz00_11720 = 
PROCEDURE_REF(BgL_envz00_11717, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11721 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11717, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13904;
BgL_bpz00_13904 = 
VECTOR_REF(
((obj_t)BgL_sz00_11722),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13905;
BgL_runz00_13905 = 
MAKE_FX_PROCEDURE(BGl_z62run5115z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13905, 
(int)(((long)0)), BgL_iboxesz00_11718); 
PROCEDURE_SET(BgL_runz00_13905, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11719)); 
PROCEDURE_SET(BgL_runz00_13905, 
(int)(((long)2)), BgL_bodyz00_11720); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13906;
BgL_mainz00_13906 = 
MAKE_FX_PROCEDURE(BGl_z62main5114z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13906, 
(int)(((long)0)), BgL_iboxesz00_11718); 
PROCEDURE_SET(BgL_mainz00_13906, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11719)); 
PROCEDURE_SET(BgL_mainz00_13906, 
(int)(((long)2)), BgL_bodyz00_11720); 
PROCEDURE_SET(BgL_mainz00_13906, 
(int)(((long)3)), BgL_runz00_13905); 
PROCEDURE_SET(BgL_mainz00_13906, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11721)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13907;
BgL_objz00_13907 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13905, BgL_objz00_13907); BgL_objz00_13907; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3384z00_13908;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3385z00_13909;
BgL_arg3385z00_13909 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11719))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13910;
BgL_newz00_13910 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24158;
BgL_tmpz00_24158 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13910, BgL_tmpz00_24158, BgL_arg3385z00_13909); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24163;int BgL_tmpz00_24161;
BgL_auxz00_24163 = 
BINT(BgL_siza7ezd2framez75_11721); 
BgL_tmpz00_24161 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13910, BgL_tmpz00_24161, BgL_auxz00_24163); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24166;
BgL_tmpz00_24166 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13910, BgL_tmpz00_24166, BgL_runz00_13905); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24171;int BgL_tmpz00_24169;
BgL_auxz00_24171 = 
BINT(((long)3)); 
BgL_tmpz00_24169 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13910, BgL_tmpz00_24169, BgL_auxz00_24171); } 
BgL_arg3384z00_13908 = BgL_newz00_13910; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13906, BgL_arg3384z00_13908); BgL_arg3384z00_13908; } 
return BgL_mainz00_13906;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5114 */
obj_t BGl_z62main5114z62zz__evaluate_compz00(obj_t BgL_envz00_11723, obj_t BgL_bz00_11729, obj_t BgL_cz00_11730, obj_t BgL_dz00_11731)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11727;long BgL_siza7ezd2framez75_11728;
BgL_runz00_11727 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11723, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11728 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11723, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13911;
BgL_sz00_13911 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13912;
BgL_bpz00_13912 = 
VECTOR_REF(
((obj_t)BgL_sz00_13911),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13911, BgL_bpz00_13912, 
BINT(BgL_siza7ezd2framez75_11728)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3388z00_13913;
BgL_arg3388z00_13913 = 
(
(long)CINT(BgL_bpz00_13912)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13911),BgL_arg3388z00_13913,BgL_bz00_11729); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3389z00_13914;
BgL_arg3389z00_13914 = 
(
(long)CINT(BgL_bpz00_13912)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13911),BgL_arg3389z00_13914,BgL_cz00_11730); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3390z00_13915;
BgL_arg3390z00_13915 = 
(
(long)CINT(BgL_bpz00_13912)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13911),BgL_arg3390z00_13915,BgL_dz00_11731); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13916;
BgL_ez00_13916 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13916, BgL_bpz00_13912); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13917;
BgL_accz00_13917 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11727, BgL_sz00_13911, BgL_bpz00_13912); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13916); 
VECTOR_SET(
((obj_t)BgL_sz00_13911),((long)0),BgL_bpz00_13912); 
return BgL_accz00_13917;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13918;
BgL_nsz00_13918 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13918,((long)1),BgL_sz00_13911); 
VECTOR_SET(BgL_nsz00_13918,((long)2),BgL_bz00_11729); 
VECTOR_SET(BgL_nsz00_13918,((long)3),BgL_cz00_11730); 
VECTOR_SET(BgL_nsz00_13918,((long)4),BgL_dz00_11731); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13919;
BgL_z12denvz12_13919 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13919, BgL_nsz00_13918); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13920;
BgL_ez00_13920 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13920, BgL_sz00_13911); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13921;
BgL_____rz00_13921 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11727, BgL_nsz00_13918, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13920); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13919, BgL_sz00_13911); 
return BgL_____rz00_13921;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5115 */
obj_t BGl_z62run5115z62zz__evaluate_compz00(obj_t BgL_envz00_11732, obj_t BgL_sz00_11736)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11733;BgL_ev_absz00_bglt BgL_i1242z00_11734;obj_t BgL_bodyz00_11735;
BgL_iboxesz00_11733 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11732, 
(int)(((long)0)))); 
BgL_i1242z00_11734 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11732, 
(int)(((long)1)))); 
BgL_bodyz00_11735 = 
PROCEDURE_REF(BgL_envz00_11732, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13922;
BgL_bpz00_13922 = 
VECTOR_REF(
((obj_t)BgL_sz00_11736),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11736, BgL_iboxesz00_11733, BgL_bpz00_13922); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13923;obj_t BgL_wherez00_13924;obj_t BgL_locz00_13925;
BgL_z12denvz12_13923 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13924 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11734))->BgL_wherez00); 
BgL_locz00_13925 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11734))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13923, BgL_wherez00_13924, BgL_locz00_13925); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13926;
BgL_za2za2resza2za2z00_13926 = 
PROCEDURE_ENTRY(BgL_bodyz00_11735)(BgL_bodyz00_11735, BgL_sz00_11736, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13923); 
return BgL_za2za2resza2za2z00_13926;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3395> */
obj_t BGl_z62zc3anonymousza33395ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11737, obj_t BgL_sz00_11743)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11738;long BgL_siza7eza7_11739;BgL_ev_absz00_bglt BgL_i1242z00_11740;obj_t BgL_bodyz00_11741;long BgL_siza7ezd2framez75_11742;
BgL_ifreesz00_11738 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11737, 
(int)(((long)0)))); 
BgL_siza7eza7_11739 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11737, 
(int)(((long)1)))); 
BgL_i1242z00_11740 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11737, 
(int)(((long)2)))); 
BgL_bodyz00_11741 = 
PROCEDURE_REF(BgL_envz00_11737, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11742 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11737, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13927;
BgL_bpz00_13927 = 
VECTOR_REF(
((obj_t)BgL_sz00_11743),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13928;
BgL_valza2za2_13928 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11743, BgL_bpz00_13927, BgL_ifreesz00_11738); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13929;
BgL_runz00_13929 = 
MAKE_FX_PROCEDURE(BGl_z62run5117z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13929, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11739)); 
PROCEDURE_SET(BgL_runz00_13929, 
(int)(((long)1)), BgL_valza2za2_13928); 
PROCEDURE_SET(BgL_runz00_13929, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11740)); 
PROCEDURE_SET(BgL_runz00_13929, 
(int)(((long)3)), BgL_bodyz00_11741); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13930;
BgL_mainz00_13930 = 
MAKE_FX_PROCEDURE(BGl_z62main5116z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13930, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11739)); 
PROCEDURE_SET(BgL_mainz00_13930, 
(int)(((long)1)), BgL_valza2za2_13928); 
PROCEDURE_SET(BgL_mainz00_13930, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11740)); 
PROCEDURE_SET(BgL_mainz00_13930, 
(int)(((long)3)), BgL_bodyz00_11741); 
PROCEDURE_SET(BgL_mainz00_13930, 
(int)(((long)4)), BgL_runz00_13929); 
PROCEDURE_SET(BgL_mainz00_13930, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11742)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13931;
BgL_objz00_13931 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13929, BgL_objz00_13931); BgL_objz00_13931; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3396z00_13932;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3397z00_13933;
BgL_arg3397z00_13933 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11740))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13934;
BgL_newz00_13934 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24290;
BgL_tmpz00_24290 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13934, BgL_tmpz00_24290, BgL_arg3397z00_13933); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24295;int BgL_tmpz00_24293;
BgL_auxz00_24295 = 
BINT(BgL_siza7ezd2framez75_11742); 
BgL_tmpz00_24293 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13934, BgL_tmpz00_24293, BgL_auxz00_24295); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24298;
BgL_tmpz00_24298 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13934, BgL_tmpz00_24298, BgL_runz00_13929); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24303;int BgL_tmpz00_24301;
BgL_auxz00_24303 = 
BINT(((long)3)); 
BgL_tmpz00_24301 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13934, BgL_tmpz00_24301, BgL_auxz00_24303); } 
BgL_arg3396z00_13932 = BgL_newz00_13934; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13930, BgL_arg3396z00_13932); BgL_arg3396z00_13932; } 
return BgL_mainz00_13930;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5116 */
obj_t BGl_z62main5116z62zz__evaluate_compz00(obj_t BgL_envz00_11744, obj_t BgL_bz00_11751, obj_t BgL_cz00_11752, obj_t BgL_dz00_11753)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11749;long BgL_siza7ezd2framez75_11750;
BgL_runz00_11749 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11744, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11750 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11744, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13935;
BgL_sz00_13935 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13936;
BgL_bpz00_13936 = 
VECTOR_REF(
((obj_t)BgL_sz00_13935),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13935, BgL_bpz00_13936, 
BINT(BgL_siza7ezd2framez75_11750)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3400z00_13937;
BgL_arg3400z00_13937 = 
(
(long)CINT(BgL_bpz00_13936)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13935),BgL_arg3400z00_13937,BgL_bz00_11751); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3401z00_13938;
BgL_arg3401z00_13938 = 
(
(long)CINT(BgL_bpz00_13936)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13935),BgL_arg3401z00_13938,BgL_cz00_11752); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3402z00_13939;
BgL_arg3402z00_13939 = 
(
(long)CINT(BgL_bpz00_13936)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13935),BgL_arg3402z00_13939,BgL_dz00_11753); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13940;
BgL_ez00_13940 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13940, BgL_bpz00_13936); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13941;
BgL_accz00_13941 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11749, BgL_sz00_13935, BgL_bpz00_13936); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13940); 
VECTOR_SET(
((obj_t)BgL_sz00_13935),((long)0),BgL_bpz00_13936); 
return BgL_accz00_13941;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13942;
BgL_nsz00_13942 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13942,((long)1),BgL_sz00_13935); 
VECTOR_SET(BgL_nsz00_13942,((long)2),BgL_bz00_11751); 
VECTOR_SET(BgL_nsz00_13942,((long)3),BgL_cz00_11752); 
VECTOR_SET(BgL_nsz00_13942,((long)4),BgL_dz00_11753); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13943;
BgL_z12denvz12_13943 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13943, BgL_nsz00_13942); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13944;
BgL_ez00_13944 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13944, BgL_sz00_13935); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13945;
BgL_____rz00_13945 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11749, BgL_nsz00_13942, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13944); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13943, BgL_sz00_13935); 
return BgL_____rz00_13945;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5117 */
obj_t BGl_z62run5117z62zz__evaluate_compz00(obj_t BgL_envz00_11754, obj_t BgL_sz00_11759)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11755;obj_t BgL_valza2za2_11756;BgL_ev_absz00_bglt BgL_i1242z00_11757;obj_t BgL_bodyz00_11758;
BgL_siza7eza7_11755 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11754, 
(int)(((long)0)))); 
BgL_valza2za2_11756 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11754, 
(int)(((long)1)))); 
BgL_i1242z00_11757 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11754, 
(int)(((long)2)))); 
BgL_bodyz00_11758 = 
PROCEDURE_REF(BgL_envz00_11754, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13946;
BgL_bpz00_13946 = 
VECTOR_REF(
((obj_t)BgL_sz00_11759),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11759, BgL_valza2za2_11756, 
(
(long)CINT(BgL_bpz00_13946)+BgL_siza7eza7_11755)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13947;obj_t BgL_wherez00_13948;obj_t BgL_locz00_13949;
BgL_z12denvz12_13947 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13948 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11757))->BgL_wherez00); 
BgL_locz00_13949 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11757))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13947, BgL_wherez00_13948, BgL_locz00_13949); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13950;
BgL_za2za2resza2za2z00_13950 = 
PROCEDURE_ENTRY(BgL_bodyz00_11758)(BgL_bodyz00_11758, BgL_sz00_11759, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13947); 
return BgL_za2za2resza2za2z00_13950;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3405> */
obj_t BGl_z62zc3anonymousza33405ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11760, obj_t BgL_sz00_11767)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11761;obj_t BgL_iboxesz00_11762;long BgL_siza7eza7_11763;BgL_ev_absz00_bglt BgL_i1242z00_11764;obj_t BgL_bodyz00_11765;long BgL_siza7ezd2framez75_11766;
BgL_ifreesz00_11761 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11760, 
(int)(((long)0)))); 
BgL_iboxesz00_11762 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11760, 
(int)(((long)1)))); 
BgL_siza7eza7_11763 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11760, 
(int)(((long)2)))); 
BgL_i1242z00_11764 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11760, 
(int)(((long)3)))); 
BgL_bodyz00_11765 = 
PROCEDURE_REF(BgL_envz00_11760, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11766 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11760, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13951;
BgL_bpz00_13951 = 
VECTOR_REF(
((obj_t)BgL_sz00_11767),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13952;
BgL_valza2za2_13952 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11767, BgL_bpz00_13951, BgL_ifreesz00_11761); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13953;
BgL_runz00_13953 = 
MAKE_FX_PROCEDURE(BGl_z62run5119z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13953, 
(int)(((long)0)), BgL_iboxesz00_11762); 
PROCEDURE_SET(BgL_runz00_13953, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11763)); 
PROCEDURE_SET(BgL_runz00_13953, 
(int)(((long)2)), BgL_valza2za2_13952); 
PROCEDURE_SET(BgL_runz00_13953, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11764)); 
PROCEDURE_SET(BgL_runz00_13953, 
(int)(((long)4)), BgL_bodyz00_11765); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13954;
BgL_mainz00_13954 = 
MAKE_FX_PROCEDURE(BGl_z62main5118z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13954, 
(int)(((long)0)), BgL_iboxesz00_11762); 
PROCEDURE_SET(BgL_mainz00_13954, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11763)); 
PROCEDURE_SET(BgL_mainz00_13954, 
(int)(((long)2)), BgL_valza2za2_13952); 
PROCEDURE_SET(BgL_mainz00_13954, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11764)); 
PROCEDURE_SET(BgL_mainz00_13954, 
(int)(((long)4)), BgL_bodyz00_11765); 
PROCEDURE_SET(BgL_mainz00_13954, 
(int)(((long)5)), BgL_runz00_13953); 
PROCEDURE_SET(BgL_mainz00_13954, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11766)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13955;
BgL_objz00_13955 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13953, BgL_objz00_13955); BgL_objz00_13955; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3406z00_13956;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3407z00_13957;
BgL_arg3407z00_13957 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11764))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13958;
BgL_newz00_13958 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24434;
BgL_tmpz00_24434 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13958, BgL_tmpz00_24434, BgL_arg3407z00_13957); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24439;int BgL_tmpz00_24437;
BgL_auxz00_24439 = 
BINT(BgL_siza7ezd2framez75_11766); 
BgL_tmpz00_24437 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13958, BgL_tmpz00_24437, BgL_auxz00_24439); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24442;
BgL_tmpz00_24442 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13958, BgL_tmpz00_24442, BgL_runz00_13953); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24447;int BgL_tmpz00_24445;
BgL_auxz00_24447 = 
BINT(((long)3)); 
BgL_tmpz00_24445 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13958, BgL_tmpz00_24445, BgL_auxz00_24447); } 
BgL_arg3406z00_13956 = BgL_newz00_13958; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13954, BgL_arg3406z00_13956); BgL_arg3406z00_13956; } 
return BgL_mainz00_13954;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5118 */
obj_t BGl_z62main5118z62zz__evaluate_compz00(obj_t BgL_envz00_11768, obj_t BgL_bz00_11776, obj_t BgL_cz00_11777, obj_t BgL_dz00_11778)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11774;long BgL_siza7ezd2framez75_11775;
BgL_runz00_11774 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11768, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11775 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11768, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13959;
BgL_sz00_13959 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13960;
BgL_bpz00_13960 = 
VECTOR_REF(
((obj_t)BgL_sz00_13959),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13959, BgL_bpz00_13960, 
BINT(BgL_siza7ezd2framez75_11775)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3410z00_13961;
BgL_arg3410z00_13961 = 
(
(long)CINT(BgL_bpz00_13960)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13959),BgL_arg3410z00_13961,BgL_bz00_11776); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3411z00_13962;
BgL_arg3411z00_13962 = 
(
(long)CINT(BgL_bpz00_13960)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13959),BgL_arg3411z00_13962,BgL_cz00_11777); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3412z00_13963;
BgL_arg3412z00_13963 = 
(
(long)CINT(BgL_bpz00_13960)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13959),BgL_arg3412z00_13963,BgL_dz00_11778); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13964;
BgL_ez00_13964 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13964, BgL_bpz00_13960); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13965;
BgL_accz00_13965 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11774, BgL_sz00_13959, BgL_bpz00_13960); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13964); 
VECTOR_SET(
((obj_t)BgL_sz00_13959),((long)0),BgL_bpz00_13960); 
return BgL_accz00_13965;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13966;
BgL_nsz00_13966 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13966,((long)1),BgL_sz00_13959); 
VECTOR_SET(BgL_nsz00_13966,((long)2),BgL_bz00_11776); 
VECTOR_SET(BgL_nsz00_13966,((long)3),BgL_cz00_11777); 
VECTOR_SET(BgL_nsz00_13966,((long)4),BgL_dz00_11778); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13967;
BgL_z12denvz12_13967 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13967, BgL_nsz00_13966); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13968;
BgL_ez00_13968 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13968, BgL_sz00_13959); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13969;
BgL_____rz00_13969 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11774, BgL_nsz00_13966, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13968); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13967, BgL_sz00_13959); 
return BgL_____rz00_13969;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5119 */
obj_t BGl_z62run5119z62zz__evaluate_compz00(obj_t BgL_envz00_11779, obj_t BgL_sz00_11785)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11780;long BgL_siza7eza7_11781;obj_t BgL_valza2za2_11782;BgL_ev_absz00_bglt BgL_i1242z00_11783;obj_t BgL_bodyz00_11784;
BgL_iboxesz00_11780 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11779, 
(int)(((long)0)))); 
BgL_siza7eza7_11781 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11779, 
(int)(((long)1)))); 
BgL_valza2za2_11782 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11779, 
(int)(((long)2)))); 
BgL_i1242z00_11783 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11779, 
(int)(((long)3)))); 
BgL_bodyz00_11784 = 
PROCEDURE_REF(BgL_envz00_11779, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13970;
BgL_bpz00_13970 = 
VECTOR_REF(
((obj_t)BgL_sz00_11785),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11785, BgL_iboxesz00_11780, BgL_bpz00_13970); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11785, BgL_valza2za2_11782, 
(
(long)CINT(BgL_bpz00_13970)+BgL_siza7eza7_11781)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13971;obj_t BgL_wherez00_13972;obj_t BgL_locz00_13973;
BgL_z12denvz12_13971 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13972 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11783))->BgL_wherez00); 
BgL_locz00_13973 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11783))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13971, BgL_wherez00_13972, BgL_locz00_13973); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13974;
BgL_za2za2resza2za2z00_13974 = 
PROCEDURE_ENTRY(BgL_bodyz00_11784)(BgL_bodyz00_11784, BgL_sz00_11785, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13971); 
return BgL_za2za2resza2za2z00_13974;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3327> */
obj_t BGl_z62zc3anonymousza33327ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11786, obj_t BgL_sz00_11790)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11787;obj_t BgL_bodyz00_11788;long BgL_siza7ezd2framez75_11789;
BgL_i1242z00_11787 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11786, 
(int)(((long)0)))); 
BgL_bodyz00_11788 = 
PROCEDURE_REF(BgL_envz00_11786, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11789 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11786, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13975;
BgL_bpz00_13975 = 
VECTOR_REF(
((obj_t)BgL_sz00_11790),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13976;
BgL_runz00_13976 = 
MAKE_FX_PROCEDURE(BGl_z62run5121z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13976, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11787)); 
PROCEDURE_SET(BgL_runz00_13976, 
(int)(((long)1)), BgL_bodyz00_11788); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13977;
BgL_mainz00_13977 = 
MAKE_VA_PROCEDURE(BGl_z62main5120z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13977, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11787)); 
PROCEDURE_SET(BgL_mainz00_13977, 
(int)(((long)1)), BgL_bodyz00_11788); 
PROCEDURE_SET(BgL_mainz00_13977, 
(int)(((long)2)), BgL_runz00_13976); 
PROCEDURE_SET(BgL_mainz00_13977, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11789)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13978;
BgL_objz00_13978 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13976, BgL_objz00_13978); BgL_objz00_13978; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3328z00_13979;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3329z00_13980;
BgL_arg3329z00_13980 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11787))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13981;
BgL_newz00_13981 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24558;
BgL_tmpz00_24558 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13981, BgL_tmpz00_24558, BgL_arg3329z00_13980); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24563;int BgL_tmpz00_24561;
BgL_auxz00_24563 = 
BINT(BgL_siza7ezd2framez75_11789); 
BgL_tmpz00_24561 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13981, BgL_tmpz00_24561, BgL_auxz00_24563); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24566;
BgL_tmpz00_24566 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13981, BgL_tmpz00_24566, BgL_runz00_13976); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24571;int BgL_tmpz00_24569;
BgL_auxz00_24571 = 
BINT(((long)-3)); 
BgL_tmpz00_24569 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13981, BgL_tmpz00_24569, BgL_auxz00_24571); } 
BgL_arg3328z00_13979 = BgL_newz00_13981; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13977, BgL_arg3328z00_13979); BgL_arg3328z00_13979; } 
return BgL_mainz00_13977;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5120 */
obj_t BGl_z62main5120z62zz__evaluate_compz00(obj_t BgL_envz00_11791, obj_t BgL_cz00_11796, obj_t BgL_dz00_11797, obj_t BgL_lastz00_11798)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11794;long BgL_siza7ezd2framez75_11795;
BgL_runz00_11794 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11791, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11795 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11791, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13982;
BgL_sz00_13982 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13983;
BgL_bpz00_13983 = 
VECTOR_REF(
((obj_t)BgL_sz00_13982),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13982, BgL_bpz00_13983, 
BINT(BgL_siza7ezd2framez75_11795)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3332z00_13984;
BgL_arg3332z00_13984 = 
(
(long)CINT(BgL_bpz00_13983)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13982),BgL_arg3332z00_13984,BgL_cz00_11796); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3333z00_13985;
BgL_arg3333z00_13985 = 
(
(long)CINT(BgL_bpz00_13983)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13982),BgL_arg3333z00_13985,BgL_dz00_11797); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3334z00_13986;
BgL_arg3334z00_13986 = 
(
(long)CINT(BgL_bpz00_13983)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13982),BgL_arg3334z00_13986,BgL_lastz00_11798); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13987;
BgL_ez00_13987 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13987, BgL_bpz00_13983); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13988;
BgL_accz00_13988 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11794, BgL_sz00_13982, BgL_bpz00_13983); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13987); 
VECTOR_SET(
((obj_t)BgL_sz00_13982),((long)0),BgL_bpz00_13983); 
return BgL_accz00_13988;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13989;
BgL_nsz00_13989 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13989,((long)1),BgL_sz00_13982); 
VECTOR_SET(BgL_nsz00_13989,((long)2),BgL_cz00_11796); 
VECTOR_SET(BgL_nsz00_13989,((long)3),BgL_dz00_11797); 
VECTOR_SET(BgL_nsz00_13989,((long)4),BgL_lastz00_11798); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13990;
BgL_z12denvz12_13990 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13990, BgL_nsz00_13989); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13991;
BgL_ez00_13991 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13991, BgL_sz00_13982); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13992;
BgL_____rz00_13992 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11794, BgL_nsz00_13989, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13991); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13990, BgL_sz00_13982); 
return BgL_____rz00_13992;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5121 */
obj_t BGl_z62run5121z62zz__evaluate_compz00(obj_t BgL_envz00_11799, obj_t BgL_sz00_11802)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11800;obj_t BgL_bodyz00_11801;
BgL_i1242z00_11800 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11799, 
(int)(((long)0)))); 
BgL_bodyz00_11801 = 
PROCEDURE_REF(BgL_envz00_11799, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13993;
BgL_bpz00_13993 = 
VECTOR_REF(
((obj_t)BgL_sz00_11802),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13994;obj_t BgL_wherez00_13995;obj_t BgL_locz00_13996;
BgL_z12denvz12_13994 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13995 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11800))->BgL_wherez00); 
BgL_locz00_13996 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11800))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13994, BgL_wherez00_13995, BgL_locz00_13996); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13997;
BgL_za2za2resza2za2z00_13997 = 
PROCEDURE_ENTRY(BgL_bodyz00_11801)(BgL_bodyz00_11801, BgL_sz00_11802, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13994); 
return BgL_za2za2resza2za2z00_13997;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3336> */
obj_t BGl_z62zc3anonymousza33336ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11803, obj_t BgL_sz00_11808)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11804;BgL_ev_absz00_bglt BgL_i1242z00_11805;obj_t BgL_bodyz00_11806;long BgL_siza7ezd2framez75_11807;
BgL_iboxesz00_11804 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11803, 
(int)(((long)0)))); 
BgL_i1242z00_11805 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11803, 
(int)(((long)1)))); 
BgL_bodyz00_11806 = 
PROCEDURE_REF(BgL_envz00_11803, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11807 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11803, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13998;
BgL_bpz00_13998 = 
VECTOR_REF(
((obj_t)BgL_sz00_11808),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13999;
BgL_runz00_13999 = 
MAKE_FX_PROCEDURE(BGl_z62run5123z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13999, 
(int)(((long)0)), BgL_iboxesz00_11804); 
PROCEDURE_SET(BgL_runz00_13999, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11805)); 
PROCEDURE_SET(BgL_runz00_13999, 
(int)(((long)2)), BgL_bodyz00_11806); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14000;
BgL_mainz00_14000 = 
MAKE_VA_PROCEDURE(BGl_z62main5122z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14000, 
(int)(((long)0)), BgL_iboxesz00_11804); 
PROCEDURE_SET(BgL_mainz00_14000, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11805)); 
PROCEDURE_SET(BgL_mainz00_14000, 
(int)(((long)2)), BgL_bodyz00_11806); 
PROCEDURE_SET(BgL_mainz00_14000, 
(int)(((long)3)), BgL_runz00_13999); 
PROCEDURE_SET(BgL_mainz00_14000, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11807)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14001;
BgL_objz00_14001 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13999, BgL_objz00_14001); BgL_objz00_14001; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3337z00_14002;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3338z00_14003;
BgL_arg3338z00_14003 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11805))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14004;
BgL_newz00_14004 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24676;
BgL_tmpz00_24676 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14004, BgL_tmpz00_24676, BgL_arg3338z00_14003); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24681;int BgL_tmpz00_24679;
BgL_auxz00_24681 = 
BINT(BgL_siza7ezd2framez75_11807); 
BgL_tmpz00_24679 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14004, BgL_tmpz00_24679, BgL_auxz00_24681); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24684;
BgL_tmpz00_24684 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14004, BgL_tmpz00_24684, BgL_runz00_13999); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24689;int BgL_tmpz00_24687;
BgL_auxz00_24689 = 
BINT(((long)-3)); 
BgL_tmpz00_24687 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14004, BgL_tmpz00_24687, BgL_auxz00_24689); } 
BgL_arg3337z00_14002 = BgL_newz00_14004; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14000, BgL_arg3337z00_14002); BgL_arg3337z00_14002; } 
return BgL_mainz00_14000;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5122 */
obj_t BGl_z62main5122z62zz__evaluate_compz00(obj_t BgL_envz00_11809, obj_t BgL_cz00_11815, obj_t BgL_dz00_11816, obj_t BgL_lastz00_11817)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11813;long BgL_siza7ezd2framez75_11814;
BgL_runz00_11813 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11809, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11814 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11809, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14005;
BgL_sz00_14005 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14006;
BgL_bpz00_14006 = 
VECTOR_REF(
((obj_t)BgL_sz00_14005),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14005, BgL_bpz00_14006, 
BINT(BgL_siza7ezd2framez75_11814)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3341z00_14007;
BgL_arg3341z00_14007 = 
(
(long)CINT(BgL_bpz00_14006)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14005),BgL_arg3341z00_14007,BgL_cz00_11815); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3342z00_14008;
BgL_arg3342z00_14008 = 
(
(long)CINT(BgL_bpz00_14006)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14005),BgL_arg3342z00_14008,BgL_dz00_11816); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3343z00_14009;
BgL_arg3343z00_14009 = 
(
(long)CINT(BgL_bpz00_14006)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14005),BgL_arg3343z00_14009,BgL_lastz00_11817); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14010;
BgL_ez00_14010 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14010, BgL_bpz00_14006); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14011;
BgL_accz00_14011 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11813, BgL_sz00_14005, BgL_bpz00_14006); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14010); 
VECTOR_SET(
((obj_t)BgL_sz00_14005),((long)0),BgL_bpz00_14006); 
return BgL_accz00_14011;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14012;
BgL_nsz00_14012 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14012,((long)1),BgL_sz00_14005); 
VECTOR_SET(BgL_nsz00_14012,((long)2),BgL_cz00_11815); 
VECTOR_SET(BgL_nsz00_14012,((long)3),BgL_dz00_11816); 
VECTOR_SET(BgL_nsz00_14012,((long)4),BgL_lastz00_11817); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14013;
BgL_z12denvz12_14013 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14013, BgL_nsz00_14012); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14014;
BgL_ez00_14014 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14014, BgL_sz00_14005); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14015;
BgL_____rz00_14015 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11813, BgL_nsz00_14012, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14014); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14013, BgL_sz00_14005); 
return BgL_____rz00_14015;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5123 */
obj_t BGl_z62run5123z62zz__evaluate_compz00(obj_t BgL_envz00_11818, obj_t BgL_sz00_11822)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11819;BgL_ev_absz00_bglt BgL_i1242z00_11820;obj_t BgL_bodyz00_11821;
BgL_iboxesz00_11819 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11818, 
(int)(((long)0)))); 
BgL_i1242z00_11820 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11818, 
(int)(((long)1)))); 
BgL_bodyz00_11821 = 
PROCEDURE_REF(BgL_envz00_11818, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14016;
BgL_bpz00_14016 = 
VECTOR_REF(
((obj_t)BgL_sz00_11822),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11822, BgL_iboxesz00_11819, BgL_bpz00_14016); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14017;obj_t BgL_wherez00_14018;obj_t BgL_locz00_14019;
BgL_z12denvz12_14017 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14018 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11820))->BgL_wherez00); 
BgL_locz00_14019 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11820))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14017, BgL_wherez00_14018, BgL_locz00_14019); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14020;
BgL_za2za2resza2za2z00_14020 = 
PROCEDURE_ENTRY(BgL_bodyz00_11821)(BgL_bodyz00_11821, BgL_sz00_11822, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14017); 
return BgL_za2za2resza2za2z00_14020;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3348> */
obj_t BGl_z62zc3anonymousza33348ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11823, obj_t BgL_sz00_11829)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11824;long BgL_siza7eza7_11825;BgL_ev_absz00_bglt BgL_i1242z00_11826;obj_t BgL_bodyz00_11827;long BgL_siza7ezd2framez75_11828;
BgL_ifreesz00_11824 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11823, 
(int)(((long)0)))); 
BgL_siza7eza7_11825 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11823, 
(int)(((long)1)))); 
BgL_i1242z00_11826 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11823, 
(int)(((long)2)))); 
BgL_bodyz00_11827 = 
PROCEDURE_REF(BgL_envz00_11823, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11828 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11823, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14021;
BgL_bpz00_14021 = 
VECTOR_REF(
((obj_t)BgL_sz00_11829),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14022;
BgL_valza2za2_14022 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11829, BgL_bpz00_14021, BgL_ifreesz00_11824); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14023;
BgL_runz00_14023 = 
MAKE_FX_PROCEDURE(BGl_z62run5125z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14023, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11825)); 
PROCEDURE_SET(BgL_runz00_14023, 
(int)(((long)1)), BgL_valza2za2_14022); 
PROCEDURE_SET(BgL_runz00_14023, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11826)); 
PROCEDURE_SET(BgL_runz00_14023, 
(int)(((long)3)), BgL_bodyz00_11827); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14024;
BgL_mainz00_14024 = 
MAKE_VA_PROCEDURE(BGl_z62main5124z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14024, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11825)); 
PROCEDURE_SET(BgL_mainz00_14024, 
(int)(((long)1)), BgL_valza2za2_14022); 
PROCEDURE_SET(BgL_mainz00_14024, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11826)); 
PROCEDURE_SET(BgL_mainz00_14024, 
(int)(((long)3)), BgL_bodyz00_11827); 
PROCEDURE_SET(BgL_mainz00_14024, 
(int)(((long)4)), BgL_runz00_14023); 
PROCEDURE_SET(BgL_mainz00_14024, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11828)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14025;
BgL_objz00_14025 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14023, BgL_objz00_14025); BgL_objz00_14025; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3349z00_14026;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3350z00_14027;
BgL_arg3350z00_14027 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11826))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14028;
BgL_newz00_14028 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24808;
BgL_tmpz00_24808 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14028, BgL_tmpz00_24808, BgL_arg3350z00_14027); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24813;int BgL_tmpz00_24811;
BgL_auxz00_24813 = 
BINT(BgL_siza7ezd2framez75_11828); 
BgL_tmpz00_24811 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14028, BgL_tmpz00_24811, BgL_auxz00_24813); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24816;
BgL_tmpz00_24816 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14028, BgL_tmpz00_24816, BgL_runz00_14023); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24821;int BgL_tmpz00_24819;
BgL_auxz00_24821 = 
BINT(((long)-3)); 
BgL_tmpz00_24819 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14028, BgL_tmpz00_24819, BgL_auxz00_24821); } 
BgL_arg3349z00_14026 = BgL_newz00_14028; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14024, BgL_arg3349z00_14026); BgL_arg3349z00_14026; } 
return BgL_mainz00_14024;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5124 */
obj_t BGl_z62main5124z62zz__evaluate_compz00(obj_t BgL_envz00_11830, obj_t BgL_cz00_11837, obj_t BgL_dz00_11838, obj_t BgL_lastz00_11839)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11835;long BgL_siza7ezd2framez75_11836;
BgL_runz00_11835 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11830, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11836 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11830, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14029;
BgL_sz00_14029 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14030;
BgL_bpz00_14030 = 
VECTOR_REF(
((obj_t)BgL_sz00_14029),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14029, BgL_bpz00_14030, 
BINT(BgL_siza7ezd2framez75_11836)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3353z00_14031;
BgL_arg3353z00_14031 = 
(
(long)CINT(BgL_bpz00_14030)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14029),BgL_arg3353z00_14031,BgL_cz00_11837); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3354z00_14032;
BgL_arg3354z00_14032 = 
(
(long)CINT(BgL_bpz00_14030)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14029),BgL_arg3354z00_14032,BgL_dz00_11838); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3355z00_14033;
BgL_arg3355z00_14033 = 
(
(long)CINT(BgL_bpz00_14030)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14029),BgL_arg3355z00_14033,BgL_lastz00_11839); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14034;
BgL_ez00_14034 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14034, BgL_bpz00_14030); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14035;
BgL_accz00_14035 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11835, BgL_sz00_14029, BgL_bpz00_14030); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14034); 
VECTOR_SET(
((obj_t)BgL_sz00_14029),((long)0),BgL_bpz00_14030); 
return BgL_accz00_14035;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14036;
BgL_nsz00_14036 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14036,((long)1),BgL_sz00_14029); 
VECTOR_SET(BgL_nsz00_14036,((long)2),BgL_cz00_11837); 
VECTOR_SET(BgL_nsz00_14036,((long)3),BgL_dz00_11838); 
VECTOR_SET(BgL_nsz00_14036,((long)4),BgL_lastz00_11839); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14037;
BgL_z12denvz12_14037 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14037, BgL_nsz00_14036); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14038;
BgL_ez00_14038 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14038, BgL_sz00_14029); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14039;
BgL_____rz00_14039 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11835, BgL_nsz00_14036, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14038); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14037, BgL_sz00_14029); 
return BgL_____rz00_14039;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5125 */
obj_t BGl_z62run5125z62zz__evaluate_compz00(obj_t BgL_envz00_11840, obj_t BgL_sz00_11845)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11841;obj_t BgL_valza2za2_11842;BgL_ev_absz00_bglt BgL_i1242z00_11843;obj_t BgL_bodyz00_11844;
BgL_siza7eza7_11841 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11840, 
(int)(((long)0)))); 
BgL_valza2za2_11842 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11840, 
(int)(((long)1)))); 
BgL_i1242z00_11843 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11840, 
(int)(((long)2)))); 
BgL_bodyz00_11844 = 
PROCEDURE_REF(BgL_envz00_11840, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14040;
BgL_bpz00_14040 = 
VECTOR_REF(
((obj_t)BgL_sz00_11845),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11845, BgL_valza2za2_11842, 
(
(long)CINT(BgL_bpz00_14040)+BgL_siza7eza7_11841)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14041;obj_t BgL_wherez00_14042;obj_t BgL_locz00_14043;
BgL_z12denvz12_14041 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14042 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11843))->BgL_wherez00); 
BgL_locz00_14043 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11843))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14041, BgL_wherez00_14042, BgL_locz00_14043); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14044;
BgL_za2za2resza2za2z00_14044 = 
PROCEDURE_ENTRY(BgL_bodyz00_11844)(BgL_bodyz00_11844, BgL_sz00_11845, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14041); 
return BgL_za2za2resza2za2z00_14044;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3358> */
obj_t BGl_z62zc3anonymousza33358ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11846, obj_t BgL_sz00_11853)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11847;obj_t BgL_iboxesz00_11848;long BgL_siza7eza7_11849;BgL_ev_absz00_bglt BgL_i1242z00_11850;obj_t BgL_bodyz00_11851;long BgL_siza7ezd2framez75_11852;
BgL_ifreesz00_11847 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11846, 
(int)(((long)0)))); 
BgL_iboxesz00_11848 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11846, 
(int)(((long)1)))); 
BgL_siza7eza7_11849 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11846, 
(int)(((long)2)))); 
BgL_i1242z00_11850 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11846, 
(int)(((long)3)))); 
BgL_bodyz00_11851 = 
PROCEDURE_REF(BgL_envz00_11846, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11852 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11846, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14045;
BgL_bpz00_14045 = 
VECTOR_REF(
((obj_t)BgL_sz00_11853),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14046;
BgL_valza2za2_14046 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11853, BgL_bpz00_14045, BgL_ifreesz00_11847); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14047;
BgL_runz00_14047 = 
MAKE_FX_PROCEDURE(BGl_z62run5127z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14047, 
(int)(((long)0)), BgL_iboxesz00_11848); 
PROCEDURE_SET(BgL_runz00_14047, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11849)); 
PROCEDURE_SET(BgL_runz00_14047, 
(int)(((long)2)), BgL_valza2za2_14046); 
PROCEDURE_SET(BgL_runz00_14047, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11850)); 
PROCEDURE_SET(BgL_runz00_14047, 
(int)(((long)4)), BgL_bodyz00_11851); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14048;
BgL_mainz00_14048 = 
MAKE_VA_PROCEDURE(BGl_z62main5126z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14048, 
(int)(((long)0)), BgL_iboxesz00_11848); 
PROCEDURE_SET(BgL_mainz00_14048, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11849)); 
PROCEDURE_SET(BgL_mainz00_14048, 
(int)(((long)2)), BgL_valza2za2_14046); 
PROCEDURE_SET(BgL_mainz00_14048, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11850)); 
PROCEDURE_SET(BgL_mainz00_14048, 
(int)(((long)4)), BgL_bodyz00_11851); 
PROCEDURE_SET(BgL_mainz00_14048, 
(int)(((long)5)), BgL_runz00_14047); 
PROCEDURE_SET(BgL_mainz00_14048, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11852)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14049;
BgL_objz00_14049 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14047, BgL_objz00_14049); BgL_objz00_14049; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3359z00_14050;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3360z00_14051;
BgL_arg3360z00_14051 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11850))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14052;
BgL_newz00_14052 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24952;
BgL_tmpz00_24952 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14052, BgL_tmpz00_24952, BgL_arg3360z00_14051); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24957;int BgL_tmpz00_24955;
BgL_auxz00_24957 = 
BINT(BgL_siza7ezd2framez75_11852); 
BgL_tmpz00_24955 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14052, BgL_tmpz00_24955, BgL_auxz00_24957); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24960;
BgL_tmpz00_24960 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14052, BgL_tmpz00_24960, BgL_runz00_14047); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24965;int BgL_tmpz00_24963;
BgL_auxz00_24965 = 
BINT(((long)-3)); 
BgL_tmpz00_24963 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14052, BgL_tmpz00_24963, BgL_auxz00_24965); } 
BgL_arg3359z00_14050 = BgL_newz00_14052; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14048, BgL_arg3359z00_14050); BgL_arg3359z00_14050; } 
return BgL_mainz00_14048;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5126 */
obj_t BGl_z62main5126z62zz__evaluate_compz00(obj_t BgL_envz00_11854, obj_t BgL_cz00_11862, obj_t BgL_dz00_11863, obj_t BgL_lastz00_11864)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11860;long BgL_siza7ezd2framez75_11861;
BgL_runz00_11860 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11854, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11861 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11854, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14053;
BgL_sz00_14053 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14054;
BgL_bpz00_14054 = 
VECTOR_REF(
((obj_t)BgL_sz00_14053),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14053, BgL_bpz00_14054, 
BINT(BgL_siza7ezd2framez75_11861)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3363z00_14055;
BgL_arg3363z00_14055 = 
(
(long)CINT(BgL_bpz00_14054)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14053),BgL_arg3363z00_14055,BgL_cz00_11862); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3364z00_14056;
BgL_arg3364z00_14056 = 
(
(long)CINT(BgL_bpz00_14054)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14053),BgL_arg3364z00_14056,BgL_dz00_11863); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3365z00_14057;
BgL_arg3365z00_14057 = 
(
(long)CINT(BgL_bpz00_14054)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14053),BgL_arg3365z00_14057,BgL_lastz00_11864); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14058;
BgL_ez00_14058 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14058, BgL_bpz00_14054); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14059;
BgL_accz00_14059 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11860, BgL_sz00_14053, BgL_bpz00_14054); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14058); 
VECTOR_SET(
((obj_t)BgL_sz00_14053),((long)0),BgL_bpz00_14054); 
return BgL_accz00_14059;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14060;
BgL_nsz00_14060 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14060,((long)1),BgL_sz00_14053); 
VECTOR_SET(BgL_nsz00_14060,((long)2),BgL_cz00_11862); 
VECTOR_SET(BgL_nsz00_14060,((long)3),BgL_dz00_11863); 
VECTOR_SET(BgL_nsz00_14060,((long)4),BgL_lastz00_11864); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14061;
BgL_z12denvz12_14061 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14061, BgL_nsz00_14060); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14062;
BgL_ez00_14062 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14062, BgL_sz00_14053); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14063;
BgL_____rz00_14063 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11860, BgL_nsz00_14060, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14062); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14061, BgL_sz00_14053); 
return BgL_____rz00_14063;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5127 */
obj_t BGl_z62run5127z62zz__evaluate_compz00(obj_t BgL_envz00_11865, obj_t BgL_sz00_11871)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11866;long BgL_siza7eza7_11867;obj_t BgL_valza2za2_11868;BgL_ev_absz00_bglt BgL_i1242z00_11869;obj_t BgL_bodyz00_11870;
BgL_iboxesz00_11866 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11865, 
(int)(((long)0)))); 
BgL_siza7eza7_11867 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11865, 
(int)(((long)1)))); 
BgL_valza2za2_11868 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11865, 
(int)(((long)2)))); 
BgL_i1242z00_11869 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11865, 
(int)(((long)3)))); 
BgL_bodyz00_11870 = 
PROCEDURE_REF(BgL_envz00_11865, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14064;
BgL_bpz00_14064 = 
VECTOR_REF(
((obj_t)BgL_sz00_11871),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11871, BgL_iboxesz00_11866, BgL_bpz00_14064); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11871, BgL_valza2za2_11868, 
(
(long)CINT(BgL_bpz00_14064)+BgL_siza7eza7_11867)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14065;obj_t BgL_wherez00_14066;obj_t BgL_locz00_14067;
BgL_z12denvz12_14065 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14066 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11869))->BgL_wherez00); 
BgL_locz00_14067 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11869))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14065, BgL_wherez00_14066, BgL_locz00_14067); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14068;
BgL_za2za2resza2za2z00_14068 = 
PROCEDURE_ENTRY(BgL_bodyz00_11870)(BgL_bodyz00_11870, BgL_sz00_11871, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14065); 
return BgL_za2za2resza2za2z00_14068;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3284> */
obj_t BGl_z62zc3anonymousza33284ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11872, obj_t BgL_sz00_11876)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11873;obj_t BgL_bodyz00_11874;long BgL_siza7ezd2framez75_11875;
BgL_i1242z00_11873 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11872, 
(int)(((long)0)))); 
BgL_bodyz00_11874 = 
PROCEDURE_REF(BgL_envz00_11872, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11875 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11872, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14069;
BgL_bpz00_14069 = 
VECTOR_REF(
((obj_t)BgL_sz00_11876),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14070;
BgL_runz00_14070 = 
MAKE_FX_PROCEDURE(BGl_z62run5129z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14070, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11873)); 
PROCEDURE_SET(BgL_runz00_14070, 
(int)(((long)1)), BgL_bodyz00_11874); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14071;
BgL_mainz00_14071 = 
MAKE_FX_PROCEDURE(BGl_z62main5128z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14071, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11873)); 
PROCEDURE_SET(BgL_mainz00_14071, 
(int)(((long)1)), BgL_bodyz00_11874); 
PROCEDURE_SET(BgL_mainz00_14071, 
(int)(((long)2)), BgL_runz00_14070); 
PROCEDURE_SET(BgL_mainz00_14071, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11875)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14072;
BgL_objz00_14072 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14070, BgL_objz00_14072); BgL_objz00_14072; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3285z00_14073;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3286z00_14074;
BgL_arg3286z00_14074 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11873))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14075;
BgL_newz00_14075 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25076;
BgL_tmpz00_25076 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14075, BgL_tmpz00_25076, BgL_arg3286z00_14074); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25081;int BgL_tmpz00_25079;
BgL_auxz00_25081 = 
BINT(BgL_siza7ezd2framez75_11875); 
BgL_tmpz00_25079 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14075, BgL_tmpz00_25079, BgL_auxz00_25081); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25084;
BgL_tmpz00_25084 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14075, BgL_tmpz00_25084, BgL_runz00_14070); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25089;int BgL_tmpz00_25087;
BgL_auxz00_25089 = 
BINT(((long)2)); 
BgL_tmpz00_25087 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14075, BgL_tmpz00_25087, BgL_auxz00_25089); } 
BgL_arg3285z00_14073 = BgL_newz00_14075; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14071, BgL_arg3285z00_14073); BgL_arg3285z00_14073; } 
return BgL_mainz00_14071;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5128 */
obj_t BGl_z62main5128z62zz__evaluate_compz00(obj_t BgL_envz00_11877, obj_t BgL_cz00_11882, obj_t BgL_dz00_11883)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11880;long BgL_siza7ezd2framez75_11881;
BgL_runz00_11880 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11877, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11881 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11877, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14076;
BgL_sz00_14076 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14077;
BgL_bpz00_14077 = 
VECTOR_REF(
((obj_t)BgL_sz00_14076),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14076, BgL_bpz00_14077, 
BINT(BgL_siza7ezd2framez75_11881)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3289z00_14078;
BgL_arg3289z00_14078 = 
(
(long)CINT(BgL_bpz00_14077)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14076),BgL_arg3289z00_14078,BgL_cz00_11882); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3290z00_14079;
BgL_arg3290z00_14079 = 
(
(long)CINT(BgL_bpz00_14077)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14076),BgL_arg3290z00_14079,BgL_dz00_11883); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14080;
BgL_ez00_14080 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14080, BgL_bpz00_14077); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14081;
BgL_accz00_14081 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11880, BgL_sz00_14076, BgL_bpz00_14077); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14080); 
VECTOR_SET(
((obj_t)BgL_sz00_14076),((long)0),BgL_bpz00_14077); 
return BgL_accz00_14081;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14082;
BgL_nsz00_14082 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14082,((long)1),BgL_sz00_14076); 
VECTOR_SET(BgL_nsz00_14082,((long)2),BgL_cz00_11882); 
VECTOR_SET(BgL_nsz00_14082,((long)3),BgL_dz00_11883); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14083;
BgL_z12denvz12_14083 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14083, BgL_nsz00_14082); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14084;
BgL_ez00_14084 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14084, BgL_sz00_14076); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14085;
BgL_____rz00_14085 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11880, BgL_nsz00_14082, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14084); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14083, BgL_sz00_14076); 
return BgL_____rz00_14085;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5129 */
obj_t BGl_z62run5129z62zz__evaluate_compz00(obj_t BgL_envz00_11884, obj_t BgL_sz00_11887)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11885;obj_t BgL_bodyz00_11886;
BgL_i1242z00_11885 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11884, 
(int)(((long)0)))); 
BgL_bodyz00_11886 = 
PROCEDURE_REF(BgL_envz00_11884, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14086;
BgL_bpz00_14086 = 
VECTOR_REF(
((obj_t)BgL_sz00_11887),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14087;obj_t BgL_wherez00_14088;obj_t BgL_locz00_14089;
BgL_z12denvz12_14087 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14088 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11885))->BgL_wherez00); 
BgL_locz00_14089 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11885))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14087, BgL_wherez00_14088, BgL_locz00_14089); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14090;
BgL_za2za2resza2za2z00_14090 = 
PROCEDURE_ENTRY(BgL_bodyz00_11886)(BgL_bodyz00_11886, BgL_sz00_11887, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14087); 
return BgL_za2za2resza2za2z00_14090;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3292> */
obj_t BGl_z62zc3anonymousza33292ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11888, obj_t BgL_sz00_11893)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11889;BgL_ev_absz00_bglt BgL_i1242z00_11890;obj_t BgL_bodyz00_11891;long BgL_siza7ezd2framez75_11892;
BgL_iboxesz00_11889 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11888, 
(int)(((long)0)))); 
BgL_i1242z00_11890 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11888, 
(int)(((long)1)))); 
BgL_bodyz00_11891 = 
PROCEDURE_REF(BgL_envz00_11888, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11892 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11888, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14091;
BgL_bpz00_14091 = 
VECTOR_REF(
((obj_t)BgL_sz00_11893),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14092;
BgL_runz00_14092 = 
MAKE_FX_PROCEDURE(BGl_z62run5131z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14092, 
(int)(((long)0)), BgL_iboxesz00_11889); 
PROCEDURE_SET(BgL_runz00_14092, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11890)); 
PROCEDURE_SET(BgL_runz00_14092, 
(int)(((long)2)), BgL_bodyz00_11891); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14093;
BgL_mainz00_14093 = 
MAKE_FX_PROCEDURE(BGl_z62main5130z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14093, 
(int)(((long)0)), BgL_iboxesz00_11889); 
PROCEDURE_SET(BgL_mainz00_14093, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11890)); 
PROCEDURE_SET(BgL_mainz00_14093, 
(int)(((long)2)), BgL_bodyz00_11891); 
PROCEDURE_SET(BgL_mainz00_14093, 
(int)(((long)3)), BgL_runz00_14092); 
PROCEDURE_SET(BgL_mainz00_14093, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11892)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14094;
BgL_objz00_14094 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14092, BgL_objz00_14094); BgL_objz00_14094; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3293z00_14095;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3294z00_14096;
BgL_arg3294z00_14096 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11890))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14097;
BgL_newz00_14097 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25189;
BgL_tmpz00_25189 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14097, BgL_tmpz00_25189, BgL_arg3294z00_14096); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25194;int BgL_tmpz00_25192;
BgL_auxz00_25194 = 
BINT(BgL_siza7ezd2framez75_11892); 
BgL_tmpz00_25192 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14097, BgL_tmpz00_25192, BgL_auxz00_25194); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25197;
BgL_tmpz00_25197 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14097, BgL_tmpz00_25197, BgL_runz00_14092); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25202;int BgL_tmpz00_25200;
BgL_auxz00_25202 = 
BINT(((long)2)); 
BgL_tmpz00_25200 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14097, BgL_tmpz00_25200, BgL_auxz00_25202); } 
BgL_arg3293z00_14095 = BgL_newz00_14097; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14093, BgL_arg3293z00_14095); BgL_arg3293z00_14095; } 
return BgL_mainz00_14093;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5130 */
obj_t BGl_z62main5130z62zz__evaluate_compz00(obj_t BgL_envz00_11894, obj_t BgL_cz00_11900, obj_t BgL_dz00_11901)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11898;long BgL_siza7ezd2framez75_11899;
BgL_runz00_11898 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11894, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11899 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11894, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14098;
BgL_sz00_14098 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14099;
BgL_bpz00_14099 = 
VECTOR_REF(
((obj_t)BgL_sz00_14098),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14098, BgL_bpz00_14099, 
BINT(BgL_siza7ezd2framez75_11899)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3297z00_14100;
BgL_arg3297z00_14100 = 
(
(long)CINT(BgL_bpz00_14099)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14098),BgL_arg3297z00_14100,BgL_cz00_11900); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3298z00_14101;
BgL_arg3298z00_14101 = 
(
(long)CINT(BgL_bpz00_14099)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14098),BgL_arg3298z00_14101,BgL_dz00_11901); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14102;
BgL_ez00_14102 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14102, BgL_bpz00_14099); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14103;
BgL_accz00_14103 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11898, BgL_sz00_14098, BgL_bpz00_14099); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14102); 
VECTOR_SET(
((obj_t)BgL_sz00_14098),((long)0),BgL_bpz00_14099); 
return BgL_accz00_14103;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14104;
BgL_nsz00_14104 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14104,((long)1),BgL_sz00_14098); 
VECTOR_SET(BgL_nsz00_14104,((long)2),BgL_cz00_11900); 
VECTOR_SET(BgL_nsz00_14104,((long)3),BgL_dz00_11901); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14105;
BgL_z12denvz12_14105 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14105, BgL_nsz00_14104); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14106;
BgL_ez00_14106 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14106, BgL_sz00_14098); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14107;
BgL_____rz00_14107 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11898, BgL_nsz00_14104, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14106); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14105, BgL_sz00_14098); 
return BgL_____rz00_14107;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5131 */
obj_t BGl_z62run5131z62zz__evaluate_compz00(obj_t BgL_envz00_11902, obj_t BgL_sz00_11906)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11903;BgL_ev_absz00_bglt BgL_i1242z00_11904;obj_t BgL_bodyz00_11905;
BgL_iboxesz00_11903 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11902, 
(int)(((long)0)))); 
BgL_i1242z00_11904 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11902, 
(int)(((long)1)))); 
BgL_bodyz00_11905 = 
PROCEDURE_REF(BgL_envz00_11902, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14108;
BgL_bpz00_14108 = 
VECTOR_REF(
((obj_t)BgL_sz00_11906),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11906, BgL_iboxesz00_11903, BgL_bpz00_14108); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14109;obj_t BgL_wherez00_14110;obj_t BgL_locz00_14111;
BgL_z12denvz12_14109 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14110 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11904))->BgL_wherez00); 
BgL_locz00_14111 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11904))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14109, BgL_wherez00_14110, BgL_locz00_14111); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14112;
BgL_za2za2resza2za2z00_14112 = 
PROCEDURE_ENTRY(BgL_bodyz00_11905)(BgL_bodyz00_11905, BgL_sz00_11906, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14109); 
return BgL_za2za2resza2za2z00_14112;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3303> */
obj_t BGl_z62zc3anonymousza33303ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11907, obj_t BgL_sz00_11913)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11908;long BgL_siza7eza7_11909;BgL_ev_absz00_bglt BgL_i1242z00_11910;obj_t BgL_bodyz00_11911;long BgL_siza7ezd2framez75_11912;
BgL_ifreesz00_11908 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11907, 
(int)(((long)0)))); 
BgL_siza7eza7_11909 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11907, 
(int)(((long)1)))); 
BgL_i1242z00_11910 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11907, 
(int)(((long)2)))); 
BgL_bodyz00_11911 = 
PROCEDURE_REF(BgL_envz00_11907, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11912 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11907, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14113;
BgL_bpz00_14113 = 
VECTOR_REF(
((obj_t)BgL_sz00_11913),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14114;
BgL_valza2za2_14114 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11913, BgL_bpz00_14113, BgL_ifreesz00_11908); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14115;
BgL_runz00_14115 = 
MAKE_FX_PROCEDURE(BGl_z62run5133z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14115, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11909)); 
PROCEDURE_SET(BgL_runz00_14115, 
(int)(((long)1)), BgL_valza2za2_14114); 
PROCEDURE_SET(BgL_runz00_14115, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11910)); 
PROCEDURE_SET(BgL_runz00_14115, 
(int)(((long)3)), BgL_bodyz00_11911); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14116;
BgL_mainz00_14116 = 
MAKE_FX_PROCEDURE(BGl_z62main5132z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14116, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11909)); 
PROCEDURE_SET(BgL_mainz00_14116, 
(int)(((long)1)), BgL_valza2za2_14114); 
PROCEDURE_SET(BgL_mainz00_14116, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11910)); 
PROCEDURE_SET(BgL_mainz00_14116, 
(int)(((long)3)), BgL_bodyz00_11911); 
PROCEDURE_SET(BgL_mainz00_14116, 
(int)(((long)4)), BgL_runz00_14115); 
PROCEDURE_SET(BgL_mainz00_14116, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11912)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14117;
BgL_objz00_14117 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14115, BgL_objz00_14117); BgL_objz00_14117; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3304z00_14118;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3305z00_14119;
BgL_arg3305z00_14119 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11910))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14120;
BgL_newz00_14120 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25316;
BgL_tmpz00_25316 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14120, BgL_tmpz00_25316, BgL_arg3305z00_14119); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25321;int BgL_tmpz00_25319;
BgL_auxz00_25321 = 
BINT(BgL_siza7ezd2framez75_11912); 
BgL_tmpz00_25319 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14120, BgL_tmpz00_25319, BgL_auxz00_25321); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25324;
BgL_tmpz00_25324 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14120, BgL_tmpz00_25324, BgL_runz00_14115); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25329;int BgL_tmpz00_25327;
BgL_auxz00_25329 = 
BINT(((long)2)); 
BgL_tmpz00_25327 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14120, BgL_tmpz00_25327, BgL_auxz00_25329); } 
BgL_arg3304z00_14118 = BgL_newz00_14120; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14116, BgL_arg3304z00_14118); BgL_arg3304z00_14118; } 
return BgL_mainz00_14116;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5132 */
obj_t BGl_z62main5132z62zz__evaluate_compz00(obj_t BgL_envz00_11914, obj_t BgL_cz00_11921, obj_t BgL_dz00_11922)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11919;long BgL_siza7ezd2framez75_11920;
BgL_runz00_11919 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11914, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11920 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11914, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14121;
BgL_sz00_14121 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14122;
BgL_bpz00_14122 = 
VECTOR_REF(
((obj_t)BgL_sz00_14121),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14121, BgL_bpz00_14122, 
BINT(BgL_siza7ezd2framez75_11920)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3308z00_14123;
BgL_arg3308z00_14123 = 
(
(long)CINT(BgL_bpz00_14122)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14121),BgL_arg3308z00_14123,BgL_cz00_11921); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3309z00_14124;
BgL_arg3309z00_14124 = 
(
(long)CINT(BgL_bpz00_14122)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14121),BgL_arg3309z00_14124,BgL_dz00_11922); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14125;
BgL_ez00_14125 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14125, BgL_bpz00_14122); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14126;
BgL_accz00_14126 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11919, BgL_sz00_14121, BgL_bpz00_14122); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14125); 
VECTOR_SET(
((obj_t)BgL_sz00_14121),((long)0),BgL_bpz00_14122); 
return BgL_accz00_14126;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14127;
BgL_nsz00_14127 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14127,((long)1),BgL_sz00_14121); 
VECTOR_SET(BgL_nsz00_14127,((long)2),BgL_cz00_11921); 
VECTOR_SET(BgL_nsz00_14127,((long)3),BgL_dz00_11922); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14128;
BgL_z12denvz12_14128 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14128, BgL_nsz00_14127); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14129;
BgL_ez00_14129 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14129, BgL_sz00_14121); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14130;
BgL_____rz00_14130 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11919, BgL_nsz00_14127, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14129); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14128, BgL_sz00_14121); 
return BgL_____rz00_14130;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5133 */
obj_t BGl_z62run5133z62zz__evaluate_compz00(obj_t BgL_envz00_11923, obj_t BgL_sz00_11928)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11924;obj_t BgL_valza2za2_11925;BgL_ev_absz00_bglt BgL_i1242z00_11926;obj_t BgL_bodyz00_11927;
BgL_siza7eza7_11924 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11923, 
(int)(((long)0)))); 
BgL_valza2za2_11925 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11923, 
(int)(((long)1)))); 
BgL_i1242z00_11926 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11923, 
(int)(((long)2)))); 
BgL_bodyz00_11927 = 
PROCEDURE_REF(BgL_envz00_11923, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14131;
BgL_bpz00_14131 = 
VECTOR_REF(
((obj_t)BgL_sz00_11928),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11928, BgL_valza2za2_11925, 
(
(long)CINT(BgL_bpz00_14131)+BgL_siza7eza7_11924)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14132;obj_t BgL_wherez00_14133;obj_t BgL_locz00_14134;
BgL_z12denvz12_14132 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14133 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11926))->BgL_wherez00); 
BgL_locz00_14134 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11926))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14132, BgL_wherez00_14133, BgL_locz00_14134); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14135;
BgL_za2za2resza2za2z00_14135 = 
PROCEDURE_ENTRY(BgL_bodyz00_11927)(BgL_bodyz00_11927, BgL_sz00_11928, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14132); 
return BgL_za2za2resza2za2z00_14135;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3312> */
obj_t BGl_z62zc3anonymousza33312ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11929, obj_t BgL_sz00_11936)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11930;obj_t BgL_iboxesz00_11931;long BgL_siza7eza7_11932;BgL_ev_absz00_bglt BgL_i1242z00_11933;obj_t BgL_bodyz00_11934;long BgL_siza7ezd2framez75_11935;
BgL_ifreesz00_11930 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11929, 
(int)(((long)0)))); 
BgL_iboxesz00_11931 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11929, 
(int)(((long)1)))); 
BgL_siza7eza7_11932 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11929, 
(int)(((long)2)))); 
BgL_i1242z00_11933 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11929, 
(int)(((long)3)))); 
BgL_bodyz00_11934 = 
PROCEDURE_REF(BgL_envz00_11929, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11935 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11929, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14136;
BgL_bpz00_14136 = 
VECTOR_REF(
((obj_t)BgL_sz00_11936),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14137;
BgL_valza2za2_14137 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11936, BgL_bpz00_14136, BgL_ifreesz00_11930); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14138;
BgL_runz00_14138 = 
MAKE_FX_PROCEDURE(BGl_z62run5135z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14138, 
(int)(((long)0)), BgL_iboxesz00_11931); 
PROCEDURE_SET(BgL_runz00_14138, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11932)); 
PROCEDURE_SET(BgL_runz00_14138, 
(int)(((long)2)), BgL_valza2za2_14137); 
PROCEDURE_SET(BgL_runz00_14138, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11933)); 
PROCEDURE_SET(BgL_runz00_14138, 
(int)(((long)4)), BgL_bodyz00_11934); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14139;
BgL_mainz00_14139 = 
MAKE_FX_PROCEDURE(BGl_z62main5134z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14139, 
(int)(((long)0)), BgL_iboxesz00_11931); 
PROCEDURE_SET(BgL_mainz00_14139, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11932)); 
PROCEDURE_SET(BgL_mainz00_14139, 
(int)(((long)2)), BgL_valza2za2_14137); 
PROCEDURE_SET(BgL_mainz00_14139, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_11933)); 
PROCEDURE_SET(BgL_mainz00_14139, 
(int)(((long)4)), BgL_bodyz00_11934); 
PROCEDURE_SET(BgL_mainz00_14139, 
(int)(((long)5)), BgL_runz00_14138); 
PROCEDURE_SET(BgL_mainz00_14139, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11935)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14140;
BgL_objz00_14140 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14138, BgL_objz00_14140); BgL_objz00_14140; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3313z00_14141;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3314z00_14142;
BgL_arg3314z00_14142 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11933))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14143;
BgL_newz00_14143 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25455;
BgL_tmpz00_25455 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14143, BgL_tmpz00_25455, BgL_arg3314z00_14142); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25460;int BgL_tmpz00_25458;
BgL_auxz00_25460 = 
BINT(BgL_siza7ezd2framez75_11935); 
BgL_tmpz00_25458 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14143, BgL_tmpz00_25458, BgL_auxz00_25460); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25463;
BgL_tmpz00_25463 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14143, BgL_tmpz00_25463, BgL_runz00_14138); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25468;int BgL_tmpz00_25466;
BgL_auxz00_25468 = 
BINT(((long)2)); 
BgL_tmpz00_25466 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14143, BgL_tmpz00_25466, BgL_auxz00_25468); } 
BgL_arg3313z00_14141 = BgL_newz00_14143; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14139, BgL_arg3313z00_14141); BgL_arg3313z00_14141; } 
return BgL_mainz00_14139;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5134 */
obj_t BGl_z62main5134z62zz__evaluate_compz00(obj_t BgL_envz00_11937, obj_t BgL_cz00_11945, obj_t BgL_dz00_11946)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11943;long BgL_siza7ezd2framez75_11944;
BgL_runz00_11943 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11937, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11944 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11937, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14144;
BgL_sz00_14144 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14145;
BgL_bpz00_14145 = 
VECTOR_REF(
((obj_t)BgL_sz00_14144),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14144, BgL_bpz00_14145, 
BINT(BgL_siza7ezd2framez75_11944)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3317z00_14146;
BgL_arg3317z00_14146 = 
(
(long)CINT(BgL_bpz00_14145)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14144),BgL_arg3317z00_14146,BgL_cz00_11945); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3318z00_14147;
BgL_arg3318z00_14147 = 
(
(long)CINT(BgL_bpz00_14145)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14144),BgL_arg3318z00_14147,BgL_dz00_11946); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14148;
BgL_ez00_14148 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14148, BgL_bpz00_14145); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14149;
BgL_accz00_14149 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11943, BgL_sz00_14144, BgL_bpz00_14145); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14148); 
VECTOR_SET(
((obj_t)BgL_sz00_14144),((long)0),BgL_bpz00_14145); 
return BgL_accz00_14149;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14150;
BgL_nsz00_14150 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14150,((long)1),BgL_sz00_14144); 
VECTOR_SET(BgL_nsz00_14150,((long)2),BgL_cz00_11945); 
VECTOR_SET(BgL_nsz00_14150,((long)3),BgL_dz00_11946); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14151;
BgL_z12denvz12_14151 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14151, BgL_nsz00_14150); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14152;
BgL_ez00_14152 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14152, BgL_sz00_14144); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14153;
BgL_____rz00_14153 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11943, BgL_nsz00_14150, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14152); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14151, BgL_sz00_14144); 
return BgL_____rz00_14153;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5135 */
obj_t BGl_z62run5135z62zz__evaluate_compz00(obj_t BgL_envz00_11947, obj_t BgL_sz00_11953)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11948;long BgL_siza7eza7_11949;obj_t BgL_valza2za2_11950;BgL_ev_absz00_bglt BgL_i1242z00_11951;obj_t BgL_bodyz00_11952;
BgL_iboxesz00_11948 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11947, 
(int)(((long)0)))); 
BgL_siza7eza7_11949 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11947, 
(int)(((long)1)))); 
BgL_valza2za2_11950 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11947, 
(int)(((long)2)))); 
BgL_i1242z00_11951 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11947, 
(int)(((long)3)))); 
BgL_bodyz00_11952 = 
PROCEDURE_REF(BgL_envz00_11947, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14154;
BgL_bpz00_14154 = 
VECTOR_REF(
((obj_t)BgL_sz00_11953),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11953, BgL_iboxesz00_11948, BgL_bpz00_14154); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11953, BgL_valza2za2_11950, 
(
(long)CINT(BgL_bpz00_14154)+BgL_siza7eza7_11949)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14155;obj_t BgL_wherez00_14156;obj_t BgL_locz00_14157;
BgL_z12denvz12_14155 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14156 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11951))->BgL_wherez00); 
BgL_locz00_14157 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11951))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14155, BgL_wherez00_14156, BgL_locz00_14157); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14158;
BgL_za2za2resza2za2z00_14158 = 
PROCEDURE_ENTRY(BgL_bodyz00_11952)(BgL_bodyz00_11952, BgL_sz00_11953, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14155); 
return BgL_za2za2resza2za2z00_14158;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3241> */
obj_t BGl_z62zc3anonymousza33241ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11954, obj_t BgL_sz00_11958)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11955;obj_t BgL_bodyz00_11956;long BgL_siza7ezd2framez75_11957;
BgL_i1242z00_11955 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11954, 
(int)(((long)0)))); 
BgL_bodyz00_11956 = 
PROCEDURE_REF(BgL_envz00_11954, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11957 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11954, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14159;
BgL_bpz00_14159 = 
VECTOR_REF(
((obj_t)BgL_sz00_11958),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14160;
BgL_runz00_14160 = 
MAKE_FX_PROCEDURE(BGl_z62run5137z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14160, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11955)); 
PROCEDURE_SET(BgL_runz00_14160, 
(int)(((long)1)), BgL_bodyz00_11956); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14161;
BgL_mainz00_14161 = 
MAKE_VA_PROCEDURE(BGl_z62main5136z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14161, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_11955)); 
PROCEDURE_SET(BgL_mainz00_14161, 
(int)(((long)1)), BgL_bodyz00_11956); 
PROCEDURE_SET(BgL_mainz00_14161, 
(int)(((long)2)), BgL_runz00_14160); 
PROCEDURE_SET(BgL_mainz00_14161, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11957)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14162;
BgL_objz00_14162 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14160, BgL_objz00_14162); BgL_objz00_14162; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3242z00_14163;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3243z00_14164;
BgL_arg3243z00_14164 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11955))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14165;
BgL_newz00_14165 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25574;
BgL_tmpz00_25574 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14165, BgL_tmpz00_25574, BgL_arg3243z00_14164); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25579;int BgL_tmpz00_25577;
BgL_auxz00_25579 = 
BINT(BgL_siza7ezd2framez75_11957); 
BgL_tmpz00_25577 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14165, BgL_tmpz00_25577, BgL_auxz00_25579); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25582;
BgL_tmpz00_25582 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14165, BgL_tmpz00_25582, BgL_runz00_14160); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25587;int BgL_tmpz00_25585;
BgL_auxz00_25587 = 
BINT(((long)-2)); 
BgL_tmpz00_25585 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14165, BgL_tmpz00_25585, BgL_auxz00_25587); } 
BgL_arg3242z00_14163 = BgL_newz00_14165; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14161, BgL_arg3242z00_14163); BgL_arg3242z00_14163; } 
return BgL_mainz00_14161;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5136 */
obj_t BGl_z62main5136z62zz__evaluate_compz00(obj_t BgL_envz00_11959, obj_t BgL_dz00_11964, obj_t BgL_lastz00_11965)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11962;long BgL_siza7ezd2framez75_11963;
BgL_runz00_11962 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11959, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11963 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11959, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14166;
BgL_sz00_14166 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14167;
BgL_bpz00_14167 = 
VECTOR_REF(
((obj_t)BgL_sz00_14166),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14166, BgL_bpz00_14167, 
BINT(BgL_siza7ezd2framez75_11963)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3246z00_14168;
BgL_arg3246z00_14168 = 
(
(long)CINT(BgL_bpz00_14167)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14166),BgL_arg3246z00_14168,BgL_dz00_11964); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3247z00_14169;
BgL_arg3247z00_14169 = 
(
(long)CINT(BgL_bpz00_14167)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14166),BgL_arg3247z00_14169,BgL_lastz00_11965); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14170;
BgL_ez00_14170 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14170, BgL_bpz00_14167); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14171;
BgL_accz00_14171 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11962, BgL_sz00_14166, BgL_bpz00_14167); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14170); 
VECTOR_SET(
((obj_t)BgL_sz00_14166),((long)0),BgL_bpz00_14167); 
return BgL_accz00_14171;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14172;
BgL_nsz00_14172 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14172,((long)1),BgL_sz00_14166); 
VECTOR_SET(BgL_nsz00_14172,((long)2),BgL_dz00_11964); 
VECTOR_SET(BgL_nsz00_14172,((long)3),BgL_lastz00_11965); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14173;
BgL_z12denvz12_14173 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14173, BgL_nsz00_14172); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14174;
BgL_ez00_14174 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14174, BgL_sz00_14166); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14175;
BgL_____rz00_14175 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11962, BgL_nsz00_14172, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14174); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14173, BgL_sz00_14166); 
return BgL_____rz00_14175;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5137 */
obj_t BGl_z62run5137z62zz__evaluate_compz00(obj_t BgL_envz00_11966, obj_t BgL_sz00_11969)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_11967;obj_t BgL_bodyz00_11968;
BgL_i1242z00_11967 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11966, 
(int)(((long)0)))); 
BgL_bodyz00_11968 = 
PROCEDURE_REF(BgL_envz00_11966, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14176;
BgL_bpz00_14176 = 
VECTOR_REF(
((obj_t)BgL_sz00_11969),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14177;obj_t BgL_wherez00_14178;obj_t BgL_locz00_14179;
BgL_z12denvz12_14177 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14178 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11967))->BgL_wherez00); 
BgL_locz00_14179 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11967))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14177, BgL_wherez00_14178, BgL_locz00_14179); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14180;
BgL_za2za2resza2za2z00_14180 = 
PROCEDURE_ENTRY(BgL_bodyz00_11968)(BgL_bodyz00_11968, BgL_sz00_11969, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14177); 
return BgL_za2za2resza2za2z00_14180;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3249> */
obj_t BGl_z62zc3anonymousza33249ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11970, obj_t BgL_sz00_11975)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11971;BgL_ev_absz00_bglt BgL_i1242z00_11972;obj_t BgL_bodyz00_11973;long BgL_siza7ezd2framez75_11974;
BgL_iboxesz00_11971 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11970, 
(int)(((long)0)))); 
BgL_i1242z00_11972 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11970, 
(int)(((long)1)))); 
BgL_bodyz00_11973 = 
PROCEDURE_REF(BgL_envz00_11970, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11974 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11970, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14181;
BgL_bpz00_14181 = 
VECTOR_REF(
((obj_t)BgL_sz00_11975),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14182;
BgL_runz00_14182 = 
MAKE_FX_PROCEDURE(BGl_z62run5139z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14182, 
(int)(((long)0)), BgL_iboxesz00_11971); 
PROCEDURE_SET(BgL_runz00_14182, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11972)); 
PROCEDURE_SET(BgL_runz00_14182, 
(int)(((long)2)), BgL_bodyz00_11973); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14183;
BgL_mainz00_14183 = 
MAKE_VA_PROCEDURE(BGl_z62main5138z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14183, 
(int)(((long)0)), BgL_iboxesz00_11971); 
PROCEDURE_SET(BgL_mainz00_14183, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_11972)); 
PROCEDURE_SET(BgL_mainz00_14183, 
(int)(((long)2)), BgL_bodyz00_11973); 
PROCEDURE_SET(BgL_mainz00_14183, 
(int)(((long)3)), BgL_runz00_14182); 
PROCEDURE_SET(BgL_mainz00_14183, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11974)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14184;
BgL_objz00_14184 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14182, BgL_objz00_14184); BgL_objz00_14184; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3250z00_14185;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3251z00_14186;
BgL_arg3251z00_14186 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11972))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14187;
BgL_newz00_14187 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25687;
BgL_tmpz00_25687 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14187, BgL_tmpz00_25687, BgL_arg3251z00_14186); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25692;int BgL_tmpz00_25690;
BgL_auxz00_25692 = 
BINT(BgL_siza7ezd2framez75_11974); 
BgL_tmpz00_25690 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14187, BgL_tmpz00_25690, BgL_auxz00_25692); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25695;
BgL_tmpz00_25695 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14187, BgL_tmpz00_25695, BgL_runz00_14182); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25700;int BgL_tmpz00_25698;
BgL_auxz00_25700 = 
BINT(((long)-2)); 
BgL_tmpz00_25698 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14187, BgL_tmpz00_25698, BgL_auxz00_25700); } 
BgL_arg3250z00_14185 = BgL_newz00_14187; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14183, BgL_arg3250z00_14185); BgL_arg3250z00_14185; } 
return BgL_mainz00_14183;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5138 */
obj_t BGl_z62main5138z62zz__evaluate_compz00(obj_t BgL_envz00_11976, obj_t BgL_dz00_11982, obj_t BgL_lastz00_11983)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11980;long BgL_siza7ezd2framez75_11981;
BgL_runz00_11980 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11976, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11981 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11976, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14188;
BgL_sz00_14188 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14189;
BgL_bpz00_14189 = 
VECTOR_REF(
((obj_t)BgL_sz00_14188),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14188, BgL_bpz00_14189, 
BINT(BgL_siza7ezd2framez75_11981)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3254z00_14190;
BgL_arg3254z00_14190 = 
(
(long)CINT(BgL_bpz00_14189)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14188),BgL_arg3254z00_14190,BgL_dz00_11982); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3255z00_14191;
BgL_arg3255z00_14191 = 
(
(long)CINT(BgL_bpz00_14189)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14188),BgL_arg3255z00_14191,BgL_lastz00_11983); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14192;
BgL_ez00_14192 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14192, BgL_bpz00_14189); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14193;
BgL_accz00_14193 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11980, BgL_sz00_14188, BgL_bpz00_14189); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14192); 
VECTOR_SET(
((obj_t)BgL_sz00_14188),((long)0),BgL_bpz00_14189); 
return BgL_accz00_14193;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14194;
BgL_nsz00_14194 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14194,((long)1),BgL_sz00_14188); 
VECTOR_SET(BgL_nsz00_14194,((long)2),BgL_dz00_11982); 
VECTOR_SET(BgL_nsz00_14194,((long)3),BgL_lastz00_11983); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14195;
BgL_z12denvz12_14195 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14195, BgL_nsz00_14194); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14196;
BgL_ez00_14196 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14196, BgL_sz00_14188); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14197;
BgL_____rz00_14197 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11980, BgL_nsz00_14194, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14196); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14195, BgL_sz00_14188); 
return BgL_____rz00_14197;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5139 */
obj_t BGl_z62run5139z62zz__evaluate_compz00(obj_t BgL_envz00_11984, obj_t BgL_sz00_11988)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11985;BgL_ev_absz00_bglt BgL_i1242z00_11986;obj_t BgL_bodyz00_11987;
BgL_iboxesz00_11985 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11984, 
(int)(((long)0)))); 
BgL_i1242z00_11986 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11984, 
(int)(((long)1)))); 
BgL_bodyz00_11987 = 
PROCEDURE_REF(BgL_envz00_11984, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14198;
BgL_bpz00_14198 = 
VECTOR_REF(
((obj_t)BgL_sz00_11988),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11988, BgL_iboxesz00_11985, BgL_bpz00_14198); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14199;obj_t BgL_wherez00_14200;obj_t BgL_locz00_14201;
BgL_z12denvz12_14199 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14200 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11986))->BgL_wherez00); 
BgL_locz00_14201 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11986))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14199, BgL_wherez00_14200, BgL_locz00_14201); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14202;
BgL_za2za2resza2za2z00_14202 = 
PROCEDURE_ENTRY(BgL_bodyz00_11987)(BgL_bodyz00_11987, BgL_sz00_11988, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14199); 
return BgL_za2za2resza2za2z00_14202;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3260> */
obj_t BGl_z62zc3anonymousza33260ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11989, obj_t BgL_sz00_11995)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11990;long BgL_siza7eza7_11991;BgL_ev_absz00_bglt BgL_i1242z00_11992;obj_t BgL_bodyz00_11993;long BgL_siza7ezd2framez75_11994;
BgL_ifreesz00_11990 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11989, 
(int)(((long)0)))); 
BgL_siza7eza7_11991 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11989, 
(int)(((long)1)))); 
BgL_i1242z00_11992 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11989, 
(int)(((long)2)))); 
BgL_bodyz00_11993 = 
PROCEDURE_REF(BgL_envz00_11989, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11994 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11989, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14203;
BgL_bpz00_14203 = 
VECTOR_REF(
((obj_t)BgL_sz00_11995),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14204;
BgL_valza2za2_14204 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11995, BgL_bpz00_14203, BgL_ifreesz00_11990); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14205;
BgL_runz00_14205 = 
MAKE_FX_PROCEDURE(BGl_z62run5141z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14205, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11991)); 
PROCEDURE_SET(BgL_runz00_14205, 
(int)(((long)1)), BgL_valza2za2_14204); 
PROCEDURE_SET(BgL_runz00_14205, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11992)); 
PROCEDURE_SET(BgL_runz00_14205, 
(int)(((long)3)), BgL_bodyz00_11993); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14206;
BgL_mainz00_14206 = 
MAKE_VA_PROCEDURE(BGl_z62main5140z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14206, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11991)); 
PROCEDURE_SET(BgL_mainz00_14206, 
(int)(((long)1)), BgL_valza2za2_14204); 
PROCEDURE_SET(BgL_mainz00_14206, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_11992)); 
PROCEDURE_SET(BgL_mainz00_14206, 
(int)(((long)3)), BgL_bodyz00_11993); 
PROCEDURE_SET(BgL_mainz00_14206, 
(int)(((long)4)), BgL_runz00_14205); 
PROCEDURE_SET(BgL_mainz00_14206, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11994)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14207;
BgL_objz00_14207 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14205, BgL_objz00_14207); BgL_objz00_14207; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3261z00_14208;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3262z00_14209;
BgL_arg3262z00_14209 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_11992))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14210;
BgL_newz00_14210 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25814;
BgL_tmpz00_25814 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14210, BgL_tmpz00_25814, BgL_arg3262z00_14209); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25819;int BgL_tmpz00_25817;
BgL_auxz00_25819 = 
BINT(BgL_siza7ezd2framez75_11994); 
BgL_tmpz00_25817 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14210, BgL_tmpz00_25817, BgL_auxz00_25819); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25822;
BgL_tmpz00_25822 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14210, BgL_tmpz00_25822, BgL_runz00_14205); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25827;int BgL_tmpz00_25825;
BgL_auxz00_25827 = 
BINT(((long)-2)); 
BgL_tmpz00_25825 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14210, BgL_tmpz00_25825, BgL_auxz00_25827); } 
BgL_arg3261z00_14208 = BgL_newz00_14210; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14206, BgL_arg3261z00_14208); BgL_arg3261z00_14208; } 
return BgL_mainz00_14206;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5140 */
obj_t BGl_z62main5140z62zz__evaluate_compz00(obj_t BgL_envz00_11996, obj_t BgL_dz00_12003, obj_t BgL_lastz00_12004)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12001;long BgL_siza7ezd2framez75_12002;
BgL_runz00_12001 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11996, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12002 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11996, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14211;
BgL_sz00_14211 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14212;
BgL_bpz00_14212 = 
VECTOR_REF(
((obj_t)BgL_sz00_14211),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14211, BgL_bpz00_14212, 
BINT(BgL_siza7ezd2framez75_12002)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3265z00_14213;
BgL_arg3265z00_14213 = 
(
(long)CINT(BgL_bpz00_14212)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14211),BgL_arg3265z00_14213,BgL_dz00_12003); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3266z00_14214;
BgL_arg3266z00_14214 = 
(
(long)CINT(BgL_bpz00_14212)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14211),BgL_arg3266z00_14214,BgL_lastz00_12004); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14215;
BgL_ez00_14215 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14215, BgL_bpz00_14212); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14216;
BgL_accz00_14216 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12001, BgL_sz00_14211, BgL_bpz00_14212); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14215); 
VECTOR_SET(
((obj_t)BgL_sz00_14211),((long)0),BgL_bpz00_14212); 
return BgL_accz00_14216;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14217;
BgL_nsz00_14217 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14217,((long)1),BgL_sz00_14211); 
VECTOR_SET(BgL_nsz00_14217,((long)2),BgL_dz00_12003); 
VECTOR_SET(BgL_nsz00_14217,((long)3),BgL_lastz00_12004); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14218;
BgL_z12denvz12_14218 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14218, BgL_nsz00_14217); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14219;
BgL_ez00_14219 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14219, BgL_sz00_14211); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14220;
BgL_____rz00_14220 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12001, BgL_nsz00_14217, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14219); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14218, BgL_sz00_14211); 
return BgL_____rz00_14220;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5141 */
obj_t BGl_z62run5141z62zz__evaluate_compz00(obj_t BgL_envz00_12005, obj_t BgL_sz00_12010)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12006;obj_t BgL_valza2za2_12007;BgL_ev_absz00_bglt BgL_i1242z00_12008;obj_t BgL_bodyz00_12009;
BgL_siza7eza7_12006 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12005, 
(int)(((long)0)))); 
BgL_valza2za2_12007 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12005, 
(int)(((long)1)))); 
BgL_i1242z00_12008 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12005, 
(int)(((long)2)))); 
BgL_bodyz00_12009 = 
PROCEDURE_REF(BgL_envz00_12005, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14221;
BgL_bpz00_14221 = 
VECTOR_REF(
((obj_t)BgL_sz00_12010),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12010, BgL_valza2za2_12007, 
(
(long)CINT(BgL_bpz00_14221)+BgL_siza7eza7_12006)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14222;obj_t BgL_wherez00_14223;obj_t BgL_locz00_14224;
BgL_z12denvz12_14222 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14223 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12008))->BgL_wherez00); 
BgL_locz00_14224 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12008))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14222, BgL_wherez00_14223, BgL_locz00_14224); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14225;
BgL_za2za2resza2za2z00_14225 = 
PROCEDURE_ENTRY(BgL_bodyz00_12009)(BgL_bodyz00_12009, BgL_sz00_12010, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14222); 
return BgL_za2za2resza2za2z00_14225;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3269> */
obj_t BGl_z62zc3anonymousza33269ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12011, obj_t BgL_sz00_12018)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12012;obj_t BgL_iboxesz00_12013;long BgL_siza7eza7_12014;BgL_ev_absz00_bglt BgL_i1242z00_12015;obj_t BgL_bodyz00_12016;long BgL_siza7ezd2framez75_12017;
BgL_ifreesz00_12012 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12011, 
(int)(((long)0)))); 
BgL_iboxesz00_12013 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12011, 
(int)(((long)1)))); 
BgL_siza7eza7_12014 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12011, 
(int)(((long)2)))); 
BgL_i1242z00_12015 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12011, 
(int)(((long)3)))); 
BgL_bodyz00_12016 = 
PROCEDURE_REF(BgL_envz00_12011, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12017 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12011, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14226;
BgL_bpz00_14226 = 
VECTOR_REF(
((obj_t)BgL_sz00_12018),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14227;
BgL_valza2za2_14227 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12018, BgL_bpz00_14226, BgL_ifreesz00_12012); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14228;
BgL_runz00_14228 = 
MAKE_FX_PROCEDURE(BGl_z62run5143z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14228, 
(int)(((long)0)), BgL_iboxesz00_12013); 
PROCEDURE_SET(BgL_runz00_14228, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12014)); 
PROCEDURE_SET(BgL_runz00_14228, 
(int)(((long)2)), BgL_valza2za2_14227); 
PROCEDURE_SET(BgL_runz00_14228, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12015)); 
PROCEDURE_SET(BgL_runz00_14228, 
(int)(((long)4)), BgL_bodyz00_12016); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14229;
BgL_mainz00_14229 = 
MAKE_VA_PROCEDURE(BGl_z62main5142z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14229, 
(int)(((long)0)), BgL_iboxesz00_12013); 
PROCEDURE_SET(BgL_mainz00_14229, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12014)); 
PROCEDURE_SET(BgL_mainz00_14229, 
(int)(((long)2)), BgL_valza2za2_14227); 
PROCEDURE_SET(BgL_mainz00_14229, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12015)); 
PROCEDURE_SET(BgL_mainz00_14229, 
(int)(((long)4)), BgL_bodyz00_12016); 
PROCEDURE_SET(BgL_mainz00_14229, 
(int)(((long)5)), BgL_runz00_14228); 
PROCEDURE_SET(BgL_mainz00_14229, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12017)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14230;
BgL_objz00_14230 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14228, BgL_objz00_14230); BgL_objz00_14230; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3270z00_14231;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3271z00_14232;
BgL_arg3271z00_14232 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12015))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14233;
BgL_newz00_14233 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25953;
BgL_tmpz00_25953 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14233, BgL_tmpz00_25953, BgL_arg3271z00_14232); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25958;int BgL_tmpz00_25956;
BgL_auxz00_25958 = 
BINT(BgL_siza7ezd2framez75_12017); 
BgL_tmpz00_25956 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14233, BgL_tmpz00_25956, BgL_auxz00_25958); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25961;
BgL_tmpz00_25961 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14233, BgL_tmpz00_25961, BgL_runz00_14228); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25966;int BgL_tmpz00_25964;
BgL_auxz00_25966 = 
BINT(((long)-2)); 
BgL_tmpz00_25964 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14233, BgL_tmpz00_25964, BgL_auxz00_25966); } 
BgL_arg3270z00_14231 = BgL_newz00_14233; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14229, BgL_arg3270z00_14231); BgL_arg3270z00_14231; } 
return BgL_mainz00_14229;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5142 */
obj_t BGl_z62main5142z62zz__evaluate_compz00(obj_t BgL_envz00_12019, obj_t BgL_dz00_12027, obj_t BgL_lastz00_12028)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12025;long BgL_siza7ezd2framez75_12026;
BgL_runz00_12025 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12019, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12026 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12019, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14234;
BgL_sz00_14234 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14235;
BgL_bpz00_14235 = 
VECTOR_REF(
((obj_t)BgL_sz00_14234),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14234, BgL_bpz00_14235, 
BINT(BgL_siza7ezd2framez75_12026)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3274z00_14236;
BgL_arg3274z00_14236 = 
(
(long)CINT(BgL_bpz00_14235)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14234),BgL_arg3274z00_14236,BgL_dz00_12027); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3275z00_14237;
BgL_arg3275z00_14237 = 
(
(long)CINT(BgL_bpz00_14235)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14234),BgL_arg3275z00_14237,BgL_lastz00_12028); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14238;
BgL_ez00_14238 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14238, BgL_bpz00_14235); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14239;
BgL_accz00_14239 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12025, BgL_sz00_14234, BgL_bpz00_14235); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14238); 
VECTOR_SET(
((obj_t)BgL_sz00_14234),((long)0),BgL_bpz00_14235); 
return BgL_accz00_14239;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14240;
BgL_nsz00_14240 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14240,((long)1),BgL_sz00_14234); 
VECTOR_SET(BgL_nsz00_14240,((long)2),BgL_dz00_12027); 
VECTOR_SET(BgL_nsz00_14240,((long)3),BgL_lastz00_12028); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14241;
BgL_z12denvz12_14241 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14241, BgL_nsz00_14240); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14242;
BgL_ez00_14242 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14242, BgL_sz00_14234); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14243;
BgL_____rz00_14243 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12025, BgL_nsz00_14240, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14242); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14241, BgL_sz00_14234); 
return BgL_____rz00_14243;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5143 */
obj_t BGl_z62run5143z62zz__evaluate_compz00(obj_t BgL_envz00_12029, obj_t BgL_sz00_12035)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12030;long BgL_siza7eza7_12031;obj_t BgL_valza2za2_12032;BgL_ev_absz00_bglt BgL_i1242z00_12033;obj_t BgL_bodyz00_12034;
BgL_iboxesz00_12030 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12029, 
(int)(((long)0)))); 
BgL_siza7eza7_12031 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12029, 
(int)(((long)1)))); 
BgL_valza2za2_12032 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12029, 
(int)(((long)2)))); 
BgL_i1242z00_12033 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12029, 
(int)(((long)3)))); 
BgL_bodyz00_12034 = 
PROCEDURE_REF(BgL_envz00_12029, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14244;
BgL_bpz00_14244 = 
VECTOR_REF(
((obj_t)BgL_sz00_12035),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12035, BgL_iboxesz00_12030, BgL_bpz00_14244); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12035, BgL_valza2za2_12032, 
(
(long)CINT(BgL_bpz00_14244)+BgL_siza7eza7_12031)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14245;obj_t BgL_wherez00_14246;obj_t BgL_locz00_14247;
BgL_z12denvz12_14245 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14246 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12033))->BgL_wherez00); 
BgL_locz00_14247 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12033))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14245, BgL_wherez00_14246, BgL_locz00_14247); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14248;
BgL_za2za2resza2za2z00_14248 = 
PROCEDURE_ENTRY(BgL_bodyz00_12034)(BgL_bodyz00_12034, BgL_sz00_12035, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14245); 
return BgL_za2za2resza2za2z00_14248;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3202> */
obj_t BGl_z62zc3anonymousza33202ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12036, obj_t BgL_sz00_12040)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12037;obj_t BgL_bodyz00_12038;long BgL_siza7ezd2framez75_12039;
BgL_i1242z00_12037 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12036, 
(int)(((long)0)))); 
BgL_bodyz00_12038 = 
PROCEDURE_REF(BgL_envz00_12036, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12039 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12036, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14249;
BgL_bpz00_14249 = 
VECTOR_REF(
((obj_t)BgL_sz00_12040),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14250;
BgL_runz00_14250 = 
MAKE_FX_PROCEDURE(BGl_z62run5145z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14250, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_12037)); 
PROCEDURE_SET(BgL_runz00_14250, 
(int)(((long)1)), BgL_bodyz00_12038); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14251;
BgL_mainz00_14251 = 
MAKE_FX_PROCEDURE(BGl_z62main5144z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14251, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_12037)); 
PROCEDURE_SET(BgL_mainz00_14251, 
(int)(((long)1)), BgL_bodyz00_12038); 
PROCEDURE_SET(BgL_mainz00_14251, 
(int)(((long)2)), BgL_runz00_14250); 
PROCEDURE_SET(BgL_mainz00_14251, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12039)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14252;
BgL_objz00_14252 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14250, BgL_objz00_14252); BgL_objz00_14252; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3203z00_14253;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3204z00_14254;
BgL_arg3204z00_14254 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12037))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14255;
BgL_newz00_14255 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26072;
BgL_tmpz00_26072 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14255, BgL_tmpz00_26072, BgL_arg3204z00_14254); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26077;int BgL_tmpz00_26075;
BgL_auxz00_26077 = 
BINT(BgL_siza7ezd2framez75_12039); 
BgL_tmpz00_26075 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14255, BgL_tmpz00_26075, BgL_auxz00_26077); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26080;
BgL_tmpz00_26080 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14255, BgL_tmpz00_26080, BgL_runz00_14250); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26085;int BgL_tmpz00_26083;
BgL_auxz00_26085 = 
BINT(((long)1)); 
BgL_tmpz00_26083 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14255, BgL_tmpz00_26083, BgL_auxz00_26085); } 
BgL_arg3203z00_14253 = BgL_newz00_14255; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14251, BgL_arg3203z00_14253); BgL_arg3203z00_14253; } 
return BgL_mainz00_14251;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5144 */
obj_t BGl_z62main5144z62zz__evaluate_compz00(obj_t BgL_envz00_12041, obj_t BgL_dz00_12046)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12044;long BgL_siza7ezd2framez75_12045;
BgL_runz00_12044 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12041, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12045 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12041, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14256;
BgL_sz00_14256 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14257;
BgL_bpz00_14257 = 
VECTOR_REF(
((obj_t)BgL_sz00_14256),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14256, BgL_bpz00_14257, 
BINT(BgL_siza7ezd2framez75_12045)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3207z00_14258;
BgL_arg3207z00_14258 = 
(
(long)CINT(BgL_bpz00_14257)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14256),BgL_arg3207z00_14258,BgL_dz00_12046); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14259;
BgL_ez00_14259 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14259, BgL_bpz00_14257); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14260;
BgL_accz00_14260 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12044, BgL_sz00_14256, BgL_bpz00_14257); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14259); 
VECTOR_SET(
((obj_t)BgL_sz00_14256),((long)0),BgL_bpz00_14257); 
return BgL_accz00_14260;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14261;
BgL_nsz00_14261 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14261,((long)1),BgL_sz00_14256); 
VECTOR_SET(BgL_nsz00_14261,((long)2),BgL_dz00_12046); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14262;
BgL_z12denvz12_14262 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14262, BgL_nsz00_14261); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14263;
BgL_ez00_14263 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14263, BgL_sz00_14256); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14264;
BgL_____rz00_14264 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12044, BgL_nsz00_14261, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14263); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14262, BgL_sz00_14256); 
return BgL_____rz00_14264;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5145 */
obj_t BGl_z62run5145z62zz__evaluate_compz00(obj_t BgL_envz00_12047, obj_t BgL_sz00_12050)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12048;obj_t BgL_bodyz00_12049;
BgL_i1242z00_12048 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12047, 
(int)(((long)0)))); 
BgL_bodyz00_12049 = 
PROCEDURE_REF(BgL_envz00_12047, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14265;
BgL_bpz00_14265 = 
VECTOR_REF(
((obj_t)BgL_sz00_12050),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14266;obj_t BgL_wherez00_14267;obj_t BgL_locz00_14268;
BgL_z12denvz12_14266 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14267 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12048))->BgL_wherez00); 
BgL_locz00_14268 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12048))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14266, BgL_wherez00_14267, BgL_locz00_14268); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14269;
BgL_za2za2resza2za2z00_14269 = 
PROCEDURE_ENTRY(BgL_bodyz00_12049)(BgL_bodyz00_12049, BgL_sz00_12050, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14266); 
return BgL_za2za2resza2za2z00_14269;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3209> */
obj_t BGl_z62zc3anonymousza33209ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12051, obj_t BgL_sz00_12056)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12052;BgL_ev_absz00_bglt BgL_i1242z00_12053;obj_t BgL_bodyz00_12054;long BgL_siza7ezd2framez75_12055;
BgL_iboxesz00_12052 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12051, 
(int)(((long)0)))); 
BgL_i1242z00_12053 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12051, 
(int)(((long)1)))); 
BgL_bodyz00_12054 = 
PROCEDURE_REF(BgL_envz00_12051, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12055 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12051, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14270;
BgL_bpz00_14270 = 
VECTOR_REF(
((obj_t)BgL_sz00_12056),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14271;
BgL_runz00_14271 = 
MAKE_FX_PROCEDURE(BGl_z62run5147z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14271, 
(int)(((long)0)), BgL_iboxesz00_12052); 
PROCEDURE_SET(BgL_runz00_14271, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_12053)); 
PROCEDURE_SET(BgL_runz00_14271, 
(int)(((long)2)), BgL_bodyz00_12054); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14272;
BgL_mainz00_14272 = 
MAKE_FX_PROCEDURE(BGl_z62main5146z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14272, 
(int)(((long)0)), BgL_iboxesz00_12052); 
PROCEDURE_SET(BgL_mainz00_14272, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_12053)); 
PROCEDURE_SET(BgL_mainz00_14272, 
(int)(((long)2)), BgL_bodyz00_12054); 
PROCEDURE_SET(BgL_mainz00_14272, 
(int)(((long)3)), BgL_runz00_14271); 
PROCEDURE_SET(BgL_mainz00_14272, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12055)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14273;
BgL_objz00_14273 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14271, BgL_objz00_14273); BgL_objz00_14273; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3210z00_14274;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3211z00_14275;
BgL_arg3211z00_14275 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12053))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14276;
BgL_newz00_14276 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26180;
BgL_tmpz00_26180 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14276, BgL_tmpz00_26180, BgL_arg3211z00_14275); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26185;int BgL_tmpz00_26183;
BgL_auxz00_26185 = 
BINT(BgL_siza7ezd2framez75_12055); 
BgL_tmpz00_26183 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14276, BgL_tmpz00_26183, BgL_auxz00_26185); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26188;
BgL_tmpz00_26188 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14276, BgL_tmpz00_26188, BgL_runz00_14271); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26193;int BgL_tmpz00_26191;
BgL_auxz00_26193 = 
BINT(((long)1)); 
BgL_tmpz00_26191 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14276, BgL_tmpz00_26191, BgL_auxz00_26193); } 
BgL_arg3210z00_14274 = BgL_newz00_14276; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14272, BgL_arg3210z00_14274); BgL_arg3210z00_14274; } 
return BgL_mainz00_14272;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5146 */
obj_t BGl_z62main5146z62zz__evaluate_compz00(obj_t BgL_envz00_12057, obj_t BgL_dz00_12063)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12061;long BgL_siza7ezd2framez75_12062;
BgL_runz00_12061 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12057, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12062 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12057, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14277;
BgL_sz00_14277 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14278;
BgL_bpz00_14278 = 
VECTOR_REF(
((obj_t)BgL_sz00_14277),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14277, BgL_bpz00_14278, 
BINT(BgL_siza7ezd2framez75_12062)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3214z00_14279;
BgL_arg3214z00_14279 = 
(
(long)CINT(BgL_bpz00_14278)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14277),BgL_arg3214z00_14279,BgL_dz00_12063); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14280;
BgL_ez00_14280 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14280, BgL_bpz00_14278); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14281;
BgL_accz00_14281 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12061, BgL_sz00_14277, BgL_bpz00_14278); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14280); 
VECTOR_SET(
((obj_t)BgL_sz00_14277),((long)0),BgL_bpz00_14278); 
return BgL_accz00_14281;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14282;
BgL_nsz00_14282 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14282,((long)1),BgL_sz00_14277); 
VECTOR_SET(BgL_nsz00_14282,((long)2),BgL_dz00_12063); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14283;
BgL_z12denvz12_14283 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14283, BgL_nsz00_14282); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14284;
BgL_ez00_14284 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14284, BgL_sz00_14277); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14285;
BgL_____rz00_14285 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12061, BgL_nsz00_14282, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14284); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14283, BgL_sz00_14277); 
return BgL_____rz00_14285;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5147 */
obj_t BGl_z62run5147z62zz__evaluate_compz00(obj_t BgL_envz00_12064, obj_t BgL_sz00_12068)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12065;BgL_ev_absz00_bglt BgL_i1242z00_12066;obj_t BgL_bodyz00_12067;
BgL_iboxesz00_12065 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12064, 
(int)(((long)0)))); 
BgL_i1242z00_12066 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12064, 
(int)(((long)1)))); 
BgL_bodyz00_12067 = 
PROCEDURE_REF(BgL_envz00_12064, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14286;
BgL_bpz00_14286 = 
VECTOR_REF(
((obj_t)BgL_sz00_12068),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12068, BgL_iboxesz00_12065, BgL_bpz00_14286); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14287;obj_t BgL_wherez00_14288;obj_t BgL_locz00_14289;
BgL_z12denvz12_14287 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14288 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12066))->BgL_wherez00); 
BgL_locz00_14289 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12066))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14287, BgL_wherez00_14288, BgL_locz00_14289); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14290;
BgL_za2za2resza2za2z00_14290 = 
PROCEDURE_ENTRY(BgL_bodyz00_12067)(BgL_bodyz00_12067, BgL_sz00_12068, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14287); 
return BgL_za2za2resza2za2z00_14290;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3219> */
obj_t BGl_z62zc3anonymousza33219ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12069, obj_t BgL_sz00_12075)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12070;long BgL_siza7eza7_12071;BgL_ev_absz00_bglt BgL_i1242z00_12072;obj_t BgL_bodyz00_12073;long BgL_siza7ezd2framez75_12074;
BgL_ifreesz00_12070 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12069, 
(int)(((long)0)))); 
BgL_siza7eza7_12071 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12069, 
(int)(((long)1)))); 
BgL_i1242z00_12072 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12069, 
(int)(((long)2)))); 
BgL_bodyz00_12073 = 
PROCEDURE_REF(BgL_envz00_12069, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12074 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12069, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14291;
BgL_bpz00_14291 = 
VECTOR_REF(
((obj_t)BgL_sz00_12075),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14292;
BgL_valza2za2_14292 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12075, BgL_bpz00_14291, BgL_ifreesz00_12070); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14293;
BgL_runz00_14293 = 
MAKE_FX_PROCEDURE(BGl_z62run5149z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14293, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12071)); 
PROCEDURE_SET(BgL_runz00_14293, 
(int)(((long)1)), BgL_valza2za2_14292); 
PROCEDURE_SET(BgL_runz00_14293, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_12072)); 
PROCEDURE_SET(BgL_runz00_14293, 
(int)(((long)3)), BgL_bodyz00_12073); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14294;
BgL_mainz00_14294 = 
MAKE_FX_PROCEDURE(BGl_z62main5148z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14294, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12071)); 
PROCEDURE_SET(BgL_mainz00_14294, 
(int)(((long)1)), BgL_valza2za2_14292); 
PROCEDURE_SET(BgL_mainz00_14294, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_12072)); 
PROCEDURE_SET(BgL_mainz00_14294, 
(int)(((long)3)), BgL_bodyz00_12073); 
PROCEDURE_SET(BgL_mainz00_14294, 
(int)(((long)4)), BgL_runz00_14293); 
PROCEDURE_SET(BgL_mainz00_14294, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12074)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14295;
BgL_objz00_14295 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14293, BgL_objz00_14295); BgL_objz00_14295; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3220z00_14296;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3221z00_14297;
BgL_arg3221z00_14297 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12072))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14298;
BgL_newz00_14298 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26302;
BgL_tmpz00_26302 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14298, BgL_tmpz00_26302, BgL_arg3221z00_14297); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26307;int BgL_tmpz00_26305;
BgL_auxz00_26307 = 
BINT(BgL_siza7ezd2framez75_12074); 
BgL_tmpz00_26305 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14298, BgL_tmpz00_26305, BgL_auxz00_26307); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26310;
BgL_tmpz00_26310 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14298, BgL_tmpz00_26310, BgL_runz00_14293); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26315;int BgL_tmpz00_26313;
BgL_auxz00_26315 = 
BINT(((long)1)); 
BgL_tmpz00_26313 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14298, BgL_tmpz00_26313, BgL_auxz00_26315); } 
BgL_arg3220z00_14296 = BgL_newz00_14298; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14294, BgL_arg3220z00_14296); BgL_arg3220z00_14296; } 
return BgL_mainz00_14294;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5148 */
obj_t BGl_z62main5148z62zz__evaluate_compz00(obj_t BgL_envz00_12076, obj_t BgL_dz00_12083)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12081;long BgL_siza7ezd2framez75_12082;
BgL_runz00_12081 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12076, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12082 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12076, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14299;
BgL_sz00_14299 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14300;
BgL_bpz00_14300 = 
VECTOR_REF(
((obj_t)BgL_sz00_14299),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14299, BgL_bpz00_14300, 
BINT(BgL_siza7ezd2framez75_12082)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3224z00_14301;
BgL_arg3224z00_14301 = 
(
(long)CINT(BgL_bpz00_14300)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14299),BgL_arg3224z00_14301,BgL_dz00_12083); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14302;
BgL_ez00_14302 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14302, BgL_bpz00_14300); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14303;
BgL_accz00_14303 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12081, BgL_sz00_14299, BgL_bpz00_14300); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14302); 
VECTOR_SET(
((obj_t)BgL_sz00_14299),((long)0),BgL_bpz00_14300); 
return BgL_accz00_14303;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14304;
BgL_nsz00_14304 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14304,((long)1),BgL_sz00_14299); 
VECTOR_SET(BgL_nsz00_14304,((long)2),BgL_dz00_12083); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14305;
BgL_z12denvz12_14305 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14305, BgL_nsz00_14304); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14306;
BgL_ez00_14306 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14306, BgL_sz00_14299); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14307;
BgL_____rz00_14307 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12081, BgL_nsz00_14304, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14306); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14305, BgL_sz00_14299); 
return BgL_____rz00_14307;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5149 */
obj_t BGl_z62run5149z62zz__evaluate_compz00(obj_t BgL_envz00_12084, obj_t BgL_sz00_12089)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12085;obj_t BgL_valza2za2_12086;BgL_ev_absz00_bglt BgL_i1242z00_12087;obj_t BgL_bodyz00_12088;
BgL_siza7eza7_12085 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12084, 
(int)(((long)0)))); 
BgL_valza2za2_12086 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12084, 
(int)(((long)1)))); 
BgL_i1242z00_12087 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12084, 
(int)(((long)2)))); 
BgL_bodyz00_12088 = 
PROCEDURE_REF(BgL_envz00_12084, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14308;
BgL_bpz00_14308 = 
VECTOR_REF(
((obj_t)BgL_sz00_12089),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12089, BgL_valza2za2_12086, 
(
(long)CINT(BgL_bpz00_14308)+BgL_siza7eza7_12085)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14309;obj_t BgL_wherez00_14310;obj_t BgL_locz00_14311;
BgL_z12denvz12_14309 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14310 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12087))->BgL_wherez00); 
BgL_locz00_14311 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12087))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14309, BgL_wherez00_14310, BgL_locz00_14311); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14312;
BgL_za2za2resza2za2z00_14312 = 
PROCEDURE_ENTRY(BgL_bodyz00_12088)(BgL_bodyz00_12088, BgL_sz00_12089, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14309); 
return BgL_za2za2resza2za2z00_14312;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3227> */
obj_t BGl_z62zc3anonymousza33227ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12090, obj_t BgL_sz00_12097)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12091;obj_t BgL_iboxesz00_12092;long BgL_siza7eza7_12093;BgL_ev_absz00_bglt BgL_i1242z00_12094;obj_t BgL_bodyz00_12095;long BgL_siza7ezd2framez75_12096;
BgL_ifreesz00_12091 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12090, 
(int)(((long)0)))); 
BgL_iboxesz00_12092 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12090, 
(int)(((long)1)))); 
BgL_siza7eza7_12093 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12090, 
(int)(((long)2)))); 
BgL_i1242z00_12094 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12090, 
(int)(((long)3)))); 
BgL_bodyz00_12095 = 
PROCEDURE_REF(BgL_envz00_12090, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12096 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12090, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14313;
BgL_bpz00_14313 = 
VECTOR_REF(
((obj_t)BgL_sz00_12097),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14314;
BgL_valza2za2_14314 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12097, BgL_bpz00_14313, BgL_ifreesz00_12091); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14315;
BgL_runz00_14315 = 
MAKE_FX_PROCEDURE(BGl_z62run5151z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14315, 
(int)(((long)0)), BgL_iboxesz00_12092); 
PROCEDURE_SET(BgL_runz00_14315, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12093)); 
PROCEDURE_SET(BgL_runz00_14315, 
(int)(((long)2)), BgL_valza2za2_14314); 
PROCEDURE_SET(BgL_runz00_14315, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12094)); 
PROCEDURE_SET(BgL_runz00_14315, 
(int)(((long)4)), BgL_bodyz00_12095); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14316;
BgL_mainz00_14316 = 
MAKE_FX_PROCEDURE(BGl_z62main5150z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14316, 
(int)(((long)0)), BgL_iboxesz00_12092); 
PROCEDURE_SET(BgL_mainz00_14316, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12093)); 
PROCEDURE_SET(BgL_mainz00_14316, 
(int)(((long)2)), BgL_valza2za2_14314); 
PROCEDURE_SET(BgL_mainz00_14316, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12094)); 
PROCEDURE_SET(BgL_mainz00_14316, 
(int)(((long)4)), BgL_bodyz00_12095); 
PROCEDURE_SET(BgL_mainz00_14316, 
(int)(((long)5)), BgL_runz00_14315); 
PROCEDURE_SET(BgL_mainz00_14316, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12096)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14317;
BgL_objz00_14317 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14315, BgL_objz00_14317); BgL_objz00_14317; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3228z00_14318;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3229z00_14319;
BgL_arg3229z00_14319 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12094))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14320;
BgL_newz00_14320 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26436;
BgL_tmpz00_26436 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14320, BgL_tmpz00_26436, BgL_arg3229z00_14319); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26441;int BgL_tmpz00_26439;
BgL_auxz00_26441 = 
BINT(BgL_siza7ezd2framez75_12096); 
BgL_tmpz00_26439 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14320, BgL_tmpz00_26439, BgL_auxz00_26441); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26444;
BgL_tmpz00_26444 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14320, BgL_tmpz00_26444, BgL_runz00_14315); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26449;int BgL_tmpz00_26447;
BgL_auxz00_26449 = 
BINT(((long)1)); 
BgL_tmpz00_26447 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14320, BgL_tmpz00_26447, BgL_auxz00_26449); } 
BgL_arg3228z00_14318 = BgL_newz00_14320; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14316, BgL_arg3228z00_14318); BgL_arg3228z00_14318; } 
return BgL_mainz00_14316;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5150 */
obj_t BGl_z62main5150z62zz__evaluate_compz00(obj_t BgL_envz00_12098, obj_t BgL_dz00_12106)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12104;long BgL_siza7ezd2framez75_12105;
BgL_runz00_12104 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12098, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12105 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12098, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14321;
BgL_sz00_14321 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14322;
BgL_bpz00_14322 = 
VECTOR_REF(
((obj_t)BgL_sz00_14321),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14321, BgL_bpz00_14322, 
BINT(BgL_siza7ezd2framez75_12105)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3232z00_14323;
BgL_arg3232z00_14323 = 
(
(long)CINT(BgL_bpz00_14322)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14321),BgL_arg3232z00_14323,BgL_dz00_12106); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14324;
BgL_ez00_14324 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14324, BgL_bpz00_14322); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14325;
BgL_accz00_14325 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12104, BgL_sz00_14321, BgL_bpz00_14322); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14324); 
VECTOR_SET(
((obj_t)BgL_sz00_14321),((long)0),BgL_bpz00_14322); 
return BgL_accz00_14325;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14326;
BgL_nsz00_14326 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14326,((long)1),BgL_sz00_14321); 
VECTOR_SET(BgL_nsz00_14326,((long)2),BgL_dz00_12106); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14327;
BgL_z12denvz12_14327 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14327, BgL_nsz00_14326); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14328;
BgL_ez00_14328 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14328, BgL_sz00_14321); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14329;
BgL_____rz00_14329 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12104, BgL_nsz00_14326, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14328); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14327, BgL_sz00_14321); 
return BgL_____rz00_14329;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5151 */
obj_t BGl_z62run5151z62zz__evaluate_compz00(obj_t BgL_envz00_12107, obj_t BgL_sz00_12113)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12108;long BgL_siza7eza7_12109;obj_t BgL_valza2za2_12110;BgL_ev_absz00_bglt BgL_i1242z00_12111;obj_t BgL_bodyz00_12112;
BgL_iboxesz00_12108 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12107, 
(int)(((long)0)))); 
BgL_siza7eza7_12109 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12107, 
(int)(((long)1)))); 
BgL_valza2za2_12110 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12107, 
(int)(((long)2)))); 
BgL_i1242z00_12111 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12107, 
(int)(((long)3)))); 
BgL_bodyz00_12112 = 
PROCEDURE_REF(BgL_envz00_12107, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14330;
BgL_bpz00_14330 = 
VECTOR_REF(
((obj_t)BgL_sz00_12113),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12113, BgL_iboxesz00_12108, BgL_bpz00_14330); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12113, BgL_valza2za2_12110, 
(
(long)CINT(BgL_bpz00_14330)+BgL_siza7eza7_12109)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14331;obj_t BgL_wherez00_14332;obj_t BgL_locz00_14333;
BgL_z12denvz12_14331 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14332 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12111))->BgL_wherez00); 
BgL_locz00_14333 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12111))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14331, BgL_wherez00_14332, BgL_locz00_14333); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14334;
BgL_za2za2resza2za2z00_14334 = 
PROCEDURE_ENTRY(BgL_bodyz00_12112)(BgL_bodyz00_12112, BgL_sz00_12113, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14331); 
return BgL_za2za2resza2za2z00_14334;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3163> */
obj_t BGl_z62zc3anonymousza33163ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12114, obj_t BgL_sz00_12118)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12115;obj_t BgL_bodyz00_12116;long BgL_siza7ezd2framez75_12117;
BgL_i1242z00_12115 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12114, 
(int)(((long)0)))); 
BgL_bodyz00_12116 = 
PROCEDURE_REF(BgL_envz00_12114, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12117 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12114, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14335;
BgL_bpz00_14335 = 
VECTOR_REF(
((obj_t)BgL_sz00_12118),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14336;
BgL_runz00_14336 = 
MAKE_FX_PROCEDURE(BGl_z62run5153z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14336, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_12115)); 
PROCEDURE_SET(BgL_runz00_14336, 
(int)(((long)1)), BgL_bodyz00_12116); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14337;
BgL_mainz00_14337 = 
MAKE_VA_PROCEDURE(BGl_z62main5152z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14337, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_12115)); 
PROCEDURE_SET(BgL_mainz00_14337, 
(int)(((long)1)), BgL_bodyz00_12116); 
PROCEDURE_SET(BgL_mainz00_14337, 
(int)(((long)2)), BgL_runz00_14336); 
PROCEDURE_SET(BgL_mainz00_14337, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12117)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14338;
BgL_objz00_14338 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14336, BgL_objz00_14338); BgL_objz00_14338; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3164z00_14339;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3165z00_14340;
BgL_arg3165z00_14340 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12115))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14341;
BgL_newz00_14341 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26550;
BgL_tmpz00_26550 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14341, BgL_tmpz00_26550, BgL_arg3165z00_14340); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26555;int BgL_tmpz00_26553;
BgL_auxz00_26555 = 
BINT(BgL_siza7ezd2framez75_12117); 
BgL_tmpz00_26553 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14341, BgL_tmpz00_26553, BgL_auxz00_26555); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26558;
BgL_tmpz00_26558 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14341, BgL_tmpz00_26558, BgL_runz00_14336); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26563;int BgL_tmpz00_26561;
BgL_auxz00_26563 = 
BINT(((long)-1)); 
BgL_tmpz00_26561 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14341, BgL_tmpz00_26561, BgL_auxz00_26563); } 
BgL_arg3164z00_14339 = BgL_newz00_14341; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14337, BgL_arg3164z00_14339); BgL_arg3164z00_14339; } 
return BgL_mainz00_14337;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5152 */
obj_t BGl_z62main5152z62zz__evaluate_compz00(obj_t BgL_envz00_12119, obj_t BgL_lastz00_12124)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12122;long BgL_siza7ezd2framez75_12123;
BgL_runz00_12122 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12119, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12123 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12119, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14342;
BgL_sz00_14342 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14343;
BgL_bpz00_14343 = 
VECTOR_REF(
((obj_t)BgL_sz00_14342),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14342, BgL_bpz00_14343, 
BINT(BgL_siza7ezd2framez75_12123)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3168z00_14344;
BgL_arg3168z00_14344 = 
(
(long)CINT(BgL_bpz00_14343)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14342),BgL_arg3168z00_14344,BgL_lastz00_12124); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14345;
BgL_ez00_14345 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14345, BgL_bpz00_14343); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14346;
BgL_accz00_14346 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12122, BgL_sz00_14342, BgL_bpz00_14343); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14345); 
VECTOR_SET(
((obj_t)BgL_sz00_14342),((long)0),BgL_bpz00_14343); 
return BgL_accz00_14346;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14347;
BgL_nsz00_14347 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14347,((long)1),BgL_sz00_14342); 
VECTOR_SET(BgL_nsz00_14347,((long)2),BgL_lastz00_12124); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14348;
BgL_z12denvz12_14348 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14348, BgL_nsz00_14347); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14349;
BgL_ez00_14349 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14349, BgL_sz00_14342); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14350;
BgL_____rz00_14350 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12122, BgL_nsz00_14347, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14349); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14348, BgL_sz00_14342); 
return BgL_____rz00_14350;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5153 */
obj_t BGl_z62run5153z62zz__evaluate_compz00(obj_t BgL_envz00_12125, obj_t BgL_sz00_12128)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12126;obj_t BgL_bodyz00_12127;
BgL_i1242z00_12126 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12125, 
(int)(((long)0)))); 
BgL_bodyz00_12127 = 
PROCEDURE_REF(BgL_envz00_12125, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14351;
BgL_bpz00_14351 = 
VECTOR_REF(
((obj_t)BgL_sz00_12128),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14352;obj_t BgL_wherez00_14353;obj_t BgL_locz00_14354;
BgL_z12denvz12_14352 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14353 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12126))->BgL_wherez00); 
BgL_locz00_14354 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12126))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14352, BgL_wherez00_14353, BgL_locz00_14354); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14355;
BgL_za2za2resza2za2z00_14355 = 
PROCEDURE_ENTRY(BgL_bodyz00_12127)(BgL_bodyz00_12127, BgL_sz00_12128, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14352); 
return BgL_za2za2resza2za2z00_14355;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3170> */
obj_t BGl_z62zc3anonymousza33170ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12129, obj_t BgL_sz00_12134)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12130;BgL_ev_absz00_bglt BgL_i1242z00_12131;obj_t BgL_bodyz00_12132;long BgL_siza7ezd2framez75_12133;
BgL_iboxesz00_12130 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12129, 
(int)(((long)0)))); 
BgL_i1242z00_12131 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12129, 
(int)(((long)1)))); 
BgL_bodyz00_12132 = 
PROCEDURE_REF(BgL_envz00_12129, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12133 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12129, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14356;
BgL_bpz00_14356 = 
VECTOR_REF(
((obj_t)BgL_sz00_12134),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14357;
BgL_runz00_14357 = 
MAKE_FX_PROCEDURE(BGl_z62run5155z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14357, 
(int)(((long)0)), BgL_iboxesz00_12130); 
PROCEDURE_SET(BgL_runz00_14357, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_12131)); 
PROCEDURE_SET(BgL_runz00_14357, 
(int)(((long)2)), BgL_bodyz00_12132); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14358;
BgL_mainz00_14358 = 
MAKE_VA_PROCEDURE(BGl_z62main5154z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14358, 
(int)(((long)0)), BgL_iboxesz00_12130); 
PROCEDURE_SET(BgL_mainz00_14358, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_12131)); 
PROCEDURE_SET(BgL_mainz00_14358, 
(int)(((long)2)), BgL_bodyz00_12132); 
PROCEDURE_SET(BgL_mainz00_14358, 
(int)(((long)3)), BgL_runz00_14357); 
PROCEDURE_SET(BgL_mainz00_14358, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12133)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14359;
BgL_objz00_14359 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14357, BgL_objz00_14359); BgL_objz00_14359; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3171z00_14360;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3172z00_14361;
BgL_arg3172z00_14361 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12131))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14362;
BgL_newz00_14362 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26658;
BgL_tmpz00_26658 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14362, BgL_tmpz00_26658, BgL_arg3172z00_14361); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26663;int BgL_tmpz00_26661;
BgL_auxz00_26663 = 
BINT(BgL_siza7ezd2framez75_12133); 
BgL_tmpz00_26661 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14362, BgL_tmpz00_26661, BgL_auxz00_26663); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26666;
BgL_tmpz00_26666 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14362, BgL_tmpz00_26666, BgL_runz00_14357); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26671;int BgL_tmpz00_26669;
BgL_auxz00_26671 = 
BINT(((long)-1)); 
BgL_tmpz00_26669 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14362, BgL_tmpz00_26669, BgL_auxz00_26671); } 
BgL_arg3171z00_14360 = BgL_newz00_14362; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14358, BgL_arg3171z00_14360); BgL_arg3171z00_14360; } 
return BgL_mainz00_14358;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5154 */
obj_t BGl_z62main5154z62zz__evaluate_compz00(obj_t BgL_envz00_12135, obj_t BgL_lastz00_12141)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12139;long BgL_siza7ezd2framez75_12140;
BgL_runz00_12139 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12135, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12140 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12135, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14363;
BgL_sz00_14363 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14364;
BgL_bpz00_14364 = 
VECTOR_REF(
((obj_t)BgL_sz00_14363),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14363, BgL_bpz00_14364, 
BINT(BgL_siza7ezd2framez75_12140)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3175z00_14365;
BgL_arg3175z00_14365 = 
(
(long)CINT(BgL_bpz00_14364)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14363),BgL_arg3175z00_14365,BgL_lastz00_12141); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14366;
BgL_ez00_14366 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14366, BgL_bpz00_14364); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14367;
BgL_accz00_14367 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12139, BgL_sz00_14363, BgL_bpz00_14364); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14366); 
VECTOR_SET(
((obj_t)BgL_sz00_14363),((long)0),BgL_bpz00_14364); 
return BgL_accz00_14367;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14368;
BgL_nsz00_14368 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14368,((long)1),BgL_sz00_14363); 
VECTOR_SET(BgL_nsz00_14368,((long)2),BgL_lastz00_12141); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14369;
BgL_z12denvz12_14369 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14369, BgL_nsz00_14368); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14370;
BgL_ez00_14370 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14370, BgL_sz00_14363); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14371;
BgL_____rz00_14371 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12139, BgL_nsz00_14368, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14370); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14369, BgL_sz00_14363); 
return BgL_____rz00_14371;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5155 */
obj_t BGl_z62run5155z62zz__evaluate_compz00(obj_t BgL_envz00_12142, obj_t BgL_sz00_12146)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12143;BgL_ev_absz00_bglt BgL_i1242z00_12144;obj_t BgL_bodyz00_12145;
BgL_iboxesz00_12143 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12142, 
(int)(((long)0)))); 
BgL_i1242z00_12144 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12142, 
(int)(((long)1)))); 
BgL_bodyz00_12145 = 
PROCEDURE_REF(BgL_envz00_12142, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14372;
BgL_bpz00_14372 = 
VECTOR_REF(
((obj_t)BgL_sz00_12146),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12146, BgL_iboxesz00_12143, BgL_bpz00_14372); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14373;obj_t BgL_wherez00_14374;obj_t BgL_locz00_14375;
BgL_z12denvz12_14373 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14374 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12144))->BgL_wherez00); 
BgL_locz00_14375 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12144))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14373, BgL_wherez00_14374, BgL_locz00_14375); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14376;
BgL_za2za2resza2za2z00_14376 = 
PROCEDURE_ENTRY(BgL_bodyz00_12145)(BgL_bodyz00_12145, BgL_sz00_12146, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14373); 
return BgL_za2za2resza2za2z00_14376;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3180> */
obj_t BGl_z62zc3anonymousza33180ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12147, obj_t BgL_sz00_12153)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12148;long BgL_siza7eza7_12149;BgL_ev_absz00_bglt BgL_i1242z00_12150;obj_t BgL_bodyz00_12151;long BgL_siza7ezd2framez75_12152;
BgL_ifreesz00_12148 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12147, 
(int)(((long)0)))); 
BgL_siza7eza7_12149 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12147, 
(int)(((long)1)))); 
BgL_i1242z00_12150 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12147, 
(int)(((long)2)))); 
BgL_bodyz00_12151 = 
PROCEDURE_REF(BgL_envz00_12147, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12152 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12147, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14377;
BgL_bpz00_14377 = 
VECTOR_REF(
((obj_t)BgL_sz00_12153),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14378;
BgL_valza2za2_14378 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12153, BgL_bpz00_14377, BgL_ifreesz00_12148); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14379;
BgL_runz00_14379 = 
MAKE_FX_PROCEDURE(BGl_z62run5157z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14379, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12149)); 
PROCEDURE_SET(BgL_runz00_14379, 
(int)(((long)1)), BgL_valza2za2_14378); 
PROCEDURE_SET(BgL_runz00_14379, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_12150)); 
PROCEDURE_SET(BgL_runz00_14379, 
(int)(((long)3)), BgL_bodyz00_12151); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14380;
BgL_mainz00_14380 = 
MAKE_VA_PROCEDURE(BGl_z62main5156z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14380, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12149)); 
PROCEDURE_SET(BgL_mainz00_14380, 
(int)(((long)1)), BgL_valza2za2_14378); 
PROCEDURE_SET(BgL_mainz00_14380, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_12150)); 
PROCEDURE_SET(BgL_mainz00_14380, 
(int)(((long)3)), BgL_bodyz00_12151); 
PROCEDURE_SET(BgL_mainz00_14380, 
(int)(((long)4)), BgL_runz00_14379); 
PROCEDURE_SET(BgL_mainz00_14380, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12152)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14381;
BgL_objz00_14381 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14379, BgL_objz00_14381); BgL_objz00_14381; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3181z00_14382;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3182z00_14383;
BgL_arg3182z00_14383 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12150))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14384;
BgL_newz00_14384 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26780;
BgL_tmpz00_26780 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14384, BgL_tmpz00_26780, BgL_arg3182z00_14383); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26785;int BgL_tmpz00_26783;
BgL_auxz00_26785 = 
BINT(BgL_siza7ezd2framez75_12152); 
BgL_tmpz00_26783 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14384, BgL_tmpz00_26783, BgL_auxz00_26785); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26788;
BgL_tmpz00_26788 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14384, BgL_tmpz00_26788, BgL_runz00_14379); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26793;int BgL_tmpz00_26791;
BgL_auxz00_26793 = 
BINT(((long)-1)); 
BgL_tmpz00_26791 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14384, BgL_tmpz00_26791, BgL_auxz00_26793); } 
BgL_arg3181z00_14382 = BgL_newz00_14384; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14380, BgL_arg3181z00_14382); BgL_arg3181z00_14382; } 
return BgL_mainz00_14380;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5156 */
obj_t BGl_z62main5156z62zz__evaluate_compz00(obj_t BgL_envz00_12154, obj_t BgL_lastz00_12161)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12159;long BgL_siza7ezd2framez75_12160;
BgL_runz00_12159 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12154, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12160 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12154, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14385;
BgL_sz00_14385 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14386;
BgL_bpz00_14386 = 
VECTOR_REF(
((obj_t)BgL_sz00_14385),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14385, BgL_bpz00_14386, 
BINT(BgL_siza7ezd2framez75_12160)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3185z00_14387;
BgL_arg3185z00_14387 = 
(
(long)CINT(BgL_bpz00_14386)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14385),BgL_arg3185z00_14387,BgL_lastz00_12161); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14388;
BgL_ez00_14388 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14388, BgL_bpz00_14386); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14389;
BgL_accz00_14389 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12159, BgL_sz00_14385, BgL_bpz00_14386); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14388); 
VECTOR_SET(
((obj_t)BgL_sz00_14385),((long)0),BgL_bpz00_14386); 
return BgL_accz00_14389;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14390;
BgL_nsz00_14390 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14390,((long)1),BgL_sz00_14385); 
VECTOR_SET(BgL_nsz00_14390,((long)2),BgL_lastz00_12161); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14391;
BgL_z12denvz12_14391 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14391, BgL_nsz00_14390); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14392;
BgL_ez00_14392 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14392, BgL_sz00_14385); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14393;
BgL_____rz00_14393 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12159, BgL_nsz00_14390, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14392); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14391, BgL_sz00_14385); 
return BgL_____rz00_14393;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5157 */
obj_t BGl_z62run5157z62zz__evaluate_compz00(obj_t BgL_envz00_12162, obj_t BgL_sz00_12167)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12163;obj_t BgL_valza2za2_12164;BgL_ev_absz00_bglt BgL_i1242z00_12165;obj_t BgL_bodyz00_12166;
BgL_siza7eza7_12163 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12162, 
(int)(((long)0)))); 
BgL_valza2za2_12164 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12162, 
(int)(((long)1)))); 
BgL_i1242z00_12165 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12162, 
(int)(((long)2)))); 
BgL_bodyz00_12166 = 
PROCEDURE_REF(BgL_envz00_12162, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14394;
BgL_bpz00_14394 = 
VECTOR_REF(
((obj_t)BgL_sz00_12167),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12167, BgL_valza2za2_12164, 
(
(long)CINT(BgL_bpz00_14394)+BgL_siza7eza7_12163)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14395;obj_t BgL_wherez00_14396;obj_t BgL_locz00_14397;
BgL_z12denvz12_14395 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14396 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12165))->BgL_wherez00); 
BgL_locz00_14397 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12165))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14395, BgL_wherez00_14396, BgL_locz00_14397); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14398;
BgL_za2za2resza2za2z00_14398 = 
PROCEDURE_ENTRY(BgL_bodyz00_12166)(BgL_bodyz00_12166, BgL_sz00_12167, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14395); 
return BgL_za2za2resza2za2z00_14398;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3188> */
obj_t BGl_z62zc3anonymousza33188ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12168, obj_t BgL_sz00_12175)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12169;obj_t BgL_iboxesz00_12170;long BgL_siza7eza7_12171;BgL_ev_absz00_bglt BgL_i1242z00_12172;obj_t BgL_bodyz00_12173;long BgL_siza7ezd2framez75_12174;
BgL_ifreesz00_12169 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12168, 
(int)(((long)0)))); 
BgL_iboxesz00_12170 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12168, 
(int)(((long)1)))); 
BgL_siza7eza7_12171 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12168, 
(int)(((long)2)))); 
BgL_i1242z00_12172 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12168, 
(int)(((long)3)))); 
BgL_bodyz00_12173 = 
PROCEDURE_REF(BgL_envz00_12168, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12174 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12168, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14399;
BgL_bpz00_14399 = 
VECTOR_REF(
((obj_t)BgL_sz00_12175),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14400;
BgL_valza2za2_14400 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12175, BgL_bpz00_14399, BgL_ifreesz00_12169); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14401;
BgL_runz00_14401 = 
MAKE_FX_PROCEDURE(BGl_z62run5159z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14401, 
(int)(((long)0)), BgL_iboxesz00_12170); 
PROCEDURE_SET(BgL_runz00_14401, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12171)); 
PROCEDURE_SET(BgL_runz00_14401, 
(int)(((long)2)), BgL_valza2za2_14400); 
PROCEDURE_SET(BgL_runz00_14401, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12172)); 
PROCEDURE_SET(BgL_runz00_14401, 
(int)(((long)4)), BgL_bodyz00_12173); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14402;
BgL_mainz00_14402 = 
MAKE_VA_PROCEDURE(BGl_z62main5158z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14402, 
(int)(((long)0)), BgL_iboxesz00_12170); 
PROCEDURE_SET(BgL_mainz00_14402, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12171)); 
PROCEDURE_SET(BgL_mainz00_14402, 
(int)(((long)2)), BgL_valza2za2_14400); 
PROCEDURE_SET(BgL_mainz00_14402, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12172)); 
PROCEDURE_SET(BgL_mainz00_14402, 
(int)(((long)4)), BgL_bodyz00_12173); 
PROCEDURE_SET(BgL_mainz00_14402, 
(int)(((long)5)), BgL_runz00_14401); 
PROCEDURE_SET(BgL_mainz00_14402, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12174)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14403;
BgL_objz00_14403 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14401, BgL_objz00_14403); BgL_objz00_14403; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3189z00_14404;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3190z00_14405;
BgL_arg3190z00_14405 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12172))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14406;
BgL_newz00_14406 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26914;
BgL_tmpz00_26914 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14406, BgL_tmpz00_26914, BgL_arg3190z00_14405); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26919;int BgL_tmpz00_26917;
BgL_auxz00_26919 = 
BINT(BgL_siza7ezd2framez75_12174); 
BgL_tmpz00_26917 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14406, BgL_tmpz00_26917, BgL_auxz00_26919); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26922;
BgL_tmpz00_26922 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14406, BgL_tmpz00_26922, BgL_runz00_14401); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26927;int BgL_tmpz00_26925;
BgL_auxz00_26927 = 
BINT(((long)-1)); 
BgL_tmpz00_26925 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14406, BgL_tmpz00_26925, BgL_auxz00_26927); } 
BgL_arg3189z00_14404 = BgL_newz00_14406; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14402, BgL_arg3189z00_14404); BgL_arg3189z00_14404; } 
return BgL_mainz00_14402;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5158 */
obj_t BGl_z62main5158z62zz__evaluate_compz00(obj_t BgL_envz00_12176, obj_t BgL_lastz00_12184)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12182;long BgL_siza7ezd2framez75_12183;
BgL_runz00_12182 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12176, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12183 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12176, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14407;
BgL_sz00_14407 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14408;
BgL_bpz00_14408 = 
VECTOR_REF(
((obj_t)BgL_sz00_14407),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14407, BgL_bpz00_14408, 
BINT(BgL_siza7ezd2framez75_12183)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3193z00_14409;
BgL_arg3193z00_14409 = 
(
(long)CINT(BgL_bpz00_14408)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14407),BgL_arg3193z00_14409,BgL_lastz00_12184); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14410;
BgL_ez00_14410 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14410, BgL_bpz00_14408); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14411;
BgL_accz00_14411 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12182, BgL_sz00_14407, BgL_bpz00_14408); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14410); 
VECTOR_SET(
((obj_t)BgL_sz00_14407),((long)0),BgL_bpz00_14408); 
return BgL_accz00_14411;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14412;
BgL_nsz00_14412 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14412,((long)1),BgL_sz00_14407); 
VECTOR_SET(BgL_nsz00_14412,((long)2),BgL_lastz00_12184); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14413;
BgL_z12denvz12_14413 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14413, BgL_nsz00_14412); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14414;
BgL_ez00_14414 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14414, BgL_sz00_14407); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14415;
BgL_____rz00_14415 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12182, BgL_nsz00_14412, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14414); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14413, BgL_sz00_14407); 
return BgL_____rz00_14415;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5159 */
obj_t BGl_z62run5159z62zz__evaluate_compz00(obj_t BgL_envz00_12185, obj_t BgL_sz00_12191)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12186;long BgL_siza7eza7_12187;obj_t BgL_valza2za2_12188;BgL_ev_absz00_bglt BgL_i1242z00_12189;obj_t BgL_bodyz00_12190;
BgL_iboxesz00_12186 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)0)))); 
BgL_siza7eza7_12187 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)1)))); 
BgL_valza2za2_12188 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)2)))); 
BgL_i1242z00_12189 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)3)))); 
BgL_bodyz00_12190 = 
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14416;
BgL_bpz00_14416 = 
VECTOR_REF(
((obj_t)BgL_sz00_12191),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12191, BgL_iboxesz00_12186, BgL_bpz00_14416); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12191, BgL_valza2za2_12188, 
(
(long)CINT(BgL_bpz00_14416)+BgL_siza7eza7_12187)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14417;obj_t BgL_wherez00_14418;obj_t BgL_locz00_14419;
BgL_z12denvz12_14417 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14418 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12189))->BgL_wherez00); 
BgL_locz00_14419 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12189))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14417, BgL_wherez00_14418, BgL_locz00_14419); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14420;
BgL_za2za2resza2za2z00_14420 = 
PROCEDURE_ENTRY(BgL_bodyz00_12190)(BgL_bodyz00_12190, BgL_sz00_12191, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14417); 
return BgL_za2za2resza2za2z00_14420;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3128> */
obj_t BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12192, obj_t BgL_sz00_12196)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12193;obj_t BgL_bodyz00_12194;long BgL_siza7ezd2framez75_12195;
BgL_i1242z00_12193 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12192, 
(int)(((long)0)))); 
BgL_bodyz00_12194 = 
PROCEDURE_REF(BgL_envz00_12192, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12195 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12192, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14421;
BgL_bpz00_14421 = 
VECTOR_REF(
((obj_t)BgL_sz00_12196),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14422;
BgL_runz00_14422 = 
MAKE_FX_PROCEDURE(BGl_z62run5161z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14422, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_12193)); 
PROCEDURE_SET(BgL_runz00_14422, 
(int)(((long)1)), BgL_bodyz00_12194); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14423;
BgL_mainz00_14423 = 
MAKE_FX_PROCEDURE(BGl_z62main5160z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14423, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_12193)); 
PROCEDURE_SET(BgL_mainz00_14423, 
(int)(((long)1)), BgL_bodyz00_12194); 
PROCEDURE_SET(BgL_mainz00_14423, 
(int)(((long)2)), BgL_runz00_14422); 
PROCEDURE_SET(BgL_mainz00_14423, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12195)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14424;
BgL_objz00_14424 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14422, BgL_objz00_14424); BgL_objz00_14424; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3129z00_14425;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3130z00_14426;
BgL_arg3130z00_14426 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12193))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14427;
BgL_newz00_14427 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27028;
BgL_tmpz00_27028 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14427, BgL_tmpz00_27028, BgL_arg3130z00_14426); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27033;int BgL_tmpz00_27031;
BgL_auxz00_27033 = 
BINT(BgL_siza7ezd2framez75_12195); 
BgL_tmpz00_27031 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14427, BgL_tmpz00_27031, BgL_auxz00_27033); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27036;
BgL_tmpz00_27036 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14427, BgL_tmpz00_27036, BgL_runz00_14422); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27041;int BgL_tmpz00_27039;
BgL_auxz00_27041 = 
BINT(((long)0)); 
BgL_tmpz00_27039 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14427, BgL_tmpz00_27039, BgL_auxz00_27041); } 
BgL_arg3129z00_14425 = BgL_newz00_14427; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14423, BgL_arg3129z00_14425); BgL_arg3129z00_14425; } 
return BgL_mainz00_14423;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5160 */
obj_t BGl_z62main5160z62zz__evaluate_compz00(obj_t BgL_envz00_12197)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12200;long BgL_siza7ezd2framez75_12201;
BgL_runz00_12200 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12197, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12201 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12197, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14428;
BgL_sz00_14428 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14429;
BgL_bpz00_14429 = 
VECTOR_REF(
((obj_t)BgL_sz00_14428),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14428, BgL_bpz00_14429, 
BINT(BgL_siza7ezd2framez75_12201)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14430;
BgL_ez00_14430 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14430, BgL_bpz00_14429); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14431;
BgL_accz00_14431 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12200, BgL_sz00_14428, BgL_bpz00_14429); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14430); 
VECTOR_SET(
((obj_t)BgL_sz00_14428),((long)0),BgL_bpz00_14429); 
return BgL_accz00_14431;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14432;
BgL_nsz00_14432 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14432,((long)1),BgL_sz00_14428); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14433;
BgL_z12denvz12_14433 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14433, BgL_nsz00_14432); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14434;
BgL_ez00_14434 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14434, BgL_sz00_14428); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14435;
BgL_____rz00_14435 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12200, BgL_nsz00_14432, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14434); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14433, BgL_sz00_14428); 
return BgL_____rz00_14435;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5161 */
obj_t BGl_z62run5161z62zz__evaluate_compz00(obj_t BgL_envz00_12202, obj_t BgL_sz00_12205)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12203;obj_t BgL_bodyz00_12204;
BgL_i1242z00_12203 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12202, 
(int)(((long)0)))); 
BgL_bodyz00_12204 = 
PROCEDURE_REF(BgL_envz00_12202, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14436;
BgL_bpz00_14436 = 
VECTOR_REF(
((obj_t)BgL_sz00_12205),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14437;obj_t BgL_wherez00_14438;obj_t BgL_locz00_14439;
BgL_z12denvz12_14437 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14438 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12203))->BgL_wherez00); 
BgL_locz00_14439 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12203))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14437, BgL_wherez00_14438, BgL_locz00_14439); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14440;
BgL_za2za2resza2za2z00_14440 = 
PROCEDURE_ENTRY(BgL_bodyz00_12204)(BgL_bodyz00_12204, BgL_sz00_12205, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14437); 
return BgL_za2za2resza2za2z00_14440;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3134> */
obj_t BGl_z62zc3anonymousza33134ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12206, obj_t BgL_sz00_12211)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12207;BgL_ev_absz00_bglt BgL_i1242z00_12208;obj_t BgL_bodyz00_12209;long BgL_siza7ezd2framez75_12210;
BgL_iboxesz00_12207 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12206, 
(int)(((long)0)))); 
BgL_i1242z00_12208 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12206, 
(int)(((long)1)))); 
BgL_bodyz00_12209 = 
PROCEDURE_REF(BgL_envz00_12206, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12210 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12206, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14441;
BgL_bpz00_14441 = 
VECTOR_REF(
((obj_t)BgL_sz00_12211),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14442;
BgL_runz00_14442 = 
MAKE_FX_PROCEDURE(BGl_z62run5163z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14442, 
(int)(((long)0)), BgL_iboxesz00_12207); 
PROCEDURE_SET(BgL_runz00_14442, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_12208)); 
PROCEDURE_SET(BgL_runz00_14442, 
(int)(((long)2)), BgL_bodyz00_12209); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14443;
BgL_mainz00_14443 = 
MAKE_FX_PROCEDURE(BGl_z62main5162z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14443, 
(int)(((long)0)), BgL_iboxesz00_12207); 
PROCEDURE_SET(BgL_mainz00_14443, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_12208)); 
PROCEDURE_SET(BgL_mainz00_14443, 
(int)(((long)2)), BgL_bodyz00_12209); 
PROCEDURE_SET(BgL_mainz00_14443, 
(int)(((long)3)), BgL_runz00_14442); 
PROCEDURE_SET(BgL_mainz00_14443, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12210)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14444;
BgL_objz00_14444 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14442, BgL_objz00_14444); BgL_objz00_14444; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3135z00_14445;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3136z00_14446;
BgL_arg3136z00_14446 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12208))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14447;
BgL_newz00_14447 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27131;
BgL_tmpz00_27131 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14447, BgL_tmpz00_27131, BgL_arg3136z00_14446); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27136;int BgL_tmpz00_27134;
BgL_auxz00_27136 = 
BINT(BgL_siza7ezd2framez75_12210); 
BgL_tmpz00_27134 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14447, BgL_tmpz00_27134, BgL_auxz00_27136); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27139;
BgL_tmpz00_27139 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14447, BgL_tmpz00_27139, BgL_runz00_14442); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27144;int BgL_tmpz00_27142;
BgL_auxz00_27144 = 
BINT(((long)0)); 
BgL_tmpz00_27142 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14447, BgL_tmpz00_27142, BgL_auxz00_27144); } 
BgL_arg3135z00_14445 = BgL_newz00_14447; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14443, BgL_arg3135z00_14445); BgL_arg3135z00_14445; } 
return BgL_mainz00_14443;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5162 */
obj_t BGl_z62main5162z62zz__evaluate_compz00(obj_t BgL_envz00_12212)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12216;long BgL_siza7ezd2framez75_12217;
BgL_runz00_12216 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12212, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12217 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12212, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14448;
BgL_sz00_14448 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14449;
BgL_bpz00_14449 = 
VECTOR_REF(
((obj_t)BgL_sz00_14448),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14448, BgL_bpz00_14449, 
BINT(BgL_siza7ezd2framez75_12217)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14450;
BgL_ez00_14450 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14450, BgL_bpz00_14449); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14451;
BgL_accz00_14451 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12216, BgL_sz00_14448, BgL_bpz00_14449); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14450); 
VECTOR_SET(
((obj_t)BgL_sz00_14448),((long)0),BgL_bpz00_14449); 
return BgL_accz00_14451;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14452;
BgL_nsz00_14452 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14452,((long)1),BgL_sz00_14448); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14453;
BgL_z12denvz12_14453 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14453, BgL_nsz00_14452); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14454;
BgL_ez00_14454 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14454, BgL_sz00_14448); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14455;
BgL_____rz00_14455 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12216, BgL_nsz00_14452, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14454); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14453, BgL_sz00_14448); 
return BgL_____rz00_14455;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5163 */
obj_t BGl_z62run5163z62zz__evaluate_compz00(obj_t BgL_envz00_12218, obj_t BgL_sz00_12222)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12219;BgL_ev_absz00_bglt BgL_i1242z00_12220;obj_t BgL_bodyz00_12221;
BgL_iboxesz00_12219 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12218, 
(int)(((long)0)))); 
BgL_i1242z00_12220 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12218, 
(int)(((long)1)))); 
BgL_bodyz00_12221 = 
PROCEDURE_REF(BgL_envz00_12218, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14456;
BgL_bpz00_14456 = 
VECTOR_REF(
((obj_t)BgL_sz00_12222),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12222, BgL_iboxesz00_12219, BgL_bpz00_14456); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14457;obj_t BgL_wherez00_14458;obj_t BgL_locz00_14459;
BgL_z12denvz12_14457 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14458 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12220))->BgL_wherez00); 
BgL_locz00_14459 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12220))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14457, BgL_wherez00_14458, BgL_locz00_14459); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14460;
BgL_za2za2resza2za2z00_14460 = 
PROCEDURE_ENTRY(BgL_bodyz00_12221)(BgL_bodyz00_12221, BgL_sz00_12222, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14457); 
return BgL_za2za2resza2za2z00_14460;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3143> */
obj_t BGl_z62zc3anonymousza33143ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12223, obj_t BgL_sz00_12229)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12224;long BgL_siza7eza7_12225;BgL_ev_absz00_bglt BgL_i1242z00_12226;obj_t BgL_bodyz00_12227;long BgL_siza7ezd2framez75_12228;
BgL_ifreesz00_12224 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12223, 
(int)(((long)0)))); 
BgL_siza7eza7_12225 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12223, 
(int)(((long)1)))); 
BgL_i1242z00_12226 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12223, 
(int)(((long)2)))); 
BgL_bodyz00_12227 = 
PROCEDURE_REF(BgL_envz00_12223, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12228 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12223, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14461;
BgL_bpz00_14461 = 
VECTOR_REF(
((obj_t)BgL_sz00_12229),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14462;
BgL_valza2za2_14462 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12229, BgL_bpz00_14461, BgL_ifreesz00_12224); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14463;
BgL_runz00_14463 = 
MAKE_FX_PROCEDURE(BGl_z62run5165z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14463, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12225)); 
PROCEDURE_SET(BgL_runz00_14463, 
(int)(((long)1)), BgL_valza2za2_14462); 
PROCEDURE_SET(BgL_runz00_14463, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_12226)); 
PROCEDURE_SET(BgL_runz00_14463, 
(int)(((long)3)), BgL_bodyz00_12227); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14464;
BgL_mainz00_14464 = 
MAKE_FX_PROCEDURE(BGl_z62main5164z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14464, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12225)); 
PROCEDURE_SET(BgL_mainz00_14464, 
(int)(((long)1)), BgL_valza2za2_14462); 
PROCEDURE_SET(BgL_mainz00_14464, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_12226)); 
PROCEDURE_SET(BgL_mainz00_14464, 
(int)(((long)3)), BgL_bodyz00_12227); 
PROCEDURE_SET(BgL_mainz00_14464, 
(int)(((long)4)), BgL_runz00_14463); 
PROCEDURE_SET(BgL_mainz00_14464, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12228)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14465;
BgL_objz00_14465 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14463, BgL_objz00_14465); BgL_objz00_14465; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3144z00_14466;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3145z00_14467;
BgL_arg3145z00_14467 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12226))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14468;
BgL_newz00_14468 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27248;
BgL_tmpz00_27248 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14468, BgL_tmpz00_27248, BgL_arg3145z00_14467); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27253;int BgL_tmpz00_27251;
BgL_auxz00_27253 = 
BINT(BgL_siza7ezd2framez75_12228); 
BgL_tmpz00_27251 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14468, BgL_tmpz00_27251, BgL_auxz00_27253); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27256;
BgL_tmpz00_27256 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14468, BgL_tmpz00_27256, BgL_runz00_14463); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27261;int BgL_tmpz00_27259;
BgL_auxz00_27261 = 
BINT(((long)0)); 
BgL_tmpz00_27259 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14468, BgL_tmpz00_27259, BgL_auxz00_27261); } 
BgL_arg3144z00_14466 = BgL_newz00_14468; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14464, BgL_arg3144z00_14466); BgL_arg3144z00_14466; } 
return BgL_mainz00_14464;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5164 */
obj_t BGl_z62main5164z62zz__evaluate_compz00(obj_t BgL_envz00_12230)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12235;long BgL_siza7ezd2framez75_12236;
BgL_runz00_12235 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12230, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12236 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12230, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14469;
BgL_sz00_14469 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14470;
BgL_bpz00_14470 = 
VECTOR_REF(
((obj_t)BgL_sz00_14469),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14469, BgL_bpz00_14470, 
BINT(BgL_siza7ezd2framez75_12236)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14471;
BgL_ez00_14471 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14471, BgL_bpz00_14470); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14472;
BgL_accz00_14472 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12235, BgL_sz00_14469, BgL_bpz00_14470); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14471); 
VECTOR_SET(
((obj_t)BgL_sz00_14469),((long)0),BgL_bpz00_14470); 
return BgL_accz00_14472;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14473;
BgL_nsz00_14473 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14473,((long)1),BgL_sz00_14469); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14474;
BgL_z12denvz12_14474 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14474, BgL_nsz00_14473); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14475;
BgL_ez00_14475 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14475, BgL_sz00_14469); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14476;
BgL_____rz00_14476 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12235, BgL_nsz00_14473, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14475); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14474, BgL_sz00_14469); 
return BgL_____rz00_14476;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5165 */
obj_t BGl_z62run5165z62zz__evaluate_compz00(obj_t BgL_envz00_12237, obj_t BgL_sz00_12242)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12238;obj_t BgL_valza2za2_12239;BgL_ev_absz00_bglt BgL_i1242z00_12240;obj_t BgL_bodyz00_12241;
BgL_siza7eza7_12238 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12237, 
(int)(((long)0)))); 
BgL_valza2za2_12239 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12237, 
(int)(((long)1)))); 
BgL_i1242z00_12240 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12237, 
(int)(((long)2)))); 
BgL_bodyz00_12241 = 
PROCEDURE_REF(BgL_envz00_12237, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14477;
BgL_bpz00_14477 = 
VECTOR_REF(
((obj_t)BgL_sz00_12242),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12242, BgL_valza2za2_12239, 
(
(long)CINT(BgL_bpz00_14477)+BgL_siza7eza7_12238)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14478;obj_t BgL_wherez00_14479;obj_t BgL_locz00_14480;
BgL_z12denvz12_14478 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14479 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12240))->BgL_wherez00); 
BgL_locz00_14480 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12240))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14478, BgL_wherez00_14479, BgL_locz00_14480); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14481;
BgL_za2za2resza2za2z00_14481 = 
PROCEDURE_ENTRY(BgL_bodyz00_12241)(BgL_bodyz00_12241, BgL_sz00_12242, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14478); 
return BgL_za2za2resza2za2z00_14481;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3150> */
obj_t BGl_z62zc3anonymousza33150ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12243, obj_t BgL_sz00_12250)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12244;obj_t BgL_iboxesz00_12245;long BgL_siza7eza7_12246;BgL_ev_absz00_bglt BgL_i1242z00_12247;obj_t BgL_bodyz00_12248;long BgL_siza7ezd2framez75_12249;
BgL_ifreesz00_12244 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)0)))); 
BgL_iboxesz00_12245 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)1)))); 
BgL_siza7eza7_12246 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)2)))); 
BgL_i1242z00_12247 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)3)))); 
BgL_bodyz00_12248 = 
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12249 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14482;
BgL_bpz00_14482 = 
VECTOR_REF(
((obj_t)BgL_sz00_12250),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14483;
BgL_valza2za2_14483 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12250, BgL_bpz00_14482, BgL_ifreesz00_12244); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14484;
BgL_runz00_14484 = 
MAKE_FX_PROCEDURE(BGl_z62run5167z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14484, 
(int)(((long)0)), BgL_iboxesz00_12245); 
PROCEDURE_SET(BgL_runz00_14484, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12246)); 
PROCEDURE_SET(BgL_runz00_14484, 
(int)(((long)2)), BgL_valza2za2_14483); 
PROCEDURE_SET(BgL_runz00_14484, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12247)); 
PROCEDURE_SET(BgL_runz00_14484, 
(int)(((long)4)), BgL_bodyz00_12248); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14485;
BgL_mainz00_14485 = 
MAKE_FX_PROCEDURE(BGl_z62main5166z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14485, 
(int)(((long)0)), BgL_iboxesz00_12245); 
PROCEDURE_SET(BgL_mainz00_14485, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12246)); 
PROCEDURE_SET(BgL_mainz00_14485, 
(int)(((long)2)), BgL_valza2za2_14483); 
PROCEDURE_SET(BgL_mainz00_14485, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12247)); 
PROCEDURE_SET(BgL_mainz00_14485, 
(int)(((long)4)), BgL_bodyz00_12248); 
PROCEDURE_SET(BgL_mainz00_14485, 
(int)(((long)5)), BgL_runz00_14484); 
PROCEDURE_SET(BgL_mainz00_14485, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12249)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14486;
BgL_objz00_14486 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14484, BgL_objz00_14486); BgL_objz00_14486; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3151z00_14487;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3152z00_14488;
BgL_arg3152z00_14488 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12247))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14489;
BgL_newz00_14489 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27377;
BgL_tmpz00_27377 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14489, BgL_tmpz00_27377, BgL_arg3152z00_14488); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27382;int BgL_tmpz00_27380;
BgL_auxz00_27382 = 
BINT(BgL_siza7ezd2framez75_12249); 
BgL_tmpz00_27380 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14489, BgL_tmpz00_27380, BgL_auxz00_27382); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27385;
BgL_tmpz00_27385 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14489, BgL_tmpz00_27385, BgL_runz00_14484); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27390;int BgL_tmpz00_27388;
BgL_auxz00_27390 = 
BINT(((long)0)); 
BgL_tmpz00_27388 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14489, BgL_tmpz00_27388, BgL_auxz00_27390); } 
BgL_arg3151z00_14487 = BgL_newz00_14489; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14485, BgL_arg3151z00_14487); BgL_arg3151z00_14487; } 
return BgL_mainz00_14485;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5166 */
obj_t BGl_z62main5166z62zz__evaluate_compz00(obj_t BgL_envz00_12251)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12257;long BgL_siza7ezd2framez75_12258;
BgL_runz00_12257 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12251, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12258 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12251, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14490;
BgL_sz00_14490 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14491;
BgL_bpz00_14491 = 
VECTOR_REF(
((obj_t)BgL_sz00_14490),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14490, BgL_bpz00_14491, 
BINT(BgL_siza7ezd2framez75_12258)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14492;
BgL_ez00_14492 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14492, BgL_bpz00_14491); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14493;
BgL_accz00_14493 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12257, BgL_sz00_14490, BgL_bpz00_14491); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14492); 
VECTOR_SET(
((obj_t)BgL_sz00_14490),((long)0),BgL_bpz00_14491); 
return BgL_accz00_14493;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14494;
BgL_nsz00_14494 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14494,((long)1),BgL_sz00_14490); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14495;
BgL_z12denvz12_14495 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14495, BgL_nsz00_14494); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14496;
BgL_ez00_14496 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14496, BgL_sz00_14490); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14497;
BgL_____rz00_14497 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12257, BgL_nsz00_14494, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14496); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14495, BgL_sz00_14490); 
return BgL_____rz00_14497;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5167 */
obj_t BGl_z62run5167z62zz__evaluate_compz00(obj_t BgL_envz00_12259, obj_t BgL_sz00_12265)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12260;long BgL_siza7eza7_12261;obj_t BgL_valza2za2_12262;BgL_ev_absz00_bglt BgL_i1242z00_12263;obj_t BgL_bodyz00_12264;
BgL_iboxesz00_12260 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12259, 
(int)(((long)0)))); 
BgL_siza7eza7_12261 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12259, 
(int)(((long)1)))); 
BgL_valza2za2_12262 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12259, 
(int)(((long)2)))); 
BgL_i1242z00_12263 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12259, 
(int)(((long)3)))); 
BgL_bodyz00_12264 = 
PROCEDURE_REF(BgL_envz00_12259, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14498;
BgL_bpz00_14498 = 
VECTOR_REF(
((obj_t)BgL_sz00_12265),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12265, BgL_iboxesz00_12260, BgL_bpz00_14498); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12265, BgL_valza2za2_12262, 
(
(long)CINT(BgL_bpz00_14498)+BgL_siza7eza7_12261)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14499;obj_t BgL_wherez00_14500;obj_t BgL_locz00_14501;
BgL_z12denvz12_14499 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14500 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12263))->BgL_wherez00); 
BgL_locz00_14501 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12263))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14499, BgL_wherez00_14500, BgL_locz00_14501); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14502;
BgL_za2za2resza2za2z00_14502 = 
PROCEDURE_ENTRY(BgL_bodyz00_12264)(BgL_bodyz00_12264, BgL_sz00_12265, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14499); 
return BgL_za2za2resza2za2z00_14502;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3578> */
obj_t BGl_z62zc3anonymousza33578ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12266, obj_t BgL_sz00_12270)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12267;obj_t BgL_bodyz00_12268;long BgL_siza7ezd2framez75_12269;
BgL_i1242z00_12267 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12266, 
(int)(((long)0)))); 
BgL_bodyz00_12268 = 
PROCEDURE_REF(BgL_envz00_12266, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12269 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12266, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14503;
BgL_bpz00_14503 = 
VECTOR_REF(
((obj_t)BgL_sz00_12270),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14504;
BgL_runz00_14504 = 
MAKE_FX_PROCEDURE(BGl_z62run5169z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14504, 
(int)(((long)0)), 
((obj_t)BgL_i1242z00_12267)); 
PROCEDURE_SET(BgL_runz00_14504, 
(int)(((long)1)), BgL_bodyz00_12268); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14505;
BgL_mainz00_14505 = 
MAKE_VA_PROCEDURE(BGl_z62main5168z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14505, 
(int)(((long)0)), BgL_bodyz00_12268); 
PROCEDURE_SET(BgL_mainz00_14505, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_12267)); 
PROCEDURE_SET(BgL_mainz00_14505, 
(int)(((long)2)), BgL_runz00_14504); 
PROCEDURE_SET(BgL_mainz00_14505, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12269)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14506;
BgL_objz00_14506 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14504, BgL_objz00_14506); BgL_objz00_14506; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3579z00_14507;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3580z00_14508;obj_t BgL_arg3581z00_14509;
BgL_arg3580z00_14508 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12267))->BgL_arityz00); 
BgL_arg3581z00_14509 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12267))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14510;
BgL_newz00_14510 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27487;
BgL_tmpz00_27487 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14510, BgL_tmpz00_27487, BgL_arg3581z00_14509); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27492;int BgL_tmpz00_27490;
BgL_auxz00_27492 = 
BINT(BgL_siza7ezd2framez75_12269); 
BgL_tmpz00_27490 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14510, BgL_tmpz00_27490, BgL_auxz00_27492); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27495;
BgL_tmpz00_27495 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14510, BgL_tmpz00_27495, BgL_runz00_14504); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27498;
BgL_tmpz00_27498 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14510, BgL_tmpz00_27498, BgL_arg3580z00_14508); } 
BgL_arg3579z00_14507 = BgL_newz00_14510; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14505, BgL_arg3579z00_14507); BgL_arg3579z00_14507; } 
return BgL_mainz00_14505;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5168 */
obj_t BGl_z62main5168z62zz__evaluate_compz00(obj_t BgL_envz00_12271, obj_t BgL_az00_12276, obj_t BgL_bz00_12277, obj_t BgL_cz00_12278, obj_t BgL_dz00_12279, obj_t BgL_restz00_12280)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12273;obj_t BgL_runz00_12274;long BgL_siza7ezd2framez75_12275;
BgL_i1242z00_12273 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12271, 
(int)(((long)1)))); 
BgL_runz00_12274 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12271, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12275 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12271, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14511;
BgL_sz00_14511 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14512;
BgL_bpz00_14512 = 
VECTOR_REF(
((obj_t)BgL_sz00_14511),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14511, BgL_bpz00_14512, 
BINT(BgL_siza7ezd2framez75_12275)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3584z00_14513;
BgL_arg3584z00_14513 = 
(
(long)CINT(BgL_bpz00_14512)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14511),BgL_arg3584z00_14513,BgL_az00_12276); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3585z00_14514;
BgL_arg3585z00_14514 = 
(
(long)CINT(BgL_bpz00_14512)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14511),BgL_arg3585z00_14514,BgL_bz00_12277); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3586z00_14515;
BgL_arg3586z00_14515 = 
(
(long)CINT(BgL_bpz00_14512)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14511),BgL_arg3586z00_14515,BgL_cz00_12278); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3587z00_14516;
BgL_arg3587z00_14516 = 
(
(long)CINT(BgL_bpz00_14512)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14511),BgL_arg3587z00_14516,BgL_dz00_12279); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14511, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12273))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14512)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12273))->BgL_arityz00), ((long)4)), BgL_restz00_12280, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12273))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14517;
BgL_ez00_14517 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14517, BgL_bpz00_14512); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14518;
BgL_accz00_14518 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12274, BgL_sz00_14511, BgL_bpz00_14512); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14517); 
VECTOR_SET(
((obj_t)BgL_sz00_14511),((long)0),BgL_bpz00_14512); 
return BgL_accz00_14518;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14519;
BgL_nsz00_14519 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14519,((long)1),BgL_sz00_14511); 
VECTOR_SET(BgL_nsz00_14519,((long)2),BgL_az00_12276); 
VECTOR_SET(BgL_nsz00_14519,((long)3),BgL_bz00_12277); 
VECTOR_SET(BgL_nsz00_14519,((long)4),BgL_cz00_12278); 
VECTOR_SET(BgL_nsz00_14519,((long)5),BgL_dz00_12279); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14519, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12273))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12273))->BgL_arityz00), ((long)4)), BgL_restz00_12280, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12273))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14520;
BgL_z12denvz12_14520 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14520, BgL_nsz00_14519); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14521;
BgL_ez00_14521 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14521, BgL_sz00_14511); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14522;
BgL_____rz00_14522 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12274, BgL_nsz00_14519, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14521); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14520, BgL_sz00_14511); 
return BgL_____rz00_14522;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5169 */
obj_t BGl_z62run5169z62zz__evaluate_compz00(obj_t BgL_envz00_12281, obj_t BgL_sz00_12284)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12282;obj_t BgL_bodyz00_12283;
BgL_i1242z00_12282 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12281, 
(int)(((long)0)))); 
BgL_bodyz00_12283 = 
PROCEDURE_REF(BgL_envz00_12281, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14523;
BgL_bpz00_14523 = 
VECTOR_REF(
((obj_t)BgL_sz00_12284),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14524;obj_t BgL_wherez00_14525;obj_t BgL_locz00_14526;
BgL_z12denvz12_14524 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14525 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12282))->BgL_wherez00); 
BgL_locz00_14526 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12282))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14524, BgL_wherez00_14525, BgL_locz00_14526); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14527;
BgL_za2za2resza2za2z00_14527 = 
PROCEDURE_ENTRY(BgL_bodyz00_12283)(BgL_bodyz00_12283, BgL_sz00_12284, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14524); 
return BgL_za2za2resza2za2z00_14527;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3598> */
obj_t BGl_z62zc3anonymousza33598ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12285, obj_t BgL_sz00_12290)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12286;BgL_ev_absz00_bglt BgL_i1242z00_12287;obj_t BgL_bodyz00_12288;long BgL_siza7ezd2framez75_12289;
BgL_iboxesz00_12286 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12285, 
(int)(((long)0)))); 
BgL_i1242z00_12287 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12285, 
(int)(((long)1)))); 
BgL_bodyz00_12288 = 
PROCEDURE_REF(BgL_envz00_12285, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12289 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12285, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14528;
BgL_bpz00_14528 = 
VECTOR_REF(
((obj_t)BgL_sz00_12290),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14529;
BgL_runz00_14529 = 
MAKE_FX_PROCEDURE(BGl_z62run5171z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14529, 
(int)(((long)0)), BgL_iboxesz00_12286); 
PROCEDURE_SET(BgL_runz00_14529, 
(int)(((long)1)), 
((obj_t)BgL_i1242z00_12287)); 
PROCEDURE_SET(BgL_runz00_14529, 
(int)(((long)2)), BgL_bodyz00_12288); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14530;
BgL_mainz00_14530 = 
MAKE_VA_PROCEDURE(BGl_z62main5170z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14530, 
(int)(((long)0)), BgL_iboxesz00_12286); 
PROCEDURE_SET(BgL_mainz00_14530, 
(int)(((long)1)), BgL_bodyz00_12288); 
PROCEDURE_SET(BgL_mainz00_14530, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_12287)); 
PROCEDURE_SET(BgL_mainz00_14530, 
(int)(((long)3)), BgL_runz00_14529); 
PROCEDURE_SET(BgL_mainz00_14530, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12289)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14531;
BgL_objz00_14531 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14529, BgL_objz00_14531); BgL_objz00_14531; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3599z00_14532;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3600z00_14533;obj_t BgL_arg3601z00_14534;
BgL_arg3600z00_14533 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12287))->BgL_arityz00); 
BgL_arg3601z00_14534 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12287))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14535;
BgL_newz00_14535 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27624;
BgL_tmpz00_27624 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14535, BgL_tmpz00_27624, BgL_arg3601z00_14534); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27629;int BgL_tmpz00_27627;
BgL_auxz00_27629 = 
BINT(BgL_siza7ezd2framez75_12289); 
BgL_tmpz00_27627 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14535, BgL_tmpz00_27627, BgL_auxz00_27629); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27632;
BgL_tmpz00_27632 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14535, BgL_tmpz00_27632, BgL_runz00_14529); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27635;
BgL_tmpz00_27635 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14535, BgL_tmpz00_27635, BgL_arg3600z00_14533); } 
BgL_arg3599z00_14532 = BgL_newz00_14535; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14530, BgL_arg3599z00_14532); BgL_arg3599z00_14532; } 
return BgL_mainz00_14530;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5170 */
obj_t BGl_z62main5170z62zz__evaluate_compz00(obj_t BgL_envz00_12291, obj_t BgL_az00_12297, obj_t BgL_bz00_12298, obj_t BgL_cz00_12299, obj_t BgL_dz00_12300, obj_t BgL_restz00_12301)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12294;obj_t BgL_runz00_12295;long BgL_siza7ezd2framez75_12296;
BgL_i1242z00_12294 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12291, 
(int)(((long)2)))); 
BgL_runz00_12295 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12291, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12296 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12291, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14536;
BgL_sz00_14536 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14537;
BgL_bpz00_14537 = 
VECTOR_REF(
((obj_t)BgL_sz00_14536),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14536, BgL_bpz00_14537, 
BINT(BgL_siza7ezd2framez75_12296)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3604z00_14538;
BgL_arg3604z00_14538 = 
(
(long)CINT(BgL_bpz00_14537)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14536),BgL_arg3604z00_14538,BgL_az00_12297); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3605z00_14539;
BgL_arg3605z00_14539 = 
(
(long)CINT(BgL_bpz00_14537)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14536),BgL_arg3605z00_14539,BgL_bz00_12298); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3606z00_14540;
BgL_arg3606z00_14540 = 
(
(long)CINT(BgL_bpz00_14537)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14536),BgL_arg3606z00_14540,BgL_cz00_12299); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3607z00_14541;
BgL_arg3607z00_14541 = 
(
(long)CINT(BgL_bpz00_14537)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14536),BgL_arg3607z00_14541,BgL_dz00_12300); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14536, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12294))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14537)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12294))->BgL_arityz00), ((long)4)), BgL_restz00_12301, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12294))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14542;
BgL_ez00_14542 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14542, BgL_bpz00_14537); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14543;
BgL_accz00_14543 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12295, BgL_sz00_14536, BgL_bpz00_14537); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14542); 
VECTOR_SET(
((obj_t)BgL_sz00_14536),((long)0),BgL_bpz00_14537); 
return BgL_accz00_14543;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14544;
BgL_nsz00_14544 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14544,((long)1),BgL_sz00_14536); 
VECTOR_SET(BgL_nsz00_14544,((long)2),BgL_az00_12297); 
VECTOR_SET(BgL_nsz00_14544,((long)3),BgL_bz00_12298); 
VECTOR_SET(BgL_nsz00_14544,((long)4),BgL_cz00_12299); 
VECTOR_SET(BgL_nsz00_14544,((long)5),BgL_dz00_12300); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14544, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12294))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12294))->BgL_arityz00), ((long)4)), BgL_restz00_12301, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12294))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14545;
BgL_z12denvz12_14545 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14545, BgL_nsz00_14544); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14546;
BgL_ez00_14546 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14546, BgL_sz00_14536); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14547;
BgL_____rz00_14547 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12295, BgL_nsz00_14544, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14546); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14545, BgL_sz00_14536); 
return BgL_____rz00_14547;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5171 */
obj_t BGl_z62run5171z62zz__evaluate_compz00(obj_t BgL_envz00_12302, obj_t BgL_sz00_12306)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12303;BgL_ev_absz00_bglt BgL_i1242z00_12304;obj_t BgL_bodyz00_12305;
BgL_iboxesz00_12303 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12302, 
(int)(((long)0)))); 
BgL_i1242z00_12304 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12302, 
(int)(((long)1)))); 
BgL_bodyz00_12305 = 
PROCEDURE_REF(BgL_envz00_12302, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14548;
BgL_bpz00_14548 = 
VECTOR_REF(
((obj_t)BgL_sz00_12306),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12306, BgL_iboxesz00_12303, BgL_bpz00_14548); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14549;obj_t BgL_wherez00_14550;obj_t BgL_locz00_14551;
BgL_z12denvz12_14549 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14550 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12304))->BgL_wherez00); 
BgL_locz00_14551 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12304))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14549, BgL_wherez00_14550, BgL_locz00_14551); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14552;
BgL_za2za2resza2za2z00_14552 = 
PROCEDURE_ENTRY(BgL_bodyz00_12305)(BgL_bodyz00_12305, BgL_sz00_12306, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14549); 
return BgL_za2za2resza2za2z00_14552;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3621> */
obj_t BGl_z62zc3anonymousza33621ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12307, obj_t BgL_sz00_12313)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12308;long BgL_siza7eza7_12309;BgL_ev_absz00_bglt BgL_i1242z00_12310;obj_t BgL_bodyz00_12311;long BgL_siza7ezd2framez75_12312;
BgL_ifreesz00_12308 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12307, 
(int)(((long)0)))); 
BgL_siza7eza7_12309 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12307, 
(int)(((long)1)))); 
BgL_i1242z00_12310 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12307, 
(int)(((long)2)))); 
BgL_bodyz00_12311 = 
PROCEDURE_REF(BgL_envz00_12307, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12312 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12307, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14553;
BgL_bpz00_14553 = 
VECTOR_REF(
((obj_t)BgL_sz00_12313),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14554;
BgL_valza2za2_14554 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12313, BgL_bpz00_14553, BgL_ifreesz00_12308); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14555;
BgL_runz00_14555 = 
MAKE_FX_PROCEDURE(BGl_z62run5173z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14555, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12309)); 
PROCEDURE_SET(BgL_runz00_14555, 
(int)(((long)1)), BgL_valza2za2_14554); 
PROCEDURE_SET(BgL_runz00_14555, 
(int)(((long)2)), 
((obj_t)BgL_i1242z00_12310)); 
PROCEDURE_SET(BgL_runz00_14555, 
(int)(((long)3)), BgL_bodyz00_12311); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14556;
BgL_mainz00_14556 = 
MAKE_VA_PROCEDURE(BGl_z62main5172z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14556, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12309)); 
PROCEDURE_SET(BgL_mainz00_14556, 
(int)(((long)1)), BgL_valza2za2_14554); 
PROCEDURE_SET(BgL_mainz00_14556, 
(int)(((long)2)), BgL_bodyz00_12311); 
PROCEDURE_SET(BgL_mainz00_14556, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12310)); 
PROCEDURE_SET(BgL_mainz00_14556, 
(int)(((long)4)), BgL_runz00_14555); 
PROCEDURE_SET(BgL_mainz00_14556, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12312)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14557;
BgL_objz00_14557 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14555, BgL_objz00_14557); BgL_objz00_14557; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3622z00_14558;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3623z00_14559;obj_t BgL_arg3624z00_14560;
BgL_arg3623z00_14559 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12310))->BgL_arityz00); 
BgL_arg3624z00_14560 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12310))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14561;
BgL_newz00_14561 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27775;
BgL_tmpz00_27775 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14561, BgL_tmpz00_27775, BgL_arg3624z00_14560); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27780;int BgL_tmpz00_27778;
BgL_auxz00_27780 = 
BINT(BgL_siza7ezd2framez75_12312); 
BgL_tmpz00_27778 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14561, BgL_tmpz00_27778, BgL_auxz00_27780); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27783;
BgL_tmpz00_27783 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14561, BgL_tmpz00_27783, BgL_runz00_14555); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27786;
BgL_tmpz00_27786 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14561, BgL_tmpz00_27786, BgL_arg3623z00_14559); } 
BgL_arg3622z00_14558 = BgL_newz00_14561; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14556, BgL_arg3622z00_14558); BgL_arg3622z00_14558; } 
return BgL_mainz00_14556;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5172 */
obj_t BGl_z62main5172z62zz__evaluate_compz00(obj_t BgL_envz00_12314, obj_t BgL_az00_12321, obj_t BgL_bz00_12322, obj_t BgL_cz00_12323, obj_t BgL_dz00_12324, obj_t BgL_restz00_12325)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12318;obj_t BgL_runz00_12319;long BgL_siza7ezd2framez75_12320;
BgL_i1242z00_12318 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12314, 
(int)(((long)3)))); 
BgL_runz00_12319 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12314, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12320 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12314, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14562;
BgL_sz00_14562 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14563;
BgL_bpz00_14563 = 
VECTOR_REF(
((obj_t)BgL_sz00_14562),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14562, BgL_bpz00_14563, 
BINT(BgL_siza7ezd2framez75_12320)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3627z00_14564;
BgL_arg3627z00_14564 = 
(
(long)CINT(BgL_bpz00_14563)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14562),BgL_arg3627z00_14564,BgL_az00_12321); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3628z00_14565;
BgL_arg3628z00_14565 = 
(
(long)CINT(BgL_bpz00_14563)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14562),BgL_arg3628z00_14565,BgL_bz00_12322); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3629z00_14566;
BgL_arg3629z00_14566 = 
(
(long)CINT(BgL_bpz00_14563)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14562),BgL_arg3629z00_14566,BgL_cz00_12323); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3630z00_14567;
BgL_arg3630z00_14567 = 
(
(long)CINT(BgL_bpz00_14563)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14562),BgL_arg3630z00_14567,BgL_dz00_12324); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14562, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12318))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14563)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12318))->BgL_arityz00), ((long)4)), BgL_restz00_12325, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12318))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14568;
BgL_ez00_14568 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14568, BgL_bpz00_14563); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14569;
BgL_accz00_14569 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12319, BgL_sz00_14562, BgL_bpz00_14563); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14568); 
VECTOR_SET(
((obj_t)BgL_sz00_14562),((long)0),BgL_bpz00_14563); 
return BgL_accz00_14569;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14570;
BgL_nsz00_14570 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14570,((long)1),BgL_sz00_14562); 
VECTOR_SET(BgL_nsz00_14570,((long)2),BgL_az00_12321); 
VECTOR_SET(BgL_nsz00_14570,((long)3),BgL_bz00_12322); 
VECTOR_SET(BgL_nsz00_14570,((long)4),BgL_cz00_12323); 
VECTOR_SET(BgL_nsz00_14570,((long)5),BgL_dz00_12324); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14570, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12318))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12318))->BgL_arityz00), ((long)4)), BgL_restz00_12325, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12318))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14571;
BgL_z12denvz12_14571 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14571, BgL_nsz00_14570); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14572;
BgL_ez00_14572 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14572, BgL_sz00_14562); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14573;
BgL_____rz00_14573 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12319, BgL_nsz00_14570, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14572); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14571, BgL_sz00_14562); 
return BgL_____rz00_14573;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5173 */
obj_t BGl_z62run5173z62zz__evaluate_compz00(obj_t BgL_envz00_12326, obj_t BgL_sz00_12331)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12327;obj_t BgL_valza2za2_12328;BgL_ev_absz00_bglt BgL_i1242z00_12329;obj_t BgL_bodyz00_12330;
BgL_siza7eza7_12327 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12326, 
(int)(((long)0)))); 
BgL_valza2za2_12328 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12326, 
(int)(((long)1)))); 
BgL_i1242z00_12329 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12326, 
(int)(((long)2)))); 
BgL_bodyz00_12330 = 
PROCEDURE_REF(BgL_envz00_12326, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14574;
BgL_bpz00_14574 = 
VECTOR_REF(
((obj_t)BgL_sz00_12331),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12331, BgL_valza2za2_12328, 
(
(long)CINT(BgL_bpz00_14574)+BgL_siza7eza7_12327)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14575;obj_t BgL_wherez00_14576;obj_t BgL_locz00_14577;
BgL_z12denvz12_14575 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14576 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12329))->BgL_wherez00); 
BgL_locz00_14577 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12329))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14575, BgL_wherez00_14576, BgL_locz00_14577); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14578;
BgL_za2za2resza2za2z00_14578 = 
PROCEDURE_ENTRY(BgL_bodyz00_12330)(BgL_bodyz00_12330, BgL_sz00_12331, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14575); 
return BgL_za2za2resza2za2z00_14578;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3642> */
obj_t BGl_z62zc3anonymousza33642ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12332, obj_t BgL_sz00_12339)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12333;obj_t BgL_iboxesz00_12334;long BgL_siza7eza7_12335;BgL_ev_absz00_bglt BgL_i1242z00_12336;obj_t BgL_bodyz00_12337;long BgL_siza7ezd2framez75_12338;
BgL_ifreesz00_12333 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12332, 
(int)(((long)0)))); 
BgL_iboxesz00_12334 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12332, 
(int)(((long)1)))); 
BgL_siza7eza7_12335 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12332, 
(int)(((long)2)))); 
BgL_i1242z00_12336 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12332, 
(int)(((long)3)))); 
BgL_bodyz00_12337 = 
PROCEDURE_REF(BgL_envz00_12332, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12338 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12332, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14579;
BgL_bpz00_14579 = 
VECTOR_REF(
((obj_t)BgL_sz00_12339),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14580;
BgL_valza2za2_14580 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12339, BgL_bpz00_14579, BgL_ifreesz00_12333); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14581;
BgL_runz00_14581 = 
MAKE_FX_PROCEDURE(BGl_z62run5175z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14581, 
(int)(((long)0)), BgL_iboxesz00_12334); 
PROCEDURE_SET(BgL_runz00_14581, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12335)); 
PROCEDURE_SET(BgL_runz00_14581, 
(int)(((long)2)), BgL_valza2za2_14580); 
PROCEDURE_SET(BgL_runz00_14581, 
(int)(((long)3)), 
((obj_t)BgL_i1242z00_12336)); 
PROCEDURE_SET(BgL_runz00_14581, 
(int)(((long)4)), BgL_bodyz00_12337); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14582;
BgL_mainz00_14582 = 
MAKE_VA_PROCEDURE(BGl_z62main5174z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14582, 
(int)(((long)0)), BgL_iboxesz00_12334); 
PROCEDURE_SET(BgL_mainz00_14582, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12335)); 
PROCEDURE_SET(BgL_mainz00_14582, 
(int)(((long)2)), BgL_valza2za2_14580); 
PROCEDURE_SET(BgL_mainz00_14582, 
(int)(((long)3)), BgL_bodyz00_12337); 
PROCEDURE_SET(BgL_mainz00_14582, 
(int)(((long)4)), 
((obj_t)BgL_i1242z00_12336)); 
PROCEDURE_SET(BgL_mainz00_14582, 
(int)(((long)5)), BgL_runz00_14581); 
PROCEDURE_SET(BgL_mainz00_14582, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12338)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14583;
BgL_objz00_14583 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14581, BgL_objz00_14583); BgL_objz00_14583; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3643z00_14584;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3644z00_14585;obj_t BgL_arg3645z00_14586;
BgL_arg3644z00_14585 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12336))->BgL_arityz00); 
BgL_arg3645z00_14586 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12336))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14587;
BgL_newz00_14587 = 
create_struct(BGl_symbol5205z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27938;
BgL_tmpz00_27938 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14587, BgL_tmpz00_27938, BgL_arg3645z00_14586); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27943;int BgL_tmpz00_27941;
BgL_auxz00_27943 = 
BINT(BgL_siza7ezd2framez75_12338); 
BgL_tmpz00_27941 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14587, BgL_tmpz00_27941, BgL_auxz00_27943); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27946;
BgL_tmpz00_27946 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14587, BgL_tmpz00_27946, BgL_runz00_14581); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27949;
BgL_tmpz00_27949 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14587, BgL_tmpz00_27949, BgL_arg3644z00_14585); } 
BgL_arg3643z00_14584 = BgL_newz00_14587; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14582, BgL_arg3643z00_14584); BgL_arg3643z00_14584; } 
return BgL_mainz00_14582;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5174 */
obj_t BGl_z62main5174z62zz__evaluate_compz00(obj_t BgL_envz00_12340, obj_t BgL_az00_12348, obj_t BgL_bz00_12349, obj_t BgL_cz00_12350, obj_t BgL_dz00_12351, obj_t BgL_restz00_12352)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1242z00_12345;obj_t BgL_runz00_12346;long BgL_siza7ezd2framez75_12347;
BgL_i1242z00_12345 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12340, 
(int)(((long)4)))); 
BgL_runz00_12346 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12340, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12347 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12340, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14588;
BgL_sz00_14588 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14589;
BgL_bpz00_14589 = 
VECTOR_REF(
((obj_t)BgL_sz00_14588),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14588, BgL_bpz00_14589, 
BINT(BgL_siza7ezd2framez75_12347)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3648z00_14590;
BgL_arg3648z00_14590 = 
(
(long)CINT(BgL_bpz00_14589)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14588),BgL_arg3648z00_14590,BgL_az00_12348); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3649z00_14591;
BgL_arg3649z00_14591 = 
(
(long)CINT(BgL_bpz00_14589)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14588),BgL_arg3649z00_14591,BgL_bz00_12349); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3650z00_14592;
BgL_arg3650z00_14592 = 
(
(long)CINT(BgL_bpz00_14589)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14588),BgL_arg3650z00_14592,BgL_cz00_12350); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3651z00_14593;
BgL_arg3651z00_14593 = 
(
(long)CINT(BgL_bpz00_14589)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14588),BgL_arg3651z00_14593,BgL_dz00_12351); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14588, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12345))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14589)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12345))->BgL_arityz00), ((long)4)), BgL_restz00_12352, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12345))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14594;
BgL_ez00_14594 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14594, BgL_bpz00_14589); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14595;
BgL_accz00_14595 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12346, BgL_sz00_14588, BgL_bpz00_14589); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14594); 
VECTOR_SET(
((obj_t)BgL_sz00_14588),((long)0),BgL_bpz00_14589); 
return BgL_accz00_14595;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14596;
BgL_nsz00_14596 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14596,((long)1),BgL_sz00_14588); 
VECTOR_SET(BgL_nsz00_14596,((long)2),BgL_az00_12348); 
VECTOR_SET(BgL_nsz00_14596,((long)3),BgL_bz00_12349); 
VECTOR_SET(BgL_nsz00_14596,((long)4),BgL_cz00_12350); 
VECTOR_SET(BgL_nsz00_14596,((long)5),BgL_dz00_12351); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14596, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12345))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12345))->BgL_arityz00), ((long)4)), BgL_restz00_12352, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12345))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14597;
BgL_z12denvz12_14597 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14597, BgL_nsz00_14596); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14598;
BgL_ez00_14598 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14598, BgL_sz00_14588); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14599;
BgL_____rz00_14599 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12346, BgL_nsz00_14596, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14598); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14597, BgL_sz00_14588); 
return BgL_____rz00_14599;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5175 */
obj_t BGl_z62run5175z62zz__evaluate_compz00(obj_t BgL_envz00_12353, obj_t BgL_sz00_12359)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12354;long BgL_siza7eza7_12355;obj_t BgL_valza2za2_12356;BgL_ev_absz00_bglt BgL_i1242z00_12357;obj_t BgL_bodyz00_12358;
BgL_iboxesz00_12354 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12353, 
(int)(((long)0)))); 
BgL_siza7eza7_12355 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12353, 
(int)(((long)1)))); 
BgL_valza2za2_12356 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12353, 
(int)(((long)2)))); 
BgL_i1242z00_12357 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12353, 
(int)(((long)3)))); 
BgL_bodyz00_12358 = 
PROCEDURE_REF(BgL_envz00_12353, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14600;
BgL_bpz00_14600 = 
VECTOR_REF(
((obj_t)BgL_sz00_12359),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12359, BgL_iboxesz00_12354, BgL_bpz00_14600); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12359, BgL_valza2za2_12356, 
(
(long)CINT(BgL_bpz00_14600)+BgL_siza7eza7_12355)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14601;obj_t BgL_wherez00_14602;obj_t BgL_locz00_14603;
BgL_z12denvz12_14601 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14602 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12357))->BgL_wherez00); 
BgL_locz00_14603 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1242z00_12357))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14601, BgL_wherez00_14602, BgL_locz00_14603); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14604;
BgL_za2za2resza2za2z00_14604 = 
PROCEDURE_ENTRY(BgL_bodyz00_12358)(BgL_bodyz00_12358, BgL_sz00_12359, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14601); 
return BgL_za2za2resza2za2z00_14604;} } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_app1425 */
obj_t BGl_z62compzd2ev_app1425zb0zz__evaluate_compz00(obj_t BgL_envz00_12360, obj_t BgL_ez00_12361, obj_t BgL_stkz00_12362)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1037 */
{ /* Eval/evaluate_comp.scm 1039 */
obj_t BgL__ortest_1228z00_14606;
BgL__ortest_1228z00_14606 = 
BGl_arithzd2expressionzd2zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12361), BgL_stkz00_12362); 
if(
CBOOL(BgL__ortest_1228z00_14606))
{ /* Eval/evaluate_comp.scm 1039 */
return BgL__ortest_1228z00_14606;}  else 
{ /* Eval/evaluate_comp.scm 1040 */
obj_t BgL__ortest_1229z00_14607;
BgL__ortest_1229z00_14607 = 
BGl_inlinezd2callzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_funz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_argsz00), BgL_stkz00_12362); 
if(
CBOOL(BgL__ortest_1229z00_14607))
{ /* Eval/evaluate_comp.scm 1040 */
return BgL__ortest_1229z00_14607;}  else 
{ /* Eval/evaluate_comp.scm 1040 */
if(
(
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_argsz00))>((long)4)))
{ /* Eval/evaluate_comp.scm 1041 */
return 
BGl_compzd2oldzd2callz00zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12361), BgL_stkz00_12362);}  else 
{ /* Eval/evaluate_comp.scm 1043 */
obj_t BgL_fz00_14608;long BgL_siza7eza7_14609;obj_t BgL_symbzd2funzd2_14610;
BgL_fz00_14608 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_funz00), BgL_stkz00_12362); 
BgL_siza7eza7_14609 = 
bgl_list_length(BgL_stkz00_12362); 
BgL_symbzd2funzd2_14610 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_funz00)); 
if(
NULLP(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_argsz00)))
{ /* Eval/evaluate_comp.scm 1044 */
return 
BGl_compzd2call0zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_funz00), BgL_symbzd2funzd2_14610, BgL_fz00_14608, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_tailzf3zf3), BgL_stkz00_12362, BgL_siza7eza7_14609);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a1z00_14611;obj_t BgL_argsz00_14612;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3112z00_14613;
BgL_arg3112z00_14613 = 
CAR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_argsz00)); 
BgL_a1z00_14611 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3112z00_14613), BgL_stkz00_12362); } 
BgL_argsz00_14612 = 
CDR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_argsz00)); 
if(
NULLP(BgL_argsz00_14612))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call1zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_funz00), BgL_symbzd2funzd2_14610, BgL_fz00_14608, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_tailzf3zf3), BgL_stkz00_12362, BgL_siza7eza7_14609, BgL_a1z00_14611);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a2z00_14614;obj_t BgL_argsz00_14615;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3111z00_14616;
BgL_arg3111z00_14616 = 
CAR(
((obj_t)BgL_argsz00_14612)); 
BgL_a2z00_14614 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3111z00_14616), BgL_stkz00_12362); } 
BgL_argsz00_14615 = 
CDR(
((obj_t)BgL_argsz00_14612)); 
if(
NULLP(BgL_argsz00_14615))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call2zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_funz00), BgL_symbzd2funzd2_14610, BgL_fz00_14608, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_tailzf3zf3), BgL_stkz00_12362, BgL_siza7eza7_14609, BgL_a1z00_14611, BgL_a2z00_14614);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a3z00_14617;obj_t BgL_argsz00_14618;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3110z00_14619;
BgL_arg3110z00_14619 = 
CAR(
((obj_t)BgL_argsz00_14615)); 
BgL_a3z00_14617 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3110z00_14619), BgL_stkz00_12362); } 
BgL_argsz00_14618 = 
CDR(
((obj_t)BgL_argsz00_14615)); 
if(
NULLP(BgL_argsz00_14618))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call3zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_funz00), BgL_symbzd2funzd2_14610, BgL_fz00_14608, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_tailzf3zf3), BgL_stkz00_12362, BgL_siza7eza7_14609, BgL_a1z00_14611, BgL_a2z00_14614, BgL_a3z00_14617);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a4z00_14620;obj_t BgL_argsz00_14621;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3109z00_14622;
BgL_arg3109z00_14622 = 
CAR(
((obj_t)BgL_argsz00_14618)); 
BgL_a4z00_14620 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3109z00_14622), BgL_stkz00_12362); } 
BgL_argsz00_14621 = 
CDR(
((obj_t)BgL_argsz00_14618)); 
if(
NULLP(BgL_argsz00_14621))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call4zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_funz00), BgL_symbzd2funzd2_14610, BgL_fz00_14608, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12361)))->BgL_tailzf3zf3), BgL_stkz00_12362, BgL_siza7eza7_14609, BgL_a1z00_14611, BgL_a2z00_14614, BgL_a3z00_14617, BgL_a4z00_14620);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_errorz00zz__errorz00(BGl_string5188z00zz__evaluate_compz00, BGl_string5303z00zz__evaluate_compz00, BGl_string5304z00zz__evaluate_compz00);} } } } } } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_goto1423 */
obj_t BGl_z62compzd2ev_goto1423zb0zz__evaluate_compz00(obj_t BgL_envz00_12363, obj_t BgL_ez00_12364, obj_t BgL_stkz00_12365)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 597 */
{ /* Eval/evaluate_comp.scm 600 */
obj_t BgL_slotz00_14626;long BgL_siza7eza7_14627;obj_t BgL_lstkz00_14628;
BgL_slotz00_14626 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12364)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12364)))->BgL_labelsz00)))->BgL_envz00)); 
BgL_siza7eza7_14627 = 
bgl_list_length(BgL_stkz00_12365); 
BgL_lstkz00_14628 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12364)))->BgL_labelsz00)))->BgL_stkz00); 
{ /* Eval/evaluate_comp.scm 602 */
long BgL_llstkz00_14629;obj_t BgL_substkz00_14630;obj_t BgL_boxesz00_14631;
BgL_llstkz00_14629 = 
bgl_list_length(BgL_lstkz00_14628); 
BgL_substkz00_14630 = 
BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_14628, BgL_stkz00_12365); 
{ /* Eval/evaluate_comp.scm 602 */
obj_t BgL_pairz00_14632;
BgL_pairz00_14632 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12364)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12364)))->BgL_labelsz00)))->BgL_boxesz00)); 
BgL_boxesz00_14631 = 
CDR(BgL_pairz00_14632); } 
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12364)))->BgL_argsz00), BgL_substkz00_14630))
{ /* Eval/evaluate_comp.scm 605 */
obj_t BgL_argsz00_14633;long BgL_nbargsz00_14634;
BgL_argsz00_14633 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12364)))->BgL_argsz00), BgL_stkz00_12365); 
BgL_nbargsz00_14634 = 
bgl_list_length(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12364)))->BgL_argsz00)); 
{ /* Eval/evaluate_comp.scm 606 */
obj_t BgL_zc3anonymousza33067ze3z83_14635;
BgL_zc3anonymousza33067ze3z83_14635 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33067ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza33067ze3z83_14635, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14627)); 
PROCEDURE_SET(BgL_zc3anonymousza33067ze3z83_14635, 
(int)(((long)1)), 
BINT(BgL_llstkz00_14629)); 
PROCEDURE_SET(BgL_zc3anonymousza33067ze3z83_14635, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12364))); 
PROCEDURE_SET(BgL_zc3anonymousza33067ze3z83_14635, 
(int)(((long)3)), BgL_argsz00_14633); 
PROCEDURE_SET(BgL_zc3anonymousza33067ze3z83_14635, 
(int)(((long)4)), BgL_boxesz00_14631); 
PROCEDURE_SET(BgL_zc3anonymousza33067ze3z83_14635, 
(int)(((long)5)), 
BINT(BgL_nbargsz00_14634)); 
PROCEDURE_SET(BgL_zc3anonymousza33067ze3z83_14635, 
(int)(((long)6)), BgL_slotz00_14626); 
return BgL_zc3anonymousza33067ze3z83_14635;} }  else 
{ /* Eval/evaluate_comp.scm 611 */
obj_t BgL_argsz00_14636;
{ /* Eval/evaluate_comp.scm 611 */
obj_t BgL_lz00_14637;long BgL_nz00_14638;
BgL_lz00_14637 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12364)))->BgL_argsz00); 
BgL_nz00_14638 = 
(BgL_siza7eza7_14627-BgL_llstkz00_14629); 
BgL_argsz00_14636 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12365, BgL_lz00_14637, BgL_nz00_14638); } 
{ /* Eval/evaluate_comp.scm 612 */
obj_t BgL_zc3anonymousza33073ze3z83_14639;
BgL_zc3anonymousza33073ze3z83_14639 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33073ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33073ze3z83_14639, 
(int)(((long)0)), 
BINT(BgL_llstkz00_14629)); 
PROCEDURE_SET(BgL_zc3anonymousza33073ze3z83_14639, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12364))); 
PROCEDURE_SET(BgL_zc3anonymousza33073ze3z83_14639, 
(int)(((long)2)), BgL_argsz00_14636); 
PROCEDURE_SET(BgL_zc3anonymousza33073ze3z83_14639, 
(int)(((long)3)), BgL_boxesz00_14631); 
PROCEDURE_SET(BgL_zc3anonymousza33073ze3z83_14639, 
(int)(((long)4)), BgL_slotz00_14626); 
return BgL_zc3anonymousza33073ze3z83_14639;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3067> */
obj_t BGl_z62zc3anonymousza33067ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12366, obj_t BgL_sz00_12374)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 606 */
{ /* Eval/evaluate_comp.scm 606 */
long BgL_siza7eza7_12367;long BgL_llstkz00_12368;BgL_ev_gotoz00_bglt BgL_i1140z00_12369;obj_t BgL_argsz00_12370;obj_t BgL_boxesz00_12371;long BgL_nbargsz00_12372;obj_t BgL_slotz00_12373;
BgL_siza7eza7_12367 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12366, 
(int)(((long)0)))); 
BgL_llstkz00_12368 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12366, 
(int)(((long)1)))); 
BgL_i1140z00_12369 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12366, 
(int)(((long)2)))); 
BgL_argsz00_12370 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12366, 
(int)(((long)3)))); 
BgL_boxesz00_12371 = 
PROCEDURE_REF(BgL_envz00_12366, 
(int)(((long)4))); 
BgL_nbargsz00_12372 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12366, 
(int)(((long)5)))); 
BgL_slotz00_12373 = 
PROCEDURE_REF(BgL_envz00_12366, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 606 */
obj_t BgL_bpz00_14640;
BgL_bpz00_14640 = 
VECTOR_REF(
((obj_t)BgL_sz00_12374),((long)0)); 
{ /* Eval/evaluate_comp.scm 607 */
long BgL_spz00_14641;long BgL_lspz00_14642;
BgL_spz00_14641 = 
(
(long)CINT(BgL_bpz00_14640)+BgL_siza7eza7_12367); 
BgL_lspz00_14642 = 
(
(long)CINT(BgL_bpz00_14640)+BgL_llstkz00_12368); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12374, BgL_argsz00_12370, BgL_boxesz00_12371, BgL_spz00_14641, 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1140z00_12369))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 609 */
long BgL_arg3069z00_14643;
BgL_arg3069z00_14643 = 
(BgL_spz00_14641+BgL_nbargsz00_12372); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_12374, BgL_lspz00_14642, BgL_sz00_12374, 
BINT(BgL_spz00_14641), 
BINT(BgL_arg3069z00_14643)); } 
return 
CDR(
((obj_t)BgL_slotz00_12373));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3073> */
obj_t BGl_z62zc3anonymousza33073ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12375, obj_t BgL_sz00_12381)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 612 */
{ /* Eval/evaluate_comp.scm 612 */
long BgL_llstkz00_12376;BgL_ev_gotoz00_bglt BgL_i1140z00_12377;obj_t BgL_argsz00_12378;obj_t BgL_boxesz00_12379;obj_t BgL_slotz00_12380;
BgL_llstkz00_12376 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12375, 
(int)(((long)0)))); 
BgL_i1140z00_12377 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12375, 
(int)(((long)1)))); 
BgL_argsz00_12378 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12375, 
(int)(((long)2)))); 
BgL_boxesz00_12379 = 
PROCEDURE_REF(BgL_envz00_12375, 
(int)(((long)3))); 
BgL_slotz00_12380 = 
PROCEDURE_REF(BgL_envz00_12375, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 612 */
obj_t BgL_bpz00_14644;
BgL_bpz00_14644 = 
VECTOR_REF(
((obj_t)BgL_sz00_12381),((long)0)); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12381, BgL_argsz00_12378, BgL_boxesz00_12379, 
(
(long)CINT(BgL_bpz00_14644)+BgL_llstkz00_12376), 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1140z00_12377))->BgL_locz00)); 
return 
CDR(
((obj_t)BgL_slotz00_12380));} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_labels1421 */
obj_t BGl_z62compzd2ev_labels1421zb0zz__evaluate_compz00(obj_t BgL_envz00_12382, obj_t BgL_ez00_12383, obj_t BgL_stkz00_12384)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 565 */
{ 
obj_t BgL_fz00_14647;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12383)))->BgL_stkz00)=((obj_t)BgL_stkz00_12384),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_envz00_14649;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_l1325z00_14650;
BgL_l1325z00_14650 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12383)))->BgL_varsz00); 
if(
NULLP(BgL_l1325z00_14650))
{ /* Eval/evaluate_comp.scm 572 */
BgL_envz00_14649 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_head1327z00_14651;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_res4707z00_14652;
BgL_res4707z00_14652 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1327z00_14651 = BgL_res4707z00_14652; } 
{ 
obj_t BgL_l1325z00_14654;obj_t BgL_tail1328z00_14655;
BgL_l1325z00_14654 = BgL_l1325z00_14650; 
BgL_tail1328z00_14655 = BgL_head1327z00_14651; 
BgL_zc3anonymousza33058ze3z83_14653:
if(
NULLP(BgL_l1325z00_14654))
{ /* Eval/evaluate_comp.scm 572 */
BgL_envz00_14649 = 
CDR(BgL_head1327z00_14651); }  else 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_newtail1329z00_14656;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_arg3061z00_14657;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_vz00_14658;
BgL_vz00_14658 = 
CAR(
((obj_t)BgL_l1325z00_14654)); 
BgL_arg3061z00_14657 = 
MAKE_YOUNG_PAIR(BgL_vz00_14658, BGl_symbol5305z00zz__evaluate_compz00); } 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_res4709z00_14659;
BgL_res4709z00_14659 = 
MAKE_YOUNG_PAIR(BgL_arg3061z00_14657, BNIL); 
BgL_newtail1329z00_14656 = BgL_res4709z00_14659; } } 
SET_CDR(BgL_tail1328z00_14655, BgL_newtail1329z00_14656); 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_arg3060z00_14660;
BgL_arg3060z00_14660 = 
CDR(
((obj_t)BgL_l1325z00_14654)); 
{ 
obj_t BgL_tail1328z00_28291;obj_t BgL_l1325z00_28290;
BgL_l1325z00_28290 = BgL_arg3060z00_14660; 
BgL_tail1328z00_28291 = BgL_newtail1329z00_14656; 
BgL_tail1328z00_14655 = BgL_tail1328z00_28291; 
BgL_l1325z00_14654 = BgL_l1325z00_28290; 
goto BgL_zc3anonymousza33058ze3z83_14653;} } } } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12383)))->BgL_envz00)=((obj_t)BgL_envz00_14649),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 575 */
obj_t BgL_g1333z00_14661;
BgL_g1333z00_14661 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12383)))->BgL_valsz00); 
{ 
obj_t BgL_ll1330z00_14663;obj_t BgL_ll1331z00_14664;
BgL_ll1330z00_14663 = BgL_envz00_14649; 
BgL_ll1331z00_14664 = BgL_g1333z00_14661; 
BgL_zc3anonymousza33048ze3z83_14662:
if(
NULLP(BgL_ll1330z00_14663))
{ /* Eval/evaluate_comp.scm 575 */((bool_t)1); }  else 
{ /* Eval/evaluate_comp.scm 575 */
{ /* Eval/evaluate_comp.scm 577 */
obj_t BgL_slotz00_14665;obj_t BgL_valz00_14666;
BgL_slotz00_14665 = 
CAR(
((obj_t)BgL_ll1330z00_14663)); 
BgL_valz00_14666 = 
CAR(
((obj_t)BgL_ll1331z00_14664)); 
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3050z00_14667;
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3051z00_14668;
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3052z00_14669;obj_t BgL_arg3053z00_14670;
BgL_arg3052z00_14669 = 
CDR(
((obj_t)BgL_valz00_14666)); 
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3054z00_14671;
BgL_arg3054z00_14671 = 
CAR(
((obj_t)BgL_valz00_14666)); 
BgL_arg3053z00_14670 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12384, BgL_arg3054z00_14671); } 
BgL_arg3051z00_14668 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3052z00_14669), BgL_arg3053z00_14670); } 
BgL_fz00_14647 = BgL_arg3051z00_14668; 
{ /* Eval/evaluate_comp.scm 567 */
obj_t BgL_objz00_14648;
BgL_objz00_14648 = BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00; 
{ /* Eval/evaluate_comp.scm 567 */
obj_t BgL_tmpz00_28309;
BgL_tmpz00_28309 = 
((obj_t)BgL_fz00_14647); 
PROCEDURE_ATTR_SET(BgL_tmpz00_28309, BgL_objz00_14648); } BgL_objz00_14648; } 
BgL_arg3050z00_14667 = BgL_fz00_14647; } 
{ /* Eval/evaluate_comp.scm 577 */
obj_t BgL_tmpz00_28312;
BgL_tmpz00_28312 = 
((obj_t)BgL_slotz00_14665); 
SET_CDR(BgL_tmpz00_28312, BgL_arg3050z00_14667); } } } 
{ /* Eval/evaluate_comp.scm 575 */
obj_t BgL_arg3055z00_14672;obj_t BgL_arg3056z00_14673;
BgL_arg3055z00_14672 = 
CDR(
((obj_t)BgL_ll1330z00_14663)); 
BgL_arg3056z00_14673 = 
CDR(
((obj_t)BgL_ll1331z00_14664)); 
{ 
obj_t BgL_ll1331z00_28320;obj_t BgL_ll1330z00_28319;
BgL_ll1330z00_28319 = BgL_arg3055z00_14672; 
BgL_ll1331z00_28320 = BgL_arg3056z00_14673; 
BgL_ll1331z00_14664 = BgL_ll1331z00_28320; 
BgL_ll1330z00_14663 = BgL_ll1330z00_28319; 
goto BgL_zc3anonymousza33048ze3z83_14662;} } } } } } 
{ /* Eval/evaluate_comp.scm 582 */
obj_t BgL_bodyz00_14674;
BgL_bodyz00_14674 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12383)))->BgL_bodyz00), BgL_stkz00_12384); 
{ /* Eval/evaluate_comp.scm 583 */
obj_t BgL_zc3anonymousza33062ze3z83_14675;
BgL_zc3anonymousza33062ze3z83_14675 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33062ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza33062ze3z83_14675, 
(int)(((long)0)), BgL_bodyz00_14674); 
return BgL_zc3anonymousza33062ze3z83_14675;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3062> */
obj_t BGl_z62zc3anonymousza33062ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12385, obj_t BgL_sz00_12387)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 583 */
{ /* Eval/evaluate_comp.scm 583 */
obj_t BgL_bodyz00_12386;
BgL_bodyz00_12386 = 
PROCEDURE_REF(BgL_envz00_12385, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 583 */
obj_t BgL_bpz00_14676;
BgL_bpz00_14676 = 
VECTOR_REF(
((obj_t)BgL_sz00_12387),((long)0)); 
return 
BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(BgL_bodyz00_12386, BgL_sz00_12387);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_synchronize1419 */
obj_t BGl_z62compzd2ev_synchroniza7e1419z17zz__evaluate_compz00(obj_t BgL_envz00_12388, obj_t BgL_ez00_12389, obj_t BgL_stkz00_12390)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 545 */
{ /* Eval/evaluate_comp.scm 547 */
obj_t BgL_mutexz00_14678;obj_t BgL_prelockz00_14679;obj_t BgL_bodyz00_14680;
BgL_mutexz00_14678 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12389)))->BgL_mutexz00), BgL_stkz00_12390); 
BgL_prelockz00_14679 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12389)))->BgL_prelockz00), BgL_stkz00_12390); 
BgL_bodyz00_14680 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12389)))->BgL_bodyz00), BgL_stkz00_12390); 
{ /* Eval/evaluate_comp.scm 550 */
obj_t BgL_zc3anonymousza33041ze3z83_14681;
BgL_zc3anonymousza33041ze3z83_14681 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33041ze3z83_14681, 
(int)(((long)0)), BgL_mutexz00_14678); 
PROCEDURE_SET(BgL_zc3anonymousza33041ze3z83_14681, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12389))); 
PROCEDURE_SET(BgL_zc3anonymousza33041ze3z83_14681, 
(int)(((long)2)), BgL_prelockz00_14679); 
PROCEDURE_SET(BgL_zc3anonymousza33041ze3z83_14681, 
(int)(((long)3)), BgL_bodyz00_14680); 
return BgL_zc3anonymousza33041ze3z83_14681;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3041> */
obj_t BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12391, obj_t BgL_sz00_12396)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 550 */
{ /* Eval/evaluate_comp.scm 550 */
obj_t BgL_mutexz00_12392;BgL_ev_synchroniza7eza7_bglt BgL_i1137z00_12393;obj_t BgL_prelockz00_12394;obj_t BgL_bodyz00_12395;
BgL_mutexz00_12392 = 
PROCEDURE_REF(BgL_envz00_12391, 
(int)(((long)0))); 
BgL_i1137z00_12393 = 
((BgL_ev_synchroniza7eza7_bglt)
PROCEDURE_REF(BgL_envz00_12391, 
(int)(((long)1)))); 
BgL_prelockz00_12394 = 
PROCEDURE_REF(BgL_envz00_12391, 
(int)(((long)2))); 
BgL_bodyz00_12395 = 
PROCEDURE_REF(BgL_envz00_12391, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 550 */
obj_t BgL_bpz00_14682;
BgL_bpz00_14682 = 
VECTOR_REF(
((obj_t)BgL_sz00_12396),((long)0)); 
{ /* Eval/evaluate_comp.scm 551 */
obj_t BgL_mz00_14683;
BgL_mz00_14683 = 
PROCEDURE_ENTRY(BgL_mutexz00_12392)(BgL_mutexz00_12392, BgL_sz00_12396, BEOA); 
{ /* Eval/evaluate_comp.scm 552 */
bool_t BgL_testz00_28371;
{ /* Eval/evaluate_comp.scm 552 */
bool_t BgL_res4704z00_14684;
BgL_res4704z00_14684 = 
BGL_MUTEXP(BgL_mz00_14683); 
BgL_testz00_28371 = BgL_res4704z00_14684; } 
if(BgL_testz00_28371)
{ /* Eval/evaluate_comp.scm 553 */
obj_t BgL_pz00_14685;
BgL_pz00_14685 = 
PROCEDURE_ENTRY(BgL_prelockz00_12394)(BgL_prelockz00_12394, BgL_sz00_12396, BEOA); 
{ /* Eval/evaluate_comp.scm 555 */
obj_t BgL_za2za2resza2za2z00_14686;
if(
PAIRP(BgL_pz00_14685))
{ /* Eval/evaluate_comp.scm 556 */
obj_t BgL_top5442z00_28380;
BgL_top5442z00_28380 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_14683, BgL_pz00_14685); 
BGL_EXITD_PUSH_PROTECT(BgL_top5442z00_28380, BgL_mz00_14683); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 556 */
obj_t BgL_tmp5441z00_28379;
BgL_tmp5441z00_28379 = 
PROCEDURE_ENTRY(BgL_bodyz00_12395)(BgL_bodyz00_12395, BgL_sz00_12396, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5442z00_28380); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_14683); 
BgL_za2za2resza2za2z00_14686 = BgL_tmp5441z00_28379; } }  else 
{ /* Eval/evaluate_comp.scm 557 */
obj_t BgL_top5444z00_28391;
BgL_top5444z00_28391 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mz00_14683); 
BGL_EXITD_PUSH_PROTECT(BgL_top5444z00_28391, BgL_mz00_14683); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 557 */
obj_t BgL_tmp5443z00_28390;
BgL_tmp5443z00_28390 = 
PROCEDURE_ENTRY(BgL_bodyz00_12395)(BgL_bodyz00_12395, BgL_sz00_12396, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5444z00_28391); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_14683); 
BgL_za2za2resza2za2z00_14686 = BgL_tmp5443z00_28390; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12396),((long)0),BgL_bpz00_14682); 
return BgL_za2za2resza2za2z00_14686;} }  else 
{ /* Eval/evaluate_comp.scm 552 */
return 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_string5307z00zz__evaluate_compz00, BGl_string5308z00zz__evaluate_compz00, BgL_mz00_14683, 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_i1137z00_12393))->BgL_locz00));} } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_with-handler1417 */
obj_t BGl_z62compzd2ev_withzd2handler1417z62zz__evaluate_compz00(obj_t BgL_envz00_12397, obj_t BgL_ez00_12398, obj_t BgL_stkz00_12399)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 536 */
{ /* Eval/evaluate_comp.scm 538 */
obj_t BgL_handlerz00_14688;obj_t BgL_bodyz00_14689;
BgL_handlerz00_14688 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12398)))->BgL_handlerz00), BgL_stkz00_12399); 
BgL_bodyz00_14689 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12398)))->BgL_bodyz00), BgL_stkz00_12399); 
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_zc3anonymousza33027ze3z83_14690;
BgL_zc3anonymousza33027ze3z83_14690 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza33027ze3z83_14690, 
(int)(((long)0)), BgL_handlerz00_14688); 
PROCEDURE_SET(BgL_zc3anonymousza33027ze3z83_14690, 
(int)(((long)1)), BgL_bodyz00_14689); 
return BgL_zc3anonymousza33027ze3z83_14690;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3027> */
obj_t BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12400, obj_t BgL_sz00_12403)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 539 */
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_handlerz00_12401;obj_t BgL_bodyz00_12402;
BgL_handlerz00_12401 = 
PROCEDURE_REF(BgL_envz00_12400, 
(int)(((long)0))); 
BgL_bodyz00_12402 = 
PROCEDURE_REF(BgL_envz00_12400, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_bpz00_14691;
BgL_bpz00_14691 = 
VECTOR_REF(
((obj_t)BgL_sz00_12403),((long)0)); 
{ /* Eval/evaluate_comp.scm 540 */
obj_t BgL_hz00_14692;
BgL_hz00_14692 = 
PROCEDURE_ENTRY(BgL_handlerz00_12401)(BgL_handlerz00_12401, BgL_sz00_12403, BEOA); 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_za2za2resza2za2z00_14693;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_res1127z00_14694;
BgL_res1127z00_14694 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3exitza33034ze3ze70z64zz__evaluate_compz00(BgL_sz00_12403, BgL_bodyz00_12402, BgL_res1127z00_14694)))
{ /* Eval/evaluate_comp.scm 542 */
BgL_za2za2resza2za2z00_14693 = 
PROCEDURE_ENTRY(BgL_hz00_14692)(BgL_hz00_14692, 
CELL_REF(BgL_res1127z00_14694), BEOA); }  else 
{ /* Eval/evaluate_comp.scm 542 */
BgL_za2za2resza2za2z00_14693 = 
CELL_REF(BgL_res1127z00_14694); } } 
VECTOR_SET(
((obj_t)BgL_sz00_12403),((long)0),BgL_bpz00_14691); 
return BgL_za2za2resza2za2z00_14693;} } } } } 
BGL_FUNCTION_END;
}



/* <exit:3034>~0 */
obj_t BGl_zc3exitza33034ze3ze70z64zz__evaluate_compz00(obj_t BgL_sz00_12591, obj_t BgL_bodyz00_12590, obj_t BgL_res1127z00_12589)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 542 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1133z00_4186;
if( SET_EXIT(BgL_an_exit1133z00_4186) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1133z00_4186 = 
(void *)jmpbuf; 
{ /* Eval/evaluate_comp.scm 542 */

PUSH_EXIT(BgL_an_exit1133z00_4186, ((long)1)); 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_an_exitd1134z00_4187;
BgL_an_exitd1134z00_4187 = 
((obj_t)(&exitd)); 
{ /* Eval/evaluate_comp.scm 542 */
bool_t BgL_res1136z00_4190;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_ohs1125z00_4191;
BgL_ohs1125z00_4191 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_exitd1130z00_4192;
BgL_exitd1130z00_4192 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3anonymousza33038ze3z83_11371;
BgL_zc3anonymousza33038ze3z83_11371 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza33038ze3z83_11371, 
(int)(((long)0)), BgL_ohs1125z00_4191); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1130z00_4192, BgL_zc3anonymousza33038ze3z83_11371); 
{ /* Eval/evaluate_comp.scm 542 */
bool_t BgL_tmp1132z00_4194;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_arg3035z00_4195;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_zc3anonymousza33037ze3z83_11370;
BgL_zc3anonymousza33037ze3z83_11370 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33037ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza33037ze3z83_11370, 
(int)(((long)0)), 
((obj_t)BgL_res1127z00_12589)); 
PROCEDURE_SET(BgL_zc3anonymousza33037ze3z83_11370, 
(int)(((long)1)), BgL_an_exitd1134z00_4187); 
BgL_arg3035z00_4195 = 
MAKE_YOUNG_PAIR(BgL_zc3anonymousza33037ze3z83_11370, BgL_ohs1125z00_4191); } 
BGL_ERROR_HANDLER_SET(BgL_arg3035z00_4195); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_auxz00_12405;
BgL_auxz00_12405 = 
PROCEDURE_ENTRY(BgL_bodyz00_12590)(BgL_bodyz00_12590, BgL_sz00_12591, BEOA); 
CELL_SET(BgL_res1127z00_12589, BgL_auxz00_12405); } 
BgL_tmp1132z00_4194 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1130z00_4192); 
BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00(BgL_zc3anonymousza33038ze3z83_11371); 
BgL_res1136z00_4190 = BgL_tmp1132z00_4194; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1136z00_4190);} } } 
} } 
BGL_FUNCTION_END;
}



/* &<anonymous:3037> */
obj_t BGl_z62zc3anonymousza33037ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12407, obj_t BgL_ez00_12410)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 542 */
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_res1127z00_12408;obj_t BgL_an_exitd1134z00_12409;
BgL_res1127z00_12408 = 
PROCEDURE_REF(BgL_envz00_12407, 
(int)(((long)0))); 
BgL_an_exitd1134z00_12409 = 
PROCEDURE_REF(BgL_envz00_12407, 
(int)(((long)1))); 
CELL_SET(BgL_res1127z00_12408, BgL_ez00_12410); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1134z00_12409, BTRUE);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:3038> */
obj_t BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12412)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 542 */
{ 
obj_t BgL_ohs1125z00_12413;
BgL_ohs1125z00_12413 = 
PROCEDURE_REF(BgL_envz00_12412, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1125z00_12413); 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* &comp-ev_unwind-prote1415 */
obj_t BGl_z62compzd2ev_unwindzd2prote1415z62zz__evaluate_compz00(obj_t BgL_envz00_12414, obj_t BgL_ez00_12415, obj_t BgL_stkz00_12416)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 527 */
{ /* Eval/evaluate_comp.scm 529 */
obj_t BgL_ez00_14696;obj_t BgL_bodyz00_14697;
BgL_ez00_14696 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12415)))->BgL_ez00), BgL_stkz00_12416); 
BgL_bodyz00_14697 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12415)))->BgL_bodyz00), BgL_stkz00_12416); 
{ /* Eval/evaluate_comp.scm 530 */
obj_t BgL_zc3anonymousza33023ze3z83_14698;
BgL_zc3anonymousza33023ze3z83_14698 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33023ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza33023ze3z83_14698, 
(int)(((long)0)), BgL_bodyz00_14697); 
PROCEDURE_SET(BgL_zc3anonymousza33023ze3z83_14698, 
(int)(((long)1)), BgL_ez00_14696); 
return BgL_zc3anonymousza33023ze3z83_14698;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3023> */
obj_t BGl_z62zc3anonymousza33023ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12417, obj_t BgL_sz00_12420)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 530 */
{ /* Eval/evaluate_comp.scm 530 */
obj_t BgL_bodyz00_12418;obj_t BgL_ez00_12419;
BgL_bodyz00_12418 = 
PROCEDURE_REF(BgL_envz00_12417, 
(int)(((long)0))); 
BgL_ez00_12419 = 
PROCEDURE_REF(BgL_envz00_12417, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 530 */
obj_t BgL_bpz00_14699;
BgL_bpz00_14699 = 
VECTOR_REF(
((obj_t)BgL_sz00_12420),((long)0)); 
{ /* Eval/evaluate_comp.scm 532 */
obj_t BgL_exitd1121z00_14700;
BgL_exitd1121z00_14700 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 533 */
obj_t BgL_zc3anonymousza33024ze3z83_14701;
BgL_zc3anonymousza33024ze3z83_14701 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33024ze3ze1zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33024ze3z83_14701, 
(int)(((long)0)), BgL_sz00_12420); 
PROCEDURE_SET(BgL_zc3anonymousza33024ze3z83_14701, 
(int)(((long)1)), BgL_bpz00_14699); 
PROCEDURE_SET(BgL_zc3anonymousza33024ze3z83_14701, 
(int)(((long)2)), BgL_bodyz00_12418); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1121z00_14700, BgL_zc3anonymousza33024ze3z83_14701); 
{ /* Eval/evaluate_comp.scm 532 */
obj_t BgL_tmp1123z00_14702;
BgL_tmp1123z00_14702 = 
PROCEDURE_ENTRY(BgL_ez00_12419)(BgL_ez00_12419, BgL_sz00_12420, BEOA); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1121z00_14700); 
BGl_z62zc3anonymousza33024ze3ze1zz__evaluate_compz00(BgL_zc3anonymousza33024ze3z83_14701); 
return BgL_tmp1123z00_14702;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3024> */
obj_t BGl_z62zc3anonymousza33024ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12421)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 532 */
{ /* Eval/evaluate_comp.scm 533 */
obj_t BgL_sz00_12422;obj_t BgL_savedzd2bpzd2_12423;obj_t BgL_bodyz00_12424;
BgL_sz00_12422 = 
PROCEDURE_REF(BgL_envz00_12421, 
(int)(((long)0))); 
BgL_savedzd2bpzd2_12423 = 
PROCEDURE_REF(BgL_envz00_12421, 
(int)(((long)1))); 
BgL_bodyz00_12424 = 
PROCEDURE_REF(BgL_envz00_12421, 
(int)(((long)2))); 
VECTOR_SET(
((obj_t)BgL_sz00_12422),((long)0),BgL_savedzd2bpzd2_12423); 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12424)(BgL_bodyz00_12424, BgL_sz00_12422, BEOA);} } 
BGL_FUNCTION_END;
}



/* &comp-ev_bind-exit1413 */
obj_t BGl_z62compzd2ev_bindzd2exit1413z62zz__evaluate_compz00(obj_t BgL_envz00_12425, obj_t BgL_ez00_12426, obj_t BgL_stkz00_12427)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 516 */
{ /* Eval/evaluate_comp.scm 518 */
long BgL_siza7eza7_14704;obj_t BgL_nstkz00_14705;
BgL_siza7eza7_14704 = 
bgl_list_length(BgL_stkz00_12427); 
{ /* Eval/evaluate_comp.scm 518 */
obj_t BgL_arg3021z00_14706;
{ /* Eval/evaluate_comp.scm 518 */
BgL_ev_varz00_bglt BgL_arg3022z00_14707;
BgL_arg3022z00_14707 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12426)))->BgL_varz00); 
BgL_arg3021z00_14706 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg3022z00_14707), BNIL); } 
BgL_nstkz00_14705 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12427, BgL_arg3021z00_14706); } 
{ /* Eval/evaluate_comp.scm 519 */
obj_t BgL_bodyz00_14708;obj_t BgL_effzf3zf3_14709;
BgL_bodyz00_14708 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12426)))->BgL_bodyz00), BgL_nstkz00_14705); 
BgL_effzf3zf3_14709 = 
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12426)))->BgL_varz00)))->BgL_effz00); 
{ /* Eval/evaluate_comp.scm 520 */
obj_t BgL_zc3anonymousza33016ze3z83_14710;
BgL_zc3anonymousza33016ze3z83_14710 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33016ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33016ze3z83_14710, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14704)); 
PROCEDURE_SET(BgL_zc3anonymousza33016ze3z83_14710, 
(int)(((long)1)), BgL_effzf3zf3_14709); 
PROCEDURE_SET(BgL_zc3anonymousza33016ze3z83_14710, 
(int)(((long)2)), BgL_bodyz00_14708); 
return BgL_zc3anonymousza33016ze3z83_14710;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3016> */
obj_t BGl_z62zc3anonymousza33016ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12428, obj_t BgL_sz00_12432)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 520 */
{ /* Eval/evaluate_comp.scm 520 */
long BgL_siza7eza7_12429;obj_t BgL_effzf3zf3_12430;obj_t BgL_bodyz00_12431;
BgL_siza7eza7_12429 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12428, 
(int)(((long)0)))); 
BgL_effzf3zf3_12430 = 
PROCEDURE_REF(BgL_envz00_12428, 
(int)(((long)1))); 
BgL_bodyz00_12431 = 
PROCEDURE_REF(BgL_envz00_12428, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 520 */
obj_t BgL_bpz00_14711;
BgL_bpz00_14711 = 
VECTOR_REF(
((obj_t)BgL_sz00_12432),((long)0)); 
{ /* Eval/evaluate_comp.scm 522 */
obj_t BgL_za2za2resza2za2z00_14712;
BgL_za2za2resza2za2z00_14712 = 
BGl_zc3exitza33017ze3ze70z64zz__evaluate_compz00(BgL_bodyz00_12431, BgL_sz00_12432, BgL_effzf3zf3_12430, BgL_siza7eza7_12429, BgL_bpz00_14711); 
VECTOR_SET(
((obj_t)BgL_sz00_12432),((long)0),BgL_bpz00_14711); 
return BgL_za2za2resza2za2z00_14712;} } } } 
BGL_FUNCTION_END;
}



/* <exit:3017>~0 */
obj_t BGl_zc3exitza33017ze3ze70z64zz__evaluate_compz00(obj_t BgL_bodyz00_12588, obj_t BgL_sz00_12587, obj_t BgL_effzf3zf3_12586, long BgL_siza7eza7_12585, obj_t BgL_bpz00_12584)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 522 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1116z00_4121;
if( SET_EXIT(BgL_an_exit1116z00_4121) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1116z00_4121 = 
(void *)jmpbuf; 
{ /* Eval/evaluate_comp.scm 522 */

PUSH_EXIT(BgL_an_exit1116z00_4121, ((long)1)); 
{ /* Eval/evaluate_comp.scm 522 */
obj_t BgL_an_exitd1117z00_4122;
BgL_an_exitd1117z00_4122 = 
((obj_t)(&exitd)); 
{ /* Eval/evaluate_comp.scm 522 */
obj_t BgL_exitz00_11377;
BgL_exitz00_11377 = 
MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_exitz00_11377, 
(int)(((long)0)), BgL_an_exitd1117z00_4122); 
{ /* Eval/evaluate_comp.scm 522 */
obj_t BgL_res1119z00_4125;
{ /* Eval/evaluate_comp.scm 523 */
long BgL_arg3018z00_4126;obj_t BgL_arg3019z00_4127;
BgL_arg3018z00_4126 = 
(
(long)CINT(BgL_bpz00_12584)+BgL_siza7eza7_12585); 
if(
CBOOL(BgL_effzf3zf3_12586))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_8857;
BgL_newz00_8857 = 
create_struct(BGl_symbol5198z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28569;
BgL_tmpz00_28569 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8857, BgL_tmpz00_28569, BgL_exitz00_11377); } 
BgL_arg3019z00_4127 = BgL_newz00_8857; }  else 
{ /* Eval/evaluate_comp.scm 523 */
BgL_arg3019z00_4127 = BgL_exitz00_11377; } 
VECTOR_SET(
((obj_t)BgL_sz00_12587),BgL_arg3018z00_4126,BgL_arg3019z00_4127); } 
BgL_res1119z00_4125 = 
PROCEDURE_ENTRY(BgL_bodyz00_12588)(BgL_bodyz00_12588, BgL_sz00_12587, BEOA); 
POP_EXIT(); 
return BgL_res1119z00_4125;} } } } 
} } 
BGL_FUNCTION_END;
}



/* &exit */
obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_12433, obj_t BgL_val1118z00_12435)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 522 */
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(
PROCEDURE_REF(BgL_envz00_12433, 
(int)(((long)0))), BgL_val1118z00_12435);} 
BGL_FUNCTION_END;
}



/* &comp-ev_letrec1411 */
obj_t BGl_z62compzd2ev_letrec1411zb0zz__evaluate_compz00(obj_t BgL_envz00_12436, obj_t BgL_ez00_12437, obj_t BgL_stkz00_12438)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 487 */
{ /* Eval/evaluate_comp.scm 489 */
long BgL_siza7eza7_14714;obj_t BgL_nstkz00_14715;
BgL_siza7eza7_14714 = 
bgl_list_length(BgL_stkz00_12438); 
{ /* Eval/evaluate_comp.scm 489 */
obj_t BgL_arg3015z00_14716;
BgL_arg3015z00_14716 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12437))))->BgL_varsz00); 
BgL_nstkz00_14715 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12438, BgL_arg3015z00_14716); } 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_cvalsz00_14717;obj_t BgL_bodyz00_14718;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_l1311z00_14719;
BgL_l1311z00_14719 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12437))))->BgL_valsz00); 
if(
NULLP(BgL_l1311z00_14719))
{ /* Eval/evaluate_comp.scm 490 */
BgL_cvalsz00_14717 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_head1313z00_14720;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_res4683z00_14721;
BgL_res4683z00_14721 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1313z00_14720 = BgL_res4683z00_14721; } 
{ 
obj_t BgL_l1311z00_14723;obj_t BgL_tail1314z00_14724;
BgL_l1311z00_14723 = BgL_l1311z00_14719; 
BgL_tail1314z00_14724 = BgL_head1313z00_14720; 
BgL_zc3anonymousza33010ze3z83_14722:
if(
NULLP(BgL_l1311z00_14723))
{ /* Eval/evaluate_comp.scm 490 */
BgL_cvalsz00_14717 = 
CDR(BgL_head1313z00_14720); }  else 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_newtail1315z00_14725;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_arg3013z00_14726;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_vz00_14727;
BgL_vz00_14727 = 
CAR(
((obj_t)BgL_l1311z00_14723)); 
BgL_arg3013z00_14726 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_14727), BgL_nstkz00_14715); } 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_res4685z00_14728;
BgL_res4685z00_14728 = 
MAKE_YOUNG_PAIR(BgL_arg3013z00_14726, BNIL); 
BgL_newtail1315z00_14725 = BgL_res4685z00_14728; } } 
SET_CDR(BgL_tail1314z00_14724, BgL_newtail1315z00_14725); 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_arg3012z00_14729;
BgL_arg3012z00_14729 = 
CDR(
((obj_t)BgL_l1311z00_14723)); 
{ 
obj_t BgL_tail1314z00_28605;obj_t BgL_l1311z00_28604;
BgL_l1311z00_28604 = BgL_arg3012z00_14729; 
BgL_tail1314z00_28605 = BgL_newtail1315z00_14725; 
BgL_tail1314z00_14724 = BgL_tail1314z00_28605; 
BgL_l1311z00_14723 = BgL_l1311z00_28604; 
goto BgL_zc3anonymousza33010ze3z83_14722;} } } } } } 
{ /* Eval/evaluate_comp.scm 491 */
BgL_ev_exprz00_bglt BgL_arg3014z00_14730;
BgL_arg3014z00_14730 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12437))))->BgL_bodyz00); 
BgL_bodyz00_14718 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3014z00_14730, BgL_nstkz00_14715); } 
{ /* Eval/evaluate_comp.scm 492 */
bool_t BgL_testz00_28610;
{ 
obj_t BgL_l1316z00_14732;
BgL_l1316z00_14732 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12437))))->BgL_valsz00); 
BgL_zc3anonymousza33007ze3z83_14731:
if(
NULLP(BgL_l1316z00_14732))
{ /* Eval/evaluate_comp.scm 492 */
BgL_testz00_28610 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 492 */
bool_t BgL_testz00_28613;
{ /* Eval/evaluate_comp.scm 492 */
obj_t BgL_vz00_14733;
BgL_vz00_14733 = 
CAR(
((obj_t)BgL_l1316z00_14732)); 
BgL_testz00_28613 = 
BGl_isazf3zf3zz__objectz00(BgL_vz00_14733, BGl_ev_absz00zz__evaluate_typesz00); } 
if(BgL_testz00_28613)
{ 
obj_t BgL_l1316z00_28617;
BgL_l1316z00_28617 = 
CDR(
((obj_t)BgL_l1316z00_14732)); 
BgL_l1316z00_14732 = BgL_l1316z00_28617; 
goto BgL_zc3anonymousza33007ze3z83_14731;}  else 
{ /* Eval/evaluate_comp.scm 492 */
BgL_testz00_28610 = ((bool_t)0)
; } } } 
if(BgL_testz00_28610)
{ /* Eval/evaluate_comp.scm 493 */
obj_t BgL_zc3anonymousza32977ze3z83_14734;
BgL_zc3anonymousza32977ze3z83_14734 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32977ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32977ze3z83_14734, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14714)); 
PROCEDURE_SET(BgL_zc3anonymousza32977ze3z83_14734, 
(int)(((long)1)), BgL_cvalsz00_14717); 
PROCEDURE_SET(BgL_zc3anonymousza32977ze3z83_14734, 
(int)(((long)2)), BgL_bodyz00_14718); 
return BgL_zc3anonymousza32977ze3z83_14734;}  else 
{ /* Eval/evaluate_comp.scm 503 */
obj_t BgL_zc3anonymousza32990ze3z83_14735;
BgL_zc3anonymousza32990ze3z83_14735 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32990ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32990ze3z83_14735, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14714)); 
PROCEDURE_SET(BgL_zc3anonymousza32990ze3z83_14735, 
(int)(((long)1)), BgL_cvalsz00_14717); 
PROCEDURE_SET(BgL_zc3anonymousza32990ze3z83_14735, 
(int)(((long)2)), BgL_bodyz00_14718); 
return BgL_zc3anonymousza32990ze3z83_14735;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2977> */
obj_t BGl_z62zc3anonymousza32977ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12439, obj_t BgL_sz00_12443)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 493 */
{ /* Eval/evaluate_comp.scm 493 */
long BgL_siza7eza7_12440;obj_t BgL_cvalsz00_12441;obj_t BgL_bodyz00_12442;
BgL_siza7eza7_12440 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12439, 
(int)(((long)0)))); 
BgL_cvalsz00_12441 = 
PROCEDURE_REF(BgL_envz00_12439, 
(int)(((long)1))); 
BgL_bodyz00_12442 = 
PROCEDURE_REF(BgL_envz00_12439, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 493 */
obj_t BgL_bpz00_14736;
BgL_bpz00_14736 = 
VECTOR_REF(
((obj_t)BgL_sz00_12443),((long)0)); 
{ /* Eval/evaluate_comp.scm 494 */
long BgL_g1110z00_14737;
BgL_g1110z00_14737 = 
(
(long)CINT(BgL_bpz00_14736)+BgL_siza7eza7_12440); 
{ 
obj_t BgL_lz00_14739;long BgL_iz00_14740;
BgL_lz00_14739 = BgL_cvalsz00_12441; 
BgL_iz00_14740 = BgL_g1110z00_14737; 
BgL_recz00_14738:
if(
NULLP(BgL_lz00_14739))
{ /* Eval/evaluate_comp.scm 495 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 495 */
{ /* Eval/evaluate_comp.scm 496 */
obj_t BgL_arg2980z00_14741;
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14742;
BgL_newz00_14742 = 
create_struct(BGl_symbol5198z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28658;
BgL_tmpz00_28658 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14742, BgL_tmpz00_28658, BUNSPEC); } 
BgL_arg2980z00_14741 = BgL_newz00_14742; } 
VECTOR_SET(
((obj_t)BgL_sz00_12443),BgL_iz00_14740,BgL_arg2980z00_14741); } 
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_arg2981z00_14743;long BgL_arg2982z00_14744;
BgL_arg2981z00_14743 = 
CDR(
((obj_t)BgL_lz00_14739)); 
BgL_arg2982z00_14744 = 
(BgL_iz00_14740+((long)1)); 
{ 
long BgL_iz00_28667;obj_t BgL_lz00_28666;
BgL_lz00_28666 = BgL_arg2981z00_14743; 
BgL_iz00_28667 = BgL_arg2982z00_14744; 
BgL_iz00_14740 = BgL_iz00_28667; 
BgL_lz00_14739 = BgL_lz00_28666; 
goto BgL_recz00_14738;} } } } } 
{ /* Eval/evaluate_comp.scm 498 */
long BgL_g1111z00_14745;
BgL_g1111z00_14745 = 
(
(long)CINT(BgL_bpz00_14736)+BgL_siza7eza7_12440); 
{ 
obj_t BgL_lz00_14747;long BgL_iz00_14748;
BgL_lz00_14747 = BgL_cvalsz00_12441; 
BgL_iz00_14748 = BgL_g1111z00_14745; 
BgL_recz00_14746:
if(
NULLP(BgL_lz00_14747))
{ /* Eval/evaluate_comp.scm 499 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 499 */
{ /* Eval/evaluate_comp.scm 500 */
obj_t BgL_arg2985z00_14749;obj_t BgL_arg2986z00_14750;
BgL_arg2985z00_14749 = 
VECTOR_REF(
((obj_t)BgL_sz00_12443),BgL_iz00_14748); 
{ /* Eval/evaluate_comp.scm 500 */
obj_t BgL_fun2987z00_14751;
BgL_fun2987z00_14751 = 
CAR(
((obj_t)BgL_lz00_14747)); 
BgL_arg2986z00_14750 = 
PROCEDURE_ENTRY(BgL_fun2987z00_14751)(BgL_fun2987z00_14751, BgL_sz00_12443, BEOA); } 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_28682;obj_t BgL_tmpz00_28680;
BgL_auxz00_28682 = 
(int)(((long)0)); 
BgL_tmpz00_28680 = 
((obj_t)BgL_arg2985z00_14749); 
STRUCT_SET(BgL_tmpz00_28680, BgL_auxz00_28682, BgL_arg2986z00_14750); } } 
{ /* Eval/evaluate_comp.scm 501 */
obj_t BgL_arg2988z00_14752;long BgL_arg2989z00_14753;
BgL_arg2988z00_14752 = 
CDR(
((obj_t)BgL_lz00_14747)); 
BgL_arg2989z00_14753 = 
(BgL_iz00_14748+((long)1)); 
{ 
long BgL_iz00_28689;obj_t BgL_lz00_28688;
BgL_lz00_28688 = BgL_arg2988z00_14752; 
BgL_iz00_28689 = BgL_arg2989z00_14753; 
BgL_iz00_14748 = BgL_iz00_28689; 
BgL_lz00_14747 = BgL_lz00_28688; 
goto BgL_recz00_14746;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12442)(BgL_bodyz00_12442, BgL_sz00_12443, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2990> */
obj_t BGl_z62zc3anonymousza32990ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12444, obj_t BgL_sz00_12448)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 503 */
{ /* Eval/evaluate_comp.scm 503 */
long BgL_siza7eza7_12445;obj_t BgL_cvalsz00_12446;obj_t BgL_bodyz00_12447;
BgL_siza7eza7_12445 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12444, 
(int)(((long)0)))); 
BgL_cvalsz00_12446 = 
PROCEDURE_REF(BgL_envz00_12444, 
(int)(((long)1))); 
BgL_bodyz00_12447 = 
PROCEDURE_REF(BgL_envz00_12444, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 503 */
obj_t BgL_bpz00_14754;
BgL_bpz00_14754 = 
VECTOR_REF(
((obj_t)BgL_sz00_12448),((long)0)); 
{ /* Eval/evaluate_comp.scm 504 */
long BgL_g1112z00_14755;
BgL_g1112z00_14755 = 
(
(long)CINT(BgL_bpz00_14754)+BgL_siza7eza7_12445); 
{ 
obj_t BgL_lz00_14757;long BgL_iz00_14758;
BgL_lz00_14757 = BgL_cvalsz00_12446; 
BgL_iz00_14758 = BgL_g1112z00_14755; 
BgL_recz00_14756:
if(
NULLP(BgL_lz00_14757))
{ /* Eval/evaluate_comp.scm 505 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 505 */
{ /* Eval/evaluate_comp.scm 506 */
obj_t BgL_arg2993z00_14759;
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14760;
BgL_newz00_14760 = 
create_struct(BGl_symbol5198z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28709;
BgL_tmpz00_28709 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14760, BgL_tmpz00_28709, BUNSPEC); } 
BgL_arg2993z00_14759 = BgL_newz00_14760; } 
VECTOR_SET(
((obj_t)BgL_sz00_12448),BgL_iz00_14758,BgL_arg2993z00_14759); } 
{ /* Eval/evaluate_comp.scm 507 */
obj_t BgL_arg2994z00_14761;long BgL_arg2995z00_14762;
BgL_arg2994z00_14761 = 
CDR(
((obj_t)BgL_lz00_14757)); 
BgL_arg2995z00_14762 = 
(BgL_iz00_14758+((long)1)); 
{ 
long BgL_iz00_28718;obj_t BgL_lz00_28717;
BgL_lz00_28717 = BgL_arg2994z00_14761; 
BgL_iz00_28718 = BgL_arg2995z00_14762; 
BgL_iz00_14758 = BgL_iz00_28718; 
BgL_lz00_14757 = BgL_lz00_28717; 
goto BgL_recz00_14756;} } } } } 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_rvalsz00_14763;
if(
NULLP(BgL_cvalsz00_12446))
{ /* Eval/evaluate_comp.scm 508 */
BgL_rvalsz00_14763 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_head1322z00_14764;
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_res4697z00_14765;
BgL_res4697z00_14765 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1322z00_14764 = BgL_res4697z00_14765; } 
{ 
obj_t BgL_l1320z00_14767;obj_t BgL_tail1323z00_14768;
BgL_l1320z00_14767 = BgL_cvalsz00_12446; 
BgL_tail1323z00_14768 = BgL_head1322z00_14764; 
BgL_zc3anonymousza33003ze3z83_14766:
if(
NULLP(BgL_l1320z00_14767))
{ /* Eval/evaluate_comp.scm 508 */
BgL_rvalsz00_14763 = 
CDR(BgL_head1322z00_14764); }  else 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_newtail1324z00_14769;
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_arg3006z00_14770;
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_vz00_14771;
BgL_vz00_14771 = 
CAR(
((obj_t)BgL_l1320z00_14767)); 
BgL_arg3006z00_14770 = 
PROCEDURE_ENTRY(BgL_vz00_14771)(BgL_vz00_14771, BgL_sz00_12448, BEOA); } 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_res4699z00_14772;
BgL_res4699z00_14772 = 
MAKE_YOUNG_PAIR(BgL_arg3006z00_14770, BNIL); 
BgL_newtail1324z00_14769 = BgL_res4699z00_14772; } } 
SET_CDR(BgL_tail1323z00_14768, BgL_newtail1324z00_14769); 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_arg3005z00_14773;
BgL_arg3005z00_14773 = 
CDR(
((obj_t)BgL_l1320z00_14767)); 
{ 
obj_t BgL_tail1323z00_28736;obj_t BgL_l1320z00_28735;
BgL_l1320z00_28735 = BgL_arg3005z00_14773; 
BgL_tail1323z00_28736 = BgL_newtail1324z00_14769; 
BgL_tail1323z00_14768 = BgL_tail1323z00_28736; 
BgL_l1320z00_14767 = BgL_l1320z00_28735; 
goto BgL_zc3anonymousza33003ze3z83_14766;} } } } } 
{ /* Eval/evaluate_comp.scm 509 */
long BgL_g1113z00_14774;
BgL_g1113z00_14774 = 
(
(long)CINT(BgL_bpz00_14754)+BgL_siza7eza7_12445); 
{ 
obj_t BgL_lz00_14776;long BgL_iz00_14777;
BgL_lz00_14776 = BgL_rvalsz00_14763; 
BgL_iz00_14777 = BgL_g1113z00_14774; 
BgL_recz00_14775:
if(
NULLP(BgL_lz00_14776))
{ /* Eval/evaluate_comp.scm 510 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 510 */
{ /* Eval/evaluate_comp.scm 511 */
obj_t BgL_arg2998z00_14778;obj_t BgL_arg2999z00_14779;
BgL_arg2998z00_14778 = 
VECTOR_REF(
((obj_t)BgL_sz00_12448),BgL_iz00_14777); 
BgL_arg2999z00_14779 = 
CAR(
((obj_t)BgL_lz00_14776)); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_28747;obj_t BgL_tmpz00_28745;
BgL_auxz00_28747 = 
(int)(((long)0)); 
BgL_tmpz00_28745 = 
((obj_t)BgL_arg2998z00_14778); 
STRUCT_SET(BgL_tmpz00_28745, BgL_auxz00_28747, BgL_arg2999z00_14779); } } 
{ /* Eval/evaluate_comp.scm 512 */
obj_t BgL_arg3000z00_14780;long BgL_arg3001z00_14781;
BgL_arg3000z00_14780 = 
CDR(
((obj_t)BgL_lz00_14776)); 
BgL_arg3001z00_14781 = 
(BgL_iz00_14777+((long)1)); 
{ 
long BgL_iz00_28754;obj_t BgL_lz00_28753;
BgL_lz00_28753 = BgL_arg3000z00_14780; 
BgL_iz00_28754 = BgL_arg3001z00_14781; 
BgL_iz00_14777 = BgL_iz00_28754; 
BgL_lz00_14776 = BgL_lz00_28753; 
goto BgL_recz00_14775;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12447)(BgL_bodyz00_12447, BgL_sz00_12448, BEOA);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_let*1409 */
obj_t BGl_z62compzd2ev_letza21409z12zz__evaluate_compz00(obj_t BgL_envz00_12449, obj_t BgL_ez00_12450, obj_t BgL_stkz00_12451)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 474 */
{ /* Eval/evaluate_comp.scm 476 */
long BgL_siza7eza7_14783;obj_t BgL_nstkz00_14784;
BgL_siza7eza7_14783 = 
bgl_list_length(BgL_stkz00_12451); 
{ /* Eval/evaluate_comp.scm 476 */
obj_t BgL_arg2972z00_14785;
BgL_arg2972z00_14785 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12450))))->BgL_varsz00); 
BgL_nstkz00_14784 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12451, BgL_arg2972z00_14785); } 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_valsz00_14786;obj_t BgL_bodyz00_14787;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_l1306z00_14788;
BgL_l1306z00_14788 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12450))))->BgL_valsz00); 
if(
NULLP(BgL_l1306z00_14788))
{ /* Eval/evaluate_comp.scm 477 */
BgL_valsz00_14786 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_head1308z00_14789;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_res4676z00_14790;
BgL_res4676z00_14790 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1308z00_14789 = BgL_res4676z00_14790; } 
{ 
obj_t BgL_l1306z00_14792;obj_t BgL_tail1309z00_14793;
BgL_l1306z00_14792 = BgL_l1306z00_14788; 
BgL_tail1309z00_14793 = BgL_head1308z00_14789; 
BgL_zc3anonymousza32967ze3z83_14791:
if(
NULLP(BgL_l1306z00_14792))
{ /* Eval/evaluate_comp.scm 477 */
BgL_valsz00_14786 = 
CDR(BgL_head1308z00_14789); }  else 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_newtail1310z00_14794;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_arg2970z00_14795;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_vz00_14796;
BgL_vz00_14796 = 
CAR(
((obj_t)BgL_l1306z00_14792)); 
BgL_arg2970z00_14795 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_14796), BgL_nstkz00_14784); } 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_res4678z00_14797;
BgL_res4678z00_14797 = 
MAKE_YOUNG_PAIR(BgL_arg2970z00_14795, BNIL); 
BgL_newtail1310z00_14794 = BgL_res4678z00_14797; } } 
SET_CDR(BgL_tail1309z00_14793, BgL_newtail1310z00_14794); 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_arg2969z00_14798;
BgL_arg2969z00_14798 = 
CDR(
((obj_t)BgL_l1306z00_14792)); 
{ 
obj_t BgL_tail1309z00_28782;obj_t BgL_l1306z00_28781;
BgL_l1306z00_28781 = BgL_arg2969z00_14798; 
BgL_tail1309z00_28782 = BgL_newtail1310z00_14794; 
BgL_tail1309z00_14793 = BgL_tail1309z00_28782; 
BgL_l1306z00_14792 = BgL_l1306z00_28781; 
goto BgL_zc3anonymousza32967ze3z83_14791;} } } } } } 
{ /* Eval/evaluate_comp.scm 478 */
BgL_ev_exprz00_bglt BgL_arg2971z00_14799;
BgL_arg2971z00_14799 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12450))))->BgL_bodyz00); 
BgL_bodyz00_14787 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2971z00_14799, BgL_nstkz00_14784); } 
{ /* Eval/evaluate_comp.scm 479 */
obj_t BgL_zc3anonymousza32956ze3z83_14800;
BgL_zc3anonymousza32956ze3z83_14800 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32956ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza32956ze3z83_14800, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14783)); 
PROCEDURE_SET(BgL_zc3anonymousza32956ze3z83_14800, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_letza2za2_bglt)BgL_ez00_12450))); 
PROCEDURE_SET(BgL_zc3anonymousza32956ze3z83_14800, 
(int)(((long)2)), BgL_valsz00_14786); 
PROCEDURE_SET(BgL_zc3anonymousza32956ze3z83_14800, 
(int)(((long)3)), BgL_bodyz00_14787); 
return BgL_zc3anonymousza32956ze3z83_14800;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2956> */
obj_t BGl_z62zc3anonymousza32956ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12452, obj_t BgL_sz00_12457)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 479 */
{ /* Eval/evaluate_comp.scm 479 */
long BgL_siza7eza7_12453;BgL_ev_letza2za2_bglt BgL_i1107z00_12454;obj_t BgL_valsz00_12455;obj_t BgL_bodyz00_12456;
BgL_siza7eza7_12453 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12452, 
(int)(((long)0)))); 
BgL_i1107z00_12454 = 
((BgL_ev_letza2za2_bglt)
PROCEDURE_REF(BgL_envz00_12452, 
(int)(((long)1)))); 
BgL_valsz00_12455 = 
PROCEDURE_REF(BgL_envz00_12452, 
(int)(((long)2))); 
BgL_bodyz00_12456 = 
PROCEDURE_REF(BgL_envz00_12452, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 479 */
obj_t BgL_bpz00_14801;
BgL_bpz00_14801 = 
VECTOR_REF(
((obj_t)BgL_sz00_12457),((long)0)); 
{ /* Eval/evaluate_comp.scm 480 */
long BgL_g1108z00_14802;
BgL_g1108z00_14802 = 
(
(long)CINT(BgL_bpz00_14801)+BgL_siza7eza7_12453); 
{ 
obj_t BgL_lz00_14804;long BgL_iz00_14805;obj_t BgL_bza2za2_14806;
BgL_lz00_14804 = BgL_valsz00_12455; 
BgL_iz00_14805 = BgL_g1108z00_14802; 
BgL_bza2za2_14806 = 
(((BgL_ev_letza2za2_bglt)COBJECT(BgL_i1107z00_12454))->BgL_boxesz00); 
BgL_recz00_14803:
if(
NULLP(BgL_lz00_14804))
{ /* Eval/evaluate_comp.scm 481 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 481 */
{ /* Eval/evaluate_comp.scm 482 */
obj_t BgL_valz00_14807;
{ /* Eval/evaluate_comp.scm 482 */
obj_t BgL_fun2962z00_14808;
BgL_fun2962z00_14808 = 
CAR(
((obj_t)BgL_lz00_14804)); 
BgL_valz00_14807 = 
PROCEDURE_ENTRY(BgL_fun2962z00_14808)(BgL_fun2962z00_14808, BgL_sz00_12457, BEOA); } 
{ /* Eval/evaluate_comp.scm 483 */
obj_t BgL_arg2960z00_14809;
if(
CBOOL(
CAR(
((obj_t)BgL_bza2za2_14806))))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14810;
BgL_newz00_14810 = 
create_struct(BGl_symbol5198z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28829;
BgL_tmpz00_28829 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14810, BgL_tmpz00_28829, BgL_valz00_14807); } 
BgL_arg2960z00_14809 = BgL_newz00_14810; }  else 
{ /* Eval/evaluate_comp.scm 483 */
BgL_arg2960z00_14809 = BgL_valz00_14807; } 
VECTOR_SET(
((obj_t)BgL_sz00_12457),BgL_iz00_14805,BgL_arg2960z00_14809); } } 
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_arg2963z00_14811;long BgL_arg2964z00_14812;obj_t BgL_arg2965z00_14813;
BgL_arg2963z00_14811 = 
CDR(
((obj_t)BgL_lz00_14804)); 
BgL_arg2964z00_14812 = 
(BgL_iz00_14805+((long)1)); 
BgL_arg2965z00_14813 = 
CDR(
((obj_t)BgL_bza2za2_14806)); 
{ 
obj_t BgL_bza2za2_28841;long BgL_iz00_28840;obj_t BgL_lz00_28839;
BgL_lz00_28839 = BgL_arg2963z00_14811; 
BgL_iz00_28840 = BgL_arg2964z00_14812; 
BgL_bza2za2_28841 = BgL_arg2965z00_14813; 
BgL_bza2za2_14806 = BgL_bza2za2_28841; 
BgL_iz00_14805 = BgL_iz00_28840; 
BgL_lz00_14804 = BgL_lz00_28839; 
goto BgL_recz00_14803;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12456)(BgL_bodyz00_12456, BgL_sz00_12457, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_let1407 */
obj_t BGl_z62compzd2ev_let1407zb0zz__evaluate_compz00(obj_t BgL_envz00_12458, obj_t BgL_ez00_12459, obj_t BgL_stkz00_12460)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 455 */
{ /* Eval/evaluate_comp.scm 457 */
long BgL_siza7eza7_14815;obj_t BgL_nstkz00_14816;
BgL_siza7eza7_14815 = 
bgl_list_length(BgL_stkz00_12460); 
{ /* Eval/evaluate_comp.scm 457 */
obj_t BgL_arg2955z00_14817;
BgL_arg2955z00_14817 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12459))))->BgL_varsz00); 
BgL_nstkz00_14816 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12460, BgL_arg2955z00_14817); } 
{ /* Eval/evaluate_comp.scm 458 */
obj_t BgL_valsz00_14818;obj_t BgL_iboxesz00_14819;obj_t BgL_bodyz00_14820;
{ /* Eval/evaluate_comp.scm 459 */
obj_t BgL_arg2948z00_14821;
BgL_arg2948z00_14821 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12459))))->BgL_valsz00); 
BgL_valsz00_14818 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg2948z00_14821, BgL_stkz00_12460); } 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_l1301z00_14822;
BgL_l1301z00_14822 = 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_ez00_12459)))->BgL_boxesz00); 
if(
NULLP(BgL_l1301z00_14822))
{ /* Eval/evaluate_comp.scm 460 */
BgL_iboxesz00_14819 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_head1303z00_14823;
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_res4667z00_14824;
BgL_res4667z00_14824 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1303z00_14823 = BgL_res4667z00_14824; } 
{ 
obj_t BgL_l1301z00_14826;obj_t BgL_tail1304z00_14827;
BgL_l1301z00_14826 = BgL_l1301z00_14822; 
BgL_tail1304z00_14827 = BgL_head1303z00_14823; 
BgL_zc3anonymousza32950ze3z83_14825:
if(
NULLP(BgL_l1301z00_14826))
{ /* Eval/evaluate_comp.scm 460 */
BgL_iboxesz00_14819 = 
CDR(BgL_head1303z00_14823); }  else 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_newtail1305z00_14828;
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_arg2953z00_14829;
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_vz00_14830;
BgL_vz00_14830 = 
CAR(
((obj_t)BgL_l1301z00_14826)); 
BgL_arg2953z00_14829 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_14830, BgL_nstkz00_14816); } 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_res4669z00_14831;
BgL_res4669z00_14831 = 
MAKE_YOUNG_PAIR(BgL_arg2953z00_14829, BNIL); 
BgL_newtail1305z00_14828 = BgL_res4669z00_14831; } } 
SET_CDR(BgL_tail1304z00_14827, BgL_newtail1305z00_14828); 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_arg2952z00_14832;
BgL_arg2952z00_14832 = 
CDR(
((obj_t)BgL_l1301z00_14826)); 
{ 
obj_t BgL_tail1304z00_28872;obj_t BgL_l1301z00_28871;
BgL_l1301z00_28871 = BgL_arg2952z00_14832; 
BgL_tail1304z00_28872 = BgL_newtail1305z00_14828; 
BgL_tail1304z00_14827 = BgL_tail1304z00_28872; 
BgL_l1301z00_14826 = BgL_l1301z00_28871; 
goto BgL_zc3anonymousza32950ze3z83_14825;} } } } } } 
{ /* Eval/evaluate_comp.scm 461 */
BgL_ev_exprz00_bglt BgL_arg2954z00_14833;
BgL_arg2954z00_14833 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12459))))->BgL_bodyz00); 
BgL_bodyz00_14820 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2954z00_14833, BgL_nstkz00_14816); } 
{ /* Eval/evaluate_comp.scm 462 */
obj_t BgL_zc3anonymousza32935ze3z83_14834;
BgL_zc3anonymousza32935ze3z83_14834 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_14834, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14815)); 
PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_14834, 
(int)(((long)1)), BgL_valsz00_14818); 
PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_14834, 
(int)(((long)2)), BgL_iboxesz00_14819); 
PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_14834, 
(int)(((long)3)), BgL_bodyz00_14820); 
return BgL_zc3anonymousza32935ze3z83_14834;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2935> */
obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12461, obj_t BgL_sz00_12466)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 462 */
{ /* Eval/evaluate_comp.scm 462 */
long BgL_siza7eza7_12462;obj_t BgL_valsz00_12463;obj_t BgL_iboxesz00_12464;obj_t BgL_bodyz00_12465;
BgL_siza7eza7_12462 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12461, 
(int)(((long)0)))); 
BgL_valsz00_12463 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12461, 
(int)(((long)1)))); 
BgL_iboxesz00_12464 = 
PROCEDURE_REF(BgL_envz00_12461, 
(int)(((long)2))); 
BgL_bodyz00_12465 = 
PROCEDURE_REF(BgL_envz00_12461, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 462 */
obj_t BgL_bpz00_14835;
BgL_bpz00_14835 = 
VECTOR_REF(
((obj_t)BgL_sz00_12466),((long)0)); 
{ /* Eval/evaluate_comp.scm 463 */
long BgL_g1106z00_14836;
BgL_g1106z00_14836 = 
(
(long)CINT(BgL_bpz00_14835)+BgL_siza7eza7_12462); 
{ 
obj_t BgL_lz00_14838;long BgL_iz00_14839;
BgL_lz00_14838 = BgL_valsz00_12463; 
BgL_iz00_14839 = BgL_g1106z00_14836; 
BgL_recz00_14837:
if(
NULLP(BgL_lz00_14838))
{ /* Eval/evaluate_comp.scm 464 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 464 */
{ /* Eval/evaluate_comp.scm 465 */
obj_t BgL_arg2938z00_14840;
{ /* Eval/evaluate_comp.scm 465 */
obj_t BgL_fun2939z00_14841;
BgL_fun2939z00_14841 = 
CAR(
((obj_t)BgL_lz00_14838)); 
BgL_arg2938z00_14840 = 
PROCEDURE_ENTRY(BgL_fun2939z00_14841)(BgL_fun2939z00_14841, BgL_sz00_12466, BEOA); } 
VECTOR_SET(
((obj_t)BgL_sz00_12466),BgL_iz00_14839,BgL_arg2938z00_14840); } 
{ /* Eval/evaluate_comp.scm 466 */
obj_t BgL_arg2940z00_14842;long BgL_arg2941z00_14843;
BgL_arg2940z00_14842 = 
CDR(
((obj_t)BgL_lz00_14838)); 
BgL_arg2941z00_14843 = 
(BgL_iz00_14839+((long)1)); 
{ 
long BgL_iz00_28917;obj_t BgL_lz00_28916;
BgL_lz00_28916 = BgL_arg2940z00_14842; 
BgL_iz00_28917 = BgL_arg2941z00_14843; 
BgL_iz00_14839 = BgL_iz00_28917; 
BgL_lz00_14838 = BgL_lz00_28916; 
goto BgL_recz00_14837;} } } } } 
{ 
obj_t BgL_lz00_14845;
BgL_lz00_14845 = BgL_iboxesz00_12464; 
BgL_recz00_14844:
if(
NULLP(BgL_lz00_14845))
{ /* Eval/evaluate_comp.scm 468 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 468 */
{ /* Eval/evaluate_comp.scm 469 */
long BgL_iz00_14846;
BgL_iz00_14846 = 
(
(long)CINT(BgL_bpz00_14835)+
(long)CINT(
CAR(
((obj_t)BgL_lz00_14845)))); 
{ /* Eval/evaluate_comp.scm 470 */
obj_t BgL_arg2944z00_14847;
{ /* Eval/evaluate_comp.scm 470 */
obj_t BgL_arg2945z00_14848;
BgL_arg2945z00_14848 = 
VECTOR_REF(
((obj_t)BgL_sz00_12466),BgL_iz00_14846); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14849;
BgL_newz00_14849 = 
create_struct(BGl_symbol5198z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28929;
BgL_tmpz00_28929 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14849, BgL_tmpz00_28929, BgL_arg2945z00_14848); } 
BgL_arg2944z00_14847 = BgL_newz00_14849; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12466),BgL_iz00_14846,BgL_arg2944z00_14847); } } 
{ /* Eval/evaluate_comp.scm 471 */
obj_t BgL_arg2947z00_14850;
BgL_arg2947z00_14850 = 
CDR(
((obj_t)BgL_lz00_14845)); 
{ 
obj_t BgL_lz00_28936;
BgL_lz00_28936 = BgL_arg2947z00_14850; 
BgL_lz00_14845 = BgL_lz00_28936; 
goto BgL_recz00_14844;} } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12465)(BgL_bodyz00_12465, BgL_sz00_12466, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_prog21405 */
obj_t BGl_z62compzd2ev_prog21405zb0zz__evaluate_compz00(obj_t BgL_envz00_12467, obj_t BgL_ez00_12468, obj_t BgL_stkz00_12469)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 449 */
{ /* Eval/evaluate_comp.scm 451 */
obj_t BgL_e1z00_14852;obj_t BgL_e2z00_14853;
BgL_e1z00_14852 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12468)))->BgL_e1z00), BgL_stkz00_12469); 
BgL_e2z00_14853 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12468)))->BgL_e2z00), BgL_stkz00_12469); 
{ /* Eval/evaluate_comp.scm 452 */
obj_t BgL_zc3anonymousza32932ze3z83_14854;
BgL_zc3anonymousza32932ze3z83_14854 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32932ze3z83_14854, 
(int)(((long)0)), BgL_e1z00_14852); 
PROCEDURE_SET(BgL_zc3anonymousza32932ze3z83_14854, 
(int)(((long)1)), BgL_e2z00_14853); 
return BgL_zc3anonymousza32932ze3z83_14854;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2932> */
obj_t BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12470, obj_t BgL_sz00_12473)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 452 */
{ /* Eval/evaluate_comp.scm 452 */
obj_t BgL_e1z00_12471;obj_t BgL_e2z00_12472;
BgL_e1z00_12471 = 
PROCEDURE_REF(BgL_envz00_12470, 
(int)(((long)0))); 
BgL_e2z00_12472 = 
PROCEDURE_REF(BgL_envz00_12470, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 452 */
obj_t BgL_bpz00_14855;
BgL_bpz00_14855 = 
VECTOR_REF(
((obj_t)BgL_sz00_12473),((long)0)); 
PROCEDURE_ENTRY(BgL_e1z00_12471)(BgL_e1z00_12471, BgL_sz00_12473, BEOA); 
return 
PROCEDURE_ENTRY(BgL_e2z00_12472)(BgL_e2z00_12472, BgL_sz00_12473, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_and1403 */
obj_t BGl_z62compzd2ev_and1403zb0zz__evaluate_compz00(obj_t BgL_envz00_12474, obj_t BgL_ez00_12475, obj_t BgL_stkz00_12476)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 439 */
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_argsz00_14857;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_l1296z00_14858;
BgL_l1296z00_14858 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_ez00_12475))))->BgL_argsz00); 
if(
NULLP(BgL_l1296z00_14858))
{ /* Eval/evaluate_comp.scm 441 */
BgL_argsz00_14857 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_head1298z00_14859;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_res4662z00_14860;
BgL_res4662z00_14860 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1298z00_14859 = BgL_res4662z00_14860; } 
{ 
obj_t BgL_l1296z00_14862;obj_t BgL_tail1299z00_14863;
BgL_l1296z00_14862 = BgL_l1296z00_14858; 
BgL_tail1299z00_14863 = BgL_head1298z00_14859; 
BgL_zc3anonymousza32928ze3z83_14861:
if(
NULLP(BgL_l1296z00_14862))
{ /* Eval/evaluate_comp.scm 441 */
BgL_argsz00_14857 = 
CDR(BgL_head1298z00_14859); }  else 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_newtail1300z00_14864;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_arg2931z00_14865;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_ez00_14866;
BgL_ez00_14866 = 
CAR(
((obj_t)BgL_l1296z00_14862)); 
BgL_arg2931z00_14865 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_14866), BgL_stkz00_12476); } 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_res4664z00_14867;
BgL_res4664z00_14867 = 
MAKE_YOUNG_PAIR(BgL_arg2931z00_14865, BNIL); 
BgL_newtail1300z00_14864 = BgL_res4664z00_14867; } } 
SET_CDR(BgL_tail1299z00_14863, BgL_newtail1300z00_14864); 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_arg2930z00_14868;
BgL_arg2930z00_14868 = 
CDR(
((obj_t)BgL_l1296z00_14862)); 
{ 
obj_t BgL_tail1299z00_28986;obj_t BgL_l1296z00_28985;
BgL_l1296z00_28985 = BgL_arg2930z00_14868; 
BgL_tail1299z00_28986 = BgL_newtail1300z00_14864; 
BgL_tail1299z00_14863 = BgL_tail1299z00_28986; 
BgL_l1296z00_14862 = BgL_l1296z00_28985; 
goto BgL_zc3anonymousza32928ze3z83_14861;} } } } } } 
{ /* Eval/evaluate_comp.scm 442 */
obj_t BgL_zc3anonymousza32922ze3z83_14869;
BgL_zc3anonymousza32922ze3z83_14869 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32922ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32922ze3z83_14869, 
(int)(((long)0)), BgL_argsz00_14857); 
return BgL_zc3anonymousza32922ze3z83_14869;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2922> */
obj_t BGl_z62zc3anonymousza32922ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12477, obj_t BgL_sz00_12479)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 442 */
{ /* Eval/evaluate_comp.scm 442 */
obj_t BgL_argsz00_12478;
BgL_argsz00_12478 = 
PROCEDURE_REF(BgL_envz00_12477, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 442 */
obj_t BgL_bpz00_14870;
BgL_bpz00_14870 = 
VECTOR_REF(
((obj_t)BgL_sz00_12479),((long)0)); 
{ 
obj_t BgL_lz00_14872;obj_t BgL_rz00_14873;
BgL_lz00_14872 = BgL_argsz00_12478; 
BgL_rz00_14873 = BTRUE; 
BgL_recz00_14871:
if(
NULLP(BgL_lz00_14872))
{ /* Eval/evaluate_comp.scm 444 */
return BgL_rz00_14873;}  else 
{ /* Eval/evaluate_comp.scm 446 */
obj_t BgL_vz00_14874;
{ /* Eval/evaluate_comp.scm 446 */
obj_t BgL_fun2926z00_14875;
BgL_fun2926z00_14875 = 
CAR(
((obj_t)BgL_lz00_14872)); 
BgL_vz00_14874 = 
PROCEDURE_ENTRY(BgL_fun2926z00_14875)(BgL_fun2926z00_14875, BgL_sz00_12479, BEOA); } 
if(
CBOOL(BgL_vz00_14874))
{ /* Eval/evaluate_comp.scm 447 */
obj_t BgL_arg2925z00_14876;
BgL_arg2925z00_14876 = 
CDR(
((obj_t)BgL_lz00_14872)); 
{ 
obj_t BgL_rz00_29009;obj_t BgL_lz00_29008;
BgL_lz00_29008 = BgL_arg2925z00_14876; 
BgL_rz00_29009 = BgL_vz00_14874; 
BgL_rz00_14873 = BgL_rz00_29009; 
BgL_lz00_14872 = BgL_lz00_29008; 
goto BgL_recz00_14871;} }  else 
{ /* Eval/evaluate_comp.scm 447 */
return BFALSE;} } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_or1401 */
obj_t BGl_z62compzd2ev_or1401zb0zz__evaluate_compz00(obj_t BgL_envz00_12480, obj_t BgL_ez00_12481, obj_t BgL_stkz00_12482)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 430 */
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_argsz00_14878;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_l1291z00_14879;
BgL_l1291z00_14879 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_ez00_12481))))->BgL_argsz00); 
if(
NULLP(BgL_l1291z00_14879))
{ /* Eval/evaluate_comp.scm 432 */
BgL_argsz00_14878 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_head1293z00_14880;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_res4657z00_14881;
BgL_res4657z00_14881 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1293z00_14880 = BgL_res4657z00_14881; } 
{ 
obj_t BgL_l1291z00_14883;obj_t BgL_tail1294z00_14884;
BgL_l1291z00_14883 = BgL_l1291z00_14879; 
BgL_tail1294z00_14884 = BgL_head1293z00_14880; 
BgL_zc3anonymousza32918ze3z83_14882:
if(
NULLP(BgL_l1291z00_14883))
{ /* Eval/evaluate_comp.scm 432 */
BgL_argsz00_14878 = 
CDR(BgL_head1293z00_14880); }  else 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_newtail1295z00_14885;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_arg2921z00_14886;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_ez00_14887;
BgL_ez00_14887 = 
CAR(
((obj_t)BgL_l1291z00_14883)); 
BgL_arg2921z00_14886 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_14887), BgL_stkz00_12482); } 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_res4659z00_14888;
BgL_res4659z00_14888 = 
MAKE_YOUNG_PAIR(BgL_arg2921z00_14886, BNIL); 
BgL_newtail1295z00_14885 = BgL_res4659z00_14888; } } 
SET_CDR(BgL_tail1294z00_14884, BgL_newtail1295z00_14885); 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_arg2920z00_14889;
BgL_arg2920z00_14889 = 
CDR(
((obj_t)BgL_l1291z00_14883)); 
{ 
obj_t BgL_tail1294z00_29028;obj_t BgL_l1291z00_29027;
BgL_l1291z00_29027 = BgL_arg2920z00_14889; 
BgL_tail1294z00_29028 = BgL_newtail1295z00_14885; 
BgL_tail1294z00_14884 = BgL_tail1294z00_29028; 
BgL_l1291z00_14883 = BgL_l1291z00_29027; 
goto BgL_zc3anonymousza32918ze3z83_14882;} } } } } } 
{ /* Eval/evaluate_comp.scm 433 */
obj_t BgL_zc3anonymousza32912ze3z83_14890;
BgL_zc3anonymousza32912ze3z83_14890 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32912ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32912ze3z83_14890, 
(int)(((long)0)), BgL_argsz00_14878); 
return BgL_zc3anonymousza32912ze3z83_14890;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2912> */
obj_t BGl_z62zc3anonymousza32912ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12483, obj_t BgL_sz00_12485)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 433 */
{ /* Eval/evaluate_comp.scm 433 */
obj_t BgL_argsz00_12484;
BgL_argsz00_12484 = 
PROCEDURE_REF(BgL_envz00_12483, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 433 */
obj_t BgL_bpz00_14891;
BgL_bpz00_14891 = 
VECTOR_REF(
((obj_t)BgL_sz00_12485),((long)0)); 
{ 
obj_t BgL_lz00_14893;
BgL_lz00_14893 = BgL_argsz00_12484; 
BgL_recz00_14892:
if(
NULLP(BgL_lz00_14893))
{ /* Eval/evaluate_comp.scm 435 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 437 */
obj_t BgL__ortest_1101z00_14894;
{ /* Eval/evaluate_comp.scm 437 */
obj_t BgL_fun2916z00_14895;
BgL_fun2916z00_14895 = 
CAR(
((obj_t)BgL_lz00_14893)); 
BgL__ortest_1101z00_14894 = 
PROCEDURE_ENTRY(BgL_fun2916z00_14895)(BgL_fun2916z00_14895, BgL_sz00_12485, BEOA); } 
if(
CBOOL(BgL__ortest_1101z00_14894))
{ /* Eval/evaluate_comp.scm 437 */
return BgL__ortest_1101z00_14894;}  else 
{ /* Eval/evaluate_comp.scm 437 */
obj_t BgL_arg2915z00_14896;
BgL_arg2915z00_14896 = 
CDR(
((obj_t)BgL_lz00_14893)); 
{ 
obj_t BgL_lz00_29050;
BgL_lz00_29050 = BgL_arg2915z00_14896; 
BgL_lz00_14893 = BgL_lz00_29050; 
goto BgL_recz00_14892;} } } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_if1399 */
obj_t BGl_z62compzd2ev_if1399zb0zz__evaluate_compz00(obj_t BgL_envz00_12486, obj_t BgL_ez00_12487, obj_t BgL_stkz00_12488)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 424 */
{ /* Eval/evaluate_comp.scm 426 */
obj_t BgL_pz00_14898;obj_t BgL_tz00_14899;obj_t BgL_ez00_14900;
BgL_pz00_14898 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12487)))->BgL_pz00), BgL_stkz00_12488); 
BgL_tz00_14899 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12487)))->BgL_tz00), BgL_stkz00_12488); 
BgL_ez00_14900 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12487)))->BgL_ez00), BgL_stkz00_12488); 
{ /* Eval/evaluate_comp.scm 427 */
obj_t BgL_zc3anonymousza32907ze3z83_14901;
BgL_zc3anonymousza32907ze3z83_14901 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32907ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32907ze3z83_14901, 
(int)(((long)0)), BgL_ez00_14900); 
PROCEDURE_SET(BgL_zc3anonymousza32907ze3z83_14901, 
(int)(((long)1)), BgL_tz00_14899); 
PROCEDURE_SET(BgL_zc3anonymousza32907ze3z83_14901, 
(int)(((long)2)), BgL_pz00_14898); 
return BgL_zc3anonymousza32907ze3z83_14901;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2907> */
obj_t BGl_z62zc3anonymousza32907ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12489, obj_t BgL_sz00_12493)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 427 */
{ /* Eval/evaluate_comp.scm 427 */
obj_t BgL_ez00_12490;obj_t BgL_tz00_12491;obj_t BgL_pz00_12492;
BgL_ez00_12490 = 
PROCEDURE_REF(BgL_envz00_12489, 
(int)(((long)0))); 
BgL_tz00_12491 = 
PROCEDURE_REF(BgL_envz00_12489, 
(int)(((long)1))); 
BgL_pz00_12492 = 
PROCEDURE_REF(BgL_envz00_12489, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 427 */
obj_t BgL_bpz00_14902;
BgL_bpz00_14902 = 
VECTOR_REF(
((obj_t)BgL_sz00_12493),((long)0)); 
if(
CBOOL(
PROCEDURE_ENTRY(BgL_pz00_12492)(BgL_pz00_12492, BgL_sz00_12493, BEOA)))
{ /* Eval/evaluate_comp.scm 428 */
return 
PROCEDURE_ENTRY(BgL_tz00_12491)(BgL_tz00_12491, BgL_sz00_12493, BEOA);}  else 
{ /* Eval/evaluate_comp.scm 428 */
return 
PROCEDURE_ENTRY(BgL_ez00_12490)(BgL_ez00_12490, BgL_sz00_12493, BEOA);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_litt1397 */
obj_t BGl_z62compzd2ev_litt1397zb0zz__evaluate_compz00(obj_t BgL_envz00_12494, obj_t BgL_ez00_12495, obj_t BgL_stkz00_12496)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 419 */
{ /* Eval/evaluate_comp.scm 421 */
obj_t BgL_zc3anonymousza32906ze3z83_14904;
BgL_zc3anonymousza32906ze3z83_14904 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32906ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32906ze3z83_14904, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_littz00_bglt)BgL_ez00_12495))); 
return BgL_zc3anonymousza32906ze3z83_14904;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2906> */
obj_t BGl_z62zc3anonymousza32906ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12497, obj_t BgL_sz00_12499)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 421 */
{ /* Eval/evaluate_comp.scm 421 */
BgL_ev_littz00_bglt BgL_i1098z00_12498;
BgL_i1098z00_12498 = 
((BgL_ev_littz00_bglt)
PROCEDURE_REF(BgL_envz00_12497, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 421 */
obj_t BgL_bpz00_14905;
BgL_bpz00_14905 = 
VECTOR_REF(
((obj_t)BgL_sz00_12499),((long)0)); 
return 
(((BgL_ev_littz00_bglt)COBJECT(BgL_i1098z00_12498))->BgL_valuez00);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_defglobal1395 */
obj_t BGl_z62compzd2ev_defglobal1395zb0zz__evaluate_compz00(obj_t BgL_envz00_12500, obj_t BgL_ez00_12501, obj_t BgL_stkz00_12502)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 388 */
{ /* Eval/evaluate_comp.scm 390 */
obj_t BgL_ez00_14907;
{ /* Eval/evaluate_comp.scm 390 */
BgL_ev_exprz00_bglt BgL_arg2905z00_14908;
BgL_arg2905z00_14908 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12501))))->BgL_ez00); 
BgL_ez00_14907 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2905z00_14908, BgL_stkz00_12502); } 
{ /* Eval/evaluate_comp.scm 391 */
obj_t BgL_zc3anonymousza32880ze3z83_14909;
BgL_zc3anonymousza32880ze3z83_14909 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32880ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32880ze3z83_14909, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12501))); 
PROCEDURE_SET(BgL_zc3anonymousza32880ze3z83_14909, 
(int)(((long)1)), BgL_ez00_14907); 
return BgL_zc3anonymousza32880ze3z83_14909;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2880> */
obj_t BGl_z62zc3anonymousza32880ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12503, obj_t BgL_sz00_12506)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 391 */
{ /* Eval/evaluate_comp.scm 391 */
BgL_ev_defglobalz00_bglt BgL_i1095z00_12504;obj_t BgL_ez00_12505;
BgL_i1095z00_12504 = 
((BgL_ev_defglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12503, 
(int)(((long)0)))); 
BgL_ez00_12505 = 
PROCEDURE_REF(BgL_envz00_12503, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 391 */
obj_t BgL_bpz00_14910;
BgL_bpz00_14910 = 
VECTOR_REF(
((obj_t)BgL_sz00_12506),((long)0)); 
{ /* Eval/evaluate_comp.scm 392 */
obj_t BgL_gz00_14911;
{ /* Eval/evaluate_comp.scm 392 */
obj_t BgL_arg2903z00_14912;obj_t BgL_arg2904z00_14913;
BgL_arg2903z00_14912 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_modz00); 
BgL_arg2904z00_14913 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_namez00); 
BgL_gz00_14911 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2903z00_14912, BgL_arg2904z00_14913); } 
if(
CBOOL(BgL_gz00_14911))
{ /* Eval/evaluate_comp.scm 394 */
{ 

{ /* Eval/evaluate_comp.scm 396 */
int BgL_aux1097z00_14917;
{ /* Eval/evaluate_comp.scm 396 */
int BgL_res4655z00_14918;
BgL_res4655z00_14918 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_14911),((long)0))); 
BgL_aux1097z00_14917 = BgL_res4655z00_14918; } 
switch( 
(long)(BgL_aux1097z00_14917)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 398 */
obj_t BgL_arg2882z00_14919;obj_t BgL_arg2883z00_14920;
BgL_arg2882z00_14919 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_locz00); 
BgL_arg2883z00_14920 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2882z00_14919, BGl_string5309z00zz__evaluate_compz00, BGl_string5310z00zz__evaluate_compz00, BgL_arg2883z00_14920); } break;case ((long)1) : 

{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_arg2884z00_14921;obj_t BgL_arg2885z00_14922;
BgL_arg2884z00_14921 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_locz00); 
BgL_arg2885z00_14922 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_namez00); 
{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_list2886z00_14923;
{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_arg2887z00_14924;
{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_arg2888z00_14925;
BgL_arg2888z00_14925 = 
MAKE_YOUNG_PAIR(BgL_arg2885z00_14922, BNIL); 
BgL_arg2887z00_14924 = 
MAKE_YOUNG_PAIR(BGl_string5311z00zz__evaluate_compz00, BgL_arg2888z00_14925); } 
BgL_list2886z00_14923 = 
MAKE_YOUNG_PAIR(BGl_string5188z00zz__evaluate_compz00, BgL_arg2887z00_14924); } 
BGl_evwarningz00zz__everrorz00(BgL_arg2884z00_14921, BgL_list2886z00_14923); } } 
{ /* Eval/evaluate_comp.scm 402 */
obj_t BgL_arg2889z00_14926;obj_t BgL_arg2890z00_14927;
BgL_arg2889z00_14926 = 
VECTOR_REF(
((obj_t)BgL_gz00_14911),((long)2)); 
BgL_arg2890z00_14927 = 
PROCEDURE_ENTRY(BgL_ez00_12505)(BgL_ez00_12505, BgL_sz00_12506, BEOA); 
__EVMEANING_ADDRESS_SET(BgL_arg2889z00_14926, BgL_arg2890z00_14927); } break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 404 */
obj_t BgL_arg2891z00_14928;
BgL_arg2891z00_14928 = 
PROCEDURE_ENTRY(BgL_ez00_12505)(BgL_ez00_12505, BgL_sz00_12506, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_14911),((long)2),BgL_arg2891z00_14928); } break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 406 */
obj_t BgL_arg2892z00_14929;
BgL_arg2892z00_14929 = 
PROCEDURE_ENTRY(BgL_ez00_12505)(BgL_ez00_12505, BgL_sz00_12506, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_14911),((long)2),BgL_arg2892z00_14929); } 
VECTOR_SET(
((obj_t)BgL_gz00_14911),((long)0),
BINT(((long)2))); break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 409 */
obj_t BgL_arg2893z00_14930;
BgL_arg2893z00_14930 = 
PROCEDURE_ENTRY(BgL_ez00_12505)(BgL_ez00_12505, BgL_sz00_12506, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_14911),((long)2),BgL_arg2893z00_14930); } 
VECTOR_SET(
((obj_t)BgL_gz00_14911),((long)0),
BINT(((long)5))); break;
default: 
{ /* Eval/evaluate_comp.scm 412 */
obj_t BgL_arg2894z00_14915;obj_t BgL_arg2895z00_14916;
BgL_arg2894z00_14915 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_locz00); 
BgL_arg2895z00_14916 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2894z00_14915, BGl_string5309z00zz__evaluate_compz00, BGl_string5310z00zz__evaluate_compz00, BgL_arg2895z00_14916); } } } } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 414 */
obj_t BgL_gz00_14931;
{ /* Eval/evaluate_comp.scm 414 */
obj_t BgL_arg2900z00_14932;obj_t BgL_arg2901z00_14933;obj_t BgL_arg2902z00_14934;
BgL_arg2900z00_14932 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_namez00); 
BgL_arg2901z00_14933 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_modz00); 
BgL_arg2902z00_14934 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 414 */
obj_t BgL_v1369z00_14935;
BgL_v1369z00_14935 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1369z00_14935,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1369z00_14935,((long)1),BgL_arg2900z00_14932); 
VECTOR_SET(BgL_v1369z00_14935,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1369z00_14935,((long)3),BgL_arg2901z00_14933); 
VECTOR_SET(BgL_v1369z00_14935,((long)4),BgL_arg2902z00_14934); 
BgL_gz00_14931 = BgL_v1369z00_14935; } } 
{ /* Eval/evaluate_comp.scm 415 */
obj_t BgL_arg2896z00_14936;
BgL_arg2896z00_14936 = 
PROCEDURE_ENTRY(BgL_ez00_12505)(BgL_ez00_12505, BgL_sz00_12506, BEOA); 
VECTOR_SET(BgL_gz00_14931,((long)2),BgL_arg2896z00_14936); } 
{ /* Eval/evaluate_comp.scm 416 */
obj_t BgL_arg2897z00_14937;obj_t BgL_arg2898z00_14938;obj_t BgL_arg2899z00_14939;
BgL_arg2897z00_14937 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_modz00); 
BgL_arg2898z00_14938 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_namez00); 
BgL_arg2899z00_14939 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_locz00); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(BgL_arg2897z00_14937, BgL_arg2898z00_14938, BgL_gz00_14931, BgL_arg2899z00_14939); } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1095z00_12504)))->BgL_namez00);} } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_setglobal1393 */
obj_t BGl_z62compzd2ev_setglobal1393zb0zz__evaluate_compz00(obj_t BgL_envz00_12507, obj_t BgL_ez00_12508, obj_t BgL_stkz00_12509)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 365 */
{ /* Eval/evaluate_comp.scm 367 */
obj_t BgL_gz00_14941;obj_t BgL_ez00_14942;
BgL_gz00_14941 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12508)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12508)))->BgL_namez00)); 
{ /* Eval/evaluate_comp.scm 367 */
BgL_ev_exprz00_bglt BgL_arg2879z00_14943;
BgL_arg2879z00_14943 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12508))))->BgL_ez00); 
BgL_ez00_14942 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2879z00_14943, BgL_stkz00_12509); } 
if(
CBOOL(BgL_gz00_14941))
{ 

{ /* Eval/evaluate_comp.scm 369 */
int BgL_aux1094z00_14946;
{ /* Eval/evaluate_comp.scm 369 */
int BgL_res4654z00_14947;
BgL_res4654z00_14947 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_14941),((long)0))); 
BgL_aux1094z00_14946 = BgL_res4654z00_14947; } 
switch( 
(long)(BgL_aux1094z00_14946)) { case ((long)1) : 

{ /* Eval/evaluate_comp.scm 371 */
obj_t BgL_zc3anonymousza32855ze3z83_14948;
BgL_zc3anonymousza32855ze3z83_14948 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32855ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32855ze3z83_14948, 
(int)(((long)0)), BgL_gz00_14941); 
PROCEDURE_SET(BgL_zc3anonymousza32855ze3z83_14948, 
(int)(((long)1)), BgL_ez00_14942); 
return BgL_zc3anonymousza32855ze3z83_14948;} break;case ((long)0) : 
case ((long)4) : 
case ((long)5) : 

return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12508)))->BgL_locz00), BGl_string5309z00zz__evaluate_compz00, BGl_string5310z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12508)))->BgL_namez00));break;
default: 
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_zc3anonymousza32860ze3z83_14945;
BgL_zc3anonymousza32860ze3z83_14945 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32860ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32860ze3z83_14945, 
(int)(((long)0)), BgL_ez00_14942); 
PROCEDURE_SET(BgL_zc3anonymousza32860ze3z83_14945, 
(int)(((long)1)), BgL_gz00_14941); 
return BgL_zc3anonymousza32860ze3z83_14945;} } } }  else 
{ /* Eval/evaluate_comp.scm 377 */
obj_t BgL_slotz00_14949;
BgL_slotz00_14949 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12508)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 379 */
obj_t BgL_gz00_14950;
{ /* Eval/evaluate_comp.scm 379 */
obj_t BgL_arg2867z00_14951;obj_t BgL_arg2868z00_14952;obj_t BgL_arg2869z00_14953;
BgL_arg2867z00_14951 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12508)))->BgL_namez00); 
BgL_arg2868z00_14952 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12508)))->BgL_modz00); 
BgL_arg2869z00_14953 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12508)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 379 */
obj_t BgL_v1369z00_14954;
BgL_v1369z00_14954 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1369z00_14954,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1369z00_14954,((long)1),BgL_arg2867z00_14951); 
VECTOR_SET(BgL_v1369z00_14954,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1369z00_14954,((long)3),BgL_arg2868z00_14952); 
VECTOR_SET(BgL_v1369z00_14954,((long)4),BgL_arg2869z00_14953); 
BgL_gz00_14950 = BgL_v1369z00_14954; } } 
VECTOR_SET(BgL_gz00_14950,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12508)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12508)))->BgL_namez00), BgL_gz00_14950, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12508)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 378 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 382 */
obj_t BgL_zc3anonymousza32871ze3z83_14955;
BgL_zc3anonymousza32871ze3z83_14955 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32871ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32871ze3z83_14955, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12508))); 
PROCEDURE_SET(BgL_zc3anonymousza32871ze3z83_14955, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_14949)); 
PROCEDURE_SET(BgL_zc3anonymousza32871ze3z83_14955, 
(int)(((long)2)), BgL_ez00_14942); 
return BgL_zc3anonymousza32871ze3z83_14955;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2855> */
obj_t BGl_z62zc3anonymousza32855ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12512, obj_t BgL_sz00_12515)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 371 */
{ /* Eval/evaluate_comp.scm 371 */
obj_t BgL_gz00_12513;obj_t BgL_ez00_12514;
BgL_gz00_12513 = 
PROCEDURE_REF(BgL_envz00_12512, 
(int)(((long)0))); 
BgL_ez00_12514 = 
PROCEDURE_REF(BgL_envz00_12512, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 371 */
obj_t BgL_bpz00_14956;
BgL_bpz00_14956 = 
VECTOR_REF(
((obj_t)BgL_sz00_12515),((long)0)); 
{ /* Eval/evaluate_comp.scm 372 */
obj_t BgL_arg2856z00_14957;obj_t BgL_arg2857z00_14958;
BgL_arg2856z00_14957 = 
VECTOR_REF(
((obj_t)BgL_gz00_12513),((long)2)); 
BgL_arg2857z00_14958 = 
PROCEDURE_ENTRY(BgL_ez00_12514)(BgL_ez00_12514, BgL_sz00_12515, BEOA); 
return 
__EVMEANING_ADDRESS_SET(BgL_arg2856z00_14957, BgL_arg2857z00_14958);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2860> */
obj_t BGl_z62zc3anonymousza32860ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12516, obj_t BgL_sz00_12519)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 376 */
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_ez00_12517;obj_t BgL_gz00_12518;
BgL_ez00_12517 = 
PROCEDURE_REF(BgL_envz00_12516, 
(int)(((long)0))); 
BgL_gz00_12518 = 
PROCEDURE_REF(BgL_envz00_12516, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_bpz00_14959;
BgL_bpz00_14959 = 
VECTOR_REF(
((obj_t)BgL_sz00_12519),((long)0)); 
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_arg2861z00_14960;
BgL_arg2861z00_14960 = 
PROCEDURE_ENTRY(BgL_ez00_12517)(BgL_ez00_12517, BgL_sz00_12519, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_gz00_12518),((long)2),BgL_arg2861z00_14960);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2871> */
obj_t BGl_z62zc3anonymousza32871ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12520, obj_t BgL_sz00_12524)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 382 */
{ /* Eval/evaluate_comp.scm 382 */
BgL_ev_setglobalz00_bglt BgL_i1092z00_12521;obj_t BgL_slotz00_12522;obj_t BgL_ez00_12523;
BgL_i1092z00_12521 = 
((BgL_ev_setglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12520, 
(int)(((long)0)))); 
BgL_slotz00_12522 = 
PROCEDURE_REF(BgL_envz00_12520, 
(int)(((long)1))); 
BgL_ez00_12523 = 
PROCEDURE_REF(BgL_envz00_12520, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 382 */
obj_t BgL_bpz00_14961;
BgL_bpz00_14961 = 
VECTOR_REF(
((obj_t)BgL_sz00_12524),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12522)))
{ /* Eval/evaluate_comp.scm 383 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 383 */
{ /* Eval/evaluate_comp.scm 384 */
obj_t BgL_auxz00_14962;
BgL_auxz00_14962 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1092z00_12521))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1092z00_12521))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12522, BgL_auxz00_14962); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12522)))
{ /* Eval/evaluate_comp.scm 385 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 385 */
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1092z00_12521))->BgL_locz00), BGl_string5188z00zz__evaluate_compz00, BGl_string5312z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1092z00_12521))->BgL_namez00)); } } 
{ /* Eval/evaluate_comp.scm 386 */
obj_t BgL_arg2876z00_14963;
BgL_arg2876z00_14963 = 
PROCEDURE_ENTRY(BgL_ez00_12523)(BgL_ez00_12523, BgL_sz00_12524, BEOA); 
{ /* Eval/evaluate_comp.scm 386 */
obj_t BgL_evalzd2globalzd2_14964;
BgL_evalzd2globalzd2_14964 = 
CELL_REF(BgL_slotz00_12522); 
return 
VECTOR_SET(BgL_evalzd2globalzd2_14964,((long)2),BgL_arg2876z00_14963);} } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_global1391 */
obj_t BGl_z62compzd2ev_global1391zb0zz__evaluate_compz00(obj_t BgL_envz00_12526, obj_t BgL_varz00_12527, obj_t BgL_stkz00_12528)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 339 */
{ /* Eval/evaluate_comp.scm 341 */
obj_t BgL_gz00_14966;
BgL_gz00_14966 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12527)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12527)))->BgL_namez00)); 
if(
CBOOL(BgL_gz00_14966))
{ /* Eval/evaluate_comp.scm 343 */
bool_t BgL_testz00_29343;
{ /* Eval/evaluate_comp.scm 343 */
int BgL_arg2832z00_14967;
{ /* Eval/evaluate_comp.scm 343 */
int BgL_res4650z00_14968;
BgL_res4650z00_14968 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_14966),((long)0))); 
BgL_arg2832z00_14967 = BgL_res4650z00_14968; } 
BgL_testz00_29343 = 
(
BINT(BgL_arg2832z00_14967)==
BINT(((long)1))); } 
if(BgL_testz00_29343)
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_zc3anonymousza32829ze3z83_14969;
BgL_zc3anonymousza32829ze3z83_14969 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32829ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32829ze3z83_14969, 
(int)(((long)0)), BgL_gz00_14966); 
return BgL_zc3anonymousza32829ze3z83_14969;}  else 
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_zc3anonymousza32831ze3z83_14970;
BgL_zc3anonymousza32831ze3z83_14970 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32831ze3z83_14970, 
(int)(((long)0)), BgL_gz00_14966); 
return BgL_zc3anonymousza32831ze3z83_14970;} }  else 
{ /* Eval/evaluate_comp.scm 348 */
obj_t BgL_slotz00_14971;
BgL_slotz00_14971 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12527)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_gz00_14972;
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_arg2838z00_14973;obj_t BgL_arg2839z00_14974;obj_t BgL_arg2840z00_14975;
BgL_arg2838z00_14973 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12527)))->BgL_namez00); 
BgL_arg2839z00_14974 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12527)))->BgL_modz00); 
BgL_arg2840z00_14975 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12527)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_v1369z00_14976;
BgL_v1369z00_14976 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1369z00_14976,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1369z00_14976,((long)1),BgL_arg2838z00_14973); 
VECTOR_SET(BgL_v1369z00_14976,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1369z00_14976,((long)3),BgL_arg2839z00_14974); 
VECTOR_SET(BgL_v1369z00_14976,((long)4),BgL_arg2840z00_14975); 
BgL_gz00_14972 = BgL_v1369z00_14976; } } 
VECTOR_SET(BgL_gz00_14972,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12527)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12527)))->BgL_namez00), BgL_gz00_14972, 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12527)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 349 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 353 */
obj_t BgL_zc3anonymousza32842ze3z83_14977;
BgL_zc3anonymousza32842ze3z83_14977 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32842ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32842ze3z83_14977, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_globalz00_bglt)BgL_varz00_12527))); 
PROCEDURE_SET(BgL_zc3anonymousza32842ze3z83_14977, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_14971)); 
return BgL_zc3anonymousza32842ze3z83_14977;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2829> */
obj_t BGl_z62zc3anonymousza32829ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12531, obj_t BgL_sz00_12533)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 344 */
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_gz00_12532;
BgL_gz00_12532 = 
PROCEDURE_REF(BgL_envz00_12531, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_bpz00_14978;
BgL_bpz00_14978 = 
VECTOR_REF(
((obj_t)BgL_sz00_12533),((long)0)); 
{ /* Eval/evaluate_comp.scm 345 */
obj_t BgL_arg2830z00_14979;
BgL_arg2830z00_14979 = 
VECTOR_REF(
((obj_t)BgL_gz00_12532),((long)2)); 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2830z00_14979);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2831> */
obj_t BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12534, obj_t BgL_sz00_12536)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 346 */
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_gz00_12535;
BgL_gz00_12535 = 
PROCEDURE_REF(BgL_envz00_12534, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_bpz00_14980;
BgL_bpz00_14980 = 
VECTOR_REF(
((obj_t)BgL_sz00_12536),((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_gz00_12535),((long)2));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2842> */
obj_t BGl_z62zc3anonymousza32842ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12537, obj_t BgL_sz00_12540)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 353 */
{ /* Eval/evaluate_comp.scm 353 */
BgL_ev_globalz00_bglt BgL_i1091z00_12538;obj_t BgL_slotz00_12539;
BgL_i1091z00_12538 = 
((BgL_ev_globalz00_bglt)
PROCEDURE_REF(BgL_envz00_12537, 
(int)(((long)0)))); 
BgL_slotz00_12539 = 
PROCEDURE_REF(BgL_envz00_12537, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 353 */
obj_t BgL_bpz00_14981;
BgL_bpz00_14981 = 
VECTOR_REF(
((obj_t)BgL_sz00_12540),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12539)))
{ /* Eval/evaluate_comp.scm 354 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 354 */
{ /* Eval/evaluate_comp.scm 355 */
obj_t BgL_auxz00_14982;
BgL_auxz00_14982 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1091z00_12538))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1091z00_12538))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12539, BgL_auxz00_14982); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12539)))
{ /* Eval/evaluate_comp.scm 356 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 356 */
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1091z00_12538))->BgL_locz00), BGl_string5188z00zz__evaluate_compz00, BGl_string5312z00zz__evaluate_compz00, 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1091z00_12538))->BgL_namez00)); } } 
{ /* Eval/evaluate_comp.scm 357 */
obj_t BgL_vz00_14983;
{ /* Eval/evaluate_comp.scm 357 */
obj_t BgL_evalzd2globalzd2_14984;
BgL_evalzd2globalzd2_14984 = 
CELL_REF(BgL_slotz00_12539); 
BgL_vz00_14983 = 
VECTOR_REF(BgL_evalzd2globalzd2_14984,((long)2)); } 
if(
(BgL_vz00_14983==BUNSPEC))
{ /* Eval/evaluate_comp.scm 359 */
int BgL_tz00_14985;
{ /* Eval/evaluate_comp.scm 359 */
int BgL_res4651z00_14986;
{ /* Eval/evaluate_comp.scm 359 */
obj_t BgL_evalzd2globalzd2_14987;
BgL_evalzd2globalzd2_14987 = 
CELL_REF(BgL_slotz00_12539); 
BgL_res4651z00_14986 = 
CINT(
VECTOR_REF(BgL_evalzd2globalzd2_14987,((long)0))); } 
BgL_tz00_14985 = BgL_res4651z00_14986; } 
{ /* Eval/evaluate_comp.scm 360 */
bool_t BgL_testz00_29431;
if(
(
(long)(BgL_tz00_14985)==((long)3)))
{ /* Eval/evaluate_comp.scm 360 */
BgL_testz00_29431 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 360 */
BgL_testz00_29431 = 
(
(long)(BgL_tz00_14985)==((long)4))
; } 
if(BgL_testz00_29431)
{ /* Eval/evaluate_comp.scm 360 */
return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1091z00_12538))->BgL_locz00), BGl_string5188z00zz__evaluate_compz00, BGl_string5313z00zz__evaluate_compz00, 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1091z00_12538))->BgL_namez00));}  else 
{ /* Eval/evaluate_comp.scm 360 */
return BgL_vz00_14983;} } }  else 
{ /* Eval/evaluate_comp.scm 358 */
return BgL_vz00_14983;} } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_setlocal1389 */
obj_t BGl_z62compzd2ev_setlocal1389zb0zz__evaluate_compz00(obj_t BgL_envz00_12542, obj_t BgL_ez00_12543, obj_t BgL_stkz00_12544)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 321 */
{ /* Eval/evaluate_comp.scm 323 */
obj_t BgL_iz00_14989;obj_t BgL_ez00_14990;
{ /* Eval/evaluate_comp.scm 323 */
BgL_ev_varz00_bglt BgL_arg2825z00_14991;
BgL_arg2825z00_14991 = 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12543)))->BgL_vz00); 
BgL_iz00_14989 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)BgL_arg2825z00_14991), BgL_stkz00_12544); } 
{ /* Eval/evaluate_comp.scm 323 */
BgL_ev_exprz00_bglt BgL_arg2826z00_14992;
BgL_arg2826z00_14992 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_12543))))->BgL_ez00); 
BgL_ez00_14990 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2826z00_14992, BgL_stkz00_12544); } 
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12543)))->BgL_vz00)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_zc3anonymousza32818ze3z83_14993;
BgL_zc3anonymousza32818ze3z83_14993 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32818ze3z83_14993, 
(int)(((long)0)), BgL_iz00_14989); 
PROCEDURE_SET(BgL_zc3anonymousza32818ze3z83_14993, 
(int)(((long)1)), BgL_ez00_14990); 
return BgL_zc3anonymousza32818ze3z83_14993;}  else 
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_zc3anonymousza32822ze3z83_14994;
BgL_zc3anonymousza32822ze3z83_14994 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32822ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32822ze3z83_14994, 
(int)(((long)0)), BgL_iz00_14989); 
PROCEDURE_SET(BgL_zc3anonymousza32822ze3z83_14994, 
(int)(((long)1)), BgL_ez00_14990); 
return BgL_zc3anonymousza32822ze3z83_14994;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2818> */
obj_t BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12545, obj_t BgL_sz00_12548)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 326 */
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_iz00_12546;obj_t BgL_ez00_12547;
BgL_iz00_12546 = 
PROCEDURE_REF(BgL_envz00_12545, 
(int)(((long)0))); 
BgL_ez00_12547 = 
PROCEDURE_REF(BgL_envz00_12545, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_bpz00_14995;
BgL_bpz00_14995 = 
VECTOR_REF(
((obj_t)BgL_sz00_12548),((long)0)); 
{ /* Eval/evaluate_comp.scm 327 */
obj_t BgL_arg2819z00_14996;obj_t BgL_arg2820z00_14997;
{ /* Eval/evaluate_comp.scm 327 */
long BgL_arg2821z00_14998;
BgL_arg2821z00_14998 = 
(
(long)CINT(BgL_bpz00_14995)+
(long)CINT(BgL_iz00_12546)); 
BgL_arg2819z00_14996 = 
VECTOR_REF(
((obj_t)BgL_sz00_12548),BgL_arg2821z00_14998); } 
BgL_arg2820z00_14997 = 
PROCEDURE_ENTRY(BgL_ez00_12547)(BgL_ez00_12547, BgL_sz00_12548, BEOA); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_xz00_14999;
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_29484;obj_t BgL_tmpz00_29482;
BgL_auxz00_29484 = 
(int)(((long)0)); 
BgL_tmpz00_29482 = 
((obj_t)BgL_arg2819z00_14996); 
BgL_xz00_14999 = 
STRUCT_SET(BgL_tmpz00_29482, BgL_auxz00_29484, BgL_arg2820z00_14997); } 
return BUNSPEC;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2822> */
obj_t BGl_z62zc3anonymousza32822ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12549, obj_t BgL_sz00_12552)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 328 */
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_iz00_12550;obj_t BgL_ez00_12551;
BgL_iz00_12550 = 
PROCEDURE_REF(BgL_envz00_12549, 
(int)(((long)0))); 
BgL_ez00_12551 = 
PROCEDURE_REF(BgL_envz00_12549, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_bpz00_15000;
BgL_bpz00_15000 = 
VECTOR_REF(
((obj_t)BgL_sz00_12552),((long)0)); 
{ /* Eval/evaluate_comp.scm 329 */
long BgL_arg2823z00_15001;obj_t BgL_arg2824z00_15002;
BgL_arg2823z00_15001 = 
(
(long)CINT(BgL_bpz00_15000)+
(long)CINT(BgL_iz00_12550)); 
BgL_arg2824z00_15002 = 
PROCEDURE_ENTRY(BgL_ez00_12551)(BgL_ez00_12551, BgL_sz00_12552, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_12552),BgL_arg2823z00_15001,BgL_arg2824z00_15002);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_var1387 */
obj_t BGl_z62compzd2ev_var1387zb0zz__evaluate_compz00(obj_t BgL_envz00_12553, obj_t BgL_varz00_12554, obj_t BgL_stkz00_12555)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 316 */
{ /* Eval/evaluate_comp.scm 317 */
obj_t BgL_iz00_15004;
BgL_iz00_15004 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)
((BgL_ev_varz00_bglt)BgL_varz00_12554)), BgL_stkz00_12555); 
{ 

if(
INTEGERP(BgL_iz00_15004))
{ /* Eval/evaluate_comp.scm 319 */
switch( 
(long)CINT(BgL_iz00_15004)) { case ((long)0) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12554)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5314z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5315z00zz__evaluate_compz00;} break;case ((long)1) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12554)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5316z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5317z00zz__evaluate_compz00;} break;case ((long)2) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12554)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5318z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5319z00zz__evaluate_compz00;} break;case ((long)3) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12554)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5320z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5321z00zz__evaluate_compz00;} break;
default: 
BgL_case_else1086z00_15005:
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12554)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_zc3anonymousza32812ze3z83_15006;
BgL_zc3anonymousza32812ze3z83_15006 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32812ze3z83_15006, 
(int)(((long)0)), BgL_iz00_15004); 
return BgL_zc3anonymousza32812ze3z83_15006;}  else 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_zc3anonymousza32815ze3z83_15007;
BgL_zc3anonymousza32815ze3z83_15007 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32815ze3z83_15007, 
(int)(((long)0)), BgL_iz00_15004); 
return BgL_zc3anonymousza32815ze3z83_15007;} } }  else 
{ /* Eval/evaluate_comp.scm 319 */
goto BgL_case_else1086z00_15005;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2806> */
obj_t BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12556, obj_t BgL_sz00_12557)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15008;
BgL_bpz00_15008 = 
VECTOR_REF(
((obj_t)BgL_sz00_12557),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2807z00_15009;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2808z00_15010;
BgL_arg2808z00_15010 = 
(
(long)CINT(BgL_bpz00_15008)+((long)3)); 
BgL_arg2807z00_15009 = 
VECTOR_REF(
((obj_t)BgL_sz00_12557),BgL_arg2808z00_15010); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2807z00_15009), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2809> */
obj_t BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12558, obj_t BgL_sz00_12559)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15011;
BgL_bpz00_15011 = 
VECTOR_REF(
((obj_t)BgL_sz00_12559),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2810z00_15012;
BgL_arg2810z00_15012 = 
(
(long)CINT(BgL_bpz00_15011)+((long)3)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12559),BgL_arg2810z00_15012);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2800> */
obj_t BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12560, obj_t BgL_sz00_12561)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15013;
BgL_bpz00_15013 = 
VECTOR_REF(
((obj_t)BgL_sz00_12561),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2801z00_15014;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2802z00_15015;
BgL_arg2802z00_15015 = 
(
(long)CINT(BgL_bpz00_15013)+((long)2)); 
BgL_arg2801z00_15014 = 
VECTOR_REF(
((obj_t)BgL_sz00_12561),BgL_arg2802z00_15015); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2801z00_15014), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2803> */
obj_t BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12562, obj_t BgL_sz00_12563)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15016;
BgL_bpz00_15016 = 
VECTOR_REF(
((obj_t)BgL_sz00_12563),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2804z00_15017;
BgL_arg2804z00_15017 = 
(
(long)CINT(BgL_bpz00_15016)+((long)2)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12563),BgL_arg2804z00_15017);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2794> */
obj_t BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12564, obj_t BgL_sz00_12565)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15018;
BgL_bpz00_15018 = 
VECTOR_REF(
((obj_t)BgL_sz00_12565),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2795z00_15019;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2796z00_15020;
BgL_arg2796z00_15020 = 
(
(long)CINT(BgL_bpz00_15018)+((long)1)); 
BgL_arg2795z00_15019 = 
VECTOR_REF(
((obj_t)BgL_sz00_12565),BgL_arg2796z00_15020); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2795z00_15019), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2797> */
obj_t BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12566, obj_t BgL_sz00_12567)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15021;
BgL_bpz00_15021 = 
VECTOR_REF(
((obj_t)BgL_sz00_12567),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2798z00_15022;
BgL_arg2798z00_15022 = 
(
(long)CINT(BgL_bpz00_15021)+((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12567),BgL_arg2798z00_15022);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2788> */
obj_t BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12568, obj_t BgL_sz00_12569)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15023;
BgL_bpz00_15023 = 
VECTOR_REF(
((obj_t)BgL_sz00_12569),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2789z00_15024;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2790z00_15025;
BgL_arg2790z00_15025 = 
(
(long)CINT(BgL_bpz00_15023)+((long)0)); 
BgL_arg2789z00_15024 = 
VECTOR_REF(
((obj_t)BgL_sz00_12569),BgL_arg2790z00_15025); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2789z00_15024), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2791> */
obj_t BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12570, obj_t BgL_sz00_12571)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15026;
BgL_bpz00_15026 = 
VECTOR_REF(
((obj_t)BgL_sz00_12571),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2792z00_15027;
BgL_arg2792z00_15027 = 
(
(long)CINT(BgL_bpz00_15026)+((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12571),BgL_arg2792z00_15027);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2812> */
obj_t BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12572, obj_t BgL_sz00_12574)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_iz00_12573;
BgL_iz00_12573 = 
PROCEDURE_REF(BgL_envz00_12572, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15028;
BgL_bpz00_15028 = 
VECTOR_REF(
((obj_t)BgL_sz00_12574),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2813z00_15029;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2814z00_15030;
BgL_arg2814z00_15030 = 
(
(long)CINT(BgL_bpz00_15028)+
(long)CINT(BgL_iz00_12573)); 
BgL_arg2813z00_15029 = 
VECTOR_REF(
((obj_t)BgL_sz00_12574),BgL_arg2814z00_15030); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2813z00_15029), 
(int)(((long)0)));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2815> */
obj_t BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12575, obj_t BgL_sz00_12577)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_iz00_12576;
BgL_iz00_12576 = 
PROCEDURE_REF(BgL_envz00_12575, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15031;
BgL_bpz00_15031 = 
VECTOR_REF(
((obj_t)BgL_sz00_12577),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2816z00_15032;
BgL_arg2816z00_15032 = 
(
(long)CINT(BgL_bpz00_15031)+
(long)CINT(BgL_iz00_12576)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12577),BgL_arg2816z00_15032);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_trap1385 */
obj_t BGl_z62compzd2ev_trap1385zb0zz__evaluate_compz00(obj_t BgL_envz00_12578, obj_t BgL_ez00_12579, obj_t BgL_stkz00_12580)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 289 */
{ /* Eval/evaluate_comp.scm 291 */
obj_t BgL_ez00_15034;
{ /* Eval/evaluate_comp.scm 291 */
BgL_ev_exprz00_bglt BgL_arg2785z00_15035;
BgL_arg2785z00_15035 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_ez00_12579))))->BgL_ez00); 
BgL_ez00_15034 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2785z00_15035, BgL_stkz00_12580); } 
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_zc3anonymousza32779ze3z83_15036;
BgL_zc3anonymousza32779ze3z83_15036 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32779ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32779ze3z83_15036, 
(int)(((long)0)), BgL_ez00_15034); 
return BgL_zc3anonymousza32779ze3z83_15036;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2779> */
obj_t BGl_z62zc3anonymousza32779ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12581, obj_t BgL_sz00_12583)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 292 */
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_ez00_12582;
BgL_ez00_12582 = 
PROCEDURE_REF(BgL_envz00_12581, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_bpz00_15037;
BgL_bpz00_15037 = 
VECTOR_REF(
((obj_t)BgL_sz00_12583),((long)0)); 
{ /* Eval/evaluate_comp.scm 293 */
obj_t BgL_cmdz00_15038;
BgL_cmdz00_15038 = 
PROCEDURE_ENTRY(BgL_ez00_12582)(BgL_ez00_12582, BgL_sz00_12583, BEOA); 
if(
(BgL_cmdz00_15038==BGl_symbol5322z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return BgL_bpz00_15037;}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_15038==BGl_symbol5324z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_reset_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_15038==BGl_symbol5326z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_get_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_15038==BGl_symbol5328z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 302 */
obj_t BgL_arg2784z00_15039;
BgL_arg2784z00_15039 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
return 
VECTOR_SET(
((obj_t)BgL_arg2784z00_15039),((long)0),
BINT(((long)2)));}  else 
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_errorz00zz__errorz00(BGl_string5188z00zz__evaluate_compz00, BGl_string5330z00zz__evaluate_compz00, BgL_cmdz00_15038);} } } } } } } } 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)321192832), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)298117150), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)316564232), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__srfi4z00(((long)467924964), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)454272164), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)357154522), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)434692624), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-400105135), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)525089668), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)80758636), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)23062368), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)6183155), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)20669940), 
BSTRING_TO_STRING(BGl_string5331z00zz__evaluate_compz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
