/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:26:26 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3e/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3e/lib/bigloo/4.3e -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3e/lib/bigloo/4.3e -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_types.scm -o objs/obj_p/Eval/evaluate_types.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static BgL_ev_exprz00_bglt BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2566z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1932z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1933z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1937z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2571z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_symbol2576z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1942z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1783z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1948z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2584z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2589z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2598z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1972z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1973z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1987z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3anonymousza31703ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31542ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31439ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31812ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31723ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31618ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31652ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_varz00_bglt BGl_z62lambda1403z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1405z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1412z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1413z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1420z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1421z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1426z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1427z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
static BgL_ev_globalz00_bglt BGl_z62lambda1435z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1437z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_varz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1444z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1445z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2401z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2406z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1450z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31960ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1616z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31928ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31839ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2410z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2415z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2419z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1623z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1463z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2423z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2427z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1632z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1471z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1633z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1639z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1478z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2432z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2436z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31785ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62zc3anonymousza31858ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1648z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1488z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1489z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2603z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2441z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2446z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_letrecz00_bglt BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1818z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1658z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2613z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2451z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2455z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2619z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2459z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_labelsz00_bglt BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1660z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31981ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1827z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1666z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1667z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2623z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2464z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1672z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2630z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2471z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2636z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2476z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31967ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1687z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2642z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2480z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2647z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2485z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1850z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1851z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1691z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1692z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1857z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1699z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2653z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2657z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2496z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_gotoz00_bglt BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2666z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2668z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1877z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2673z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31511ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31422ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2678z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_labelsz00_bglt BGl_z62lambda1882z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31898ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1887z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2683z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31601ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62zc3anonymousza31407ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31988ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2691z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2693z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31530ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31802ze3ze1zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31554ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31822ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31466ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31483ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31662ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31574ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31591ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31753ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31397ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1500z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1507z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31682ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1509z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
static obj_t BGl_z62lambda1515z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1516z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_orz00_bglt BGl_z62lambda1523z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1527z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31846ze3ze1zz__evaluate_typesz00(obj_t);
extern obj_t BGl_objectz00zz__objectz00;
static BgL_ev_andz00_bglt BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1539z62zz__evaluate_typesz00(obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1701z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1707z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1708z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2501z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2505z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2509z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_prog2z00_bglt BGl_z62lambda1550z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1713z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1552z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1391z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1393z62zz__evaluate_typesz00(obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1558z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2514z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1563z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1564z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1728z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2523z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2527z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2367z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2369z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_hookz00_bglt BGl_z62lambda1570z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1732z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1572z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1737z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31778ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1579z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2534z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2373z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2375z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1902z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1903z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1580z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31795ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1589z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2540z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2380z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2544z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2382z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2386z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1751z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31974ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1918z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1758z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1597z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1599z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2551z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2391z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2555z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2395z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2559z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t);
static obj_t *__cnst;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2400z00zz__evaluate_typesz00, BgL_bgl_za762lambda1454za7622695z00, BGl_z62lambda1454z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2403z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72696za7, BGl_z62zc3anonymousza31439ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2404z00zz__evaluate_typesz00, BgL_bgl_za762lambda1437za7622697z00, BGl_z62lambda1437z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__evaluate_typesz00, BgL_bgl_za762lambda1435za7622698z00, BGl_z62lambda1435z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2408z00zz__evaluate_typesz00, BgL_bgl_za762lambda1471za7622699z00, BGl_z62lambda1471z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__evaluate_typesz00, BgL_bgl_za762lambda1470za7622700z00, BGl_z62lambda1470z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2412z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72701za7, BGl_z62zc3anonymousza31466ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2413z00zz__evaluate_typesz00, BgL_bgl_za762lambda1463za7622702z00, BGl_z62lambda1463z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2414z00zz__evaluate_typesz00, BgL_bgl_za762lambda1461za7622703z00, BGl_z62lambda1461z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2502z00zz__evaluate_typesz00, BgL_bgl_string2502za700za7za7_2704za7, "ev_defglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2417z00zz__evaluate_typesz00, BgL_bgl_za762lambda1489za7622705z00, BGl_z62lambda1489z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2418z00zz__evaluate_typesz00, BgL_bgl_za762lambda1488za7622706z00, BGl_z62lambda1488z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2506z00zz__evaluate_typesz00, BgL_bgl_string2506za700za7za7_2707za7, "var", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2421z00zz__evaluate_typesz00, BgL_bgl_za762lambda1494za7622708z00, BGl_z62lambda1494z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2422z00zz__evaluate_typesz00, BgL_bgl_za762lambda1493za7622709z00, BGl_z62lambda1493z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2510z00zz__evaluate_typesz00, BgL_bgl_string2510za700za7za7_2710za7, "body", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2425z00zz__evaluate_typesz00, BgL_bgl_za762lambda1500za7622711z00, BGl_z62lambda1500z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2426z00zz__evaluate_typesz00, BgL_bgl_za762lambda1499za7622712z00, BGl_z62lambda1499z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2515z00zz__evaluate_typesz00, BgL_bgl_string2515za700za7za7_2713za7, "ev_bind-exit", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2429z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72714za7, BGl_z62zc3anonymousza31483ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2430z00zz__evaluate_typesz00, BgL_bgl_za762lambda1480za7622715z00, BGl_z62lambda1480z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2431z00zz__evaluate_typesz00, BgL_bgl_za762lambda1478za7622716z00, BGl_z62lambda1478z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2434z00zz__evaluate_typesz00, BgL_bgl_za762lambda1516za7622717z00, BGl_z62lambda1516z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2435z00zz__evaluate_typesz00, BgL_bgl_za762lambda1515za7622718z00, BGl_z62lambda1515z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2524z00zz__evaluate_typesz00, BgL_bgl_string2524za700za7za7_2719za7, "ev_unwind-protect", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2438z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72720za7, BGl_z62zc3anonymousza31511ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2439z00zz__evaluate_typesz00, BgL_bgl_za762lambda1509za7622721z00, BGl_z62lambda1509z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2528z00zz__evaluate_typesz00, BgL_bgl_string2528za700za7za7_2722za7, "handler", 7 );
DEFINE_STRING( BGl_string2368z00zz__evaluate_typesz00, BgL_bgl_string2368za700za7za7_2723za7, "ev_expr", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2600z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72724za7, BGl_z62zc3anonymousza31846ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2601z00zz__evaluate_typesz00, BgL_bgl_za762lambda1845za7622725z00, BGl_z62lambda1845z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2602z00zz__evaluate_typesz00, BgL_bgl_za762lambda1844za7622726z00, BGl_z62lambda1844z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2440z00zz__evaluate_typesz00, BgL_bgl_za762lambda1507za7622727z00, BGl_z62lambda1507z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2605z00zz__evaluate_typesz00, BgL_bgl_za762lambda1851za7622728z00, BGl_z62lambda1851z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2443z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72729za7, BGl_z62zc3anonymousza31530ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__evaluate_typesz00, BgL_bgl_za762lambda1850za7622730z00, BGl_z62lambda1850z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2444z00zz__evaluate_typesz00, BgL_bgl_za762lambda1527za7622731z00, BGl_z62lambda1527z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2607z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72732za7, BGl_z62zc3anonymousza31858ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2445z00zz__evaluate_typesz00, BgL_bgl_za762lambda1523za7622733z00, BGl_z62lambda1523z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2370z00zz__evaluate_typesz00, BgL_bgl_string2370za700za7za7_2734za7, "__evaluate_types", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2608z00zz__evaluate_typesz00, BgL_bgl_za762lambda1857za7622735z00, BGl_z62lambda1857z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2609z00zz__evaluate_typesz00, BgL_bgl_za762lambda1856za7622736z00, BGl_z62lambda1856z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2535z00zz__evaluate_typesz00, BgL_bgl_string2535za700za7za7_2737za7, "ev_with-handler", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2448z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72738za7, BGl_z62zc3anonymousza31542ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2449z00zz__evaluate_typesz00, BgL_bgl_za762lambda1539za7622739z00, BGl_z62lambda1539z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2374z00zz__evaluate_typesz00, BgL_bgl_string2374za700za7za7_2740za7, "name", 4 );
DEFINE_STRING( BGl_string2376z00zz__evaluate_typesz00, BgL_bgl_string2376za700za7za7_2741za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2610z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72742za7, BGl_z62zc3anonymousza31822ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__evaluate_typesz00, BgL_bgl_za762lambda1820za7622743z00, BGl_z62lambda1820z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2612z00zz__evaluate_typesz00, BgL_bgl_za762lambda1818za7622744z00, BGl_z62lambda1818z62zz__evaluate_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2450z00zz__evaluate_typesz00, BgL_bgl_za762lambda1537za7622745z00, BGl_z62lambda1537z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2615z00zz__evaluate_typesz00, BgL_bgl_za762lambda1873za7622746z00, BGl_z62lambda1873z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2453z00zz__evaluate_typesz00, BgL_bgl_za762lambda1559za7622747z00, BGl_z62lambda1559z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__evaluate_typesz00, BgL_bgl_za762lambda1872za7622748z00, BGl_z62lambda1872z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2541z00zz__evaluate_typesz00, BgL_bgl_string2541za700za7za7_2749za7, "mutex", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2454z00zz__evaluate_typesz00, BgL_bgl_za762lambda1558za7622750z00, BGl_z62lambda1558z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2617z00zz__evaluate_typesz00, BgL_bgl_za762lambda1878za7622751z00, BGl_z62lambda1878z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2618z00zz__evaluate_typesz00, BgL_bgl_za762lambda1877za7622752z00, BGl_z62lambda1877z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2381z00zz__evaluate_typesz00, BgL_bgl_string2381za700za7za7_2753za7, "eff", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2457z00zz__evaluate_typesz00, BgL_bgl_za762lambda1564za7622754z00, BGl_z62lambda1564z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2545z00zz__evaluate_typesz00, BgL_bgl_string2545za700za7za7_2755za7, "prelock", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2458z00zz__evaluate_typesz00, BgL_bgl_za762lambda1563za7622756z00, BGl_z62lambda1563z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2383z00zz__evaluate_typesz00, BgL_bgl_string2383za700za7za7_2757za7, "obj", 3 );
DEFINE_STRING( BGl_string2387z00zz__evaluate_typesz00, BgL_bgl_string2387za700za7za7_2758za7, "type", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2621z00zz__evaluate_typesz00, BgL_bgl_za762lambda1883za7622759z00, BGl_z62lambda1883z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2622z00zz__evaluate_typesz00, BgL_bgl_za762lambda1882za7622760z00, BGl_z62lambda1882z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2461z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72761za7, BGl_z62zc3anonymousza31554ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2462z00zz__evaluate_typesz00, BgL_bgl_za762lambda1552za7622762z00, BGl_z62lambda1552z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2625z00zz__evaluate_typesz00, BgL_bgl_za762lambda1888za7622763z00, BGl_z62lambda1888z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2463z00zz__evaluate_typesz00, BgL_bgl_za762lambda1550za7622764z00, BGl_z62lambda1550z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2626z00zz__evaluate_typesz00, BgL_bgl_za762lambda1887za7622765z00, BGl_z62lambda1887z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2627z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72766za7, BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2552z00zz__evaluate_typesz00, BgL_bgl_string2552za700za7za7_2767za7, "ev_synchronize", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2628z00zz__evaluate_typesz00, BgL_bgl_za762lambda1866za7622768z00, BGl_z62lambda1866z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2466z00zz__evaluate_typesz00, BgL_bgl_za762lambda1580za7622769z00, BGl_z62lambda1580z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2629z00zz__evaluate_typesz00, BgL_bgl_za762lambda1864za7622770z00, BGl_z62lambda1864z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2467z00zz__evaluate_typesz00, BgL_bgl_za762lambda1579za7622771z00, BGl_z62lambda1579z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2392z00zz__evaluate_typesz00, BgL_bgl_string2392za700za7za7_2772za7, "ev_var", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2468z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72773za7, BGl_z62zc3anonymousza31574ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2556z00zz__evaluate_typesz00, BgL_bgl_string2556za700za7za7_2774za7, "vars", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2469z00zz__evaluate_typesz00, BgL_bgl_za762lambda1572za7622775z00, BGl_z62lambda1572z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2396z00zz__evaluate_typesz00, BgL_bgl_string2396za700za7za7_2776za7, "loc", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2632z00zz__evaluate_typesz00, BgL_bgl_za762lambda1903za7622777z00, BGl_z62lambda1903z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2470z00zz__evaluate_typesz00, BgL_bgl_za762lambda1570za7622778z00, BGl_z62lambda1570z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2633z00zz__evaluate_typesz00, BgL_bgl_za762lambda1902za7622779z00, BGl_z62lambda1902z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2634z00zz__evaluate_typesz00, BgL_bgl_za762lambda1908za7622780z00, BGl_z62lambda1908z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2635z00zz__evaluate_typesz00, BgL_bgl_za762lambda1907za7622781z00, BGl_z62lambda1907z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2560z00zz__evaluate_typesz00, BgL_bgl_string2560za700za7za7_2782za7, "vals", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2473z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72783za7, BGl_z62zc3anonymousza31591ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2474z00zz__evaluate_typesz00, BgL_bgl_za762lambda1589za7622784z00, BGl_z62lambda1589z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2475z00zz__evaluate_typesz00, BgL_bgl_za762lambda1587za7622785z00, BGl_z62lambda1587z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2638z00zz__evaluate_typesz00, BgL_bgl_za762lambda1913za7622786z00, BGl_z62lambda1913z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2639z00zz__evaluate_typesz00, BgL_bgl_za762lambda1912za7622787z00, BGl_z62lambda1912z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2478z00zz__evaluate_typesz00, BgL_bgl_za762lambda1606za7622788z00, BGl_z62lambda1606z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2479z00zz__evaluate_typesz00, BgL_bgl_za762lambda1605za7622789z00, BGl_z62lambda1605z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2567z00zz__evaluate_typesz00, BgL_bgl_string2567za700za7za7_2790za7, "ev_binder", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2640z00zz__evaluate_typesz00, BgL_bgl_za762lambda1918za7622791z00, BGl_z62lambda1918z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2641z00zz__evaluate_typesz00, BgL_bgl_za762lambda1917za7622792z00, BGl_z62lambda1917z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2644z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72793za7, BGl_z62zc3anonymousza31898ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2482z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72794za7, BGl_z62zc3anonymousza31601ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2645z00zz__evaluate_typesz00, BgL_bgl_za762lambda1896za7622795z00, BGl_z62lambda1896z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2483z00zz__evaluate_typesz00, BgL_bgl_za762lambda1599za7622796z00, BGl_z62lambda1599z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2646z00zz__evaluate_typesz00, BgL_bgl_za762lambda1894za7622797z00, BGl_z62lambda1894z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2484z00zz__evaluate_typesz00, BgL_bgl_za762lambda1597za7622798z00, BGl_z62lambda1597z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2572z00zz__evaluate_typesz00, BgL_bgl_string2572za700za7za7_2799za7, "boxes", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2649z00zz__evaluate_typesz00, BgL_bgl_za762lambda1933za7622800z00, BGl_z62lambda1933z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2487z00zz__evaluate_typesz00, BgL_bgl_za762lambda1623za7622801z00, BGl_z62lambda1623z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2488z00zz__evaluate_typesz00, BgL_bgl_za762lambda1622za7622802z00, BGl_z62lambda1622z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2489z00zz__evaluate_typesz00, BgL_bgl_za762lambda1633za7622803z00, BGl_z62lambda1633z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2577z00zz__evaluate_typesz00, BgL_bgl_string2577za700za7za7_2804za7, "ev_let", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2650z00zz__evaluate_typesz00, BgL_bgl_za762lambda1932za7622805z00, BGl_z62lambda1932z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2651z00zz__evaluate_typesz00, BgL_bgl_za762lambda1938za7622806z00, BGl_z62lambda1938z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2652z00zz__evaluate_typesz00, BgL_bgl_za762lambda1937za7622807z00, BGl_z62lambda1937z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2490z00zz__evaluate_typesz00, BgL_bgl_za762lambda1632za7622808z00, BGl_z62lambda1632z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2491z00zz__evaluate_typesz00, BgL_bgl_za762lambda1640za7622809z00, BGl_z62lambda1640z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2492z00zz__evaluate_typesz00, BgL_bgl_za762lambda1639za7622810z00, BGl_z62lambda1639z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2655z00zz__evaluate_typesz00, BgL_bgl_za762lambda1943za7622811z00, BGl_z62lambda1943z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2493z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72812za7, BGl_z62zc3anonymousza31618ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2656z00zz__evaluate_typesz00, BgL_bgl_za762lambda1942za7622813z00, BGl_z62lambda1942z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2494z00zz__evaluate_typesz00, BgL_bgl_za762lambda1616za7622814z00, BGl_z62lambda1616z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2495z00zz__evaluate_typesz00, BgL_bgl_za762lambda1614za7622815z00, BGl_z62lambda1614z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2659z00zz__evaluate_typesz00, BgL_bgl_za762lambda1948za7622816z00, BGl_z62lambda1948z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2585z00zz__evaluate_typesz00, BgL_bgl_string2585za700za7za7_2817za7, "ev_let*", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72818za7, BGl_z62zc3anonymousza31652ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__evaluate_typesz00, BgL_bgl_za762lambda1650za7622819z00, BGl_z62lambda1650z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2660z00zz__evaluate_typesz00, BgL_bgl_za762lambda1947za7622820z00, BGl_z62lambda1947z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2661z00zz__evaluate_typesz00, BgL_bgl_za762lambda1953za7622821z00, BGl_z62lambda1953z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2662z00zz__evaluate_typesz00, BgL_bgl_za762lambda1952za7622822z00, BGl_z62lambda1952z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2663z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72823za7, BGl_z62zc3anonymousza31960ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2664z00zz__evaluate_typesz00, BgL_bgl_za762lambda1959za7622824z00, BGl_z62lambda1959z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2665z00zz__evaluate_typesz00, BgL_bgl_za762lambda1958za7622825z00, BGl_z62lambda1958z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2590z00zz__evaluate_typesz00, BgL_bgl_string2590za700za7za7_2826za7, "ev_letrec", 9 );
DEFINE_STRING( BGl_string2599z00zz__evaluate_typesz00, BgL_bgl_string2599za700za7za7_2827za7, "env", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2670z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72828za7, BGl_z62zc3anonymousza31967ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2671z00zz__evaluate_typesz00, BgL_bgl_za762lambda1966za7622829z00, BGl_z62lambda1966z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2672z00zz__evaluate_typesz00, BgL_bgl_za762lambda1965za7622830z00, BGl_z62lambda1965z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2675z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72831za7, BGl_z62zc3anonymousza31974ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2676z00zz__evaluate_typesz00, BgL_bgl_za762lambda1973za7622832z00, BGl_z62lambda1973z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2677z00zz__evaluate_typesz00, BgL_bgl_za762lambda1972za7622833z00, BGl_z62lambda1972z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2680z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72834za7, BGl_z62zc3anonymousza31981ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2681z00zz__evaluate_typesz00, BgL_bgl_za762lambda1980za7622835z00, BGl_z62lambda1980z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2682z00zz__evaluate_typesz00, BgL_bgl_za762lambda1979za7622836z00, BGl_z62lambda1979z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2685z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72837za7, BGl_z62zc3anonymousza31988ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2686z00zz__evaluate_typesz00, BgL_bgl_za762lambda1987za7622838z00, BGl_z62lambda1987z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2687z00zz__evaluate_typesz00, BgL_bgl_za762lambda1986za7622839z00, BGl_z62lambda1986z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2688z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72840za7, BGl_z62zc3anonymousza31928ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2689z00zz__evaluate_typesz00, BgL_bgl_za762lambda1926za7622841z00, BGl_z62lambda1926z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2690z00zz__evaluate_typesz00, BgL_bgl_za762lambda1924za7622842z00, BGl_z62lambda1924z62zz__evaluate_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STRING( BGl_string2402z00zz__evaluate_typesz00, BgL_bgl_string2402za700za7za7_2843za7, "mod", 3 );
DEFINE_STRING( BGl_string2407z00zz__evaluate_typesz00, BgL_bgl_string2407za700za7za7_2844za7, "ev_global", 9 );
DEFINE_STRING( BGl_string2411z00zz__evaluate_typesz00, BgL_bgl_string2411za700za7za7_2845za7, "value", 5 );
DEFINE_STRING( BGl_string2416z00zz__evaluate_typesz00, BgL_bgl_string2416za700za7za7_2846za7, "ev_litt", 7 );
DEFINE_STRING( BGl_string2420z00zz__evaluate_typesz00, BgL_bgl_string2420za700za7za7_2847za7, "p", 1 );
DEFINE_STRING( BGl_string2424z00zz__evaluate_typesz00, BgL_bgl_string2424za700za7za7_2848za7, "t", 1 );
DEFINE_STRING( BGl_string2428z00zz__evaluate_typesz00, BgL_bgl_string2428za700za7za7_2849za7, "e", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2500z00zz__evaluate_typesz00, BgL_bgl_za762lambda1648za7622850z00, BGl_z62lambda1648z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__evaluate_typesz00, BgL_bgl_za762lambda1667za7622851z00, BGl_z62lambda1667z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__evaluate_typesz00, BgL_bgl_za762lambda1666za7622852z00, BGl_z62lambda1666z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2507z00zz__evaluate_typesz00, BgL_bgl_za762lambda1672za7622853z00, BGl_z62lambda1672z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2508z00zz__evaluate_typesz00, BgL_bgl_za762lambda1671za7622854z00, BGl_z62lambda1671z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2433z00zz__evaluate_typesz00, BgL_bgl_string2433za700za7za7_2855za7, "ev_if", 5 );
DEFINE_STRING( BGl_string2437z00zz__evaluate_typesz00, BgL_bgl_string2437za700za7za7_2856za7, "args", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2511z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72857za7, BGl_z62zc3anonymousza31662ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2512z00zz__evaluate_typesz00, BgL_bgl_za762lambda1660za7622858z00, BGl_z62lambda1660z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__evaluate_typesz00, BgL_bgl_za762lambda1658za7622859z00, BGl_z62lambda1658z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2516z00zz__evaluate_typesz00, BgL_bgl_za762lambda1687za7622860z00, BGl_z62lambda1687z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2604z00zz__evaluate_typesz00, BgL_bgl_string2604za700za7za7_2861za7, "stk", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2517z00zz__evaluate_typesz00, BgL_bgl_za762lambda1686za7622862z00, BGl_z62lambda1686z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2442z00zz__evaluate_typesz00, BgL_bgl_string2442za700za7za7_2863za7, "ev_list", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2518z00zz__evaluate_typesz00, BgL_bgl_za762lambda1692za7622864z00, BGl_z62lambda1692z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2519z00zz__evaluate_typesz00, BgL_bgl_za762lambda1691za7622865z00, BGl_z62lambda1691z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2447z00zz__evaluate_typesz00, BgL_bgl_string2447za700za7za7_2866za7, "ev_or", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72867za7, BGl_z62zc3anonymousza31682ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__evaluate_typesz00, BgL_bgl_za762lambda1680za7622868z00, BGl_z62lambda1680z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__evaluate_typesz00, BgL_bgl_za762lambda1678za7622869z00, BGl_z62lambda1678z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2525z00zz__evaluate_typesz00, BgL_bgl_za762lambda1708za7622870z00, BGl_z62lambda1708z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2526z00zz__evaluate_typesz00, BgL_bgl_za762lambda1707za7622871z00, BGl_z62lambda1707z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2364z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72872za7, BGl_z62zc3anonymousza31397ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2614z00zz__evaluate_typesz00, BgL_bgl_string2614za700za7za7_2873za7, "ev_labels", 9 );
DEFINE_STRING( BGl_string2452z00zz__evaluate_typesz00, BgL_bgl_string2452za700za7za7_2874za7, "ev_and", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2365z00zz__evaluate_typesz00, BgL_bgl_za762lambda1393za7622875z00, BGl_z62lambda1393z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2366z00zz__evaluate_typesz00, BgL_bgl_za762lambda1391za7622876z00, BGl_z62lambda1391z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__evaluate_typesz00, BgL_bgl_za762lambda1713za7622877z00, BGl_z62lambda1713z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2456z00zz__evaluate_typesz00, BgL_bgl_string2456za700za7za7_2878za7, "e1", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__evaluate_typesz00, BgL_bgl_za762lambda1712za7622879z00, BGl_z62lambda1712z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2531z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72880za7, BGl_z62zc3anonymousza31703ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2532z00zz__evaluate_typesz00, BgL_bgl_za762lambda1701za7622881z00, BGl_z62lambda1701z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2620z00zz__evaluate_typesz00, BgL_bgl_string2620za700za7za7_2882za7, "label", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2533z00zz__evaluate_typesz00, BgL_bgl_za762lambda1699za7622883z00, BGl_z62lambda1699z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2371z00zz__evaluate_typesz00, BgL_bgl_za762lambda1413za7622884z00, BGl_z62lambda1413z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2372z00zz__evaluate_typesz00, BgL_bgl_za762lambda1412za7622885z00, BGl_z62lambda1412z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2460z00zz__evaluate_typesz00, BgL_bgl_string2460za700za7za7_2886za7, "e2", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2536z00zz__evaluate_typesz00, BgL_bgl_za762lambda1728za7622887z00, BGl_z62lambda1728z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2624z00zz__evaluate_typesz00, BgL_bgl_string2624za700za7za7_2888za7, "labels", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2537z00zz__evaluate_typesz00, BgL_bgl_za762lambda1727za7622889z00, BGl_z62lambda1727z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__evaluate_typesz00, BgL_bgl_za762lambda1733za7622890z00, BGl_z62lambda1733z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__evaluate_typesz00, BgL_bgl_za762lambda1732za7622891z00, BGl_z62lambda1732z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2377z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72892za7, BGl_z62zc3anonymousza31422ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2465z00zz__evaluate_typesz00, BgL_bgl_string2465za700za7za7_2893za7, "ev_prog2", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2378z00zz__evaluate_typesz00, BgL_bgl_za762lambda1421za7622894z00, BGl_z62lambda1421z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2379z00zz__evaluate_typesz00, BgL_bgl_za762lambda1420za7622895z00, BGl_z62lambda1420z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2542z00zz__evaluate_typesz00, BgL_bgl_za762lambda1738za7622896z00, BGl_z62lambda1738z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2543z00zz__evaluate_typesz00, BgL_bgl_za762lambda1737za7622897z00, BGl_z62lambda1737z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2631z00zz__evaluate_typesz00, BgL_bgl_string2631za700za7za7_2898za7, "ev_goto", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__evaluate_typesz00, BgL_bgl_za762lambda1743za7622899z00, BGl_z62lambda1743z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2384z00zz__evaluate_typesz00, BgL_bgl_za762lambda1427za7622900z00, BGl_z62lambda1427z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2547z00zz__evaluate_typesz00, BgL_bgl_za762lambda1742za7622901z00, BGl_z62lambda1742z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2472z00zz__evaluate_typesz00, BgL_bgl_string2472za700za7za7_2902za7, "ev_hook", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2385z00zz__evaluate_typesz00, BgL_bgl_za762lambda1426za7622903z00, BGl_z62lambda1426z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72904za7, BGl_z62zc3anonymousza31723ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__evaluate_typesz00, BgL_bgl_za762lambda1721za7622905z00, BGl_z62lambda1721z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2637z00zz__evaluate_typesz00, BgL_bgl_string2637za700za7za7_2906za7, "fun", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2388z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72907za7, BGl_z62zc3anonymousza31407ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2389z00zz__evaluate_typesz00, BgL_bgl_za762lambda1405za7622908z00, BGl_z62lambda1405z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2477z00zz__evaluate_typesz00, BgL_bgl_string2477za700za7za7_2909za7, "ev_trap", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2550z00zz__evaluate_typesz00, BgL_bgl_za762lambda1719za7622910z00, BGl_z62lambda1719z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2390z00zz__evaluate_typesz00, BgL_bgl_za762lambda1403za7622911z00, BGl_z62lambda1403z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__evaluate_typesz00, BgL_bgl_za762lambda1758za7622912z00, BGl_z62lambda1758z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__evaluate_typesz00, BgL_bgl_za762lambda1757za7622913z00, BGl_z62lambda1757z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2393z00zz__evaluate_typesz00, BgL_bgl_za762lambda1445za7622914z00, BGl_z62lambda1445z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2643z00zz__evaluate_typesz00, BgL_bgl_string2643za700za7za7_2915za7, "tail?", 5 );
DEFINE_STRING( BGl_string2481z00zz__evaluate_typesz00, BgL_bgl_string2481za700za7za7_2916za7, "v", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2394z00zz__evaluate_typesz00, BgL_bgl_za762lambda1444za7622917z00, BGl_z62lambda1444z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2557z00zz__evaluate_typesz00, BgL_bgl_za762lambda1763za7622918z00, BGl_z62lambda1763z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2558z00zz__evaluate_typesz00, BgL_bgl_za762lambda1762za7622919z00, BGl_z62lambda1762z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2397z00zz__evaluate_typesz00, BgL_bgl_za762lambda1450za7622920z00, BGl_z62lambda1450z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2398z00zz__evaluate_typesz00, BgL_bgl_za762lambda1449za7622921z00, BGl_z62lambda1449z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2648z00zz__evaluate_typesz00, BgL_bgl_string2648za700za7za7_2922za7, "ev_app", 6 );
DEFINE_STRING( BGl_string2486z00zz__evaluate_typesz00, BgL_bgl_string2486za700za7za7_2923za7, "ev_setlocal", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2399z00zz__evaluate_typesz00, BgL_bgl_za762lambda1455za7622924z00, BGl_z62lambda1455z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2561z00zz__evaluate_typesz00, BgL_bgl_za762lambda1768za7622925z00, BGl_z62lambda1768z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__evaluate_typesz00, BgL_bgl_za762lambda1767za7622926z00, BGl_z62lambda1767z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72927za7, BGl_z62zc3anonymousza31753ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2564z00zz__evaluate_typesz00, BgL_bgl_za762lambda1751za7622928z00, BGl_z62lambda1751z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2565z00zz__evaluate_typesz00, BgL_bgl_za762lambda1749za7622929z00, BGl_z62lambda1749z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2654z00zz__evaluate_typesz00, BgL_bgl_string2654za700za7za7_2930za7, "where", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2568z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72931za7, BGl_z62zc3anonymousza31785ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__evaluate_typesz00, BgL_bgl_za762lambda1784za7622932z00, BGl_z62lambda1784z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2658z00zz__evaluate_typesz00, BgL_bgl_string2658za700za7za7_2933za7, "arity", 5 );
DEFINE_STRING( BGl_string2497z00zz__evaluate_typesz00, BgL_bgl_string2497za700za7za7_2934za7, "ev_setglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2570z00zz__evaluate_typesz00, BgL_bgl_za762lambda1783za7622935z00, BGl_z62lambda1783z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72936za7, BGl_z62zc3anonymousza31778ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__evaluate_typesz00, BgL_bgl_za762lambda1776za7622937z00, BGl_z62lambda1776z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2575z00zz__evaluate_typesz00, BgL_bgl_za762lambda1774za7622938z00, BGl_z62lambda1774z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72939za7, BGl_z62zc3anonymousza31802ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__evaluate_typesz00, BgL_bgl_za762lambda1801za7622940z00, BGl_z62lambda1801z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2667z00zz__evaluate_typesz00, BgL_bgl_string2667za700za7za7_2941za7, "size", 4 );
DEFINE_STRING( BGl_string2669z00zz__evaluate_typesz00, BgL_bgl_string2669za700za7za7_2942za7, "int", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2580z00zz__evaluate_typesz00, BgL_bgl_za762lambda1800za7622943z00, BGl_z62lambda1800z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2581z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72944za7, BGl_z62zc3anonymousza31795ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2582z00zz__evaluate_typesz00, BgL_bgl_za762lambda1793za7622945z00, BGl_z62lambda1793z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2583z00zz__evaluate_typesz00, BgL_bgl_za762lambda1791za7622946z00, BGl_z62lambda1791z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2586z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72947za7, BGl_z62zc3anonymousza31812ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2674z00zz__evaluate_typesz00, BgL_bgl_string2674za700za7za7_2948za7, "bind", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2587z00zz__evaluate_typesz00, BgL_bgl_za762lambda1810za7622949z00, BGl_z62lambda1810z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2588z00zz__evaluate_typesz00, BgL_bgl_za762lambda1808za7622950z00, BGl_z62lambda1808z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2679z00zz__evaluate_typesz00, BgL_bgl_string2679za700za7za7_2951za7, "free", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2591z00zz__evaluate_typesz00, BgL_bgl_za762lambda1827za7622952z00, BGl_z62lambda1827z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__evaluate_typesz00, BgL_bgl_za762lambda1826za7622953z00, BGl_z62lambda1826z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2593z00zz__evaluate_typesz00, BgL_bgl_za762lambda1832za7622954z00, BGl_z62lambda1832z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2594z00zz__evaluate_typesz00, BgL_bgl_za762lambda1831za7622955z00, BGl_z62lambda1831z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2595z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72956za7, BGl_z62zc3anonymousza31839ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2596z00zz__evaluate_typesz00, BgL_bgl_za762lambda1838za7622957z00, BGl_z62lambda1838z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2684z00zz__evaluate_typesz00, BgL_bgl_string2684za700za7za7_2958za7, "inner", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2597z00zz__evaluate_typesz00, BgL_bgl_za762lambda1837za7622959z00, BGl_z62lambda1837z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2692z00zz__evaluate_typesz00, BgL_bgl_string2692za700za7za7_2960za7, "ev_abs", 6 );
DEFINE_STRING( BGl_string2694z00zz__evaluate_typesz00, BgL_bgl_string2694za700za7za7_2961za7, "_", 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2566z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2571z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2576z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2584z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2589z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2598z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letrecz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_labelsz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_absz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_ifz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_gotoz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_orz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_varz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_andz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2401z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2406z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2410z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2415z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2419z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_appz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2423z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2427z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2432z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2436z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_synchroniza7eza7zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2603z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2441z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2446z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2613z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2451z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2455z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2619z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2459z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2623z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2464z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2630z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2471z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2636z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2476z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2642z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2480z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2647z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2485z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_defglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2653z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2657z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2496z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2666z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2668z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2673z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2678z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2683z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2691z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2693z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_prog2z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letza2za2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_trapz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_hookz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_globalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_binderz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_listz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_littz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_exprz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2501z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2505z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2509z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2514z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2523z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2527z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2367z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2369z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2534z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2373z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2375z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2540z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2380z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2544z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2382z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2386z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setlocalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2551z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2391z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2555z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2395z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2559z00zz__evaluate_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_types.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1928>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31928ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1988>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31988ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1981>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31981ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1974>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31974ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1967>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31967ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1960>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31960ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1898>\" \"Eval/evaluate_types.scm\" 3265) \"BGl_z62zc3anonymousza31898ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1868>\" \"Eval/evaluate_types.scm\" 3154) \"BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1822>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31822ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1858>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31858ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1846>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31846ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1839>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31839ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1812>\" \"Eval/evaluate_types.scm\" 2908) \"BGl_z62zc3anonymousza31812ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1795>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3anonymousza31795ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1802>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3anonymousza31802ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1778>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3anonymousza31778ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1785>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3anonymousza31785ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1753>\" \"Eval/evaluate_types.scm\" 2713) \"BGl_z62zc3anonymousza31753ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1723>\" \"Eval/evaluate_types.scm\" 2587) \"BGl_z62zc3anonymousza31723ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1703>\" \"Eval/evaluate_types.scm\" 2505) \"BGl_z62zc3anonymousza31703ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1682>\" \"Eval/evaluate_types.scm\" 2427) \"BGl_z62zc3anonymousza31682ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1662>\" \"Eval/evaluate_types.scm\" 2353) \"BGl_z62zc3anonymousza31662ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1652>\" \"Eval/evaluate_types.scm\" 2314) \"BGl_z62zc3anonymousza31652ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1618>\" \"Eval/evaluate_types.scm\" 2226) \"BGl_z62zc3anonymousza31618ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1601>\" \"Eval/evaluate_types.scm\" 2176) \"BGl_z62zc3anonymousza31601ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1591>\" \"Eval/evaluate_types.scm\" 2147) \"BGl_z62zc3anonymousza31591ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1574>\" \"Eval/evaluate_types.scm\" 2100) \"BGl_z62zc3anonymousza31574ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1554>\" \"Eval/evaluate_types.scm\" 2032) \"BGl_z62zc3anonymousza31554ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1542>\" \"Eval/evaluate_types.scm\" 2004) \"BGl_z62zc3anonymousza31542ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1530>\" \"Eval/evaluate_types.scm\" 1977) \"BGl_z62zc3anonymousza31530ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1511>\" \"Eval/evaluate_types.scm\" 1936) \"BGl_z62zc3anonymousza31511ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1483>\" \"Eval/evaluate_types.scm\" 1855) \"BGl_z62zc3anonymousza31483ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1466>\" \"Eval/evaluate_types.scm\" 1813) \"BGl_z62zc3anonymousza31466ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1439>\" \"Eval/evaluate_types.scm\" 1723) \"BGl_z62zc3anonymousza31439ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1407>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3anonymousza31407ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1422>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3anonymousza31422ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1397>\" \"Eval/evaluate_types.scm\" 1612) \"BGl_z62zc3anonymousza31397ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long BgL_checksumz00_4268, char * BgL_fromz00_4269)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_typesz00(); 
BGl_cnstzd2initzd2zz__evaluate_typesz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(); 
BGl_objectzd2initzd2zz__evaluate_typesz00(); 
return 
BGl_profzd2initzd2zz__evaluate_typesz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
BGl_symbol2367z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2368z00zz__evaluate_typesz00); 
BGl_symbol2369z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2370z00zz__evaluate_typesz00); 
BGl_symbol2373z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2374z00zz__evaluate_typesz00); 
BGl_symbol2375z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2376z00zz__evaluate_typesz00); 
BGl_symbol2380z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2381z00zz__evaluate_typesz00); 
BGl_symbol2382z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2383z00zz__evaluate_typesz00); 
BGl_symbol2386z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2387z00zz__evaluate_typesz00); 
BGl_symbol2391z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2392z00zz__evaluate_typesz00); 
BGl_symbol2395z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2396z00zz__evaluate_typesz00); 
BGl_symbol2401z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2402z00zz__evaluate_typesz00); 
BGl_symbol2406z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2407z00zz__evaluate_typesz00); 
BGl_symbol2410z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2411z00zz__evaluate_typesz00); 
BGl_symbol2415z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2416z00zz__evaluate_typesz00); 
BGl_symbol2419z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2420z00zz__evaluate_typesz00); 
BGl_symbol2423z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2424z00zz__evaluate_typesz00); 
BGl_symbol2427z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2428z00zz__evaluate_typesz00); 
BGl_symbol2432z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2433z00zz__evaluate_typesz00); 
BGl_symbol2436z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2437z00zz__evaluate_typesz00); 
BGl_symbol2441z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2442z00zz__evaluate_typesz00); 
BGl_symbol2446z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2447z00zz__evaluate_typesz00); 
BGl_symbol2451z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2452z00zz__evaluate_typesz00); 
BGl_symbol2455z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2456z00zz__evaluate_typesz00); 
BGl_symbol2459z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2460z00zz__evaluate_typesz00); 
BGl_symbol2464z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2465z00zz__evaluate_typesz00); 
BGl_symbol2471z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2472z00zz__evaluate_typesz00); 
BGl_symbol2476z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2477z00zz__evaluate_typesz00); 
BGl_symbol2480z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2481z00zz__evaluate_typesz00); 
BGl_symbol2485z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2486z00zz__evaluate_typesz00); 
BGl_symbol2496z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2497z00zz__evaluate_typesz00); 
BGl_symbol2501z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2502z00zz__evaluate_typesz00); 
BGl_symbol2505z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2506z00zz__evaluate_typesz00); 
BGl_symbol2509z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2510z00zz__evaluate_typesz00); 
BGl_symbol2514z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2515z00zz__evaluate_typesz00); 
BGl_symbol2523z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2524z00zz__evaluate_typesz00); 
BGl_symbol2527z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2528z00zz__evaluate_typesz00); 
BGl_symbol2534z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2535z00zz__evaluate_typesz00); 
BGl_symbol2540z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2541z00zz__evaluate_typesz00); 
BGl_symbol2544z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2545z00zz__evaluate_typesz00); 
BGl_symbol2551z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2552z00zz__evaluate_typesz00); 
BGl_symbol2555z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2556z00zz__evaluate_typesz00); 
BGl_symbol2559z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2560z00zz__evaluate_typesz00); 
BGl_symbol2566z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2567z00zz__evaluate_typesz00); 
BGl_symbol2571z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2572z00zz__evaluate_typesz00); 
BGl_symbol2576z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2577z00zz__evaluate_typesz00); 
BGl_symbol2584z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2585z00zz__evaluate_typesz00); 
BGl_symbol2589z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2590z00zz__evaluate_typesz00); 
BGl_symbol2598z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2599z00zz__evaluate_typesz00); 
BGl_symbol2603z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2604z00zz__evaluate_typesz00); 
BGl_symbol2613z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2614z00zz__evaluate_typesz00); 
BGl_symbol2619z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2620z00zz__evaluate_typesz00); 
BGl_symbol2623z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2624z00zz__evaluate_typesz00); 
BGl_symbol2630z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2631z00zz__evaluate_typesz00); 
BGl_symbol2636z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2637z00zz__evaluate_typesz00); 
BGl_symbol2642z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2643z00zz__evaluate_typesz00); 
BGl_symbol2647z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2648z00zz__evaluate_typesz00); 
BGl_symbol2653z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2654z00zz__evaluate_typesz00); 
BGl_symbol2657z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2658z00zz__evaluate_typesz00); 
BGl_symbol2666z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2667z00zz__evaluate_typesz00); 
BGl_symbol2668z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2669z00zz__evaluate_typesz00); 
BGl_symbol2673z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2674z00zz__evaluate_typesz00); 
BGl_symbol2678z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2679z00zz__evaluate_typesz00); 
BGl_symbol2683z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2684z00zz__evaluate_typesz00); 
BGl_symbol2691z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2692z00zz__evaluate_typesz00); 
return ( 
BGl_symbol2693z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2694z00zz__evaluate_typesz00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_arg1389z00_1046;obj_t BgL_arg1390z00_1047;
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_v1278z00_1057;
BgL_v1278z00_1057 = 
create_vector(((long)0)); 
BgL_arg1389z00_1046 = BgL_v1278z00_1057; } 
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_v1279z00_1058;
BgL_v1279z00_1058 = 
create_vector(((long)0)); 
BgL_arg1390z00_1047 = BgL_v1279z00_1058; } 
BGl_ev_exprz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2367z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00, ((long)36682), BGl_proc2366z00zz__evaluate_typesz00, BGl_proc2365z00zz__evaluate_typesz00, BFALSE, BGl_proc2364z00zz__evaluate_typesz00, BFALSE, BgL_arg1389z00_1046, BgL_arg1390z00_1047); } 
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_arg1401z00_1065;obj_t BgL_arg1402z00_1066;
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_v1280z00_1079;
BgL_v1280z00_1079 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1280z00_1079,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2373z00zz__evaluate_typesz00, BGl_proc2372z00zz__evaluate_typesz00, BGl_proc2371z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2375z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1280z00_1079,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2380z00zz__evaluate_typesz00, BGl_proc2379z00zz__evaluate_typesz00, BGl_proc2378z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2377z00zz__evaluate_typesz00, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1280z00_1079,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2386z00zz__evaluate_typesz00, BGl_proc2385z00zz__evaluate_typesz00, BGl_proc2384z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
BgL_arg1401z00_1065 = BgL_v1280z00_1079; } 
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_v1281z00_1113;
BgL_v1281z00_1113 = 
create_vector(((long)0)); 
BgL_arg1402z00_1066 = BgL_v1281z00_1113; } 
BGl_ev_varz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2391z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)7285), BGl_proc2390z00zz__evaluate_typesz00, BGl_proc2389z00zz__evaluate_typesz00, BFALSE, BGl_proc2388z00zz__evaluate_typesz00, BFALSE, BgL_arg1401z00_1065, BgL_arg1402z00_1066); } 
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_arg1433z00_1120;obj_t BgL_arg1434z00_1121;
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_v1282z00_1134;
BgL_v1282z00_1134 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1282z00_1134,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2395z00zz__evaluate_typesz00, BGl_proc2394z00zz__evaluate_typesz00, BGl_proc2393z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1282z00_1134,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2373z00zz__evaluate_typesz00, BGl_proc2398z00zz__evaluate_typesz00, BGl_proc2397z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2375z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1282z00_1134,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2401z00zz__evaluate_typesz00, BGl_proc2400z00zz__evaluate_typesz00, BGl_proc2399z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
BgL_arg1433z00_1120 = BgL_v1282z00_1134; } 
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_v1283z00_1165;
BgL_v1283z00_1165 = 
create_vector(((long)0)); 
BgL_arg1434z00_1121 = BgL_v1283z00_1165; } 
BGl_ev_globalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2406z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59175), BGl_proc2405z00zz__evaluate_typesz00, BGl_proc2404z00zz__evaluate_typesz00, BFALSE, BGl_proc2403z00zz__evaluate_typesz00, BFALSE, BgL_arg1433z00_1120, BgL_arg1434z00_1121); } 
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_arg1459z00_1172;obj_t BgL_arg1460z00_1173;
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_v1284z00_1184;
BgL_v1284z00_1184 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1284z00_1184,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2410z00zz__evaluate_typesz00, BGl_proc2409z00zz__evaluate_typesz00, BGl_proc2408z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
BgL_arg1459z00_1172 = BgL_v1284z00_1184; } 
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_v1285z00_1195;
BgL_v1285z00_1195 = 
create_vector(((long)0)); 
BgL_arg1460z00_1173 = BgL_v1285z00_1195; } 
BGl_ev_littz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2415z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)42418), BGl_proc2414z00zz__evaluate_typesz00, BGl_proc2413z00zz__evaluate_typesz00, BFALSE, BGl_proc2412z00zz__evaluate_typesz00, BFALSE, BgL_arg1459z00_1172, BgL_arg1460z00_1173); } 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_arg1476z00_1202;obj_t BgL_arg1477z00_1203;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_v1286z00_1216;
BgL_v1286z00_1216 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1286z00_1216,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2419z00zz__evaluate_typesz00, BGl_proc2418z00zz__evaluate_typesz00, BGl_proc2417z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1286z00_1216,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2423z00zz__evaluate_typesz00, BGl_proc2422z00zz__evaluate_typesz00, BGl_proc2421z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1286z00_1216,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2427z00zz__evaluate_typesz00, BGl_proc2426z00zz__evaluate_typesz00, BGl_proc2425z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1476z00_1202 = BgL_v1286z00_1216; } 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_v1287z00_1247;
BgL_v1287z00_1247 = 
create_vector(((long)0)); 
BgL_arg1477z00_1203 = BgL_v1287z00_1247; } 
BGl_ev_ifz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2432z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)19099), BGl_proc2431z00zz__evaluate_typesz00, BGl_proc2430z00zz__evaluate_typesz00, BFALSE, BGl_proc2429z00zz__evaluate_typesz00, BFALSE, BgL_arg1476z00_1202, BgL_arg1477z00_1203); } 
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_arg1504z00_1254;obj_t BgL_arg1506z00_1255;
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_v1288z00_1266;
BgL_v1288z00_1266 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1288z00_1266,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2436z00zz__evaluate_typesz00, BGl_proc2435z00zz__evaluate_typesz00, BGl_proc2434z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
BgL_arg1504z00_1254 = BgL_v1288z00_1266; } 
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_v1289z00_1277;
BgL_v1289z00_1277 = 
create_vector(((long)0)); 
BgL_arg1506z00_1255 = BgL_v1289z00_1277; } 
BGl_ev_listz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2441z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)39617), BGl_proc2440z00zz__evaluate_typesz00, BGl_proc2439z00zz__evaluate_typesz00, BFALSE, BGl_proc2438z00zz__evaluate_typesz00, BFALSE, BgL_arg1504z00_1254, BgL_arg1506z00_1255); } 
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_arg1521z00_1284;obj_t BgL_arg1522z00_1285;
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_v1290z00_1296;
BgL_v1290z00_1296 = 
create_vector(((long)0)); 
BgL_arg1521z00_1284 = BgL_v1290z00_1296; } 
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_v1291z00_1297;
BgL_v1291z00_1297 = 
create_vector(((long)0)); 
BgL_arg1522z00_1285 = BgL_v1291z00_1297; } 
BGl_ev_orz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2446z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)50334), BGl_proc2445z00zz__evaluate_typesz00, BGl_proc2444z00zz__evaluate_typesz00, BFALSE, BGl_proc2443z00zz__evaluate_typesz00, BFALSE, BgL_arg1521z00_1284, BgL_arg1522z00_1285); } 
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_arg1535z00_1304;obj_t BgL_arg1536z00_1305;
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_v1292z00_1316;
BgL_v1292z00_1316 = 
create_vector(((long)0)); 
BgL_arg1535z00_1304 = BgL_v1292z00_1316; } 
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_v1293z00_1317;
BgL_v1293z00_1317 = 
create_vector(((long)0)); 
BgL_arg1536z00_1305 = BgL_v1293z00_1317; } 
BGl_ev_andz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2451z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)26888), BGl_proc2450z00zz__evaluate_typesz00, BGl_proc2449z00zz__evaluate_typesz00, BFALSE, BGl_proc2448z00zz__evaluate_typesz00, BFALSE, BgL_arg1535z00_1304, BgL_arg1536z00_1305); } 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_arg1546z00_1324;obj_t BgL_arg1549z00_1325;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_v1294z00_1337;
BgL_v1294z00_1337 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1294z00_1337,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2455z00zz__evaluate_typesz00, BGl_proc2454z00zz__evaluate_typesz00, BGl_proc2453z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1294z00_1337,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2459z00zz__evaluate_typesz00, BGl_proc2458z00zz__evaluate_typesz00, BGl_proc2457z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1546z00_1324 = BgL_v1294z00_1337; } 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_v1295z00_1358;
BgL_v1295z00_1358 = 
create_vector(((long)0)); 
BgL_arg1549z00_1325 = BgL_v1295z00_1358; } 
BGl_ev_prog2z00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2464z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)14177), BGl_proc2463z00zz__evaluate_typesz00, BGl_proc2462z00zz__evaluate_typesz00, BFALSE, BGl_proc2461z00zz__evaluate_typesz00, BFALSE, BgL_arg1546z00_1324, BgL_arg1549z00_1325); } 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_arg1568z00_1365;obj_t BgL_arg1569z00_1366;
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_v1296z00_1377;
BgL_v1296z00_1377 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1296z00_1377,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2427z00zz__evaluate_typesz00, BGl_proc2467z00zz__evaluate_typesz00, BGl_proc2466z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1568z00_1365 = BgL_v1296z00_1377; } 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_v1297z00_1388;
BgL_v1297z00_1388 = 
create_vector(((long)0)); 
BgL_arg1569z00_1366 = BgL_v1297z00_1388; } 
BGl_ev_hookz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2471z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)32125), BGl_proc2470z00zz__evaluate_typesz00, BGl_proc2469z00zz__evaluate_typesz00, BFALSE, BGl_proc2468z00zz__evaluate_typesz00, BFALSE, BgL_arg1568z00_1365, BgL_arg1569z00_1366); } 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_arg1585z00_1395;obj_t BgL_arg1586z00_1396;
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_v1298z00_1407;
BgL_v1298z00_1407 = 
create_vector(((long)0)); 
BgL_arg1585z00_1395 = BgL_v1298z00_1407; } 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_v1299z00_1408;
BgL_v1299z00_1408 = 
create_vector(((long)0)); 
BgL_arg1586z00_1396 = BgL_v1299z00_1408; } 
BGl_ev_trapz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2476z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)24451), BGl_proc2475z00zz__evaluate_typesz00, BGl_proc2474z00zz__evaluate_typesz00, BFALSE, BGl_proc2473z00zz__evaluate_typesz00, BFALSE, BgL_arg1585z00_1395, BgL_arg1586z00_1396); } 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_arg1595z00_1415;obj_t BgL_arg1596z00_1416;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_v1300z00_1428;
BgL_v1300z00_1428 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1300z00_1428,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2480z00zz__evaluate_typesz00, BGl_proc2479z00zz__evaluate_typesz00, BGl_proc2478z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
BgL_arg1595z00_1415 = BgL_v1300z00_1428; } 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_v1301z00_1439;
BgL_v1301z00_1439 = 
create_vector(((long)0)); 
BgL_arg1596z00_1416 = BgL_v1301z00_1439; } 
BGl_ev_setlocalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2485z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)37950), BGl_proc2484z00zz__evaluate_typesz00, BGl_proc2483z00zz__evaluate_typesz00, BFALSE, BGl_proc2482z00zz__evaluate_typesz00, BFALSE, BgL_arg1595z00_1415, BgL_arg1596z00_1416); } 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_arg1610z00_1446;obj_t BgL_arg1613z00_1447;
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_v1302z00_1461;
BgL_v1302z00_1461 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1302z00_1461,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2395z00zz__evaluate_typesz00, BGl_proc2488z00zz__evaluate_typesz00, BGl_proc2487z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1302z00_1461,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2373z00zz__evaluate_typesz00, BGl_proc2490z00zz__evaluate_typesz00, BGl_proc2489z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2375z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1302z00_1461,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2401z00zz__evaluate_typesz00, BGl_proc2492z00zz__evaluate_typesz00, BGl_proc2491z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
BgL_arg1610z00_1446 = BgL_v1302z00_1461; } 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_v1303z00_1492;
BgL_v1303z00_1492 = 
create_vector(((long)0)); 
BgL_arg1613z00_1447 = BgL_v1303z00_1492; } 
BGl_ev_setglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2496z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)62117), BGl_proc2495z00zz__evaluate_typesz00, BGl_proc2494z00zz__evaluate_typesz00, BFALSE, BGl_proc2493z00zz__evaluate_typesz00, BFALSE, BgL_arg1610z00_1446, BgL_arg1613z00_1447); } 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_arg1646z00_1499;obj_t BgL_arg1647z00_1500;
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_v1304z00_1514;
BgL_v1304z00_1514 = 
create_vector(((long)0)); 
BgL_arg1646z00_1499 = BgL_v1304z00_1514; } 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_v1305z00_1515;
BgL_v1305z00_1515 = 
create_vector(((long)0)); 
BgL_arg1647z00_1500 = BgL_v1305z00_1515; } 
BGl_ev_defglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2501z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_setglobalz00zz__evaluate_typesz00, ((long)36158), BGl_proc2500z00zz__evaluate_typesz00, BGl_proc2499z00zz__evaluate_typesz00, BFALSE, BGl_proc2498z00zz__evaluate_typesz00, BFALSE, BgL_arg1646z00_1499, BgL_arg1647z00_1500); } 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_arg1656z00_1522;obj_t BgL_arg1657z00_1523;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_v1306z00_1535;
BgL_v1306z00_1535 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1306z00_1535,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2505z00zz__evaluate_typesz00, BGl_proc2504z00zz__evaluate_typesz00, BGl_proc2503z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1306z00_1535,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2509z00zz__evaluate_typesz00, BGl_proc2508z00zz__evaluate_typesz00, BGl_proc2507z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1656z00_1522 = BgL_v1306z00_1535; } 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_v1307z00_1556;
BgL_v1307z00_1556 = 
create_vector(((long)0)); 
BgL_arg1657z00_1523 = BgL_v1307z00_1556; } 
BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2514z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)10723), BGl_proc2513z00zz__evaluate_typesz00, BGl_proc2512z00zz__evaluate_typesz00, BFALSE, BGl_proc2511z00zz__evaluate_typesz00, BFALSE, BgL_arg1656z00_1522, BgL_arg1657z00_1523); } 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_arg1676z00_1563;obj_t BgL_arg1677z00_1564;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_v1308z00_1576;
BgL_v1308z00_1576 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1308z00_1576,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2427z00zz__evaluate_typesz00, BGl_proc2517z00zz__evaluate_typesz00, BGl_proc2516z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1308z00_1576,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2509z00zz__evaluate_typesz00, BGl_proc2519z00zz__evaluate_typesz00, BGl_proc2518z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1676z00_1563 = BgL_v1308z00_1576; } 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_v1309z00_1597;
BgL_v1309z00_1597 = 
create_vector(((long)0)); 
BgL_arg1677z00_1564 = BgL_v1309z00_1597; } 
BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2523z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59644), BGl_proc2522z00zz__evaluate_typesz00, BGl_proc2521z00zz__evaluate_typesz00, BFALSE, BGl_proc2520z00zz__evaluate_typesz00, BFALSE, BgL_arg1676z00_1563, BgL_arg1677z00_1564); } 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_arg1697z00_1604;obj_t BgL_arg1698z00_1605;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_v1310z00_1617;
BgL_v1310z00_1617 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1310z00_1617,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2527z00zz__evaluate_typesz00, BGl_proc2526z00zz__evaluate_typesz00, BGl_proc2525z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1310z00_1617,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2509z00zz__evaluate_typesz00, BGl_proc2530z00zz__evaluate_typesz00, BGl_proc2529z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1697z00_1604 = BgL_v1310z00_1617; } 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_v1311z00_1638;
BgL_v1311z00_1638 = 
create_vector(((long)0)); 
BgL_arg1698z00_1605 = BgL_v1311z00_1638; } 
BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2534z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)54033), BGl_proc2533z00zz__evaluate_typesz00, BGl_proc2532z00zz__evaluate_typesz00, BFALSE, BGl_proc2531z00zz__evaluate_typesz00, BFALSE, BgL_arg1697z00_1604, BgL_arg1698z00_1605); } 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_arg1717z00_1645;obj_t BgL_arg1718z00_1646;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_v1312z00_1660;
BgL_v1312z00_1660 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1312z00_1660,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2395z00zz__evaluate_typesz00, BGl_proc2537z00zz__evaluate_typesz00, BGl_proc2536z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1312z00_1660,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2540z00zz__evaluate_typesz00, BGl_proc2539z00zz__evaluate_typesz00, BGl_proc2538z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1312z00_1660,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2544z00zz__evaluate_typesz00, BGl_proc2543z00zz__evaluate_typesz00, BGl_proc2542z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1312z00_1660,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2509z00zz__evaluate_typesz00, BGl_proc2547z00zz__evaluate_typesz00, BGl_proc2546z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1717z00_1645 = BgL_v1312z00_1660; } 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_v1313z00_1701;
BgL_v1313z00_1701 = 
create_vector(((long)0)); 
BgL_arg1718z00_1646 = BgL_v1313z00_1701; } 
BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2551z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)40653), BGl_proc2550z00zz__evaluate_typesz00, BGl_proc2549z00zz__evaluate_typesz00, BFALSE, BGl_proc2548z00zz__evaluate_typesz00, BFALSE, BgL_arg1717z00_1645, BgL_arg1718z00_1646); } 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_arg1747z00_1708;obj_t BgL_arg1748z00_1709;
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_v1314z00_1722;
BgL_v1314z00_1722 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1314z00_1722,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2555z00zz__evaluate_typesz00, BGl_proc2554z00zz__evaluate_typesz00, BGl_proc2553z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1314z00_1722,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2559z00zz__evaluate_typesz00, BGl_proc2558z00zz__evaluate_typesz00, BGl_proc2557z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1314z00_1722,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2509z00zz__evaluate_typesz00, BGl_proc2562z00zz__evaluate_typesz00, BGl_proc2561z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1747z00_1708 = BgL_v1314z00_1722; } 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_v1315z00_1753;
BgL_v1315z00_1753 = 
create_vector(((long)0)); 
BgL_arg1748z00_1709 = BgL_v1315z00_1753; } 
BGl_ev_binderz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2566z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)50341), BGl_proc2565z00zz__evaluate_typesz00, BGl_proc2564z00zz__evaluate_typesz00, BFALSE, BGl_proc2563z00zz__evaluate_typesz00, BFALSE, BgL_arg1747z00_1708, BgL_arg1748z00_1709); } 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_arg1772z00_1760;obj_t BgL_arg1773z00_1761;
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_v1316z00_1775;
BgL_v1316z00_1775 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1316z00_1775,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2571z00zz__evaluate_typesz00, BGl_proc2570z00zz__evaluate_typesz00, BGl_proc2569z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2568z00zz__evaluate_typesz00, BGl_symbol2382z00zz__evaluate_typesz00)); 
BgL_arg1772z00_1760 = BgL_v1316z00_1775; } 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_v1317z00_1789;
BgL_v1317z00_1789 = 
create_vector(((long)0)); 
BgL_arg1773z00_1761 = BgL_v1317z00_1789; } 
BGl_ev_letz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2576z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)20484), BGl_proc2575z00zz__evaluate_typesz00, BGl_proc2574z00zz__evaluate_typesz00, BFALSE, BGl_proc2573z00zz__evaluate_typesz00, BFALSE, BgL_arg1772z00_1760, BgL_arg1773z00_1761); } 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_arg1789z00_1796;obj_t BgL_arg1790z00_1797;
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_v1318z00_1811;
BgL_v1318z00_1811 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1318z00_1811,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2571z00zz__evaluate_typesz00, BGl_proc2580z00zz__evaluate_typesz00, BGl_proc2579z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2578z00zz__evaluate_typesz00, BGl_symbol2382z00zz__evaluate_typesz00)); 
BgL_arg1789z00_1796 = BgL_v1318z00_1811; } 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_v1319z00_1825;
BgL_v1319z00_1825 = 
create_vector(((long)0)); 
BgL_arg1790z00_1797 = BgL_v1319z00_1825; } 
BGl_ev_letza2za2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2584z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)9906), BGl_proc2583z00zz__evaluate_typesz00, BGl_proc2582z00zz__evaluate_typesz00, BFALSE, BGl_proc2581z00zz__evaluate_typesz00, BFALSE, BgL_arg1789z00_1796, BgL_arg1790z00_1797); } 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_arg1806z00_1832;obj_t BgL_arg1807z00_1833;
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_v1320z00_1846;
BgL_v1320z00_1846 = 
create_vector(((long)0)); 
BgL_arg1806z00_1832 = BgL_v1320z00_1846; } 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_v1321z00_1847;
BgL_v1321z00_1847 = 
create_vector(((long)0)); 
BgL_arg1807z00_1833 = BgL_v1321z00_1847; } 
BGl_ev_letrecz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2589z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)43956), BGl_proc2588z00zz__evaluate_typesz00, BGl_proc2587z00zz__evaluate_typesz00, BFALSE, BGl_proc2586z00zz__evaluate_typesz00, BFALSE, BgL_arg1806z00_1832, BgL_arg1807z00_1833); } 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_arg1816z00_1854;obj_t BgL_arg1817z00_1855;
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_v1322z00_1871;
BgL_v1322z00_1871 = 
create_vector(((long)6)); 
VECTOR_SET(BgL_v1322z00_1871,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2555z00zz__evaluate_typesz00, BGl_proc2592z00zz__evaluate_typesz00, BGl_proc2591z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1322z00_1871,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2559z00zz__evaluate_typesz00, BGl_proc2594z00zz__evaluate_typesz00, BGl_proc2593z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1322z00_1871,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2598z00zz__evaluate_typesz00, BGl_proc2597z00zz__evaluate_typesz00, BGl_proc2596z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2595z00zz__evaluate_typesz00, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1322z00_1871,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2603z00zz__evaluate_typesz00, BGl_proc2602z00zz__evaluate_typesz00, BGl_proc2601z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2600z00zz__evaluate_typesz00, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1322z00_1871,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2509z00zz__evaluate_typesz00, BGl_proc2606z00zz__evaluate_typesz00, BGl_proc2605z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1322z00_1871,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2571z00zz__evaluate_typesz00, BGl_proc2609z00zz__evaluate_typesz00, BGl_proc2608z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2607z00zz__evaluate_typesz00, BGl_symbol2382z00zz__evaluate_typesz00)); 
BgL_arg1816z00_1854 = BgL_v1322z00_1871; } 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_v1323z00_1941;
BgL_v1323z00_1941 = 
create_vector(((long)0)); 
BgL_arg1817z00_1855 = BgL_v1323z00_1941; } 
BGl_ev_labelsz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2613z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)51941), BGl_proc2612z00zz__evaluate_typesz00, BGl_proc2611z00zz__evaluate_typesz00, BFALSE, BGl_proc2610z00zz__evaluate_typesz00, BFALSE, BgL_arg1816z00_1854, BgL_arg1817z00_1855); } 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_arg1862z00_1948;obj_t BgL_arg1863z00_1949;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_v1324z00_1963;
BgL_v1324z00_1963 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1324z00_1963,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2395z00zz__evaluate_typesz00, BGl_proc2616z00zz__evaluate_typesz00, BGl_proc2615z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1324z00_1963,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2619z00zz__evaluate_typesz00, BGl_proc2618z00zz__evaluate_typesz00, BGl_proc2617z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1324z00_1963,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2623z00zz__evaluate_typesz00, BGl_proc2622z00zz__evaluate_typesz00, BGl_proc2621z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1324z00_1963,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2436z00zz__evaluate_typesz00, BGl_proc2626z00zz__evaluate_typesz00, BGl_proc2625z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
BgL_arg1862z00_1948 = BgL_v1324z00_1963; } 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_v1325z00_2004;
BgL_v1325z00_2004 = 
create_vector(((long)0)); 
BgL_arg1863z00_1949 = BgL_v1325z00_2004; } 
BGl_ev_gotoz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2630z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)25746), BGl_proc2629z00zz__evaluate_typesz00, BGl_proc2628z00zz__evaluate_typesz00, BFALSE, BGl_proc2627z00zz__evaluate_typesz00, BFALSE, BgL_arg1862z00_1948, BgL_arg1863z00_1949); } 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_arg1892z00_2011;obj_t BgL_arg1893z00_2012;
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_v1326z00_2026;
BgL_v1326z00_2026 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1326z00_2026,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2395z00zz__evaluate_typesz00, BGl_proc2633z00zz__evaluate_typesz00, BGl_proc2632z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_2026,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2636z00zz__evaluate_typesz00, BGl_proc2635z00zz__evaluate_typesz00, BGl_proc2634z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_2026,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2436z00zz__evaluate_typesz00, BGl_proc2639z00zz__evaluate_typesz00, BGl_proc2638z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_2026,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2642z00zz__evaluate_typesz00, BGl_proc2641z00zz__evaluate_typesz00, BGl_proc2640z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
BgL_arg1892z00_2011 = BgL_v1326z00_2026; } 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_v1327z00_2067;
BgL_v1327z00_2067 = 
create_vector(((long)0)); 
BgL_arg1893z00_2012 = BgL_v1327z00_2067; } 
BGl_ev_appz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2647z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)55822), BGl_proc2646z00zz__evaluate_typesz00, BGl_proc2645z00zz__evaluate_typesz00, BFALSE, BGl_proc2644z00zz__evaluate_typesz00, BFALSE, BgL_arg1892z00_2011, BgL_arg1893z00_2012); } 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_arg1922z00_2074;obj_t BgL_arg1923z00_2075;
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_v1328z00_2095;
BgL_v1328z00_2095 = 
create_vector(((long)10)); 
VECTOR_SET(BgL_v1328z00_2095,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2395z00zz__evaluate_typesz00, BGl_proc2650z00zz__evaluate_typesz00, BGl_proc2649z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_2095,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2653z00zz__evaluate_typesz00, BGl_proc2652z00zz__evaluate_typesz00, BGl_proc2651z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_2095,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2657z00zz__evaluate_typesz00, BGl_proc2656z00zz__evaluate_typesz00, BGl_proc2655z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_2095,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2555z00zz__evaluate_typesz00, BGl_proc2660z00zz__evaluate_typesz00, BGl_proc2659z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_2095,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2509z00zz__evaluate_typesz00, BGl_proc2662z00zz__evaluate_typesz00, BGl_proc2661z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_2095,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2666z00zz__evaluate_typesz00, BGl_proc2665z00zz__evaluate_typesz00, BGl_proc2664z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2663z00zz__evaluate_typesz00, BGl_symbol2668z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_2095,((long)6),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2673z00zz__evaluate_typesz00, BGl_proc2672z00zz__evaluate_typesz00, BGl_proc2671z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2670z00zz__evaluate_typesz00, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_2095,((long)7),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2678z00zz__evaluate_typesz00, BGl_proc2677z00zz__evaluate_typesz00, BGl_proc2676z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2675z00zz__evaluate_typesz00, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_2095,((long)8),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2683z00zz__evaluate_typesz00, BGl_proc2682z00zz__evaluate_typesz00, BGl_proc2681z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2680z00zz__evaluate_typesz00, BGl_symbol2382z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_2095,((long)9),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2571z00zz__evaluate_typesz00, BGl_proc2687z00zz__evaluate_typesz00, BGl_proc2686z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2685z00zz__evaluate_typesz00, BGl_symbol2382z00zz__evaluate_typesz00)); 
BgL_arg1922z00_2074 = BgL_v1328z00_2095; } 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_v1329z00_2211;
BgL_v1329z00_2211 = 
create_vector(((long)0)); 
BgL_arg1923z00_2075 = BgL_v1329z00_2211; } 
return ( 
BGl_ev_absz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2691z00zz__evaluate_typesz00, BGl_symbol2369z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)22827), BGl_proc2690z00zz__evaluate_typesz00, BGl_proc2689z00zz__evaluate_typesz00, BFALSE, BGl_proc2688z00zz__evaluate_typesz00, BFALSE, BgL_arg1922z00_2074, BgL_arg1923z00_2075), BUNSPEC) ;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1928> */
obj_t BGl_z62zc3anonymousza31928ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3353, obj_t BgL_new1188z00_3354)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
{ 
BgL_ev_absz00_bglt BgL_new1188z00_2093;
{ 
BgL_ev_absz00_bglt BgL_auxz00_4536;
BgL_new1188z00_2093 = 
((BgL_ev_absz00_bglt)BgL_new1188z00_3354); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1188z00_2093))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1188z00_2093))->BgL_wherez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1188z00_2093))->BgL_arityz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1188z00_2093))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4541;
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_classz00_2916;
BgL_classz00_2916 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL__ortest_1277z00_2917;
BgL__ortest_1277z00_2917 = 
BGL_CLASS_NIL(BgL_classz00_2916); 
if(
CBOOL(BgL__ortest_1277z00_2917))
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4541 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2917)
; }  else 
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4541 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2916))
; } } } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1188z00_2093))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4541),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1188z00_2093))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1188z00_2093))->BgL_bindz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1188z00_2093))->BgL_freez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1188z00_2093))->BgL_innerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1188z00_2093))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4536 = BgL_new1188z00_2093; 
return 
((obj_t)BgL_auxz00_4536);} } } 
BGL_FUNCTION_END;
}



/* &lambda1926 */
BgL_ev_absz00_bglt BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t BgL_envz00_3355)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1187z00_3831;
BgL_new1187z00_3831 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
long BgL_arg1927z00_3832;
{ /* Eval/evaluate_types.scm 122 */
long BgL_res2315z00_3833;
BgL_res2315z00_3833 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg1927z00_3832 = BgL_res2315z00_3833; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1187z00_3831), BgL_arg1927z00_3832); } 
return BgL_new1187z00_3831;} } 
BGL_FUNCTION_END;
}



/* &lambda1924 */
BgL_ev_absz00_bglt BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t BgL_envz00_3356, obj_t BgL_loc1177z00_3357, obj_t BgL_where1178z00_3358, obj_t BgL_arity1179z00_3359, obj_t BgL_vars1180z00_3360, obj_t BgL_body1181z00_3361, obj_t BgL_siza7e1182za7_3362, obj_t BgL_bind1183z00_3363, obj_t BgL_free1184z00_3364, obj_t BgL_inner1185z00_3365, obj_t BgL_boxes1186z00_3366)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
int BgL_siza7e1182za7_3835;
BgL_siza7e1182za7_3835 = 
CINT(BgL_siza7e1182za7_3362); 
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1240z00_3836;
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1239z00_3837;
BgL_new1239z00_3837 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
long BgL_arg1925z00_3838;
{ /* Eval/evaluate_types.scm 122 */
long BgL_res2314z00_3839;
BgL_res2314z00_3839 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg1925z00_3838 = BgL_res2314z00_3839; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1239z00_3837), BgL_arg1925z00_3838); } 
BgL_new1240z00_3836 = BgL_new1239z00_3837; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1240z00_3836))->BgL_locz00)=((obj_t)BgL_loc1177z00_3357),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1240z00_3836))->BgL_wherez00)=((obj_t)BgL_where1178z00_3358),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1240z00_3836))->BgL_arityz00)=((obj_t)BgL_arity1179z00_3359),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1240z00_3836))->BgL_varsz00)=((obj_t)BgL_vars1180z00_3360),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1240z00_3836))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1181z00_3361)),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1240z00_3836))->BgL_siza7eza7)=((int)BgL_siza7e1182za7_3835),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1240z00_3836))->BgL_bindz00)=((obj_t)BgL_bind1183z00_3363),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1240z00_3836))->BgL_freez00)=((obj_t)BgL_free1184z00_3364),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1240z00_3836))->BgL_innerz00)=((obj_t)BgL_inner1185z00_3365),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1240z00_3836))->BgL_boxesz00)=((obj_t)BgL_boxes1186z00_3366),BUNSPEC); 
return BgL_new1240z00_3836;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1988> */
obj_t BGl_z62zc3anonymousza31988ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3367)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1987 */
obj_t BGl_z62lambda1987z62zz__evaluate_typesz00(obj_t BgL_envz00_3368, obj_t BgL_oz00_3369, obj_t BgL_vz00_3370)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3369)))->BgL_boxesz00)=((obj_t)BgL_vz00_3370),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1986 */
obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t BgL_envz00_3371, obj_t BgL_oz00_3372)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3372)))->BgL_boxesz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1981> */
obj_t BGl_z62zc3anonymousza31981ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3373)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1980 */
obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t BgL_envz00_3374, obj_t BgL_oz00_3375, obj_t BgL_vz00_3376)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3375)))->BgL_innerz00)=((obj_t)BgL_vz00_3376),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1979 */
obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t BgL_envz00_3377, obj_t BgL_oz00_3378)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3378)))->BgL_innerz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1974> */
obj_t BGl_z62zc3anonymousza31974ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3379)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1973 */
obj_t BGl_z62lambda1973z62zz__evaluate_typesz00(obj_t BgL_envz00_3380, obj_t BgL_oz00_3381, obj_t BgL_vz00_3382)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3381)))->BgL_freez00)=((obj_t)BgL_vz00_3382),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1972 */
obj_t BGl_z62lambda1972z62zz__evaluate_typesz00(obj_t BgL_envz00_3383, obj_t BgL_oz00_3384)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3384)))->BgL_freez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1967> */
obj_t BGl_z62zc3anonymousza31967ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3385)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1966 */
obj_t BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t BgL_envz00_3386, obj_t BgL_oz00_3387, obj_t BgL_vz00_3388)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3387)))->BgL_bindz00)=((obj_t)BgL_vz00_3388),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1965 */
obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t BgL_envz00_3389, obj_t BgL_oz00_3390)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3390)))->BgL_bindz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1960> */
obj_t BGl_z62zc3anonymousza31960ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3391)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(((long)0));} 
BGL_FUNCTION_END;
}



/* &lambda1959 */
obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t BgL_envz00_3392, obj_t BgL_oz00_3393, obj_t BgL_vz00_3394)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
int BgL_vz00_3849;
BgL_vz00_3849 = 
CINT(BgL_vz00_3394); 
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3393)))->BgL_siza7eza7)=((int)BgL_vz00_3849),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1958 */
obj_t BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t BgL_envz00_3395, obj_t BgL_oz00_3396)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3396)))->BgL_siza7eza7));} 
BGL_FUNCTION_END;
}



/* &lambda1953 */
obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t BgL_envz00_3397, obj_t BgL_oz00_3398, obj_t BgL_vz00_3399)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3398)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3399)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1952 */
BgL_ev_exprz00_bglt BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t BgL_envz00_3400, obj_t BgL_oz00_3401)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3401)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1948 */
obj_t BGl_z62lambda1948z62zz__evaluate_typesz00(obj_t BgL_envz00_3402, obj_t BgL_oz00_3403, obj_t BgL_vz00_3404)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3403)))->BgL_varsz00)=((obj_t)BgL_vz00_3404),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1947 */
obj_t BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t BgL_envz00_3405, obj_t BgL_oz00_3406)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3406)))->BgL_varsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1943 */
obj_t BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t BgL_envz00_3407, obj_t BgL_oz00_3408, obj_t BgL_vz00_3409)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3408)))->BgL_arityz00)=((obj_t)BgL_vz00_3409),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1942 */
obj_t BGl_z62lambda1942z62zz__evaluate_typesz00(obj_t BgL_envz00_3410, obj_t BgL_oz00_3411)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3411)))->BgL_arityz00);} 
BGL_FUNCTION_END;
}



/* &lambda1938 */
obj_t BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t BgL_envz00_3412, obj_t BgL_oz00_3413, obj_t BgL_vz00_3414)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3413)))->BgL_wherez00)=((obj_t)BgL_vz00_3414),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1937 */
obj_t BGl_z62lambda1937z62zz__evaluate_typesz00(obj_t BgL_envz00_3415, obj_t BgL_oz00_3416)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3416)))->BgL_wherez00);} 
BGL_FUNCTION_END;
}



/* &lambda1933 */
obj_t BGl_z62lambda1933z62zz__evaluate_typesz00(obj_t BgL_envz00_3417, obj_t BgL_oz00_3418, obj_t BgL_vz00_3419)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3418)))->BgL_locz00)=((obj_t)BgL_vz00_3419),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1932 */
obj_t BGl_z62lambda1932z62zz__evaluate_typesz00(obj_t BgL_envz00_3420, obj_t BgL_oz00_3421)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3421)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1898> */
obj_t BGl_z62zc3anonymousza31898ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3422, obj_t BgL_new1175z00_3423)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
{ 
BgL_ev_appz00_bglt BgL_new1175z00_2024;
{ 
BgL_ev_appz00_bglt BgL_auxz00_4621;
BgL_new1175z00_2024 = 
((BgL_ev_appz00_bglt)BgL_new1175z00_3423); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1175z00_2024))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4623;
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_classz00_2896;
BgL_classz00_2896 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL__ortest_1277z00_2897;
BgL__ortest_1277z00_2897 = 
BGL_CLASS_NIL(BgL_classz00_2896); 
if(
CBOOL(BgL__ortest_1277z00_2897))
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4623 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2897)
; }  else 
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4623 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2896))
; } } } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1175z00_2024))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4623),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1175z00_2024))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1175z00_2024))->BgL_tailzf3zf3)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4621 = BgL_new1175z00_2024; 
return 
((obj_t)BgL_auxz00_4621);} } } 
BGL_FUNCTION_END;
}



/* &lambda1896 */
BgL_ev_appz00_bglt BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t BgL_envz00_3424)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1174z00_3865;
BgL_new1174z00_3865 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
long BgL_arg1897z00_3866;
{ /* Eval/evaluate_types.scm 119 */
long BgL_res2313z00_3867;
BgL_res2313z00_3867 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1897z00_3866 = BgL_res2313z00_3867; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1174z00_3865), BgL_arg1897z00_3866); } 
return BgL_new1174z00_3865;} } 
BGL_FUNCTION_END;
}



/* &lambda1894 */
BgL_ev_appz00_bglt BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t BgL_envz00_3425, obj_t BgL_loc1170z00_3426, obj_t BgL_fun1171z00_3427, obj_t BgL_args1172z00_3428, obj_t BgL_tailzf31173zf3_3429)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1238z00_3869;
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1237z00_3870;
BgL_new1237z00_3870 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
long BgL_arg1895z00_3871;
{ /* Eval/evaluate_types.scm 119 */
long BgL_res2312z00_3872;
BgL_res2312z00_3872 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1895z00_3871 = BgL_res2312z00_3872; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1237z00_3870), BgL_arg1895z00_3871); } 
BgL_new1238z00_3869 = BgL_new1237z00_3870; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1238z00_3869))->BgL_locz00)=((obj_t)BgL_loc1170z00_3426),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1238z00_3869))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_fun1171z00_3427)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1238z00_3869))->BgL_argsz00)=((obj_t)BgL_args1172z00_3428),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1238z00_3869))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf31173zf3_3429),BUNSPEC); 
return BgL_new1238z00_3869;} } 
BGL_FUNCTION_END;
}



/* &lambda1918 */
obj_t BGl_z62lambda1918z62zz__evaluate_typesz00(obj_t BgL_envz00_3430, obj_t BgL_oz00_3431, obj_t BgL_vz00_3432)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3431)))->BgL_tailzf3zf3)=((obj_t)BgL_vz00_3432),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1917 */
obj_t BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t BgL_envz00_3433, obj_t BgL_oz00_3434)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3434)))->BgL_tailzf3zf3);} 
BGL_FUNCTION_END;
}



/* &lambda1913 */
obj_t BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t BgL_envz00_3435, obj_t BgL_oz00_3436, obj_t BgL_vz00_3437)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3436)))->BgL_argsz00)=((obj_t)BgL_vz00_3437),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1912 */
obj_t BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t BgL_envz00_3438, obj_t BgL_oz00_3439)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3439)))->BgL_argsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1908 */
obj_t BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t BgL_envz00_3440, obj_t BgL_oz00_3441, obj_t BgL_vz00_3442)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3441)))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3442)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1907 */
BgL_ev_exprz00_bglt BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t BgL_envz00_3443, obj_t BgL_oz00_3444)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3444)))->BgL_funz00);} 
BGL_FUNCTION_END;
}



/* &lambda1903 */
obj_t BGl_z62lambda1903z62zz__evaluate_typesz00(obj_t BgL_envz00_3445, obj_t BgL_oz00_3446, obj_t BgL_vz00_3447)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3446)))->BgL_locz00)=((obj_t)BgL_vz00_3447),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1902 */
obj_t BGl_z62lambda1902z62zz__evaluate_typesz00(obj_t BgL_envz00_3448, obj_t BgL_oz00_3449)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3449)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1868> */
obj_t BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3450, obj_t BgL_new1168z00_3451)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
{ 
BgL_ev_gotoz00_bglt BgL_new1168z00_1961;
{ 
BgL_ev_gotoz00_bglt BgL_auxz00_4665;
BgL_new1168z00_1961 = 
((BgL_ev_gotoz00_bglt)BgL_new1168z00_3451); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1168z00_1961))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_varz00_bglt BgL_auxz00_4667;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_classz00_2880;
BgL_classz00_2880 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL__ortest_1277z00_2881;
BgL__ortest_1277z00_2881 = 
BGL_CLASS_NIL(BgL_classz00_2880); 
if(
CBOOL(BgL__ortest_1277z00_2881))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4667 = 
((BgL_ev_varz00_bglt)BgL__ortest_1277z00_2881)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4667 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2880))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1168z00_1961))->BgL_labelz00)=((BgL_ev_varz00_bglt)BgL_auxz00_4667),BUNSPEC); } 
{ 
BgL_ev_labelsz00_bglt BgL_auxz00_4675;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_classz00_2882;
BgL_classz00_2882 = BGl_ev_labelsz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL__ortest_1277z00_2883;
BgL__ortest_1277z00_2883 = 
BGL_CLASS_NIL(BgL_classz00_2882); 
if(
CBOOL(BgL__ortest_1277z00_2883))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4675 = 
((BgL_ev_labelsz00_bglt)BgL__ortest_1277z00_2883)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4675 = 
((BgL_ev_labelsz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2882))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1168z00_1961))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)BgL_auxz00_4675),BUNSPEC); } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1168z00_1961))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4665 = BgL_new1168z00_1961; 
return 
((obj_t)BgL_auxz00_4665);} } } 
BGL_FUNCTION_END;
}



/* &lambda1866 */
BgL_ev_gotoz00_bglt BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t BgL_envz00_3452)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1167z00_3887;
BgL_new1167z00_3887 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
long BgL_arg1867z00_3888;
{ /* Eval/evaluate_types.scm 114 */
long BgL_res2311z00_3889;
BgL_res2311z00_3889 = 
BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00); 
BgL_arg1867z00_3888 = BgL_res2311z00_3889; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1167z00_3887), BgL_arg1867z00_3888); } 
return BgL_new1167z00_3887;} } 
BGL_FUNCTION_END;
}



/* &lambda1864 */
BgL_ev_gotoz00_bglt BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t BgL_envz00_3453, obj_t BgL_loc1163z00_3454, obj_t BgL_label1164z00_3455, obj_t BgL_labels1165z00_3456, obj_t BgL_args1166z00_3457)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1236z00_3892;
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1235z00_3893;
BgL_new1235z00_3893 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
long BgL_arg1865z00_3894;
{ /* Eval/evaluate_types.scm 114 */
long BgL_res2310z00_3895;
BgL_res2310z00_3895 = 
BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00); 
BgL_arg1865z00_3894 = BgL_res2310z00_3895; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1235z00_3893), BgL_arg1865z00_3894); } 
BgL_new1236z00_3892 = BgL_new1235z00_3893; } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1236z00_3892))->BgL_locz00)=((obj_t)BgL_loc1163z00_3454),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1236z00_3892))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_label1164z00_3455)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1236z00_3892))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_labels1165z00_3456)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1236z00_3892))->BgL_argsz00)=((obj_t)BgL_args1166z00_3457),BUNSPEC); 
return BgL_new1236z00_3892;} } 
BGL_FUNCTION_END;
}



/* &lambda1888 */
obj_t BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t BgL_envz00_3458, obj_t BgL_oz00_3459, obj_t BgL_vz00_3460)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3459)))->BgL_argsz00)=((obj_t)BgL_vz00_3460),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1887 */
obj_t BGl_z62lambda1887z62zz__evaluate_typesz00(obj_t BgL_envz00_3461, obj_t BgL_oz00_3462)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3462)))->BgL_argsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1883 */
obj_t BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t BgL_envz00_3463, obj_t BgL_oz00_3464, obj_t BgL_vz00_3465)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3464)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_vz00_3465)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1882 */
BgL_ev_labelsz00_bglt BGl_z62lambda1882z62zz__evaluate_typesz00(obj_t BgL_envz00_3466, obj_t BgL_oz00_3467)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3467)))->BgL_labelsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1878 */
obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t BgL_envz00_3468, obj_t BgL_oz00_3469, obj_t BgL_vz00_3470)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3469)))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3470)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1877 */
BgL_ev_varz00_bglt BGl_z62lambda1877z62zz__evaluate_typesz00(obj_t BgL_envz00_3471, obj_t BgL_oz00_3472)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3472)))->BgL_labelz00);} 
BGL_FUNCTION_END;
}



/* &lambda1873 */
obj_t BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t BgL_envz00_3473, obj_t BgL_oz00_3474, obj_t BgL_vz00_3475)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3474)))->BgL_locz00)=((obj_t)BgL_vz00_3475),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1872 */
obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t BgL_envz00_3476, obj_t BgL_oz00_3477)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3477)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1822> */
obj_t BGl_z62zc3anonymousza31822ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3478, obj_t BgL_new1161z00_3479)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
{ 
BgL_ev_labelsz00_bglt BgL_new1161z00_1869;
{ 
BgL_ev_labelsz00_bglt BgL_auxz00_4718;
BgL_new1161z00_1869 = 
((BgL_ev_labelsz00_bglt)BgL_new1161z00_3479); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1161z00_1869))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1161z00_1869))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1161z00_1869))->BgL_envz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1161z00_1869))->BgL_stkz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4723;
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_classz00_2866;
BgL_classz00_2866 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL__ortest_1277z00_2867;
BgL__ortest_1277z00_2867 = 
BGL_CLASS_NIL(BgL_classz00_2866); 
if(
CBOOL(BgL__ortest_1277z00_2867))
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4723 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2867)
; }  else 
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4723 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2866))
; } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1161z00_1869))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4723),BUNSPEC); } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1161z00_1869))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4718 = BgL_new1161z00_1869; 
return 
((obj_t)BgL_auxz00_4718);} } } 
BGL_FUNCTION_END;
}



/* &lambda1820 */
BgL_ev_labelsz00_bglt BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t BgL_envz00_3480)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1160z00_3909;
BgL_new1160z00_3909 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
long BgL_arg1821z00_3910;
{ /* Eval/evaluate_types.scm 106 */
long BgL_res2309z00_3911;
BgL_res2309z00_3911 = 
BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00); 
BgL_arg1821z00_3910 = BgL_res2309z00_3911; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1160z00_3909), BgL_arg1821z00_3910); } 
return BgL_new1160z00_3909;} } 
BGL_FUNCTION_END;
}



/* &lambda1818 */
BgL_ev_labelsz00_bglt BGl_z62lambda1818z62zz__evaluate_typesz00(obj_t BgL_envz00_3481, obj_t BgL_vars1154z00_3482, obj_t BgL_vals1155z00_3483, obj_t BgL_env1156z00_3484, obj_t BgL_stk1157z00_3485, obj_t BgL_body1158z00_3486, obj_t BgL_boxes1159z00_3487)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1234z00_3913;
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1233z00_3914;
BgL_new1233z00_3914 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
long BgL_arg1819z00_3915;
{ /* Eval/evaluate_types.scm 106 */
long BgL_res2308z00_3916;
BgL_res2308z00_3916 = 
BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00); 
BgL_arg1819z00_3915 = BgL_res2308z00_3916; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1233z00_3914), BgL_arg1819z00_3915); } 
BgL_new1234z00_3913 = BgL_new1233z00_3914; } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1234z00_3913))->BgL_varsz00)=((obj_t)BgL_vars1154z00_3482),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1234z00_3913))->BgL_valsz00)=((obj_t)BgL_vals1155z00_3483),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1234z00_3913))->BgL_envz00)=((obj_t)BgL_env1156z00_3484),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1234z00_3913))->BgL_stkz00)=((obj_t)BgL_stk1157z00_3485),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1234z00_3913))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1158z00_3486)),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1234z00_3913))->BgL_boxesz00)=((obj_t)BgL_boxes1159z00_3487),BUNSPEC); 
return BgL_new1234z00_3913;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1858> */
obj_t BGl_z62zc3anonymousza31858ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3488)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1857 */
obj_t BGl_z62lambda1857z62zz__evaluate_typesz00(obj_t BgL_envz00_3489, obj_t BgL_oz00_3490, obj_t BgL_vz00_3491)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3490)))->BgL_boxesz00)=((obj_t)BgL_vz00_3491),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1856 */
obj_t BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t BgL_envz00_3492, obj_t BgL_oz00_3493)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3493)))->BgL_boxesz00);} 
BGL_FUNCTION_END;
}



/* &lambda1851 */
obj_t BGl_z62lambda1851z62zz__evaluate_typesz00(obj_t BgL_envz00_3494, obj_t BgL_oz00_3495, obj_t BgL_vz00_3496)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3495)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3496)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1850 */
BgL_ev_exprz00_bglt BGl_z62lambda1850z62zz__evaluate_typesz00(obj_t BgL_envz00_3497, obj_t BgL_oz00_3498)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3498)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1846> */
obj_t BGl_z62zc3anonymousza31846ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3499)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1845 */
obj_t BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t BgL_envz00_3500, obj_t BgL_oz00_3501, obj_t BgL_vz00_3502)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3501)))->BgL_stkz00)=((obj_t)BgL_vz00_3502),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1844 */
obj_t BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t BgL_envz00_3503, obj_t BgL_oz00_3504)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3504)))->BgL_stkz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1839> */
obj_t BGl_z62zc3anonymousza31839ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3505)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1838 */
obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t BgL_envz00_3506, obj_t BgL_oz00_3507, obj_t BgL_vz00_3508)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3507)))->BgL_envz00)=((obj_t)BgL_vz00_3508),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1837 */
obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t BgL_envz00_3509, obj_t BgL_oz00_3510)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3510)))->BgL_envz00);} 
BGL_FUNCTION_END;
}



/* &lambda1832 */
obj_t BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t BgL_envz00_3511, obj_t BgL_oz00_3512, obj_t BgL_vz00_3513)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3512)))->BgL_valsz00)=((obj_t)BgL_vz00_3513),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1831 */
obj_t BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t BgL_envz00_3514, obj_t BgL_oz00_3515)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3515)))->BgL_valsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1827 */
obj_t BGl_z62lambda1827z62zz__evaluate_typesz00(obj_t BgL_envz00_3516, obj_t BgL_oz00_3517, obj_t BgL_vz00_3518)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3517)))->BgL_varsz00)=((obj_t)BgL_vz00_3518),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1826 */
obj_t BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t BgL_envz00_3519, obj_t BgL_oz00_3520)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3520)))->BgL_varsz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1812> */
obj_t BGl_z62zc3anonymousza31812ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3521, obj_t BgL_new1152z00_3522)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 105 */
{ 
BgL_ev_letrecz00_bglt BgL_new1152z00_1844;
{ 
BgL_ev_letrecz00_bglt BgL_auxz00_4774;
BgL_new1152z00_1844 = 
((BgL_ev_letrecz00_bglt)BgL_new1152z00_3522); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1152z00_1844)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1152z00_1844)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4779;
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_classz00_2850;
BgL_classz00_2850 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL__ortest_1277z00_2851;
BgL__ortest_1277z00_2851 = 
BGL_CLASS_NIL(BgL_classz00_2850); 
if(
CBOOL(BgL__ortest_1277z00_2851))
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4779 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2851)
; }  else 
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4779 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2850))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1152z00_1844)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4779),BUNSPEC); } 
BgL_auxz00_4774 = BgL_new1152z00_1844; 
return 
((obj_t)BgL_auxz00_4774);} } } 
BGL_FUNCTION_END;
}



/* &lambda1810 */
BgL_ev_letrecz00_bglt BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t BgL_envz00_3523)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1151z00_3933;
BgL_new1151z00_3933 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
long BgL_arg1811z00_3934;
{ /* Eval/evaluate_types.scm 105 */
long BgL_res2307z00_3935;
BgL_res2307z00_3935 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BgL_arg1811z00_3934 = BgL_res2307z00_3935; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1151z00_3933), BgL_arg1811z00_3934); } 
return BgL_new1151z00_3933;} } 
BGL_FUNCTION_END;
}



/* &lambda1808 */
BgL_ev_letrecz00_bglt BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t BgL_envz00_3524, obj_t BgL_vars1148z00_3525, obj_t BgL_vals1149z00_3526, obj_t BgL_body1150z00_3527)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1232z00_3937;
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1231z00_3938;
BgL_new1231z00_3938 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
long BgL_arg1809z00_3939;
{ /* Eval/evaluate_types.scm 105 */
long BgL_res2306z00_3940;
BgL_res2306z00_3940 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BgL_arg1809z00_3939 = BgL_res2306z00_3940; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1231z00_3938), BgL_arg1809z00_3939); } 
BgL_new1232z00_3937 = BgL_new1231z00_3938; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3937)))->BgL_varsz00)=((obj_t)BgL_vars1148z00_3525),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3937)))->BgL_valsz00)=((obj_t)BgL_vals1149z00_3526),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3937)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1150z00_3527)),BUNSPEC); 
return BgL_new1232z00_3937;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1795> */
obj_t BGl_z62zc3anonymousza31795ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3528, obj_t BgL_new1146z00_3529)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
{ 
BgL_ev_letza2za2_bglt BgL_new1146z00_1809;
{ 
BgL_ev_letza2za2_bglt BgL_auxz00_4805;
BgL_new1146z00_1809 = 
((BgL_ev_letza2za2_bglt)BgL_new1146z00_3529); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1146z00_1809)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1146z00_1809)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4810;
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_classz00_2840;
BgL_classz00_2840 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL__ortest_1277z00_2841;
BgL__ortest_1277z00_2841 = 
BGL_CLASS_NIL(BgL_classz00_2840); 
if(
CBOOL(BgL__ortest_1277z00_2841))
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4810 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2841)
; }  else 
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4810 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2840))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1146z00_1809)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4810),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1146z00_1809))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4805 = BgL_new1146z00_1809; 
return 
((obj_t)BgL_auxz00_4805);} } } 
BGL_FUNCTION_END;
}



/* &lambda1793 */
BgL_ev_letza2za2_bglt BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t BgL_envz00_3530)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1145z00_3944;
BgL_new1145z00_3944 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
long BgL_arg1794z00_3945;
{ /* Eval/evaluate_types.scm 103 */
long BgL_res2305z00_3946;
BgL_res2305z00_3946 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BgL_arg1794z00_3945 = BgL_res2305z00_3946; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1145z00_3944), BgL_arg1794z00_3945); } 
return BgL_new1145z00_3944;} } 
BGL_FUNCTION_END;
}



/* &lambda1791 */
BgL_ev_letza2za2_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t BgL_envz00_3531, obj_t BgL_vars1141z00_3532, obj_t BgL_vals1142z00_3533, obj_t BgL_body1143z00_3534, obj_t BgL_boxes1144z00_3535)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1230z00_3948;
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1229z00_3949;
BgL_new1229z00_3949 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
long BgL_arg1792z00_3950;
{ /* Eval/evaluate_types.scm 103 */
long BgL_res2304z00_3951;
BgL_res2304z00_3951 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BgL_arg1792z00_3950 = BgL_res2304z00_3951; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1229z00_3949), BgL_arg1792z00_3950); } 
BgL_new1230z00_3948 = BgL_new1229z00_3949; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3948)))->BgL_varsz00)=((obj_t)BgL_vars1141z00_3532),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3948)))->BgL_valsz00)=((obj_t)BgL_vals1142z00_3533),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3948)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1143z00_3534)),BUNSPEC); 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1230z00_3948))->BgL_boxesz00)=((obj_t)BgL_boxes1144z00_3535),BUNSPEC); 
return BgL_new1230z00_3948;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1802> */
obj_t BGl_z62zc3anonymousza31802ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3536)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1801 */
obj_t BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t BgL_envz00_3537, obj_t BgL_oz00_3538, obj_t BgL_vz00_3539)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
return 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3538)))->BgL_boxesz00)=((obj_t)BgL_vz00_3539),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1800 */
obj_t BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t BgL_envz00_3540, obj_t BgL_oz00_3541)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
return 
(((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3541)))->BgL_boxesz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1778> */
obj_t BGl_z62zc3anonymousza31778ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3542, obj_t BgL_new1139z00_3543)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
{ 
BgL_ev_letz00_bglt BgL_new1139z00_1773;
{ 
BgL_ev_letz00_bglt BgL_auxz00_4842;
BgL_new1139z00_1773 = 
((BgL_ev_letz00_bglt)BgL_new1139z00_3543); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1139z00_1773)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1139z00_1773)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4847;
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_classz00_2829;
BgL_classz00_2829 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL__ortest_1277z00_2830;
BgL__ortest_1277z00_2830 = 
BGL_CLASS_NIL(BgL_classz00_2829); 
if(
CBOOL(BgL__ortest_1277z00_2830))
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4847 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2830)
; }  else 
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4847 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2829))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1139z00_1773)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4847),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1139z00_1773))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4842 = BgL_new1139z00_1773; 
return 
((obj_t)BgL_auxz00_4842);} } } 
BGL_FUNCTION_END;
}



/* &lambda1776 */
BgL_ev_letz00_bglt BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t BgL_envz00_3544)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1138z00_3957;
BgL_new1138z00_3957 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
long BgL_arg1777z00_3958;
{ /* Eval/evaluate_types.scm 101 */
long BgL_res2303z00_3959;
BgL_res2303z00_3959 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BgL_arg1777z00_3958 = BgL_res2303z00_3959; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1138z00_3957), BgL_arg1777z00_3958); } 
return BgL_new1138z00_3957;} } 
BGL_FUNCTION_END;
}



/* &lambda1774 */
BgL_ev_letz00_bglt BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t BgL_envz00_3545, obj_t BgL_vars1134z00_3546, obj_t BgL_vals1135z00_3547, obj_t BgL_body1136z00_3548, obj_t BgL_boxes1137z00_3549)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1228z00_3961;
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1227z00_3962;
BgL_new1227z00_3962 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
long BgL_arg1775z00_3963;
{ /* Eval/evaluate_types.scm 101 */
long BgL_res2302z00_3964;
BgL_res2302z00_3964 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BgL_arg1775z00_3963 = BgL_res2302z00_3964; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1227z00_3962), BgL_arg1775z00_3963); } 
BgL_new1228z00_3961 = BgL_new1227z00_3962; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1228z00_3961)))->BgL_varsz00)=((obj_t)BgL_vars1134z00_3546),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1228z00_3961)))->BgL_valsz00)=((obj_t)BgL_vals1135z00_3547),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1228z00_3961)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1136z00_3548)),BUNSPEC); 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1228z00_3961))->BgL_boxesz00)=((obj_t)BgL_boxes1137z00_3549),BUNSPEC); 
return BgL_new1228z00_3961;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1785> */
obj_t BGl_z62zc3anonymousza31785ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3550)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1784 */
obj_t BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t BgL_envz00_3551, obj_t BgL_oz00_3552, obj_t BgL_vz00_3553)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
return 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3552)))->BgL_boxesz00)=((obj_t)BgL_vz00_3553),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1783 */
obj_t BGl_z62lambda1783z62zz__evaluate_typesz00(obj_t BgL_envz00_3554, obj_t BgL_oz00_3555)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
return 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3555)))->BgL_boxesz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1753> */
obj_t BGl_z62zc3anonymousza31753ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3556, obj_t BgL_new1132z00_3557)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
{ 
BgL_ev_binderz00_bglt BgL_new1132z00_1720;
{ 
BgL_ev_binderz00_bglt BgL_auxz00_4879;
BgL_new1132z00_1720 = 
((BgL_ev_binderz00_bglt)BgL_new1132z00_3557); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1132z00_1720))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1132z00_1720))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4882;
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_classz00_2818;
BgL_classz00_2818 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL__ortest_1277z00_2819;
BgL__ortest_1277z00_2819 = 
BGL_CLASS_NIL(BgL_classz00_2818); 
if(
CBOOL(BgL__ortest_1277z00_2819))
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4882 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2819)
; }  else 
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4882 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2818))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1132z00_1720))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4882),BUNSPEC); } 
BgL_auxz00_4879 = BgL_new1132z00_1720; 
return 
((obj_t)BgL_auxz00_4879);} } } 
BGL_FUNCTION_END;
}



/* &lambda1751 */
BgL_ev_binderz00_bglt BGl_z62lambda1751z62zz__evaluate_typesz00(obj_t BgL_envz00_3558)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1131z00_3970;
BgL_new1131z00_3970 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
long BgL_arg1752z00_3971;
{ /* Eval/evaluate_types.scm 97 */
long BgL_res2301z00_3972;
BgL_res2301z00_3972 = 
BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00); 
BgL_arg1752z00_3971 = BgL_res2301z00_3972; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1131z00_3970), BgL_arg1752z00_3971); } 
return BgL_new1131z00_3970;} } 
BGL_FUNCTION_END;
}



/* &lambda1749 */
BgL_ev_binderz00_bglt BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t BgL_envz00_3559, obj_t BgL_vars1128z00_3560, obj_t BgL_vals1129z00_3561, obj_t BgL_body1130z00_3562)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1226z00_3974;
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1225z00_3975;
BgL_new1225z00_3975 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
long BgL_arg1750z00_3976;
{ /* Eval/evaluate_types.scm 97 */
long BgL_res2300z00_3977;
BgL_res2300z00_3977 = 
BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00); 
BgL_arg1750z00_3976 = BgL_res2300z00_3977; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1225z00_3975), BgL_arg1750z00_3976); } 
BgL_new1226z00_3974 = BgL_new1225z00_3975; } 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1226z00_3974))->BgL_varsz00)=((obj_t)BgL_vars1128z00_3560),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1226z00_3974))->BgL_valsz00)=((obj_t)BgL_vals1129z00_3561),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1226z00_3974))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1130z00_3562)),BUNSPEC); 
return BgL_new1226z00_3974;} } 
BGL_FUNCTION_END;
}



/* &lambda1768 */
obj_t BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t BgL_envz00_3563, obj_t BgL_oz00_3564, obj_t BgL_vz00_3565)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3564)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3565)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1767 */
BgL_ev_exprz00_bglt BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t BgL_envz00_3566, obj_t BgL_oz00_3567)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3567)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1763 */
obj_t BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t BgL_envz00_3568, obj_t BgL_oz00_3569, obj_t BgL_vz00_3570)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3569)))->BgL_valsz00)=((obj_t)BgL_vz00_3570),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1762 */
obj_t BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t BgL_envz00_3571, obj_t BgL_oz00_3572)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3572)))->BgL_valsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1758 */
obj_t BGl_z62lambda1758z62zz__evaluate_typesz00(obj_t BgL_envz00_3573, obj_t BgL_oz00_3574, obj_t BgL_vz00_3575)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3574)))->BgL_varsz00)=((obj_t)BgL_vz00_3575),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1757 */
obj_t BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t BgL_envz00_3576, obj_t BgL_oz00_3577)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3577)))->BgL_varsz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1723> */
obj_t BGl_z62zc3anonymousza31723ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3578, obj_t BgL_new1126z00_3579)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
{ 
BgL_ev_synchroniza7eza7_bglt BgL_new1126z00_1658;
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_4917;
BgL_new1126z00_1658 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_new1126z00_3579); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1126z00_1658))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4919;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_2801;
BgL_classz00_2801 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1277z00_2802;
BgL__ortest_1277z00_2802 = 
BGL_CLASS_NIL(BgL_classz00_2801); 
if(
CBOOL(BgL__ortest_1277z00_2802))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4919 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2802)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4919 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2801))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1126z00_1658))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4919),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4927;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_2803;
BgL_classz00_2803 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1277z00_2804;
BgL__ortest_1277z00_2804 = 
BGL_CLASS_NIL(BgL_classz00_2803); 
if(
CBOOL(BgL__ortest_1277z00_2804))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4927 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2804)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4927 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2803))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1126z00_1658))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4927),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4935;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_2805;
BgL_classz00_2805 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1277z00_2806;
BgL__ortest_1277z00_2806 = 
BGL_CLASS_NIL(BgL_classz00_2805); 
if(
CBOOL(BgL__ortest_1277z00_2806))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4935 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2806)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4935 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2805))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1126z00_1658))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4935),BUNSPEC); } 
BgL_auxz00_4917 = BgL_new1126z00_1658; 
return 
((obj_t)BgL_auxz00_4917);} } } 
BGL_FUNCTION_END;
}



/* &lambda1721 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t BgL_envz00_3580)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1125z00_3992;
BgL_new1125z00_3992 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
long BgL_arg1722z00_3993;
{ /* Eval/evaluate_types.scm 92 */
long BgL_res2299z00_3994;
BgL_res2299z00_3994 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg1722z00_3993 = BgL_res2299z00_3994; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_3992), BgL_arg1722z00_3993); } 
return BgL_new1125z00_3992;} } 
BGL_FUNCTION_END;
}



/* &lambda1719 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t BgL_envz00_3581, obj_t BgL_loc1121z00_3582, obj_t BgL_mutex1122z00_3583, obj_t BgL_prelock1123z00_3584, obj_t BgL_body1124z00_3585)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1224z00_3998;
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1223z00_3999;
BgL_new1223z00_3999 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
long BgL_arg1720z00_4000;
{ /* Eval/evaluate_types.scm 92 */
long BgL_res2298z00_4001;
BgL_res2298z00_4001 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg1720z00_4000 = BgL_res2298z00_4001; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1223z00_3999), BgL_arg1720z00_4000); } 
BgL_new1224z00_3998 = BgL_new1223z00_3999; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1224z00_3998))->BgL_locz00)=((obj_t)BgL_loc1121z00_3582),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1224z00_3998))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_mutex1122z00_3583)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1224z00_3998))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_prelock1123z00_3584)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1224z00_3998))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1124z00_3585)),BUNSPEC); 
return BgL_new1224z00_3998;} } 
BGL_FUNCTION_END;
}



/* &lambda1743 */
obj_t BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t BgL_envz00_3586, obj_t BgL_oz00_3587, obj_t BgL_vz00_3588)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3587)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3588)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1742 */
BgL_ev_exprz00_bglt BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t BgL_envz00_3589, obj_t BgL_oz00_3590)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3590)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1738 */
obj_t BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t BgL_envz00_3591, obj_t BgL_oz00_3592, obj_t BgL_vz00_3593)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3592)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3593)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1737 */
BgL_ev_exprz00_bglt BGl_z62lambda1737z62zz__evaluate_typesz00(obj_t BgL_envz00_3594, obj_t BgL_oz00_3595)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3595)))->BgL_prelockz00);} 
BGL_FUNCTION_END;
}



/* &lambda1733 */
obj_t BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t BgL_envz00_3596, obj_t BgL_oz00_3597, obj_t BgL_vz00_3598)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3597)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3598)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1732 */
BgL_ev_exprz00_bglt BGl_z62lambda1732z62zz__evaluate_typesz00(obj_t BgL_envz00_3599, obj_t BgL_oz00_3600)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3600)))->BgL_mutexz00);} 
BGL_FUNCTION_END;
}



/* &lambda1728 */
obj_t BGl_z62lambda1728z62zz__evaluate_typesz00(obj_t BgL_envz00_3601, obj_t BgL_oz00_3602, obj_t BgL_vz00_3603)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3602)))->BgL_locz00)=((obj_t)BgL_vz00_3603),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1727 */
obj_t BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t BgL_envz00_3604, obj_t BgL_oz00_3605)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3605)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1703> */
obj_t BGl_z62zc3anonymousza31703ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3606, obj_t BgL_new1119z00_3607)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_new1119z00_1615;
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_4979;
BgL_new1119z00_1615 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1119z00_3607); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4980;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_classz00_2785;
BgL_classz00_2785 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL__ortest_1277z00_2786;
BgL__ortest_1277z00_2786 = 
BGL_CLASS_NIL(BgL_classz00_2785); 
if(
CBOOL(BgL__ortest_1277z00_2786))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4980 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2786)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4980 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2785))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1119z00_1615))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4980),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4988;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_classz00_2787;
BgL_classz00_2787 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL__ortest_1277z00_2788;
BgL__ortest_1277z00_2788 = 
BGL_CLASS_NIL(BgL_classz00_2787); 
if(
CBOOL(BgL__ortest_1277z00_2788))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4988 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2788)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4988 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2787))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1119z00_1615))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4988),BUNSPEC); } 
BgL_auxz00_4979 = BgL_new1119z00_1615; 
return 
((obj_t)BgL_auxz00_4979);} } } 
BGL_FUNCTION_END;
}



/* &lambda1701 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1701z62zz__evaluate_typesz00(obj_t BgL_envz00_3608)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1118z00_4018;
BgL_new1118z00_4018 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
long BgL_arg1702z00_4019;
{ /* Eval/evaluate_types.scm 89 */
long BgL_res2297z00_4020;
BgL_res2297z00_4020 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BgL_arg1702z00_4019 = BgL_res2297z00_4020; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1118z00_4018), BgL_arg1702z00_4019); } 
return BgL_new1118z00_4018;} } 
BGL_FUNCTION_END;
}



/* &lambda1699 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1699z62zz__evaluate_typesz00(obj_t BgL_envz00_3609, obj_t BgL_handler1116z00_3610, obj_t BgL_body1117z00_3611)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1222z00_4023;
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1221z00_4024;
BgL_new1221z00_4024 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
long BgL_arg1700z00_4025;
{ /* Eval/evaluate_types.scm 89 */
long BgL_res2296z00_4026;
BgL_res2296z00_4026 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BgL_arg1700z00_4025 = BgL_res2296z00_4026; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1221z00_4024), BgL_arg1700z00_4025); } 
BgL_new1222z00_4023 = BgL_new1221z00_4024; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1222z00_4023))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_handler1116z00_3610)),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1222z00_4023))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1117z00_3611)),BUNSPEC); 
return BgL_new1222z00_4023;} } 
BGL_FUNCTION_END;
}



/* &lambda1713 */
obj_t BGl_z62lambda1713z62zz__evaluate_typesz00(obj_t BgL_envz00_3612, obj_t BgL_oz00_3613, obj_t BgL_vz00_3614)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3613)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3614)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1712 */
BgL_ev_exprz00_bglt BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t BgL_envz00_3615, obj_t BgL_oz00_3616)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3616)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1708 */
obj_t BGl_z62lambda1708z62zz__evaluate_typesz00(obj_t BgL_envz00_3617, obj_t BgL_oz00_3618, obj_t BgL_vz00_3619)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3618)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3619)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1707 */
BgL_ev_exprz00_bglt BGl_z62lambda1707z62zz__evaluate_typesz00(obj_t BgL_envz00_3620, obj_t BgL_oz00_3621)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3621)))->BgL_handlerz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1682> */
obj_t BGl_z62zc3anonymousza31682ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3622, obj_t BgL_new1114z00_3623)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_new1114z00_1574;
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5020;
BgL_new1114z00_1574 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1114z00_3623); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5021;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_classz00_2771;
BgL_classz00_2771 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL__ortest_1277z00_2772;
BgL__ortest_1277z00_2772 = 
BGL_CLASS_NIL(BgL_classz00_2771); 
if(
CBOOL(BgL__ortest_1277z00_2772))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5021 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2772)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5021 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2771))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1114z00_1574))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5021),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5029;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_classz00_2773;
BgL_classz00_2773 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL__ortest_1277z00_2774;
BgL__ortest_1277z00_2774 = 
BGL_CLASS_NIL(BgL_classz00_2773); 
if(
CBOOL(BgL__ortest_1277z00_2774))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5029 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2774)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5029 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2773))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1114z00_1574))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5029),BUNSPEC); } 
BgL_auxz00_5020 = BgL_new1114z00_1574; 
return 
((obj_t)BgL_auxz00_5020);} } } 
BGL_FUNCTION_END;
}



/* &lambda1680 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t BgL_envz00_3624)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1113z00_4038;
BgL_new1113z00_4038 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
long BgL_arg1681z00_4039;
{ /* Eval/evaluate_types.scm 86 */
long BgL_res2295z00_4040;
BgL_res2295z00_4040 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BgL_arg1681z00_4039 = BgL_res2295z00_4040; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_4038), BgL_arg1681z00_4039); } 
return BgL_new1113z00_4038;} } 
BGL_FUNCTION_END;
}



/* &lambda1678 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t BgL_envz00_3625, obj_t BgL_e1111z00_3626, obj_t BgL_body1112z00_3627)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1220z00_4043;
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1219z00_4044;
BgL_new1219z00_4044 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
long BgL_arg1679z00_4045;
{ /* Eval/evaluate_types.scm 86 */
long BgL_res2294z00_4046;
BgL_res2294z00_4046 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BgL_arg1679z00_4045 = BgL_res2294z00_4046; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1219z00_4044), BgL_arg1679z00_4045); } 
BgL_new1220z00_4043 = BgL_new1219z00_4044; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1220z00_4043))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1111z00_3626)),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1220z00_4043))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1112z00_3627)),BUNSPEC); 
return BgL_new1220z00_4043;} } 
BGL_FUNCTION_END;
}



/* &lambda1692 */
obj_t BGl_z62lambda1692z62zz__evaluate_typesz00(obj_t BgL_envz00_3628, obj_t BgL_oz00_3629, obj_t BgL_vz00_3630)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3629)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3630)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1691 */
BgL_ev_exprz00_bglt BGl_z62lambda1691z62zz__evaluate_typesz00(obj_t BgL_envz00_3631, obj_t BgL_oz00_3632)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3632)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1687 */
obj_t BGl_z62lambda1687z62zz__evaluate_typesz00(obj_t BgL_envz00_3633, obj_t BgL_oz00_3634, obj_t BgL_vz00_3635)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3634)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3635)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1686 */
BgL_ev_exprz00_bglt BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t BgL_envz00_3636, obj_t BgL_oz00_3637)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3637)))->BgL_ez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1662> */
obj_t BGl_z62zc3anonymousza31662ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3638, obj_t BgL_new1109z00_3639)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_new1109z00_1533;
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5061;
BgL_new1109z00_1533 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1109z00_3639); 
{ 
BgL_ev_varz00_bglt BgL_auxz00_5062;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_classz00_2757;
BgL_classz00_2757 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL__ortest_1277z00_2758;
BgL__ortest_1277z00_2758 = 
BGL_CLASS_NIL(BgL_classz00_2757); 
if(
CBOOL(BgL__ortest_1277z00_2758))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5062 = 
((BgL_ev_varz00_bglt)BgL__ortest_1277z00_2758)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5062 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2757))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1109z00_1533))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5062),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5070;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_classz00_2759;
BgL_classz00_2759 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL__ortest_1277z00_2760;
BgL__ortest_1277z00_2760 = 
BGL_CLASS_NIL(BgL_classz00_2759); 
if(
CBOOL(BgL__ortest_1277z00_2760))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5070 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2760)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5070 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2759))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1109z00_1533))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5070),BUNSPEC); } 
BgL_auxz00_5061 = BgL_new1109z00_1533; 
return 
((obj_t)BgL_auxz00_5061);} } } 
BGL_FUNCTION_END;
}



/* &lambda1660 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1660z62zz__evaluate_typesz00(obj_t BgL_envz00_3640)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1108z00_4058;
BgL_new1108z00_4058 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
long BgL_arg1661z00_4059;
{ /* Eval/evaluate_types.scm 83 */
long BgL_res2293z00_4060;
BgL_res2293z00_4060 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BgL_arg1661z00_4059 = BgL_res2293z00_4060; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1108z00_4058), BgL_arg1661z00_4059); } 
return BgL_new1108z00_4058;} } 
BGL_FUNCTION_END;
}



/* &lambda1658 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1658z62zz__evaluate_typesz00(obj_t BgL_envz00_3641, obj_t BgL_var1106z00_3642, obj_t BgL_body1107z00_3643)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1218z00_4063;
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1217z00_4064;
BgL_new1217z00_4064 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
long BgL_arg1659z00_4065;
{ /* Eval/evaluate_types.scm 83 */
long BgL_res2292z00_4066;
BgL_res2292z00_4066 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BgL_arg1659z00_4065 = BgL_res2292z00_4066; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1217z00_4064), BgL_arg1659z00_4065); } 
BgL_new1218z00_4063 = BgL_new1217z00_4064; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1218z00_4063))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_var1106z00_3642)),BUNSPEC); 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1218z00_4063))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1107z00_3643)),BUNSPEC); 
return BgL_new1218z00_4063;} } 
BGL_FUNCTION_END;
}



/* &lambda1672 */
obj_t BGl_z62lambda1672z62zz__evaluate_typesz00(obj_t BgL_envz00_3644, obj_t BgL_oz00_3645, obj_t BgL_vz00_3646)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3645)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3646)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1671 */
BgL_ev_exprz00_bglt BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t BgL_envz00_3647, obj_t BgL_oz00_3648)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3648)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1667 */
obj_t BGl_z62lambda1667z62zz__evaluate_typesz00(obj_t BgL_envz00_3649, obj_t BgL_oz00_3650, obj_t BgL_vz00_3651)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3650)))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3651)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1666 */
BgL_ev_varz00_bglt BGl_z62lambda1666z62zz__evaluate_typesz00(obj_t BgL_envz00_3652, obj_t BgL_oz00_3653)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3653)))->BgL_varz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1652> */
obj_t BGl_z62zc3anonymousza31652ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3654, obj_t BgL_new1104z00_3655)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 82 */
{ 
BgL_ev_defglobalz00_bglt BgL_new1104z00_1512;
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5102;
BgL_new1104z00_1512 = 
((BgL_ev_defglobalz00_bglt)BgL_new1104z00_3655); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5103;
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_classz00_2745;
BgL_classz00_2745 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL__ortest_1277z00_2746;
BgL__ortest_1277z00_2746 = 
BGL_CLASS_NIL(BgL_classz00_2745); 
if(
CBOOL(BgL__ortest_1277z00_2746))
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5103 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2746)
; }  else 
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5103 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2745))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1104z00_1512)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5103),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1104z00_1512)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1104z00_1512)))->BgL_namez00)=((obj_t)BGl_symbol2693z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1104z00_1512)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5102 = BgL_new1104z00_1512; 
return 
((obj_t)BgL_auxz00_5102);} } } 
BGL_FUNCTION_END;
}



/* &lambda1650 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t BgL_envz00_3656)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1103z00_4076;
BgL_new1103z00_4076 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
long BgL_arg1651z00_4077;
{ /* Eval/evaluate_types.scm 82 */
long BgL_res2291z00_4078;
BgL_res2291z00_4078 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg1651z00_4077 = BgL_res2291z00_4078; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_4076), BgL_arg1651z00_4077); } 
return BgL_new1103z00_4076;} } 
BGL_FUNCTION_END;
}



/* &lambda1648 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1648z62zz__evaluate_typesz00(obj_t BgL_envz00_3657, obj_t BgL_e1099z00_3658, obj_t BgL_loc1100z00_3659, obj_t BgL_name1101z00_3660, obj_t BgL_mod1102z00_3661)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1216z00_4081;
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1215z00_4082;
BgL_new1215z00_4082 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
long BgL_arg1649z00_4083;
{ /* Eval/evaluate_types.scm 82 */
long BgL_res2290z00_4084;
BgL_res2290z00_4084 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg1649z00_4083 = BgL_res2290z00_4084; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1215z00_4082), BgL_arg1649z00_4083); } 
BgL_new1216z00_4081 = BgL_new1215z00_4082; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1216z00_4081)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1099z00_3658)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1216z00_4081)))->BgL_locz00)=((obj_t)BgL_loc1100z00_3659),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1216z00_4081)))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1101z00_3660)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1216z00_4081)))->BgL_modz00)=((obj_t)BgL_mod1102z00_3661),BUNSPEC); 
return BgL_new1216z00_4081;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1618> */
obj_t BGl_z62zc3anonymousza31618ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3662, obj_t BgL_new1097z00_3663)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
{ 
BgL_ev_setglobalz00_bglt BgL_new1097z00_1459;
{ 
BgL_ev_setglobalz00_bglt BgL_auxz00_5138;
BgL_new1097z00_1459 = 
((BgL_ev_setglobalz00_bglt)BgL_new1097z00_3663); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5139;
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_classz00_2735;
BgL_classz00_2735 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL__ortest_1277z00_2736;
BgL__ortest_1277z00_2736 = 
BGL_CLASS_NIL(BgL_classz00_2735); 
if(
CBOOL(BgL__ortest_1277z00_2736))
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5139 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2736)
; }  else 
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5139 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2735))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1097z00_1459)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5139),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1097z00_1459))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1097z00_1459))->BgL_namez00)=((obj_t)BGl_symbol2693z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1097z00_1459))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5138 = BgL_new1097z00_1459; 
return 
((obj_t)BgL_auxz00_5138);} } } 
BGL_FUNCTION_END;
}



/* &lambda1616 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1616z62zz__evaluate_typesz00(obj_t BgL_envz00_3664)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1096z00_4088;
BgL_new1096z00_4088 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
long BgL_arg1617z00_4089;
{ /* Eval/evaluate_types.scm 78 */
long BgL_res2289z00_4090;
BgL_res2289z00_4090 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg1617z00_4089 = BgL_res2289z00_4090; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1096z00_4088), BgL_arg1617z00_4089); } 
return BgL_new1096z00_4088;} } 
BGL_FUNCTION_END;
}



/* &lambda1614 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t BgL_envz00_3665, obj_t BgL_e1092z00_3666, obj_t BgL_loc1093z00_3667, obj_t BgL_name1094z00_3668, obj_t BgL_mod1095z00_3669)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1214z00_4093;
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1213z00_4094;
BgL_new1213z00_4094 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
long BgL_arg1615z00_4095;
{ /* Eval/evaluate_types.scm 78 */
long BgL_res2288z00_4096;
BgL_res2288z00_4096 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg1615z00_4095 = BgL_res2288z00_4096; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1213z00_4094), BgL_arg1615z00_4095); } 
BgL_new1214z00_4093 = BgL_new1213z00_4094; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1214z00_4093)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1092z00_3666)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1214z00_4093))->BgL_locz00)=((obj_t)BgL_loc1093z00_3667),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1214z00_4093))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1094z00_3668)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1214z00_4093))->BgL_modz00)=((obj_t)BgL_mod1095z00_3669),BUNSPEC); 
return BgL_new1214z00_4093;} } 
BGL_FUNCTION_END;
}



/* &lambda1640 */
obj_t BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t BgL_envz00_3670, obj_t BgL_oz00_3671, obj_t BgL_vz00_3672)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3671)))->BgL_modz00)=((obj_t)BgL_vz00_3672),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1639 */
obj_t BGl_z62lambda1639z62zz__evaluate_typesz00(obj_t BgL_envz00_3673, obj_t BgL_oz00_3674)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3674)))->BgL_modz00);} 
BGL_FUNCTION_END;
}



/* &lambda1633 */
obj_t BGl_z62lambda1633z62zz__evaluate_typesz00(obj_t BgL_envz00_3675, obj_t BgL_oz00_3676, obj_t BgL_vz00_3677)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3676)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3677)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1632 */
obj_t BGl_z62lambda1632z62zz__evaluate_typesz00(obj_t BgL_envz00_3678, obj_t BgL_oz00_3679)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3679)))->BgL_namez00);} 
BGL_FUNCTION_END;
}



/* &lambda1623 */
obj_t BGl_z62lambda1623z62zz__evaluate_typesz00(obj_t BgL_envz00_3680, obj_t BgL_oz00_3681, obj_t BgL_vz00_3682)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3681)))->BgL_locz00)=((obj_t)BgL_vz00_3682),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1622 */
obj_t BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t BgL_envz00_3683, obj_t BgL_oz00_3684)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3684)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1601> */
obj_t BGl_z62zc3anonymousza31601ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3685, obj_t BgL_new1090z00_3686)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 76 */
{ 
BgL_ev_setlocalz00_bglt BgL_new1090z00_1426;
{ 
BgL_ev_setlocalz00_bglt BgL_auxz00_5181;
BgL_new1090z00_1426 = 
((BgL_ev_setlocalz00_bglt)BgL_new1090z00_3686); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5182;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_classz00_2720;
BgL_classz00_2720 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL__ortest_1277z00_2721;
BgL__ortest_1277z00_2721 = 
BGL_CLASS_NIL(BgL_classz00_2720); 
if(
CBOOL(BgL__ortest_1277z00_2721))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5182 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2721)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5182 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2720))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1090z00_1426)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5182),BUNSPEC); } 
{ 
BgL_ev_varz00_bglt BgL_auxz00_5191;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_classz00_2722;
BgL_classz00_2722 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL__ortest_1277z00_2723;
BgL__ortest_1277z00_2723 = 
BGL_CLASS_NIL(BgL_classz00_2722); 
if(
CBOOL(BgL__ortest_1277z00_2723))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5191 = 
((BgL_ev_varz00_bglt)BgL__ortest_1277z00_2723)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5191 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2722))
; } } } 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1090z00_1426))->BgL_vz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5191),BUNSPEC); } 
BgL_auxz00_5181 = BgL_new1090z00_1426; 
return 
((obj_t)BgL_auxz00_5181);} } } 
BGL_FUNCTION_END;
}



/* &lambda1599 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1599z62zz__evaluate_typesz00(obj_t BgL_envz00_3687)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1089z00_4109;
BgL_new1089z00_4109 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
long BgL_arg1600z00_4110;
{ /* Eval/evaluate_types.scm 76 */
long BgL_res2287z00_4111;
BgL_res2287z00_4111 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BgL_arg1600z00_4110 = BgL_res2287z00_4111; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_4109), BgL_arg1600z00_4110); } 
return BgL_new1089z00_4109;} } 
BGL_FUNCTION_END;
}



/* &lambda1597 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1597z62zz__evaluate_typesz00(obj_t BgL_envz00_3688, obj_t BgL_e1087z00_3689, obj_t BgL_v1088z00_3690)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1212z00_4114;
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1211z00_4115;
BgL_new1211z00_4115 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
long BgL_arg1598z00_4116;
{ /* Eval/evaluate_types.scm 76 */
long BgL_res2286z00_4117;
BgL_res2286z00_4117 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BgL_arg1598z00_4116 = BgL_res2286z00_4117; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1211z00_4115), BgL_arg1598z00_4116); } 
BgL_new1212z00_4114 = BgL_new1211z00_4115; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1212z00_4114)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1087z00_3689)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1212z00_4114))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_v1088z00_3690)),BUNSPEC); 
return BgL_new1212z00_4114;} } 
BGL_FUNCTION_END;
}



/* &lambda1606 */
obj_t BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t BgL_envz00_3691, obj_t BgL_oz00_3692, obj_t BgL_vz00_3693)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 76 */
return 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3692)))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3693)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1605 */
BgL_ev_varz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t BgL_envz00_3694, obj_t BgL_oz00_3695)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 76 */
return 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3695)))->BgL_vz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1591> */
obj_t BGl_z62zc3anonymousza31591ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3696, obj_t BgL_new1085z00_3697)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 75 */
{ 
BgL_ev_trapz00_bglt BgL_new1085z00_1405;
{ 
BgL_ev_trapz00_bglt BgL_auxz00_5219;
BgL_new1085z00_1405 = 
((BgL_ev_trapz00_bglt)BgL_new1085z00_3697); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5220;
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_classz00_2709;
BgL_classz00_2709 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL__ortest_1277z00_2710;
BgL__ortest_1277z00_2710 = 
BGL_CLASS_NIL(BgL_classz00_2709); 
if(
CBOOL(BgL__ortest_1277z00_2710))
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5220 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2710)
; }  else 
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5220 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2709))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1085z00_1405)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5220),BUNSPEC); } 
BgL_auxz00_5219 = BgL_new1085z00_1405; 
return 
((obj_t)BgL_auxz00_5219);} } } 
BGL_FUNCTION_END;
}



/* &lambda1589 */
BgL_ev_trapz00_bglt BGl_z62lambda1589z62zz__evaluate_typesz00(obj_t BgL_envz00_3698)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1084z00_4124;
BgL_new1084z00_4124 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
long BgL_arg1590z00_4125;
{ /* Eval/evaluate_types.scm 75 */
long BgL_res2285z00_4126;
BgL_res2285z00_4126 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BgL_arg1590z00_4125 = BgL_res2285z00_4126; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1084z00_4124), BgL_arg1590z00_4125); } 
return BgL_new1084z00_4124;} } 
BGL_FUNCTION_END;
}



/* &lambda1587 */
BgL_ev_trapz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t BgL_envz00_3699, obj_t BgL_e1083z00_3700)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1210z00_4128;
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1209z00_4129;
BgL_new1209z00_4129 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
long BgL_arg1588z00_4130;
{ /* Eval/evaluate_types.scm 75 */
long BgL_res2284z00_4131;
BgL_res2284z00_4131 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BgL_arg1588z00_4130 = BgL_res2284z00_4131; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1209z00_4129), BgL_arg1588z00_4130); } 
BgL_new1210z00_4128 = BgL_new1209z00_4129; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1210z00_4128)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1083z00_3700)),BUNSPEC); 
return BgL_new1210z00_4128;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1574> */
obj_t BGl_z62zc3anonymousza31574ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3701, obj_t BgL_new1081z00_3702)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 73 */
{ 
BgL_ev_hookz00_bglt BgL_new1081z00_1375;
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5242;
BgL_new1081z00_1375 = 
((BgL_ev_hookz00_bglt)BgL_new1081z00_3702); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5243;
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_classz00_2699;
BgL_classz00_2699 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL__ortest_1277z00_2700;
BgL__ortest_1277z00_2700 = 
BGL_CLASS_NIL(BgL_classz00_2699); 
if(
CBOOL(BgL__ortest_1277z00_2700))
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5243 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2700)
; }  else 
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5243 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2699))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(BgL_new1081z00_1375))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5243),BUNSPEC); } 
BgL_auxz00_5242 = BgL_new1081z00_1375; 
return 
((obj_t)BgL_auxz00_5242);} } } 
BGL_FUNCTION_END;
}



/* &lambda1572 */
BgL_ev_hookz00_bglt BGl_z62lambda1572z62zz__evaluate_typesz00(obj_t BgL_envz00_3703)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1080z00_4135;
BgL_new1080z00_4135 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
long BgL_arg1573z00_4136;
{ /* Eval/evaluate_types.scm 73 */
long BgL_res2283z00_4137;
BgL_res2283z00_4137 = 
BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00); 
BgL_arg1573z00_4136 = BgL_res2283z00_4137; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1080z00_4135), BgL_arg1573z00_4136); } 
return BgL_new1080z00_4135;} } 
BGL_FUNCTION_END;
}



/* &lambda1570 */
BgL_ev_hookz00_bglt BGl_z62lambda1570z62zz__evaluate_typesz00(obj_t BgL_envz00_3704, obj_t BgL_e1079z00_3705)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1208z00_4139;
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1207z00_4140;
BgL_new1207z00_4140 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
long BgL_arg1571z00_4141;
{ /* Eval/evaluate_types.scm 73 */
long BgL_res2282z00_4142;
BgL_res2282z00_4142 = 
BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00); 
BgL_arg1571z00_4141 = BgL_res2282z00_4142; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1207z00_4140), BgL_arg1571z00_4141); } 
BgL_new1208z00_4139 = BgL_new1207z00_4140; } 
((((BgL_ev_hookz00_bglt)COBJECT(BgL_new1208z00_4139))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1079z00_3705)),BUNSPEC); 
return BgL_new1208z00_4139;} } 
BGL_FUNCTION_END;
}



/* &lambda1580 */
obj_t BGl_z62lambda1580z62zz__evaluate_typesz00(obj_t BgL_envz00_3706, obj_t BgL_oz00_3707, obj_t BgL_vz00_3708)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 73 */
return 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3707)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3708)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1579 */
BgL_ev_exprz00_bglt BGl_z62lambda1579z62zz__evaluate_typesz00(obj_t BgL_envz00_3709, obj_t BgL_oz00_3710)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 73 */
return 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3710)))->BgL_ez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1554> */
obj_t BGl_z62zc3anonymousza31554ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3711, obj_t BgL_new1077z00_3712)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
{ 
BgL_ev_prog2z00_bglt BgL_new1077z00_1335;
{ 
BgL_ev_prog2z00_bglt BgL_auxz00_5268;
BgL_new1077z00_1335 = 
((BgL_ev_prog2z00_bglt)BgL_new1077z00_3712); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5269;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_classz00_2686;
BgL_classz00_2686 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL__ortest_1277z00_2687;
BgL__ortest_1277z00_2687 = 
BGL_CLASS_NIL(BgL_classz00_2686); 
if(
CBOOL(BgL__ortest_1277z00_2687))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5269 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2687)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5269 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2686))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1077z00_1335))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5269),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5277;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_classz00_2688;
BgL_classz00_2688 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL__ortest_1277z00_2689;
BgL__ortest_1277z00_2689 = 
BGL_CLASS_NIL(BgL_classz00_2688); 
if(
CBOOL(BgL__ortest_1277z00_2689))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5277 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2689)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5277 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2688))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1077z00_1335))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5277),BUNSPEC); } 
BgL_auxz00_5268 = BgL_new1077z00_1335; 
return 
((obj_t)BgL_auxz00_5268);} } } 
BGL_FUNCTION_END;
}



/* &lambda1552 */
BgL_ev_prog2z00_bglt BGl_z62lambda1552z62zz__evaluate_typesz00(obj_t BgL_envz00_3713)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1076z00_4151;
BgL_new1076z00_4151 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
long BgL_arg1553z00_4152;
{ /* Eval/evaluate_types.scm 70 */
long BgL_res2281z00_4153;
BgL_res2281z00_4153 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BgL_arg1553z00_4152 = BgL_res2281z00_4153; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1076z00_4151), BgL_arg1553z00_4152); } 
return BgL_new1076z00_4151;} } 
BGL_FUNCTION_END;
}



/* &lambda1550 */
BgL_ev_prog2z00_bglt BGl_z62lambda1550z62zz__evaluate_typesz00(obj_t BgL_envz00_3714, obj_t BgL_e11074z00_3715, obj_t BgL_e21075z00_3716)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1206z00_4156;
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1205z00_4157;
BgL_new1205z00_4157 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
long BgL_arg1551z00_4158;
{ /* Eval/evaluate_types.scm 70 */
long BgL_res2280z00_4159;
BgL_res2280z00_4159 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BgL_arg1551z00_4158 = BgL_res2280z00_4159; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1205z00_4157), BgL_arg1551z00_4158); } 
BgL_new1206z00_4156 = BgL_new1205z00_4157; } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1206z00_4156))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e11074z00_3715)),BUNSPEC); 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1206z00_4156))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e21075z00_3716)),BUNSPEC); 
return BgL_new1206z00_4156;} } 
BGL_FUNCTION_END;
}



/* &lambda1564 */
obj_t BGl_z62lambda1564z62zz__evaluate_typesz00(obj_t BgL_envz00_3717, obj_t BgL_oz00_3718, obj_t BgL_vz00_3719)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3718)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3719)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1563 */
BgL_ev_exprz00_bglt BGl_z62lambda1563z62zz__evaluate_typesz00(obj_t BgL_envz00_3720, obj_t BgL_oz00_3721)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3721)))->BgL_e2z00);} 
BGL_FUNCTION_END;
}



/* &lambda1559 */
obj_t BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t BgL_envz00_3722, obj_t BgL_oz00_3723, obj_t BgL_vz00_3724)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3723)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3724)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1558 */
BgL_ev_exprz00_bglt BGl_z62lambda1558z62zz__evaluate_typesz00(obj_t BgL_envz00_3725, obj_t BgL_oz00_3726)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3726)))->BgL_e1z00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1542> */
obj_t BGl_z62zc3anonymousza31542ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3727, obj_t BgL_new1072z00_3728)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 69 */
{ 
BgL_ev_andz00_bglt BgL_new1072z00_1314;
{ 
BgL_ev_andz00_bglt BgL_auxz00_5309;
BgL_new1072z00_1314 = 
((BgL_ev_andz00_bglt)BgL_new1072z00_3728); 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1072z00_1314)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5309 = BgL_new1072z00_1314; 
return 
((obj_t)BgL_auxz00_5309);} } } 
BGL_FUNCTION_END;
}



/* &lambda1539 */
BgL_ev_andz00_bglt BGl_z62lambda1539z62zz__evaluate_typesz00(obj_t BgL_envz00_3729)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1071z00_4167;
BgL_new1071z00_4167 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
long BgL_arg1541z00_4168;
{ /* Eval/evaluate_types.scm 69 */
long BgL_res2279z00_4169;
BgL_res2279z00_4169 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BgL_arg1541z00_4168 = BgL_res2279z00_4169; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_4167), BgL_arg1541z00_4168); } 
return BgL_new1071z00_4167;} } 
BGL_FUNCTION_END;
}



/* &lambda1537 */
BgL_ev_andz00_bglt BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t BgL_envz00_3730, obj_t BgL_args1070z00_3731)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1204z00_4170;
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1203z00_4171;
BgL_new1203z00_4171 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
long BgL_arg1538z00_4172;
{ /* Eval/evaluate_types.scm 69 */
long BgL_res2278z00_4173;
BgL_res2278z00_4173 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BgL_arg1538z00_4172 = BgL_res2278z00_4173; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1203z00_4171), BgL_arg1538z00_4172); } 
BgL_new1204z00_4170 = BgL_new1203z00_4171; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1204z00_4170)))->BgL_argsz00)=((obj_t)BgL_args1070z00_3731),BUNSPEC); 
return BgL_new1204z00_4170;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1530> */
obj_t BGl_z62zc3anonymousza31530ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3732, obj_t BgL_new1068z00_3733)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 68 */
{ 
BgL_ev_orz00_bglt BgL_new1068z00_1294;
{ 
BgL_ev_orz00_bglt BgL_auxz00_5324;
BgL_new1068z00_1294 = 
((BgL_ev_orz00_bglt)BgL_new1068z00_3733); 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1068z00_1294)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5324 = BgL_new1068z00_1294; 
return 
((obj_t)BgL_auxz00_5324);} } } 
BGL_FUNCTION_END;
}



/* &lambda1527 */
BgL_ev_orz00_bglt BGl_z62lambda1527z62zz__evaluate_typesz00(obj_t BgL_envz00_3734)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1067z00_4175;
BgL_new1067z00_4175 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
long BgL_arg1529z00_4176;
{ /* Eval/evaluate_types.scm 68 */
long BgL_res2277z00_4177;
BgL_res2277z00_4177 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BgL_arg1529z00_4176 = BgL_res2277z00_4177; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1067z00_4175), BgL_arg1529z00_4176); } 
return BgL_new1067z00_4175;} } 
BGL_FUNCTION_END;
}



/* &lambda1523 */
BgL_ev_orz00_bglt BGl_z62lambda1523z62zz__evaluate_typesz00(obj_t BgL_envz00_3735, obj_t BgL_args1066z00_3736)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1202z00_4178;
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1201z00_4179;
BgL_new1201z00_4179 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
long BgL_arg1526z00_4180;
{ /* Eval/evaluate_types.scm 68 */
long BgL_res2276z00_4181;
BgL_res2276z00_4181 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BgL_arg1526z00_4180 = BgL_res2276z00_4181; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1201z00_4179), BgL_arg1526z00_4180); } 
BgL_new1202z00_4178 = BgL_new1201z00_4179; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1202z00_4178)))->BgL_argsz00)=((obj_t)BgL_args1066z00_3736),BUNSPEC); 
return BgL_new1202z00_4178;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1511> */
obj_t BGl_z62zc3anonymousza31511ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3737, obj_t BgL_new1064z00_3738)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 66 */
{ 
BgL_ev_listz00_bglt BgL_new1064z00_1264;
{ 
BgL_ev_listz00_bglt BgL_auxz00_5339;
BgL_new1064z00_1264 = 
((BgL_ev_listz00_bglt)BgL_new1064z00_3738); 
((((BgL_ev_listz00_bglt)COBJECT(BgL_new1064z00_1264))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5339 = BgL_new1064z00_1264; 
return 
((obj_t)BgL_auxz00_5339);} } } 
BGL_FUNCTION_END;
}



/* &lambda1509 */
BgL_ev_listz00_bglt BGl_z62lambda1509z62zz__evaluate_typesz00(obj_t BgL_envz00_3739)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1063z00_4183;
BgL_new1063z00_4183 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
long BgL_arg1510z00_4184;
{ /* Eval/evaluate_types.scm 66 */
long BgL_res2275z00_4185;
BgL_res2275z00_4185 = 
BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00); 
BgL_arg1510z00_4184 = BgL_res2275z00_4185; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1063z00_4183), BgL_arg1510z00_4184); } 
return BgL_new1063z00_4183;} } 
BGL_FUNCTION_END;
}



/* &lambda1507 */
BgL_ev_listz00_bglt BGl_z62lambda1507z62zz__evaluate_typesz00(obj_t BgL_envz00_3740, obj_t BgL_args1062z00_3741)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1200z00_4186;
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1199z00_4187;
BgL_new1199z00_4187 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
long BgL_arg1508z00_4188;
{ /* Eval/evaluate_types.scm 66 */
long BgL_res2274z00_4189;
BgL_res2274z00_4189 = 
BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00); 
BgL_arg1508z00_4188 = BgL_res2274z00_4189; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1199z00_4187), BgL_arg1508z00_4188); } 
BgL_new1200z00_4186 = BgL_new1199z00_4187; } 
((((BgL_ev_listz00_bglt)COBJECT(BgL_new1200z00_4186))->BgL_argsz00)=((obj_t)BgL_args1062z00_3741),BUNSPEC); 
return BgL_new1200z00_4186;} } 
BGL_FUNCTION_END;
}



/* &lambda1516 */
obj_t BGl_z62lambda1516z62zz__evaluate_typesz00(obj_t BgL_envz00_3742, obj_t BgL_oz00_3743, obj_t BgL_vz00_3744)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 66 */
return 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3743)))->BgL_argsz00)=((obj_t)BgL_vz00_3744),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1515 */
obj_t BGl_z62lambda1515z62zz__evaluate_typesz00(obj_t BgL_envz00_3745, obj_t BgL_oz00_3746)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 66 */
return 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3746)))->BgL_argsz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1483> */
obj_t BGl_z62zc3anonymousza31483ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3747, obj_t BgL_new1060z00_3748)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
{ 
BgL_ev_ifz00_bglt BgL_new1060z00_1214;
{ 
BgL_ev_ifz00_bglt BgL_auxz00_5356;
BgL_new1060z00_1214 = 
((BgL_ev_ifz00_bglt)BgL_new1060z00_3748); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5357;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_2645;
BgL_classz00_2645 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1277z00_2646;
BgL__ortest_1277z00_2646 = 
BGL_CLASS_NIL(BgL_classz00_2645); 
if(
CBOOL(BgL__ortest_1277z00_2646))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5357 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2646)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5357 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2645))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1060z00_1214))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5357),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5365;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_2647;
BgL_classz00_2647 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1277z00_2648;
BgL__ortest_1277z00_2648 = 
BGL_CLASS_NIL(BgL_classz00_2647); 
if(
CBOOL(BgL__ortest_1277z00_2648))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5365 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2648)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5365 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2647))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1060z00_1214))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5365),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5373;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_2649;
BgL_classz00_2649 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1277z00_2650;
BgL__ortest_1277z00_2650 = 
BGL_CLASS_NIL(BgL_classz00_2649); 
if(
CBOOL(BgL__ortest_1277z00_2650))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5373 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1277z00_2650)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5373 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2649))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1060z00_1214))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5373),BUNSPEC); } 
BgL_auxz00_5356 = BgL_new1060z00_1214; 
return 
((obj_t)BgL_auxz00_5356);} } } 
BGL_FUNCTION_END;
}



/* &lambda1480 */
BgL_ev_ifz00_bglt BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t BgL_envz00_3749)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1059z00_4199;
BgL_new1059z00_4199 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
long BgL_arg1482z00_4200;
{ /* Eval/evaluate_types.scm 62 */
long BgL_res2273z00_4201;
BgL_res2273z00_4201 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg1482z00_4200 = BgL_res2273z00_4201; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_4199), BgL_arg1482z00_4200); } 
return BgL_new1059z00_4199;} } 
BGL_FUNCTION_END;
}



/* &lambda1478 */
BgL_ev_ifz00_bglt BGl_z62lambda1478z62zz__evaluate_typesz00(obj_t BgL_envz00_3750, obj_t BgL_p1056z00_3751, obj_t BgL_t1057z00_3752, obj_t BgL_e1058z00_3753)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1198z00_4205;
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1197z00_4206;
BgL_new1197z00_4206 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
long BgL_arg1479z00_4207;
{ /* Eval/evaluate_types.scm 62 */
long BgL_res2272z00_4208;
BgL_res2272z00_4208 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg1479z00_4207 = BgL_res2272z00_4208; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1197z00_4206), BgL_arg1479z00_4207); } 
BgL_new1198z00_4205 = BgL_new1197z00_4206; } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1198z00_4205))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_p1056z00_3751)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1198z00_4205))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_t1057z00_3752)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1198z00_4205))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1058z00_3753)),BUNSPEC); 
return BgL_new1198z00_4205;} } 
BGL_FUNCTION_END;
}



/* &lambda1500 */
obj_t BGl_z62lambda1500z62zz__evaluate_typesz00(obj_t BgL_envz00_3754, obj_t BgL_oz00_3755, obj_t BgL_vz00_3756)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3755)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3756)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1499 */
BgL_ev_exprz00_bglt BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t BgL_envz00_3757, obj_t BgL_oz00_3758)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3758)))->BgL_ez00);} 
BGL_FUNCTION_END;
}



/* &lambda1494 */
obj_t BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t BgL_envz00_3759, obj_t BgL_oz00_3760, obj_t BgL_vz00_3761)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3760)))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3761)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1493 */
BgL_ev_exprz00_bglt BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t BgL_envz00_3762, obj_t BgL_oz00_3763)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3763)))->BgL_tz00);} 
BGL_FUNCTION_END;
}



/* &lambda1489 */
obj_t BGl_z62lambda1489z62zz__evaluate_typesz00(obj_t BgL_envz00_3764, obj_t BgL_oz00_3765, obj_t BgL_vz00_3766)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3765)))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3766)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1488 */
BgL_ev_exprz00_bglt BGl_z62lambda1488z62zz__evaluate_typesz00(obj_t BgL_envz00_3767, obj_t BgL_oz00_3768)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3768)))->BgL_pz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1466> */
obj_t BGl_z62zc3anonymousza31466ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3769, obj_t BgL_new1054z00_3770)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 60 */
{ 
BgL_ev_littz00_bglt BgL_new1054z00_1182;
{ 
BgL_ev_littz00_bglt BgL_auxz00_5412;
BgL_new1054z00_1182 = 
((BgL_ev_littz00_bglt)BgL_new1054z00_3770); 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1054z00_1182))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5412 = BgL_new1054z00_1182; 
return 
((obj_t)BgL_auxz00_5412);} } } 
BGL_FUNCTION_END;
}



/* &lambda1463 */
BgL_ev_littz00_bglt BGl_z62lambda1463z62zz__evaluate_typesz00(obj_t BgL_envz00_3771)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1053z00_4219;
BgL_new1053z00_4219 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
long BgL_arg1465z00_4220;
{ /* Eval/evaluate_types.scm 60 */
long BgL_res2271z00_4221;
BgL_res2271z00_4221 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg1465z00_4220 = BgL_res2271z00_4221; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1053z00_4219), BgL_arg1465z00_4220); } 
return BgL_new1053z00_4219;} } 
BGL_FUNCTION_END;
}



/* &lambda1461 */
BgL_ev_littz00_bglt BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t BgL_envz00_3772, obj_t BgL_value1052z00_3773)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1196z00_4222;
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1195z00_4223;
BgL_new1195z00_4223 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
long BgL_arg1462z00_4224;
{ /* Eval/evaluate_types.scm 60 */
long BgL_res2270z00_4225;
BgL_res2270z00_4225 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg1462z00_4224 = BgL_res2270z00_4225; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1195z00_4223), BgL_arg1462z00_4224); } 
BgL_new1196z00_4222 = BgL_new1195z00_4223; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1196z00_4222))->BgL_valuez00)=((obj_t)BgL_value1052z00_3773),BUNSPEC); 
return BgL_new1196z00_4222;} } 
BGL_FUNCTION_END;
}



/* &lambda1471 */
obj_t BGl_z62lambda1471z62zz__evaluate_typesz00(obj_t BgL_envz00_3774, obj_t BgL_oz00_3775, obj_t BgL_vz00_3776)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 60 */
return 
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3775)))->BgL_valuez00)=((obj_t)BgL_vz00_3776),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1470 */
obj_t BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t BgL_envz00_3777, obj_t BgL_oz00_3778)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 60 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3778)))->BgL_valuez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1439> */
obj_t BGl_z62zc3anonymousza31439ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3779, obj_t BgL_new1050z00_3780)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
{ 
BgL_ev_globalz00_bglt BgL_new1050z00_1132;
{ 
BgL_ev_globalz00_bglt BgL_auxz00_5429;
BgL_new1050z00_1132 = 
((BgL_ev_globalz00_bglt)BgL_new1050z00_3780); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1050z00_1132))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1050z00_1132))->BgL_namez00)=((obj_t)BGl_symbol2693z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1050z00_1132))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5429 = BgL_new1050z00_1132; 
return 
((obj_t)BgL_auxz00_5429);} } } 
BGL_FUNCTION_END;
}



/* &lambda1437 */
BgL_ev_globalz00_bglt BGl_z62lambda1437z62zz__evaluate_typesz00(obj_t BgL_envz00_3781)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1049z00_4229;
BgL_new1049z00_4229 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
long BgL_arg1438z00_4230;
{ /* Eval/evaluate_types.scm 55 */
long BgL_res2269z00_4231;
BgL_res2269z00_4231 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg1438z00_4230 = BgL_res2269z00_4231; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1049z00_4229), BgL_arg1438z00_4230); } 
return BgL_new1049z00_4229;} } 
BGL_FUNCTION_END;
}



/* &lambda1435 */
BgL_ev_globalz00_bglt BGl_z62lambda1435z62zz__evaluate_typesz00(obj_t BgL_envz00_3782, obj_t BgL_loc1046z00_3783, obj_t BgL_name1047z00_3784, obj_t BgL_mod1048z00_3785)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1194z00_4233;
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1193z00_4234;
BgL_new1193z00_4234 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
long BgL_arg1436z00_4235;
{ /* Eval/evaluate_types.scm 55 */
long BgL_res2268z00_4236;
BgL_res2268z00_4236 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg1436z00_4235 = BgL_res2268z00_4236; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1193z00_4234), BgL_arg1436z00_4235); } 
BgL_new1194z00_4233 = BgL_new1193z00_4234; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1194z00_4233))->BgL_locz00)=((obj_t)BgL_loc1046z00_3783),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1194z00_4233))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1047z00_3784)),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1194z00_4233))->BgL_modz00)=((obj_t)BgL_mod1048z00_3785),BUNSPEC); 
return BgL_new1194z00_4233;} } 
BGL_FUNCTION_END;
}



/* &lambda1455 */
obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t BgL_envz00_3786, obj_t BgL_oz00_3787, obj_t BgL_vz00_3788)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3787)))->BgL_modz00)=((obj_t)BgL_vz00_3788),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1454 */
obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t BgL_envz00_3789, obj_t BgL_oz00_3790)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3790)))->BgL_modz00);} 
BGL_FUNCTION_END;
}



/* &lambda1450 */
obj_t BGl_z62lambda1450z62zz__evaluate_typesz00(obj_t BgL_envz00_3791, obj_t BgL_oz00_3792, obj_t BgL_vz00_3793)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3792)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3793)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1449 */
obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t BgL_envz00_3794, obj_t BgL_oz00_3795)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3795)))->BgL_namez00);} 
BGL_FUNCTION_END;
}



/* &lambda1445 */
obj_t BGl_z62lambda1445z62zz__evaluate_typesz00(obj_t BgL_envz00_3796, obj_t BgL_oz00_3797, obj_t BgL_vz00_3798)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3797)))->BgL_locz00)=((obj_t)BgL_vz00_3798),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1444 */
obj_t BGl_z62lambda1444z62zz__evaluate_typesz00(obj_t BgL_envz00_3799, obj_t BgL_oz00_3800)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3800)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1407> */
obj_t BGl_z62zc3anonymousza31407ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3801, obj_t BgL_new1044z00_3802)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
{ 
BgL_ev_varz00_bglt BgL_new1044z00_1077;
{ 
BgL_ev_varz00_bglt BgL_auxz00_5460;
BgL_new1044z00_1077 = 
((BgL_ev_varz00_bglt)BgL_new1044z00_3802); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1044z00_1077))->BgL_namez00)=((obj_t)BGl_symbol2693z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1044z00_1077))->BgL_effz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1044z00_1077))->BgL_typez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5460 = BgL_new1044z00_1077; 
return 
((obj_t)BgL_auxz00_5460);} } } 
BGL_FUNCTION_END;
}



/* &lambda1405 */
BgL_ev_varz00_bglt BGl_z62lambda1405z62zz__evaluate_typesz00(obj_t BgL_envz00_3803)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1043z00_4245;
BgL_new1043z00_4245 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
long BgL_arg1406z00_4246;
{ /* Eval/evaluate_types.scm 51 */
long BgL_res2267z00_4247;
BgL_res2267z00_4247 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg1406z00_4246 = BgL_res2267z00_4247; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1043z00_4245), BgL_arg1406z00_4246); } 
return BgL_new1043z00_4245;} } 
BGL_FUNCTION_END;
}



/* &lambda1403 */
BgL_ev_varz00_bglt BGl_z62lambda1403z62zz__evaluate_typesz00(obj_t BgL_envz00_3804, obj_t BgL_name1040z00_3805, obj_t BgL_eff1041z00_3806, obj_t BgL_type1042z00_3807)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1192z00_4249;
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1191z00_4250;
BgL_new1191z00_4250 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
long BgL_arg1404z00_4251;
{ /* Eval/evaluate_types.scm 51 */
long BgL_res2266z00_4252;
BgL_res2266z00_4252 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg1404z00_4251 = BgL_res2266z00_4252; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1191z00_4250), BgL_arg1404z00_4251); } 
BgL_new1192z00_4249 = BgL_new1191z00_4250; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1192z00_4249))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1040z00_3805)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1192z00_4249))->BgL_effz00)=((obj_t)BgL_eff1041z00_3806),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1192z00_4249))->BgL_typez00)=((obj_t)BgL_type1042z00_3807),BUNSPEC); 
return BgL_new1192z00_4249;} } 
BGL_FUNCTION_END;
}



/* &lambda1427 */
obj_t BGl_z62lambda1427z62zz__evaluate_typesz00(obj_t BgL_envz00_3808, obj_t BgL_oz00_3809, obj_t BgL_vz00_3810)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3809)))->BgL_typez00)=((obj_t)BgL_vz00_3810),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1426 */
obj_t BGl_z62lambda1426z62zz__evaluate_typesz00(obj_t BgL_envz00_3811, obj_t BgL_oz00_3812)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3812)))->BgL_typez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1422> */
obj_t BGl_z62zc3anonymousza31422ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3813)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1421 */
obj_t BGl_z62lambda1421z62zz__evaluate_typesz00(obj_t BgL_envz00_3814, obj_t BgL_oz00_3815, obj_t BgL_vz00_3816)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3815)))->BgL_effz00)=((obj_t)BgL_vz00_3816),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1420 */
obj_t BGl_z62lambda1420z62zz__evaluate_typesz00(obj_t BgL_envz00_3817, obj_t BgL_oz00_3818)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3818)))->BgL_effz00);} 
BGL_FUNCTION_END;
}



/* &lambda1413 */
obj_t BGl_z62lambda1413z62zz__evaluate_typesz00(obj_t BgL_envz00_3819, obj_t BgL_oz00_3820, obj_t BgL_vz00_3821)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3820)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3821)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1412 */
obj_t BGl_z62lambda1412z62zz__evaluate_typesz00(obj_t BgL_envz00_3822, obj_t BgL_oz00_3823)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3823)))->BgL_namez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1397> */
obj_t BGl_z62zc3anonymousza31397ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3824, obj_t BgL_new1038z00_3825)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 49 */
{ 
BgL_ev_exprz00_bglt BgL_new1038z00_1055;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5492;
BgL_new1038z00_1055 = 
((BgL_ev_exprz00_bglt)BgL_new1038z00_3825); 
BgL_auxz00_5492 = BgL_new1038z00_1055; 
return 
((obj_t)BgL_auxz00_5492);} } } 
BGL_FUNCTION_END;
}



/* &lambda1393 */
BgL_ev_exprz00_bglt BGl_z62lambda1393z62zz__evaluate_typesz00(obj_t BgL_envz00_3826)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1037z00_4261;
BgL_new1037z00_4261 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
long BgL_arg1396z00_4262;
{ /* Eval/evaluate_types.scm 49 */
long BgL_res2265z00_4263;
BgL_res2265z00_4263 = 
BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00); 
BgL_arg1396z00_4262 = BgL_res2265z00_4263; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1037z00_4261), BgL_arg1396z00_4262); } 
return BgL_new1037z00_4261;} } 
BGL_FUNCTION_END;
}



/* &lambda1391 */
BgL_ev_exprz00_bglt BGl_z62lambda1391z62zz__evaluate_typesz00(obj_t BgL_envz00_3827)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1190z00_4264;
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1189z00_4265;
BgL_new1189z00_4265 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
long BgL_arg1392z00_4266;
{ /* Eval/evaluate_types.scm 49 */
long BgL_res2264z00_4267;
BgL_res2264z00_4267 = 
BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00); 
BgL_arg1392z00_4266 = BgL_res2264z00_4267; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1189z00_4265), BgL_arg1392z00_4266); } 
BgL_new1190z00_4264 = BgL_new1189z00_4265; } 
return BgL_new1190z00_4264;} } 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)321192832), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)298117150), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)316564232), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)454272164), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)357154522), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)434692624), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-400105135), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)525089668), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)80758636), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2370z00zz__evaluate_typesz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
