/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
	static BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
	static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
	extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluatez00();
	extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31345ze3ze1zz__evaluatez00(obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
	extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_appendzd221010zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
	static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t,
		obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern int bgl_debug();
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluatez00();
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	extern obj_t c_substring(obj_t, long, long);
	static obj_t BGl_symbol3157z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol3165z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3167z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3169z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_symbol3170z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3172z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3174z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3176z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_loopze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol3178z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_loopze71ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol3180z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3182z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3183z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3185z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3187z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3189z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3191z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3193z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3195z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3197z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3199z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, bool_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
	extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_expandz00zz__expandz00(obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
	static obj_t BGl_symbol3201z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3203z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3205z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol3207z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3209z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3211z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3213z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3215z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3217z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3219z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_keyword3268z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3221z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3223z00zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_symbol3225z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3227z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	static obj_t BGl_symbol3229z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol3231z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3235z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3237z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
	static obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
	static obj_t BGl_symbol3240z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3242z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3244z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3246z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3248z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3250z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3252z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3254z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3256z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3258z00zz__evaluatez00 = BUNSPEC;
	extern obj_t bstring_to_keyword(obj_t);
	static obj_t BGl_symbol3260z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3262z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3264z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3266z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
	static obj_t BGl_symbol3270z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t);
	static obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evaluate2zd2restorezd2bpz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762evaluate2za7d2r3273z00,
		BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3200z00zz__evaluatez00,
		BgL_bgl_string3200za700za7za7_3274za7, "class", 5);
	      DEFINE_STRING(BGl_string3202z00zz__evaluatez00,
		BgL_bgl_string3202za700za7za7_3275za7, "class?", 6);
	      DEFINE_STRING(BGl_string3204z00zz__evaluatez00,
		BgL_bgl_string3204za700za7za7_3276za7, "string", 6);
	      DEFINE_STRING(BGl_string3206z00zz__evaluatez00,
		BgL_bgl_string3206za700za7za7_3277za7, "bstring", 7);
	      DEFINE_STRING(BGl_string3208z00zz__evaluatez00,
		BgL_bgl_string3208za700za7za7_3278za7, "string?", 7);
	      DEFINE_STRING(BGl_string3210z00zz__evaluatez00,
		BgL_bgl_string3210za700za7za7_3279za7, "o", 1);
	      DEFINE_STRING(BGl_string3212z00zz__evaluatez00,
		BgL_bgl_string3212za700za7za7_3280za7, "quote", 5);
	      DEFINE_STRING(BGl_string3214z00zz__evaluatez00,
		BgL_bgl_string3214za700za7za7_3281za7, "class-exists", 12);
	      DEFINE_STRING(BGl_string3216z00zz__evaluatez00,
		BgL_bgl_string3216za700za7za7_3282za7, "c", 1);
	      DEFINE_STRING(BGl_string3218z00zz__evaluatez00,
		BgL_bgl_string3218za700za7za7_3283za7, "isa?", 4);
	      DEFINE_STRING(BGl_string3220z00zz__evaluatez00,
		BgL_bgl_string3220za700za7za7_3284za7, "if", 2);
	      DEFINE_STRING(BGl_string3222z00zz__evaluatez00,
		BgL_bgl_string3222za700za7za7_3285za7, "let", 3);
	      DEFINE_STRING(BGl_string3224z00zz__evaluatez00,
		BgL_bgl_string3224za700za7za7_3286za7, "lambda", 6);
	      DEFINE_STRING(BGl_string3226z00zz__evaluatez00,
		BgL_bgl_string3226za700za7za7_3287za7, "bigloo-type-error/location", 26);
	      DEFINE_STRING(BGl_string3228z00zz__evaluatez00,
		BgL_bgl_string3228za700za7za7_3288za7, "bigloo-type-error", 17);
	      DEFINE_STRING(BGl_string3230z00zz__evaluatez00,
		BgL_bgl_string3230za700za7za7_3289za7, "at", 2);
	      DEFINE_STRING(BGl_string3232z00zz__evaluatez00,
		BgL_bgl_string3232za700za7za7_3290za7, "tmp", 3);
	      DEFINE_STRING(BGl_string3233z00zz__evaluatez00,
		BgL_bgl_string3233za700za7za7_3291za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string3234z00zz__evaluatez00,
		BgL_bgl_string3234za700za7za7_3292za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string3236z00zz__evaluatez00,
		BgL_bgl_string3236za700za7za7_3293za7, "begin", 5);
	      DEFINE_STRING(BGl_string3238z00zz__evaluatez00,
		BgL_bgl_string3238za700za7za7_3294za7, " ", 1);
	      DEFINE_STRING(BGl_string3239z00zz__evaluatez00,
		BgL_bgl_string3239za700za7za7_3295za7,
		"Illegal non toplevel module declaration", 39);
	      DEFINE_STRING(BGl_string3241z00zz__evaluatez00,
		BgL_bgl_string3241za700za7za7_3296za7, "module", 6);
	      DEFINE_STRING(BGl_string3243z00zz__evaluatez00,
		BgL_bgl_string3243za700za7za7_3297za7, "@", 1);
	      DEFINE_STRING(BGl_string3245z00zz__evaluatez00,
		BgL_bgl_string3245za700za7za7_3298za7, "->", 2);
	      DEFINE_STRING(BGl_string3247z00zz__evaluatez00,
		BgL_bgl_string3247za700za7za7_3299za7, "trap", 4);
	      DEFINE_STRING(BGl_string3249z00zz__evaluatez00,
		BgL_bgl_string3249za700za7za7_3300za7, "or", 2);
	      DEFINE_STRING(BGl_string3251z00zz__evaluatez00,
		BgL_bgl_string3251za700za7za7_3301za7, "and", 3);
	      DEFINE_STRING(BGl_string3253z00zz__evaluatez00,
		BgL_bgl_string3253za700za7za7_3302za7, "let*", 4);
	      DEFINE_STRING(BGl_string3255z00zz__evaluatez00,
		BgL_bgl_string3255za700za7za7_3303za7, "letrec", 6);
	      DEFINE_STRING(BGl_string3257z00zz__evaluatez00,
		BgL_bgl_string3257za700za7za7_3304za7, "set!", 4);
	      DEFINE_STRING(BGl_string3259z00zz__evaluatez00,
		BgL_bgl_string3259za700za7za7_3305za7, "define", 6);
	      DEFINE_STRING(BGl_string3261z00zz__evaluatez00,
		BgL_bgl_string3261za700za7za7_3306za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string3263z00zz__evaluatez00,
		BgL_bgl_string3263za700za7za7_3307za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string3265z00zz__evaluatez00,
		BgL_bgl_string3265za700za7za7_3308za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string3267z00zz__evaluatez00,
		BgL_bgl_string3267za700za7za7_3309za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string3269z00zz__evaluatez00,
		BgL_bgl_string3269za700za7za7_3310za7, "prelock", 7);
	      DEFINE_STRING(BGl_string3271z00zz__evaluatez00,
		BgL_bgl_string3271za700za7za7_3311za7, "\\@", 2);
	      DEFINE_STRING(BGl_string3272z00zz__evaluatez00,
		BgL_bgl_string3272za700za7za7_3312za7, "__evaluate", 10);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_STRING(BGl_string3151z00zz__evaluatez00,
		BgL_bgl_string3151za700za7za7_3313za7, "", 0);
	      DEFINE_STRING(BGl_string3152z00zz__evaluatez00,
		BgL_bgl_string3152za700za7za7_3314za7,
		"/tmp/bigloo/runtime/Eval/evaluate.scm", 37);
	      DEFINE_STRING(BGl_string3153z00zz__evaluatez00,
		BgL_bgl_string3153za700za7za7_3315za7, "&evaluate2-restore-bp!", 22);
	      DEFINE_STRING(BGl_string3154z00zz__evaluatez00,
		BgL_bgl_string3154za700za7za7_3316za7, "bint", 4);
	      DEFINE_STRING(BGl_string3155z00zz__evaluatez00,
		BgL_bgl_string3155za700za7za7_3317za7, "&evaluate2-restore-state!", 25);
	      DEFINE_STRING(BGl_string3156z00zz__evaluatez00,
		BgL_bgl_string3156za700za7za7_3318za7, "vector", 6);
	      DEFINE_STRING(BGl_string3158z00zz__evaluatez00,
		BgL_bgl_string3158za700za7za7_3319za7, "toplevel", 8);
	      DEFINE_STRING(BGl_string3159z00zz__evaluatez00,
		BgL_bgl_string3159za700za7za7_3320za7, "eval", 4);
	      DEFINE_STRING(BGl_string3160z00zz__evaluatez00,
		BgL_bgl_string3160za700za7za7_3321za7, "Bad syntax", 10);
	      DEFINE_STRING(BGl_string3161z00zz__evaluatez00,
		BgL_bgl_string3161za700za7za7_3322za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string3162z00zz__evaluatez00,
		BgL_bgl_string3162za700za7za7_3323za7, "Static type not a class", 23);
	      DEFINE_STRING(BGl_string3163z00zz__evaluatez00,
		BgL_bgl_string3163za700za7za7_3324za7, "Variable unbound", 16);
	      DEFINE_STRING(BGl_string3164z00zz__evaluatez00,
		BgL_bgl_string3164za700za7za7_3325za7, "Field read-only", 15);
	      DEFINE_STRING(BGl_string3166z00zz__evaluatez00,
		BgL_bgl_string3166za700za7za7_3326za7, "pair", 4);
	      DEFINE_STRING(BGl_string3168z00zz__evaluatez00,
		BgL_bgl_string3168za700za7za7_3327za7, "pair?", 5);
	      DEFINE_STRING(BGl_string3171z00zz__evaluatez00,
		BgL_bgl_string3171za700za7za7_3328za7, "vector?", 7);
	      DEFINE_STRING(BGl_string3173z00zz__evaluatez00,
		BgL_bgl_string3173za700za7za7_3329za7, "symbol", 6);
	      DEFINE_STRING(BGl_string3175z00zz__evaluatez00,
		BgL_bgl_string3175za700za7za7_3330za7, "symbol?", 7);
	      DEFINE_STRING(BGl_string3177z00zz__evaluatez00,
		BgL_bgl_string3177za700za7za7_3331za7, "char", 4);
	      DEFINE_STRING(BGl_string3179z00zz__evaluatez00,
		BgL_bgl_string3179za700za7za7_3332za7, "char?", 5);
	      DEFINE_STRING(BGl_string3181z00zz__evaluatez00,
		BgL_bgl_string3181za700za7za7_3333za7, "int", 3);
	      DEFINE_STRING(BGl_string3184z00zz__evaluatez00,
		BgL_bgl_string3184za700za7za7_3334za7, "integer?", 8);
	      DEFINE_STRING(BGl_string3186z00zz__evaluatez00,
		BgL_bgl_string3186za700za7za7_3335za7, "real", 4);
	      DEFINE_STRING(BGl_string3188z00zz__evaluatez00,
		BgL_bgl_string3188za700za7za7_3336za7, "breal", 5);
	      DEFINE_STRING(BGl_string3190z00zz__evaluatez00,
		BgL_bgl_string3190za700za7za7_3337za7, "real?", 5);
	      DEFINE_STRING(BGl_string3192z00zz__evaluatez00,
		BgL_bgl_string3192za700za7za7_3338za7, "bool", 4);
	      DEFINE_STRING(BGl_string3194z00zz__evaluatez00,
		BgL_bgl_string3194za700za7za7_3339za7, "boolean?", 8);
	      DEFINE_STRING(BGl_string3196z00zz__evaluatez00,
		BgL_bgl_string3196za700za7za7_3340za7, "struct", 6);
	      DEFINE_STRING(BGl_string3198z00zz__evaluatez00,
		BgL_bgl_string3198za700za7za7_3341za7, "struct?", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762setza7d2evaluat3342z00,
		BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evaluate2zd2restorezd2statez12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762evaluate2za7d2r3343z00,
		BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00,
		BgL_bgl_za762getza7d2evaluat3344z00,
		BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl_za762evaluate2za762za73345za7, BGl_z62evaluate2z62zz__evaluatez00,
		0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol3157z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3165z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3167z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3169z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3170z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3172z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3174z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3176z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3178z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3180z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3182z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3183z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3185z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3187z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3189z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3191z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3193z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3195z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3197z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3199z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3201z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3203z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3205z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3207z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3209z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3211z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3213z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3215z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3217z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3219z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_keyword3268z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3221z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3223z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3225z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3227z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3229z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3231z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3235z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3237z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3240z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3242z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3244z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3246z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3248z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3250z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3252z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3254z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3256z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3258z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3260z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3262z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3264z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3266z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3270z00zz__evaluatez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_4931, char *BgL_fromz00_4932)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluatez00();
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					return BGl_methodzd2initzd2zz__evaluatez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol3157z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3158z00zz__evaluatez00);
			BGl_symbol3165z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3166z00zz__evaluatez00);
			BGl_symbol3167z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3168z00zz__evaluatez00);
			BGl_symbol3169z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3156z00zz__evaluatez00);
			BGl_symbol3170z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3171z00zz__evaluatez00);
			BGl_symbol3172z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3173z00zz__evaluatez00);
			BGl_symbol3174z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3175z00zz__evaluatez00);
			BGl_symbol3176z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3177z00zz__evaluatez00);
			BGl_symbol3178z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3179z00zz__evaluatez00);
			BGl_symbol3180z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3181z00zz__evaluatez00);
			BGl_symbol3182z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3154z00zz__evaluatez00);
			BGl_symbol3183z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3184z00zz__evaluatez00);
			BGl_symbol3185z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3186z00zz__evaluatez00);
			BGl_symbol3187z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3188z00zz__evaluatez00);
			BGl_symbol3189z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3190z00zz__evaluatez00);
			BGl_symbol3191z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3192z00zz__evaluatez00);
			BGl_symbol3193z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3194z00zz__evaluatez00);
			BGl_symbol3195z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3196z00zz__evaluatez00);
			BGl_symbol3197z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3198z00zz__evaluatez00);
			BGl_symbol3199z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3200z00zz__evaluatez00);
			BGl_symbol3201z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3202z00zz__evaluatez00);
			BGl_symbol3203z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3204z00zz__evaluatez00);
			BGl_symbol3205z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3206z00zz__evaluatez00);
			BGl_symbol3207z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3208z00zz__evaluatez00);
			BGl_symbol3209z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3210z00zz__evaluatez00);
			BGl_symbol3211z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3212z00zz__evaluatez00);
			BGl_symbol3213z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3214z00zz__evaluatez00);
			BGl_symbol3215z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3216z00zz__evaluatez00);
			BGl_symbol3217z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3218z00zz__evaluatez00);
			BGl_symbol3219z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3220z00zz__evaluatez00);
			BGl_symbol3221z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3222z00zz__evaluatez00);
			BGl_symbol3223z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3224z00zz__evaluatez00);
			BGl_symbol3225z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3226z00zz__evaluatez00);
			BGl_symbol3227z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3228z00zz__evaluatez00);
			BGl_symbol3229z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3230z00zz__evaluatez00);
			BGl_symbol3231z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3232z00zz__evaluatez00);
			BGl_symbol3235z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3236z00zz__evaluatez00);
			BGl_symbol3237z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3238z00zz__evaluatez00);
			BGl_symbol3240z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3241z00zz__evaluatez00);
			BGl_symbol3242z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3243z00zz__evaluatez00);
			BGl_symbol3244z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3245z00zz__evaluatez00);
			BGl_symbol3246z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3247z00zz__evaluatez00);
			BGl_symbol3248z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3249z00zz__evaluatez00);
			BGl_symbol3250z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3251z00zz__evaluatez00);
			BGl_symbol3252z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3253z00zz__evaluatez00);
			BGl_symbol3254z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3255z00zz__evaluatez00);
			BGl_symbol3256z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3257z00zz__evaluatez00);
			BGl_symbol3258z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3259z00zz__evaluatez00);
			BGl_symbol3260z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3261z00zz__evaluatez00);
			BGl_symbol3262z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3263z00zz__evaluatez00);
			BGl_symbol3264z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3265z00zz__evaluatez00);
			BGl_symbol3266z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3267z00zz__evaluatez00);
			BGl_keyword3268z00zz__evaluatez00 =
				bstring_to_keyword(BGl_string3269z00zz__evaluatez00);
			return (BGl_symbol3270z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3271z00zz__evaluatez00), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluatez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* append-21010 */
	obj_t BGl_appendzd221010zd2zz__evaluatez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		BGL_FUNCTION_BEGIN;
		{
			{
				obj_t BgL_headz00_1123;

				BgL_headz00_1123 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_3111;
					obj_t BgL_tailz00_3112;

					BgL_prevz00_3111 = BgL_headz00_1123;
					BgL_tailz00_3112 = BgL_l1z00_1;
				BgL_loopz00_3110:
					if (PAIRP(BgL_tailz00_3112))
						{
							obj_t BgL_newzd2prevzd2_3118;

							BgL_newzd2prevzd2_3118 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_3112), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_3111, BgL_newzd2prevzd2_3118);
							{
								obj_t BgL_tailz00_5002;
								obj_t BgL_prevz00_5001;

								BgL_prevz00_5001 = BgL_newzd2prevzd2_3118;
								BgL_tailz00_5002 = CDR(BgL_tailz00_3112);
								BgL_tailz00_3112 = BgL_tailz00_5002;
								BgL_prevz00_3111 = BgL_prevz00_5001;
								goto BgL_loopz00_3110;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_1123);
			}
		}
		BGL_FUNCTION_END;
	}



/* untype-ident */
	obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 73 */
			{	/* Eval/evaluate.scm 74 */
				obj_t BgL_stringz00_1131;

				{	/* Eval/evaluate.scm 74 */
					obj_t BgL_res2775z00_3128;

					{	/* Eval/evaluate.scm 74 */
						obj_t BgL_arg2602z00_3127;

						BgL_arg2602z00_3127 = SYMBOL_TO_STRING(BgL_idz00_3);
						BgL_res2775z00_3128 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2602z00_3127);
					}
					BgL_stringz00_1131 = BgL_res2775z00_3128;
				}
				{	/* Eval/evaluate.scm 74 */
					long BgL_lenz00_1132;

					BgL_lenz00_1132 = STRING_LENGTH(BgL_stringz00_1131);
					{	/* Eval/evaluate.scm 75 */

						{
							long BgL_walkerz00_1134;

							BgL_walkerz00_1134 = ((long) 0);
						BgL_zc3anonymousza31306ze3z83_1135:
							if ((BgL_walkerz00_1134 == BgL_lenz00_1132))
								{	/* Eval/evaluate.scm 78 */
									return MAKE_YOUNG_PAIR(BgL_idz00_3, BFALSE);
								}
							else
								{	/* Eval/evaluate.scm 80 */
									bool_t BgL_testz00_5011;

									if (
										(STRING_REF(BgL_stringz00_1131,
												BgL_walkerz00_1134) == ((unsigned char) ':')))
										{	/* Eval/evaluate.scm 80 */
											if ((BgL_walkerz00_1134 < (BgL_lenz00_1132 - ((long) 1))))
												{	/* Eval/evaluate.scm 81 */
													BgL_testz00_5011 =
														(STRING_REF(BgL_stringz00_1131,
															(BgL_walkerz00_1134 + ((long) 1))) ==
														((unsigned char) ':'));
												}
											else
												{	/* Eval/evaluate.scm 81 */
													BgL_testz00_5011 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate.scm 80 */
											BgL_testz00_5011 = ((bool_t) 0);
										}
									if (BgL_testz00_5011)
										{	/* Eval/evaluate.scm 83 */
											obj_t BgL_arg1317z00_1146;
											obj_t BgL_arg1318z00_1147;

											BgL_arg1317z00_1146 =
												bstring_to_symbol(c_substring(BgL_stringz00_1131,
													((long) 0), BgL_walkerz00_1134));
											{	/* Eval/evaluate.scm 84 */
												obj_t BgL_arg1321z00_1149;

												{	/* Eval/evaluate.scm 84 */
													long BgL_arg1322z00_1150;

													BgL_arg1322z00_1150 =
														(BgL_walkerz00_1134 + ((long) 2));
													{	/* Ieee/string.scm 189 */
														long BgL_endz00_1153;

														BgL_endz00_1153 = STRING_LENGTH(BgL_stringz00_1131);
														{	/* Ieee/string.scm 189 */

															BgL_arg1321z00_1149 =
																BGl_substringz00zz__r4_strings_6_7z00
																(BgL_stringz00_1131, BgL_arg1322z00_1150,
																BgL_endz00_1153);
												}}}
												BgL_arg1318z00_1147 =
													bstring_to_symbol(BgL_arg1321z00_1149);
											}
											return
												MAKE_YOUNG_PAIR(BgL_arg1317z00_1146,
												BgL_arg1318z00_1147);
										}
									else
										{
											long BgL_walkerz00_5028;

											BgL_walkerz00_5028 = (BgL_walkerz00_1134 + ((long) 1));
											BgL_walkerz00_1134 = BgL_walkerz00_5028;
											goto BgL_zc3anonymousza31306ze3z83_1135;
										}
								}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* get-evaluation-context */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 91 */
			{	/* Eval/evaluate.scm 92 */
				obj_t BgL_sz00_1162;

				BgL_sz00_1162 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 93 */
					obj_t BgL_bpz00_1163;

					BgL_bpz00_1163 = VECTOR_REF(((obj_t) BgL_sz00_1162), ((long) 0));
					{	/* Eval/evaluate.scm 94 */
						obj_t BgL_rz00_1164;

						BgL_rz00_1164 =
							make_vector(
							(long) CINT(BgL_bpz00_1163), BGl_string3151z00zz__evaluatez00);
						{
							long BgL_iz00_3177;

							BgL_iz00_3177 = ((long) 0);
						BgL_recz00_3176:
							if ((BgL_iz00_3177 < (long) CINT(BgL_bpz00_1163)))
								{	/* Eval/evaluate.scm 96 */
									{	/* Eval/evaluate.scm 97 */
										obj_t BgL_arg1331z00_3182;

										BgL_arg1331z00_3182 =
											VECTOR_REF(((obj_t) BgL_sz00_1162), BgL_iz00_3177);
										VECTOR_SET(BgL_rz00_1164, BgL_iz00_3177,
											BgL_arg1331z00_3182);
									}
									{
										long BgL_iz00_5041;

										BgL_iz00_5041 = (BgL_iz00_3177 + ((long) 1));
										BgL_iz00_3177 = BgL_iz00_5041;
										goto BgL_recz00_3176;
									}
								}
							else
								{	/* Eval/evaluate.scm 96 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_1164;
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &get-evaluation-context */
	obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t
		BgL_envz00_4888)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 91 */
			return BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
		}
		BGL_FUNCTION_END;
	}



/* set-evaluation-context! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 104 */
			{	/* Eval/evaluate.scm 105 */
				obj_t BgL_sz00_1172;

				BgL_sz00_1172 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 106 */
					obj_t BgL_bpz00_1173;

					BgL_bpz00_1173 = VECTOR_REF(((obj_t) BgL_vz00_4), ((long) 0));
					{
						long BgL_iz00_3201;

						{	/* Eval/evaluate.scm 107 */
							bool_t BgL_tmpz00_5047;

							BgL_iz00_3201 = ((long) 0);
						BgL_recz00_3200:
							if ((BgL_iz00_3201 < (long) CINT(BgL_bpz00_1173)))
								{	/* Eval/evaluate.scm 108 */
									{	/* Eval/evaluate.scm 109 */
										obj_t BgL_arg1335z00_3206;

										BgL_arg1335z00_3206 =
											VECTOR_REF(((obj_t) BgL_vz00_4), BgL_iz00_3201);
										VECTOR_SET(
											((obj_t) BgL_sz00_1172), BgL_iz00_3201,
											BgL_arg1335z00_3206);
									}
									{
										long BgL_iz00_5055;

										BgL_iz00_5055 = (BgL_iz00_3201 + ((long) 1));
										BgL_iz00_3201 = BgL_iz00_5055;
										goto BgL_recz00_3200;
									}
								}
							else
								{	/* Eval/evaluate.scm 108 */
									BgL_tmpz00_5047 = ((bool_t) 0);
								}
							return BBOOL(BgL_tmpz00_5047);
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &set-evaluation-context! */
	obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t
		BgL_envz00_4889, obj_t BgL_vz00_4890)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 104 */
			return BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4890);
		}
		BGL_FUNCTION_END;
	}



/* evaluate2-restore-bp! */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int
		BgL_bpz00_5)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 115 */
			{	/* Eval/evaluate.scm 116 */
				obj_t BgL_sz00_3214;

				{	/* Eval/evaluate.scm 116 */
					obj_t BgL_tmpz00_5059;

					BgL_tmpz00_5059 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_3214 = BGL_ENV_EVSTATE(BgL_tmpz00_5059);
				}
				return
					VECTOR_SET(((obj_t) BgL_sz00_3214), ((long) 0), BINT(BgL_bpz00_5));
		}}
		BGL_FUNCTION_END;
	}



/* &evaluate2-restore-bp! */
	obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t
		BgL_envz00_4891, obj_t BgL_bpz00_4892)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 115 */
			{	/* Eval/evaluate.scm 116 */
				int BgL_auxz00_5065;

				{	/* Eval/evaluate.scm 116 */
					obj_t BgL_tmpz00_5066;

					if (INTEGERP(BgL_bpz00_4892))
						{	/* Eval/evaluate.scm 116 */
							BgL_tmpz00_5066 = BgL_bpz00_4892;
						}
					else
						{
							obj_t BgL_auxz00_5069;

							BgL_auxz00_5069 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string3152z00zz__evaluatez00, BINT(((long) 3890)),
								BGl_string3153z00zz__evaluatez00,
								BGl_string3154z00zz__evaluatez00, BgL_bpz00_4892);
							FAILURE(BgL_auxz00_5069, BFALSE, BFALSE);
						}
					BgL_auxz00_5065 = CINT(BgL_tmpz00_5066);
				}
				return
					BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(BgL_auxz00_5065);
			}
		}
		BGL_FUNCTION_END;
	}



/* evaluate2-restore-state! */
	BGL_EXPORTED_DEF obj_t
		BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t BgL_statez00_6)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 122 */
			{	/* Eval/evaluate.scm 124 */
				obj_t BgL_tmpz00_5075;

				BgL_tmpz00_5075 = BGL_CURRENT_DYNAMIC_ENV();
				return BGL_ENV_EVSTATE_SET(BgL_tmpz00_5075, BgL_statez00_6);
			}
		}
		BGL_FUNCTION_END;
	}



/* &evaluate2-restore-state! */
	obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t
		BgL_envz00_4893, obj_t BgL_statez00_4894)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 122 */
			{	/* Eval/evaluate.scm 123 */
				obj_t BgL_auxz00_5078;

				if (VECTORP(BgL_statez00_4894))
					{	/* Eval/evaluate.scm 123 */
						BgL_auxz00_5078 = BgL_statez00_4894;
					}
				else
					{
						obj_t BgL_auxz00_5081;

						BgL_auxz00_5081 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string3152z00zz__evaluatez00,
							BINT(((long) 4240)), BGl_string3155z00zz__evaluatez00,
							BGl_string3156z00zz__evaluatez00, BgL_statez00_4894);
						FAILURE(BgL_auxz00_5081, BFALSE, BFALSE);
					}
				return
					BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(BgL_auxz00_5078);
			}
		}
		BGL_FUNCTION_END;
	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_7,
		obj_t BgL_envz00_8, obj_t BgL_locz00_9)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 129 */
			{	/* Eval/evaluate.scm 130 */
				BgL_ev_exprz00_bglt BgL_astz00_1184;

				{	/* Eval/evaluate.scm 130 */
					obj_t BgL_arg1346z00_1199;

					BgL_arg1346z00_1199 =
						BGl_convz00zz__evaluatez00(BgL_sexpz00_7, BNIL, BgL_envz00_8,
						BFALSE, BGl_symbol3157z00zz__evaluatez00, BgL_locz00_9,
						((bool_t) 1));
					BgL_astz00_1184 =
						BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(((BgL_ev_exprz00_bglt)
							BgL_arg1346z00_1199));
				}
				{	/* Eval/evaluate.scm 131 */
					bool_t BgL_testz00_5089;

					{	/* Eval/evaluate.scm 131 */
						int BgL_arg1344z00_1189;

						BgL_arg1344z00_1189 = bgl_debug();
						BgL_testz00_5089 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1344z00_1189),
							BINT(((long) 10)));
					}
					if (BgL_testz00_5089)
						{	/* Eval/evaluate.scm 131 */
							BGl_ppz00zz__ppz00(BGl_uncompilez00zz__evaluate_uncompz00
								(BgL_astz00_1184), BNIL);
						}
					else
						{	/* Eval/evaluate.scm 131 */
							BFALSE;
						}
				}
				BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_1184);
				{	/* Eval/evaluate.scm 133 */
					int BgL_nz00_1190;

					BgL_nz00_1190 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_1184);
					{	/* Eval/evaluate.scm 134 */
						obj_t BgL_fz00_1191;

						BgL_fz00_1191 = BGl_compilez00zz__evaluate_compz00(BgL_astz00_1184);
						{	/* Eval/evaluate.scm 135 */
							obj_t BgL_sz00_1192;

							BgL_sz00_1192 = BGl_findzd2statezd2zz__evaluate_compz00();
							{	/* Eval/evaluate.scm 136 */
								obj_t BgL_bpz00_1193;

								BgL_bpz00_1193 =
									VECTOR_REF(((obj_t) BgL_sz00_1192), ((long) 0));
								{	/* Eval/evaluate.scm 137 */
									obj_t BgL_exitd1063z00_1194;

									BgL_exitd1063z00_1194 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate.scm 139 */
										obj_t BgL_zc3anonymousza31345ze3z83_4895;

										BgL_zc3anonymousza31345ze3z83_4895 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31345ze3ze1zz__evaluatez00,
											(int) (((long) 0)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza31345ze3z83_4895,
											(int) (((long) 0)), BgL_sz00_1192);
										PROCEDURE_SET(BgL_zc3anonymousza31345ze3z83_4895,
											(int) (((long) 1)), BgL_bpz00_1193);
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
											(BgL_exitd1063z00_1194,
											BgL_zc3anonymousza31345ze3z83_4895);
										{	/* Eval/evaluate.scm 138 */
											obj_t BgL_tmp1065z00_1196;

											BgL_tmp1065z00_1196 =
												PROCEDURE_ENTRY(BgL_fz00_1191) (BgL_fz00_1191,
												BgL_sz00_1192, BEOA);
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_exitd1063z00_1194);
											VECTOR_SET(((obj_t) BgL_sz00_1192), ((long) 0),
												BgL_bpz00_1193);
											return BgL_tmp1065z00_1196;
										}
									}
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &evaluate2 */
	obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4896,
		obj_t BgL_sexpz00_4897, obj_t BgL_envz00_4898, obj_t BgL_locz00_4899)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 129 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4897, BgL_envz00_4898,
				BgL_locz00_4899);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1345> */
	obj_t BGl_z62zc3anonymousza31345ze3ze1zz__evaluatez00(obj_t BgL_envz00_4900)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 137 */
			{	/* Eval/evaluate.scm 139 */
				obj_t BgL_sz00_4901;
				obj_t BgL_bpz00_4902;

				BgL_sz00_4901 = PROCEDURE_REF(BgL_envz00_4900, (int) (((long) 0)));
				BgL_bpz00_4902 = PROCEDURE_REF(BgL_envz00_4900, (int) (((long) 1)));
				return VECTOR_SET(((obj_t) BgL_sz00_4901), ((long) 0), BgL_bpz00_4902);
		}}
		BGL_FUNCTION_END;
	}



/* get-location */
	obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_10,
		obj_t BgL_locz00_11)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 144 */
			{	/* Eval/evaluate.scm 145 */
				obj_t BgL__ortest_1066z00_3223;

				BgL__ortest_1066z00_3223 =
					BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_10);
				if (CBOOL(BgL__ortest_1066z00_3223))
					{	/* Eval/evaluate.scm 145 */
						return BgL__ortest_1066z00_3223;
					}
				else
					{	/* Eval/evaluate.scm 145 */
						return BgL_locz00_11;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_18,
		obj_t BgL_localsz00_19)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 164 */
			{
				obj_t BgL_lz00_1204;

				BgL_lz00_1204 = BgL_localsz00_19;
			BgL_zc3anonymousza31347ze3z83_1205:
				if (NULLP(BgL_lz00_1204))
					{	/* Eval/evaluate.scm 166 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 168 */
						obj_t BgL_rvz00_1207;

						BgL_rvz00_1207 = CAR(((obj_t) BgL_lz00_1204));
						if (
							(BgL_vz00_18 ==
								(((BgL_ev_varz00_bglt) COBJECT(
											((BgL_ev_varz00_bglt) BgL_rvz00_1207)))->BgL_namez00)))
							{	/* Eval/evaluate.scm 170 */
								return BgL_rvz00_1207;
							}
						else
							{
								obj_t BgL_lz00_5136;

								BgL_lz00_5136 = CDR(((obj_t) BgL_lz00_1204));
								BgL_lz00_1204 = BgL_lz00_5136;
								goto BgL_zc3anonymousza31347ze3z83_1205;
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_20,
		obj_t BgL_localsz00_21, obj_t BgL_globalsz00_22, obj_t BgL_tailzf3zf3_23,
		obj_t BgL_wherez00_24, obj_t BgL_locz00_25, bool_t BgL_topzf3zf3_26)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 177 */
			{	/* Eval/evaluate.scm 178 */
				obj_t BgL_locz00_1214;

				{	/* Eval/evaluate.scm 145 */
					obj_t BgL__ortest_1066z00_3229;

					BgL__ortest_1066z00_3229 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_20);
					if (CBOOL(BgL__ortest_1066z00_3229))
						{	/* Eval/evaluate.scm 145 */
							BgL_locz00_1214 = BgL__ortest_1066z00_3229;
						}
					else
						{	/* Eval/evaluate.scm 145 */
							BgL_locz00_1214 = BgL_locz00_25;
						}
				}
				{
					obj_t BgL_e1z00_1218;
					obj_t BgL_rz00_1219;

					if (NULLP(BgL_lz00_20))
						{
							BgL_ev_littz00_bglt BgL_auxz00_5144;

							{	/* Eval/evaluate.scm 181 */
								BgL_ev_littz00_bglt BgL_new1071z00_1231;

								{	/* Eval/evaluate.scm 182 */
									BgL_ev_littz00_bglt BgL_new1070z00_1232;

									BgL_new1070z00_1232 =
										((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 182 */
										long BgL_arg1361z00_1233;

										{	/* Eval/evaluate.scm 182 */
											long BgL_res2798z00_3231;

											BgL_res2798z00_3231 =
												BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
											BgL_arg1361z00_1233 = BgL_res2798z00_3231;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1070z00_1232),
											BgL_arg1361z00_1233);
									}
									BgL_new1071z00_1231 = BgL_new1070z00_1232;
								}
								((((BgL_ev_littz00_bglt) COBJECT(BgL_new1071z00_1231))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_auxz00_5144 = BgL_new1071z00_1231;
							}
							return ((obj_t) BgL_auxz00_5144);
						}
					else
						{	/* Eval/evaluate.scm 179 */
							if (PAIRP(BgL_lz00_20))
								{	/* Eval/evaluate.scm 179 */
									if (NULLP(CDR(BgL_lz00_20)))
										{	/* Eval/evaluate.scm 179 */
											obj_t BgL_arg1357z00_1227;

											BgL_arg1357z00_1227 = CAR(BgL_lz00_20);
											{	/* Eval/evaluate.scm 184 */
												obj_t BgL_arg1362z00_3246;

												{	/* Eval/evaluate.scm 145 */
													obj_t BgL__ortest_1066z00_3247;

													BgL__ortest_1066z00_3247 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_arg1357z00_1227);
													if (CBOOL(BgL__ortest_1066z00_3247))
														{	/* Eval/evaluate.scm 145 */
															BgL_arg1362z00_3246 = BgL__ortest_1066z00_3247;
														}
													else
														{	/* Eval/evaluate.scm 145 */
															BgL_arg1362z00_3246 = BgL_locz00_1214;
														}
												}
												return
													BGl_convz00zz__evaluatez00(BgL_arg1357z00_1227,
													BgL_localsz00_21, BgL_globalsz00_22,
													BgL_tailzf3zf3_23, BgL_wherez00_24,
													BgL_arg1362z00_3246, BgL_topzf3zf3_26);
											}
										}
									else
										{	/* Eval/evaluate.scm 179 */
											obj_t BgL_arg1358z00_1228;
											obj_t BgL_arg1359z00_1229;

											BgL_arg1358z00_1228 = CAR(BgL_lz00_20);
											BgL_arg1359z00_1229 = CDR(BgL_lz00_20);
											{
												BgL_ev_prog2z00_bglt BgL_auxz00_5163;

												BgL_e1z00_1218 = BgL_arg1358z00_1228;
												BgL_rz00_1219 = BgL_arg1359z00_1229;
												{	/* Eval/evaluate.scm 186 */
													BgL_ev_prog2z00_bglt BgL_new1073z00_1235;

													{	/* Eval/evaluate.scm 187 */
														BgL_ev_prog2z00_bglt BgL_new1072z00_1237;

														BgL_new1072z00_1237 =
															((BgL_ev_prog2z00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_ev_prog2z00_bgl))));
														{	/* Eval/evaluate.scm 187 */
															long BgL_arg1365z00_1238;

															{	/* Eval/evaluate.scm 187 */
																long BgL_res2799z00_3237;

																BgL_res2799z00_3237 =
																	BGL_CLASS_INDEX
																	(BGl_ev_prog2z00zz__evaluate_typesz00);
																BgL_arg1365z00_1238 = BgL_res2799z00_3237;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1072z00_1237),
																BgL_arg1365z00_1238);
														}
														BgL_new1073z00_1235 = BgL_new1072z00_1237;
													}
													{
														BgL_ev_exprz00_bglt BgL_auxz00_5168;

														{	/* Eval/evaluate.scm 187 */
															obj_t BgL_arg1364z00_1236;

															{	/* Eval/evaluate.scm 145 */
																obj_t BgL__ortest_1066z00_3240;

																BgL__ortest_1066z00_3240 =
																	BGl_getzd2sourcezd2locationz00zz__readerz00
																	(BgL_e1z00_1218);
																if (CBOOL(BgL__ortest_1066z00_3240))
																	{	/* Eval/evaluate.scm 145 */
																		BgL_arg1364z00_1236 =
																			BgL__ortest_1066z00_3240;
																	}
																else
																	{	/* Eval/evaluate.scm 145 */
																		BgL_arg1364z00_1236 = BgL_locz00_1214;
																	}
															}
															BgL_auxz00_5168 =
																((BgL_ev_exprz00_bglt)
																BGl_convz00zz__evaluatez00(BgL_e1z00_1218,
																	BgL_localsz00_21, BgL_globalsz00_22, BFALSE,
																	BgL_wherez00_24, BgL_arg1364z00_1236,
																	BgL_topzf3zf3_26));
														}
														((((BgL_ev_prog2z00_bglt)
																	COBJECT(BgL_new1073z00_1235))->BgL_e1z00) =
															((BgL_ev_exprz00_bglt) BgL_auxz00_5168), BUNSPEC);
													}
													((((BgL_ev_prog2z00_bglt)
																COBJECT(BgL_new1073z00_1235))->BgL_e2z00) =
														((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
																BGl_convzd2beginzd2zz__evaluatez00
																(BgL_rz00_1219, BgL_localsz00_21,
																	BgL_globalsz00_22, BgL_tailzf3zf3_23,
																	BgL_wherez00_24, BgL_locz00_1214,
																	BgL_topzf3zf3_26))), BUNSPEC);
													BgL_auxz00_5163 = BgL_new1073z00_1235;
												}
												return ((obj_t) BgL_auxz00_5163);
											}
										}
								}
							else
								{	/* Eval/evaluate.scm 179 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_1214,
										BGl_string3159z00zz__evaluatez00,
										BGl_string3160z00zz__evaluatez00, BgL_lz00_20);
								}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* conv-field-ref */
	obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_30,
		obj_t BgL_localsz00_31, obj_t BgL_globalsz00_32, obj_t BgL_tailzf3zf3_33,
		obj_t BgL_wherez00_34, obj_t BgL_locz00_35, bool_t BgL_topzf3zf3_36)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 204 */
			{	/* Eval/evaluate.scm 205 */
				obj_t BgL_lz00_1243;

				BgL_lz00_1243 = CDR(((obj_t) BgL_ez00_30));
				{	/* Eval/evaluate.scm 205 */
					obj_t BgL_vz00_1244;

					BgL_vz00_1244 =
						BGl_convzd2varzd2zz__evaluatez00(CAR(
							((obj_t) BgL_lz00_1243)), BgL_localsz00_31);
					{	/* Eval/evaluate.scm 206 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_1244,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 209 */
								obj_t BgL_g1078z00_1247;
								obj_t BgL_g1079z00_1248;

								{	/* Eval/evaluate.scm 210 */
									obj_t BgL_arg1384z00_1271;

									BgL_arg1384z00_1271 =
										(((BgL_ev_varz00_bglt) COBJECT(
												((BgL_ev_varz00_bglt) BgL_vz00_1244)))->BgL_typez00);
									BgL_g1078z00_1247 =
										BGl_classzd2existszd2zz__objectz00(BgL_arg1384z00_1271);
								}
								BgL_g1079z00_1248 = CDR(((obj_t) BgL_lz00_1243));
								{
									BgL_ev_exprz00_bglt BgL_nodez00_1250;
									obj_t BgL_klassz00_1251;
									obj_t BgL_fieldsz00_1252;

									BgL_nodez00_1250 =
										((BgL_ev_exprz00_bglt)
										((BgL_ev_varz00_bglt) BgL_vz00_1244));
									BgL_klassz00_1251 = BgL_g1078z00_1247;
									BgL_fieldsz00_1252 = BgL_g1079z00_1248;
								BgL_zc3anonymousza31369ze3z83_1253:
									if (NULLP(BgL_fieldsz00_1252))
										{	/* Eval/evaluate.scm 213 */
											return ((obj_t) BgL_nodez00_1250);
										}
									else
										{	/* Eval/evaluate.scm 213 */
											if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_1251))
												{	/* Eval/evaluate.scm 216 */
													obj_t BgL_fieldz00_1256;

													{	/* Eval/evaluate.scm 216 */
														obj_t BgL_arg1382z00_1267;

														BgL_arg1382z00_1267 =
															CAR(((obj_t) BgL_fieldsz00_1252));
														BgL_fieldz00_1256 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_1251, BgL_arg1382z00_1267);
													}
													if (BGl_classzd2fieldzf3z21zz__objectz00
														(BgL_fieldz00_1256))
														{	/* Eval/evaluate.scm 218 */
															BgL_ev_appz00_bglt BgL_nodez00_1258;

															{	/* Eval/evaluate.scm 272 */
																obj_t BgL_getz00_3263;

																BgL_getz00_3263 =
																	BGl_classzd2fieldzd2accessorz00zz__objectz00
																	(BgL_fieldz00_1256);
																{	/* Eval/evaluate.scm 273 */
																	BgL_ev_appz00_bglt BgL_new1086z00_3264;

																	{	/* Eval/evaluate.scm 274 */
																		BgL_ev_appz00_bglt BgL_new1085z00_3265;

																		BgL_new1085z00_3265 =
																			((BgL_ev_appz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_ev_appz00_bgl))));
																		{	/* Eval/evaluate.scm 274 */
																			long BgL_arg1418z00_3266;

																			{	/* Eval/evaluate.scm 274 */
																				long BgL_res2805z00_3272;

																				BgL_res2805z00_3272 =
																					BGL_CLASS_INDEX
																					(BGl_ev_appz00zz__evaluate_typesz00);
																				BgL_arg1418z00_3266 =
																					BgL_res2805z00_3272;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1085z00_3265),
																				BgL_arg1418z00_3266);
																		}
																		BgL_new1086z00_3264 = BgL_new1085z00_3265;
																	}
																	((((BgL_ev_appz00_bglt)
																				COBJECT(BgL_new1086z00_3264))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_35), BUNSPEC);
																	{
																		BgL_ev_exprz00_bglt BgL_auxz00_5208;

																		{	/* Eval/evaluate.scm 275 */
																			BgL_ev_littz00_bglt BgL_new1088z00_3267;

																			{	/* Eval/evaluate.scm 275 */
																				BgL_ev_littz00_bglt BgL_new1087z00_3268;

																				BgL_new1087z00_3268 =
																					((BgL_ev_littz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_ev_littz00_bgl))));
																				{	/* Eval/evaluate.scm 275 */
																					long BgL_arg1416z00_3269;

																					{	/* Eval/evaluate.scm 275 */
																						long BgL_res2806z00_3276;

																						{	/* Eval/evaluate.scm 275 */
																							obj_t BgL_classz00_3275;

																							BgL_classz00_3275 =
																								BGl_ev_littz00zz__evaluate_typesz00;
																							BgL_res2806z00_3276 =
																								BGL_CLASS_INDEX
																								(BgL_classz00_3275);
																						}
																						BgL_arg1416z00_3269 =
																							BgL_res2806z00_3276;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1087z00_3268),
																						BgL_arg1416z00_3269);
																				}
																				BgL_new1088z00_3267 =
																					BgL_new1087z00_3268;
																			}
																			((((BgL_ev_littz00_bglt)
																						COBJECT(BgL_new1088z00_3267))->
																					BgL_valuez00) =
																				((obj_t) BgL_getz00_3263), BUNSPEC);
																			BgL_auxz00_5208 =
																				((BgL_ev_exprz00_bglt)
																				BgL_new1088z00_3267);
																		}
																		((((BgL_ev_appz00_bglt)
																					COBJECT(BgL_new1086z00_3264))->
																				BgL_funz00) =
																			((BgL_ev_exprz00_bglt) BgL_auxz00_5208),
																			BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_5216;

																		{	/* Eval/evaluate.scm 276 */
																			obj_t BgL_list1417z00_3270;

																			BgL_list1417z00_3270 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_nodez00_1250), BNIL);
																			BgL_auxz00_5216 = BgL_list1417z00_3270;
																		}
																		((((BgL_ev_appz00_bglt)
																					COBJECT(BgL_new1086z00_3264))->
																				BgL_argsz00) =
																			((obj_t) BgL_auxz00_5216), BUNSPEC);
																	}
																	((((BgL_ev_appz00_bglt)
																				COBJECT(BgL_new1086z00_3264))->
																			BgL_tailzf3zf3) =
																		((obj_t) BgL_tailzf3zf3_33), BUNSPEC);
																	BgL_nodez00_1258 = BgL_new1086z00_3264;
															}}
															{	/* Eval/evaluate.scm 221 */
																obj_t BgL_arg1373z00_1259;
																obj_t BgL_arg1374z00_1260;

																BgL_arg1373z00_1259 =
																	BGl_classzd2fieldzd2typez00zz__objectz00
																	(BgL_fieldz00_1256);
																BgL_arg1374z00_1260 =
																	CDR(((obj_t) BgL_fieldsz00_1252));
																{
																	obj_t BgL_fieldsz00_5227;
																	obj_t BgL_klassz00_5226;
																	BgL_ev_exprz00_bglt BgL_nodez00_5224;

																	BgL_nodez00_5224 =
																		((BgL_ev_exprz00_bglt) BgL_nodez00_1258);
																	BgL_klassz00_5226 = BgL_arg1373z00_1259;
																	BgL_fieldsz00_5227 = BgL_arg1374z00_1260;
																	BgL_fieldsz00_1252 = BgL_fieldsz00_5227;
																	BgL_klassz00_1251 = BgL_klassz00_5226;
																	BgL_nodez00_1250 = BgL_nodez00_5224;
																	goto BgL_zc3anonymousza31369ze3z83_1253;
																}
															}
														}
													else
														{	/* Eval/evaluate.scm 223 */
															obj_t BgL_arg1375z00_1261;
															obj_t BgL_arg1376z00_1262;

															BgL_arg1375z00_1261 =
																(((BgL_ev_varz00_bglt) COBJECT(
																		((BgL_ev_varz00_bglt) BgL_vz00_1244)))->
																BgL_typez00);
															{	/* Eval/evaluate.scm 224 */
																obj_t BgL_arg1378z00_1263;
																obj_t BgL_arg1379z00_1264;

																BgL_arg1378z00_1263 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1244)))->
																	BgL_typez00);
																BgL_arg1379z00_1264 =
																	CAR(((obj_t) BgL_fieldsz00_1252));
																{	/* Eval/evaluate.scm 224 */
																	obj_t BgL_list1380z00_1265;

																	{	/* Eval/evaluate.scm 224 */
																		obj_t BgL_arg1381z00_1266;

																		BgL_arg1381z00_1266 =
																			MAKE_YOUNG_PAIR(BgL_arg1379z00_1264,
																			BNIL);
																		BgL_list1380z00_1265 =
																			MAKE_YOUNG_PAIR(BgL_arg1378z00_1263,
																			BgL_arg1381z00_1266);
																	}
																	BgL_arg1376z00_1262 =
																		BGl_formatz00zz__r4_output_6_10_3z00
																		(BGl_string3161z00zz__evaluatez00,
																		BgL_list1380z00_1265);
																}
															}
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_35, BgL_arg1375z00_1261,
																BgL_arg1376z00_1262, BgL_ez00_30);
														}
												}
											else
												{	/* Eval/evaluate.scm 227 */
													obj_t BgL_arg1383z00_1268;

													{	/* Eval/evaluate.scm 227 */
														obj_t BgL__ortest_1080z00_1269;

														BgL__ortest_1080z00_1269 =
															(((BgL_ev_varz00_bglt) COBJECT(
																	((BgL_ev_varz00_bglt) BgL_vz00_1244)))->
															BgL_typez00);
														if (CBOOL(BgL__ortest_1080z00_1269))
															{	/* Eval/evaluate.scm 227 */
																BgL_arg1383z00_1268 = BgL__ortest_1080z00_1269;
															}
														else
															{	/* Eval/evaluate.scm 227 */
																BgL_arg1383z00_1268 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1244)))->
																	BgL_namez00);
															}
													}
													return
														BGl_evcompilezd2errorzd2zz__evcompilez00
														(BgL_locz00_35, BgL_arg1383z00_1268,
														BGl_string3162z00zz__evaluatez00, BgL_ez00_30);
												}
										}
								}
							}
						else
							{	/* Eval/evaluate.scm 229 */
								obj_t BgL_arg1385z00_1272;

								{	/* Eval/evaluate.scm 229 */
									obj_t BgL_pairz00_3285;

									BgL_pairz00_3285 = CDR(((obj_t) BgL_ez00_30));
									BgL_arg1385z00_1272 = CAR(BgL_pairz00_3285);
								}
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35,
									BgL_arg1385z00_1272, BGl_string3163z00zz__evaluatez00,
									BgL_ez00_30);
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* conv-field-set */
	obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_37,
		obj_t BgL_e2z00_38, obj_t BgL_ez00_39, obj_t BgL_localsz00_40,
		obj_t BgL_globalsz00_41, obj_t BgL_tailzf3zf3_42, obj_t BgL_wherez00_43,
		obj_t BgL_locz00_44, bool_t BgL_topzf3zf3_45)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 234 */
			{	/* Eval/evaluate.scm 235 */
				obj_t BgL_vz00_1274;

				BgL_vz00_1274 =
					BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_37), BgL_localsz00_40);
				{	/* Eval/evaluate.scm 235 */
					obj_t BgL_e2z00_1275;

					BgL_e2z00_1275 =
						BGl_convz00zz__evaluatez00(BgL_e2z00_38, BgL_localsz00_40,
						BgL_globalsz00_41, BFALSE, BgL_wherez00_43, BgL_locz00_44,
						((bool_t) 0));
					{	/* Eval/evaluate.scm 236 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_1274,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 239 */
								obj_t BgL_g1082z00_1278;
								obj_t BgL_g1083z00_1279;

								{	/* Eval/evaluate.scm 240 */
									obj_t BgL_arg1413z00_1310;

									BgL_arg1413z00_1310 =
										(((BgL_ev_varz00_bglt) COBJECT(
												((BgL_ev_varz00_bglt) BgL_vz00_1274)))->BgL_typez00);
									BgL_g1082z00_1278 =
										BGl_classzd2existszd2zz__objectz00(BgL_arg1413z00_1310);
								}
								BgL_g1083z00_1279 = CDR(BgL_lz00_37);
								{
									BgL_ev_exprz00_bglt BgL_nodez00_1281;
									obj_t BgL_klassz00_1282;
									obj_t BgL_fieldsz00_1283;

									BgL_nodez00_1281 =
										((BgL_ev_exprz00_bglt)
										((BgL_ev_varz00_bglt) BgL_vz00_1274));
									BgL_klassz00_1282 = BgL_g1082z00_1278;
									BgL_fieldsz00_1283 = BgL_g1083z00_1279;
								BgL_zc3anonymousza31388ze3z83_1284:
									if (NULLP(BgL_fieldsz00_1283))
										{	/* Eval/evaluate.scm 243 */
											return ((obj_t) BgL_nodez00_1281);
										}
									else
										{	/* Eval/evaluate.scm 243 */
											if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_1282))
												{	/* Eval/evaluate.scm 246 */
													obj_t BgL_fieldz00_1287;

													{	/* Eval/evaluate.scm 246 */
														obj_t BgL_arg1411z00_1306;

														BgL_arg1411z00_1306 =
															CAR(((obj_t) BgL_fieldsz00_1283));
														BgL_fieldz00_1287 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_1282, BgL_arg1411z00_1306);
													}
													if (BGl_classzd2fieldzf3z21zz__objectz00
														(BgL_fieldz00_1287))
														{	/* Eval/evaluate.scm 247 */
															if (NULLP(CDR(((obj_t) BgL_fieldsz00_1283))))
																{	/* Eval/evaluate.scm 248 */
																	if (BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_1287))
																		{	/* Eval/evaluate.scm 251 */
																			obj_t BgL_arg1395z00_1292;

																			{	/* Eval/evaluate.scm 251 */
																				obj_t BgL_list1396z00_1293;

																				{	/* Eval/evaluate.scm 251 */
																					obj_t BgL_arg1397z00_1294;

																					BgL_arg1397z00_1294 =
																						MAKE_YOUNG_PAIR(BgL_e2z00_1275,
																						BNIL);
																					BgL_list1396z00_1293 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							BgL_nodez00_1281),
																						BgL_arg1397z00_1294);
																				}
																				BgL_arg1395z00_1292 =
																					BgL_list1396z00_1293;
																			}
																			{	/* Eval/evaluate.scm 283 */
																				obj_t BgL_setz00_3293;

																				BgL_setz00_3293 =
																					BGl_classzd2fieldzd2mutatorz00zz__objectz00
																					(BgL_fieldz00_1287);
																				{	/* Eval/evaluate.scm 284 */
																					BgL_ev_appz00_bglt
																						BgL_new1090z00_3294;
																					{	/* Eval/evaluate.scm 285 */
																						BgL_ev_appz00_bglt
																							BgL_new1089z00_3295;
																						BgL_new1089z00_3295 =
																							((BgL_ev_appz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_ev_appz00_bgl))));
																						{	/* Eval/evaluate.scm 285 */
																							long BgL_arg1420z00_3296;

																							{	/* Eval/evaluate.scm 285 */
																								long BgL_res2811z00_3301;

																								BgL_res2811z00_3301 =
																									BGL_CLASS_INDEX
																									(BGl_ev_appz00zz__evaluate_typesz00);
																								BgL_arg1420z00_3296 =
																									BgL_res2811z00_3301;
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1089z00_3295),
																								BgL_arg1420z00_3296);
																						}
																						BgL_new1090z00_3294 =
																							BgL_new1089z00_3295;
																					}
																					((((BgL_ev_appz00_bglt)
																								COBJECT(BgL_new1090z00_3294))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_44), BUNSPEC);
																					{
																						BgL_ev_exprz00_bglt BgL_auxz00_5285;

																						{	/* Eval/evaluate.scm 286 */
																							BgL_ev_littz00_bglt
																								BgL_new1092z00_3297;
																							{	/* Eval/evaluate.scm 286 */
																								BgL_ev_littz00_bglt
																									BgL_new1091z00_3298;
																								BgL_new1091z00_3298 =
																									((BgL_ev_littz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 286 */
																									long BgL_arg1419z00_3299;

																									{	/* Eval/evaluate.scm 286 */
																										long BgL_res2812z00_3305;

																										{	/* Eval/evaluate.scm 286 */
																											obj_t BgL_classz00_3304;

																											BgL_classz00_3304 =
																												BGl_ev_littz00zz__evaluate_typesz00;
																											BgL_res2812z00_3305 =
																												BGL_CLASS_INDEX
																												(BgL_classz00_3304);
																										}
																										BgL_arg1419z00_3299 =
																											BgL_res2812z00_3305;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1091z00_3298),
																										BgL_arg1419z00_3299);
																								}
																								BgL_new1092z00_3297 =
																									BgL_new1091z00_3298;
																							}
																							((((BgL_ev_littz00_bglt)
																										COBJECT
																										(BgL_new1092z00_3297))->
																									BgL_valuez00) =
																								((obj_t) BgL_setz00_3293),
																								BUNSPEC);
																							BgL_auxz00_5285 =
																								((BgL_ev_exprz00_bglt)
																								BgL_new1092z00_3297);
																						}
																						((((BgL_ev_appz00_bglt)
																									COBJECT
																									(BgL_new1090z00_3294))->
																								BgL_funz00) =
																							((BgL_ev_exprz00_bglt)
																								BgL_auxz00_5285), BUNSPEC);
																					}
																					((((BgL_ev_appz00_bglt)
																								COBJECT(BgL_new1090z00_3294))->
																							BgL_argsz00) =
																						((obj_t) BgL_arg1395z00_1292),
																						BUNSPEC);
																					((((BgL_ev_appz00_bglt)
																								COBJECT(BgL_new1090z00_3294))->
																							BgL_tailzf3zf3) =
																						((obj_t) BgL_tailzf3zf3_42),
																						BUNSPEC);
																					return ((obj_t) BgL_new1090z00_3294);
																				}
																			}
																		}
																	else
																		{	/* Eval/evaluate.scm 252 */
																			obj_t BgL_arg1398z00_1295;

																			BgL_arg1398z00_1295 =
																				CAR(((obj_t) BgL_fieldsz00_1283));
																			return
																				BGl_evcompilezd2errorzd2zz__evcompilez00
																				(BgL_locz00_44, BgL_arg1398z00_1295,
																				BGl_string3164z00zz__evaluatez00,
																				BgL_ez00_39);
																		}
																}
															else
																{	/* Eval/evaluate.scm 255 */
																	BgL_ev_appz00_bglt BgL_nodez00_1296;

																	{	/* Eval/evaluate.scm 272 */
																		obj_t BgL_getz00_3309;

																		BgL_getz00_3309 =
																			BGl_classzd2fieldzd2accessorz00zz__objectz00
																			(BgL_fieldz00_1287);
																		{	/* Eval/evaluate.scm 273 */
																			BgL_ev_appz00_bglt BgL_new1086z00_3310;

																			{	/* Eval/evaluate.scm 274 */
																				BgL_ev_appz00_bglt BgL_new1085z00_3311;

																				BgL_new1085z00_3311 =
																					((BgL_ev_appz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_ev_appz00_bgl))));
																				{	/* Eval/evaluate.scm 274 */
																					long BgL_arg1418z00_3312;

																					{	/* Eval/evaluate.scm 274 */
																						long BgL_res2813z00_3318;

																						BgL_res2813z00_3318 =
																							BGL_CLASS_INDEX
																							(BGl_ev_appz00zz__evaluate_typesz00);
																						BgL_arg1418z00_3312 =
																							BgL_res2813z00_3318;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1085z00_3311),
																						BgL_arg1418z00_3312);
																				}
																				BgL_new1086z00_3310 =
																					BgL_new1085z00_3311;
																			}
																			((((BgL_ev_appz00_bglt)
																						COBJECT(BgL_new1086z00_3310))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_44), BUNSPEC);
																			{
																				BgL_ev_exprz00_bglt BgL_auxz00_5305;

																				{	/* Eval/evaluate.scm 275 */
																					BgL_ev_littz00_bglt
																						BgL_new1088z00_3313;
																					{	/* Eval/evaluate.scm 275 */
																						BgL_ev_littz00_bglt
																							BgL_new1087z00_3314;
																						BgL_new1087z00_3314 =
																							((BgL_ev_littz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_ev_littz00_bgl))));
																						{	/* Eval/evaluate.scm 275 */
																							long BgL_arg1416z00_3315;

																							{	/* Eval/evaluate.scm 275 */
																								long BgL_res2814z00_3322;

																								{	/* Eval/evaluate.scm 275 */
																									obj_t BgL_classz00_3321;

																									BgL_classz00_3321 =
																										BGl_ev_littz00zz__evaluate_typesz00;
																									BgL_res2814z00_3322 =
																										BGL_CLASS_INDEX
																										(BgL_classz00_3321);
																								}
																								BgL_arg1416z00_3315 =
																									BgL_res2814z00_3322;
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1087z00_3314),
																								BgL_arg1416z00_3315);
																						}
																						BgL_new1088z00_3313 =
																							BgL_new1087z00_3314;
																					}
																					((((BgL_ev_littz00_bglt)
																								COBJECT(BgL_new1088z00_3313))->
																							BgL_valuez00) =
																						((obj_t) BgL_getz00_3309), BUNSPEC);
																					BgL_auxz00_5305 =
																						((BgL_ev_exprz00_bglt)
																						BgL_new1088z00_3313);
																				}
																				((((BgL_ev_appz00_bglt)
																							COBJECT(BgL_new1086z00_3310))->
																						BgL_funz00) =
																					((BgL_ev_exprz00_bglt)
																						BgL_auxz00_5305), BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_5313;

																				{	/* Eval/evaluate.scm 276 */
																					obj_t BgL_list1417z00_3316;

																					BgL_list1417z00_3316 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_nodez00_1281), BNIL);
																					BgL_auxz00_5313 =
																						BgL_list1417z00_3316;
																				}
																				((((BgL_ev_appz00_bglt)
																							COBJECT(BgL_new1086z00_3310))->
																						BgL_argsz00) =
																					((obj_t) BgL_auxz00_5313), BUNSPEC);
																			}
																			((((BgL_ev_appz00_bglt)
																						COBJECT(BgL_new1086z00_3310))->
																					BgL_tailzf3zf3) =
																				((obj_t) BgL_tailzf3zf3_42), BUNSPEC);
																			BgL_nodez00_1296 = BgL_new1086z00_3310;
																	}}
																	{	/* Eval/evaluate.scm 258 */
																		obj_t BgL_arg1399z00_1297;
																		obj_t BgL_arg1400z00_1298;

																		BgL_arg1399z00_1297 =
																			BGl_classzd2fieldzd2typez00zz__objectz00
																			(BgL_fieldz00_1287);
																		BgL_arg1400z00_1298 =
																			CDR(((obj_t) BgL_fieldsz00_1283));
																		{
																			obj_t BgL_fieldsz00_5324;
																			obj_t BgL_klassz00_5323;
																			BgL_ev_exprz00_bglt BgL_nodez00_5321;

																			BgL_nodez00_5321 =
																				((BgL_ev_exprz00_bglt)
																				BgL_nodez00_1296);
																			BgL_klassz00_5323 = BgL_arg1399z00_1297;
																			BgL_fieldsz00_5324 = BgL_arg1400z00_1298;
																			BgL_fieldsz00_1283 = BgL_fieldsz00_5324;
																			BgL_klassz00_1282 = BgL_klassz00_5323;
																			BgL_nodez00_1281 = BgL_nodez00_5321;
																			goto BgL_zc3anonymousza31388ze3z83_1284;
																		}
																	}
																}
														}
													else
														{	/* Eval/evaluate.scm 260 */
															obj_t BgL_arg1404z00_1300;
															obj_t BgL_arg1405z00_1301;

															BgL_arg1404z00_1300 =
																(((BgL_ev_varz00_bglt) COBJECT(
																		((BgL_ev_varz00_bglt) BgL_vz00_1274)))->
																BgL_typez00);
															{	/* Eval/evaluate.scm 261 */
																obj_t BgL_arg1407z00_1302;
																obj_t BgL_arg1408z00_1303;

																BgL_arg1407z00_1302 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1274)))->
																	BgL_typez00);
																BgL_arg1408z00_1303 =
																	CAR(((obj_t) BgL_fieldsz00_1283));
																{	/* Eval/evaluate.scm 261 */
																	obj_t BgL_list1409z00_1304;

																	{	/* Eval/evaluate.scm 261 */
																		obj_t BgL_arg1410z00_1305;

																		BgL_arg1410z00_1305 =
																			MAKE_YOUNG_PAIR(BgL_arg1408z00_1303,
																			BNIL);
																		BgL_list1409z00_1304 =
																			MAKE_YOUNG_PAIR(BgL_arg1407z00_1302,
																			BgL_arg1410z00_1305);
																	}
																	BgL_arg1405z00_1301 =
																		BGl_formatz00zz__r4_output_6_10_3z00
																		(BGl_string3161z00zz__evaluatez00,
																		BgL_list1409z00_1304);
																}
															}
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_44, BgL_arg1404z00_1300,
																BgL_arg1405z00_1301, BgL_ez00_39);
														}
												}
											else
												{	/* Eval/evaluate.scm 265 */
													obj_t BgL_arg1412z00_1307;

													{	/* Eval/evaluate.scm 265 */
														obj_t BgL__ortest_1084z00_1308;

														BgL__ortest_1084z00_1308 =
															(((BgL_ev_varz00_bglt) COBJECT(
																	((BgL_ev_varz00_bglt) BgL_vz00_1274)))->
															BgL_typez00);
														if (CBOOL(BgL__ortest_1084z00_1308))
															{	/* Eval/evaluate.scm 265 */
																BgL_arg1412z00_1307 = BgL__ortest_1084z00_1308;
															}
														else
															{	/* Eval/evaluate.scm 265 */
																BgL_arg1412z00_1307 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1274)))->
																	BgL_namez00);
															}
													}
													return
														BGl_evcompilezd2errorzd2zz__evcompilez00
														(BgL_locz00_44, BgL_arg1412z00_1307,
														BGl_string3162z00zz__evaluatez00, BgL_ez00_39);
												}
										}
								}
							}
						else
							{	/* Eval/evaluate.scm 237 */
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44,
									CAR(BgL_lz00_37), BGl_string3163z00zz__evaluatez00,
									BgL_ez00_39);
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* type-check */
	obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t BgL_varz00_56,
		obj_t BgL_tnamez00_57, obj_t BgL_locz00_58, obj_t BgL_procnamez00_59,
		obj_t BgL_bodyz00_60)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 299 */
			if (SYMBOLP(BgL_tnamez00_57))
				{	/* Eval/evaluate.scm 302 */
					obj_t BgL_predz00_1331;

					if ((BgL_tnamez00_57 == BGl_symbol3165z00zz__evaluatez00))
						{	/* Eval/evaluate.scm 302 */
							BgL_predz00_1331 = BGl_symbol3167z00zz__evaluatez00;
						}
					else
						{	/* Eval/evaluate.scm 302 */
							if ((BgL_tnamez00_57 == BGl_symbol3169z00zz__evaluatez00))
								{	/* Eval/evaluate.scm 302 */
									BgL_predz00_1331 = BGl_symbol3170z00zz__evaluatez00;
								}
							else
								{	/* Eval/evaluate.scm 302 */
									if ((BgL_tnamez00_57 == BGl_symbol3172z00zz__evaluatez00))
										{	/* Eval/evaluate.scm 302 */
											BgL_predz00_1331 = BGl_symbol3174z00zz__evaluatez00;
										}
									else
										{	/* Eval/evaluate.scm 302 */
											if ((BgL_tnamez00_57 == BGl_symbol3176z00zz__evaluatez00))
												{	/* Eval/evaluate.scm 302 */
													BgL_predz00_1331 = BGl_symbol3178z00zz__evaluatez00;
												}
											else
												{	/* Eval/evaluate.scm 302 */
													bool_t BgL_testz00_5356;

													{	/* Eval/evaluate.scm 302 */
														bool_t BgL__ortest_1093z00_1407;

														BgL__ortest_1093z00_1407 =
															(BgL_tnamez00_57 ==
															BGl_symbol3180z00zz__evaluatez00);
														if (BgL__ortest_1093z00_1407)
															{	/* Eval/evaluate.scm 302 */
																BgL_testz00_5356 = BgL__ortest_1093z00_1407;
															}
														else
															{	/* Eval/evaluate.scm 302 */
																BgL_testz00_5356 =
																	(BgL_tnamez00_57 ==
																	BGl_symbol3182z00zz__evaluatez00);
															}
													}
													if (BgL_testz00_5356)
														{	/* Eval/evaluate.scm 302 */
															BgL_predz00_1331 =
																BGl_symbol3183z00zz__evaluatez00;
														}
													else
														{	/* Eval/evaluate.scm 302 */
															bool_t BgL_testz00_5360;

															{	/* Eval/evaluate.scm 302 */
																bool_t BgL__ortest_1094z00_1406;

																BgL__ortest_1094z00_1406 =
																	(BgL_tnamez00_57 ==
																	BGl_symbol3185z00zz__evaluatez00);
																if (BgL__ortest_1094z00_1406)
																	{	/* Eval/evaluate.scm 302 */
																		BgL_testz00_5360 = BgL__ortest_1094z00_1406;
																	}
																else
																	{	/* Eval/evaluate.scm 302 */
																		BgL_testz00_5360 =
																			(BgL_tnamez00_57 ==
																			BGl_symbol3187z00zz__evaluatez00);
																	}
															}
															if (BgL_testz00_5360)
																{	/* Eval/evaluate.scm 302 */
																	BgL_predz00_1331 =
																		BGl_symbol3189z00zz__evaluatez00;
																}
															else
																{	/* Eval/evaluate.scm 302 */
																	if (
																		(BgL_tnamez00_57 ==
																			BGl_symbol3191z00zz__evaluatez00))
																		{	/* Eval/evaluate.scm 302 */
																			BgL_predz00_1331 =
																				BGl_symbol3193z00zz__evaluatez00;
																		}
																	else
																		{	/* Eval/evaluate.scm 302 */
																			if (
																				(BgL_tnamez00_57 ==
																					BGl_symbol3195z00zz__evaluatez00))
																				{	/* Eval/evaluate.scm 302 */
																					BgL_predz00_1331 =
																						BGl_symbol3197z00zz__evaluatez00;
																				}
																			else
																				{	/* Eval/evaluate.scm 302 */
																					if (
																						(BgL_tnamez00_57 ==
																							BGl_symbol3199z00zz__evaluatez00))
																						{	/* Eval/evaluate.scm 302 */
																							BgL_predz00_1331 =
																								BGl_symbol3201z00zz__evaluatez00;
																						}
																					else
																						{	/* Eval/evaluate.scm 302 */
																							bool_t BgL_testz00_5370;

																							{	/* Eval/evaluate.scm 302 */
																								bool_t BgL__ortest_1095z00_1405;

																								BgL__ortest_1095z00_1405 =
																									(BgL_tnamez00_57 ==
																									BGl_symbol3203z00zz__evaluatez00);
																								if (BgL__ortest_1095z00_1405)
																									{	/* Eval/evaluate.scm 302 */
																										BgL_testz00_5370 =
																											BgL__ortest_1095z00_1405;
																									}
																								else
																									{	/* Eval/evaluate.scm 302 */
																										BgL_testz00_5370 =
																											(BgL_tnamez00_57 ==
																											BGl_symbol3205z00zz__evaluatez00);
																									}
																							}
																							if (BgL_testz00_5370)
																								{	/* Eval/evaluate.scm 302 */
																									BgL_predz00_1331 =
																										BGl_symbol3207z00zz__evaluatez00;
																								}
																							else
																								{	/* Eval/evaluate.scm 313 */
																									obj_t BgL_arg1472z00_1385;

																									{	/* Eval/evaluate.scm 313 */
																										obj_t BgL_arg1473z00_1386;
																										obj_t BgL_arg1474z00_1387;

																										BgL_arg1473z00_1386 =
																											MAKE_YOUNG_PAIR
																											(BGl_symbol3209z00zz__evaluatez00,
																											BNIL);
																										{	/* Eval/evaluate.scm 314 */
																											obj_t BgL_arg1475z00_1388;

																											{	/* Eval/evaluate.scm 314 */
																												obj_t
																													BgL_arg1476z00_1389;
																												{	/* Eval/evaluate.scm 314 */
																													obj_t
																														BgL_arg1477z00_1390;
																													obj_t
																														BgL_arg1479z00_1391;
																													{	/* Eval/evaluate.scm 314 */
																														obj_t
																															BgL_arg1480z00_1392;
																														{	/* Eval/evaluate.scm 314 */
																															obj_t
																																BgL_arg1481z00_1393;
																															{	/* Eval/evaluate.scm 314 */
																																obj_t
																																	BgL_arg1482z00_1394;
																																{	/* Eval/evaluate.scm 314 */
																																	obj_t
																																		BgL_arg1484z00_1395;
																																	{	/* Eval/evaluate.scm 314 */
																																		obj_t
																																			BgL_arg1485z00_1396;
																																		{	/* Eval/evaluate.scm 314 */
																																			obj_t
																																				BgL_arg1486z00_1397;
																																			BgL_arg1486z00_1397
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_tnamez00_57,
																																				BNIL);
																																			BgL_arg1485z00_1396
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol3211z00zz__evaluatez00,
																																				BgL_arg1486z00_1397);
																																		}
																																		BgL_arg1484z00_1395
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1485z00_1396,
																																			BNIL);
																																	}
																																	BgL_arg1482z00_1394
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_symbol3213z00zz__evaluatez00,
																																		BgL_arg1484z00_1395);
																																}
																																BgL_arg1481z00_1393
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1482z00_1394,
																																	BNIL);
																															}
																															BgL_arg1480z00_1392
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_symbol3215z00zz__evaluatez00,
																																BgL_arg1481z00_1393);
																														}
																														BgL_arg1477z00_1390
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1480z00_1392,
																															BNIL);
																													}
																													{	/* Eval/evaluate.scm 315 */
																														obj_t
																															BgL_arg1487z00_1398;
																														{	/* Eval/evaluate.scm 315 */
																															obj_t
																																BgL_arg1488z00_1399;
																															{	/* Eval/evaluate.scm 315 */
																																obj_t
																																	BgL_arg1489z00_1400;
																																{	/* Eval/evaluate.scm 315 */
																																	obj_t
																																		BgL_arg1490z00_1401;
																																	obj_t
																																		BgL_arg1492z00_1402;
																																	{	/* Eval/evaluate.scm 315 */
																																		obj_t
																																			BgL_arg1493z00_1403;
																																		{	/* Eval/evaluate.scm 315 */
																																			obj_t
																																				BgL_arg1494z00_1404;
																																			BgL_arg1494z00_1404
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol3215z00zz__evaluatez00,
																																				BNIL);
																																			BgL_arg1493z00_1403
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol3209z00zz__evaluatez00,
																																				BgL_arg1494z00_1404);
																																		}
																																		BgL_arg1490z00_1401
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_symbol3217z00zz__evaluatez00,
																																			BgL_arg1493z00_1403);
																																	}
																																	BgL_arg1492z00_1402
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BTRUE,
																																		BNIL);
																																	BgL_arg1489z00_1400
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1490z00_1401,
																																		BgL_arg1492z00_1402);
																																}
																																BgL_arg1488z00_1399
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_symbol3215z00zz__evaluatez00,
																																	BgL_arg1489z00_1400);
																															}
																															BgL_arg1487z00_1398
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_symbol3219z00zz__evaluatez00,
																																BgL_arg1488z00_1399);
																														}
																														BgL_arg1479z00_1391
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1487z00_1398,
																															BNIL);
																													}
																													BgL_arg1476z00_1389 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1477z00_1390,
																														BgL_arg1479z00_1391);
																												}
																												BgL_arg1475z00_1388 =
																													MAKE_YOUNG_PAIR
																													(BGl_symbol3221z00zz__evaluatez00,
																													BgL_arg1476z00_1389);
																											}
																											BgL_arg1474z00_1387 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1475z00_1388,
																												BNIL);
																										}
																										BgL_arg1472z00_1385 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1473z00_1386,
																											BgL_arg1474z00_1387);
																									}
																									BgL_predz00_1331 =
																										MAKE_YOUNG_PAIR
																										(BGl_symbol3223z00zz__evaluatez00,
																										BgL_arg1472z00_1385);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
					{	/* Eval/evaluate.scm 317 */
						obj_t BgL_arg1424z00_1332;

						{	/* Eval/evaluate.scm 317 */
							obj_t BgL_arg1427z00_1333;

							{	/* Eval/evaluate.scm 317 */
								obj_t BgL_arg1428z00_1334;
								obj_t BgL_arg1429z00_1335;

								{	/* Eval/evaluate.scm 317 */
									obj_t BgL_arg1430z00_1336;

									BgL_arg1430z00_1336 = MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL);
									BgL_arg1428z00_1334 =
										MAKE_YOUNG_PAIR(BgL_predz00_1331, BgL_arg1430z00_1336);
								}
								{	/* Eval/evaluate.scm 317 */
									obj_t BgL_arg1431z00_1337;

									{	/* Eval/evaluate.scm 317 */
										obj_t BgL_arg1433z00_1338;

										{
											obj_t BgL_fnamez00_1339;
											obj_t BgL_posz00_1340;

											if (PAIRP(BgL_locz00_58))
												{	/* Eval/evaluate.scm 317 */
													obj_t BgL_cdrzd2138zd2_1345;

													BgL_cdrzd2138zd2_1345 = CDR(BgL_locz00_58);
													if (
														(CAR(BgL_locz00_58) ==
															BGl_symbol3229z00zz__evaluatez00))
														{	/* Eval/evaluate.scm 317 */
															if (PAIRP(BgL_cdrzd2138zd2_1345))
																{	/* Eval/evaluate.scm 317 */
																	obj_t BgL_cdrzd2142zd2_1349;

																	BgL_cdrzd2142zd2_1349 =
																		CDR(BgL_cdrzd2138zd2_1345);
																	if (PAIRP(BgL_cdrzd2142zd2_1349))
																		{	/* Eval/evaluate.scm 317 */
																			if (NULLP(CDR(BgL_cdrzd2142zd2_1349)))
																				{	/* Eval/evaluate.scm 317 */
																					BgL_fnamez00_1339 =
																						CAR(BgL_cdrzd2138zd2_1345);
																					BgL_posz00_1340 =
																						CAR(BgL_cdrzd2142zd2_1349);
																					{	/* Eval/evaluate.scm 322 */
																						obj_t BgL_arg1445z00_1357;

																						{	/* Eval/evaluate.scm 322 */
																							obj_t BgL_arg1448z00_1358;
																							obj_t BgL_arg1449z00_1359;

																							if (SYMBOLP(BgL_procnamez00_59))
																								{	/* Eval/evaluate.scm 322 */
																									obj_t BgL_res2831z00_3384;

																									{	/* Eval/evaluate.scm 322 */
																										obj_t BgL_arg2602z00_3383;

																										BgL_arg2602z00_3383 =
																											SYMBOL_TO_STRING
																											(BgL_procnamez00_59);
																										BgL_res2831z00_3384 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2602z00_3383);
																									}
																									BgL_arg1448z00_1358 =
																										BgL_res2831z00_3384;
																								}
																							else
																								{	/* Eval/evaluate.scm 322 */
																									BgL_arg1448z00_1358 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 323 */
																								obj_t BgL_arg1451z00_1361;
																								obj_t BgL_arg1452z00_1362;

																								{	/* Eval/evaluate.scm 323 */
																									obj_t BgL_res2832z00_3387;

																									{	/* Eval/evaluate.scm 323 */
																										obj_t BgL_arg2602z00_3386;

																										BgL_arg2602z00_3386 =
																											SYMBOL_TO_STRING(
																											((obj_t)
																												BgL_tnamez00_57));
																										BgL_res2832z00_3387 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2602z00_3386);
																									}
																									BgL_arg1451z00_1361 =
																										BgL_res2832z00_3387;
																								}
																								{	/* Eval/evaluate.scm 321 */
																									obj_t BgL_arg1453z00_1363;

																									{	/* Eval/evaluate.scm 321 */
																										obj_t BgL_arg1454z00_1364;

																										BgL_arg1454z00_1364 =
																											MAKE_YOUNG_PAIR
																											(BgL_posz00_1340, BNIL);
																										BgL_arg1453z00_1363 =
																											MAKE_YOUNG_PAIR
																											(BgL_fnamez00_1339,
																											BgL_arg1454z00_1364);
																									}
																									BgL_arg1452z00_1362 =
																										MAKE_YOUNG_PAIR
																										(BgL_varz00_56,
																										BgL_arg1453z00_1363);
																								}
																								BgL_arg1449z00_1359 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1451z00_1361,
																									BgL_arg1452z00_1362);
																							}
																							BgL_arg1445z00_1357 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1448z00_1358,
																								BgL_arg1449z00_1359);
																						}
																						BgL_arg1433z00_1338 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol3225z00zz__evaluatez00,
																							BgL_arg1445z00_1357);
																					}
																				}
																			else
																				{	/* Eval/evaluate.scm 317 */
																				BgL_tagzd2131zd2_1342:
																					{	/* Eval/evaluate.scm 327 */
																						obj_t BgL_arg1455z00_1365;

																						{	/* Eval/evaluate.scm 327 */
																							obj_t BgL_arg1457z00_1366;
																							obj_t BgL_arg1458z00_1367;

																							if (SYMBOLP(BgL_procnamez00_59))
																								{	/* Eval/evaluate.scm 327 */
																									obj_t BgL_res2834z00_3391;

																									{	/* Eval/evaluate.scm 327 */
																										obj_t BgL_arg2602z00_3390;

																										BgL_arg2602z00_3390 =
																											SYMBOL_TO_STRING
																											(BgL_procnamez00_59);
																										BgL_res2834z00_3391 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2602z00_3390);
																									}
																									BgL_arg1457z00_1366 =
																										BgL_res2834z00_3391;
																								}
																							else
																								{	/* Eval/evaluate.scm 327 */
																									BgL_arg1457z00_1366 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 328 */
																								obj_t BgL_arg1460z00_1369;
																								obj_t BgL_arg1461z00_1370;

																								{	/* Eval/evaluate.scm 328 */
																									obj_t BgL_res2835z00_3394;

																									{	/* Eval/evaluate.scm 328 */
																										obj_t BgL_arg2602z00_3393;

																										BgL_arg2602z00_3393 =
																											SYMBOL_TO_STRING(
																											((obj_t)
																												BgL_tnamez00_57));
																										BgL_res2835z00_3394 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2602z00_3393);
																									}
																									BgL_arg1460z00_1369 =
																										BgL_res2835z00_3394;
																								}
																								BgL_arg1461z00_1370 =
																									MAKE_YOUNG_PAIR(BgL_varz00_56,
																									BNIL);
																								BgL_arg1458z00_1367 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1460z00_1369,
																									BgL_arg1461z00_1370);
																							}
																							BgL_arg1455z00_1365 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1457z00_1366,
																								BgL_arg1458z00_1367);
																						}
																						BgL_arg1433z00_1338 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol3227z00zz__evaluatez00,
																							BgL_arg1455z00_1365);
																					}
																				}
																		}
																	else
																		{	/* Eval/evaluate.scm 317 */
																			goto BgL_tagzd2131zd2_1342;
																		}
																}
															else
																{	/* Eval/evaluate.scm 317 */
																	goto BgL_tagzd2131zd2_1342;
																}
														}
													else
														{	/* Eval/evaluate.scm 317 */
															goto BgL_tagzd2131zd2_1342;
														}
												}
											else
												{	/* Eval/evaluate.scm 317 */
													goto BgL_tagzd2131zd2_1342;
												}
										}
										BgL_arg1431z00_1337 =
											MAKE_YOUNG_PAIR(BgL_arg1433z00_1338, BNIL);
									}
									BgL_arg1429z00_1335 =
										MAKE_YOUNG_PAIR(BgL_bodyz00_60, BgL_arg1431z00_1337);
								}
								BgL_arg1427z00_1333 =
									MAKE_YOUNG_PAIR(BgL_arg1428z00_1334, BgL_arg1429z00_1335);
							}
							BgL_arg1424z00_1332 =
								MAKE_YOUNG_PAIR(BGl_symbol3219z00zz__evaluatez00,
								BgL_arg1427z00_1333);
						}
						{	/* Eval/evaluate.scm 294 */
							obj_t BgL_arg1421z00_3405;
							obj_t BgL_arg1422z00_3406;

							BgL_arg1421z00_3405 = CAR(BgL_arg1424z00_1332);
							BgL_arg1422z00_3406 = CDR(BgL_arg1424z00_1332);
							{	/* Eval/evaluate.scm 294 */
								obj_t BgL_res2840z00_3409;

								BgL_res2840z00_3409 =
									MAKE_YOUNG_EPAIR(BgL_arg1421z00_3405, BgL_arg1422z00_3406,
									BgL_locz00_58);
								return BgL_res2840z00_3409;
							}
						}
					}
				}
			else
				{	/* Eval/evaluate.scm 301 */
					return BgL_bodyz00_60;
				}
		}
		BGL_FUNCTION_END;
	}



/* type-checks */
	obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t BgL_varsz00_61,
		obj_t BgL_srcsz00_62, obj_t BgL_bodyz00_63, obj_t BgL_locz00_64,
		obj_t BgL_procnamez00_65)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 335 */
			{	/* Eval/evaluate.scm 336 */
				bool_t BgL_testz00_5444;

				{	/* Eval/evaluate.scm 336 */
					int BgL_arg1508z00_1426;

					BgL_arg1508z00_1426 = bgl_debug();
					BgL_testz00_5444 = ((long) (BgL_arg1508z00_1426) <= ((long) 0));
				}
				if (BgL_testz00_5444)
					{	/* Eval/evaluate.scm 336 */
						return BgL_bodyz00_63;
					}
				else
					{	/* Eval/evaluate.scm 336 */
						return
							BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_63, BgL_procnamez00_65,
							BgL_locz00_64, BgL_varsz00_61, BgL_srcsz00_62);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* loop~1 */
	obj_t BGl_loopze71ze7zz__evaluatez00(obj_t BgL_bodyz00_4926,
		obj_t BgL_procnamez00_4925, obj_t BgL_locz00_4924, obj_t BgL_varsz00_1411,
		obj_t BgL_srcsz00_1412)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 338 */
		BGl_loopze71ze7zz__evaluatez00:
			if (NULLP(BgL_varsz00_1411))
				{	/* Eval/evaluate.scm 340 */
					return BgL_bodyz00_4926;
				}
			else
				{	/* Eval/evaluate.scm 342 */
					obj_t BgL_vz00_1415;

					BgL_vz00_1415 = CAR(((obj_t) BgL_varsz00_1411));
					{	/* Eval/evaluate.scm 342 */
						obj_t BgL_idz00_1416;

						BgL_idz00_1416 = CAR(((obj_t) BgL_vz00_1415));
						{	/* Eval/evaluate.scm 343 */
							obj_t BgL_tnamez00_1417;

							BgL_tnamez00_1417 = CDR(((obj_t) BgL_vz00_1415));
							{	/* Eval/evaluate.scm 344 */

								if (CBOOL(BgL_tnamez00_1417))
									{	/* Eval/evaluate.scm 346 */
										obj_t BgL_locz00_1418;

										{	/* Eval/evaluate.scm 346 */
											obj_t BgL_arg1502z00_1422;

											BgL_arg1502z00_1422 = CAR(((obj_t) BgL_srcsz00_1412));
											{	/* Eval/evaluate.scm 151 */
												obj_t BgL__ortest_1067z00_3417;

												BgL__ortest_1067z00_3417 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_arg1502z00_1422);
												if (CBOOL(BgL__ortest_1067z00_3417))
													{	/* Eval/evaluate.scm 151 */
														BgL_locz00_1418 = BgL__ortest_1067z00_3417;
													}
												else
													{	/* Eval/evaluate.scm 152 */
														obj_t BgL__ortest_1068z00_3418;

														BgL__ortest_1068z00_3418 =
															BGl_getzd2sourcezd2locationz00zz__readerz00
															(BgL_srcsz00_1412);
														if (CBOOL(BgL__ortest_1068z00_3418))
															{	/* Eval/evaluate.scm 152 */
																BgL_locz00_1418 = BgL__ortest_1068z00_3418;
															}
														else
															{	/* Eval/evaluate.scm 152 */
																BgL_locz00_1418 = BgL_locz00_4924;
															}
													}
											}
										}
										{	/* Eval/evaluate.scm 348 */
											obj_t BgL_arg1499z00_1419;

											{	/* Eval/evaluate.scm 348 */
												obj_t BgL_arg1500z00_1420;
												obj_t BgL_arg1501z00_1421;

												BgL_arg1500z00_1420 = CDR(((obj_t) BgL_varsz00_1411));
												BgL_arg1501z00_1421 = CDR(((obj_t) BgL_srcsz00_1412));
												BgL_arg1499z00_1419 =
													BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_4926,
													BgL_procnamez00_4925, BgL_locz00_4924,
													BgL_arg1500z00_1420, BgL_arg1501z00_1421);
											}
											return
												BGl_typezd2checkzd2zz__evaluatez00(BgL_idz00_1416,
												BgL_tnamez00_1417, BgL_locz00_1418,
												BgL_procnamez00_4925, BgL_arg1499z00_1419);
										}
									}
								else
									{	/* Eval/evaluate.scm 349 */
										obj_t BgL_arg1504z00_1423;
										obj_t BgL_arg1505z00_1424;

										BgL_arg1504z00_1423 = CDR(((obj_t) BgL_varsz00_1411));
										BgL_arg1505z00_1424 = CDR(((obj_t) BgL_srcsz00_1412));
										{
											obj_t BgL_srcsz00_5478;
											obj_t BgL_varsz00_5477;

											BgL_varsz00_5477 = BgL_arg1504z00_1423;
											BgL_srcsz00_5478 = BgL_arg1505z00_1424;
											BgL_srcsz00_1412 = BgL_srcsz00_5478;
											BgL_varsz00_1411 = BgL_varsz00_5477;
											goto BGl_loopze71ze7zz__evaluatez00;
										}
									}
							}
						}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* type-result */
	obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t BgL_typez00_66,
		obj_t BgL_bodyz00_67, obj_t BgL_locz00_68)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 354 */
			{	/* Eval/evaluate.scm 355 */
				bool_t BgL_testz00_5479;

				if (CBOOL(BgL_typez00_66))
					{	/* Eval/evaluate.scm 355 */
						int BgL_arg1528z00_1441;

						BgL_arg1528z00_1441 = bgl_debug();
						BgL_testz00_5479 = ((long) (BgL_arg1528z00_1441) >= ((long) 1));
					}
				else
					{	/* Eval/evaluate.scm 355 */
						BgL_testz00_5479 = ((bool_t) 0);
					}
				if (BgL_testz00_5479)
					{	/* Eval/evaluate.scm 356 */
						obj_t BgL_tmpz00_1429;

						BgL_tmpz00_1429 =
							BGl_gensymz00zz__r4_symbols_6_4z00
							(BGl_symbol3231z00zz__evaluatez00);
						{	/* Eval/evaluate.scm 358 */
							obj_t BgL_arg1511z00_1430;
							obj_t BgL_arg1512z00_1431;

							{	/* Eval/evaluate.scm 358 */
								obj_t BgL_arg1513z00_1432;

								{	/* Eval/evaluate.scm 358 */
									obj_t BgL_arg1514z00_1433;
									obj_t BgL_arg1515z00_1434;

									{	/* Eval/evaluate.scm 358 */
										obj_t BgL_arg1517z00_1435;

										{	/* Eval/evaluate.scm 358 */
											obj_t BgL_arg1520z00_1436;
											obj_t BgL_arg1521z00_1437;

											{	/* Eval/evaluate.scm 358 */
												obj_t BgL_arg1524z00_1438;

												{	/* Eval/evaluate.scm 358 */
													obj_t BgL_list1525z00_1439;

													{	/* Eval/evaluate.scm 358 */
														obj_t BgL_arg1526z00_1440;

														BgL_arg1526z00_1440 =
															MAKE_YOUNG_PAIR(BgL_typez00_66, BNIL);
														BgL_list1525z00_1439 =
															MAKE_YOUNG_PAIR(BgL_tmpz00_1429,
															BgL_arg1526z00_1440);
													}
													BgL_arg1524z00_1438 =
														BGl_formatz00zz__r4_output_6_10_3z00
														(BGl_string3233z00zz__evaluatez00,
														BgL_list1525z00_1439);
												}
												BgL_arg1520z00_1436 =
													bstring_to_symbol(BgL_arg1524z00_1438);
											}
											BgL_arg1521z00_1437 =
												MAKE_YOUNG_PAIR(BgL_bodyz00_67, BNIL);
											BgL_arg1517z00_1435 =
												MAKE_YOUNG_PAIR(BgL_arg1520z00_1436,
												BgL_arg1521z00_1437);
										}
										BgL_arg1514z00_1433 =
											MAKE_YOUNG_PAIR(BgL_arg1517z00_1435, BNIL);
									}
									BgL_arg1515z00_1434 = MAKE_YOUNG_PAIR(BgL_tmpz00_1429, BNIL);
									BgL_arg1513z00_1432 =
										MAKE_YOUNG_PAIR(BgL_arg1514z00_1433, BgL_arg1515z00_1434);
								}
								BgL_arg1511z00_1430 =
									MAKE_YOUNG_PAIR(BGl_symbol3221z00zz__evaluatez00,
									BgL_arg1513z00_1432);
							}
							{	/* Eval/evaluate.scm 145 */
								obj_t BgL__ortest_1066z00_3427;

								BgL__ortest_1066z00_3427 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_67);
								if (CBOOL(BgL__ortest_1066z00_3427))
									{	/* Eval/evaluate.scm 145 */
										BgL_arg1512z00_1431 = BgL__ortest_1066z00_3427;
									}
								else
									{	/* Eval/evaluate.scm 145 */
										BgL_arg1512z00_1431 = BgL_locz00_68;
									}
							}
							{	/* Eval/evaluate.scm 294 */
								obj_t BgL_arg1421z00_3428;
								obj_t BgL_arg1422z00_3429;

								BgL_arg1421z00_3428 = CAR(BgL_arg1511z00_1430);
								BgL_arg1422z00_3429 = CDR(BgL_arg1511z00_1430);
								{	/* Eval/evaluate.scm 294 */
									obj_t BgL_res2845z00_3432;

									BgL_res2845z00_3432 =
										MAKE_YOUNG_EPAIR(BgL_arg1421z00_3428, BgL_arg1422z00_3429,
										BgL_arg1512z00_1431);
									return BgL_res2845z00_3432;
								}
							}
						}
					}
				else
					{	/* Eval/evaluate.scm 355 */
						return BgL_bodyz00_67;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_69, obj_t BgL_localsz00_70,
		obj_t BgL_globalsz00_71, obj_t BgL_tailzf3zf3_72, obj_t BgL_wherez00_73,
		obj_t BgL_locz00_74, bool_t BgL_topzf3zf3_75)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 366 */
		BGl_convz00zz__evaluatez00:
			{
				obj_t BgL_xz00_1450;
				obj_t BgL_bahz00_1452;
				obj_t BgL_lz00_1457;
				obj_t BgL_funz00_1459;
				obj_t BgL_argsz00_1460;
				obj_t BgL_pz00_1466;
				obj_t BgL_tz00_1467;
				obj_t BgL_oz00_1468;
				obj_t BgL_pz00_1470;
				obj_t BgL_tz00_1471;
				obj_t BgL_bindsz00_1479;
				obj_t BgL_bodyz00_1480;
				obj_t BgL_bindsz00_1482;
				obj_t BgL_bodyz00_1483;
				obj_t BgL_bindsz00_1485;
				obj_t BgL_bodyz00_1486;
				obj_t BgL_lz00_1492;
				obj_t BgL_e2z00_1493;
				obj_t BgL_vz00_1495;
				obj_t BgL_ez00_1496;
				obj_t BgL_gvz00_1499;
				obj_t BgL_formalsz00_1500;
				obj_t BgL_bodyz00_1501;
				obj_t BgL_gvz00_1503;
				obj_t BgL_gez00_1504;
				obj_t BgL_vz00_1506;
				obj_t BgL_bodyz00_1507;
				obj_t BgL_mz00_1519;
				obj_t BgL_bodyz00_1520;
				obj_t BgL_fz00_1525;
				obj_t BgL_argsz00_1526;

				if (PAIRP(BgL_ez00_69))
					{	/* Eval/evaluate.scm 425 */
						if ((CAR(BgL_ez00_69) == BGl_symbol3240z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 425 */
								BgL_bahz00_1452 = CDR(BgL_ez00_69);
								if (BgL_topzf3zf3_75)
									{	/* Eval/evaluate.scm 433 */
										obj_t BgL_formsz00_2310;

										{	/* Eval/evaluate.scm 433 */
											obj_t BgL_arg2233z00_2313;

											{	/* Eval/evaluate.scm 145 */
												obj_t BgL__ortest_1066z00_3484;

												BgL__ortest_1066z00_3484 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_ez00_69);
												if (CBOOL(BgL__ortest_1066z00_3484))
													{	/* Eval/evaluate.scm 145 */
														BgL_arg2233z00_2313 = BgL__ortest_1066z00_3484;
													}
												else
													{	/* Eval/evaluate.scm 145 */
														BgL_arg2233z00_2313 = BgL_locz00_74;
													}
											}
											BgL_formsz00_2310 =
												BGl_evmodulez00zz__evmodulez00(BgL_ez00_69,
												BgL_arg2233z00_2313);
										}
										{	/* Eval/evaluate.scm 434 */
											obj_t BgL_arg2231z00_2311;
											obj_t BgL_arg2232z00_2312;

											BgL_arg2231z00_2311 =
												BGl_expandz00zz__expandz00(BgL_formsz00_2310);
											BgL_arg2232z00_2312 = BGL_MODULE();
											{
												bool_t BgL_topzf3zf3_5518;
												obj_t BgL_wherez00_5517;
												obj_t BgL_tailzf3zf3_5516;
												obj_t BgL_globalsz00_5515;
												obj_t BgL_ez00_5514;

												BgL_ez00_5514 = BgL_arg2231z00_2311;
												BgL_globalsz00_5515 = BgL_arg2232z00_2312;
												BgL_tailzf3zf3_5516 = BgL_wherez00_73;
												BgL_wherez00_5517 = BFALSE;
												BgL_topzf3zf3_5518 = ((bool_t) 1);
												BgL_topzf3zf3_75 = BgL_topzf3zf3_5518;
												BgL_wherez00_73 = BgL_wherez00_5517;
												BgL_tailzf3zf3_72 = BgL_tailzf3zf3_5516;
												BgL_globalsz00_71 = BgL_globalsz00_5515;
												BgL_ez00_69 = BgL_ez00_5514;
												goto BGl_convz00zz__evaluatez00;
											}
										}
									}
								else
									{	/* Eval/evaluate.scm 432 */
										return
											BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74,
											BGl_string3159z00zz__evaluatez00,
											BGl_string3239z00zz__evaluatez00, BgL_ez00_69);
									}
							}
						else
							{	/* Eval/evaluate.scm 425 */
								obj_t BgL_cdrzd2249zd2_1534;

								BgL_cdrzd2249zd2_1534 = CDR(BgL_ez00_69);
								if ((CAR(BgL_ez00_69) == BGl_symbol3242z00zz__evaluatez00))
									{	/* Eval/evaluate.scm 425 */
										if (PAIRP(BgL_cdrzd2249zd2_1534))
											{	/* Eval/evaluate.scm 425 */
												obj_t BgL_carzd2252zd2_1538;
												obj_t BgL_cdrzd2253zd2_1539;

												BgL_carzd2252zd2_1538 = CAR(BgL_cdrzd2249zd2_1534);
												BgL_cdrzd2253zd2_1539 = CDR(BgL_cdrzd2249zd2_1534);
												if (SYMBOLP(BgL_carzd2252zd2_1538))
													{	/* Eval/evaluate.scm 425 */
														if (PAIRP(BgL_cdrzd2253zd2_1539))
															{	/* Eval/evaluate.scm 425 */
																obj_t BgL_carzd2257zd2_1542;

																BgL_carzd2257zd2_1542 =
																	CAR(BgL_cdrzd2253zd2_1539);
																if (SYMBOLP(BgL_carzd2257zd2_1542))
																	{	/* Eval/evaluate.scm 425 */
																		if (NULLP(CDR(BgL_cdrzd2253zd2_1539)))
																			{	/* Eval/evaluate.scm 438 */
																				BgL_ev_globalz00_bglt
																					BgL_new1105z00_3883;
																				{	/* Eval/evaluate.scm 439 */
																					BgL_ev_globalz00_bglt
																						BgL_new1104z00_3884;
																					BgL_new1104z00_3884 =
																						((BgL_ev_globalz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_ev_globalz00_bgl))));
																					{	/* Eval/evaluate.scm 439 */
																						long BgL_arg2234z00_3885;

																						{	/* Eval/evaluate.scm 439 */
																							long BgL_res2946z00_3887;

																							BgL_res2946z00_3887 =
																								BGL_CLASS_INDEX
																								(BGl_ev_globalz00zz__evaluate_typesz00);
																							BgL_arg2234z00_3885 =
																								BgL_res2946z00_3887;
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1104z00_3884),
																							BgL_arg2234z00_3885);
																					}
																					BgL_new1105z00_3883 =
																						BgL_new1104z00_3884;
																				}
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1105z00_3883))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_74), BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1105z00_3883))->
																						BgL_namez00) =
																					((obj_t) BgL_carzd2252zd2_1538),
																					BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1105z00_3883))->
																						BgL_modz00) =
																					((obj_t)
																						BGl_evalzd2findzd2modulez00zz__evmodulez00
																						(BgL_carzd2257zd2_1542)), BUNSPEC);
																				return ((obj_t) BgL_new1105z00_3883);
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				obj_t BgL_carzd2302zd2_1546;

																				BgL_carzd2302zd2_1546 =
																					CAR(BgL_ez00_69);
																				if (SYMBOLP(BgL_carzd2302zd2_1546))
																					{	/* Eval/evaluate.scm 425 */
																						if (CBOOL
																							(BGl_convzd2varzd2zz__evaluatez00
																								(BgL_carzd2302zd2_1546,
																									BgL_localsz00_70)))
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5554;
																								BgL_funz00_1459 =
																									BgL_carzd2302zd2_1546;
																								BgL_argsz00_1460 =
																									BgL_cdrzd2249zd2_1534;
																							BgL_tagzd2152zd2_1461:
																								{	/* Eval/evaluate.scm 450 */
																									obj_t BgL_funz00_2343;
																									obj_t BgL_argsz00_2344;

																									{	/* Eval/evaluate.scm 381 */
																										obj_t BgL_arg2389z00_3499;

																										{	/* Eval/evaluate.scm 145 */
																											obj_t
																												BgL__ortest_1066z00_3500;
																											BgL__ortest_1066z00_3500 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_funz00_1459);
																											if (CBOOL
																												(BgL__ortest_1066z00_3500))
																												{	/* Eval/evaluate.scm 145 */
																													BgL_arg2389z00_3499 =
																														BgL__ortest_1066z00_3500;
																												}
																											else
																												{	/* Eval/evaluate.scm 145 */
																													BgL_arg2389z00_3499 =
																														BgL_locz00_74;
																												}
																										}
																										BgL_funz00_2343 =
																											BGl_convz00zz__evaluatez00
																											(BgL_funz00_1459,
																											BgL_localsz00_70,
																											BgL_globalsz00_71, BFALSE,
																											BgL_wherez00_73,
																											BgL_arg2389z00_3499,
																											((bool_t) 0));
																									}
																									BgL_argsz00_2344 =
																										BGl_loopze70ze7zz__evaluatez00
																										(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_argsz00_1460);
																									{	/* Eval/evaluate.scm 451 */
																										BgL_ev_appz00_bglt
																											BgL_new1107z00_2345;
																										{	/* Eval/evaluate.scm 452 */
																											BgL_ev_appz00_bglt
																												BgL_new1106z00_2346;
																											BgL_new1106z00_2346 =
																												((BgL_ev_appz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 452 */
																												long
																													BgL_arg2249z00_2347;
																												{	/* Eval/evaluate.scm 452 */
																													long
																														BgL_res2867z00_3502;
																													BgL_res2867z00_3502 =
																														BGL_CLASS_INDEX
																														(BGl_ev_appz00zz__evaluate_typesz00);
																													BgL_arg2249z00_2347 =
																														BgL_res2867z00_3502;
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1106z00_2346),
																													BgL_arg2249z00_2347);
																											}
																											BgL_new1107z00_2345 =
																												BgL_new1106z00_2346;
																										}
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1107z00_2345))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_74),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1107z00_2345))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_2343)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1107z00_2345))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_2344),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1107z00_2345))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_72),
																											BUNSPEC);
																										BgL_auxz00_5554 =
																											BgL_new1107z00_2345;
																								}}
																								return
																									((obj_t) BgL_auxz00_5554);
																							}
																						else
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5570;
																								BgL_fz00_1525 =
																									BgL_carzd2302zd2_1546;
																								BgL_argsz00_1526 =
																									BgL_cdrzd2249zd2_1534;
																							BgL_tagzd2175zd2_1527:
																								{	/* Eval/evaluate.scm 598 */
																									obj_t BgL_funz00_2609;
																									obj_t BgL_argsz00_2610;

																									{	/* Eval/evaluate.scm 381 */
																										obj_t BgL_arg2389z00_3863;

																										{	/* Eval/evaluate.scm 145 */
																											obj_t
																												BgL__ortest_1066z00_3864;
																											BgL__ortest_1066z00_3864 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_fz00_1525);
																											if (CBOOL
																												(BgL__ortest_1066z00_3864))
																												{	/* Eval/evaluate.scm 145 */
																													BgL_arg2389z00_3863 =
																														BgL__ortest_1066z00_3864;
																												}
																											else
																												{	/* Eval/evaluate.scm 145 */
																													BgL_arg2389z00_3863 =
																														BgL_locz00_74;
																												}
																										}
																										BgL_funz00_2609 =
																											BGl_convz00zz__evaluatez00
																											(BgL_fz00_1525,
																											BgL_localsz00_70,
																											BgL_globalsz00_71, BFALSE,
																											BgL_wherez00_73,
																											BgL_arg2389z00_3863,
																											((bool_t) 0));
																									}
																									BgL_argsz00_2610 =
																										BGl_loopze70ze7zz__evaluatez00
																										(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_argsz00_1526);
																									{	/* Eval/evaluate.scm 599 */
																										BgL_ev_appz00_bglt
																											BgL_new1161z00_2611;
																										{	/* Eval/evaluate.scm 600 */
																											BgL_ev_appz00_bglt
																												BgL_new1160z00_2612;
																											BgL_new1160z00_2612 =
																												((BgL_ev_appz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 600 */
																												long
																													BgL_arg2380z00_2613;
																												{	/* Eval/evaluate.scm 600 */
																													long
																														BgL_res2939z00_3866;
																													BgL_res2939z00_3866 =
																														BGL_CLASS_INDEX
																														(BGl_ev_appz00zz__evaluate_typesz00);
																													BgL_arg2380z00_2613 =
																														BgL_res2939z00_3866;
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1160z00_2612),
																													BgL_arg2380z00_2613);
																											}
																											BgL_new1161z00_2611 =
																												BgL_new1160z00_2612;
																										}
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1161z00_2611))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_74),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1161z00_2611))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_2609)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1161z00_2611))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_2610),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1161z00_2611))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_72),
																											BUNSPEC);
																										BgL_auxz00_5570 =
																											BgL_new1161z00_2611;
																								}}
																								return
																									((obj_t) BgL_auxz00_5570);
																							}
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5586;

																						{
																							obj_t BgL_argsz00_5588;
																							obj_t BgL_fz00_5587;

																							BgL_fz00_5587 =
																								BgL_carzd2302zd2_1546;
																							BgL_argsz00_5588 =
																								BgL_cdrzd2249zd2_1534;
																							BgL_argsz00_1526 =
																								BgL_argsz00_5588;
																							BgL_fz00_1525 = BgL_fz00_5587;
																							goto BgL_tagzd2175zd2_1527;
																						}
																						return ((obj_t) BgL_auxz00_5586);
																					}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 425 */
																		obj_t BgL_carzd21005zd2_1557;

																		BgL_carzd21005zd2_1557 = CAR(BgL_ez00_69);
																		if (SYMBOLP(BgL_carzd21005zd2_1557))
																			{	/* Eval/evaluate.scm 425 */
																				if (CBOOL
																					(BGl_convzd2varzd2zz__evaluatez00
																						(BgL_carzd21005zd2_1557,
																							BgL_localsz00_70)))
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5596;

																						{
																							obj_t BgL_argsz00_5598;
																							obj_t BgL_funz00_5597;

																							BgL_funz00_5597 =
																								BgL_carzd21005zd2_1557;
																							BgL_argsz00_5598 =
																								BgL_cdrzd2249zd2_1534;
																							BgL_argsz00_1460 =
																								BgL_argsz00_5598;
																							BgL_funz00_1459 = BgL_funz00_5597;
																							goto BgL_tagzd2152zd2_1461;
																						}
																						return ((obj_t) BgL_auxz00_5596);
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5600;

																						{
																							obj_t BgL_argsz00_5602;
																							obj_t BgL_fz00_5601;

																							BgL_fz00_5601 =
																								BgL_carzd21005zd2_1557;
																							BgL_argsz00_5602 =
																								BgL_cdrzd2249zd2_1534;
																							BgL_argsz00_1526 =
																								BgL_argsz00_5602;
																							BgL_fz00_1525 = BgL_fz00_5601;
																							goto BgL_tagzd2175zd2_1527;
																						}
																						return ((obj_t) BgL_auxz00_5600);
																					}
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5604;

																				{
																					obj_t BgL_argsz00_5606;
																					obj_t BgL_fz00_5605;

																					BgL_fz00_5605 =
																						BgL_carzd21005zd2_1557;
																					BgL_argsz00_5606 =
																						BgL_cdrzd2249zd2_1534;
																					BgL_argsz00_1526 = BgL_argsz00_5606;
																					BgL_fz00_1525 = BgL_fz00_5605;
																					goto BgL_tagzd2175zd2_1527;
																				}
																				return ((obj_t) BgL_auxz00_5604);
																			}
																	}
															}
														else
															{	/* Eval/evaluate.scm 425 */
																obj_t BgL_carzd21708zd2_1567;

																BgL_carzd21708zd2_1567 = CAR(BgL_ez00_69);
																if (SYMBOLP(BgL_carzd21708zd2_1567))
																	{	/* Eval/evaluate.scm 425 */
																		if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																				(BgL_carzd21708zd2_1567,
																					BgL_localsz00_70)))
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5614;

																				{
																					obj_t BgL_argsz00_5616;
																					obj_t BgL_funz00_5615;

																					BgL_funz00_5615 =
																						BgL_carzd21708zd2_1567;
																					BgL_argsz00_5616 =
																						BgL_cdrzd2249zd2_1534;
																					BgL_argsz00_1460 = BgL_argsz00_5616;
																					BgL_funz00_1459 = BgL_funz00_5615;
																					goto BgL_tagzd2152zd2_1461;
																				}
																				return ((obj_t) BgL_auxz00_5614);
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5618;

																				{
																					obj_t BgL_argsz00_5620;
																					obj_t BgL_fz00_5619;

																					BgL_fz00_5619 =
																						BgL_carzd21708zd2_1567;
																					BgL_argsz00_5620 =
																						BgL_cdrzd2249zd2_1534;
																					BgL_argsz00_1526 = BgL_argsz00_5620;
																					BgL_fz00_1525 = BgL_fz00_5619;
																					goto BgL_tagzd2175zd2_1527;
																				}
																				return ((obj_t) BgL_auxz00_5618);
																			}
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5622;

																		{
																			obj_t BgL_argsz00_5624;
																			obj_t BgL_fz00_5623;

																			BgL_fz00_5623 = BgL_carzd21708zd2_1567;
																			BgL_argsz00_5624 = BgL_cdrzd2249zd2_1534;
																			BgL_argsz00_1526 = BgL_argsz00_5624;
																			BgL_fz00_1525 = BgL_fz00_5623;
																			goto BgL_tagzd2175zd2_1527;
																		}
																		return ((obj_t) BgL_auxz00_5622);
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 425 */
														obj_t BgL_carzd22411zd2_1577;

														BgL_carzd22411zd2_1577 = CAR(BgL_ez00_69);
														if (SYMBOLP(BgL_carzd22411zd2_1577))
															{	/* Eval/evaluate.scm 425 */
																if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																		(BgL_carzd22411zd2_1577, BgL_localsz00_70)))
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5632;

																		{
																			obj_t BgL_argsz00_5634;
																			obj_t BgL_funz00_5633;

																			BgL_funz00_5633 = BgL_carzd22411zd2_1577;
																			BgL_argsz00_5634 = BgL_cdrzd2249zd2_1534;
																			BgL_argsz00_1460 = BgL_argsz00_5634;
																			BgL_funz00_1459 = BgL_funz00_5633;
																			goto BgL_tagzd2152zd2_1461;
																		}
																		return ((obj_t) BgL_auxz00_5632);
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5636;

																		{
																			obj_t BgL_argsz00_5638;
																			obj_t BgL_fz00_5637;

																			BgL_fz00_5637 = BgL_carzd22411zd2_1577;
																			BgL_argsz00_5638 = BgL_cdrzd2249zd2_1534;
																			BgL_argsz00_1526 = BgL_argsz00_5638;
																			BgL_fz00_1525 = BgL_fz00_5637;
																			goto BgL_tagzd2175zd2_1527;
																		}
																		return ((obj_t) BgL_auxz00_5636);
																	}
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5640;

																{
																	obj_t BgL_argsz00_5642;
																	obj_t BgL_fz00_5641;

																	BgL_fz00_5641 = BgL_carzd22411zd2_1577;
																	BgL_argsz00_5642 = BgL_cdrzd2249zd2_1534;
																	BgL_argsz00_1526 = BgL_argsz00_5642;
																	BgL_fz00_1525 = BgL_fz00_5641;
																	goto BgL_tagzd2175zd2_1527;
																}
																return ((obj_t) BgL_auxz00_5640);
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 425 */
												obj_t BgL_carzd23114zd2_1587;

												BgL_carzd23114zd2_1587 = CAR(BgL_ez00_69);
												if (SYMBOLP(BgL_carzd23114zd2_1587))
													{	/* Eval/evaluate.scm 425 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23114zd2_1587, BgL_localsz00_70)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5650;

																{
																	obj_t BgL_argsz00_5652;
																	obj_t BgL_funz00_5651;

																	BgL_funz00_5651 = BgL_carzd23114zd2_1587;
																	BgL_argsz00_5652 = BgL_cdrzd2249zd2_1534;
																	BgL_argsz00_1460 = BgL_argsz00_5652;
																	BgL_funz00_1459 = BgL_funz00_5651;
																	goto BgL_tagzd2152zd2_1461;
																}
																return ((obj_t) BgL_auxz00_5650);
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5654;

																{
																	obj_t BgL_argsz00_5656;
																	obj_t BgL_fz00_5655;

																	BgL_fz00_5655 = BgL_carzd23114zd2_1587;
																	BgL_argsz00_5656 = BgL_cdrzd2249zd2_1534;
																	BgL_argsz00_1526 = BgL_argsz00_5656;
																	BgL_fz00_1525 = BgL_fz00_5655;
																	goto BgL_tagzd2175zd2_1527;
																}
																return ((obj_t) BgL_auxz00_5654);
															}
													}
												else
													{
														BgL_ev_appz00_bglt BgL_auxz00_5658;

														{
															obj_t BgL_argsz00_5660;
															obj_t BgL_fz00_5659;

															BgL_fz00_5659 = BgL_carzd23114zd2_1587;
															BgL_argsz00_5660 = BgL_cdrzd2249zd2_1534;
															BgL_argsz00_1526 = BgL_argsz00_5660;
															BgL_fz00_1525 = BgL_fz00_5659;
															goto BgL_tagzd2175zd2_1527;
														}
														return ((obj_t) BgL_auxz00_5658);
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 425 */
										if ((CAR(BgL_ez00_69) == BGl_symbol3244z00zz__evaluatez00))
											{	/* Eval/evaluate.scm 425 */
												BgL_lz00_1457 = BgL_cdrzd2249zd2_1534;
												{	/* Eval/evaluate.scm 443 */
													bool_t BgL_testz00_5665;

													if (PAIRP(BgL_lz00_1457))
														{	/* Eval/evaluate.scm 443 */
															bool_t BgL_testz00_5668;

															{	/* Eval/evaluate.scm 443 */
																obj_t BgL_tmpz00_5669;

																BgL_tmpz00_5669 = CDR(BgL_lz00_1457);
																BgL_testz00_5668 = PAIRP(BgL_tmpz00_5669);
															}
															if (BgL_testz00_5668)
																{
																	obj_t BgL_l1208z00_2334;

																	BgL_l1208z00_2334 = BgL_lz00_1457;
																BgL_zc3anonymousza32245ze3z83_2335:
																	if (NULLP(BgL_l1208z00_2334))
																		{	/* Eval/evaluate.scm 443 */
																			BgL_testz00_5665 = ((bool_t) 1);
																		}
																	else
																		{	/* Eval/evaluate.scm 443 */
																			bool_t BgL_testz00_5674;

																			{	/* Eval/evaluate.scm 443 */
																				obj_t BgL_tmpz00_5675;

																				BgL_tmpz00_5675 =
																					CAR(((obj_t) BgL_l1208z00_2334));
																				BgL_testz00_5674 =
																					SYMBOLP(BgL_tmpz00_5675);
																			}
																			if (BgL_testz00_5674)
																				{
																					obj_t BgL_l1208z00_5679;

																					BgL_l1208z00_5679 =
																						CDR(((obj_t) BgL_l1208z00_2334));
																					BgL_l1208z00_2334 = BgL_l1208z00_5679;
																					goto
																						BgL_zc3anonymousza32245ze3z83_2335;
																				}
																			else
																				{	/* Eval/evaluate.scm 443 */
																					BgL_testz00_5665 = ((bool_t) 0);
																				}
																		}
																}
															else
																{	/* Eval/evaluate.scm 443 */
																	BgL_testz00_5665 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate.scm 443 */
															BgL_testz00_5665 = ((bool_t) 0);
														}
													if (BgL_testz00_5665)
														{	/* Eval/evaluate.scm 443 */
															return
																BGl_convzd2fieldzd2refz00zz__evaluatez00
																(BgL_ez00_69, BgL_localsz00_70,
																BgL_globalsz00_71, BgL_tailzf3zf3_72,
																BgL_wherez00_73, BgL_locz00_74,
																BgL_topzf3zf3_75);
														}
													else
														{	/* Eval/evaluate.scm 443 */
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_74,
																BGl_string3159z00zz__evaluatez00,
																BGl_string3234z00zz__evaluatez00, BgL_ez00_69);
														}
												}
											}
										else
											{	/* Eval/evaluate.scm 425 */
												obj_t BgL_carzd23820zd2_1600;

												BgL_carzd23820zd2_1600 = CAR(BgL_ez00_69);
												if (SYMBOLP(BgL_carzd23820zd2_1600))
													{	/* Eval/evaluate.scm 425 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23820zd2_1600, BgL_localsz00_70)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5690;

																{
																	obj_t BgL_argsz00_5692;
																	obj_t BgL_funz00_5691;

																	BgL_funz00_5691 = BgL_carzd23820zd2_1600;
																	BgL_argsz00_5692 = BgL_cdrzd2249zd2_1534;
																	BgL_argsz00_1460 = BgL_argsz00_5692;
																	BgL_funz00_1459 = BgL_funz00_5691;
																	goto BgL_tagzd2152zd2_1461;
																}
																return ((obj_t) BgL_auxz00_5690);
															}
														else
															{	/* Eval/evaluate.scm 425 */
																if (
																	(BgL_carzd23820zd2_1600 ==
																		BGl_symbol3246z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 425 */
																		if (PAIRP(BgL_cdrzd2249zd2_1534))
																			{	/* Eval/evaluate.scm 425 */
																				if (NULLP(CDR(BgL_cdrzd2249zd2_1534)))
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1598z00_1611;

																						BgL_arg1598z00_1611 =
																							CAR(BgL_cdrzd2249zd2_1534);
																						{	/* Eval/evaluate.scm 457 */
																							BgL_ev_trapz00_bglt
																								BgL_new1109z00_3936;
																							{	/* Eval/evaluate.scm 458 */
																								BgL_ev_trapz00_bglt
																									BgL_new1108z00_3937;
																								BgL_new1108z00_3937 =
																									((BgL_ev_trapz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_trapz00_bgl))));
																								{	/* Eval/evaluate.scm 458 */
																									long BgL_arg2250z00_3938;

																									{	/* Eval/evaluate.scm 458 */
																										long BgL_res2955z00_3940;

																										BgL_res2955z00_3940 =
																											BGL_CLASS_INDEX
																											(BGl_ev_trapz00zz__evaluate_typesz00);
																										BgL_arg2250z00_3938 =
																											BgL_res2955z00_3940;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1108z00_3937),
																										BgL_arg2250z00_3938);
																								}
																								BgL_new1109z00_3936 =
																									BgL_new1108z00_3937;
																							}
																							{
																								BgL_ev_exprz00_bglt
																									BgL_auxz00_5706;
																								{	/* Eval/evaluate.scm 381 */
																									obj_t BgL_arg2389z00_3943;

																									BgL_arg2389z00_3943 =
																										BGl_getzd2locationzd2zz__evaluatez00
																										(BgL_arg1598z00_1611,
																										BgL_locz00_74);
																									BgL_auxz00_5706 =
																										((BgL_ev_exprz00_bglt)
																										BGl_uconvzf2locze70z15zz__evaluatez00
																										(BgL_wherez00_73,
																											BgL_globalsz00_71,
																											BgL_localsz00_70,
																											BgL_arg1598z00_1611,
																											BgL_arg2389z00_3943));
																								}
																								((((BgL_ev_hookz00_bglt)
																											COBJECT((
																													(BgL_ev_hookz00_bglt)
																													BgL_new1109z00_3936)))->
																										BgL_ez00) =
																									((BgL_ev_exprz00_bglt)
																										BgL_auxz00_5706), BUNSPEC);
																							}
																							return
																								((obj_t) BgL_new1109z00_3936);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1600z00_1612;
																						obj_t BgL_arg1601z00_1613;

																						BgL_arg1600z00_1612 =
																							CAR(BgL_ez00_69);
																						BgL_arg1601z00_1613 =
																							CDR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5715;
																							{
																								obj_t BgL_argsz00_5717;
																								obj_t BgL_fz00_5716;

																								BgL_fz00_5716 =
																									BgL_arg1600z00_1612;
																								BgL_argsz00_5717 =
																									BgL_arg1601z00_1613;
																								BgL_argsz00_1526 =
																									BgL_argsz00_5717;
																								BgL_fz00_1525 = BgL_fz00_5716;
																								goto BgL_tagzd2175zd2_1527;
																							}
																							return ((obj_t) BgL_auxz00_5715);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				obj_t BgL_arg1603z00_1615;
																				obj_t BgL_arg1604z00_1616;

																				BgL_arg1603z00_1615 = CAR(BgL_ez00_69);
																				BgL_arg1604z00_1616 = CDR(BgL_ez00_69);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5721;

																					{
																						obj_t BgL_argsz00_5723;
																						obj_t BgL_fz00_5722;

																						BgL_fz00_5722 = BgL_arg1603z00_1615;
																						BgL_argsz00_5723 =
																							BgL_arg1604z00_1616;
																						BgL_argsz00_1526 = BgL_argsz00_5723;
																						BgL_fz00_1525 = BgL_fz00_5722;
																						goto BgL_tagzd2175zd2_1527;
																					}
																					return ((obj_t) BgL_auxz00_5721);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 425 */
																		obj_t BgL_cdrzd24489zd2_1617;

																		BgL_cdrzd24489zd2_1617 = CDR(BgL_ez00_69);
																		if (
																			(CAR(BgL_ez00_69) ==
																				BGl_symbol3211z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 425 */
																				if (PAIRP(BgL_cdrzd24489zd2_1617))
																					{	/* Eval/evaluate.scm 425 */
																						if (NULLP(CDR
																								(BgL_cdrzd24489zd2_1617)))
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1610z00_1623;

																								BgL_arg1610z00_1623 =
																									CAR(BgL_cdrzd24489zd2_1617);
																								{	/* Eval/evaluate.scm 460 */
																									BgL_ev_littz00_bglt
																										BgL_new1111z00_3954;
																									{	/* Eval/evaluate.scm 461 */
																										BgL_ev_littz00_bglt
																											BgL_new1110z00_3955;
																										BgL_new1110z00_3955 =
																											((BgL_ev_littz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_littz00_bgl))));
																										{	/* Eval/evaluate.scm 461 */
																											long BgL_arg2251z00_3956;

																											{	/* Eval/evaluate.scm 461 */
																												long
																													BgL_res2958z00_3958;
																												BgL_res2958z00_3958 =
																													BGL_CLASS_INDEX
																													(BGl_ev_littz00zz__evaluate_typesz00);
																												BgL_arg2251z00_3956 =
																													BgL_res2958z00_3958;
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1110z00_3955),
																												BgL_arg2251z00_3956);
																										}
																										BgL_new1111z00_3954 =
																											BgL_new1110z00_3955;
																									}
																									((((BgL_ev_littz00_bglt)
																												COBJECT
																												(BgL_new1111z00_3954))->
																											BgL_valuez00) =
																										((obj_t)
																											BgL_arg1610z00_1623),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1111z00_3954);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1611z00_1624;

																								BgL_arg1611z00_1624 =
																									CAR(BgL_ez00_69);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5742;
																									{
																										obj_t BgL_argsz00_5744;
																										obj_t BgL_fz00_5743;

																										BgL_fz00_5743 =
																											BgL_arg1611z00_1624;
																										BgL_argsz00_5744 =
																											BgL_cdrzd24489zd2_1617;
																										BgL_argsz00_1526 =
																											BgL_argsz00_5744;
																										BgL_fz00_1525 =
																											BgL_fz00_5743;
																										goto BgL_tagzd2175zd2_1527;
																									}
																									return
																										((obj_t) BgL_auxz00_5742);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1615z00_1627;

																						BgL_arg1615z00_1627 =
																							CAR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5747;
																							{
																								obj_t BgL_argsz00_5749;
																								obj_t BgL_fz00_5748;

																								BgL_fz00_5748 =
																									BgL_arg1615z00_1627;
																								BgL_argsz00_5749 =
																									BgL_cdrzd24489zd2_1617;
																								BgL_argsz00_1526 =
																									BgL_argsz00_5749;
																								BgL_fz00_1525 = BgL_fz00_5748;
																								goto BgL_tagzd2175zd2_1527;
																							}
																							return ((obj_t) BgL_auxz00_5747);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				if (
																					(CAR(BgL_ez00_69) ==
																						BGl_symbol3219z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 425 */
																						if (PAIRP(BgL_cdrzd24489zd2_1617))
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_cdrzd25099zd2_1633;

																								BgL_cdrzd25099zd2_1633 =
																									CDR(BgL_cdrzd24489zd2_1617);
																								if (PAIRP
																									(BgL_cdrzd25099zd2_1633))
																									{	/* Eval/evaluate.scm 425 */
																										obj_t
																											BgL_cdrzd25104zd2_1635;
																										BgL_cdrzd25104zd2_1635 =
																											CDR
																											(BgL_cdrzd25099zd2_1633);
																										if (PAIRP
																											(BgL_cdrzd25104zd2_1635))
																											{	/* Eval/evaluate.scm 425 */
																												if (NULLP(CDR
																														(BgL_cdrzd25104zd2_1635)))
																													{	/* Eval/evaluate.scm 425 */
																														obj_t
																															BgL_arg1624z00_1639;
																														obj_t
																															BgL_arg1625z00_1640;
																														obj_t
																															BgL_arg1626z00_1641;
																														BgL_arg1624z00_1639
																															=
																															CAR
																															(BgL_cdrzd24489zd2_1617);
																														BgL_arg1625z00_1640
																															=
																															CAR
																															(BgL_cdrzd25099zd2_1633);
																														BgL_arg1626z00_1641
																															=
																															CAR
																															(BgL_cdrzd25104zd2_1635);
																														{
																															BgL_ev_ifz00_bglt
																																BgL_auxz00_5768;
																															BgL_pz00_1466 =
																																BgL_arg1624z00_1639;
																															BgL_tz00_1467 =
																																BgL_arg1625z00_1640;
																															BgL_oz00_1468 =
																																BgL_arg1626z00_1641;
																														BgL_tagzd2155zd2_1469:
																															{	/* Eval/evaluate.scm 463 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1113z00_2354;
																																{	/* Eval/evaluate.scm 464 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1112z00_2358;
																																	BgL_new1112z00_2358
																																		=
																																		(
																																		(BgL_ev_ifz00_bglt)
																																		BOBJECT
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_ev_ifz00_bgl))));
																																	{	/* Eval/evaluate.scm 464 */
																																		long
																																			BgL_arg2255z00_2359;
																																		{	/* Eval/evaluate.scm 464 */
																																			long
																																				BgL_res2870z00_3522;
																																			BgL_res2870z00_3522
																																				=
																																				BGL_CLASS_INDEX
																																				(BGl_ev_ifz00zz__evaluate_typesz00);
																																			BgL_arg2255z00_2359
																																				=
																																				BgL_res2870z00_3522;
																																		}
																																		BGL_OBJECT_CLASS_NUM_SET
																																			(((BgL_objectz00_bglt) BgL_new1112z00_2358), BgL_arg2255z00_2359);
																																	}
																																	BgL_new1113z00_2354
																																		=
																																		BgL_new1112z00_2358;
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5773;
																																	{	/* Eval/evaluate.scm 464 */
																																		obj_t
																																			BgL_arg2252z00_2355;
																																		{	/* Eval/evaluate.scm 145 */
																																			obj_t
																																				BgL__ortest_1066z00_3525;
																																			BgL__ortest_1066z00_3525
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_pz00_1466);
																																			if (CBOOL
																																				(BgL__ortest_1066z00_3525))
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2252z00_2355
																																						=
																																						BgL__ortest_1066z00_3525;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2252z00_2355
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5773
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_pz00_1466,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BFALSE,
																																				BgL_wherez00_73,
																																				BgL_arg2252z00_2355,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1113z00_2354))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5773), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5780;
																																	{	/* Eval/evaluate.scm 465 */
																																		obj_t
																																			BgL_arg2253z00_2356;
																																		{	/* Eval/evaluate.scm 145 */
																																			obj_t
																																				BgL__ortest_1066z00_3526;
																																			BgL__ortest_1066z00_3526
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_tz00_1467);
																																			if (CBOOL
																																				(BgL__ortest_1066z00_3526))
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2253z00_2356
																																						=
																																						BgL__ortest_1066z00_3526;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2253z00_2356
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5780
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_tz00_1467,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BgL_tailzf3zf3_72,
																																				BgL_wherez00_73,
																																				BgL_arg2253z00_2356,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1113z00_2354))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5780), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5787;
																																	{	/* Eval/evaluate.scm 466 */
																																		obj_t
																																			BgL_arg2254z00_2357;
																																		{	/* Eval/evaluate.scm 145 */
																																			obj_t
																																				BgL__ortest_1066z00_3527;
																																			BgL__ortest_1066z00_3527
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_oz00_1468);
																																			if (CBOOL
																																				(BgL__ortest_1066z00_3527))
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2254z00_2357
																																						=
																																						BgL__ortest_1066z00_3527;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2254z00_2357
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5787
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_oz00_1468,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BgL_tailzf3zf3_72,
																																				BgL_wherez00_73,
																																				BgL_arg2254z00_2357,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1113z00_2354))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5787), BUNSPEC);
																																}
																																BgL_auxz00_5768
																																	=
																																	BgL_new1113z00_2354;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5768);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 425 */
																														obj_t
																															BgL_arg1628z00_1642;
																														obj_t
																															BgL_arg1630z00_1643;
																														BgL_arg1628z00_1642
																															=
																															CAR(BgL_ez00_69);
																														BgL_arg1630z00_1643
																															=
																															CDR(BgL_ez00_69);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_5797;
																															{
																																obj_t
																																	BgL_argsz00_5799;
																																obj_t
																																	BgL_fz00_5798;
																																BgL_fz00_5798 =
																																	BgL_arg1628z00_1642;
																																BgL_argsz00_5799
																																	=
																																	BgL_arg1630z00_1643;
																																BgL_argsz00_1526
																																	=
																																	BgL_argsz00_5799;
																																BgL_fz00_1525 =
																																	BgL_fz00_5798;
																																goto
																																	BgL_tagzd2175zd2_1527;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5797);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 425 */
																												obj_t
																													BgL_cdrzd25402zd2_1645;
																												BgL_cdrzd25402zd2_1645 =
																													CDR(BgL_ez00_69);
																												{	/* Eval/evaluate.scm 425 */
																													obj_t
																														BgL_cdrzd25408zd2_1646;
																													BgL_cdrzd25408zd2_1646
																														=
																														CDR(((obj_t)
																															BgL_cdrzd25402zd2_1645));
																													if (NULLP(CDR(((obj_t)
																																	BgL_cdrzd25408zd2_1646))))
																														{	/* Eval/evaluate.scm 425 */
																															obj_t
																																BgL_arg1639z00_1649;
																															obj_t
																																BgL_arg1642z00_1650;
																															BgL_arg1639z00_1649
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd25402zd2_1645));
																															BgL_arg1642z00_1650
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd25408zd2_1646));
																															{
																																BgL_ev_ifz00_bglt
																																	BgL_auxz00_5812;
																																BgL_pz00_1470 =
																																	BgL_arg1639z00_1649;
																																BgL_tz00_1471 =
																																	BgL_arg1642z00_1650;
																															BgL_tagzd2156zd2_1472:
																																{	/* Eval/evaluate.scm 468 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1115z00_2360;
																																	{	/* Eval/evaluate.scm 469 */
																																		BgL_ev_ifz00_bglt
																																			BgL_new1114z00_2364;
																																		BgL_new1114z00_2364
																																			=
																																			(
																																			(BgL_ev_ifz00_bglt)
																																			BOBJECT
																																			(GC_MALLOC
																																				(sizeof
																																					(struct
																																						BgL_ev_ifz00_bgl))));
																																		{	/* Eval/evaluate.scm 469 */
																																			long
																																				BgL_arg2260z00_2365;
																																			{	/* Eval/evaluate.scm 469 */
																																				long
																																					BgL_res2871z00_3529;
																																				BgL_res2871z00_3529
																																					=
																																					BGL_CLASS_INDEX
																																					(BGl_ev_ifz00zz__evaluate_typesz00);
																																				BgL_arg2260z00_2365
																																					=
																																					BgL_res2871z00_3529;
																																			}
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(((BgL_objectz00_bglt) BgL_new1114z00_2364), BgL_arg2260z00_2365);
																																		}
																																		BgL_new1115z00_2360
																																			=
																																			BgL_new1114z00_2364;
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5817;
																																		{	/* Eval/evaluate.scm 469 */
																																			obj_t
																																				BgL_arg2256z00_2361;
																																			{	/* Eval/evaluate.scm 145 */
																																				obj_t
																																					BgL__ortest_1066z00_3532;
																																				BgL__ortest_1066z00_3532
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_pz00_1470);
																																				if (CBOOL(BgL__ortest_1066z00_3532))
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2256z00_2361
																																							=
																																							BgL__ortest_1066z00_3532;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2256z00_2361
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5817
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_pz00_1470,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BFALSE,
																																					BgL_wherez00_73,
																																					BgL_arg2256z00_2361,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1115z00_2360))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5817), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5824;
																																		{	/* Eval/evaluate.scm 470 */
																																			obj_t
																																				BgL_arg2257z00_2362;
																																			{	/* Eval/evaluate.scm 145 */
																																				obj_t
																																					BgL__ortest_1066z00_3533;
																																				BgL__ortest_1066z00_3533
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_tz00_1471);
																																				if (CBOOL(BgL__ortest_1066z00_3533))
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2257z00_2362
																																							=
																																							BgL__ortest_1066z00_3533;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2257z00_2362
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5824
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_tz00_1471,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BgL_tailzf3zf3_72,
																																					BgL_wherez00_73,
																																					BgL_arg2257z00_2362,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1115z00_2360))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5824), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5831;
																																		{	/* Eval/evaluate.scm 471 */
																																			obj_t
																																				BgL_arg2259z00_2363;
																																			{	/* Eval/evaluate.scm 145 */
																																				obj_t
																																					BgL__ortest_1066z00_3534;
																																				BgL__ortest_1066z00_3534
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BFALSE);
																																				if (CBOOL(BgL__ortest_1066z00_3534))
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2259z00_2363
																																							=
																																							BgL__ortest_1066z00_3534;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2259z00_2363
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5831
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_ez00_69,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BgL_tailzf3zf3_72,
																																					BgL_wherez00_73,
																																					BgL_arg2259z00_2363,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1115z00_2360))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5831), BUNSPEC);
																																	}
																																	BgL_auxz00_5812
																																		=
																																		BgL_new1115z00_2360;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5812);
																															}
																														}
																													else
																														{	/* Eval/evaluate.scm 425 */
																															obj_t
																																BgL_arg1643z00_1651;
																															BgL_arg1643z00_1651
																																=
																																CAR
																																(BgL_ez00_69);
																															{
																																BgL_ev_appz00_bglt
																																	BgL_auxz00_5840;
																																{
																																	obj_t
																																		BgL_argsz00_5842;
																																	obj_t
																																		BgL_fz00_5841;
																																	BgL_fz00_5841
																																		=
																																		BgL_arg1643z00_1651;
																																	BgL_argsz00_5842
																																		=
																																		BgL_cdrzd25402zd2_1645;
																																	BgL_argsz00_1526
																																		=
																																		BgL_argsz00_5842;
																																	BgL_fz00_1525
																																		=
																																		BgL_fz00_5841;
																																	goto
																																		BgL_tagzd2175zd2_1527;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5840);
																															}
																														}
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 425 */
																										obj_t BgL_arg1646z00_1654;
																										obj_t BgL_arg1647z00_1655;

																										BgL_arg1646z00_1654 =
																											CAR(BgL_ez00_69);
																										BgL_arg1647z00_1655 =
																											CDR(BgL_ez00_69);
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_5846;
																											{
																												obj_t BgL_argsz00_5848;
																												obj_t BgL_fz00_5847;

																												BgL_fz00_5847 =
																													BgL_arg1646z00_1654;
																												BgL_argsz00_5848 =
																													BgL_arg1647z00_1655;
																												BgL_argsz00_1526 =
																													BgL_argsz00_5848;
																												BgL_fz00_1525 =
																													BgL_fz00_5847;
																												goto
																													BgL_tagzd2175zd2_1527;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_5846);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1653z00_1656;
																								obj_t BgL_arg1654z00_1657;

																								BgL_arg1653z00_1656 =
																									CAR(BgL_ez00_69);
																								BgL_arg1654z00_1657 =
																									CDR(BgL_ez00_69);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5852;
																									{
																										obj_t BgL_argsz00_5854;
																										obj_t BgL_fz00_5853;

																										BgL_fz00_5853 =
																											BgL_arg1653z00_1656;
																										BgL_argsz00_5854 =
																											BgL_arg1654z00_1657;
																										BgL_argsz00_1526 =
																											BgL_argsz00_5854;
																										BgL_fz00_1525 =
																											BgL_fz00_5853;
																										goto BgL_tagzd2175zd2_1527;
																									}
																									return
																										((obj_t) BgL_auxz00_5852);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						if (
																							(CAR(BgL_ez00_69) ==
																								BGl_symbol3248z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1657z00_1660;

																								BgL_arg1657z00_1660 =
																									CDR(BgL_ez00_69);
																								{	/* Eval/evaluate.scm 473 */
																									BgL_ev_orz00_bglt
																										BgL_new1118z00_3993;
																									{	/* Eval/evaluate.scm 474 */
																										BgL_ev_orz00_bglt
																											BgL_new1117z00_3994;
																										BgL_new1117z00_3994 =
																											((BgL_ev_orz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_orz00_bgl))));
																										{	/* Eval/evaluate.scm 474 */
																											long BgL_arg2262z00_3995;

																											{	/* Eval/evaluate.scm 474 */
																												long
																													BgL_res2964z00_3997;
																												BgL_res2964z00_3997 =
																													BGL_CLASS_INDEX
																													(BGl_ev_orz00zz__evaluate_typesz00);
																												BgL_arg2262z00_3995 =
																													BgL_res2964z00_3997;
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1117z00_3994),
																												BgL_arg2262z00_3995);
																										}
																										BgL_new1118z00_3993 =
																											BgL_new1117z00_3994;
																									}
																									((((BgL_ev_listz00_bglt)
																												COBJECT((
																														(BgL_ev_listz00_bglt)
																														BgL_new1118z00_3993)))->
																											BgL_argsz00) =
																										((obj_t)
																											BGl_loopze70ze7zz__evaluatez00
																											(BgL_wherez00_73,
																												BgL_globalsz00_71,
																												BgL_localsz00_70,
																												BgL_locz00_74,
																												BgL_arg1657z00_1660)),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1118z00_3993);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 425 */
																								if (
																									(CAR(BgL_ez00_69) ==
																										BGl_symbol3250z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 425 */
																										obj_t BgL_arg1662z00_1663;

																										BgL_arg1662z00_1663 =
																											CDR(BgL_ez00_69);
																										{	/* Eval/evaluate.scm 476 */
																											BgL_ev_andz00_bglt
																												BgL_new1120z00_4002;
																											{	/* Eval/evaluate.scm 477 */
																												BgL_ev_andz00_bglt
																													BgL_new1119z00_4003;
																												BgL_new1119z00_4003 =
																													((BgL_ev_andz00_bglt)
																													BOBJECT(GC_MALLOC
																														(sizeof(struct
																																BgL_ev_andz00_bgl))));
																												{	/* Eval/evaluate.scm 477 */
																													long
																														BgL_arg2263z00_4004;
																													{	/* Eval/evaluate.scm 477 */
																														long
																															BgL_res2965z00_4006;
																														BgL_res2965z00_4006
																															=
																															BGL_CLASS_INDEX
																															(BGl_ev_andz00zz__evaluate_typesz00);
																														BgL_arg2263z00_4004
																															=
																															BgL_res2965z00_4006;
																													}
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) BgL_new1119z00_4003), BgL_arg2263z00_4004);
																												}
																												BgL_new1120z00_4002 =
																													BgL_new1119z00_4003;
																											}
																											((((BgL_ev_listz00_bglt)
																														COBJECT((
																																(BgL_ev_listz00_bglt)
																																BgL_new1120z00_4002)))->
																													BgL_argsz00) =
																												((obj_t)
																													BGl_loopze70ze7zz__evaluatez00
																													(BgL_wherez00_73,
																														BgL_globalsz00_71,
																														BgL_localsz00_70,
																														BgL_locz00_74,
																														BgL_arg1662z00_1663)),
																												BUNSPEC);
																											return ((obj_t)
																												BgL_new1120z00_4002);
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 425 */
																										if (
																											(CAR(BgL_ez00_69) ==
																												BGl_symbol3235z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 425 */
																												return
																													BGl_convzd2beginzd2zz__evaluatez00
																													(CDR(BgL_ez00_69),
																													BgL_localsz00_70,
																													BgL_globalsz00_71,
																													BgL_tailzf3zf3_72,
																													BgL_wherez00_73,
																													BgL_locz00_74,
																													BgL_topzf3zf3_75);
																											}
																										else
																											{	/* Eval/evaluate.scm 425 */
																												obj_t
																													BgL_cdrzd26301zd2_1667;
																												BgL_cdrzd26301zd2_1667 =
																													CDR(BgL_ez00_69);
																												if ((CAR(BgL_ez00_69) ==
																														BGl_symbol3221z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 425 */
																														if (PAIRP
																															(BgL_cdrzd26301zd2_1667))
																															{	/* Eval/evaluate.scm 425 */
																																obj_t
																																	BgL_arg1669z00_1671;
																																obj_t
																																	BgL_arg1670z00_1672;
																																BgL_arg1669z00_1671
																																	=
																																	CAR
																																	(BgL_cdrzd26301zd2_1667);
																																BgL_arg1670z00_1672
																																	=
																																	CDR
																																	(BgL_cdrzd26301zd2_1667);
																																{
																																	BgL_ev_letz00_bglt
																																		BgL_auxz00_5893;
																																	BgL_bindsz00_1479
																																		=
																																		BgL_arg1669z00_1671;
																																	BgL_bodyz00_1480
																																		=
																																		BgL_arg1670z00_1672;
																																BgL_tagzd2160zd2_1481:
																																	{	/* Eval/evaluate.scm 481 */
																																		obj_t
																																			BgL_ubindsz00_2372;
																																		if (NULLP
																																			(BgL_bindsz00_1479))
																																			{	/* Eval/evaluate.scm 481 */
																																				BgL_ubindsz00_2372
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 481 */
																																				obj_t
																																					BgL_head1213z00_2417;
																																				{	/* Eval/evaluate.scm 481 */
																																					obj_t
																																						BgL_res2875z00_3550;
																																					BgL_res2875z00_3550
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_head1213z00_2417
																																						=
																																						BgL_res2875z00_3550;
																																				}
																																				{
																																					obj_t
																																						BgL_l1211z00_3578;
																																					obj_t
																																						BgL_tail1214z00_3579;
																																					BgL_l1211z00_3578
																																						=
																																						BgL_bindsz00_1479;
																																					BgL_tail1214z00_3579
																																						=
																																						BgL_head1213z00_2417;
																																				BgL_zc3anonymousza32282ze3z83_3577:
																																					if (NULLP(BgL_l1211z00_3578))
																																						{	/* Eval/evaluate.scm 481 */
																																							BgL_ubindsz00_2372
																																								=
																																								CDR
																																								(BgL_head1213z00_2417);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 481 */
																																							obj_t
																																								BgL_newtail1215z00_3587;
																																							{	/* Eval/evaluate.scm 481 */
																																								obj_t
																																									BgL_arg2286z00_3588;
																																								{	/* Eval/evaluate.scm 481 */
																																									obj_t
																																										BgL_bz00_3589;
																																									BgL_bz00_3589
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_l1211z00_3578));
																																									{	/* Eval/evaluate.scm 481 */
																																										obj_t
																																											BgL_arg2288z00_3590;
																																										BgL_arg2288z00_3590
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_bz00_3589));
																																										BgL_arg2286z00_3588
																																											=
																																											BGl_untypezd2identzd2zz__evaluatez00
																																											(BgL_arg2288z00_3590);
																																									}
																																								}
																																								{	/* Eval/evaluate.scm 481 */
																																									obj_t
																																										BgL_res2881z00_3596;
																																									BgL_res2881z00_3596
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg2286z00_3588,
																																										BNIL);
																																									BgL_newtail1215z00_3587
																																										=
																																										BgL_res2881z00_3596;
																																								}
																																							}
																																							SET_CDR
																																								(BgL_tail1214z00_3579,
																																								BgL_newtail1215z00_3587);
																																							{	/* Eval/evaluate.scm 481 */
																																								obj_t
																																									BgL_arg2284z00_3591;
																																								BgL_arg2284z00_3591
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_l1211z00_3578));
																																								{
																																									obj_t
																																										BgL_tail1214z00_5910;
																																									obj_t
																																										BgL_l1211z00_5909;
																																									BgL_l1211z00_5909
																																										=
																																										BgL_arg2284z00_3591;
																																									BgL_tail1214z00_5910
																																										=
																																										BgL_newtail1215z00_3587;
																																									BgL_tail1214z00_3579
																																										=
																																										BgL_tail1214z00_5910;
																																									BgL_l1211z00_3578
																																										=
																																										BgL_l1211z00_5909;
																																									goto
																																										BgL_zc3anonymousza32282ze3z83_3577;
																																								}
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 481 */
																																			obj_t
																																				BgL_varsz00_2373;
																																			if (NULLP
																																				(BgL_ubindsz00_2372))
																																				{	/* Eval/evaluate.scm 482 */
																																					BgL_varsz00_2373
																																						=
																																						BNIL;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 482 */
																																					obj_t
																																						BgL_head1218z00_2401;
																																					{	/* Eval/evaluate.scm 482 */
																																						obj_t
																																							BgL_res2883z00_3600;
																																						BgL_res2883z00_3600
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BNIL,
																																							BNIL);
																																						BgL_head1218z00_2401
																																							=
																																							BgL_res2883z00_3600;
																																					}
																																					{
																																						obj_t
																																							BgL_l1216z00_2403;
																																						obj_t
																																							BgL_tail1219z00_2404;
																																						BgL_l1216z00_2403
																																							=
																																							BgL_ubindsz00_2372;
																																						BgL_tail1219z00_2404
																																							=
																																							BgL_head1218z00_2401;
																																					BgL_zc3anonymousza32276ze3z83_2405:
																																						if (NULLP(BgL_l1216z00_2403))
																																							{	/* Eval/evaluate.scm 482 */
																																								BgL_varsz00_2373
																																									=
																																									CDR
																																									(BgL_head1218z00_2401);
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 482 */
																																								obj_t
																																									BgL_newtail1220z00_2407;
																																								{	/* Eval/evaluate.scm 482 */
																																									BgL_ev_varz00_bglt
																																										BgL_arg2279z00_2409;
																																									{	/* Eval/evaluate.scm 482 */
																																										obj_t
																																											BgL_iz00_2410;
																																										BgL_iz00_2410
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_l1216z00_2403));
																																										{	/* Eval/evaluate.scm 483 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1123z00_2411;
																																											{	/* Eval/evaluate.scm 485 */
																																												BgL_ev_varz00_bglt
																																													BgL_new1121z00_2412;
																																												BgL_new1121z00_2412
																																													=
																																													(
																																													(BgL_ev_varz00_bglt)
																																													BOBJECT
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_varz00_bgl))));
																																												{	/* Eval/evaluate.scm 485 */
																																													long
																																														BgL_arg2280z00_2413;
																																													{	/* Eval/evaluate.scm 485 */
																																														long
																																															BgL_res2885z00_3605;
																																														BgL_res2885z00_3605
																																															=
																																															BGL_CLASS_INDEX
																																															(BGl_ev_varz00zz__evaluate_typesz00);
																																														BgL_arg2280z00_2413
																																															=
																																															BgL_res2885z00_3605;
																																													}
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														((BgL_objectz00_bglt) BgL_new1121z00_2412), BgL_arg2280z00_2413);
																																												}
																																												BgL_new1123z00_2411
																																													=
																																													BgL_new1121z00_2412;
																																											}
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1123z00_2411))->BgL_namez00) = ((obj_t) CAR(((obj_t) BgL_iz00_2410))), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1123z00_2411))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1123z00_2411))->BgL_typez00) = ((obj_t) CDR(((obj_t) BgL_iz00_2410))), BUNSPEC);
																																											BgL_arg2279z00_2409
																																												=
																																												BgL_new1123z00_2411;
																																									}}
																																									{	/* Eval/evaluate.scm 482 */
																																										obj_t
																																											BgL_res2886z00_3610;
																																										BgL_res2886z00_3610
																																											=
																																											MAKE_YOUNG_PAIR
																																											(
																																											((obj_t) BgL_arg2279z00_2409), BNIL);
																																										BgL_newtail1220z00_2407
																																											=
																																											BgL_res2886z00_3610;
																																								}}
																																								SET_CDR
																																									(BgL_tail1219z00_2404,
																																									BgL_newtail1220z00_2407);
																																								{	/* Eval/evaluate.scm 482 */
																																									obj_t
																																										BgL_arg2278z00_2408;
																																									BgL_arg2278z00_2408
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_l1216z00_2403));
																																									{
																																										obj_t
																																											BgL_tail1219z00_5936;
																																										obj_t
																																											BgL_l1216z00_5935;
																																										BgL_l1216z00_5935
																																											=
																																											BgL_arg2278z00_2408;
																																										BgL_tail1219z00_5936
																																											=
																																											BgL_newtail1220z00_2407;
																																										BgL_tail1219z00_2404
																																											=
																																											BgL_tail1219z00_5936;
																																										BgL_l1216z00_2403
																																											=
																																											BgL_l1216z00_5935;
																																										goto
																																											BgL_zc3anonymousza32276ze3z83_2405;
																																									}
																																								}
																																							}
																																					}
																																				}
																																			{	/* Eval/evaluate.scm 482 */
																																				obj_t
																																					BgL_bodyz00_2374;
																																				{	/* Eval/evaluate.scm 487 */
																																					bool_t
																																						BgL_testz00_5937;
																																					{	/* Eval/evaluate.scm 487 */
																																						obj_t
																																							BgL_tmpz00_5938;
																																						BgL_tmpz00_5938
																																							=
																																							CDR
																																							(((obj_t) BgL_bodyz00_1480));
																																						BgL_testz00_5937
																																							=
																																							PAIRP
																																							(BgL_tmpz00_5938);
																																					}
																																					if (BgL_testz00_5937)
																																						{	/* Eval/evaluate.scm 487 */
																																							obj_t
																																								BgL_res2888z00_3616;
																																							BgL_res2888z00_3616
																																								=
																																								MAKE_YOUNG_EPAIR
																																								(BGl_symbol3235z00zz__evaluatez00,
																																								BgL_bodyz00_1480,
																																								BgL_locz00_74);
																																							BgL_bodyz00_2374
																																								=
																																								BgL_res2888z00_3616;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 487 */
																																							BgL_bodyz00_2374
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_bodyz00_1480));
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 487 */
																																					obj_t
																																						BgL_tbodyz00_2375;
																																					BgL_tbodyz00_2375
																																						=
																																						BGl_typezd2checkszd2zz__evaluatez00
																																						(BgL_ubindsz00_2372,
																																						BgL_bindsz00_1479,
																																						BgL_bodyz00_2374,
																																						BgL_locz00_74,
																																						BgL_wherez00_73);
																																					{	/* Eval/evaluate.scm 488 */

																																						{	/* Eval/evaluate.scm 489 */
																																							obj_t
																																								BgL_blocz00_2376;
																																							{	/* Eval/evaluate.scm 145 */
																																								obj_t
																																									BgL__ortest_1066z00_3618;
																																								BgL__ortest_1066z00_3618
																																									=
																																									BGl_getzd2sourcezd2locationz00zz__readerz00
																																									(BgL_bindsz00_1479);
																																								if (CBOOL(BgL__ortest_1066z00_3618))
																																									{	/* Eval/evaluate.scm 145 */
																																										BgL_blocz00_2376
																																											=
																																											BgL__ortest_1066z00_3618;
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 145 */
																																										BgL_blocz00_2376
																																											=
																																											BgL_locz00_74;
																																									}
																																							}
																																							{	/* Eval/evaluate.scm 490 */
																																								BgL_ev_letz00_bglt
																																									BgL_new1126z00_2377;
																																								{	/* Eval/evaluate.scm 491 */
																																									BgL_ev_letz00_bglt
																																										BgL_new1124z00_2394;
																																									BgL_new1124z00_2394
																																										=
																																										(
																																										(BgL_ev_letz00_bglt)
																																										BOBJECT
																																										(GC_MALLOC
																																											(sizeof
																																												(struct
																																													BgL_ev_letz00_bgl))));
																																									{	/* Eval/evaluate.scm 491 */
																																										long
																																											BgL_arg2271z00_2395;
																																										{	/* Eval/evaluate.scm 491 */
																																											long
																																												BgL_res2889z00_3620;
																																											BgL_res2889z00_3620
																																												=
																																												BGL_CLASS_INDEX
																																												(BGl_ev_letz00zz__evaluate_typesz00);
																																											BgL_arg2271z00_2395
																																												=
																																												BgL_res2889z00_3620;
																																										}
																																										BGL_OBJECT_CLASS_NUM_SET
																																											(
																																											((BgL_objectz00_bglt) BgL_new1124z00_2394), BgL_arg2271z00_2395);
																																									}
																																									BgL_new1126z00_2377
																																										=
																																										BgL_new1124z00_2394;
																																								}
																																								((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1126z00_2377)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2373), BUNSPEC);
																																								{
																																									obj_t
																																										BgL_auxz00_5955;
																																									if (NULLP(BgL_bindsz00_1479))
																																										{	/* Eval/evaluate.scm 492 */
																																											BgL_auxz00_5955
																																												=
																																												BNIL;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 492 */
																																											obj_t
																																												BgL_head1223z00_2380;
																																											{	/* Eval/evaluate.scm 492 */
																																												obj_t
																																													BgL_res2891z00_3624;
																																												BgL_res2891z00_3624
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BNIL,
																																													BNIL);
																																												BgL_head1223z00_2380
																																													=
																																													BgL_res2891z00_3624;
																																											}
																																											{
																																												obj_t
																																													BgL_l1221z00_2382;
																																												obj_t
																																													BgL_tail1224z00_2383;
																																												BgL_l1221z00_2382
																																													=
																																													BgL_bindsz00_1479;
																																												BgL_tail1224z00_2383
																																													=
																																													BgL_head1223z00_2380;
																																											BgL_zc3anonymousza32265ze3z83_2384:
																																												if (NULLP(BgL_l1221z00_2382))
																																													{	/* Eval/evaluate.scm 492 */
																																														BgL_auxz00_5955
																																															=
																																															CDR
																																															(BgL_head1223z00_2380);
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 492 */
																																														obj_t
																																															BgL_newtail1225z00_2386;
																																														{	/* Eval/evaluate.scm 492 */
																																															obj_t
																																																BgL_arg2268z00_2388;
																																															{	/* Eval/evaluate.scm 492 */
																																																obj_t
																																																	BgL_bz00_2389;
																																																BgL_bz00_2389
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_l1221z00_2382));
																																																{	/* Eval/evaluate.scm 493 */
																																																	obj_t
																																																		BgL_locz00_2390;
																																																	{	/* Eval/evaluate.scm 145 */
																																																		obj_t
																																																			BgL__ortest_1066z00_3628;
																																																		BgL__ortest_1066z00_3628
																																																			=
																																																			BGl_getzd2sourcezd2locationz00zz__readerz00
																																																			(BgL_bz00_2389);
																																																		if (CBOOL(BgL__ortest_1066z00_3628))
																																																			{	/* Eval/evaluate.scm 145 */
																																																				BgL_locz00_2390
																																																					=
																																																					BgL__ortest_1066z00_3628;
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 145 */
																																																				BgL_locz00_2390
																																																					=
																																																					BgL_blocz00_2376;
																																																			}
																																																	}
																																																	{	/* Eval/evaluate.scm 494 */
																																																		obj_t
																																																			BgL_arg2269z00_2391;
																																																		{	/* Eval/evaluate.scm 494 */
																																																			obj_t
																																																				BgL_pairz00_3632;
																																																			BgL_pairz00_3632
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_bz00_2389));
																																																			BgL_arg2269z00_2391
																																																				=
																																																				CAR
																																																				(BgL_pairz00_3632);
																																																		}
																																																		BgL_arg2268z00_2388
																																																			=
																																																			BGl_convz00zz__evaluatez00
																																																			(BgL_arg2269z00_2391,
																																																			BgL_localsz00_70,
																																																			BgL_globalsz00_71,
																																																			BFALSE,
																																																			BgL_wherez00_73,
																																																			BgL_locz00_2390,
																																																			((bool_t) 0));
																																																	}
																																																}
																																															}
																																															{	/* Eval/evaluate.scm 492 */
																																																obj_t
																																																	BgL_res2893z00_3633;
																																																BgL_res2893z00_3633
																																																	=
																																																	MAKE_YOUNG_PAIR
																																																	(BgL_arg2268z00_2388,
																																																	BNIL);
																																																BgL_newtail1225z00_2386
																																																	=
																																																	BgL_res2893z00_3633;
																																															}
																																														}
																																														SET_CDR
																																															(BgL_tail1224z00_2383,
																																															BgL_newtail1225z00_2386);
																																														{	/* Eval/evaluate.scm 492 */
																																															obj_t
																																																BgL_arg2267z00_2387;
																																															BgL_arg2267z00_2387
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_l1221z00_2382));
																																															{
																																																obj_t
																																																	BgL_tail1224z00_5977;
																																																obj_t
																																																	BgL_l1221z00_5976;
																																																BgL_l1221z00_5976
																																																	=
																																																	BgL_arg2267z00_2387;
																																																BgL_tail1224z00_5977
																																																	=
																																																	BgL_newtail1225z00_2386;
																																																BgL_tail1224z00_2383
																																																	=
																																																	BgL_tail1224z00_5977;
																																																BgL_l1221z00_2382
																																																	=
																																																	BgL_l1221z00_5976;
																																																goto
																																																	BgL_zc3anonymousza32265ze3z83_2384;
																																															}
																																														}
																																													}
																																											}
																																										}
																																									((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1126z00_2377)))->BgL_valsz00) = ((obj_t) BgL_auxz00_5955), BUNSPEC);
																																								}
																																								{
																																									BgL_ev_exprz00_bglt
																																										BgL_auxz00_5979;
																																									{	/* Eval/evaluate.scm 496 */
																																										obj_t
																																											BgL_arg2270z00_2393;
																																										BgL_arg2270z00_2393
																																											=
																																											BGl_appendzd221010zd2zz__evaluatez00
																																											(BgL_varsz00_2373,
																																											BgL_localsz00_70);
																																										BgL_auxz00_5979
																																											=
																																											(
																																											(BgL_ev_exprz00_bglt)
																																											BGl_convz00zz__evaluatez00
																																											(BgL_tbodyz00_2375,
																																												BgL_arg2270z00_2393,
																																												BgL_globalsz00_71,
																																												BgL_tailzf3zf3_72,
																																												BgL_wherez00_73,
																																												BgL_locz00_74,
																																												((bool_t) 0)));
																																									}
																																									((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1126z00_2377)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5979), BUNSPEC);
																																								}
																																								((((BgL_ev_letz00_bglt) COBJECT(BgL_new1126z00_2377))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																								BgL_auxz00_5893
																																									=
																																									BgL_new1126z00_2377;
																																							}
																																						}
																																					}
																																				}
																																			}
																																		}
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5893);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 425 */
																																obj_t
																																	BgL_arg1671z00_1673;
																																BgL_arg1671z00_1673
																																	=
																																	CAR
																																	(BgL_ez00_69);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_5988;
																																	{
																																		obj_t
																																			BgL_argsz00_5990;
																																		obj_t
																																			BgL_fz00_5989;
																																		BgL_fz00_5989
																																			=
																																			BgL_arg1671z00_1673;
																																		BgL_argsz00_5990
																																			=
																																			BgL_cdrzd26301zd2_1667;
																																		BgL_argsz00_1526
																																			=
																																			BgL_argsz00_5990;
																																		BgL_fz00_1525
																																			=
																																			BgL_fz00_5989;
																																		goto
																																			BgL_tagzd2175zd2_1527;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5988);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 425 */
																														if (
																															(CAR(BgL_ez00_69)
																																==
																																BGl_symbol3252z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 425 */
																																if (PAIRP
																																	(BgL_cdrzd26301zd2_1667))
																																	{	/* Eval/evaluate.scm 425 */
																																		obj_t
																																			BgL_arg1676z00_1679;
																																		obj_t
																																			BgL_arg1678z00_1680;
																																		BgL_arg1676z00_1679
																																			=
																																			CAR
																																			(BgL_cdrzd26301zd2_1667);
																																		BgL_arg1678z00_1680
																																			=
																																			CDR
																																			(BgL_cdrzd26301zd2_1667);
																																		{
																																			BgL_ev_letza2za2_bglt
																																				BgL_auxz00_5999;
																																			BgL_bindsz00_1482
																																				=
																																				BgL_arg1676z00_1679;
																																			BgL_bodyz00_1483
																																				=
																																				BgL_arg1678z00_1680;
																																		BgL_tagzd2161zd2_1484:
																																			{	/* Eval/evaluate.scm 504 */
																																				obj_t
																																					BgL_varsz00_2430;
																																				obj_t
																																					BgL_blocz00_2431;
																																				if (NULLP(BgL_bindsz00_1482))
																																					{	/* Eval/evaluate.scm 504 */
																																						BgL_varsz00_2430
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 504 */
																																						obj_t
																																							BgL_head1228z00_2439;
																																						{	/* Eval/evaluate.scm 504 */
																																							obj_t
																																								BgL_res2896z00_3659;
																																							BgL_res2896z00_3659
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_head1228z00_2439
																																								=
																																								BgL_res2896z00_3659;
																																						}
																																						{
																																							obj_t
																																								BgL_l1226z00_2441;
																																							obj_t
																																								BgL_tail1229z00_2442;
																																							BgL_l1226z00_2441
																																								=
																																								BgL_bindsz00_1482;
																																							BgL_tail1229z00_2442
																																								=
																																								BgL_head1228z00_2439;
																																						BgL_zc3anonymousza32294ze3z83_2443:
																																							if (NULLP(BgL_l1226z00_2441))
																																								{	/* Eval/evaluate.scm 504 */
																																									BgL_varsz00_2430
																																										=
																																										CDR
																																										(BgL_head1228z00_2439);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 504 */
																																									obj_t
																																										BgL_newtail1230z00_2445;
																																									{	/* Eval/evaluate.scm 504 */
																																										BgL_ev_varz00_bglt
																																											BgL_arg2297z00_2447;
																																										{	/* Eval/evaluate.scm 504 */
																																											obj_t
																																												BgL_bz00_2448;
																																											BgL_bz00_2448
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_l1226z00_2441));
																																											{	/* Eval/evaluate.scm 505 */
																																												obj_t
																																													BgL_iz00_2449;
																																												{	/* Eval/evaluate.scm 505 */
																																													obj_t
																																														BgL_arg2299z00_2453;
																																													BgL_arg2299z00_2453
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_bz00_2448));
																																													BgL_iz00_2449
																																														=
																																														BGl_untypezd2identzd2zz__evaluatez00
																																														(BgL_arg2299z00_2453);
																																												}
																																												{	/* Eval/evaluate.scm 506 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1130z00_2450;
																																													{	/* Eval/evaluate.scm 508 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1128z00_2451;
																																														BgL_new1128z00_2451
																																															=
																																															(
																																															(BgL_ev_varz00_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_varz00_bgl))));
																																														{	/* Eval/evaluate.scm 508 */
																																															long
																																																BgL_arg2298z00_2452;
																																															{	/* Eval/evaluate.scm 508 */
																																																long
																																																	BgL_res2898z00_3665;
																																																BgL_res2898z00_3665
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_varz00zz__evaluate_typesz00);
																																																BgL_arg2298z00_2452
																																																	=
																																																	BgL_res2898z00_3665;
																																															}
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1128z00_2451), BgL_arg2298z00_2452);
																																														}
																																														BgL_new1130z00_2450
																																															=
																																															BgL_new1128z00_2451;
																																													}
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1130z00_2450))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_2449)), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1130z00_2450))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1130z00_2450))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_2449)), BUNSPEC);
																																													BgL_arg2297z00_2447
																																														=
																																														BgL_new1130z00_2450;
																																										}}}
																																										{	/* Eval/evaluate.scm 504 */
																																											obj_t
																																												BgL_res2899z00_3670;
																																											BgL_res2899z00_3670
																																												=
																																												MAKE_YOUNG_PAIR
																																												(
																																												((obj_t) BgL_arg2297z00_2447), BNIL);
																																											BgL_newtail1230z00_2445
																																												=
																																												BgL_res2899z00_3670;
																																									}}
																																									SET_CDR
																																										(BgL_tail1229z00_2442,
																																										BgL_newtail1230z00_2445);
																																									{	/* Eval/evaluate.scm 504 */
																																										obj_t
																																											BgL_arg2296z00_2446;
																																										BgL_arg2296z00_2446
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_l1226z00_2441));
																																										{
																																											obj_t
																																												BgL_tail1229z00_6026;
																																											obj_t
																																												BgL_l1226z00_6025;
																																											BgL_l1226z00_6025
																																												=
																																												BgL_arg2296z00_2446;
																																											BgL_tail1229z00_6026
																																												=
																																												BgL_newtail1230z00_2445;
																																											BgL_tail1229z00_2442
																																												=
																																												BgL_tail1229z00_6026;
																																											BgL_l1226z00_2441
																																												=
																																												BgL_l1226z00_6025;
																																											goto
																																												BgL_zc3anonymousza32294ze3z83_2443;
																																										}
																																									}
																																								}
																																						}
																																					}
																																				{	/* Eval/evaluate.scm 145 */
																																					obj_t
																																						BgL__ortest_1066z00_3673;
																																					BgL__ortest_1066z00_3673
																																						=
																																						BGl_getzd2sourcezd2locationz00zz__readerz00
																																						(BgL_bindsz00_1482);
																																					if (CBOOL(BgL__ortest_1066z00_3673))
																																						{	/* Eval/evaluate.scm 145 */
																																							BgL_blocz00_2431
																																								=
																																								BgL__ortest_1066z00_3673;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 145 */
																																							BgL_blocz00_2431
																																								=
																																								BgL_locz00_74;
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 511 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_new1132z00_2432;
																																					{	/* Eval/evaluate.scm 512 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new1131z00_2435;
																																						BgL_new1131z00_2435
																																							=
																																							(
																																							(BgL_ev_letza2za2_bglt)
																																							BOBJECT
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_ev_letza2za2_bgl))));
																																						{	/* Eval/evaluate.scm 512 */
																																							long
																																								BgL_arg2292z00_2436;
																																							{	/* Eval/evaluate.scm 512 */
																																								long
																																									BgL_res2900z00_3675;
																																								BgL_res2900z00_3675
																																									=
																																									BGL_CLASS_INDEX
																																									(BGl_ev_letza2za2zz__evaluate_typesz00);
																																								BgL_arg2292z00_2436
																																									=
																																									BgL_res2900z00_3675;
																																							}
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(
																																								((BgL_objectz00_bglt) BgL_new1131z00_2435), BgL_arg2292z00_2436);
																																						}
																																						BgL_new1132z00_2432
																																							=
																																							BgL_new1131z00_2435;
																																					}
																																					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1132z00_2432)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2430), BUNSPEC);
																																					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1132z00_2432)))->BgL_valsz00) = ((obj_t) BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_bindsz00_1482, BgL_varsz00_2430, BgL_localsz00_70, BgL_blocz00_2431)), BUNSPEC);
																																					{
																																						BgL_ev_exprz00_bglt
																																							BgL_auxz00_6039;
																																						{	/* Eval/evaluate.scm 514 */
																																							obj_t
																																								BgL_arg2289z00_2433;
																																							{	/* Eval/evaluate.scm 514 */
																																								obj_t
																																									BgL_arg2291z00_2434;
																																								BgL_arg2291z00_2434
																																									=
																																									bgl_reverse
																																									(BgL_varsz00_2430);
																																								BgL_arg2289z00_2433
																																									=
																																									BGl_appendzd221010zd2zz__evaluatez00
																																									(BgL_arg2291z00_2434,
																																									BgL_localsz00_70);
																																							}
																																							BgL_auxz00_6039
																																								=
																																								(
																																								(BgL_ev_exprz00_bglt)
																																								BGl_convzd2beginzd2zz__evaluatez00
																																								(BgL_bodyz00_1483,
																																									BgL_arg2289z00_2433,
																																									BgL_globalsz00_71,
																																									BgL_tailzf3zf3_72,
																																									BgL_wherez00_73,
																																									BgL_locz00_74,
																																									((bool_t) 0)));
																																						}
																																						((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1132z00_2432)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6039), BUNSPEC);
																																					}
																																					((((BgL_ev_letza2za2_bglt) COBJECT(BgL_new1132z00_2432))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																					BgL_auxz00_5999
																																						=
																																						BgL_new1132z00_2432;
																																			}}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5999);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 425 */
																																		obj_t
																																			BgL_arg1679z00_1681;
																																		obj_t
																																			BgL_arg1680z00_1682;
																																		BgL_arg1679z00_1681
																																			=
																																			CAR
																																			(BgL_ez00_69);
																																		BgL_arg1680z00_1682
																																			=
																																			CDR
																																			(BgL_ez00_69);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_6050;
																																			{
																																				obj_t
																																					BgL_argsz00_6052;
																																				obj_t
																																					BgL_fz00_6051;
																																				BgL_fz00_6051
																																					=
																																					BgL_arg1679z00_1681;
																																				BgL_argsz00_6052
																																					=
																																					BgL_arg1680z00_1682;
																																				BgL_argsz00_1526
																																					=
																																					BgL_argsz00_6052;
																																				BgL_fz00_1525
																																					=
																																					BgL_fz00_6051;
																																				goto
																																					BgL_tagzd2175zd2_1527;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_6050);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 425 */
																																obj_t
																																	BgL_cdrzd26695zd2_1683;
																																BgL_cdrzd26695zd2_1683
																																	=
																																	CDR
																																	(BgL_ez00_69);
																																if ((CAR
																																		(BgL_ez00_69)
																																		==
																																		BGl_symbol3254z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 425 */
																																		if (PAIRP
																																			(BgL_cdrzd26695zd2_1683))
																																			{	/* Eval/evaluate.scm 425 */
																																				obj_t
																																					BgL_arg1684z00_1687;
																																				obj_t
																																					BgL_arg1685z00_1688;
																																				BgL_arg1684z00_1687
																																					=
																																					CAR
																																					(BgL_cdrzd26695zd2_1683);
																																				BgL_arg1685z00_1688
																																					=
																																					CDR
																																					(BgL_cdrzd26695zd2_1683);
																																				{
																																					BgL_ev_letrecz00_bglt
																																						BgL_auxz00_6062;
																																					BgL_bindsz00_1485
																																						=
																																						BgL_arg1684z00_1687;
																																					BgL_bodyz00_1486
																																						=
																																						BgL_arg1685z00_1688;
																																				BgL_tagzd2162zd2_1487:
																																					{	/* Eval/evaluate.scm 516 */
																																						obj_t
																																							BgL_ubindsz00_2471;
																																						if (NULLP(BgL_bindsz00_1485))
																																							{	/* Eval/evaluate.scm 516 */
																																								BgL_ubindsz00_2471
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 516 */
																																								obj_t
																																									BgL_head1233z00_2521;
																																								{	/* Eval/evaluate.scm 516 */
																																									obj_t
																																										BgL_res2902z00_3679;
																																									BgL_res2902z00_3679
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BNIL,
																																										BNIL);
																																									BgL_head1233z00_2521
																																										=
																																										BgL_res2902z00_3679;
																																								}
																																								{
																																									obj_t
																																										BgL_l1231z00_3707;
																																									obj_t
																																										BgL_tail1234z00_3708;
																																									BgL_l1231z00_3707
																																										=
																																										BgL_bindsz00_1485;
																																									BgL_tail1234z00_3708
																																										=
																																										BgL_head1233z00_2521;
																																								BgL_zc3anonymousza32337ze3z83_3706:
																																									if (NULLP(BgL_l1231z00_3707))
																																										{	/* Eval/evaluate.scm 516 */
																																											BgL_ubindsz00_2471
																																												=
																																												CDR
																																												(BgL_head1233z00_2521);
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 516 */
																																											obj_t
																																												BgL_newtail1235z00_3716;
																																											{	/* Eval/evaluate.scm 516 */
																																												obj_t
																																													BgL_arg2340z00_3717;
																																												{	/* Eval/evaluate.scm 516 */
																																													obj_t
																																														BgL_bz00_3718;
																																													BgL_bz00_3718
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_l1231z00_3707));
																																													{	/* Eval/evaluate.scm 516 */
																																														obj_t
																																															BgL_arg2341z00_3719;
																																														BgL_arg2341z00_3719
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_bz00_3718));
																																														BgL_arg2340z00_3717
																																															=
																																															BGl_untypezd2identzd2zz__evaluatez00
																																															(BgL_arg2341z00_3719);
																																													}
																																												}
																																												{	/* Eval/evaluate.scm 516 */
																																													obj_t
																																														BgL_res2908z00_3725;
																																													BgL_res2908z00_3725
																																														=
																																														MAKE_YOUNG_PAIR
																																														(BgL_arg2340z00_3717,
																																														BNIL);
																																													BgL_newtail1235z00_3716
																																														=
																																														BgL_res2908z00_3725;
																																												}
																																											}
																																											SET_CDR
																																												(BgL_tail1234z00_3708,
																																												BgL_newtail1235z00_3716);
																																											{	/* Eval/evaluate.scm 516 */
																																												obj_t
																																													BgL_arg2339z00_3720;
																																												BgL_arg2339z00_3720
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_l1231z00_3707));
																																												{
																																													obj_t
																																														BgL_tail1234z00_6079;
																																													obj_t
																																														BgL_l1231z00_6078;
																																													BgL_l1231z00_6078
																																														=
																																														BgL_arg2339z00_3720;
																																													BgL_tail1234z00_6079
																																														=
																																														BgL_newtail1235z00_3716;
																																													BgL_tail1234z00_3708
																																														=
																																														BgL_tail1234z00_6079;
																																													BgL_l1231z00_3707
																																														=
																																														BgL_l1231z00_6078;
																																													goto
																																														BgL_zc3anonymousza32337ze3z83_3706;
																																												}
																																											}
																																										}
																																								}
																																							}
																																						{	/* Eval/evaluate.scm 516 */
																																							obj_t
																																								BgL_varsz00_2472;
																																							if (NULLP(BgL_ubindsz00_2471))
																																								{	/* Eval/evaluate.scm 517 */
																																									BgL_varsz00_2472
																																										=
																																										BNIL;
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 517 */
																																									obj_t
																																										BgL_head1238z00_2505;
																																									{	/* Eval/evaluate.scm 517 */
																																										obj_t
																																											BgL_res2910z00_3729;
																																										BgL_res2910z00_3729
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BNIL,
																																											BNIL);
																																										BgL_head1238z00_2505
																																											=
																																											BgL_res2910z00_3729;
																																									}
																																									{
																																										obj_t
																																											BgL_l1236z00_2507;
																																										obj_t
																																											BgL_tail1239z00_2508;
																																										BgL_l1236z00_2507
																																											=
																																											BgL_ubindsz00_2471;
																																										BgL_tail1239z00_2508
																																											=
																																											BgL_head1238z00_2505;
																																									BgL_zc3anonymousza32331ze3z83_2509:
																																										if (NULLP(BgL_l1236z00_2507))
																																											{	/* Eval/evaluate.scm 517 */
																																												BgL_varsz00_2472
																																													=
																																													CDR
																																													(BgL_head1238z00_2505);
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 517 */
																																												obj_t
																																													BgL_newtail1240z00_2511;
																																												{	/* Eval/evaluate.scm 517 */
																																													BgL_ev_varz00_bglt
																																														BgL_arg2334z00_2513;
																																													{	/* Eval/evaluate.scm 517 */
																																														obj_t
																																															BgL_iz00_2514;
																																														BgL_iz00_2514
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_l1236z00_2507));
																																														{	/* Eval/evaluate.scm 518 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1134z00_2515;
																																															{	/* Eval/evaluate.scm 520 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1133z00_2516;
																																																BgL_new1133z00_2516
																																																	=
																																																	(
																																																	(BgL_ev_varz00_bglt)
																																																	BOBJECT
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_varz00_bgl))));
																																																{	/* Eval/evaluate.scm 520 */
																																																	long
																																																		BgL_arg2335z00_2517;
																																																	{	/* Eval/evaluate.scm 520 */
																																																		long
																																																			BgL_res2912z00_3734;
																																																		BgL_res2912z00_3734
																																																			=
																																																			BGL_CLASS_INDEX
																																																			(BGl_ev_varz00zz__evaluate_typesz00);
																																																		BgL_arg2335z00_2517
																																																			=
																																																			BgL_res2912z00_3734;
																																																	}
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		((BgL_objectz00_bglt) BgL_new1133z00_2516), BgL_arg2335z00_2517);
																																																}
																																																BgL_new1134z00_2515
																																																	=
																																																	BgL_new1133z00_2516;
																																															}
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1134z00_2515))->BgL_namez00) = ((obj_t) CAR(((obj_t) BgL_iz00_2514))), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1134z00_2515))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1134z00_2515))->BgL_typez00) = ((obj_t) CDR(((obj_t) BgL_iz00_2514))), BUNSPEC);
																																															BgL_arg2334z00_2513
																																																=
																																																BgL_new1134z00_2515;
																																													}}
																																													{	/* Eval/evaluate.scm 517 */
																																														obj_t
																																															BgL_res2913z00_3739;
																																														BgL_res2913z00_3739
																																															=
																																															MAKE_YOUNG_PAIR
																																															(
																																															((obj_t) BgL_arg2334z00_2513), BNIL);
																																														BgL_newtail1240z00_2511
																																															=
																																															BgL_res2913z00_3739;
																																												}}
																																												SET_CDR
																																													(BgL_tail1239z00_2508,
																																													BgL_newtail1240z00_2511);
																																												{	/* Eval/evaluate.scm 517 */
																																													obj_t
																																														BgL_arg2333z00_2512;
																																													BgL_arg2333z00_2512
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_l1236z00_2507));
																																													{
																																														obj_t
																																															BgL_tail1239z00_6105;
																																														obj_t
																																															BgL_l1236z00_6104;
																																														BgL_l1236z00_6104
																																															=
																																															BgL_arg2333z00_2512;
																																														BgL_tail1239z00_6105
																																															=
																																															BgL_newtail1240z00_2511;
																																														BgL_tail1239z00_2508
																																															=
																																															BgL_tail1239z00_6105;
																																														BgL_l1236z00_2507
																																															=
																																															BgL_l1236z00_6104;
																																														goto
																																															BgL_zc3anonymousza32331ze3z83_2509;
																																													}
																																												}
																																											}
																																									}
																																								}
																																							{	/* Eval/evaluate.scm 517 */
																																								obj_t
																																									BgL_localsz00_2473;
																																								BgL_localsz00_2473
																																									=
																																									BGl_appendzd221010zd2zz__evaluatez00
																																									(BgL_varsz00_2472,
																																									BgL_localsz00_70);
																																								{	/* Eval/evaluate.scm 522 */
																																									obj_t
																																										BgL_bodyz00_2474;
																																									{	/* Eval/evaluate.scm 523 */
																																										bool_t
																																											BgL_testz00_6107;
																																										{	/* Eval/evaluate.scm 523 */
																																											obj_t
																																												BgL_tmpz00_6108;
																																											BgL_tmpz00_6108
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_bodyz00_1486));
																																											BgL_testz00_6107
																																												=
																																												PAIRP
																																												(BgL_tmpz00_6108);
																																										}
																																										if (BgL_testz00_6107)
																																											{	/* Eval/evaluate.scm 523 */
																																												obj_t
																																													BgL_res2915z00_3745;
																																												BgL_res2915z00_3745
																																													=
																																													MAKE_YOUNG_EPAIR
																																													(BGl_symbol3235z00zz__evaluatez00,
																																													BgL_bodyz00_1486,
																																													BgL_locz00_74);
																																												BgL_bodyz00_2474
																																													=
																																													BgL_res2915z00_3745;
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 523 */
																																												BgL_bodyz00_2474
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_bodyz00_1486));
																																											}
																																									}
																																									{	/* Eval/evaluate.scm 523 */
																																										obj_t
																																											BgL_tbodyz00_2475;
																																										BgL_tbodyz00_2475
																																											=
																																											BGl_typezd2checkszd2zz__evaluatez00
																																											(BgL_ubindsz00_2471,
																																											BgL_bindsz00_1485,
																																											BgL_bodyz00_2474,
																																											BgL_locz00_74,
																																											BgL_wherez00_73);
																																										{	/* Eval/evaluate.scm 524 */
																																											obj_t
																																												BgL_blocz00_2476;
																																											{	/* Eval/evaluate.scm 145 */
																																												obj_t
																																													BgL__ortest_1066z00_3747;
																																												BgL__ortest_1066z00_3747
																																													=
																																													BGl_getzd2sourcezd2locationz00zz__readerz00
																																													(BgL_bindsz00_1485);
																																												if (CBOOL(BgL__ortest_1066z00_3747))
																																													{	/* Eval/evaluate.scm 145 */
																																														BgL_blocz00_2476
																																															=
																																															BgL__ortest_1066z00_3747;
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 145 */
																																														BgL_blocz00_2476
																																															=
																																															BgL_locz00_74;
																																													}
																																											}
																																											{	/* Eval/evaluate.scm 525 */

																																												{	/* Eval/evaluate.scm 526 */
																																													BgL_ev_letrecz00_bglt
																																														BgL_new1136z00_2477;
																																													{	/* Eval/evaluate.scm 527 */
																																														BgL_ev_letrecz00_bglt
																																															BgL_new1135z00_2498;
																																														BgL_new1135z00_2498
																																															=
																																															(
																																															(BgL_ev_letrecz00_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_letrecz00_bgl))));
																																														{	/* Eval/evaluate.scm 527 */
																																															long
																																																BgL_arg2326z00_2499;
																																															{	/* Eval/evaluate.scm 527 */
																																																long
																																																	BgL_res2916z00_3749;
																																																BgL_res2916z00_3749
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_letrecz00zz__evaluate_typesz00);
																																																BgL_arg2326z00_2499
																																																	=
																																																	BgL_res2916z00_3749;
																																															}
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1135z00_2498), BgL_arg2326z00_2499);
																																														}
																																														BgL_new1136z00_2477
																																															=
																																															BgL_new1135z00_2498;
																																													}
																																													((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1136z00_2477)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2472), BUNSPEC);
																																													{
																																														obj_t
																																															BgL_auxz00_6125;
																																														if (NULLP(BgL_bindsz00_1485))
																																															{	/* Eval/evaluate.scm 528 */
																																																BgL_auxz00_6125
																																																	=
																																																	BNIL;
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 528 */
																																																obj_t
																																																	BgL_head1243z00_2480;
																																																{	/* Eval/evaluate.scm 528 */
																																																	obj_t
																																																		BgL_res2918z00_3753;
																																																	BgL_res2918z00_3753
																																																		=
																																																		MAKE_YOUNG_PAIR
																																																		(BNIL,
																																																		BNIL);
																																																	BgL_head1243z00_2480
																																																		=
																																																		BgL_res2918z00_3753;
																																																}
																																																{
																																																	obj_t
																																																		BgL_l1241z00_2482;
																																																	obj_t
																																																		BgL_tail1244z00_2483;
																																																	BgL_l1241z00_2482
																																																		=
																																																		BgL_bindsz00_1485;
																																																	BgL_tail1244z00_2483
																																																		=
																																																		BgL_head1243z00_2480;
																																																BgL_zc3anonymousza32313ze3z83_2484:
																																																	if (NULLP(BgL_l1241z00_2482))
																																																		{	/* Eval/evaluate.scm 528 */
																																																			BgL_auxz00_6125
																																																				=
																																																				CDR
																																																				(BgL_head1243z00_2480);
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 528 */
																																																			obj_t
																																																				BgL_newtail1245z00_2486;
																																																			{	/* Eval/evaluate.scm 528 */
																																																				obj_t
																																																					BgL_arg2316z00_2488;
																																																				{	/* Eval/evaluate.scm 528 */
																																																					obj_t
																																																						BgL_bz00_2489;
																																																					BgL_bz00_2489
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_l1241z00_2482));
																																																					{	/* Eval/evaluate.scm 529 */
																																																						obj_t
																																																							BgL_arg2317z00_2490;
																																																						obj_t
																																																							BgL_arg2319z00_2491;
																																																						obj_t
																																																							BgL_arg2320z00_2492;
																																																						{	/* Eval/evaluate.scm 529 */
																																																							obj_t
																																																								BgL_pairz00_3760;
																																																							BgL_pairz00_3760
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_bz00_2489));
																																																							BgL_arg2317z00_2490
																																																								=
																																																								CAR
																																																								(BgL_pairz00_3760);
																																																						}
																																																						{	/* Eval/evaluate.scm 529 */
																																																							obj_t
																																																								BgL_arg2322z00_2493;
																																																							BgL_arg2322z00_2493
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_bz00_2489));
																																																							{	/* Eval/evaluate.scm 529 */
																																																								obj_t
																																																									BgL_list2323z00_2494;
																																																								{	/* Eval/evaluate.scm 529 */
																																																									obj_t
																																																										BgL_arg2324z00_2495;
																																																									{	/* Eval/evaluate.scm 529 */
																																																										obj_t
																																																											BgL_arg2325z00_2496;
																																																										BgL_arg2325z00_2496
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(BgL_wherez00_73,
																																																											BNIL);
																																																										BgL_arg2324z00_2495
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(BGl_symbol3237z00zz__evaluatez00,
																																																											BgL_arg2325z00_2496);
																																																									}
																																																									BgL_list2323z00_2494
																																																										=
																																																										MAKE_YOUNG_PAIR
																																																										(BgL_arg2322z00_2493,
																																																										BgL_arg2324z00_2495);
																																																								}
																																																								BgL_arg2319z00_2491
																																																									=
																																																									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																																									(BgL_list2323z00_2494);
																																																							}
																																																						}
																																																						{	/* Eval/evaluate.scm 145 */
																																																							obj_t
																																																								BgL__ortest_1066z00_3762;
																																																							BgL__ortest_1066z00_3762
																																																								=
																																																								BGl_getzd2sourcezd2locationz00zz__readerz00
																																																								(BgL_bz00_2489);
																																																							if (CBOOL(BgL__ortest_1066z00_3762))
																																																								{	/* Eval/evaluate.scm 145 */
																																																									BgL_arg2320z00_2492
																																																										=
																																																										BgL__ortest_1066z00_3762;
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 145 */
																																																									BgL_arg2320z00_2492
																																																										=
																																																										BgL_blocz00_2476;
																																																								}
																																																						}
																																																						BgL_arg2316z00_2488
																																																							=
																																																							BGl_convz00zz__evaluatez00
																																																							(BgL_arg2317z00_2490,
																																																							BgL_localsz00_2473,
																																																							BgL_globalsz00_71,
																																																							BFALSE,
																																																							BgL_arg2319z00_2491,
																																																							BgL_arg2320z00_2492,
																																																							((bool_t) 0));
																																																					}
																																																				}
																																																				{	/* Eval/evaluate.scm 528 */
																																																					obj_t
																																																						BgL_res2920z00_3763;
																																																					BgL_res2920z00_3763
																																																						=
																																																						MAKE_YOUNG_PAIR
																																																						(BgL_arg2316z00_2488,
																																																						BNIL);
																																																					BgL_newtail1245z00_2486
																																																						=
																																																						BgL_res2920z00_3763;
																																																				}
																																																			}
																																																			SET_CDR
																																																				(BgL_tail1244z00_2483,
																																																				BgL_newtail1245z00_2486);
																																																			{	/* Eval/evaluate.scm 528 */
																																																				obj_t
																																																					BgL_arg2315z00_2487;
																																																				BgL_arg2315z00_2487
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_l1241z00_2482));
																																																				{
																																																					obj_t
																																																						BgL_tail1244z00_6153;
																																																					obj_t
																																																						BgL_l1241z00_6152;
																																																					BgL_l1241z00_6152
																																																						=
																																																						BgL_arg2315z00_2487;
																																																					BgL_tail1244z00_6153
																																																						=
																																																						BgL_newtail1245z00_2486;
																																																					BgL_tail1244z00_2483
																																																						=
																																																						BgL_tail1244z00_6153;
																																																					BgL_l1241z00_2482
																																																						=
																																																						BgL_l1241z00_6152;
																																																					goto
																																																						BgL_zc3anonymousza32313ze3z83_2484;
																																																				}
																																																			}
																																																		}
																																																}
																																															}
																																														((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1136z00_2477)))->BgL_valsz00) = ((obj_t) BgL_auxz00_6125), BUNSPEC);
																																													}
																																													((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1136z00_2477)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convz00zz__evaluatez00(BgL_tbodyz00_2475, BgL_localsz00_2473, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													BgL_auxz00_6062
																																														=
																																														BgL_new1136z00_2477;
																																												}
																																											}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_6062);
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 425 */
																																				obj_t
																																					BgL_arg1687z00_1689;
																																				BgL_arg1687z00_1689
																																					=
																																					CAR
																																					(BgL_ez00_69);
																																				{
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_6161;
																																					{
																																						obj_t
																																							BgL_argsz00_6163;
																																						obj_t
																																							BgL_fz00_6162;
																																						BgL_fz00_6162
																																							=
																																							BgL_arg1687z00_1689;
																																						BgL_argsz00_6163
																																							=
																																							BgL_cdrzd26695zd2_1683;
																																						BgL_argsz00_1526
																																							=
																																							BgL_argsz00_6163;
																																						BgL_fz00_1525
																																							=
																																							BgL_fz00_6162;
																																						goto
																																							BgL_tagzd2175zd2_1527;
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_6161);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 425 */
																																		if (
																																			(CAR
																																				(BgL_ez00_69)
																																				==
																																				BGl_symbol3256z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 425 */
																																				if (PAIRP(BgL_cdrzd26695zd2_1683))
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_carzd26869zd2_1695;
																																						obj_t
																																							BgL_cdrzd26870zd2_1696;
																																						BgL_carzd26869zd2_1695
																																							=
																																							CAR
																																							(BgL_cdrzd26695zd2_1683);
																																						BgL_cdrzd26870zd2_1696
																																							=
																																							CDR
																																							(BgL_cdrzd26695zd2_1683);
																																						if (PAIRP(BgL_carzd26869zd2_1695))
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_cdrzd26874zd2_1698;
																																								BgL_cdrzd26874zd2_1698
																																									=
																																									CDR
																																									(BgL_carzd26869zd2_1695);
																																								if ((CAR(BgL_carzd26869zd2_1695) == BGl_symbol3242z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 425 */
																																										if (PAIRP(BgL_cdrzd26874zd2_1698))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_carzd26877zd2_1702;
																																												obj_t
																																													BgL_cdrzd26878zd2_1703;
																																												BgL_carzd26877zd2_1702
																																													=
																																													CAR
																																													(BgL_cdrzd26874zd2_1698);
																																												BgL_cdrzd26878zd2_1703
																																													=
																																													CDR
																																													(BgL_cdrzd26874zd2_1698);
																																												if (SYMBOLP(BgL_carzd26877zd2_1702))
																																													{	/* Eval/evaluate.scm 425 */
																																														if (PAIRP(BgL_cdrzd26878zd2_1703))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_carzd26882zd2_1706;
																																																BgL_carzd26882zd2_1706
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26878zd2_1703);
																																																if (SYMBOLP(BgL_carzd26882zd2_1706))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (NULLP(CDR(BgL_cdrzd26878zd2_1703)))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				if (PAIRP(BgL_cdrzd26870zd2_1696))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						if (NULLP(CDR(BgL_cdrzd26870zd2_1696)))
																																																							{	/* Eval/evaluate.scm 425 */
																																																								obj_t
																																																									BgL_arg1704z00_1713;
																																																								BgL_arg1704z00_1713
																																																									=
																																																									CAR
																																																									(BgL_cdrzd26870zd2_1696);
																																																								{	/* Eval/evaluate.scm 532 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_new1138z00_4053;
																																																									{	/* Eval/evaluate.scm 536 */
																																																										BgL_ev_setglobalz00_bglt
																																																											BgL_new1137z00_4054;
																																																										BgL_new1137z00_4054
																																																											=
																																																											(
																																																											(BgL_ev_setglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_setglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 536 */
																																																											long
																																																												BgL_arg2342z00_4055;
																																																											{	/* Eval/evaluate.scm 536 */
																																																												long
																																																													BgL_res2978z00_4057;
																																																												BgL_res2978z00_4057
																																																													=
																																																													BGL_CLASS_INDEX
																																																													(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																												BgL_arg2342z00_4055
																																																													=
																																																													BgL_res2978z00_4057;
																																																											}
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1137z00_4054), BgL_arg2342z00_4055);
																																																										}
																																																										BgL_new1138z00_4053
																																																											=
																																																											BgL_new1137z00_4054;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6202;
																																																										{	/* Eval/evaluate.scm 381 */
																																																											obj_t
																																																												BgL_arg2389z00_4060;
																																																											BgL_arg2389z00_4060
																																																												=
																																																												BGl_getzd2locationzd2zz__evaluatez00
																																																												(BgL_arg1704z00_1713,
																																																												BgL_locz00_74);
																																																											BgL_auxz00_6202
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_uconvzf2locze70z15zz__evaluatez00
																																																												(BgL_wherez00_73,
																																																													BgL_globalsz00_71,
																																																													BgL_localsz00_70,
																																																													BgL_arg1704z00_1713,
																																																													BgL_arg2389z00_4060));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1138z00_4053)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6202), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1138z00_4053))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1138z00_4053))->BgL_namez00) = ((obj_t) BgL_carzd26877zd2_1702), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1138z00_4053))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd26882zd2_1706)), BUNSPEC);
																																																									return
																																																										(
																																																										(obj_t)
																																																										BgL_new1138z00_4053);
																																																								}
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 425 */
																																																								return
																																																									BGl_evcompilezd2errorzd2zz__evcompilez00
																																																									(BgL_locz00_74,
																																																									BGl_string3159z00zz__evaluatez00,
																																																									BGl_string3234z00zz__evaluatez00,
																																																									BgL_ez00_69);
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_74,
																																																							BGl_string3159z00zz__evaluatez00,
																																																							BGl_string3234z00zz__evaluatez00,
																																																							BgL_ez00_69);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_cdrzd26998zd2_1715;
																																																				BgL_cdrzd26998zd2_1715
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{	/* Eval/evaluate.scm 425 */
																																																					obj_t
																																																						BgL_cdrzd27002zd2_1716;
																																																					BgL_cdrzd27002zd2_1716
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd26998zd2_1715));
																																																					if (PAIRP(BgL_cdrzd27002zd2_1716))
																																																						{	/* Eval/evaluate.scm 425 */
																																																							if (NULLP(CDR(BgL_cdrzd27002zd2_1716)))
																																																								{	/* Eval/evaluate.scm 425 */
																																																									obj_t
																																																										BgL_arg1709z00_1720;
																																																									obj_t
																																																										BgL_arg1710z00_1721;
																																																									BgL_arg1709z00_1720
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd26998zd2_1715));
																																																									BgL_arg1710z00_1721
																																																										=
																																																										CAR
																																																										(BgL_cdrzd27002zd2_1716);
																																																									{
																																																										BgL_ev_hookz00_bglt
																																																											BgL_auxz00_6226;
																																																										BgL_vz00_1495
																																																											=
																																																											BgL_arg1709z00_1720;
																																																										BgL_ez00_1496
																																																											=
																																																											BgL_arg1710z00_1721;
																																																									BgL_tagzd2165zd2_1497:
																																																										{	/* Eval/evaluate.scm 542 */
																																																											obj_t
																																																												BgL_cvz00_2562;
																																																											obj_t
																																																												BgL_ez00_2563;
																																																											BgL_cvz00_2562
																																																												=
																																																												BGl_convzd2varzd2zz__evaluatez00
																																																												(BgL_vz00_1495,
																																																												BgL_localsz00_70);
																																																											{	/* Eval/evaluate.scm 381 */
																																																												obj_t
																																																													BgL_arg2389z00_3782;
																																																												{	/* Eval/evaluate.scm 145 */
																																																													obj_t
																																																														BgL__ortest_1066z00_3783;
																																																													BgL__ortest_1066z00_3783
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_ez00_1496);
																																																													if (CBOOL(BgL__ortest_1066z00_3783))
																																																														{	/* Eval/evaluate.scm 145 */
																																																															BgL_arg2389z00_3782
																																																																=
																																																																BgL__ortest_1066z00_3783;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 145 */
																																																															BgL_arg2389z00_3782
																																																																=
																																																																BgL_locz00_74;
																																																														}
																																																												}
																																																												BgL_ez00_2563
																																																													=
																																																													BGl_convz00zz__evaluatez00
																																																													(BgL_ez00_1496,
																																																													BgL_localsz00_70,
																																																													BgL_globalsz00_71,
																																																													BFALSE,
																																																													BgL_wherez00_73,
																																																													BgL_arg2389z00_3782,
																																																													((bool_t) 0));
																																																											}
																																																											if (CBOOL(BgL_cvz00_2562))
																																																												{	/* Eval/evaluate.scm 544 */
																																																													BgL_ev_setlocalz00_bglt
																																																														BgL_new1140z00_2564;
																																																													{	/* Eval/evaluate.scm 546 */
																																																														BgL_ev_setlocalz00_bglt
																																																															BgL_new1139z00_2565;
																																																														BgL_new1139z00_2565
																																																															=
																																																															(
																																																															(BgL_ev_setlocalz00_bglt)
																																																															BOBJECT
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setlocalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 546 */
																																																															long
																																																																BgL_arg2357z00_2566;
																																																															{	/* Eval/evaluate.scm 546 */
																																																																long
																																																																	BgL_res2926z00_3785;
																																																																BgL_res2926z00_3785
																																																																	=
																																																																	BGL_CLASS_INDEX
																																																																	(BGl_ev_setlocalz00zz__evaluate_typesz00);
																																																																BgL_arg2357z00_2566
																																																																	=
																																																																	BgL_res2926z00_3785;
																																																															}
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(
																																																																((BgL_objectz00_bglt) BgL_new1139z00_2565), BgL_arg2357z00_2566);
																																																														}
																																																														BgL_new1140z00_2564
																																																															=
																																																															BgL_new1139z00_2565;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1140z00_2564)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_2563)), BUNSPEC);
																																																													((((BgL_ev_setlocalz00_bglt) COBJECT(BgL_new1140z00_2564))->BgL_vz00) = ((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_cvz00_2562)), BUNSPEC);
																																																													BgL_auxz00_6226
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1140z00_2564);
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 547 */
																																																													BgL_ev_setglobalz00_bglt
																																																														BgL_new1142z00_2567;
																																																													{	/* Eval/evaluate.scm 551 */
																																																														BgL_ev_setglobalz00_bglt
																																																															BgL_new1141z00_2569;
																																																														BgL_new1141z00_2569
																																																															=
																																																															(
																																																															(BgL_ev_setglobalz00_bglt)
																																																															BOBJECT
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setglobalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 551 */
																																																															long
																																																																BgL_arg2359z00_2570;
																																																															{	/* Eval/evaluate.scm 551 */
																																																																long
																																																																	BgL_res2927z00_3789;
																																																																BgL_res2927z00_3789
																																																																	=
																																																																	BGL_CLASS_INDEX
																																																																	(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																																BgL_arg2359z00_2570
																																																																	=
																																																																	BgL_res2927z00_3789;
																																																															}
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(
																																																																((BgL_objectz00_bglt) BgL_new1141z00_2569), BgL_arg2359z00_2570);
																																																														}
																																																														BgL_new1142z00_2567
																																																															=
																																																															BgL_new1141z00_2569;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1142z00_2567)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_2563)), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1142z00_2567))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1142z00_2567))->BgL_namez00) = ((obj_t) BgL_vz00_1495), BUNSPEC);
																																																													{
																																																														obj_t
																																																															BgL_auxz00_6253;
																																																														if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																															{	/* Eval/evaluate.scm 550 */
																																																																BgL_auxz00_6253
																																																																	=
																																																																	BgL_globalsz00_71;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 550 */
																																																																BgL_auxz00_6253
																																																																	=
																																																																	BGL_MODULE
																																																																	();
																																																															}
																																																														((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1142z00_2567))->BgL_modz00) = ((obj_t) BgL_auxz00_6253), BUNSPEC);
																																																													}
																																																													BgL_auxz00_6226
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1142z00_2567);
																																																												}
																																																										}
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_6226);
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 425 */
																																																									return
																																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																																										(BgL_locz00_74,
																																																										BGl_string3159z00zz__evaluatez00,
																																																										BGl_string3234z00zz__evaluatez00,
																																																										BgL_ez00_69);
																																																								}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 425 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string3159z00zz__evaluatez00,
																																																								BGl_string3234z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd27059zd2_1724;
																																																		BgL_cdrzd27059zd2_1724
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{	/* Eval/evaluate.scm 425 */
																																																			obj_t
																																																				BgL_cdrzd27063zd2_1725;
																																																			BgL_cdrzd27063zd2_1725
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd27059zd2_1724));
																																																			if (PAIRP(BgL_cdrzd27063zd2_1725))
																																																				{	/* Eval/evaluate.scm 425 */
																																																					if (NULLP(CDR(BgL_cdrzd27063zd2_1725)))
																																																						{	/* Eval/evaluate.scm 425 */
																																																							obj_t
																																																								BgL_arg1716z00_1729;
																																																							obj_t
																																																								BgL_arg1717z00_1730;
																																																							BgL_arg1716z00_1729
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd27059zd2_1724));
																																																							BgL_arg1717z00_1730
																																																								=
																																																								CAR
																																																								(BgL_cdrzd27063zd2_1725);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_6273;
																																																								{
																																																									obj_t
																																																										BgL_ez00_6275;
																																																									obj_t
																																																										BgL_vz00_6274;
																																																									BgL_vz00_6274
																																																										=
																																																										BgL_arg1716z00_1729;
																																																									BgL_ez00_6275
																																																										=
																																																										BgL_arg1717z00_1730;
																																																									BgL_ez00_1496
																																																										=
																																																										BgL_ez00_6275;
																																																									BgL_vz00_1495
																																																										=
																																																										BgL_vz00_6274;
																																																									goto
																																																										BgL_tagzd2165zd2_1497;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_6273);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 425 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string3159z00zz__evaluatez00,
																																																								BGl_string3234z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 425 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string3159z00zz__evaluatez00,
																																																						BGl_string3234z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd27120zd2_1732;
																																																BgL_cdrzd27120zd2_1732
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_cdrzd27124zd2_1733;
																																																	BgL_cdrzd27124zd2_1733
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd27120zd2_1732));
																																																	if (PAIRP(BgL_cdrzd27124zd2_1733))
																																																		{	/* Eval/evaluate.scm 425 */
																																																			if (NULLP(CDR(BgL_cdrzd27124zd2_1733)))
																																																				{	/* Eval/evaluate.scm 425 */
																																																					obj_t
																																																						BgL_arg1722z00_1737;
																																																					obj_t
																																																						BgL_arg1723z00_1738;
																																																					BgL_arg1722z00_1737
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd27120zd2_1732));
																																																					BgL_arg1723z00_1738
																																																						=
																																																						CAR
																																																						(BgL_cdrzd27124zd2_1733);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_6290;
																																																						{
																																																							obj_t
																																																								BgL_ez00_6292;
																																																							obj_t
																																																								BgL_vz00_6291;
																																																							BgL_vz00_6291
																																																								=
																																																								BgL_arg1722z00_1737;
																																																							BgL_ez00_6292
																																																								=
																																																								BgL_arg1723z00_1738;
																																																							BgL_ez00_1496
																																																								=
																																																								BgL_ez00_6292;
																																																							BgL_vz00_1495
																																																								=
																																																								BgL_vz00_6291;
																																																							goto
																																																								BgL_tagzd2165zd2_1497;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_6290);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 425 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string3159z00zz__evaluatez00,
																																																						BGl_string3234z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 425 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string3159z00zz__evaluatez00,
																																																				BGl_string3234z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd27181zd2_1740;
																																														BgL_cdrzd27181zd2_1740
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{	/* Eval/evaluate.scm 425 */
																																															obj_t
																																																BgL_cdrzd27185zd2_1741;
																																															BgL_cdrzd27185zd2_1741
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd27181zd2_1740));
																																															if (PAIRP(BgL_cdrzd27185zd2_1741))
																																																{	/* Eval/evaluate.scm 425 */
																																																	if (NULLP(CDR(BgL_cdrzd27185zd2_1741)))
																																																		{	/* Eval/evaluate.scm 425 */
																																																			obj_t
																																																				BgL_arg1728z00_1745;
																																																			obj_t
																																																				BgL_arg1729z00_1746;
																																																			BgL_arg1728z00_1745
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd27181zd2_1740));
																																																			BgL_arg1729z00_1746
																																																				=
																																																				CAR
																																																				(BgL_cdrzd27185zd2_1741);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_6307;
																																																				{
																																																					obj_t
																																																						BgL_ez00_6309;
																																																					obj_t
																																																						BgL_vz00_6308;
																																																					BgL_vz00_6308
																																																						=
																																																						BgL_arg1728z00_1745;
																																																					BgL_ez00_6309
																																																						=
																																																						BgL_arg1729z00_1746;
																																																					BgL_ez00_1496
																																																						=
																																																						BgL_ez00_6309;
																																																					BgL_vz00_1495
																																																						=
																																																						BgL_vz00_6308;
																																																					goto
																																																						BgL_tagzd2165zd2_1497;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_6307);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 425 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string3159z00zz__evaluatez00,
																																																				BGl_string3234z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3159z00zz__evaluatez00,
																																																		BGl_string3234z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd27242zd2_1748;
																																												BgL_cdrzd27242zd2_1748
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{	/* Eval/evaluate.scm 425 */
																																													obj_t
																																														BgL_cdrzd27246zd2_1749;
																																													BgL_cdrzd27246zd2_1749
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd27242zd2_1748));
																																													if (PAIRP(BgL_cdrzd27246zd2_1749))
																																														{	/* Eval/evaluate.scm 425 */
																																															if (NULLP(CDR(BgL_cdrzd27246zd2_1749)))
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_arg1734z00_1753;
																																																	obj_t
																																																		BgL_arg1736z00_1754;
																																																	BgL_arg1734z00_1753
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27242zd2_1748));
																																																	BgL_arg1736z00_1754
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27246zd2_1749);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6324;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6326;
																																																			obj_t
																																																				BgL_vz00_6325;
																																																			BgL_vz00_6325
																																																				=
																																																				BgL_arg1734z00_1753;
																																																			BgL_ez00_6326
																																																				=
																																																				BgL_arg1736z00_1754;
																																																			BgL_ez00_1496
																																																				=
																																																				BgL_ez00_6326;
																																																			BgL_vz00_1495
																																																				=
																																																				BgL_vz00_6325;
																																																			goto
																																																				BgL_tagzd2165zd2_1497;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6324);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3159z00zz__evaluatez00,
																																																		BGl_string3234z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3159z00zz__evaluatez00,
																																																BGl_string3234z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_cdrzd27290zd2_1756;
																																										BgL_cdrzd27290zd2_1756
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{	/* Eval/evaluate.scm 425 */
																																											obj_t
																																												BgL_carzd27293zd2_1757;
																																											obj_t
																																												BgL_cdrzd27294zd2_1758;
																																											BgL_carzd27293zd2_1757
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd27290zd2_1756));
																																											BgL_cdrzd27294zd2_1758
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd27290zd2_1756));
																																											if ((CAR(((obj_t) BgL_carzd27293zd2_1757)) == BGl_symbol3244z00zz__evaluatez00))
																																												{	/* Eval/evaluate.scm 425 */
																																													if (PAIRP(BgL_cdrzd27294zd2_1758))
																																														{	/* Eval/evaluate.scm 425 */
																																															if (NULLP(CDR(BgL_cdrzd27294zd2_1758)))
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_arg1743z00_1764;
																																																	obj_t
																																																		BgL_arg1744z00_1765;
																																																	BgL_arg1743z00_1764
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd27293zd2_1757));
																																																	BgL_arg1744z00_1765
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27294zd2_1758);
																																																	BgL_lz00_1492
																																																		=
																																																		BgL_arg1743z00_1764;
																																																	BgL_e2z00_1493
																																																		=
																																																		BgL_arg1744z00_1765;
																																																BgL_tagzd2164zd2_1494:
																																																	{	/* Eval/evaluate.scm 538 */
																																																		bool_t
																																																			BgL_testz00_6347;
																																																		if (PAIRP(BgL_lz00_1492))
																																																			{	/* Eval/evaluate.scm 538 */
																																																				bool_t
																																																					BgL_testz00_6350;
																																																				{	/* Eval/evaluate.scm 538 */
																																																					obj_t
																																																						BgL_tmpz00_6351;
																																																					BgL_tmpz00_6351
																																																						=
																																																						CDR
																																																						(BgL_lz00_1492);
																																																					BgL_testz00_6350
																																																						=
																																																						PAIRP
																																																						(BgL_tmpz00_6351);
																																																				}
																																																				if (BgL_testz00_6350)
																																																					{
																																																						obj_t
																																																							BgL_l1246z00_2553;
																																																						BgL_l1246z00_2553
																																																							=
																																																							BgL_lz00_1492;
																																																					BgL_zc3anonymousza32353ze3z83_2554:
																																																						if (NULLP(BgL_l1246z00_2553))
																																																							{	/* Eval/evaluate.scm 538 */
																																																								BgL_testz00_6347
																																																									=
																																																									(
																																																									(bool_t)
																																																									1);
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 538 */
																																																								bool_t
																																																									BgL_testz00_6356;
																																																								{	/* Eval/evaluate.scm 538 */
																																																									obj_t
																																																										BgL_tmpz00_6357;
																																																									BgL_tmpz00_6357
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_l1246z00_2553));
																																																									BgL_testz00_6356
																																																										=
																																																										SYMBOLP
																																																										(BgL_tmpz00_6357);
																																																								}
																																																								if (BgL_testz00_6356)
																																																									{
																																																										obj_t
																																																											BgL_l1246z00_6361;
																																																										BgL_l1246z00_6361
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_l1246z00_2553));
																																																										BgL_l1246z00_2553
																																																											=
																																																											BgL_l1246z00_6361;
																																																										goto
																																																											BgL_zc3anonymousza32353ze3z83_2554;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 538 */
																																																										BgL_testz00_6347
																																																											=
																																																											(
																																																											(bool_t)
																																																											0);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 538 */
																																																						BgL_testz00_6347
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 538 */
																																																				BgL_testz00_6347
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																		if (BgL_testz00_6347)
																																																			{	/* Eval/evaluate.scm 538 */
																																																				return
																																																					BGl_convzd2fieldzd2setz00zz__evaluatez00
																																																					(BgL_lz00_1492,
																																																					BgL_e2z00_1493,
																																																					BgL_ez00_69,
																																																					BgL_localsz00_70,
																																																					BgL_globalsz00_71,
																																																					BgL_tailzf3zf3_72,
																																																					BgL_wherez00_73,
																																																					BgL_locz00_74,
																																																					BgL_topzf3zf3_75);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 538 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_74,
																																																					BGl_string3159z00zz__evaluatez00,
																																																					BGl_string3234z00zz__evaluatez00,
																																																					BgL_ez00_69);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3159z00zz__evaluatez00,
																																																		BGl_string3234z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3159z00zz__evaluatez00,
																																																BGl_string3234z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 425 */
																																													obj_t
																																														BgL_cdrzd27370zd2_1768;
																																													BgL_cdrzd27370zd2_1768
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd27290zd2_1756));
																																													if (PAIRP(BgL_cdrzd27370zd2_1768))
																																														{	/* Eval/evaluate.scm 425 */
																																															if (NULLP(CDR(BgL_cdrzd27370zd2_1768)))
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_arg1749z00_1772;
																																																	obj_t
																																																		BgL_arg1750z00_1773;
																																																	BgL_arg1749z00_1772
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27290zd2_1756));
																																																	BgL_arg1750z00_1773
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27370zd2_1768);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6378;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6380;
																																																			obj_t
																																																				BgL_vz00_6379;
																																																			BgL_vz00_6379
																																																				=
																																																				BgL_arg1749z00_1772;
																																																			BgL_ez00_6380
																																																				=
																																																				BgL_arg1750z00_1773;
																																																			BgL_ez00_1496
																																																				=
																																																				BgL_ez00_6380;
																																																			BgL_vz00_1495
																																																				=
																																																				BgL_vz00_6379;
																																																			goto
																																																				BgL_tagzd2165zd2_1497;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6378);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3159z00zz__evaluatez00,
																																																		BGl_string3234z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3159z00zz__evaluatez00,
																																																BGl_string3234z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_cdrzd27427zd2_1777;
																																								BgL_cdrzd27427zd2_1777
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								{	/* Eval/evaluate.scm 425 */
																																									obj_t
																																										BgL_cdrzd27431zd2_1778;
																																									BgL_cdrzd27431zd2_1778
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd27427zd2_1777));
																																									if (PAIRP(BgL_cdrzd27431zd2_1778))
																																										{	/* Eval/evaluate.scm 425 */
																																											if (NULLP(CDR(BgL_cdrzd27431zd2_1778)))
																																												{	/* Eval/evaluate.scm 425 */
																																													obj_t
																																														BgL_arg1760z00_1782;
																																													obj_t
																																														BgL_arg1761z00_1783;
																																													BgL_arg1760z00_1782
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd27427zd2_1777));
																																													BgL_arg1761z00_1783
																																														=
																																														CAR
																																														(BgL_cdrzd27431zd2_1778);
																																													{
																																														BgL_ev_hookz00_bglt
																																															BgL_auxz00_6395;
																																														{
																																															obj_t
																																																BgL_ez00_6397;
																																															obj_t
																																																BgL_vz00_6396;
																																															BgL_vz00_6396
																																																=
																																																BgL_arg1760z00_1782;
																																															BgL_ez00_6397
																																																=
																																																BgL_arg1761z00_1783;
																																															BgL_ez00_1496
																																																=
																																																BgL_ez00_6397;
																																															BgL_vz00_1495
																																																=
																																																BgL_vz00_6396;
																																															goto
																																																BgL_tagzd2165zd2_1497;
																																														}
																																														return
																																															(
																																															(obj_t)
																																															BgL_auxz00_6395);
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 425 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string3159z00zz__evaluatez00,
																																														BGl_string3234z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 425 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_74,
																																												BGl_string3159z00zz__evaluatez00,
																																												BGl_string3234z00zz__evaluatez00,
																																												BgL_ez00_69);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 425 */
																																						return
																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																							(BgL_locz00_74,
																																							BGl_string3159z00zz__evaluatez00,
																																							BGl_string3234z00zz__evaluatez00,
																																							BgL_ez00_69);
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 425 */
																																				obj_t
																																					BgL_cdrzd27552zd2_1785;
																																				BgL_cdrzd27552zd2_1785
																																					=
																																					CDR
																																					(BgL_ez00_69);
																																				if ((CAR
																																						(BgL_ez00_69)
																																						==
																																						BGl_symbol3258z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 425 */
																																						if (PAIRP(BgL_cdrzd27552zd2_1785))
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_cdrzd27557zd2_1789;
																																								BgL_cdrzd27557zd2_1789
																																									=
																																									CDR
																																									(BgL_cdrzd27552zd2_1785);
																																								if (PAIRP(BgL_cdrzd27557zd2_1789))
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_carzd27561zd2_1791;
																																										BgL_carzd27561zd2_1791
																																											=
																																											CAR
																																											(BgL_cdrzd27557zd2_1789);
																																										if (PAIRP(BgL_carzd27561zd2_1791))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd27566zd2_1793;
																																												BgL_cdrzd27566zd2_1793
																																													=
																																													CDR
																																													(BgL_carzd27561zd2_1791);
																																												if ((CAR(BgL_carzd27561zd2_1791) == BGl_symbol3223z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 425 */
																																														if (PAIRP(BgL_cdrzd27566zd2_1793))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd27570zd2_1797;
																																																BgL_cdrzd27570zd2_1797
																																																	=
																																																	CDR
																																																	(BgL_cdrzd27566zd2_1793);
																																																if (PAIRP(BgL_cdrzd27570zd2_1797))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (NULLP(CDR(BgL_cdrzd27570zd2_1797)))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				if (NULLP(CDR(BgL_cdrzd27557zd2_1789)))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1777z00_1803;
																																																						obj_t
																																																							BgL_arg1779z00_1804;
																																																						obj_t
																																																							BgL_arg1780z00_1805;
																																																						BgL_arg1777z00_1803
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27552zd2_1785);
																																																						BgL_arg1779z00_1804
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27566zd2_1793);
																																																						BgL_arg1780z00_1805
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27570zd2_1797);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_6432;
																																																							BgL_gvz00_1499
																																																								=
																																																								BgL_arg1777z00_1803;
																																																							BgL_formalsz00_1500
																																																								=
																																																								BgL_arg1779z00_1804;
																																																							BgL_bodyz00_1501
																																																								=
																																																								BgL_arg1780z00_1805;
																																																						BgL_tagzd2167zd2_1502:
																																																							{	/* Eval/evaluate.scm 555 */
																																																								obj_t
																																																									BgL_tidz00_2571;
																																																								BgL_tidz00_2571
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1499);
																																																								{	/* Eval/evaluate.scm 556 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1144z00_2572;
																																																									{	/* Eval/evaluate.scm 560 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1143z00_2575;
																																																										BgL_new1143z00_2575
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 560 */
																																																											long
																																																												BgL_arg2363z00_2576;
																																																											{	/* Eval/evaluate.scm 560 */
																																																												long
																																																													BgL_res2928z00_3793;
																																																												BgL_res2928z00_3793
																																																													=
																																																													BGL_CLASS_INDEX
																																																													(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																												BgL_arg2363z00_2576
																																																													=
																																																													BgL_res2928z00_3793;
																																																											}
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1143z00_2575), BgL_arg2363z00_2576);
																																																										}
																																																										BgL_new1144z00_2572
																																																											=
																																																											BgL_new1143z00_2575;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6438;
																																																										{	/* Eval/evaluate.scm 560 */
																																																											obj_t
																																																												BgL_arg2360z00_2573;
																																																											BgL_arg2360z00_2573
																																																												=
																																																												CDR
																																																												(BgL_tidz00_2571);
																																																											BgL_auxz00_6438
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_convzd2lambdaze70z35zz__evaluatez00
																																																												(BgL_globalsz00_71,
																																																													BgL_localsz00_70,
																																																													BgL_ez00_69,
																																																													BgL_locz00_74,
																																																													BgL_formalsz00_1500,
																																																													BgL_bodyz00_1501,
																																																													BgL_gvz00_1499,
																																																													BgL_arg2360z00_2573));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1144z00_2572)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6438), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1144z00_2572)))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1144z00_2572)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_2571)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6449;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																											{	/* Eval/evaluate.scm 559 */
																																																												BgL_auxz00_6449
																																																													=
																																																													BgL_globalsz00_71;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 559 */
																																																												BgL_auxz00_6449
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1144z00_2572)))->BgL_modz00) = ((obj_t) BgL_auxz00_6449), BUNSPEC);
																																																									}
																																																									BgL_auxz00_6432
																																																										=
																																																										BgL_new1144z00_2572;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6432);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1781z00_1806;
																																																						BgL_arg1781z00_1806
																																																							=
																																																							CAR
																																																							(BgL_ez00_69);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6457;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6459;
																																																								obj_t
																																																									BgL_fz00_6458;
																																																								BgL_fz00_6458
																																																									=
																																																									BgL_arg1781z00_1806;
																																																								BgL_argsz00_6459
																																																									=
																																																									BgL_cdrzd27552zd2_1785;
																																																								BgL_argsz00_1526
																																																									=
																																																									BgL_argsz00_6459;
																																																								BgL_fz00_1525
																																																									=
																																																									BgL_fz00_6458;
																																																								goto
																																																									BgL_tagzd2175zd2_1527;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6457);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_cdrzd27670zd2_1810;
																																																				BgL_cdrzd27670zd2_1810
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd27552zd2_1785));
																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd27670zd2_1810))))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1786z00_1813;
																																																						obj_t
																																																							BgL_arg1788z00_1814;
																																																						BgL_arg1786z00_1813
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd27552zd2_1785));
																																																						BgL_arg1788z00_1814
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd27670zd2_1810));
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_6471;
																																																							BgL_gvz00_1503
																																																								=
																																																								BgL_arg1786z00_1813;
																																																							BgL_gez00_1504
																																																								=
																																																								BgL_arg1788z00_1814;
																																																						BgL_tagzd2168zd2_1505:
																																																							{	/* Eval/evaluate.scm 562 */
																																																								obj_t
																																																									BgL_tidz00_2577;
																																																								BgL_tidz00_2577
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1503);
																																																								{	/* Eval/evaluate.scm 563 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1146z00_2578;
																																																									{	/* Eval/evaluate.scm 567 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1145z00_2583;
																																																										BgL_new1145z00_2583
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 567 */
																																																											long
																																																												BgL_arg2368z00_2584;
																																																											{	/* Eval/evaluate.scm 567 */
																																																												long
																																																													BgL_res2929z00_3799;
																																																												BgL_res2929z00_3799
																																																													=
																																																													BGL_CLASS_INDEX
																																																													(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																												BgL_arg2368z00_2584
																																																													=
																																																													BgL_res2929z00_3799;
																																																											}
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1145z00_2583), BgL_arg2368z00_2584);
																																																										}
																																																										BgL_new1146z00_2578
																																																											=
																																																											BgL_new1145z00_2583;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6477;
																																																										{	/* Eval/evaluate.scm 568 */
																																																											obj_t
																																																												BgL_arg2364z00_2579;
																																																											{	/* Eval/evaluate.scm 568 */
																																																												obj_t
																																																													BgL_arg2366z00_2581;
																																																												BgL_arg2366z00_2581
																																																													=
																																																													CDR
																																																													(BgL_tidz00_2577);
																																																												BgL_arg2364z00_2579
																																																													=
																																																													BGl_typezd2resultzd2zz__evaluatez00
																																																													(BgL_arg2366z00_2581,
																																																													BgL_gez00_1504,
																																																													BgL_locz00_74);
																																																											}
																																																											{	/* Eval/evaluate.scm 384 */
																																																												obj_t
																																																													BgL_arg2392z00_3803;
																																																												{	/* Eval/evaluate.scm 145 */
																																																													obj_t
																																																														BgL__ortest_1066z00_3804;
																																																													BgL__ortest_1066z00_3804
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_arg2364z00_2579);
																																																													if (CBOOL(BgL__ortest_1066z00_3804))
																																																														{	/* Eval/evaluate.scm 145 */
																																																															BgL_arg2392z00_3803
																																																																=
																																																																BgL__ortest_1066z00_3804;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 145 */
																																																															BgL_arg2392z00_3803
																																																																=
																																																																BgL_locz00_74;
																																																														}
																																																												}
																																																												{
																																																													obj_t
																																																														BgL_auxz00_6484;
																																																													{	/* Eval/evaluate.scm 375 */
																																																														obj_t
																																																															BgL_auxz00_6485;
																																																														if (BgL_topzf3zf3_75)
																																																															{	/* Eval/evaluate.scm 569 */
																																																																BgL_auxz00_6485
																																																																	=
																																																																	BgL_gvz00_1503;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 569 */
																																																																BgL_auxz00_6485
																																																																	=
																																																																	BgL_wherez00_73;
																																																															}
																																																														BgL_auxz00_6484
																																																															=
																																																															BGl_convz00zz__evaluatez00
																																																															(BgL_arg2364z00_2579,
																																																															BgL_localsz00_70,
																																																															BgL_globalsz00_71,
																																																															BFALSE,
																																																															BgL_auxz00_6485,
																																																															BgL_arg2392z00_3803,
																																																															((bool_t) 0));
																																																													}
																																																													BgL_auxz00_6477
																																																														=
																																																														(
																																																														(BgL_ev_exprz00_bglt)
																																																														BgL_auxz00_6484);
																																																												}
																																																											}
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1146z00_2578)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6477), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1146z00_2578)))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1146z00_2578)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_2577)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6495;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																											{	/* Eval/evaluate.scm 566 */
																																																												BgL_auxz00_6495
																																																													=
																																																													BgL_globalsz00_71;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 566 */
																																																												BgL_auxz00_6495
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1146z00_2578)))->BgL_modz00) = ((obj_t) BgL_auxz00_6495), BUNSPEC);
																																																									}
																																																									BgL_auxz00_6471
																																																										=
																																																										BgL_new1146z00_2578;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6471);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1789z00_1815;
																																																						obj_t
																																																							BgL_arg1790z00_1816;
																																																						BgL_arg1789z00_1815
																																																							=
																																																							CAR
																																																							(BgL_ez00_69);
																																																						BgL_arg1790z00_1816
																																																							=
																																																							CDR
																																																							(BgL_ez00_69);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6504;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6506;
																																																								obj_t
																																																									BgL_fz00_6505;
																																																								BgL_fz00_6505
																																																									=
																																																									BgL_arg1789z00_1815;
																																																								BgL_argsz00_6506
																																																									=
																																																									BgL_arg1790z00_1816;
																																																								BgL_argsz00_1526
																																																									=
																																																									BgL_argsz00_6506;
																																																								BgL_fz00_1525
																																																									=
																																																									BgL_fz00_6505;
																																																								goto
																																																									BgL_tagzd2175zd2_1527;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6504);
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd27757zd2_1820;
																																																		BgL_cdrzd27757zd2_1820
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd27552zd2_1785));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd27757zd2_1820))))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg1795z00_1823;
																																																				obj_t
																																																					BgL_arg1797z00_1824;
																																																				BgL_arg1795z00_1823
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd27552zd2_1785));
																																																				BgL_arg1797z00_1824
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd27757zd2_1820));
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_6518;
																																																					{
																																																						obj_t
																																																							BgL_gez00_6520;
																																																						obj_t
																																																							BgL_gvz00_6519;
																																																						BgL_gvz00_6519
																																																							=
																																																							BgL_arg1795z00_1823;
																																																						BgL_gez00_6520
																																																							=
																																																							BgL_arg1797z00_1824;
																																																						BgL_gez00_1504
																																																							=
																																																							BgL_gez00_6520;
																																																						BgL_gvz00_1503
																																																							=
																																																							BgL_gvz00_6519;
																																																						goto
																																																							BgL_tagzd2168zd2_1505;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6518);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg1798z00_1825;
																																																				obj_t
																																																					BgL_arg1799z00_1826;
																																																				BgL_arg1798z00_1825
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg1799z00_1826
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6524;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6526;
																																																						obj_t
																																																							BgL_fz00_6525;
																																																						BgL_fz00_6525
																																																							=
																																																							BgL_arg1798z00_1825;
																																																						BgL_argsz00_6526
																																																							=
																																																							BgL_arg1799z00_1826;
																																																						BgL_argsz00_1526
																																																							=
																																																							BgL_argsz00_6526;
																																																						BgL_fz00_1525
																																																							=
																																																							BgL_fz00_6525;
																																																						goto
																																																							BgL_tagzd2175zd2_1527;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6524);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd27844zd2_1829;
																																																BgL_cdrzd27844zd2_1829
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd27552zd2_1785));
																																																if (NULLP(CDR(((obj_t) BgL_cdrzd27844zd2_1829))))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg1803z00_1832;
																																																		obj_t
																																																			BgL_arg1804z00_1833;
																																																		BgL_arg1803z00_1832
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd27552zd2_1785));
																																																		BgL_arg1804z00_1833
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd27844zd2_1829));
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_6538;
																																																			{
																																																				obj_t
																																																					BgL_gez00_6540;
																																																				obj_t
																																																					BgL_gvz00_6539;
																																																				BgL_gvz00_6539
																																																					=
																																																					BgL_arg1803z00_1832;
																																																				BgL_gez00_6540
																																																					=
																																																					BgL_arg1804z00_1833;
																																																				BgL_gez00_1504
																																																					=
																																																					BgL_gez00_6540;
																																																				BgL_gvz00_1503
																																																					=
																																																					BgL_gvz00_6539;
																																																				goto
																																																					BgL_tagzd2168zd2_1505;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6538);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg1805z00_1834;
																																																		obj_t
																																																			BgL_arg1807z00_1835;
																																																		BgL_arg1805z00_1834
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg1807z00_1835
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6544;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6546;
																																																				obj_t
																																																					BgL_fz00_6545;
																																																				BgL_fz00_6545
																																																					=
																																																					BgL_arg1805z00_1834;
																																																				BgL_argsz00_6546
																																																					=
																																																					BgL_arg1807z00_1835;
																																																				BgL_argsz00_1526
																																																					=
																																																					BgL_argsz00_6546;
																																																				BgL_fz00_1525
																																																					=
																																																					BgL_fz00_6545;
																																																				goto
																																																					BgL_tagzd2175zd2_1527;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6544);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd27931zd2_1838;
																																														BgL_cdrzd27931zd2_1838
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_cdrzd27552zd2_1785));
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd27931zd2_1838))))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg1813z00_1841;
																																																obj_t
																																																	BgL_arg1814z00_1842;
																																																BgL_arg1813z00_1841
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd27552zd2_1785));
																																																BgL_arg1814z00_1842
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd27931zd2_1838));
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_6558;
																																																	{
																																																		obj_t
																																																			BgL_gez00_6560;
																																																		obj_t
																																																			BgL_gvz00_6559;
																																																		BgL_gvz00_6559
																																																			=
																																																			BgL_arg1813z00_1841;
																																																		BgL_gez00_6560
																																																			=
																																																			BgL_arg1814z00_1842;
																																																		BgL_gez00_1504
																																																			=
																																																			BgL_gez00_6560;
																																																		BgL_gvz00_1503
																																																			=
																																																			BgL_gvz00_6559;
																																																		goto
																																																			BgL_tagzd2168zd2_1505;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6558);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg1816z00_1843;
																																																obj_t
																																																	BgL_arg1817z00_1844;
																																																BgL_arg1816z00_1843
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg1817z00_1844
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6564;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6566;
																																																		obj_t
																																																			BgL_fz00_6565;
																																																		BgL_fz00_6565
																																																			=
																																																			BgL_arg1816z00_1843;
																																																		BgL_argsz00_6566
																																																			=
																																																			BgL_arg1817z00_1844;
																																																		BgL_argsz00_1526
																																																			=
																																																			BgL_argsz00_6566;
																																																		BgL_fz00_1525
																																																			=
																																																			BgL_fz00_6565;
																																																		goto
																																																			BgL_tagzd2175zd2_1527;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6564);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd28018zd2_1848;
																																												BgL_cdrzd28018zd2_1848
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd27552zd2_1785));
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd28018zd2_1848))))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1823z00_1851;
																																														obj_t
																																															BgL_arg1824z00_1852;
																																														BgL_arg1823z00_1851
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd27552zd2_1785));
																																														BgL_arg1824z00_1852
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd28018zd2_1848));
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_6578;
																																															{
																																																obj_t
																																																	BgL_gez00_6580;
																																																obj_t
																																																	BgL_gvz00_6579;
																																																BgL_gvz00_6579
																																																	=
																																																	BgL_arg1823z00_1851;
																																																BgL_gez00_6580
																																																	=
																																																	BgL_arg1824z00_1852;
																																																BgL_gez00_1504
																																																	=
																																																	BgL_gez00_6580;
																																																BgL_gvz00_1503
																																																	=
																																																	BgL_gvz00_6579;
																																																goto
																																																	BgL_tagzd2168zd2_1505;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6578);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1825z00_1853;
																																														obj_t
																																															BgL_arg1828z00_1854;
																																														BgL_arg1825z00_1853
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg1828z00_1854
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6584;
																																															{
																																																obj_t
																																																	BgL_argsz00_6586;
																																																obj_t
																																																	BgL_fz00_6585;
																																																BgL_fz00_6585
																																																	=
																																																	BgL_arg1825z00_1853;
																																																BgL_argsz00_6586
																																																	=
																																																	BgL_arg1828z00_1854;
																																																BgL_argsz00_1526
																																																	=
																																																	BgL_argsz00_6586;
																																																BgL_fz00_1525
																																																	=
																																																	BgL_fz00_6585;
																																																goto
																																																	BgL_tagzd2175zd2_1527;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6584);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_arg1830z00_1856;
																																										BgL_arg1830z00_1856
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6589;
																																											{
																																												obj_t
																																													BgL_argsz00_6591;
																																												obj_t
																																													BgL_fz00_6590;
																																												BgL_fz00_6590
																																													=
																																													BgL_arg1830z00_1856;
																																												BgL_argsz00_6591
																																													=
																																													BgL_cdrzd27552zd2_1785;
																																												BgL_argsz00_1526
																																													=
																																													BgL_argsz00_6591;
																																												BgL_fz00_1525
																																													=
																																													BgL_fz00_6590;
																																												goto
																																													BgL_tagzd2175zd2_1527;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6589);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_arg1833z00_1858;
																																								BgL_arg1833z00_1858
																																									=
																																									CAR
																																									(BgL_ez00_69);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6594;
																																									{
																																										obj_t
																																											BgL_argsz00_6596;
																																										obj_t
																																											BgL_fz00_6595;
																																										BgL_fz00_6595
																																											=
																																											BgL_arg1833z00_1858;
																																										BgL_argsz00_6596
																																											=
																																											BgL_cdrzd27552zd2_1785;
																																										BgL_argsz00_1526
																																											=
																																											BgL_argsz00_6596;
																																										BgL_fz00_1525
																																											=
																																											BgL_fz00_6595;
																																										goto
																																											BgL_tagzd2175zd2_1527;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6594);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 425 */
																																						if (
																																							(CAR
																																								(BgL_ez00_69)
																																								==
																																								BGl_symbol3260z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 425 */
																																								if (PAIRP(BgL_cdrzd27552zd2_1785))
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_carzd28260zd2_1864;
																																										BgL_carzd28260zd2_1864
																																											=
																																											CAR
																																											(BgL_cdrzd27552zd2_1785);
																																										if (PAIRP(BgL_carzd28260zd2_1864))
																																											{	/* Eval/evaluate.scm 425 */
																																												if (NULLP(CDR(BgL_carzd28260zd2_1864)))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1841z00_1868;
																																														obj_t
																																															BgL_arg1842z00_1869;
																																														BgL_arg1841z00_1868
																																															=
																																															CAR
																																															(BgL_carzd28260zd2_1864);
																																														BgL_arg1842z00_1869
																																															=
																																															CDR
																																															(BgL_cdrzd27552zd2_1785);
																																														{
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_auxz00_6611;
																																															BgL_vz00_1506
																																																=
																																																BgL_arg1841z00_1868;
																																															BgL_bodyz00_1507
																																																=
																																																BgL_arg1842z00_1869;
																																														BgL_tagzd2169zd2_1508:
																																															{	/* Eval/evaluate.scm 571 */
																																																BgL_ev_varz00_bglt
																																																	BgL_varz00_2585;
																																																{	/* Eval/evaluate.scm 571 */
																																																	BgL_ev_varz00_bglt
																																																		BgL_new1148z00_2590;
																																																	{	/* Eval/evaluate.scm 571 */
																																																		BgL_ev_varz00_bglt
																																																			BgL_new1147z00_2591;
																																																		BgL_new1147z00_2591
																																																			=
																																																			(
																																																			(BgL_ev_varz00_bglt)
																																																			BOBJECT
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_varz00_bgl))));
																																																		{	/* Eval/evaluate.scm 571 */
																																																			long
																																																				BgL_arg2371z00_2592;
																																																			{	/* Eval/evaluate.scm 571 */
																																																				long
																																																					BgL_res2930z00_3807;
																																																				BgL_res2930z00_3807
																																																					=
																																																					BGL_CLASS_INDEX
																																																					(BGl_ev_varz00zz__evaluate_typesz00);
																																																				BgL_arg2371z00_2592
																																																					=
																																																					BgL_res2930z00_3807;
																																																			}
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1147z00_2591), BgL_arg2371z00_2592);
																																																		}
																																																		BgL_new1148z00_2590
																																																			=
																																																			BgL_new1147z00_2591;
																																																	}
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1148z00_2590))->BgL_namez00) = ((obj_t) BgL_vz00_1506), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1148z00_2590))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1148z00_2590))->BgL_typez00) = ((obj_t) BFALSE), BUNSPEC);
																																																	BgL_varz00_2585
																																																		=
																																																		BgL_new1148z00_2590;
																																																}
																																																{	/* Eval/evaluate.scm 572 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new1150z00_2586;
																																																	{	/* Eval/evaluate.scm 573 */
																																																		BgL_ev_bindzd2exitzd2_bglt
																																																			BgL_new1149z00_2588;
																																																		BgL_new1149z00_2588
																																																			=
																																																			(
																																																			(BgL_ev_bindzd2exitzd2_bglt)
																																																			BOBJECT
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_bindzd2exitzd2_bgl))));
																																																		{	/* Eval/evaluate.scm 573 */
																																																			long
																																																				BgL_arg2370z00_2589;
																																																			{	/* Eval/evaluate.scm 573 */
																																																				long
																																																					BgL_res2931z00_3811;
																																																				BgL_res2931z00_3811
																																																					=
																																																					BGL_CLASS_INDEX
																																																					(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
																																																				BgL_arg2370z00_2589
																																																					=
																																																					BgL_res2931z00_3811;
																																																			}
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1149z00_2588), BgL_arg2370z00_2589);
																																																		}
																																																		BgL_new1150z00_2586
																																																			=
																																																			BgL_new1149z00_2588;
																																																	}
																																																	((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1150z00_2586))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_varz00_2585), BUNSPEC);
																																																	{
																																																		BgL_ev_exprz00_bglt
																																																			BgL_auxz00_6624;
																																																		{	/* Eval/evaluate.scm 574 */
																																																			obj_t
																																																				BgL_arg2369z00_2587;
																																																			BgL_arg2369z00_2587
																																																				=
																																																				MAKE_YOUNG_PAIR
																																																				(
																																																				((obj_t) BgL_varz00_2585), BgL_localsz00_70);
																																																			BgL_auxz00_6624
																																																				=
																																																				(
																																																				(BgL_ev_exprz00_bglt)
																																																				BGl_convzd2beginzd2zz__evaluatez00
																																																				(BgL_bodyz00_1507,
																																																					BgL_arg2369z00_2587,
																																																					BgL_globalsz00_71,
																																																					BFALSE,
																																																					BgL_wherez00_73,
																																																					BgL_locz00_74,
																																																					((bool_t) 0)));
																																																		}
																																																		((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1150z00_2586))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6624), BUNSPEC);
																																																	}
																																																	BgL_auxz00_6611
																																																		=
																																																		BgL_new1150z00_2586;
																																															}}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6611);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1843z00_1870;
																																														obj_t
																																															BgL_arg1844z00_1871;
																																														BgL_arg1843z00_1870
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg1844z00_1871
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6633;
																																															{
																																																obj_t
																																																	BgL_argsz00_6635;
																																																obj_t
																																																	BgL_fz00_6634;
																																																BgL_fz00_6634
																																																	=
																																																	BgL_arg1843z00_1870;
																																																BgL_argsz00_6635
																																																	=
																																																	BgL_arg1844z00_1871;
																																																BgL_argsz00_1526
																																																	=
																																																	BgL_argsz00_6635;
																																																BgL_fz00_1525
																																																	=
																																																	BgL_fz00_6634;
																																																goto
																																																	BgL_tagzd2175zd2_1527;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6633);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg1849z00_1873;
																																												obj_t
																																													BgL_arg1850z00_1874;
																																												BgL_arg1849z00_1873
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg1850z00_1874
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6639;
																																													{
																																														obj_t
																																															BgL_argsz00_6641;
																																														obj_t
																																															BgL_fz00_6640;
																																														BgL_fz00_6640
																																															=
																																															BgL_arg1849z00_1873;
																																														BgL_argsz00_6641
																																															=
																																															BgL_arg1850z00_1874;
																																														BgL_argsz00_1526
																																															=
																																															BgL_argsz00_6641;
																																														BgL_fz00_1525
																																															=
																																															BgL_fz00_6640;
																																														goto
																																															BgL_tagzd2175zd2_1527;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6639);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_arg1851z00_1875;
																																										obj_t
																																											BgL_arg1853z00_1876;
																																										BgL_arg1851z00_1875
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										BgL_arg1853z00_1876
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6645;
																																											{
																																												obj_t
																																													BgL_argsz00_6647;
																																												obj_t
																																													BgL_fz00_6646;
																																												BgL_fz00_6646
																																													=
																																													BgL_arg1851z00_1875;
																																												BgL_argsz00_6647
																																													=
																																													BgL_arg1853z00_1876;
																																												BgL_argsz00_1526
																																													=
																																													BgL_argsz00_6647;
																																												BgL_fz00_1525
																																													=
																																													BgL_fz00_6646;
																																												goto
																																													BgL_tagzd2175zd2_1527;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6645);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_cdrzd28425zd2_1877;
																																								BgL_cdrzd28425zd2_1877
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								if ((CAR(BgL_ez00_69) == BGl_symbol3262z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 425 */
																																										if (PAIRP(BgL_cdrzd28425zd2_1877))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg1858z00_1881;
																																												obj_t
																																													BgL_arg1859z00_1882;
																																												BgL_arg1858z00_1881
																																													=
																																													CAR
																																													(BgL_cdrzd28425zd2_1877);
																																												BgL_arg1859z00_1882
																																													=
																																													CDR
																																													(BgL_cdrzd28425zd2_1877);
																																												{	/* Eval/evaluate.scm 576 */
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_new1153z00_4204;
																																													{	/* Eval/evaluate.scm 577 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new1151z00_4205;
																																														BgL_new1151z00_4205
																																															=
																																															(
																																															(BgL_ev_unwindzd2protectzd2_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_unwindzd2protectzd2_bgl))));
																																														{	/* Eval/evaluate.scm 577 */
																																															long
																																																BgL_arg2372z00_4206;
																																															{	/* Eval/evaluate.scm 577 */
																																																long
																																																	BgL_res3011z00_4208;
																																																BgL_res3011z00_4208
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																																BgL_arg2372z00_4206
																																																	=
																																																	BgL_res3011z00_4208;
																																															}
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1151z00_4205), BgL_arg2372z00_4206);
																																														}
																																														BgL_new1153z00_4204
																																															=
																																															BgL_new1151z00_4205;
																																													}
																																													{
																																														BgL_ev_exprz00_bglt
																																															BgL_auxz00_6661;
																																														{	/* Eval/evaluate.scm 381 */
																																															obj_t
																																																BgL_arg2389z00_4211;
																																															BgL_arg2389z00_4211
																																																=
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg1858z00_1881,
																																																BgL_locz00_74);
																																															BgL_auxz00_6661
																																																=
																																																(
																																																(BgL_ev_exprz00_bglt)
																																																BGl_uconvzf2locze70z15zz__evaluatez00
																																																(BgL_wherez00_73,
																																																	BgL_globalsz00_71,
																																																	BgL_localsz00_70,
																																																	BgL_arg1858z00_1881,
																																																	BgL_arg2389z00_4211));
																																														}
																																														((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1153z00_4204))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6661), BUNSPEC);
																																													}
																																													((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1153z00_4204))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1859z00_1882, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													return
																																														(
																																														(obj_t)
																																														BgL_new1153z00_4204);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg1860z00_1883;
																																												BgL_arg1860z00_1883
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6671;
																																													{
																																														obj_t
																																															BgL_argsz00_6673;
																																														obj_t
																																															BgL_fz00_6672;
																																														BgL_fz00_6672
																																															=
																																															BgL_arg1860z00_1883;
																																														BgL_argsz00_6673
																																															=
																																															BgL_cdrzd28425zd2_1877;
																																														BgL_argsz00_1526
																																															=
																																															BgL_argsz00_6673;
																																														BgL_fz00_1525
																																															=
																																															BgL_fz00_6672;
																																														goto
																																															BgL_tagzd2175zd2_1527;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6671);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										if ((CAR(BgL_ez00_69) == BGl_symbol3264z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 425 */
																																												if (PAIRP(BgL_cdrzd28425zd2_1877))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1867z00_1889;
																																														obj_t
																																															BgL_arg1868z00_1890;
																																														BgL_arg1867z00_1889
																																															=
																																															CAR
																																															(BgL_cdrzd28425zd2_1877);
																																														BgL_arg1868z00_1890
																																															=
																																															CDR
																																															(BgL_cdrzd28425zd2_1877);
																																														{	/* Eval/evaluate.scm 580 */
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_new1155z00_4219;
																																															{	/* Eval/evaluate.scm 581 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new1154z00_4220;
																																																BgL_new1154z00_4220
																																																	=
																																																	(
																																																	(BgL_ev_withzd2handlerzd2_bglt)
																																																	BOBJECT
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_withzd2handlerzd2_bgl))));
																																																{	/* Eval/evaluate.scm 581 */
																																																	long
																																																		BgL_arg2373z00_4221;
																																																	{	/* Eval/evaluate.scm 581 */
																																																		long
																																																			BgL_res3013z00_4223;
																																																		BgL_res3013z00_4223
																																																			=
																																																			BGL_CLASS_INDEX
																																																			(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																																		BgL_arg2373z00_4221
																																																			=
																																																			BgL_res3013z00_4223;
																																																	}
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		((BgL_objectz00_bglt) BgL_new1154z00_4220), BgL_arg2373z00_4221);
																																																}
																																																BgL_new1155z00_4219
																																																	=
																																																	BgL_new1154z00_4220;
																																															}
																																															{
																																																BgL_ev_exprz00_bglt
																																																	BgL_auxz00_6686;
																																																{	/* Eval/evaluate.scm 381 */
																																																	obj_t
																																																		BgL_arg2389z00_4226;
																																																	BgL_arg2389z00_4226
																																																		=
																																																		BGl_getzd2locationzd2zz__evaluatez00
																																																		(BgL_arg1867z00_1889,
																																																		BgL_locz00_74);
																																																	BgL_auxz00_6686
																																																		=
																																																		(
																																																		(BgL_ev_exprz00_bglt)
																																																		BGl_uconvzf2locze70z15zz__evaluatez00
																																																		(BgL_wherez00_73,
																																																			BgL_globalsz00_71,
																																																			BgL_localsz00_70,
																																																			BgL_arg1867z00_1889,
																																																			BgL_arg2389z00_4226));
																																																}
																																																((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1155z00_4219))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6686), BUNSPEC);
																																															}
																																															((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1155z00_4219))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1868z00_1890, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																															return
																																																(
																																																(obj_t)
																																																BgL_new1155z00_4219);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1869z00_1891;
																																														obj_t
																																															BgL_arg1870z00_1892;
																																														BgL_arg1869z00_1891
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg1870z00_1892
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6697;
																																															{
																																																obj_t
																																																	BgL_argsz00_6699;
																																																obj_t
																																																	BgL_fz00_6698;
																																																BgL_fz00_6698
																																																	=
																																																	BgL_arg1869z00_1891;
																																																BgL_argsz00_6699
																																																	=
																																																	BgL_arg1870z00_1892;
																																																BgL_argsz00_1526
																																																	=
																																																	BgL_argsz00_6699;
																																																BgL_fz00_1525
																																																	=
																																																	BgL_fz00_6698;
																																																goto
																																																	BgL_tagzd2175zd2_1527;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6697);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd28528zd2_1893;
																																												BgL_cdrzd28528zd2_1893
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												if ((CAR(BgL_ez00_69) == BGl_symbol3266z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 425 */
																																														if (PAIRP(BgL_cdrzd28528zd2_1893))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd28533zd2_1897;
																																																BgL_cdrzd28533zd2_1897
																																																	=
																																																	CDR
																																																	(BgL_cdrzd28528zd2_1893);
																																																if (PAIRP(BgL_cdrzd28533zd2_1897))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd28538zd2_1899;
																																																		BgL_cdrzd28538zd2_1899
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28533zd2_1897);
																																																		if ((CAR(BgL_cdrzd28533zd2_1897) == BGl_keyword3268z00zz__evaluatez00))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				if (PAIRP(BgL_cdrzd28538zd2_1899))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1879z00_1903;
																																																						obj_t
																																																							BgL_arg1880z00_1904;
																																																						obj_t
																																																							BgL_arg1881z00_1905;
																																																						BgL_arg1879z00_1903
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28528zd2_1893);
																																																						BgL_arg1880z00_1904
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28538zd2_1899);
																																																						BgL_arg1881z00_1905
																																																							=
																																																							CDR
																																																							(BgL_cdrzd28538zd2_1899);
																																																						{	/* Eval/evaluate.scm 584 */
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_new1157z00_4240;
																																																							{	/* Eval/evaluate.scm 585 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1156z00_4241;
																																																								BgL_new1156z00_4241
																																																									=
																																																									(
																																																									(BgL_ev_synchroniza7eza7_bglt)
																																																									BOBJECT
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_synchroniza7eza7_bgl))));
																																																								{	/* Eval/evaluate.scm 585 */
																																																									long
																																																										BgL_arg2374z00_4242;
																																																									{	/* Eval/evaluate.scm 585 */
																																																										long
																																																											BgL_res3017z00_4244;
																																																										BgL_res3017z00_4244
																																																											=
																																																											BGL_CLASS_INDEX
																																																											(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																										BgL_arg2374z00_4242
																																																											=
																																																											BgL_res3017z00_4244;
																																																									}
																																																									BGL_OBJECT_CLASS_NUM_SET
																																																										(
																																																										((BgL_objectz00_bglt) BgL_new1156z00_4241), BgL_arg2374z00_4242);
																																																								}
																																																								BgL_new1157z00_4240
																																																									=
																																																									BgL_new1156z00_4241;
																																																							}
																																																							((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4240))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6724;
																																																								{	/* Eval/evaluate.scm 381 */
																																																									obj_t
																																																										BgL_arg2389z00_4247;
																																																									BgL_arg2389z00_4247
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg1879z00_1903,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_6724
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg1879z00_1903,
																																																											BgL_arg2389z00_4247));
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4240))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6724), BUNSPEC);
																																																							}
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6729;
																																																								{	/* Eval/evaluate.scm 381 */
																																																									obj_t
																																																										BgL_arg2389z00_4248;
																																																									BgL_arg2389z00_4248
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg1880z00_1904,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_6729
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg1880z00_1904,
																																																											BgL_arg2389z00_4248));
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4240))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6729), BUNSPEC);
																																																							}
																																																							((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4240))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1881z00_1905, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_new1157z00_4240);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1882z00_1907;
																																																						obj_t
																																																							BgL_arg1883z00_1908;
																																																						BgL_arg1882z00_1907
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd28528zd2_1893));
																																																						BgL_arg1883z00_1908
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd28528zd2_1893));
																																																						{
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_auxz00_6742;
																																																							BgL_mz00_1519
																																																								=
																																																								BgL_arg1882z00_1907;
																																																							BgL_bodyz00_1520
																																																								=
																																																								BgL_arg1883z00_1908;
																																																						BgL_tagzd2173zd2_1521:
																																																							{	/* Eval/evaluate.scm 590 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1159z00_2602;
																																																								{	/* Eval/evaluate.scm 591 */
																																																									BgL_ev_synchroniza7eza7_bglt
																																																										BgL_new1158z00_2603;
																																																									BgL_new1158z00_2603
																																																										=
																																																										(
																																																										(BgL_ev_synchroniza7eza7_bglt)
																																																										BOBJECT
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_synchroniza7eza7_bgl))));
																																																									{	/* Eval/evaluate.scm 591 */
																																																										long
																																																											BgL_arg2375z00_2604;
																																																										{	/* Eval/evaluate.scm 591 */
																																																											long
																																																												BgL_res2935z00_3844;
																																																											BgL_res2935z00_3844
																																																												=
																																																												BGL_CLASS_INDEX
																																																												(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																											BgL_arg2375z00_2604
																																																												=
																																																												BgL_res2935z00_3844;
																																																										}
																																																										BGL_OBJECT_CLASS_NUM_SET
																																																											(
																																																											((BgL_objectz00_bglt) BgL_new1158z00_2603), BgL_arg2375z00_2604);
																																																									}
																																																									BgL_new1159z00_2602
																																																										=
																																																										BgL_new1158z00_2603;
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1159z00_2602))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6748;
																																																									{	/* Eval/evaluate.scm 381 */
																																																										obj_t
																																																											BgL_arg2389z00_3847;
																																																										{	/* Eval/evaluate.scm 145 */
																																																											obj_t
																																																												BgL__ortest_1066z00_3848;
																																																											BgL__ortest_1066z00_3848
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_mz00_1519);
																																																											if (CBOOL(BgL__ortest_1066z00_3848))
																																																												{	/* Eval/evaluate.scm 145 */
																																																													BgL_arg2389z00_3847
																																																														=
																																																														BgL__ortest_1066z00_3848;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 145 */
																																																													BgL_arg2389z00_3847
																																																														=
																																																														BgL_locz00_74;
																																																												}
																																																										}
																																																										BgL_auxz00_6748
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_mz00_1519,
																																																												BgL_localsz00_70,
																																																												BgL_globalsz00_71,
																																																												BFALSE,
																																																												BgL_wherez00_73,
																																																												BgL_arg2389z00_3847,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1159z00_2602))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6748), BUNSPEC);
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6755;
																																																									{	/* Eval/evaluate.scm 381 */
																																																										obj_t
																																																											BgL_arg2389z00_3849;
																																																										{	/* Eval/evaluate.scm 145 */
																																																											obj_t
																																																												BgL__ortest_1066z00_3850;
																																																											BgL__ortest_1066z00_3850
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BNIL);
																																																											if (CBOOL(BgL__ortest_1066z00_3850))
																																																												{	/* Eval/evaluate.scm 145 */
																																																													BgL_arg2389z00_3849
																																																														=
																																																														BgL__ortest_1066z00_3850;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 145 */
																																																													BgL_arg2389z00_3849
																																																														=
																																																														BgL_locz00_74;
																																																												}
																																																										}
																																																										BgL_auxz00_6755
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BNIL,
																																																												BgL_localsz00_70,
																																																												BgL_globalsz00_71,
																																																												BFALSE,
																																																												BgL_wherez00_73,
																																																												BgL_arg2389z00_3849,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1159z00_2602))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6755), BUNSPEC);
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1159z00_2602))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1520, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																								BgL_auxz00_6742
																																																									=
																																																									BgL_new1159z00_2602;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6742);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg1884z00_1910;
																																																				obj_t
																																																					BgL_arg1885z00_1911;
																																																				BgL_arg1884z00_1910
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd28528zd2_1893));
																																																				BgL_arg1885z00_1911
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd28528zd2_1893));
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_6770;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_6772;
																																																						obj_t
																																																							BgL_mz00_6771;
																																																						BgL_mz00_6771
																																																							=
																																																							BgL_arg1884z00_1910;
																																																						BgL_bodyz00_6772
																																																							=
																																																							BgL_arg1885z00_1911;
																																																						BgL_bodyz00_1520
																																																							=
																																																							BgL_bodyz00_6772;
																																																						BgL_mz00_1519
																																																							=
																																																							BgL_mz00_6771;
																																																						goto
																																																							BgL_tagzd2173zd2_1521;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6770);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg1887z00_1914;
																																																		obj_t
																																																			BgL_arg1888z00_1915;
																																																		BgL_arg1887z00_1914
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd28528zd2_1893));
																																																		BgL_arg1888z00_1915
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd28528zd2_1893));
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_6778;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_6780;
																																																				obj_t
																																																					BgL_mz00_6779;
																																																				BgL_mz00_6779
																																																					=
																																																					BgL_arg1887z00_1914;
																																																				BgL_bodyz00_6780
																																																					=
																																																					BgL_arg1888z00_1915;
																																																				BgL_bodyz00_1520
																																																					=
																																																					BgL_bodyz00_6780;
																																																				BgL_mz00_1519
																																																					=
																																																					BgL_mz00_6779;
																																																				goto
																																																					BgL_tagzd2173zd2_1521;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6778);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg1889z00_1916;
																																																BgL_arg1889z00_1916
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6783;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6785;
																																																		obj_t
																																																			BgL_fz00_6784;
																																																		BgL_fz00_6784
																																																			=
																																																			BgL_arg1889z00_1916;
																																																		BgL_argsz00_6785
																																																			=
																																																			BgL_cdrzd28528zd2_1893;
																																																		BgL_argsz00_1526
																																																			=
																																																			BgL_argsz00_6785;
																																																		BgL_fz00_1525
																																																			=
																																																			BgL_fz00_6784;
																																																		goto
																																																			BgL_tagzd2175zd2_1527;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6783);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														if ((CAR(BgL_ez00_69) == BGl_symbol3223z00zz__evaluatez00))
																																															{	/* Eval/evaluate.scm 425 */
																																																if (PAIRP(BgL_cdrzd28528zd2_1893))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd28638zd2_1922;
																																																		BgL_cdrzd28638zd2_1922
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28528zd2_1893);
																																																		if (PAIRP(BgL_cdrzd28638zd2_1922))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				if (NULLP(CDR(BgL_cdrzd28638zd2_1922)))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1897z00_1926;
																																																						obj_t
																																																							BgL_arg1898z00_1927;
																																																						BgL_arg1897z00_1926
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28528zd2_1893);
																																																						BgL_arg1898z00_1927
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28638zd2_1922);
																																																						{	/* Eval/evaluate.scm 596 */
																																																							obj_t
																																																								BgL_arg2376z00_4269;
																																																							{	/* Eval/evaluate.scm 596 */
																																																								obj_t
																																																									BgL_arg2377z00_4270;
																																																								{	/* Eval/evaluate.scm 596 */
																																																									obj_t
																																																										BgL_arg2378z00_4271;
																																																									obj_t
																																																										BgL_arg2379z00_4272;
																																																									{	/* Eval/evaluate.scm 596 */
																																																										obj_t
																																																											BgL_res3021z00_4275;
																																																										{	/* Eval/evaluate.scm 596 */
																																																											obj_t
																																																												BgL_symbolz00_4273;
																																																											BgL_symbolz00_4273
																																																												=
																																																												BGl_symbol3270z00zz__evaluatez00;
																																																											{	/* Eval/evaluate.scm 596 */
																																																												obj_t
																																																													BgL_arg2602z00_4274;
																																																												BgL_arg2602z00_4274
																																																													=
																																																													SYMBOL_TO_STRING
																																																													(BgL_symbolz00_4273);
																																																												BgL_res3021z00_4275
																																																													=
																																																													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																													(BgL_arg2602z00_4274);
																																																											}
																																																										}
																																																										BgL_arg2378z00_4271
																																																											=
																																																											BgL_res3021z00_4275;
																																																									}
																																																									{	/* Eval/evaluate.scm 596 */
																																																										obj_t
																																																											BgL_res3022z00_4278;
																																																										{	/* Eval/evaluate.scm 596 */
																																																											obj_t
																																																												BgL_arg2602z00_4277;
																																																											BgL_arg2602z00_4277
																																																												=
																																																												SYMBOL_TO_STRING
																																																												(
																																																												((obj_t) BgL_wherez00_73));
																																																											BgL_res3022z00_4278
																																																												=
																																																												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																												(BgL_arg2602z00_4277);
																																																										}
																																																										BgL_arg2379z00_4272
																																																											=
																																																											BgL_res3022z00_4278;
																																																									}
																																																									BgL_arg2377z00_4270
																																																										=
																																																										string_append
																																																										(BgL_arg2378z00_4271,
																																																										BgL_arg2379z00_4272);
																																																								}
																																																								BgL_arg2376z00_4269
																																																									=
																																																									bstring_to_symbol
																																																									(BgL_arg2377z00_4270);
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BGl_convzd2lambdaze70z35zz__evaluatez00
																																																								(BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_ez00_69,
																																																									BgL_locz00_74,
																																																									BgL_arg1897z00_1926,
																																																									BgL_arg1898z00_1927,
																																																									BgL_arg2376z00_4269,
																																																									BFALSE));
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1899z00_1928;
																																																						obj_t
																																																							BgL_arg1900z00_1929;
																																																						BgL_arg1899z00_1928
																																																							=
																																																							CAR
																																																							(BgL_ez00_69);
																																																						BgL_arg1900z00_1929
																																																							=
																																																							CDR
																																																							(BgL_ez00_69);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6811;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6813;
																																																								obj_t
																																																									BgL_fz00_6812;
																																																								BgL_fz00_6812
																																																									=
																																																									BgL_arg1899z00_1928;
																																																								BgL_argsz00_6813
																																																									=
																																																									BgL_arg1900z00_1929;
																																																								BgL_argsz00_1526
																																																									=
																																																									BgL_argsz00_6813;
																																																								BgL_fz00_1525
																																																									=
																																																									BgL_fz00_6812;
																																																								goto
																																																									BgL_tagzd2175zd2_1527;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6811);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg1902z00_1931;
																																																				obj_t
																																																					BgL_arg1904z00_1932;
																																																				BgL_arg1902z00_1931
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg1904z00_1932
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6817;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6819;
																																																						obj_t
																																																							BgL_fz00_6818;
																																																						BgL_fz00_6818
																																																							=
																																																							BgL_arg1902z00_1931;
																																																						BgL_argsz00_6819
																																																							=
																																																							BgL_arg1904z00_1932;
																																																						BgL_argsz00_1526
																																																							=
																																																							BgL_argsz00_6819;
																																																						BgL_fz00_1525
																																																							=
																																																							BgL_fz00_6818;
																																																						goto
																																																							BgL_tagzd2175zd2_1527;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6817);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg1905z00_1933;
																																																		obj_t
																																																			BgL_arg1906z00_1934;
																																																		BgL_arg1905z00_1933
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg1906z00_1934
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6823;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6825;
																																																				obj_t
																																																					BgL_fz00_6824;
																																																				BgL_fz00_6824
																																																					=
																																																					BgL_arg1905z00_1933;
																																																				BgL_argsz00_6825
																																																					=
																																																					BgL_arg1906z00_1934;
																																																				BgL_argsz00_1526
																																																					=
																																																					BgL_argsz00_6825;
																																																				BgL_fz00_1525
																																																					=
																																																					BgL_fz00_6824;
																																																				goto
																																																					BgL_tagzd2175zd2_1527;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6823);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg1907z00_1935;
																																																obj_t
																																																	BgL_arg1908z00_1936;
																																																BgL_arg1907z00_1935
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg1908z00_1936
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6829;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6831;
																																																		obj_t
																																																			BgL_fz00_6830;
																																																		BgL_fz00_6830
																																																			=
																																																			BgL_arg1907z00_1935;
																																																		BgL_argsz00_6831
																																																			=
																																																			BgL_arg1908z00_1936;
																																																		BgL_argsz00_1526
																																																			=
																																																			BgL_argsz00_6831;
																																																		BgL_fz00_1525
																																																			=
																																																			BgL_fz00_6830;
																																																		goto
																																																			BgL_tagzd2175zd2_1527;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6829);
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 425 */
														if (
															(BgL_carzd23820zd2_1600 ==
																BGl_symbol3246z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 425 */
																if (PAIRP(BgL_cdrzd2249zd2_1534))
																	{	/* Eval/evaluate.scm 425 */
																		if (NULLP(CDR(BgL_cdrzd2249zd2_1534)))
																			{	/* Eval/evaluate.scm 425 */
																				obj_t BgL_arg1930z00_1960;

																				BgL_arg1930z00_1960 =
																					CAR(BgL_cdrzd2249zd2_1534);
																				{	/* Eval/evaluate.scm 457 */
																					BgL_ev_trapz00_bglt
																						BgL_new1109z00_4295;
																					{	/* Eval/evaluate.scm 458 */
																						BgL_ev_trapz00_bglt
																							BgL_new1108z00_4296;
																						BgL_new1108z00_4296 =
																							((BgL_ev_trapz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_ev_trapz00_bgl))));
																						{	/* Eval/evaluate.scm 458 */
																							long BgL_arg2250z00_4297;

																							{	/* Eval/evaluate.scm 458 */
																								long BgL_res3026z00_4299;

																								BgL_res3026z00_4299 =
																									BGL_CLASS_INDEX
																									(BGl_ev_trapz00zz__evaluate_typesz00);
																								BgL_arg2250z00_4297 =
																									BgL_res3026z00_4299;
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1108z00_4296),
																								BgL_arg2250z00_4297);
																						}
																						BgL_new1109z00_4295 =
																							BgL_new1108z00_4296;
																					}
																					{
																						BgL_ev_exprz00_bglt BgL_auxz00_6845;

																						{	/* Eval/evaluate.scm 381 */
																							obj_t BgL_arg2389z00_4302;

																							BgL_arg2389z00_4302 =
																								BGl_getzd2locationzd2zz__evaluatez00
																								(BgL_arg1930z00_1960,
																								BgL_locz00_74);
																							BgL_auxz00_6845 =
																								((BgL_ev_exprz00_bglt)
																								BGl_uconvzf2locze70z15zz__evaluatez00
																								(BgL_wherez00_73,
																									BgL_globalsz00_71,
																									BgL_localsz00_70,
																									BgL_arg1930z00_1960,
																									BgL_arg2389z00_4302));
																						}
																						((((BgL_ev_hookz00_bglt) COBJECT(
																										((BgL_ev_hookz00_bglt)
																											BgL_new1109z00_4295)))->
																								BgL_ez00) =
																							((BgL_ev_exprz00_bglt)
																								BgL_auxz00_6845), BUNSPEC);
																					}
																					return ((obj_t) BgL_new1109z00_4295);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				obj_t BgL_arg1931z00_1961;
																				obj_t BgL_arg1933z00_1962;

																				BgL_arg1931z00_1961 = CAR(BgL_ez00_69);
																				BgL_arg1933z00_1962 = CDR(BgL_ez00_69);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_6854;

																					{
																						obj_t BgL_argsz00_6856;
																						obj_t BgL_fz00_6855;

																						BgL_fz00_6855 = BgL_arg1931z00_1961;
																						BgL_argsz00_6856 =
																							BgL_arg1933z00_1962;
																						BgL_argsz00_1526 = BgL_argsz00_6856;
																						BgL_fz00_1525 = BgL_fz00_6855;
																						goto BgL_tagzd2175zd2_1527;
																					}
																					return ((obj_t) BgL_auxz00_6854);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 425 */
																		obj_t BgL_arg1935z00_1964;
																		obj_t BgL_arg1936z00_1965;

																		BgL_arg1935z00_1964 = CAR(BgL_ez00_69);
																		BgL_arg1936z00_1965 = CDR(BgL_ez00_69);
																		{
																			BgL_ev_appz00_bglt BgL_auxz00_6860;

																			{
																				obj_t BgL_argsz00_6862;
																				obj_t BgL_fz00_6861;

																				BgL_fz00_6861 = BgL_arg1935z00_1964;
																				BgL_argsz00_6862 = BgL_arg1936z00_1965;
																				BgL_argsz00_1526 = BgL_argsz00_6862;
																				BgL_fz00_1525 = BgL_fz00_6861;
																				goto BgL_tagzd2175zd2_1527;
																			}
																			return ((obj_t) BgL_auxz00_6860);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 425 */
																obj_t BgL_cdrzd29337zd2_1966;

																BgL_cdrzd29337zd2_1966 = CDR(BgL_ez00_69);
																if (
																	(CAR(BgL_ez00_69) ==
																		BGl_symbol3211z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 425 */
																		if (PAIRP(BgL_cdrzd29337zd2_1966))
																			{	/* Eval/evaluate.scm 425 */
																				if (NULLP(CDR(BgL_cdrzd29337zd2_1966)))
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1942z00_1972;

																						BgL_arg1942z00_1972 =
																							CAR(BgL_cdrzd29337zd2_1966);
																						{	/* Eval/evaluate.scm 460 */
																							BgL_ev_littz00_bglt
																								BgL_new1111z00_4313;
																							{	/* Eval/evaluate.scm 461 */
																								BgL_ev_littz00_bglt
																									BgL_new1110z00_4314;
																								BgL_new1110z00_4314 =
																									((BgL_ev_littz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 461 */
																									long BgL_arg2251z00_4315;

																									{	/* Eval/evaluate.scm 461 */
																										long BgL_res3029z00_4317;

																										BgL_res3029z00_4317 =
																											BGL_CLASS_INDEX
																											(BGl_ev_littz00zz__evaluate_typesz00);
																										BgL_arg2251z00_4315 =
																											BgL_res3029z00_4317;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1110z00_4314),
																										BgL_arg2251z00_4315);
																								}
																								BgL_new1111z00_4313 =
																									BgL_new1110z00_4314;
																							}
																							((((BgL_ev_littz00_bglt)
																										COBJECT
																										(BgL_new1111z00_4313))->
																									BgL_valuez00) =
																								((obj_t) BgL_arg1942z00_1972),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1111z00_4313);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1943z00_1973;

																						BgL_arg1943z00_1973 =
																							CAR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_6881;
																							{
																								obj_t BgL_argsz00_6883;
																								obj_t BgL_fz00_6882;

																								BgL_fz00_6882 =
																									BgL_arg1943z00_1973;
																								BgL_argsz00_6883 =
																									BgL_cdrzd29337zd2_1966;
																								BgL_argsz00_1526 =
																									BgL_argsz00_6883;
																								BgL_fz00_1525 = BgL_fz00_6882;
																								goto BgL_tagzd2175zd2_1527;
																							}
																							return ((obj_t) BgL_auxz00_6881);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				obj_t BgL_arg1946z00_1976;

																				BgL_arg1946z00_1976 = CAR(BgL_ez00_69);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_6886;

																					{
																						obj_t BgL_argsz00_6888;
																						obj_t BgL_fz00_6887;

																						BgL_fz00_6887 = BgL_arg1946z00_1976;
																						BgL_argsz00_6888 =
																							BgL_cdrzd29337zd2_1966;
																						BgL_argsz00_1526 = BgL_argsz00_6888;
																						BgL_fz00_1525 = BgL_fz00_6887;
																						goto BgL_tagzd2175zd2_1527;
																					}
																					return ((obj_t) BgL_auxz00_6886);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 425 */
																		if (
																			(CAR(BgL_ez00_69) ==
																				BGl_symbol3219z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 425 */
																				if (PAIRP(BgL_cdrzd29337zd2_1966))
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_cdrzd29947zd2_1982;

																						BgL_cdrzd29947zd2_1982 =
																							CDR(BgL_cdrzd29337zd2_1966);
																						if (PAIRP(BgL_cdrzd29947zd2_1982))
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_cdrzd29952zd2_1984;

																								BgL_cdrzd29952zd2_1984 =
																									CDR(BgL_cdrzd29947zd2_1982);
																								if (PAIRP
																									(BgL_cdrzd29952zd2_1984))
																									{	/* Eval/evaluate.scm 425 */
																										if (NULLP(CDR
																												(BgL_cdrzd29952zd2_1984)))
																											{	/* Eval/evaluate.scm 425 */
																												obj_t
																													BgL_arg1955z00_1988;
																												obj_t
																													BgL_arg1956z00_1989;
																												obj_t
																													BgL_arg1957z00_1990;
																												BgL_arg1955z00_1988 =
																													CAR
																													(BgL_cdrzd29337zd2_1966);
																												BgL_arg1956z00_1989 =
																													CAR
																													(BgL_cdrzd29947zd2_1982);
																												BgL_arg1957z00_1990 =
																													CAR
																													(BgL_cdrzd29952zd2_1984);
																												{
																													BgL_ev_ifz00_bglt
																														BgL_auxz00_6907;
																													{
																														obj_t BgL_oz00_6910;
																														obj_t BgL_tz00_6909;
																														obj_t BgL_pz00_6908;

																														BgL_pz00_6908 =
																															BgL_arg1955z00_1988;
																														BgL_tz00_6909 =
																															BgL_arg1956z00_1989;
																														BgL_oz00_6910 =
																															BgL_arg1957z00_1990;
																														BgL_oz00_1468 =
																															BgL_oz00_6910;
																														BgL_tz00_1467 =
																															BgL_tz00_6909;
																														BgL_pz00_1466 =
																															BgL_pz00_6908;
																														goto
																															BgL_tagzd2155zd2_1469;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_6907);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 425 */
																												obj_t
																													BgL_arg1958z00_1991;
																												obj_t
																													BgL_arg1960z00_1992;
																												BgL_arg1958z00_1991 =
																													CAR(BgL_ez00_69);
																												BgL_arg1960z00_1992 =
																													CDR(BgL_ez00_69);
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_6914;
																													{
																														obj_t
																															BgL_argsz00_6916;
																														obj_t BgL_fz00_6915;

																														BgL_fz00_6915 =
																															BgL_arg1958z00_1991;
																														BgL_argsz00_6916 =
																															BgL_arg1960z00_1992;
																														BgL_argsz00_1526 =
																															BgL_argsz00_6916;
																														BgL_fz00_1525 =
																															BgL_fz00_6915;
																														goto
																															BgL_tagzd2175zd2_1527;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_6914);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 425 */
																										obj_t
																											BgL_cdrzd210250zd2_1994;
																										BgL_cdrzd210250zd2_1994 =
																											CDR(BgL_ez00_69);
																										{	/* Eval/evaluate.scm 425 */
																											obj_t
																												BgL_cdrzd210256zd2_1995;
																											BgL_cdrzd210256zd2_1995 =
																												CDR(((obj_t)
																													BgL_cdrzd210250zd2_1994));
																											if (NULLP(CDR(((obj_t)
																															BgL_cdrzd210256zd2_1995))))
																												{	/* Eval/evaluate.scm 425 */
																													obj_t
																														BgL_arg1964z00_1998;
																													obj_t
																														BgL_arg1965z00_1999;
																													BgL_arg1964z00_1998 =
																														CAR(((obj_t)
																															BgL_cdrzd210250zd2_1994));
																													BgL_arg1965z00_1999 =
																														CAR(((obj_t)
																															BgL_cdrzd210256zd2_1995));
																													{
																														BgL_ev_ifz00_bglt
																															BgL_auxz00_6929;
																														{
																															obj_t
																																BgL_tz00_6931;
																															obj_t
																																BgL_pz00_6930;
																															BgL_pz00_6930 =
																																BgL_arg1964z00_1998;
																															BgL_tz00_6931 =
																																BgL_arg1965z00_1999;
																															BgL_tz00_1471 =
																																BgL_tz00_6931;
																															BgL_pz00_1470 =
																																BgL_pz00_6930;
																															goto
																																BgL_tagzd2156zd2_1472;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_6929);
																													}
																												}
																											else
																												{	/* Eval/evaluate.scm 425 */
																													obj_t
																														BgL_arg1966z00_2000;
																													BgL_arg1966z00_2000 =
																														CAR(BgL_ez00_69);
																													{
																														BgL_ev_appz00_bglt
																															BgL_auxz00_6934;
																														{
																															obj_t
																																BgL_argsz00_6936;
																															obj_t
																																BgL_fz00_6935;
																															BgL_fz00_6935 =
																																BgL_arg1966z00_2000;
																															BgL_argsz00_6936 =
																																BgL_cdrzd210250zd2_1994;
																															BgL_argsz00_1526 =
																																BgL_argsz00_6936;
																															BgL_fz00_1525 =
																																BgL_fz00_6935;
																															goto
																																BgL_tagzd2175zd2_1527;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_6934);
																													}
																												}
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1969z00_2003;
																								obj_t BgL_arg1970z00_2004;

																								BgL_arg1969z00_2003 =
																									CAR(BgL_ez00_69);
																								BgL_arg1970z00_2004 =
																									CDR(BgL_ez00_69);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_6940;
																									{
																										obj_t BgL_argsz00_6942;
																										obj_t BgL_fz00_6941;

																										BgL_fz00_6941 =
																											BgL_arg1969z00_2003;
																										BgL_argsz00_6942 =
																											BgL_arg1970z00_2004;
																										BgL_argsz00_1526 =
																											BgL_argsz00_6942;
																										BgL_fz00_1525 =
																											BgL_fz00_6941;
																										goto BgL_tagzd2175zd2_1527;
																									}
																									return
																										((obj_t) BgL_auxz00_6940);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1972z00_2005;
																						obj_t BgL_arg1973z00_2006;

																						BgL_arg1972z00_2005 =
																							CAR(BgL_ez00_69);
																						BgL_arg1973z00_2006 =
																							CDR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_6946;
																							{
																								obj_t BgL_argsz00_6948;
																								obj_t BgL_fz00_6947;

																								BgL_fz00_6947 =
																									BgL_arg1972z00_2005;
																								BgL_argsz00_6948 =
																									BgL_arg1973z00_2006;
																								BgL_argsz00_1526 =
																									BgL_argsz00_6948;
																								BgL_fz00_1525 = BgL_fz00_6947;
																								goto BgL_tagzd2175zd2_1527;
																							}
																							return ((obj_t) BgL_auxz00_6946);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				if (
																					(CAR(BgL_ez00_69) ==
																						BGl_symbol3248z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1976z00_2009;

																						BgL_arg1976z00_2009 =
																							CDR(BgL_ez00_69);
																						{	/* Eval/evaluate.scm 473 */
																							BgL_ev_orz00_bglt
																								BgL_new1118z00_4352;
																							{	/* Eval/evaluate.scm 474 */
																								BgL_ev_orz00_bglt
																									BgL_new1117z00_4353;
																								BgL_new1117z00_4353 =
																									((BgL_ev_orz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_orz00_bgl))));
																								{	/* Eval/evaluate.scm 474 */
																									long BgL_arg2262z00_4354;

																									{	/* Eval/evaluate.scm 474 */
																										long BgL_res3035z00_4356;

																										BgL_res3035z00_4356 =
																											BGL_CLASS_INDEX
																											(BGl_ev_orz00zz__evaluate_typesz00);
																										BgL_arg2262z00_4354 =
																											BgL_res3035z00_4356;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1117z00_4353),
																										BgL_arg2262z00_4354);
																								}
																								BgL_new1118z00_4352 =
																									BgL_new1117z00_4353;
																							}
																							((((BgL_ev_listz00_bglt) COBJECT(
																											((BgL_ev_listz00_bglt)
																												BgL_new1118z00_4352)))->
																									BgL_argsz00) =
																								((obj_t)
																									BGl_loopze70ze7zz__evaluatez00
																									(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_arg1976z00_2009)),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1118z00_4352);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						if (
																							(CAR(BgL_ez00_69) ==
																								BGl_symbol3250z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1979z00_2012;

																								BgL_arg1979z00_2012 =
																									CDR(BgL_ez00_69);
																								{	/* Eval/evaluate.scm 476 */
																									BgL_ev_andz00_bglt
																										BgL_new1120z00_4361;
																									{	/* Eval/evaluate.scm 477 */
																										BgL_ev_andz00_bglt
																											BgL_new1119z00_4362;
																										BgL_new1119z00_4362 =
																											((BgL_ev_andz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_andz00_bgl))));
																										{	/* Eval/evaluate.scm 477 */
																											long BgL_arg2263z00_4363;

																											{	/* Eval/evaluate.scm 477 */
																												long
																													BgL_res3036z00_4365;
																												BgL_res3036z00_4365 =
																													BGL_CLASS_INDEX
																													(BGl_ev_andz00zz__evaluate_typesz00);
																												BgL_arg2263z00_4363 =
																													BgL_res3036z00_4365;
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1119z00_4362),
																												BgL_arg2263z00_4363);
																										}
																										BgL_new1120z00_4361 =
																											BgL_new1119z00_4362;
																									}
																									((((BgL_ev_listz00_bglt)
																												COBJECT((
																														(BgL_ev_listz00_bglt)
																														BgL_new1120z00_4361)))->
																											BgL_argsz00) =
																										((obj_t)
																											BGl_loopze70ze7zz__evaluatez00
																											(BgL_wherez00_73,
																												BgL_globalsz00_71,
																												BgL_localsz00_70,
																												BgL_locz00_74,
																												BgL_arg1979z00_2012)),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1120z00_4361);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 425 */
																								if (
																									(CAR(BgL_ez00_69) ==
																										BGl_symbol3235z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 425 */
																										return
																											BGl_convzd2beginzd2zz__evaluatez00
																											(CDR(BgL_ez00_69),
																											BgL_localsz00_70,
																											BgL_globalsz00_71,
																											BgL_tailzf3zf3_72,
																											BgL_wherez00_73,
																											BgL_locz00_74,
																											BgL_topzf3zf3_75);
																									}
																								else
																									{	/* Eval/evaluate.scm 425 */
																										obj_t
																											BgL_cdrzd211149zd2_2016;
																										BgL_cdrzd211149zd2_2016 =
																											CDR(BgL_ez00_69);
																										if ((CAR(BgL_ez00_69) ==
																												BGl_symbol3221z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 425 */
																												if (PAIRP
																													(BgL_cdrzd211149zd2_2016))
																													{	/* Eval/evaluate.scm 425 */
																														obj_t
																															BgL_arg1986z00_2020;
																														obj_t
																															BgL_arg1988z00_2021;
																														BgL_arg1986z00_2020
																															=
																															CAR
																															(BgL_cdrzd211149zd2_2016);
																														BgL_arg1988z00_2021
																															=
																															CDR
																															(BgL_cdrzd211149zd2_2016);
																														{
																															BgL_ev_letz00_bglt
																																BgL_auxz00_6987;
																															{
																																obj_t
																																	BgL_bodyz00_6989;
																																obj_t
																																	BgL_bindsz00_6988;
																																BgL_bindsz00_6988
																																	=
																																	BgL_arg1986z00_2020;
																																BgL_bodyz00_6989
																																	=
																																	BgL_arg1988z00_2021;
																																BgL_bodyz00_1480
																																	=
																																	BgL_bodyz00_6989;
																																BgL_bindsz00_1479
																																	=
																																	BgL_bindsz00_6988;
																																goto
																																	BgL_tagzd2160zd2_1481;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_6987);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 425 */
																														obj_t
																															BgL_arg1990z00_2022;
																														BgL_arg1990z00_2022
																															=
																															CAR(BgL_ez00_69);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_6992;
																															{
																																obj_t
																																	BgL_argsz00_6994;
																																obj_t
																																	BgL_fz00_6993;
																																BgL_fz00_6993 =
																																	BgL_arg1990z00_2022;
																																BgL_argsz00_6994
																																	=
																																	BgL_cdrzd211149zd2_2016;
																																BgL_argsz00_1526
																																	=
																																	BgL_argsz00_6994;
																																BgL_fz00_1525 =
																																	BgL_fz00_6993;
																																goto
																																	BgL_tagzd2175zd2_1527;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_6992);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 425 */
																												if (
																													(CAR(BgL_ez00_69) ==
																														BGl_symbol3252z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 425 */
																														if (PAIRP
																															(BgL_cdrzd211149zd2_2016))
																															{	/* Eval/evaluate.scm 425 */
																																obj_t
																																	BgL_arg1995z00_2028;
																																obj_t
																																	BgL_arg1996z00_2029;
																																BgL_arg1995z00_2028
																																	=
																																	CAR
																																	(BgL_cdrzd211149zd2_2016);
																																BgL_arg1996z00_2029
																																	=
																																	CDR
																																	(BgL_cdrzd211149zd2_2016);
																																{
																																	BgL_ev_letza2za2_bglt
																																		BgL_auxz00_7003;
																																	{
																																		obj_t
																																			BgL_bodyz00_7005;
																																		obj_t
																																			BgL_bindsz00_7004;
																																		BgL_bindsz00_7004
																																			=
																																			BgL_arg1995z00_2028;
																																		BgL_bodyz00_7005
																																			=
																																			BgL_arg1996z00_2029;
																																		BgL_bodyz00_1483
																																			=
																																			BgL_bodyz00_7005;
																																		BgL_bindsz00_1482
																																			=
																																			BgL_bindsz00_7004;
																																		goto
																																			BgL_tagzd2161zd2_1484;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_7003);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 425 */
																																obj_t
																																	BgL_arg1997z00_2030;
																																obj_t
																																	BgL_arg1998z00_2031;
																																BgL_arg1997z00_2030
																																	=
																																	CAR
																																	(BgL_ez00_69);
																																BgL_arg1998z00_2031
																																	=
																																	CDR
																																	(BgL_ez00_69);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_7009;
																																	{
																																		obj_t
																																			BgL_argsz00_7011;
																																		obj_t
																																			BgL_fz00_7010;
																																		BgL_fz00_7010
																																			=
																																			BgL_arg1997z00_2030;
																																		BgL_argsz00_7011
																																			=
																																			BgL_arg1998z00_2031;
																																		BgL_argsz00_1526
																																			=
																																			BgL_argsz00_7011;
																																		BgL_fz00_1525
																																			=
																																			BgL_fz00_7010;
																																		goto
																																			BgL_tagzd2175zd2_1527;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_7009);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 425 */
																														obj_t
																															BgL_cdrzd211543zd2_2032;
																														BgL_cdrzd211543zd2_2032
																															=
																															CDR(BgL_ez00_69);
																														if ((CAR
																																(BgL_ez00_69) ==
																																BGl_symbol3254z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 425 */
																																if (PAIRP
																																	(BgL_cdrzd211543zd2_2032))
																																	{	/* Eval/evaluate.scm 425 */
																																		obj_t
																																			BgL_arg2002z00_2036;
																																		obj_t
																																			BgL_arg2004z00_2037;
																																		BgL_arg2002z00_2036
																																			=
																																			CAR
																																			(BgL_cdrzd211543zd2_2032);
																																		BgL_arg2004z00_2037
																																			=
																																			CDR
																																			(BgL_cdrzd211543zd2_2032);
																																		{
																																			BgL_ev_letrecz00_bglt
																																				BgL_auxz00_7021;
																																			{
																																				obj_t
																																					BgL_bodyz00_7023;
																																				obj_t
																																					BgL_bindsz00_7022;
																																				BgL_bindsz00_7022
																																					=
																																					BgL_arg2002z00_2036;
																																				BgL_bodyz00_7023
																																					=
																																					BgL_arg2004z00_2037;
																																				BgL_bodyz00_1486
																																					=
																																					BgL_bodyz00_7023;
																																				BgL_bindsz00_1485
																																					=
																																					BgL_bindsz00_7022;
																																				goto
																																					BgL_tagzd2162zd2_1487;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_7021);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 425 */
																																		obj_t
																																			BgL_arg2005z00_2038;
																																		BgL_arg2005z00_2038
																																			=
																																			CAR
																																			(BgL_ez00_69);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_7026;
																																			{
																																				obj_t
																																					BgL_argsz00_7028;
																																				obj_t
																																					BgL_fz00_7027;
																																				BgL_fz00_7027
																																					=
																																					BgL_arg2005z00_2038;
																																				BgL_argsz00_7028
																																					=
																																					BgL_cdrzd211543zd2_2032;
																																				BgL_argsz00_1526
																																					=
																																					BgL_argsz00_7028;
																																				BgL_fz00_1525
																																					=
																																					BgL_fz00_7027;
																																				goto
																																					BgL_tagzd2175zd2_1527;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_7026);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 425 */
																																if (
																																	(CAR
																																		(BgL_ez00_69)
																																		==
																																		BGl_symbol3256z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 425 */
																																		if (PAIRP
																																			(BgL_cdrzd211543zd2_2032))
																																			{	/* Eval/evaluate.scm 425 */
																																				obj_t
																																					BgL_carzd211717zd2_2044;
																																				obj_t
																																					BgL_cdrzd211718zd2_2045;
																																				BgL_carzd211717zd2_2044
																																					=
																																					CAR
																																					(BgL_cdrzd211543zd2_2032);
																																				BgL_cdrzd211718zd2_2045
																																					=
																																					CDR
																																					(BgL_cdrzd211543zd2_2032);
																																				if (PAIRP(BgL_carzd211717zd2_2044))
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_cdrzd211722zd2_2047;
																																						BgL_cdrzd211722zd2_2047
																																							=
																																							CDR
																																							(BgL_carzd211717zd2_2044);
																																						if (
																																							(CAR
																																								(BgL_carzd211717zd2_2044)
																																								==
																																								BGl_symbol3242z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 425 */
																																								if (PAIRP(BgL_cdrzd211722zd2_2047))
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_carzd211725zd2_2051;
																																										obj_t
																																											BgL_cdrzd211726zd2_2052;
																																										BgL_carzd211725zd2_2051
																																											=
																																											CAR
																																											(BgL_cdrzd211722zd2_2047);
																																										BgL_cdrzd211726zd2_2052
																																											=
																																											CDR
																																											(BgL_cdrzd211722zd2_2047);
																																										if (SYMBOLP(BgL_carzd211725zd2_2051))
																																											{	/* Eval/evaluate.scm 425 */
																																												if (PAIRP(BgL_cdrzd211726zd2_2052))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_carzd211730zd2_2055;
																																														BgL_carzd211730zd2_2055
																																															=
																																															CAR
																																															(BgL_cdrzd211726zd2_2052);
																																														if (SYMBOLP(BgL_carzd211730zd2_2055))
																																															{	/* Eval/evaluate.scm 425 */
																																																if (NULLP(CDR(BgL_cdrzd211726zd2_2052)))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (PAIRP(BgL_cdrzd211718zd2_2045))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				if (NULLP(CDR(BgL_cdrzd211718zd2_2045)))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg2022z00_2062;
																																																						BgL_arg2022z00_2062
																																																							=
																																																							CAR
																																																							(BgL_cdrzd211718zd2_2045);
																																																						{	/* Eval/evaluate.scm 532 */
																																																							BgL_ev_setglobalz00_bglt
																																																								BgL_new1138z00_4412;
																																																							{	/* Eval/evaluate.scm 536 */
																																																								BgL_ev_setglobalz00_bglt
																																																									BgL_new1137z00_4413;
																																																								BgL_new1137z00_4413
																																																									=
																																																									(
																																																									(BgL_ev_setglobalz00_bglt)
																																																									BOBJECT
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_setglobalz00_bgl))));
																																																								{	/* Eval/evaluate.scm 536 */
																																																									long
																																																										BgL_arg2342z00_4414;
																																																									{	/* Eval/evaluate.scm 536 */
																																																										long
																																																											BgL_res3049z00_4416;
																																																										BgL_res3049z00_4416
																																																											=
																																																											BGL_CLASS_INDEX
																																																											(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																										BgL_arg2342z00_4414
																																																											=
																																																											BgL_res3049z00_4416;
																																																									}
																																																									BGL_OBJECT_CLASS_NUM_SET
																																																										(
																																																										((BgL_objectz00_bglt) BgL_new1137z00_4413), BgL_arg2342z00_4414);
																																																								}
																																																								BgL_new1138z00_4412
																																																									=
																																																									BgL_new1137z00_4413;
																																																							}
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_7067;
																																																								{	/* Eval/evaluate.scm 381 */
																																																									obj_t
																																																										BgL_arg2389z00_4419;
																																																									BgL_arg2389z00_4419
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg2022z00_2062,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_7067
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg2022z00_2062,
																																																											BgL_arg2389z00_4419));
																																																								}
																																																								((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1138z00_4412)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7067), BUNSPEC);
																																																							}
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1138z00_4412))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1138z00_4412))->BgL_namez00) = ((obj_t) BgL_carzd211725zd2_2051), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1138z00_4412))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd211730zd2_2055)), BUNSPEC);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_new1138z00_4412);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_74,
																																																							BGl_string3159z00zz__evaluatez00,
																																																							BGl_string3234z00zz__evaluatez00,
																																																							BgL_ez00_69);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_74,
																																																					BGl_string3159z00zz__evaluatez00,
																																																					BGl_string3234z00zz__evaluatez00,
																																																					BgL_ez00_69);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd211846zd2_2064;
																																																		BgL_cdrzd211846zd2_2064
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{	/* Eval/evaluate.scm 425 */
																																																			obj_t
																																																				BgL_cdrzd211850zd2_2065;
																																																			BgL_cdrzd211850zd2_2065
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd211846zd2_2064));
																																																			if (PAIRP(BgL_cdrzd211850zd2_2065))
																																																				{	/* Eval/evaluate.scm 425 */
																																																					if (NULLP(CDR(BgL_cdrzd211850zd2_2065)))
																																																						{	/* Eval/evaluate.scm 425 */
																																																							obj_t
																																																								BgL_arg2027z00_2069;
																																																							obj_t
																																																								BgL_arg2028z00_2070;
																																																							BgL_arg2027z00_2069
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd211846zd2_2064));
																																																							BgL_arg2028z00_2070
																																																								=
																																																								CAR
																																																								(BgL_cdrzd211850zd2_2065);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_7091;
																																																								{
																																																									obj_t
																																																										BgL_ez00_7093;
																																																									obj_t
																																																										BgL_vz00_7092;
																																																									BgL_vz00_7092
																																																										=
																																																										BgL_arg2027z00_2069;
																																																									BgL_ez00_7093
																																																										=
																																																										BgL_arg2028z00_2070;
																																																									BgL_ez00_1496
																																																										=
																																																										BgL_ez00_7093;
																																																									BgL_vz00_1495
																																																										=
																																																										BgL_vz00_7092;
																																																									goto
																																																										BgL_tagzd2165zd2_1497;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_7091);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 425 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string3159z00zz__evaluatez00,
																																																								BGl_string3234z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 425 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string3159z00zz__evaluatez00,
																																																						BGl_string3234z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd211907zd2_2073;
																																																BgL_cdrzd211907zd2_2073
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_cdrzd211911zd2_2074;
																																																	BgL_cdrzd211911zd2_2074
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd211907zd2_2073));
																																																	if (PAIRP(BgL_cdrzd211911zd2_2074))
																																																		{	/* Eval/evaluate.scm 425 */
																																																			if (NULLP(CDR(BgL_cdrzd211911zd2_2074)))
																																																				{	/* Eval/evaluate.scm 425 */
																																																					obj_t
																																																						BgL_arg2034z00_2078;
																																																					obj_t
																																																						BgL_arg2036z00_2079;
																																																					BgL_arg2034z00_2078
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd211907zd2_2073));
																																																					BgL_arg2036z00_2079
																																																						=
																																																						CAR
																																																						(BgL_cdrzd211911zd2_2074);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_7108;
																																																						{
																																																							obj_t
																																																								BgL_ez00_7110;
																																																							obj_t
																																																								BgL_vz00_7109;
																																																							BgL_vz00_7109
																																																								=
																																																								BgL_arg2034z00_2078;
																																																							BgL_ez00_7110
																																																								=
																																																								BgL_arg2036z00_2079;
																																																							BgL_ez00_1496
																																																								=
																																																								BgL_ez00_7110;
																																																							BgL_vz00_1495
																																																								=
																																																								BgL_vz00_7109;
																																																							goto
																																																								BgL_tagzd2165zd2_1497;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_7108);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 425 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string3159z00zz__evaluatez00,
																																																						BGl_string3234z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 425 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string3159z00zz__evaluatez00,
																																																				BGl_string3234z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd211968zd2_2081;
																																														BgL_cdrzd211968zd2_2081
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{	/* Eval/evaluate.scm 425 */
																																															obj_t
																																																BgL_cdrzd211972zd2_2082;
																																															BgL_cdrzd211972zd2_2082
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd211968zd2_2081));
																																															if (PAIRP(BgL_cdrzd211972zd2_2082))
																																																{	/* Eval/evaluate.scm 425 */
																																																	if (NULLP(CDR(BgL_cdrzd211972zd2_2082)))
																																																		{	/* Eval/evaluate.scm 425 */
																																																			obj_t
																																																				BgL_arg2041z00_2086;
																																																			obj_t
																																																				BgL_arg2042z00_2087;
																																																			BgL_arg2041z00_2086
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd211968zd2_2081));
																																																			BgL_arg2042z00_2087
																																																				=
																																																				CAR
																																																				(BgL_cdrzd211972zd2_2082);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_7125;
																																																				{
																																																					obj_t
																																																						BgL_ez00_7127;
																																																					obj_t
																																																						BgL_vz00_7126;
																																																					BgL_vz00_7126
																																																						=
																																																						BgL_arg2041z00_2086;
																																																					BgL_ez00_7127
																																																						=
																																																						BgL_arg2042z00_2087;
																																																					BgL_ez00_1496
																																																						=
																																																						BgL_ez00_7127;
																																																					BgL_vz00_1495
																																																						=
																																																						BgL_vz00_7126;
																																																					goto
																																																						BgL_tagzd2165zd2_1497;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_7125);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 425 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string3159z00zz__evaluatez00,
																																																				BGl_string3234z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3159z00zz__evaluatez00,
																																																		BGl_string3234z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd212029zd2_2089;
																																												BgL_cdrzd212029zd2_2089
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{	/* Eval/evaluate.scm 425 */
																																													obj_t
																																														BgL_cdrzd212033zd2_2090;
																																													BgL_cdrzd212033zd2_2090
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd212029zd2_2089));
																																													if (PAIRP(BgL_cdrzd212033zd2_2090))
																																														{	/* Eval/evaluate.scm 425 */
																																															if (NULLP(CDR(BgL_cdrzd212033zd2_2090)))
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_arg2047z00_2094;
																																																	obj_t
																																																		BgL_arg2048z00_2095;
																																																	BgL_arg2047z00_2094
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd212029zd2_2089));
																																																	BgL_arg2048z00_2095
																																																		=
																																																		CAR
																																																		(BgL_cdrzd212033zd2_2090);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_7142;
																																																		{
																																																			obj_t
																																																				BgL_ez00_7144;
																																																			obj_t
																																																				BgL_vz00_7143;
																																																			BgL_vz00_7143
																																																				=
																																																				BgL_arg2047z00_2094;
																																																			BgL_ez00_7144
																																																				=
																																																				BgL_arg2048z00_2095;
																																																			BgL_ez00_1496
																																																				=
																																																				BgL_ez00_7144;
																																																			BgL_vz00_1495
																																																				=
																																																				BgL_vz00_7143;
																																																			goto
																																																				BgL_tagzd2165zd2_1497;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_7142);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3159z00zz__evaluatez00,
																																																		BGl_string3234z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3159z00zz__evaluatez00,
																																																BGl_string3234z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_cdrzd212090zd2_2097;
																																										BgL_cdrzd212090zd2_2097
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{	/* Eval/evaluate.scm 425 */
																																											obj_t
																																												BgL_cdrzd212094zd2_2098;
																																											BgL_cdrzd212094zd2_2098
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd212090zd2_2097));
																																											if (PAIRP(BgL_cdrzd212094zd2_2098))
																																												{	/* Eval/evaluate.scm 425 */
																																													if (NULLP(CDR(BgL_cdrzd212094zd2_2098)))
																																														{	/* Eval/evaluate.scm 425 */
																																															obj_t
																																																BgL_arg2053z00_2102;
																																															obj_t
																																																BgL_arg2054z00_2103;
																																															BgL_arg2053z00_2102
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd212090zd2_2097));
																																															BgL_arg2054z00_2103
																																																=
																																																CAR
																																																(BgL_cdrzd212094zd2_2098);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_7159;
																																																{
																																																	obj_t
																																																		BgL_ez00_7161;
																																																	obj_t
																																																		BgL_vz00_7160;
																																																	BgL_vz00_7160
																																																		=
																																																		BgL_arg2053z00_2102;
																																																	BgL_ez00_7161
																																																		=
																																																		BgL_arg2054z00_2103;
																																																	BgL_ez00_1496
																																																		=
																																																		BgL_ez00_7161;
																																																	BgL_vz00_1495
																																																		=
																																																		BgL_vz00_7160;
																																																	goto
																																																		BgL_tagzd2165zd2_1497;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_7159);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3159z00zz__evaluatez00,
																																																BGl_string3234z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 425 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string3159z00zz__evaluatez00,
																																														BGl_string3234z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_cdrzd212138zd2_2105;
																																								BgL_cdrzd212138zd2_2105
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								{	/* Eval/evaluate.scm 425 */
																																									obj_t
																																										BgL_carzd212141zd2_2106;
																																									obj_t
																																										BgL_cdrzd212142zd2_2107;
																																									BgL_carzd212141zd2_2106
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd212138zd2_2105));
																																									BgL_cdrzd212142zd2_2107
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd212138zd2_2105));
																																									if ((CAR(((obj_t) BgL_carzd212141zd2_2106)) == BGl_symbol3244z00zz__evaluatez00))
																																										{	/* Eval/evaluate.scm 425 */
																																											if (PAIRP(BgL_cdrzd212142zd2_2107))
																																												{	/* Eval/evaluate.scm 425 */
																																													if (NULLP(CDR(BgL_cdrzd212142zd2_2107)))
																																														{	/* Eval/evaluate.scm 425 */
																																															obj_t
																																																BgL_arg2061z00_2113;
																																															obj_t
																																																BgL_arg2062z00_2114;
																																															BgL_arg2061z00_2113
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd212141zd2_2106));
																																															BgL_arg2062z00_2114
																																																=
																																																CAR
																																																(BgL_cdrzd212142zd2_2107);
																																															{
																																																obj_t
																																																	BgL_e2z00_7183;
																																																obj_t
																																																	BgL_lz00_7182;
																																																BgL_lz00_7182
																																																	=
																																																	BgL_arg2061z00_2113;
																																																BgL_e2z00_7183
																																																	=
																																																	BgL_arg2062z00_2114;
																																																BgL_e2z00_1493
																																																	=
																																																	BgL_e2z00_7183;
																																																BgL_lz00_1492
																																																	=
																																																	BgL_lz00_7182;
																																																goto
																																																	BgL_tagzd2164zd2_1494;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3159z00zz__evaluatez00,
																																																BGl_string3234z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 425 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string3159z00zz__evaluatez00,
																																														BGl_string3234z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 425 */
																																											obj_t
																																												BgL_cdrzd212218zd2_2117;
																																											BgL_cdrzd212218zd2_2117
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd212138zd2_2105));
																																											if (PAIRP(BgL_cdrzd212218zd2_2117))
																																												{	/* Eval/evaluate.scm 425 */
																																													if (NULLP(CDR(BgL_cdrzd212218zd2_2117)))
																																														{	/* Eval/evaluate.scm 425 */
																																															obj_t
																																																BgL_arg2067z00_2121;
																																															obj_t
																																																BgL_arg2068z00_2122;
																																															BgL_arg2067z00_2121
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd212138zd2_2105));
																																															BgL_arg2068z00_2122
																																																=
																																																CAR
																																																(BgL_cdrzd212218zd2_2117);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_7196;
																																																{
																																																	obj_t
																																																		BgL_ez00_7198;
																																																	obj_t
																																																		BgL_vz00_7197;
																																																	BgL_vz00_7197
																																																		=
																																																		BgL_arg2067z00_2121;
																																																	BgL_ez00_7198
																																																		=
																																																		BgL_arg2068z00_2122;
																																																	BgL_ez00_1496
																																																		=
																																																		BgL_ez00_7198;
																																																	BgL_vz00_1495
																																																		=
																																																		BgL_vz00_7197;
																																																	goto
																																																		BgL_tagzd2165zd2_1497;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_7196);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3159z00zz__evaluatez00,
																																																BGl_string3234z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 425 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string3159z00zz__evaluatez00,
																																														BGl_string3234z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_cdrzd212275zd2_2126;
																																						BgL_cdrzd212275zd2_2126
																																							=
																																							CDR
																																							(BgL_ez00_69);
																																						{	/* Eval/evaluate.scm 425 */
																																							obj_t
																																								BgL_cdrzd212279zd2_2127;
																																							BgL_cdrzd212279zd2_2127
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd212275zd2_2126));
																																							if (PAIRP(BgL_cdrzd212279zd2_2127))
																																								{	/* Eval/evaluate.scm 425 */
																																									if (NULLP(CDR(BgL_cdrzd212279zd2_2127)))
																																										{	/* Eval/evaluate.scm 425 */
																																											obj_t
																																												BgL_arg2076z00_2131;
																																											obj_t
																																												BgL_arg2078z00_2132;
																																											BgL_arg2076z00_2131
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd212275zd2_2126));
																																											BgL_arg2078z00_2132
																																												=
																																												CAR
																																												(BgL_cdrzd212279zd2_2127);
																																											{
																																												BgL_ev_hookz00_bglt
																																													BgL_auxz00_7213;
																																												{
																																													obj_t
																																														BgL_ez00_7215;
																																													obj_t
																																														BgL_vz00_7214;
																																													BgL_vz00_7214
																																														=
																																														BgL_arg2076z00_2131;
																																													BgL_ez00_7215
																																														=
																																														BgL_arg2078z00_2132;
																																													BgL_ez00_1496
																																														=
																																														BgL_ez00_7215;
																																													BgL_vz00_1495
																																														=
																																														BgL_vz00_7214;
																																													goto
																																														BgL_tagzd2165zd2_1497;
																																												}
																																												return
																																													(
																																													(obj_t)
																																													BgL_auxz00_7213);
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 425 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_74,
																																												BGl_string3159z00zz__evaluatez00,
																																												BGl_string3234z00zz__evaluatez00,
																																												BgL_ez00_69);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 425 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_74,
																																										BGl_string3159z00zz__evaluatez00,
																																										BGl_string3234z00zz__evaluatez00,
																																										BgL_ez00_69);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 425 */
																																				return
																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																					(BgL_locz00_74,
																																					BGl_string3159z00zz__evaluatez00,
																																					BGl_string3234z00zz__evaluatez00,
																																					BgL_ez00_69);
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 425 */
																																		obj_t
																																			BgL_cdrzd212400zd2_2134;
																																		BgL_cdrzd212400zd2_2134
																																			=
																																			CDR
																																			(BgL_ez00_69);
																																		if ((CAR
																																				(BgL_ez00_69)
																																				==
																																				BGl_symbol3258z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 425 */
																																				if (PAIRP(BgL_cdrzd212400zd2_2134))
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_cdrzd212405zd2_2138;
																																						BgL_cdrzd212405zd2_2138
																																							=
																																							CDR
																																							(BgL_cdrzd212400zd2_2134);
																																						if (PAIRP(BgL_cdrzd212405zd2_2138))
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_carzd212409zd2_2140;
																																								BgL_carzd212409zd2_2140
																																									=
																																									CAR
																																									(BgL_cdrzd212405zd2_2138);
																																								if (PAIRP(BgL_carzd212409zd2_2140))
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_cdrzd212414zd2_2142;
																																										BgL_cdrzd212414zd2_2142
																																											=
																																											CDR
																																											(BgL_carzd212409zd2_2140);
																																										if ((CAR(BgL_carzd212409zd2_2140) == BGl_symbol3223z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 425 */
																																												if (PAIRP(BgL_cdrzd212414zd2_2142))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd212418zd2_2146;
																																														BgL_cdrzd212418zd2_2146
																																															=
																																															CDR
																																															(BgL_cdrzd212414zd2_2142);
																																														if (PAIRP(BgL_cdrzd212418zd2_2146))
																																															{	/* Eval/evaluate.scm 425 */
																																																if (NULLP(CDR(BgL_cdrzd212418zd2_2146)))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (NULLP(CDR(BgL_cdrzd212405zd2_2138)))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2093z00_2152;
																																																				obj_t
																																																					BgL_arg2094z00_2153;
																																																				obj_t
																																																					BgL_arg2095z00_2154;
																																																				BgL_arg2093z00_2152
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212400zd2_2134);
																																																				BgL_arg2094z00_2153
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212414zd2_2142);
																																																				BgL_arg2095z00_2154
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212418zd2_2146);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_7250;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_7253;
																																																						obj_t
																																																							BgL_formalsz00_7252;
																																																						obj_t
																																																							BgL_gvz00_7251;
																																																						BgL_gvz00_7251
																																																							=
																																																							BgL_arg2093z00_2152;
																																																						BgL_formalsz00_7252
																																																							=
																																																							BgL_arg2094z00_2153;
																																																						BgL_bodyz00_7253
																																																							=
																																																							BgL_arg2095z00_2154;
																																																						BgL_bodyz00_1501
																																																							=
																																																							BgL_bodyz00_7253;
																																																						BgL_formalsz00_1500
																																																							=
																																																							BgL_formalsz00_7252;
																																																						BgL_gvz00_1499
																																																							=
																																																							BgL_gvz00_7251;
																																																						goto
																																																							BgL_tagzd2167zd2_1502;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7250);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2096z00_2155;
																																																				BgL_arg2096z00_2155
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7256;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7258;
																																																						obj_t
																																																							BgL_fz00_7257;
																																																						BgL_fz00_7257
																																																							=
																																																							BgL_arg2096z00_2155;
																																																						BgL_argsz00_7258
																																																							=
																																																							BgL_cdrzd212400zd2_2134;
																																																						BgL_argsz00_1526
																																																							=
																																																							BgL_argsz00_7258;
																																																						BgL_fz00_1525
																																																							=
																																																							BgL_fz00_7257;
																																																						goto
																																																							BgL_tagzd2175zd2_1527;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7256);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd212518zd2_2159;
																																																		BgL_cdrzd212518zd2_2159
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd212400zd2_2134));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd212518zd2_2159))))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2102z00_2162;
																																																				obj_t
																																																					BgL_arg2103z00_2163;
																																																				BgL_arg2102z00_2162
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd212400zd2_2134));
																																																				BgL_arg2103z00_2163
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd212518zd2_2159));
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_7270;
																																																					{
																																																						obj_t
																																																							BgL_gez00_7272;
																																																						obj_t
																																																							BgL_gvz00_7271;
																																																						BgL_gvz00_7271
																																																							=
																																																							BgL_arg2102z00_2162;
																																																						BgL_gez00_7272
																																																							=
																																																							BgL_arg2103z00_2163;
																																																						BgL_gez00_1504
																																																							=
																																																							BgL_gez00_7272;
																																																						BgL_gvz00_1503
																																																							=
																																																							BgL_gvz00_7271;
																																																						goto
																																																							BgL_tagzd2168zd2_1505;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7270);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2104z00_2164;
																																																				obj_t
																																																					BgL_arg2105z00_2165;
																																																				BgL_arg2104z00_2164
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg2105z00_2165
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7276;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7278;
																																																						obj_t
																																																							BgL_fz00_7277;
																																																						BgL_fz00_7277
																																																							=
																																																							BgL_arg2104z00_2164;
																																																						BgL_argsz00_7278
																																																							=
																																																							BgL_arg2105z00_2165;
																																																						BgL_argsz00_1526
																																																							=
																																																							BgL_argsz00_7278;
																																																						BgL_fz00_1525
																																																							=
																																																							BgL_fz00_7277;
																																																						goto
																																																							BgL_tagzd2175zd2_1527;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7276);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd212605zd2_2169;
																																																BgL_cdrzd212605zd2_2169
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd212400zd2_2134));
																																																if (NULLP(CDR(((obj_t) BgL_cdrzd212605zd2_2169))))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg2110z00_2172;
																																																		obj_t
																																																			BgL_arg2111z00_2173;
																																																		BgL_arg2110z00_2172
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd212400zd2_2134));
																																																		BgL_arg2111z00_2173
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd212605zd2_2169));
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_7290;
																																																			{
																																																				obj_t
																																																					BgL_gez00_7292;
																																																				obj_t
																																																					BgL_gvz00_7291;
																																																				BgL_gvz00_7291
																																																					=
																																																					BgL_arg2110z00_2172;
																																																				BgL_gez00_7292
																																																					=
																																																					BgL_arg2111z00_2173;
																																																				BgL_gez00_1504
																																																					=
																																																					BgL_gez00_7292;
																																																				BgL_gvz00_1503
																																																					=
																																																					BgL_gvz00_7291;
																																																				goto
																																																					BgL_tagzd2168zd2_1505;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7290);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg2112z00_2174;
																																																		obj_t
																																																			BgL_arg2113z00_2175;
																																																		BgL_arg2112z00_2174
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg2113z00_2175
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7296;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7298;
																																																				obj_t
																																																					BgL_fz00_7297;
																																																				BgL_fz00_7297
																																																					=
																																																					BgL_arg2112z00_2174;
																																																				BgL_argsz00_7298
																																																					=
																																																					BgL_arg2113z00_2175;
																																																				BgL_argsz00_1526
																																																					=
																																																					BgL_argsz00_7298;
																																																				BgL_fz00_1525
																																																					=
																																																					BgL_fz00_7297;
																																																				goto
																																																					BgL_tagzd2175zd2_1527;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7296);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd212692zd2_2178;
																																														BgL_cdrzd212692zd2_2178
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_cdrzd212400zd2_2134));
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd212692zd2_2178))))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg2117z00_2181;
																																																obj_t
																																																	BgL_arg2118z00_2182;
																																																BgL_arg2117z00_2181
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd212400zd2_2134));
																																																BgL_arg2118z00_2182
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd212692zd2_2178));
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_7310;
																																																	{
																																																		obj_t
																																																			BgL_gez00_7312;
																																																		obj_t
																																																			BgL_gvz00_7311;
																																																		BgL_gvz00_7311
																																																			=
																																																			BgL_arg2117z00_2181;
																																																		BgL_gez00_7312
																																																			=
																																																			BgL_arg2118z00_2182;
																																																		BgL_gez00_1504
																																																			=
																																																			BgL_gez00_7312;
																																																		BgL_gvz00_1503
																																																			=
																																																			BgL_gvz00_7311;
																																																		goto
																																																			BgL_tagzd2168zd2_1505;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7310);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg2120z00_2183;
																																																obj_t
																																																	BgL_arg2121z00_2184;
																																																BgL_arg2120z00_2183
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg2121z00_2184
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7316;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7318;
																																																		obj_t
																																																			BgL_fz00_7317;
																																																		BgL_fz00_7317
																																																			=
																																																			BgL_arg2120z00_2183;
																																																		BgL_argsz00_7318
																																																			=
																																																			BgL_arg2121z00_2184;
																																																		BgL_argsz00_1526
																																																			=
																																																			BgL_argsz00_7318;
																																																		BgL_fz00_1525
																																																			=
																																																			BgL_fz00_7317;
																																																		goto
																																																			BgL_tagzd2175zd2_1527;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7316);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd212779zd2_2187;
																																												BgL_cdrzd212779zd2_2187
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd212400zd2_2134));
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd212779zd2_2187))))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg2125z00_2190;
																																														obj_t
																																															BgL_arg2126z00_2191;
																																														BgL_arg2125z00_2190
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd212400zd2_2134));
																																														BgL_arg2126z00_2191
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd212779zd2_2187));
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_7330;
																																															{
																																																obj_t
																																																	BgL_gez00_7332;
																																																obj_t
																																																	BgL_gvz00_7331;
																																																BgL_gvz00_7331
																																																	=
																																																	BgL_arg2125z00_2190;
																																																BgL_gez00_7332
																																																	=
																																																	BgL_arg2126z00_2191;
																																																BgL_gez00_1504
																																																	=
																																																	BgL_gez00_7332;
																																																BgL_gvz00_1503
																																																	=
																																																	BgL_gvz00_7331;
																																																goto
																																																	BgL_tagzd2168zd2_1505;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7330);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg2127z00_2192;
																																														obj_t
																																															BgL_arg2128z00_2193;
																																														BgL_arg2127z00_2192
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg2128z00_2193
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7336;
																																															{
																																																obj_t
																																																	BgL_argsz00_7338;
																																																obj_t
																																																	BgL_fz00_7337;
																																																BgL_fz00_7337
																																																	=
																																																	BgL_arg2127z00_2192;
																																																BgL_argsz00_7338
																																																	=
																																																	BgL_arg2128z00_2193;
																																																BgL_argsz00_1526
																																																	=
																																																	BgL_argsz00_7338;
																																																BgL_fz00_1525
																																																	=
																																																	BgL_fz00_7337;
																																																goto
																																																	BgL_tagzd2175zd2_1527;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7336);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_cdrzd212866zd2_2197;
																																										BgL_cdrzd212866zd2_2197
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_cdrzd212400zd2_2134));
																																										if (NULLP(CDR(((obj_t) BgL_cdrzd212866zd2_2197))))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2134z00_2200;
																																												obj_t
																																													BgL_arg2135z00_2201;
																																												BgL_arg2134z00_2200
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd212400zd2_2134));
																																												BgL_arg2135z00_2201
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd212866zd2_2197));
																																												{
																																													BgL_ev_defglobalz00_bglt
																																														BgL_auxz00_7350;
																																													{
																																														obj_t
																																															BgL_gez00_7352;
																																														obj_t
																																															BgL_gvz00_7351;
																																														BgL_gvz00_7351
																																															=
																																															BgL_arg2134z00_2200;
																																														BgL_gez00_7352
																																															=
																																															BgL_arg2135z00_2201;
																																														BgL_gez00_1504
																																															=
																																															BgL_gez00_7352;
																																														BgL_gvz00_1503
																																															=
																																															BgL_gvz00_7351;
																																														goto
																																															BgL_tagzd2168zd2_1505;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7350);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2136z00_2202;
																																												obj_t
																																													BgL_arg2137z00_2203;
																																												BgL_arg2136z00_2202
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg2137z00_2203
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7356;
																																													{
																																														obj_t
																																															BgL_argsz00_7358;
																																														obj_t
																																															BgL_fz00_7357;
																																														BgL_fz00_7357
																																															=
																																															BgL_arg2136z00_2202;
																																														BgL_argsz00_7358
																																															=
																																															BgL_arg2137z00_2203;
																																														BgL_argsz00_1526
																																															=
																																															BgL_argsz00_7358;
																																														BgL_fz00_1525
																																															=
																																															BgL_fz00_7357;
																																														goto
																																															BgL_tagzd2175zd2_1527;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7356);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_arg2139z00_2205;
																																								BgL_arg2139z00_2205
																																									=
																																									CAR
																																									(BgL_ez00_69);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_7361;
																																									{
																																										obj_t
																																											BgL_argsz00_7363;
																																										obj_t
																																											BgL_fz00_7362;
																																										BgL_fz00_7362
																																											=
																																											BgL_arg2139z00_2205;
																																										BgL_argsz00_7363
																																											=
																																											BgL_cdrzd212400zd2_2134;
																																										BgL_argsz00_1526
																																											=
																																											BgL_argsz00_7363;
																																										BgL_fz00_1525
																																											=
																																											BgL_fz00_7362;
																																										goto
																																											BgL_tagzd2175zd2_1527;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_7361);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_arg2141z00_2207;
																																						BgL_arg2141z00_2207
																																							=
																																							CAR
																																							(BgL_ez00_69);
																																						{
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_7366;
																																							{
																																								obj_t
																																									BgL_argsz00_7368;
																																								obj_t
																																									BgL_fz00_7367;
																																								BgL_fz00_7367
																																									=
																																									BgL_arg2141z00_2207;
																																								BgL_argsz00_7368
																																									=
																																									BgL_cdrzd212400zd2_2134;
																																								BgL_argsz00_1526
																																									=
																																									BgL_argsz00_7368;
																																								BgL_fz00_1525
																																									=
																																									BgL_fz00_7367;
																																								goto
																																									BgL_tagzd2175zd2_1527;
																																							}
																																							return
																																								(
																																								(obj_t)
																																								BgL_auxz00_7366);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 425 */
																																				if (
																																					(CAR
																																						(BgL_ez00_69)
																																						==
																																						BGl_symbol3260z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 425 */
																																						if (PAIRP(BgL_cdrzd212400zd2_2134))
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_carzd213108zd2_2213;
																																								BgL_carzd213108zd2_2213
																																									=
																																									CAR
																																									(BgL_cdrzd212400zd2_2134);
																																								if (PAIRP(BgL_carzd213108zd2_2213))
																																									{	/* Eval/evaluate.scm 425 */
																																										if (NULLP(CDR(BgL_carzd213108zd2_2213)))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2149z00_2217;
																																												obj_t
																																													BgL_arg2150z00_2218;
																																												BgL_arg2149z00_2217
																																													=
																																													CAR
																																													(BgL_carzd213108zd2_2213);
																																												BgL_arg2150z00_2218
																																													=
																																													CDR
																																													(BgL_cdrzd212400zd2_2134);
																																												{
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_auxz00_7383;
																																													{
																																														obj_t
																																															BgL_bodyz00_7385;
																																														obj_t
																																															BgL_vz00_7384;
																																														BgL_vz00_7384
																																															=
																																															BgL_arg2149z00_2217;
																																														BgL_bodyz00_7385
																																															=
																																															BgL_arg2150z00_2218;
																																														BgL_bodyz00_1507
																																															=
																																															BgL_bodyz00_7385;
																																														BgL_vz00_1506
																																															=
																																															BgL_vz00_7384;
																																														goto
																																															BgL_tagzd2169zd2_1508;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7383);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2151z00_2219;
																																												obj_t
																																													BgL_arg2152z00_2220;
																																												BgL_arg2151z00_2219
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg2152z00_2220
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7389;
																																													{
																																														obj_t
																																															BgL_argsz00_7391;
																																														obj_t
																																															BgL_fz00_7390;
																																														BgL_fz00_7390
																																															=
																																															BgL_arg2151z00_2219;
																																														BgL_argsz00_7391
																																															=
																																															BgL_arg2152z00_2220;
																																														BgL_argsz00_1526
																																															=
																																															BgL_argsz00_7391;
																																														BgL_fz00_1525
																																															=
																																															BgL_fz00_7390;
																																														goto
																																															BgL_tagzd2175zd2_1527;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7389);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_arg2154z00_2222;
																																										obj_t
																																											BgL_arg2155z00_2223;
																																										BgL_arg2154z00_2222
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										BgL_arg2155z00_2223
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_7395;
																																											{
																																												obj_t
																																													BgL_argsz00_7397;
																																												obj_t
																																													BgL_fz00_7396;
																																												BgL_fz00_7396
																																													=
																																													BgL_arg2154z00_2222;
																																												BgL_argsz00_7397
																																													=
																																													BgL_arg2155z00_2223;
																																												BgL_argsz00_1526
																																													=
																																													BgL_argsz00_7397;
																																												BgL_fz00_1525
																																													=
																																													BgL_fz00_7396;
																																												goto
																																													BgL_tagzd2175zd2_1527;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_7395);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_arg2156z00_2224;
																																								obj_t
																																									BgL_arg2157z00_2225;
																																								BgL_arg2156z00_2224
																																									=
																																									CAR
																																									(BgL_ez00_69);
																																								BgL_arg2157z00_2225
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_7401;
																																									{
																																										obj_t
																																											BgL_argsz00_7403;
																																										obj_t
																																											BgL_fz00_7402;
																																										BgL_fz00_7402
																																											=
																																											BgL_arg2156z00_2224;
																																										BgL_argsz00_7403
																																											=
																																											BgL_arg2157z00_2225;
																																										BgL_argsz00_1526
																																											=
																																											BgL_argsz00_7403;
																																										BgL_fz00_1525
																																											=
																																											BgL_fz00_7402;
																																										goto
																																											BgL_tagzd2175zd2_1527;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_7401);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_cdrzd213273zd2_2226;
																																						BgL_cdrzd213273zd2_2226
																																							=
																																							CDR
																																							(BgL_ez00_69);
																																						if (
																																							(CAR
																																								(BgL_ez00_69)
																																								==
																																								BGl_symbol3262z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 425 */
																																								if (PAIRP(BgL_cdrzd213273zd2_2226))
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_arg2161z00_2230;
																																										obj_t
																																											BgL_arg2162z00_2231;
																																										BgL_arg2161z00_2230
																																											=
																																											CAR
																																											(BgL_cdrzd213273zd2_2226);
																																										BgL_arg2162z00_2231
																																											=
																																											CDR
																																											(BgL_cdrzd213273zd2_2226);
																																										{	/* Eval/evaluate.scm 576 */
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_new1153z00_4563;
																																											{	/* Eval/evaluate.scm 577 */
																																												BgL_ev_unwindzd2protectzd2_bglt
																																													BgL_new1151z00_4564;
																																												BgL_new1151z00_4564
																																													=
																																													(
																																													(BgL_ev_unwindzd2protectzd2_bglt)
																																													BOBJECT
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_unwindzd2protectzd2_bgl))));
																																												{	/* Eval/evaluate.scm 577 */
																																													long
																																														BgL_arg2372z00_4565;
																																													{	/* Eval/evaluate.scm 577 */
																																														long
																																															BgL_res3082z00_4567;
																																														BgL_res3082z00_4567
																																															=
																																															BGL_CLASS_INDEX
																																															(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																														BgL_arg2372z00_4565
																																															=
																																															BgL_res3082z00_4567;
																																													}
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														((BgL_objectz00_bglt) BgL_new1151z00_4564), BgL_arg2372z00_4565);
																																												}
																																												BgL_new1153z00_4563
																																													=
																																													BgL_new1151z00_4564;
																																											}
																																											{
																																												BgL_ev_exprz00_bglt
																																													BgL_auxz00_7417;
																																												{	/* Eval/evaluate.scm 381 */
																																													obj_t
																																														BgL_arg2389z00_4570;
																																													BgL_arg2389z00_4570
																																														=
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2161z00_2230,
																																														BgL_locz00_74);
																																													BgL_auxz00_7417
																																														=
																																														(
																																														(BgL_ev_exprz00_bglt)
																																														BGl_uconvzf2locze70z15zz__evaluatez00
																																														(BgL_wherez00_73,
																																															BgL_globalsz00_71,
																																															BgL_localsz00_70,
																																															BgL_arg2161z00_2230,
																																															BgL_arg2389z00_4570));
																																												}
																																												((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1153z00_4563))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7417), BUNSPEC);
																																											}
																																											((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1153z00_4563))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2162z00_2231, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																											return
																																												(
																																												(obj_t)
																																												BgL_new1153z00_4563);
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_arg2163z00_2232;
																																										BgL_arg2163z00_2232
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_7427;
																																											{
																																												obj_t
																																													BgL_argsz00_7429;
																																												obj_t
																																													BgL_fz00_7428;
																																												BgL_fz00_7428
																																													=
																																													BgL_arg2163z00_2232;
																																												BgL_argsz00_7429
																																													=
																																													BgL_cdrzd213273zd2_2226;
																																												BgL_argsz00_1526
																																													=
																																													BgL_argsz00_7429;
																																												BgL_fz00_1525
																																													=
																																													BgL_fz00_7428;
																																												goto
																																													BgL_tagzd2175zd2_1527;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_7427);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								if ((CAR(BgL_ez00_69) == BGl_symbol3264z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 425 */
																																										if (PAIRP(BgL_cdrzd213273zd2_2226))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2168z00_2238;
																																												obj_t
																																													BgL_arg2169z00_2239;
																																												BgL_arg2168z00_2238
																																													=
																																													CAR
																																													(BgL_cdrzd213273zd2_2226);
																																												BgL_arg2169z00_2239
																																													=
																																													CDR
																																													(BgL_cdrzd213273zd2_2226);
																																												{	/* Eval/evaluate.scm 580 */
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_new1155z00_4578;
																																													{	/* Eval/evaluate.scm 581 */
																																														BgL_ev_withzd2handlerzd2_bglt
																																															BgL_new1154z00_4579;
																																														BgL_new1154z00_4579
																																															=
																																															(
																																															(BgL_ev_withzd2handlerzd2_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_withzd2handlerzd2_bgl))));
																																														{	/* Eval/evaluate.scm 581 */
																																															long
																																																BgL_arg2373z00_4580;
																																															{	/* Eval/evaluate.scm 581 */
																																																long
																																																	BgL_res3084z00_4582;
																																																BgL_res3084z00_4582
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																																BgL_arg2373z00_4580
																																																	=
																																																	BgL_res3084z00_4582;
																																															}
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1154z00_4579), BgL_arg2373z00_4580);
																																														}
																																														BgL_new1155z00_4578
																																															=
																																															BgL_new1154z00_4579;
																																													}
																																													{
																																														BgL_ev_exprz00_bglt
																																															BgL_auxz00_7442;
																																														{	/* Eval/evaluate.scm 381 */
																																															obj_t
																																																BgL_arg2389z00_4585;
																																															BgL_arg2389z00_4585
																																																=
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg2168z00_2238,
																																																BgL_locz00_74);
																																															BgL_auxz00_7442
																																																=
																																																(
																																																(BgL_ev_exprz00_bglt)
																																																BGl_uconvzf2locze70z15zz__evaluatez00
																																																(BgL_wherez00_73,
																																																	BgL_globalsz00_71,
																																																	BgL_localsz00_70,
																																																	BgL_arg2168z00_2238,
																																																	BgL_arg2389z00_4585));
																																														}
																																														((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1155z00_4578))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7442), BUNSPEC);
																																													}
																																													((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1155z00_4578))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2169z00_2239, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													return
																																														(
																																														(obj_t)
																																														BgL_new1155z00_4578);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2170z00_2240;
																																												obj_t
																																													BgL_arg2171z00_2241;
																																												BgL_arg2170z00_2240
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg2171z00_2241
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7453;
																																													{
																																														obj_t
																																															BgL_argsz00_7455;
																																														obj_t
																																															BgL_fz00_7454;
																																														BgL_fz00_7454
																																															=
																																															BgL_arg2170z00_2240;
																																														BgL_argsz00_7455
																																															=
																																															BgL_arg2171z00_2241;
																																														BgL_argsz00_1526
																																															=
																																															BgL_argsz00_7455;
																																														BgL_fz00_1525
																																															=
																																															BgL_fz00_7454;
																																														goto
																																															BgL_tagzd2175zd2_1527;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7453);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_cdrzd213376zd2_2242;
																																										BgL_cdrzd213376zd2_2242
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										if ((CAR(BgL_ez00_69) == BGl_symbol3266z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 425 */
																																												if (PAIRP(BgL_cdrzd213376zd2_2242))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd213381zd2_2246;
																																														BgL_cdrzd213381zd2_2246
																																															=
																																															CDR
																																															(BgL_cdrzd213376zd2_2242);
																																														if (PAIRP(BgL_cdrzd213381zd2_2246))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd213386zd2_2248;
																																																BgL_cdrzd213386zd2_2248
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213381zd2_2246);
																																																if ((CAR(BgL_cdrzd213381zd2_2246) == BGl_keyword3268z00zz__evaluatez00))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (PAIRP(BgL_cdrzd213386zd2_2248))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2179z00_2252;
																																																				obj_t
																																																					BgL_arg2180z00_2253;
																																																				obj_t
																																																					BgL_arg2181z00_2254;
																																																				BgL_arg2179z00_2252
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213376zd2_2242);
																																																				BgL_arg2180z00_2253
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213386zd2_2248);
																																																				BgL_arg2181z00_2254
																																																					=
																																																					CDR
																																																					(BgL_cdrzd213386zd2_2248);
																																																				{	/* Eval/evaluate.scm 584 */
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_new1157z00_4599;
																																																					{	/* Eval/evaluate.scm 585 */
																																																						BgL_ev_synchroniza7eza7_bglt
																																																							BgL_new1156z00_4600;
																																																						BgL_new1156z00_4600
																																																							=
																																																							(
																																																							(BgL_ev_synchroniza7eza7_bglt)
																																																							BOBJECT
																																																							(GC_MALLOC
																																																								(sizeof
																																																									(struct
																																																										BgL_ev_synchroniza7eza7_bgl))));
																																																						{	/* Eval/evaluate.scm 585 */
																																																							long
																																																								BgL_arg2374z00_4601;
																																																							{	/* Eval/evaluate.scm 585 */
																																																								long
																																																									BgL_res3088z00_4603;
																																																								BgL_res3088z00_4603
																																																									=
																																																									BGL_CLASS_INDEX
																																																									(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																								BgL_arg2374z00_4601
																																																									=
																																																									BgL_res3088z00_4603;
																																																							}
																																																							BGL_OBJECT_CLASS_NUM_SET
																																																								(
																																																								((BgL_objectz00_bglt) BgL_new1156z00_4600), BgL_arg2374z00_4601);
																																																						}
																																																						BgL_new1157z00_4599
																																																							=
																																																							BgL_new1156z00_4600;
																																																					}
																																																					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4599))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																					{
																																																						BgL_ev_exprz00_bglt
																																																							BgL_auxz00_7480;
																																																						{	/* Eval/evaluate.scm 381 */
																																																							obj_t
																																																								BgL_arg2389z00_4606;
																																																							BgL_arg2389z00_4606
																																																								=
																																																								BGl_getzd2locationzd2zz__evaluatez00
																																																								(BgL_arg2179z00_2252,
																																																								BgL_locz00_74);
																																																							BgL_auxz00_7480
																																																								=
																																																								(
																																																								(BgL_ev_exprz00_bglt)
																																																								BGl_uconvzf2locze70z15zz__evaluatez00
																																																								(BgL_wherez00_73,
																																																									BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_arg2179z00_2252,
																																																									BgL_arg2389z00_4606));
																																																						}
																																																						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4599))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7480), BUNSPEC);
																																																					}
																																																					{
																																																						BgL_ev_exprz00_bglt
																																																							BgL_auxz00_7485;
																																																						{	/* Eval/evaluate.scm 381 */
																																																							obj_t
																																																								BgL_arg2389z00_4607;
																																																							BgL_arg2389z00_4607
																																																								=
																																																								BGl_getzd2locationzd2zz__evaluatez00
																																																								(BgL_arg2180z00_2253,
																																																								BgL_locz00_74);
																																																							BgL_auxz00_7485
																																																								=
																																																								(
																																																								(BgL_ev_exprz00_bglt)
																																																								BGl_uconvzf2locze70z15zz__evaluatez00
																																																								(BgL_wherez00_73,
																																																									BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_arg2180z00_2253,
																																																									BgL_arg2389z00_4607));
																																																						}
																																																						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4599))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7485), BUNSPEC);
																																																					}
																																																					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1157z00_4599))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2181z00_2254, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_new1157z00_4599);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2182z00_2256;
																																																				obj_t
																																																					BgL_arg2183z00_2257;
																																																				BgL_arg2182z00_2256
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd213376zd2_2242));
																																																				BgL_arg2183z00_2257
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd213376zd2_2242));
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_7498;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_7500;
																																																						obj_t
																																																							BgL_mz00_7499;
																																																						BgL_mz00_7499
																																																							=
																																																							BgL_arg2182z00_2256;
																																																						BgL_bodyz00_7500
																																																							=
																																																							BgL_arg2183z00_2257;
																																																						BgL_bodyz00_1520
																																																							=
																																																							BgL_bodyz00_7500;
																																																						BgL_mz00_1519
																																																							=
																																																							BgL_mz00_7499;
																																																						goto
																																																							BgL_tagzd2173zd2_1521;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7498);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg2184z00_2259;
																																																		obj_t
																																																			BgL_arg2185z00_2260;
																																																		BgL_arg2184z00_2259
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd213376zd2_2242));
																																																		BgL_arg2185z00_2260
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd213376zd2_2242));
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_7506;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_7508;
																																																				obj_t
																																																					BgL_mz00_7507;
																																																				BgL_mz00_7507
																																																					=
																																																					BgL_arg2184z00_2259;
																																																				BgL_bodyz00_7508
																																																					=
																																																					BgL_arg2185z00_2260;
																																																				BgL_bodyz00_1520
																																																					=
																																																					BgL_bodyz00_7508;
																																																				BgL_mz00_1519
																																																					=
																																																					BgL_mz00_7507;
																																																				goto
																																																					BgL_tagzd2173zd2_1521;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7506);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg2187z00_2263;
																																																obj_t
																																																	BgL_arg2188z00_2264;
																																																BgL_arg2187z00_2263
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd213376zd2_2242));
																																																BgL_arg2188z00_2264
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd213376zd2_2242));
																																																{
																																																	BgL_ev_synchroniza7eza7_bglt
																																																		BgL_auxz00_7514;
																																																	{
																																																		obj_t
																																																			BgL_bodyz00_7516;
																																																		obj_t
																																																			BgL_mz00_7515;
																																																		BgL_mz00_7515
																																																			=
																																																			BgL_arg2187z00_2263;
																																																		BgL_bodyz00_7516
																																																			=
																																																			BgL_arg2188z00_2264;
																																																		BgL_bodyz00_1520
																																																			=
																																																			BgL_bodyz00_7516;
																																																		BgL_mz00_1519
																																																			=
																																																			BgL_mz00_7515;
																																																		goto
																																																			BgL_tagzd2173zd2_1521;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7514);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg2189z00_2265;
																																														BgL_arg2189z00_2265
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7519;
																																															{
																																																obj_t
																																																	BgL_argsz00_7521;
																																																obj_t
																																																	BgL_fz00_7520;
																																																BgL_fz00_7520
																																																	=
																																																	BgL_arg2189z00_2265;
																																																BgL_argsz00_7521
																																																	=
																																																	BgL_cdrzd213376zd2_2242;
																																																BgL_argsz00_1526
																																																	=
																																																	BgL_argsz00_7521;
																																																BgL_fz00_1525
																																																	=
																																																	BgL_fz00_7520;
																																																goto
																																																	BgL_tagzd2175zd2_1527;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7519);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												if ((CAR(BgL_ez00_69) == BGl_symbol3223z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 425 */
																																														if (PAIRP(BgL_cdrzd213376zd2_2242))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd213486zd2_2271;
																																																BgL_cdrzd213486zd2_2271
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213376zd2_2242);
																																																if (PAIRP(BgL_cdrzd213486zd2_2271))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (NULLP(CDR(BgL_cdrzd213486zd2_2271)))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2198z00_2275;
																																																				obj_t
																																																					BgL_arg2199z00_2276;
																																																				BgL_arg2198z00_2275
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213376zd2_2242);
																																																				BgL_arg2199z00_2276
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213486zd2_2271);
																																																				{	/* Eval/evaluate.scm 596 */
																																																					obj_t
																																																						BgL_arg2376z00_4628;
																																																					{	/* Eval/evaluate.scm 596 */
																																																						obj_t
																																																							BgL_arg2377z00_4629;
																																																						{	/* Eval/evaluate.scm 596 */
																																																							obj_t
																																																								BgL_arg2378z00_4630;
																																																							obj_t
																																																								BgL_arg2379z00_4631;
																																																							{	/* Eval/evaluate.scm 596 */
																																																								obj_t
																																																									BgL_res3092z00_4634;
																																																								{	/* Eval/evaluate.scm 596 */
																																																									obj_t
																																																										BgL_symbolz00_4632;
																																																									BgL_symbolz00_4632
																																																										=
																																																										BGl_symbol3270z00zz__evaluatez00;
																																																									{	/* Eval/evaluate.scm 596 */
																																																										obj_t
																																																											BgL_arg2602z00_4633;
																																																										BgL_arg2602z00_4633
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_4632);
																																																										BgL_res3092z00_4634
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2602z00_4633);
																																																									}
																																																								}
																																																								BgL_arg2378z00_4630
																																																									=
																																																									BgL_res3092z00_4634;
																																																							}
																																																							{	/* Eval/evaluate.scm 596 */
																																																								obj_t
																																																									BgL_res3093z00_4637;
																																																								{	/* Eval/evaluate.scm 596 */
																																																									obj_t
																																																										BgL_arg2602z00_4636;
																																																									BgL_arg2602z00_4636
																																																										=
																																																										SYMBOL_TO_STRING
																																																										(
																																																										((obj_t) BgL_wherez00_73));
																																																									BgL_res3093z00_4637
																																																										=
																																																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																										(BgL_arg2602z00_4636);
																																																								}
																																																								BgL_arg2379z00_4631
																																																									=
																																																									BgL_res3093z00_4637;
																																																							}
																																																							BgL_arg2377z00_4629
																																																								=
																																																								string_append
																																																								(BgL_arg2378z00_4630,
																																																								BgL_arg2379z00_4631);
																																																						}
																																																						BgL_arg2376z00_4628
																																																							=
																																																							bstring_to_symbol
																																																							(BgL_arg2377z00_4629);
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BGl_convzd2lambdaze70z35zz__evaluatez00
																																																						(BgL_globalsz00_71,
																																																							BgL_localsz00_70,
																																																							BgL_ez00_69,
																																																							BgL_locz00_74,
																																																							BgL_arg2198z00_2275,
																																																							BgL_arg2199z00_2276,
																																																							BgL_arg2376z00_4628,
																																																							BFALSE));
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2200z00_2277;
																																																				obj_t
																																																					BgL_arg2201z00_2278;
																																																				BgL_arg2200z00_2277
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg2201z00_2278
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7547;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7549;
																																																						obj_t
																																																							BgL_fz00_7548;
																																																						BgL_fz00_7548
																																																							=
																																																							BgL_arg2200z00_2277;
																																																						BgL_argsz00_7549
																																																							=
																																																							BgL_arg2201z00_2278;
																																																						BgL_argsz00_1526
																																																							=
																																																							BgL_argsz00_7549;
																																																						BgL_fz00_1525
																																																							=
																																																							BgL_fz00_7548;
																																																						goto
																																																							BgL_tagzd2175zd2_1527;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7547);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg2203z00_2280;
																																																		obj_t
																																																			BgL_arg2204z00_2281;
																																																		BgL_arg2203z00_2280
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg2204z00_2281
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7553;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7555;
																																																				obj_t
																																																					BgL_fz00_7554;
																																																				BgL_fz00_7554
																																																					=
																																																					BgL_arg2203z00_2280;
																																																				BgL_argsz00_7555
																																																					=
																																																					BgL_arg2204z00_2281;
																																																				BgL_argsz00_1526
																																																					=
																																																					BgL_argsz00_7555;
																																																				BgL_fz00_1525
																																																					=
																																																					BgL_fz00_7554;
																																																				goto
																																																					BgL_tagzd2175zd2_1527;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7553);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg2205z00_2282;
																																																obj_t
																																																	BgL_arg2206z00_2283;
																																																BgL_arg2205z00_2282
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg2206z00_2283
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7559;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7561;
																																																		obj_t
																																																			BgL_fz00_7560;
																																																		BgL_fz00_7560
																																																			=
																																																			BgL_arg2205z00_2282;
																																																		BgL_argsz00_7561
																																																			=
																																																			BgL_arg2206z00_2283;
																																																		BgL_argsz00_1526
																																																			=
																																																			BgL_argsz00_7561;
																																																		BgL_fz00_1525
																																																			=
																																																			BgL_fz00_7560;
																																																		goto
																																																			BgL_tagzd2175zd2_1527;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7559);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg2207z00_2284;
																																														obj_t
																																															BgL_arg2208z00_2285;
																																														BgL_arg2207z00_2284
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg2208z00_2285
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7565;
																																															{
																																																obj_t
																																																	BgL_argsz00_7567;
																																																obj_t
																																																	BgL_fz00_7566;
																																																BgL_fz00_7566
																																																	=
																																																	BgL_arg2207z00_2284;
																																																BgL_argsz00_7567
																																																	=
																																																	BgL_arg2208z00_2285;
																																																BgL_argsz00_1526
																																																	=
																																																	BgL_argsz00_7567;
																																																BgL_fz00_1525
																																																	=
																																																	BgL_fz00_7566;
																																																goto
																																																	BgL_tagzd2175zd2_1527;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7565);
																																														}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 425 */
						BgL_xz00_1450 = BgL_ez00_69;
						if (SYMBOLP(BgL_xz00_1450))
							{	/* Eval/evaluate.scm 428 */
								obj_t BgL__ortest_1101z00_2306;

								BgL__ortest_1101z00_2306 =
									BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_1450,
									BgL_localsz00_70);
								if (CBOOL(BgL__ortest_1101z00_2306))
									{	/* Eval/evaluate.scm 428 */
										return BgL__ortest_1101z00_2306;
									}
								else
									{	/* Eval/evaluate.scm 196 */
										BgL_ev_globalz00_bglt BgL_new1075z00_3472;

										{	/* Eval/evaluate.scm 197 */
											BgL_ev_globalz00_bglt BgL_new1074z00_3473;

											BgL_new1074z00_3473 =
												((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_ev_globalz00_bgl))));
											{	/* Eval/evaluate.scm 197 */
												long BgL_arg1367z00_3474;

												{	/* Eval/evaluate.scm 197 */
													long BgL_res2860z00_3477;

													BgL_res2860z00_3477 =
														BGL_CLASS_INDEX
														(BGl_ev_globalz00zz__evaluate_typesz00);
													BgL_arg1367z00_3474 = BgL_res2860z00_3477;
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1074z00_3473),
													BgL_arg1367z00_3474);
											}
											BgL_new1075z00_3472 = BgL_new1074z00_3473;
										}
										((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1075z00_3472))->
												BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
										((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1075z00_3472))->
												BgL_namez00) = ((obj_t) BgL_xz00_1450), BUNSPEC);
										{
											obj_t BgL_auxz00_7580;

											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
												{	/* Eval/evaluate.scm 199 */
													BgL_auxz00_7580 = BgL_globalsz00_71;
												}
											else
												{	/* Eval/evaluate.scm 199 */
													BgL_auxz00_7580 = BGL_MODULE();
												}
											((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1075z00_3472))->
													BgL_modz00) = ((obj_t) BgL_auxz00_7580), BUNSPEC);
										}
										return ((obj_t) BgL_new1075z00_3472);
									}
							}
						else
							{	/* Eval/evaluate.scm 429 */
								BgL_ev_littz00_bglt BgL_new1103z00_2307;

								{	/* Eval/evaluate.scm 430 */
									BgL_ev_littz00_bglt BgL_new1102z00_2308;

									BgL_new1102z00_2308 =
										((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 430 */
										long BgL_arg2230z00_2309;

										{	/* Eval/evaluate.scm 430 */
											long BgL_res2861z00_3481;

											BgL_res2861z00_3481 =
												BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
											BgL_arg2230z00_2309 = BgL_res2861z00_3481;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1102z00_2308),
											BgL_arg2230z00_2309);
									}
									BgL_new1103z00_2307 = BgL_new1102z00_2308;
								}
								((((BgL_ev_littz00_bglt) COBJECT(BgL_new1103z00_2307))->
										BgL_valuez00) = ((obj_t) BgL_xz00_1450), BUNSPEC);
								return ((obj_t) BgL_new1103z00_2307);
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* loop~0 */
	obj_t BGl_loopze70ze7zz__evaluatez00(obj_t BgL_wherez00_4910,
		obj_t BgL_globalsz00_4909, obj_t BgL_localsz00_4908, obj_t BgL_locz00_4907,
		obj_t BgL_esz00_2637)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 387 */
			if (NULLP(BgL_esz00_2637))
				{	/* Eval/evaluate.scm 388 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 390 */
					obj_t BgL_ez00_2640;

					BgL_ez00_2640 = CAR(((obj_t) BgL_esz00_2637));
					{	/* Eval/evaluate.scm 391 */
						obj_t BgL_arg2398z00_2641;
						obj_t BgL_arg2399z00_2642;

						{	/* Eval/evaluate.scm 391 */
							obj_t BgL_arg2400z00_2643;

							{	/* Eval/evaluate.scm 151 */
								obj_t BgL__ortest_1067z00_3439;

								BgL__ortest_1067z00_3439 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_2640);
								if (CBOOL(BgL__ortest_1067z00_3439))
									{	/* Eval/evaluate.scm 151 */
										BgL_arg2400z00_2643 = BgL__ortest_1067z00_3439;
									}
								else
									{	/* Eval/evaluate.scm 152 */
										obj_t BgL__ortest_1068z00_3440;

										BgL__ortest_1068z00_3440 =
											BGl_getzd2sourcezd2locationz00zz__readerz00
											(BgL_esz00_2637);
										if (CBOOL(BgL__ortest_1068z00_3440))
											{	/* Eval/evaluate.scm 152 */
												BgL_arg2400z00_2643 = BgL__ortest_1068z00_3440;
											}
										else
											{	/* Eval/evaluate.scm 152 */
												BgL_arg2400z00_2643 = BgL_locz00_4907;
											}
									}
							}
							BgL_arg2398z00_2641 =
								BGl_convz00zz__evaluatez00(BgL_ez00_2640, BgL_localsz00_4908,
								BgL_globalsz00_4909, BFALSE, BgL_wherez00_4910,
								BgL_arg2400z00_2643, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 392 */
							obj_t BgL_arg2401z00_2644;

							BgL_arg2401z00_2644 = CDR(((obj_t) BgL_esz00_2637));
							BgL_arg2399z00_2642 =
								BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_4910,
								BgL_globalsz00_4909, BgL_localsz00_4908, BgL_locz00_4907,
								BgL_arg2401z00_2644);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2398z00_2641, BgL_arg2399z00_2642);
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* conv-vals~0 */
	obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t BgL_wherez00_4912,
		obj_t BgL_globalsz00_4911, obj_t BgL_lz00_2455, obj_t BgL_varsz00_2456,
		obj_t BgL_localsz00_2457, obj_t BgL_locz00_2458)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 503 */
			if (NULLP(BgL_lz00_2455))
				{	/* Eval/evaluate.scm 499 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 501 */
					obj_t BgL_locz00_3637;

					{	/* Eval/evaluate.scm 501 */
						obj_t BgL_arg2311z00_3638;

						BgL_arg2311z00_3638 = CAR(((obj_t) BgL_lz00_2455));
						{	/* Eval/evaluate.scm 145 */
							obj_t BgL__ortest_1066z00_3648;

							BgL__ortest_1066z00_3648 =
								BGl_getzd2sourcezd2locationz00zz__readerz00
								(BgL_arg2311z00_3638);
							if (CBOOL(BgL__ortest_1066z00_3648))
								{	/* Eval/evaluate.scm 145 */
									BgL_locz00_3637 = BgL__ortest_1066z00_3648;
								}
							else
								{	/* Eval/evaluate.scm 145 */
									BgL_locz00_3637 = BgL_locz00_2458;
								}
						}
					}
					{	/* Eval/evaluate.scm 502 */
						obj_t BgL_arg2302z00_3639;
						obj_t BgL_arg2303z00_3640;

						{	/* Eval/evaluate.scm 502 */
							obj_t BgL_arg2304z00_3641;

							{	/* Eval/evaluate.scm 502 */
								obj_t BgL_pairz00_3654;

								{	/* Eval/evaluate.scm 502 */
									obj_t BgL_pairz00_3653;

									BgL_pairz00_3653 = CAR(((obj_t) BgL_lz00_2455));
									BgL_pairz00_3654 = CDR(BgL_pairz00_3653);
								}
								BgL_arg2304z00_3641 = CAR(BgL_pairz00_3654);
							}
							BgL_arg2302z00_3639 =
								BGl_convz00zz__evaluatez00(BgL_arg2304z00_3641,
								BgL_localsz00_2457, BgL_globalsz00_4911, BFALSE,
								BgL_wherez00_4912, BgL_locz00_3637, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 503 */
							obj_t BgL_arg2306z00_3642;
							obj_t BgL_arg2307z00_3643;
							obj_t BgL_arg2309z00_3644;

							BgL_arg2306z00_3642 = CDR(((obj_t) BgL_lz00_2455));
							BgL_arg2307z00_3643 = CDR(((obj_t) BgL_varsz00_2456));
							{	/* Eval/evaluate.scm 503 */
								obj_t BgL_arg2310z00_3645;

								BgL_arg2310z00_3645 = CAR(((obj_t) BgL_varsz00_2456));
								BgL_arg2309z00_3644 =
									MAKE_YOUNG_PAIR(BgL_arg2310z00_3645, BgL_localsz00_2457);
							}
							BgL_arg2303z00_3640 =
								BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_4912,
								BgL_globalsz00_4911, BgL_arg2306z00_3642, BgL_arg2307z00_3643,
								BgL_arg2309z00_3644, BgL_locz00_3637);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2302z00_3639, BgL_arg2303z00_3640);
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* conv-lambda~0 */
	BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t
		BgL_globalsz00_4916, obj_t BgL_localsz00_4915, obj_t BgL_ez00_4914,
		obj_t BgL_locz00_4913, obj_t BgL_formalsz00_2646, obj_t BgL_bodyz00_2647,
		obj_t BgL_wherez00_2648, obj_t BgL_typez00_2649)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 405 */
			{
				obj_t BgL_lz00_2680;

				{	/* Eval/evaluate.scm 407 */
					obj_t BgL_argsz00_2652;

					BgL_lz00_2680 =
						BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
						(BgL_formalsz00_2646, BGl_errorzd2envzd2zz__errorz00, ((bool_t) 1));
					{
						obj_t BgL_rz00_2684;
						obj_t BgL_flatz00_2685;
						long BgL_arityz00_2686;

						BgL_rz00_2684 = BgL_lz00_2680;
						BgL_flatz00_2685 = BNIL;
						BgL_arityz00_2686 = ((long) 0);
					BgL_zc3anonymousza32419ze3z83_2687:
						if (NULLP(BgL_rz00_2684))
							{	/* Eval/evaluate.scm 400 */
								obj_t BgL_val0_1199z00_2689;

								BgL_val0_1199z00_2689 = bgl_reverse_bang(BgL_flatz00_2685);
								{	/* Eval/evaluate.scm 400 */
									int BgL_res2848z00_3443;

									{	/* Eval/evaluate.scm 400 */
										int BgL_tmpz00_7631;

										BgL_tmpz00_7631 = (int) (((long) 2));
										BgL_res2848z00_3443 =
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7631);
									} BgL_res2848z00_3443;
								}
								{	/* Eval/evaluate.scm 400 */
									obj_t BgL_auxz00_7636;
									int BgL_tmpz00_7634;

									BgL_auxz00_7636 = BINT(BgL_arityz00_2686);
									BgL_tmpz00_7634 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_7634, BgL_auxz00_7636);
								}
								BgL_argsz00_2652 = BgL_val0_1199z00_2689;
							}
						else
							{	/* Eval/evaluate.scm 399 */
								if (PAIRP(BgL_rz00_2684))
									{	/* Eval/evaluate.scm 404 */
										obj_t BgL_arg2422z00_2692;
										obj_t BgL_arg2423z00_2693;
										long BgL_arg2425z00_2694;

										BgL_arg2422z00_2692 = CDR(BgL_rz00_2684);
										BgL_arg2423z00_2693 =
											MAKE_YOUNG_PAIR(BGl_untypezd2identzd2zz__evaluatez00(CAR
												(BgL_rz00_2684)), BgL_flatz00_2685);
										BgL_arg2425z00_2694 = (BgL_arityz00_2686 + ((long) 1));
										{
											long BgL_arityz00_7648;
											obj_t BgL_flatz00_7647;
											obj_t BgL_rz00_7646;

											BgL_rz00_7646 = BgL_arg2422z00_2692;
											BgL_flatz00_7647 = BgL_arg2423z00_2693;
											BgL_arityz00_7648 = BgL_arg2425z00_2694;
											BgL_arityz00_2686 = BgL_arityz00_7648;
											BgL_flatz00_2685 = BgL_flatz00_7647;
											BgL_rz00_2684 = BgL_rz00_7646;
											goto BgL_zc3anonymousza32419ze3z83_2687;
										}
									}
								else
									{	/* Eval/evaluate.scm 402 */
										obj_t BgL_val0_1201z00_2697;
										long BgL_val1_1202z00_2698;

										{	/* Eval/evaluate.scm 402 */
											obj_t BgL_arg2429z00_2699;

											BgL_arg2429z00_2699 =
												MAKE_YOUNG_PAIR(BGl_untypezd2identzd2zz__evaluatez00
												(BgL_rz00_2684), BgL_flatz00_2685);
											BgL_val0_1201z00_2697 =
												bgl_reverse_bang(BgL_arg2429z00_2699);
										}
										BgL_val1_1202z00_2698 = (((long) -1) - BgL_arityz00_2686);
										{	/* Eval/evaluate.scm 402 */
											int BgL_res2852z00_3451;

											{	/* Eval/evaluate.scm 402 */
												int BgL_tmpz00_7653;

												BgL_tmpz00_7653 = (int) (((long) 2));
												BgL_res2852z00_3451 =
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7653);
											} BgL_res2852z00_3451;
										}
										{	/* Eval/evaluate.scm 402 */
											obj_t BgL_auxz00_7658;
											int BgL_tmpz00_7656;

											BgL_auxz00_7658 = BINT(BgL_val1_1202z00_2698);
											BgL_tmpz00_7656 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_7656, BgL_auxz00_7658);
										}
										BgL_argsz00_2652 = BgL_val0_1201z00_2697;
					}}}
					{	/* Eval/evaluate.scm 408 */
						obj_t BgL_arityz00_2653;

						{	/* Eval/evaluate.scm 409 */
							int BgL_tmpz00_7662;

							BgL_tmpz00_7662 = (int) (((long) 1));
							BgL_arityz00_2653 = BGL_MVALUES_VAL(BgL_tmpz00_7662);
						}
						{	/* Eval/evaluate.scm 409 */
							obj_t BgL_varsz00_2654;
							obj_t BgL_bodyz00_2655;
							obj_t BgL_nlocz00_2656;

							if (NULLP(BgL_argsz00_2652))
								{	/* Eval/evaluate.scm 409 */
									BgL_varsz00_2654 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 409 */
									obj_t BgL_head1205z00_2663;

									{	/* Eval/evaluate.scm 409 */
										obj_t BgL_res2854z00_3453;

										BgL_res2854z00_3453 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										BgL_head1205z00_2663 = BgL_res2854z00_3453;
									}
									{
										obj_t BgL_l1203z00_2665;
										obj_t BgL_tail1206z00_2666;

										BgL_l1203z00_2665 = BgL_argsz00_2652;
										BgL_tail1206z00_2666 = BgL_head1205z00_2663;
									BgL_zc3anonymousza32408ze3z83_2667:
										if (NULLP(BgL_l1203z00_2665))
											{	/* Eval/evaluate.scm 409 */
												BgL_varsz00_2654 = CDR(BgL_head1205z00_2663);
											}
										else
											{	/* Eval/evaluate.scm 409 */
												obj_t BgL_newtail1207z00_2669;

												{	/* Eval/evaluate.scm 409 */
													BgL_ev_varz00_bglt BgL_arg2412z00_2671;

													{	/* Eval/evaluate.scm 409 */
														obj_t BgL_vz00_2672;

														BgL_vz00_2672 = CAR(((obj_t) BgL_l1203z00_2665));
														{	/* Eval/evaluate.scm 410 */
															BgL_ev_varz00_bglt BgL_new1098z00_2673;

															{	/* Eval/evaluate.scm 412 */
																BgL_ev_varz00_bglt BgL_new1097z00_2674;

																BgL_new1097z00_2674 =
																	((BgL_ev_varz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_ev_varz00_bgl))));
																{	/* Eval/evaluate.scm 412 */
																	long BgL_arg2413z00_2675;

																	{	/* Eval/evaluate.scm 412 */
																		long BgL_res2856z00_3458;

																		BgL_res2856z00_3458 =
																			BGL_CLASS_INDEX
																			(BGl_ev_varz00zz__evaluate_typesz00);
																		BgL_arg2413z00_2675 = BgL_res2856z00_3458;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1097z00_2674),
																		BgL_arg2413z00_2675);
																}
																BgL_new1098z00_2673 = BgL_new1097z00_2674;
															}
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1098z00_2673))->
																	BgL_namez00) =
																((obj_t) CAR(((obj_t) BgL_vz00_2672))),
																BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1098z00_2673))->BgL_effz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1098z00_2673))->
																	BgL_typez00) =
																((obj_t) CDR(((obj_t) BgL_vz00_2672))),
																BUNSPEC);
															BgL_arg2412z00_2671 = BgL_new1098z00_2673;
													}}
													{	/* Eval/evaluate.scm 409 */
														obj_t BgL_res2857z00_3463;

														BgL_res2857z00_3463 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg2412z00_2671), BNIL);
														BgL_newtail1207z00_2669 = BgL_res2857z00_3463;
												}}
												SET_CDR(BgL_tail1206z00_2666, BgL_newtail1207z00_2669);
												{	/* Eval/evaluate.scm 409 */
													obj_t BgL_arg2410z00_2670;

													BgL_arg2410z00_2670 =
														CDR(((obj_t) BgL_l1203z00_2665));
													{
														obj_t BgL_tail1206z00_7690;
														obj_t BgL_l1203z00_7689;

														BgL_l1203z00_7689 = BgL_arg2410z00_2670;
														BgL_tail1206z00_7690 = BgL_newtail1207z00_2669;
														BgL_tail1206z00_2666 = BgL_tail1206z00_7690;
														BgL_l1203z00_2665 = BgL_l1203z00_7689;
														goto BgL_zc3anonymousza32408ze3z83_2667;
													}
												}
											}
									}
								}
							BgL_bodyz00_2655 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_4914, BgL_formalsz00_2646,
								BGl_typezd2checkszd2zz__evaluatez00(BgL_argsz00_2652,
									BgL_argsz00_2652,
									BGl_typezd2resultzd2zz__evaluatez00(BgL_typez00_2649,
										BgL_bodyz00_2647, BgL_locz00_4913), BgL_locz00_4913,
									BgL_wherez00_2648), BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 145 */
								obj_t BgL__ortest_1066z00_3466;

								BgL__ortest_1066z00_3466 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_2647);
								if (CBOOL(BgL__ortest_1066z00_3466))
									{	/* Eval/evaluate.scm 145 */
										BgL_nlocz00_2656 = BgL__ortest_1066z00_3466;
									}
								else
									{	/* Eval/evaluate.scm 145 */
										BgL_nlocz00_2656 = BgL_locz00_4913;
									}
							}
							{	/* Eval/evaluate.scm 418 */
								BgL_ev_absz00_bglt BgL_new1100z00_2657;

								{	/* Eval/evaluate.scm 419 */
									BgL_ev_absz00_bglt BgL_new1099z00_2659;

									BgL_new1099z00_2659 =
										((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_absz00_bgl))));
									{	/* Eval/evaluate.scm 419 */
										long BgL_arg2406z00_2660;

										{	/* Eval/evaluate.scm 419 */
											long BgL_res2858z00_3468;

											BgL_res2858z00_3468 =
												BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
											BgL_arg2406z00_2660 = BgL_res2858z00_3468;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1099z00_2659),
											BgL_arg2406z00_2660);
									}
									BgL_new1100z00_2657 = BgL_new1099z00_2659;
								}
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2657))->
										BgL_locz00) = ((obj_t) BgL_locz00_4913), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2657))->
										BgL_wherez00) = ((obj_t) BgL_wherez00_2648), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2657))->
										BgL_arityz00) = ((obj_t) BgL_arityz00_2653), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2657))->
										BgL_varsz00) = ((obj_t) BgL_varsz00_2654), BUNSPEC);
								{
									BgL_ev_exprz00_bglt BgL_auxz00_7705;

									{	/* Eval/evaluate.scm 423 */
										obj_t BgL_arg2404z00_2658;

										BgL_arg2404z00_2658 =
											BGl_appendzd221010zd2zz__evaluatez00(BgL_varsz00_2654,
											BgL_localsz00_4915);
										BgL_auxz00_7705 =
											((BgL_ev_exprz00_bglt)
											BGl_convz00zz__evaluatez00(BgL_bodyz00_2655,
												BgL_arg2404z00_2658, BgL_globalsz00_4916, BTRUE,
												BgL_wherez00_2648, BgL_nlocz00_2656, ((bool_t) 0)));
									}
									((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2657))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_auxz00_7705), BUNSPEC);
								}
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2657))->
										BgL_siza7eza7) = ((int) (int) (((long) 0))), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2657))->
										BgL_bindz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2657))->
										BgL_freez00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2657))->
										BgL_innerz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1100z00_2657))->
										BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
								return BgL_new1100z00_2657;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* uconv/loc~0 */
	obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4923,
		obj_t BgL_globalsz00_4922, obj_t BgL_localsz00_4921, obj_t BgL_ez00_2624,
		obj_t BgL_locz00_2625)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 378 */
			return
				BGl_convz00zz__evaluatez00(BgL_ez00_2624, BgL_localsz00_4921,
				BgL_globalsz00_4922, BFALSE, BgL_wherez00_4923, BgL_locz00_2625,
				((bool_t) 0));
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluatez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 321192832),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 298117150),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 439353001),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564232),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 454272164),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					357154522), BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					434692624), BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262918),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -400105135),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 525089668),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 80758636),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 86988580),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long) 483789130),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)
					121298760), BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)
					444000678), BSTRING_TO_STRING(BGl_string3272z00zz__evaluatez00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
