/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate_comp.scm -indent -o objs/obj_u/Eval/evaluate_comp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62zc3anonymousza33579ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32140ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32051ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32778ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33953ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32957ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33759ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_litt1398zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32990ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33776ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33107ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32976ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32798ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33283ze3ze70z64zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33214ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32073ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32978ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_or1402zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33500ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32075ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33039ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33976ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5805z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62zc3anonymousza32238ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33799ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_symbol5813z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5815z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5817z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32417ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32166ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long,
		obj_t, obj_t);
	static obj_t BGl_appendzd221010zd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33889ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_symbol5820z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5823z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
	static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol5825z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5827z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5829z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5831z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5833z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5835z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5837z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5839z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32362ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5841z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5843z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5845z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5847z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5849z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_reset_profilez00zz__evaluate_compz00();
	static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33997ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5851z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_symbol5853z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5855z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5857z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5859z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33255ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32526ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_labels1422zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5861z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5863z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5865z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32810ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5867z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5869z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5871z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5873z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5875z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5877z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5879z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33079ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5881z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5883z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5885z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33452ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5887z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_symbol5889z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33509ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33096ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32278ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33631ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32473ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33810ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32830ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32814ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33527ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33349ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62compzd2ev_bindzd2exit1414z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	extern int bgl_debug();
	static obj_t BGl_z62zc3anonymousza32742ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33188ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_global1392zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_get_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza33294ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_z62run5706z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5708z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_withzd2handler1418z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32922ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5710z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5712z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5714z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_z62run5716z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5718z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33903ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32850ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32834ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33709ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33547ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5720z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5722z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5724z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5726z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5728z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32762ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32746ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5730z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run5732z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5734z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5736z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_letza21410z12zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5738z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32110ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5740z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5742z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62run5744z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5746z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5748z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32942ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33655ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33728ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	static obj_t BGl_z62run5750z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5752z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5754z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5756z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33850ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5758z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31890ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32854ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32838ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31769ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32201ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62run5760z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5762z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5764z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5766z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32960ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5768z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33673ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32782ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32766ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5705z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5707z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5709z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33020ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5770z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5772z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5774z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5776z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5778z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32945ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32856ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31965ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5711z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5713z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5715z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5717z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5719z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33110ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62run5780z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5782z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5784z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5786z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5788z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31982ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33837ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5721z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5723z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5725z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5727z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5729z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5790z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32963ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33749ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5731z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5733z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5735z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5737z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5739z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_trap1386zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long,
		obj_t, obj_t);
	static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza31984ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32948ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32786ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32859ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5741z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5743z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5745z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5747z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5749z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62main5751z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5753z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5755z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5757z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5759z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33256ze3ze70z64zz__evaluate_compz00(obj_t, obj_t,
		obj_t, long, obj_t);
	static obj_t BGl_z62zc3anonymousza33009ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_prog21406zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5761z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5763z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5765z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5767z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5769z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_z62zc3anonymousza32967ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5771z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5773z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5775z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5777z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5779z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_defglobal1396zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33786ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33697ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31988ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5781z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5783z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5785z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5787z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5789z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_setglobal1394zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32080ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33878ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
	static obj_t BGl_z62zc3anonymousza32318ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33080ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_let1408zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_goto1424zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33049ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5920z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t
		BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33157ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_synchroniza7e1420z17zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol5937z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33603ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31821ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5939z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33336ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32356ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5941z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5943z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32802ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33264ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33086ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32195ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_var1388zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_app1427zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33621ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	static obj_t BGl_symbol5795z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5797z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33265ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol5799z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32358ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31913ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32197ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t bigloo_string_lt(obj_t, obj_t);
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33461ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32822ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33535ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31915ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33446ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_and1404zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62zc3anonymousza32750ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33358ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33269ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31844ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_abs1429zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza31950ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31934ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33287ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_letrec1412zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32010ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33571ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32842ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33482ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33555ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32826ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31919ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33288ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62compzd2ev_if1400zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32770ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33645ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32754ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
	static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
	static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33469ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62comp1382z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32951ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33915ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32862ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33737ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32846ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31793ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_setlocal1390zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32031ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_unwindzd2prote1416z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32790ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33592ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33827ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32774ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32758ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33933ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33861ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32954ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33683ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32865ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33489ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31869ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluate_compz00,
		BgL_bgl_za762za7c3lexintza7a1za75947z00,
		BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilezd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compileza762za7za7_5948z00,
		BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2statezd2envz00zz__evaluate_compz00,
		BgL_bgl_za762findza7d2stateza75949za7,
		BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5800z00zz__evaluate_compz00,
		BgL_bgl_string5800za700za7za7_5950za7, "bounce", 6);
	      DEFINE_STRING(BGl_string5801z00zz__evaluate_compz00,
		BgL_bgl_string5801za700za7za7_5951za7, "non non non", 11);
	      DEFINE_STRING(BGl_string5802z00zz__evaluate_compz00,
		BgL_bgl_string5802za700za7za7_5952za7, " in ", 4);
	      DEFINE_STRING(BGl_string5803z00zz__evaluate_compz00,
		BgL_bgl_string5803za700za7za7_5953za7, "eval", 4);
	      DEFINE_STRING(BGl_string5804z00zz__evaluate_compz00,
		BgL_bgl_string5804za700za7za7_5954za7, "internal error: not found", 25);
	      DEFINE_STRING(BGl_string5806z00zz__evaluate_compz00,
		BgL_bgl_string5806za700za7za7_5955za7, "at", 2);
	      DEFINE_STRING(BGl_string5807z00zz__evaluate_compz00,
		BgL_bgl_string5807za700za7za7_5956za7, "", 0);
	      DEFINE_STRING(BGl_string5808z00zz__evaluate_compz00,
		BgL_bgl_string5808za700za7za7_5957za7,
		"/tmp/bigloo/runtime/Eval/evaluate_comp.scm", 42);
	      DEFINE_STRING(BGl_string5809z00zz__evaluate_compz00,
		BgL_bgl_string5809za700za7za7_5958za7, "&compile", 8);
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5810z00zz__evaluate_compz00,
		BgL_bgl_string5810za700za7za7_5959za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string5811z00zz__evaluate_compz00,
		BgL_bgl_string5811za700za7za7_5960za7, "expecting ~a, got ~a", 20);
	      DEFINE_STRING(BGl_string5812z00zz__evaluate_compz00,
		BgL_bgl_string5812za700za7za7_5961za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string5814z00zz__evaluate_compz00,
		BgL_bgl_string5814za700za7za7_5962za7, "mcell", 5);
	      DEFINE_STRING(BGl_string5816z00zz__evaluate_compz00,
		BgL_bgl_string5816za700za7za7_5963za7, "internal", 8);
	      DEFINE_STRING(BGl_string5818z00zz__evaluate_compz00,
		BgL_bgl_string5818za700za7za7_5964za7, "impossible", 10);
	      DEFINE_STRING(BGl_string5819z00zz__evaluate_compz00,
		BgL_bgl_string5819za700za7za7_5965za7, "procedure", 9);
	      DEFINE_STRING(BGl_string5821z00zz__evaluate_compz00,
		BgL_bgl_string5821za700za7za7_5966za7, "user", 4);
	      DEFINE_STRING(BGl_string5822z00zz__evaluate_compz00,
		BgL_bgl_string5822za700za7za7_5967za7, "invalid byte code", 17);
	      DEFINE_STRING(BGl_string5824z00zz__evaluate_compz00,
		BgL_bgl_string5824za700za7za7_5968za7, "+", 1);
	      DEFINE_STRING(BGl_string5826z00zz__evaluate_compz00,
		BgL_bgl_string5826za700za7za7_5969za7, "number", 6);
	      DEFINE_STRING(BGl_string5828z00zz__evaluate_compz00,
		BgL_bgl_string5828za700za7za7_5970za7, "-", 1);
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5900z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set5971z00,
		BGl_z62compzd2ev_setglobal1394zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5901z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_def5972z00,
		BGl_z62compzd2ev_defglobal1396zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5902z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lit5973z00,
		BGl_z62compzd2ev_litt1398zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5903z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_if15974z00,
		BGl_z62compzd2ev_if1400zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compza762za7za7__ev5975z00, BGl_z62compz62zz__evaluate_compz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5904z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_or15976z00,
		BGl_z62compzd2ev_or1402zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5905z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_and5977z00,
		BGl_z62compzd2ev_and1404zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5830z00zz__evaluate_compz00,
		BgL_bgl_string5830za700za7za7_5978za7, "*", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5906z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_pro5979z00,
		BGl_z62compzd2ev_prog21406zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5907z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5980z00,
		BGl_z62compzd2ev_let1408zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5832z00zz__evaluate_compz00,
		BgL_bgl_string5832za700za7za7_5981za7, "/", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5908z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5982z00,
		BGl_z62compzd2ev_letza21410z12zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5909z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5983z00,
		BGl_z62compzd2ev_letrec1412zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5834z00zz__evaluate_compz00,
		BgL_bgl_string5834za700za7za7_5984za7, "<", 1);
	      DEFINE_STRING(BGl_string5836z00zz__evaluate_compz00,
		BgL_bgl_string5836za700za7za7_5985za7, ">", 1);
	      DEFINE_STRING(BGl_string5838z00zz__evaluate_compz00,
		BgL_bgl_string5838za700za7za7_5986za7, "<=", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5910z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_bin5987z00,
		BGl_z62compzd2ev_bindzd2exit1414z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5911z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_unw5988z00,
		BGl_z62compzd2ev_unwindzd2prote1416z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5912z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_wit5989z00,
		BGl_z62compzd2ev_withzd2handler1418z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5913z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_syn5990z00,
		BGl_z62compzd2ev_synchroniza7e1420z17zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5914z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lab5991z00,
		BGl_z62compzd2ev_labels1422zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5915z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_got5992z00,
		BGl_z62compzd2ev_goto1424zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5840z00zz__evaluate_compz00,
		BgL_bgl_string5840za700za7za7_5993za7, ">=", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5916z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_app5994z00,
		BGl_z62compzd2ev_app1427zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5917z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_abs5995z00,
		BGl_z62compzd2ev_abs1429zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5842z00zz__evaluate_compz00,
		BgL_bgl_string5842za700za7za7_5996za7, "=", 1);
	      DEFINE_STRING(BGl_string5844z00zz__evaluate_compz00,
		BgL_bgl_string5844za700za7za7_5997za7, "+fx", 3);
	      DEFINE_STRING(BGl_string5846z00zz__evaluate_compz00,
		BgL_bgl_string5846za700za7za7_5998za7, "fixnum", 6);
	      DEFINE_STRING(BGl_string5848z00zz__evaluate_compz00,
		BgL_bgl_string5848za700za7za7_5999za7, "-fx", 3);
	extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string5850z00zz__evaluate_compz00,
		BgL_bgl_string5850za700za7za7_6000za7, "*fx", 3);
	      DEFINE_STRING(BGl_string5852z00zz__evaluate_compz00,
		BgL_bgl_string5852za700za7za7_6001za7, "/fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5929z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76002za7,
		BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5854z00zz__evaluate_compz00,
		BgL_bgl_string5854za700za7za7_6003za7, "<fx", 3);
	      DEFINE_STRING(BGl_string5856z00zz__evaluate_compz00,
		BgL_bgl_string5856za700za7za7_6004za7, ">fx", 3);
	      DEFINE_STRING(BGl_string5858z00zz__evaluate_compz00,
		BgL_bgl_string5858za700za7za7_6005za7, "<=fx", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5930z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76006za7,
		BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5931z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76007za7,
		BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5932z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76008za7,
		BGl_z62zc3anonymousza32942ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5933z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76009za7,
		BGl_z62zc3anonymousza32945ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5934z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76010za7,
		BGl_z62zc3anonymousza32948ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5935z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76011za7,
		BGl_z62zc3anonymousza32951ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5860z00zz__evaluate_compz00,
		BgL_bgl_string5860za700za7za7_6012za7, ">=fx", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5936z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76013za7,
		BGl_z62zc3anonymousza32954ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5862z00zz__evaluate_compz00,
		BgL_bgl_string5862za700za7za7_6014za7, "=fx", 3);
	      DEFINE_STRING(BGl_string5864z00zz__evaluate_compz00,
		BgL_bgl_string5864za700za7za7_6015za7, "+fl", 3);
	      DEFINE_STRING(BGl_string5866z00zz__evaluate_compz00,
		BgL_bgl_string5866za700za7za7_6016za7, "flonum", 6);
	      DEFINE_STRING(BGl_string5868z00zz__evaluate_compz00,
		BgL_bgl_string5868za700za7za7_6017za7, "-fl", 3);
	      DEFINE_STRING(BGl_string5870z00zz__evaluate_compz00,
		BgL_bgl_string5870za700za7za7_6018za7, "*fl", 3);
	      DEFINE_STRING(BGl_string5872z00zz__evaluate_compz00,
		BgL_bgl_string5872za700za7za7_6019za7, "/fl", 3);
	      DEFINE_STRING(BGl_string5874z00zz__evaluate_compz00,
		BgL_bgl_string5874za700za7za7_6020za7, "<fl", 3);
	      DEFINE_STRING(BGl_string5876z00zz__evaluate_compz00,
		BgL_bgl_string5876za700za7za7_6021za7, ">fl", 3);
	      DEFINE_STRING(BGl_string5878z00zz__evaluate_compz00,
		BgL_bgl_string5878za700za7za7_6022za7, "<=fl", 4);
	      DEFINE_STRING(BGl_string5880z00zz__evaluate_compz00,
		BgL_bgl_string5880za700za7za7_6023za7, ">=fl", 4);
	      DEFINE_STRING(BGl_string5882z00zz__evaluate_compz00,
		BgL_bgl_string5882za700za7za7_6024za7, "=fl", 3);
	      DEFINE_STRING(BGl_string5884z00zz__evaluate_compz00,
		BgL_bgl_string5884za700za7za7_6025za7, "car", 3);
	      DEFINE_STRING(BGl_string5886z00zz__evaluate_compz00,
		BgL_bgl_string5886za700za7za7_6026za7, "pair", 4);
	      DEFINE_STRING(BGl_string5888z00zz__evaluate_compz00,
		BgL_bgl_string5888za700za7za7_6027za7, "cdr", 3);
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string5890z00zz__evaluate_compz00,
		BgL_bgl_string5890za700za7za7_6028za7, "cadr", 4);
	      DEFINE_STRING(BGl_string5892z00zz__evaluate_compz00,
		BgL_bgl_string5892za700za7za7_6029za7, "comp1382", 8);
	      DEFINE_STRING(BGl_string5893z00zz__evaluate_compz00,
		BgL_bgl_string5893za700za7za7_6030za7, "internal error: not defined for",
		31);
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string5894z00zz__evaluate_compz00,
		BgL_bgl_string5894za700za7za7_6031za7, "&comp", 5);
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5896z00zz__evaluate_compz00,
		BgL_bgl_string5896za700za7za7_6032za7, "comp", 4);
	extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5918z00zz__evaluate_compz00,
		BgL_bgl_string5918za700za7za7_6033za7, "internal error", 14);
	      DEFINE_STRING(BGl_string5919z00zz__evaluate_compz00,
		BgL_bgl_string5919za700za7za7_6034za7, "must be dead code", 17);
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5921z00zz__evaluate_compz00,
		BgL_bgl_string5921za700za7za7_6035za7, "notyet", 6);
	      DEFINE_STRING(BGl_string5922z00zz__evaluate_compz00,
		BgL_bgl_string5922za700za7za7_6036za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string5923z00zz__evaluate_compz00,
		BgL_bgl_string5923za700za7za7_6037za7, "mutex", 5);
	      DEFINE_STRING(BGl_string5924z00zz__evaluate_compz00,
		BgL_bgl_string5924za700za7za7_6038za7, "set!", 4);
	      DEFINE_STRING(BGl_string5925z00zz__evaluate_compz00,
		BgL_bgl_string5925za700za7za7_6039za7, "read-only variable", 18);
	      DEFINE_STRING(BGl_string5926z00zz__evaluate_compz00,
		BgL_bgl_string5926za700za7za7_6040za7,
		"\nRedefinition of compiled variable -- ", 38);
	      DEFINE_STRING(BGl_string5927z00zz__evaluate_compz00,
		BgL_bgl_string5927za700za7za7_6041za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string5928z00zz__evaluate_compz00,
		BgL_bgl_string5928za700za7za7_6042za7, "Uninitialized variable", 22);
	extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string5938z00zz__evaluate_compz00,
		BgL_bgl_string5938za700za7za7_6043za7, "get_sp", 6);
	      DEFINE_STRING(BGl_string5940z00zz__evaluate_compz00,
		BgL_bgl_string5940za700za7za7_6044za7, "reset_profile", 13);
	      DEFINE_STRING(BGl_string5942z00zz__evaluate_compz00,
		BgL_bgl_string5942za700za7za7_6045za7, "get_profile", 11);
	      DEFINE_STRING(BGl_string5944z00zz__evaluate_compz00,
		BgL_bgl_string5944za700za7za7_6046za7, "reset_stack", 11);
	      DEFINE_STRING(BGl_string5945z00zz__evaluate_compz00,
		BgL_bgl_string5945za700za7za7_6047za7, "internal error: unknown command",
		31);
	      DEFINE_STRING(BGl_string5946z00zz__evaluate_compz00,
		BgL_bgl_string5946za700za7za7_6048za7, "__evaluate_comp", 15);
	      DEFINE_STRING(BGl_string5796z00zz__evaluate_compz00,
		BgL_bgl_string5796za700za7za7_6049za7, "all", 3);
	      DEFINE_STRING(BGl_string5798z00zz__evaluate_compz00,
		BgL_bgl_string5798za700za7za7_6050za7, "label-tag", 9);
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5891z00zz__evaluate_compz00,
		BgL_bgl_za762comp1382za762za7za76051z00,
		BGl_z62comp1382z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5895z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_tra6052z00,
		BGl_z62compzd2ev_trap1386zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5897z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_var6053z00,
		BGl_z62compzd2ev_var1388zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5898z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set6054z00,
		BGl_z62compzd2ev_setlocal1390zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5899z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_glo6055z00,
		BGl_z62compzd2ev_global1392zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol5805z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5813z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5815z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5817z00zz__evaluate_compz00));
		   
			 ADD_ROOT((void *) (&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5820z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5823z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5825z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5827z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5829z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5831z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5833z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5835z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5837z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5839z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5841z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5843z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5845z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5847z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5849z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5851z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5853z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5855z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5857z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5859z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5861z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5863z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5865z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5867z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5869z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5871z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5873z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5875z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5877z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5879z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5881z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5883z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5885z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5887z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5889z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5920z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5937z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5939z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5941z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5943z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5795z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5797z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5799z00zz__evaluate_compz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long
		BgL_checksumz00_18356, char *BgL_fromz00_18357)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_compz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_compz00();
					BGl_cnstzd2initzd2zz__evaluate_compz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
					BGl_genericzd2initzd2zz__evaluate_compz00();
					BGl_methodzd2initzd2zz__evaluate_compz00();
					return BGl_toplevelzd2initzd2zz__evaluate_compz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_symbol5795z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5796z00zz__evaluate_compz00);
			BGl_symbol5797z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5798z00zz__evaluate_compz00);
			BGl_symbol5799z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5800z00zz__evaluate_compz00);
			BGl_symbol5805z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5806z00zz__evaluate_compz00);
			BGl_symbol5813z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5814z00zz__evaluate_compz00);
			BGl_symbol5815z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5816z00zz__evaluate_compz00);
			BGl_symbol5817z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5818z00zz__evaluate_compz00);
			BGl_symbol5820z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5821z00zz__evaluate_compz00);
			BGl_symbol5823z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5824z00zz__evaluate_compz00);
			BGl_symbol5825z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5826z00zz__evaluate_compz00);
			BGl_symbol5827z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5828z00zz__evaluate_compz00);
			BGl_symbol5829z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5830z00zz__evaluate_compz00);
			BGl_symbol5831z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5832z00zz__evaluate_compz00);
			BGl_symbol5833z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5834z00zz__evaluate_compz00);
			BGl_symbol5835z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5836z00zz__evaluate_compz00);
			BGl_symbol5837z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5838z00zz__evaluate_compz00);
			BGl_symbol5839z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5840z00zz__evaluate_compz00);
			BGl_symbol5841z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5842z00zz__evaluate_compz00);
			BGl_symbol5843z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5844z00zz__evaluate_compz00);
			BGl_symbol5845z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5846z00zz__evaluate_compz00);
			BGl_symbol5847z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5848z00zz__evaluate_compz00);
			BGl_symbol5849z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5850z00zz__evaluate_compz00);
			BGl_symbol5851z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5852z00zz__evaluate_compz00);
			BGl_symbol5853z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5854z00zz__evaluate_compz00);
			BGl_symbol5855z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5856z00zz__evaluate_compz00);
			BGl_symbol5857z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5858z00zz__evaluate_compz00);
			BGl_symbol5859z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5860z00zz__evaluate_compz00);
			BGl_symbol5861z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5862z00zz__evaluate_compz00);
			BGl_symbol5863z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5864z00zz__evaluate_compz00);
			BGl_symbol5865z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5866z00zz__evaluate_compz00);
			BGl_symbol5867z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5868z00zz__evaluate_compz00);
			BGl_symbol5869z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5870z00zz__evaluate_compz00);
			BGl_symbol5871z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5872z00zz__evaluate_compz00);
			BGl_symbol5873z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5874z00zz__evaluate_compz00);
			BGl_symbol5875z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5876z00zz__evaluate_compz00);
			BGl_symbol5877z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5878z00zz__evaluate_compz00);
			BGl_symbol5879z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5880z00zz__evaluate_compz00);
			BGl_symbol5881z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5882z00zz__evaluate_compz00);
			BGl_symbol5883z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5884z00zz__evaluate_compz00);
			BGl_symbol5885z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5886z00zz__evaluate_compz00);
			BGl_symbol5887z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5888z00zz__evaluate_compz00);
			BGl_symbol5889z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5890z00zz__evaluate_compz00);
			BGl_symbol5920z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5921z00zz__evaluate_compz00);
			BGl_symbol5937z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5938z00zz__evaluate_compz00);
			BGl_symbol5939z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5940z00zz__evaluate_compz00);
			BGl_symbol5941z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5942z00zz__evaluate_compz00);
			return (BGl_symbol5943z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5944z00zz__evaluate_compz00), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 15 */
			{	/* Eval/evaluate_comp.scm 114 */
				BGL_LONGLONG_T BgL_arg1471z00_1338;

				{	/* Eval/evaluate_comp.scm 114 */
					BGL_LONGLONG_T BgL_res4316z00_6373;

					BgL_res4316z00_6373 = LONG_TO_LLONG(((long) 0));
					BgL_arg1471z00_1338 = BgL_res4316z00_6373;
				}
				{	/* Eval/evaluate_comp.scm 114 */
					obj_t BgL_list1472z00_1339;

					{	/* Eval/evaluate_comp.scm 114 */
						obj_t BgL_arg1473z00_1340;

						BgL_arg1473z00_1340 =
							MAKE_YOUNG_PAIR(make_bllong(BgL_arg1471z00_1338), BNIL);
						BgL_list1472z00_1339 =
							MAKE_YOUNG_PAIR(BGl_symbol5795z00zz__evaluate_compz00,
							BgL_arg1473z00_1340);
					}
					BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1472z00_1339;
			}}
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long) 8192);
			BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5797z00zz__evaluate_compz00,
				(int) (((long) 0)));
			BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5799z00zz__evaluate_compz00,
				(int) (((long) 0)));
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* append-21010 */
	obj_t BGl_appendzd221010zd2zz__evaluate_compz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		BGL_FUNCTION_BEGIN;
		{
			{
				obj_t BgL_headz00_1341;

				BgL_headz00_1341 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_6398;
					obj_t BgL_tailz00_6399;

					BgL_prevz00_6398 = BgL_headz00_1341;
					BgL_tailz00_6399 = BgL_l1z00_1;
				BgL_loopz00_6397:
					if (PAIRP(BgL_tailz00_6399))
						{
							obj_t BgL_newzd2prevzd2_6405;

							BgL_newzd2prevzd2_6405 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_6399), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_6398, BgL_newzd2prevzd2_6405);
							{
								obj_t BgL_tailz00_18430;
								obj_t BgL_prevz00_18429;

								BgL_prevz00_18429 = BgL_newzd2prevzd2_6405;
								BgL_tailz00_18430 = CDR(BgL_tailz00_6399);
								BgL_tailz00_6399 = BgL_tailz00_18430;
								BgL_prevz00_6398 = BgL_prevz00_18429;
								goto BgL_loopz00_6397;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_1341);
			}
		}
		BGL_FUNCTION_END;
	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 132 */
			{	/* Eval/evaluate_comp.scm 133 */
				BGL_LONGLONG_T BgL_arg1495z00_1369;

				{	/* Eval/evaluate_comp.scm 133 */
					BGL_LONGLONG_T BgL_res4325z00_6413;

					BgL_res4325z00_6413 = LONG_TO_LLONG(((long) 0));
					BgL_arg1495z00_1369 = BgL_res4325z00_6413;
				}
				{	/* Eval/evaluate_comp.scm 133 */
					obj_t BgL_list1496z00_1370;

					{	/* Eval/evaluate_comp.scm 133 */
						obj_t BgL_arg1497z00_1371;

						BgL_arg1497z00_1371 =
							MAKE_YOUNG_PAIR(make_bllong(BgL_arg1495z00_1369), BNIL);
						BgL_list1496z00_1370 =
							MAKE_YOUNG_PAIR(BGl_symbol5795z00zz__evaluate_compz00,
							BgL_arg1497z00_1371);
					}
					return (BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1496z00_1370, BUNSPEC);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* o->s~0 */
	obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1380)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 141 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1380))
				{	/* Ieee/fixnum.scm 977 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_1380), ((long) 10));
				}
			else
				{	/* Eval/evaluate_comp.scm 138 */
					if (SYMBOLP(BgL_vz00_1380))
						{	/* Eval/evaluate_comp.scm 139 */
							obj_t BgL_res4328z00_6418;

							{	/* Eval/evaluate_comp.scm 139 */
								obj_t BgL_arg4167z00_6417;

								BgL_arg4167z00_6417 = SYMBOL_TO_STRING(BgL_vz00_1380);
								BgL_res4328z00_6418 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg4167z00_6417);
							}
							return BgL_res4328z00_6418;
						}
					else
						{	/* Eval/evaluate_comp.scm 139 */
							if (STRINGP(BgL_vz00_1380))
								{	/* Eval/evaluate_comp.scm 140 */
									return BgL_vz00_1380;
								}
							else
								{	/* Eval/evaluate_comp.scm 140 */
									return BGl_string5801z00zz__evaluate_compz00;
								}
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* &<lexint */
	obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_13542,
		obj_t BgL_t1z00_13543, obj_t BgL_t2z00_13544)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 135 */
			{	/* Eval/evaluate_comp.scm 138 */
				bool_t BgL_tmpz00_18447;

				{	/* Eval/evaluate_comp.scm 142 */
					obj_t BgL_v1z00_15533;
					obj_t BgL_v2z00_15534;

					BgL_v1z00_15533 = CAR(((obj_t) BgL_t1z00_13543));
					BgL_v2z00_15534 = CAR(((obj_t) BgL_t2z00_13544));
					{	/* Eval/evaluate_comp.scm 143 */
						bool_t BgL_testz00_18452;

						if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_15533))
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_testz00_18452 =
									BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BgL_v2z00_15534);
							}
						else
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_testz00_18452 = ((bool_t) 0);
							}
						if (BgL_testz00_18452)
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_tmpz00_18447 =
									BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_15533,
									BgL_v2z00_15534);
							}
						else
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_tmpz00_18447 =
									bigloo_string_lt(BGl_ozd2ze3sze70zd6zz__evaluate_compz00
									(BgL_v1z00_15533),
									BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_15534));
							}
					}
				}
				return BBOOL(BgL_tmpz00_18447);
			}
		}
		BGL_FUNCTION_END;
	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 147 */
			BGl_recze71ze7zz__evaluate_compz00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;
		}
		BGL_FUNCTION_END;
	}



/* rec~1 */
	bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1389)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 148 */
			{	/* Eval/evaluate_comp.scm 149 */
				obj_t BgL_arg1508z00_1391;
				obj_t BgL_arg1509z00_1392;

				BgL_arg1508z00_1391 = CDR(((obj_t) BgL_tz00_1389));
				{	/* Eval/evaluate_comp.scm 149 */
					obj_t BgL_arg1511z00_1393;

					{	/* Eval/evaluate_comp.scm 149 */
						obj_t BgL_pairz00_6429;

						BgL_pairz00_6429 = CDR(((obj_t) BgL_tz00_1389));
						BgL_arg1511z00_1393 = CDR(BgL_pairz00_6429);
					}
					BgL_arg1509z00_1392 =
						BGl_sortz00zz__r4_vectors_6_8z00
						(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1511z00_1393);
				}
				{	/* Eval/evaluate_comp.scm 149 */
					obj_t BgL_tmpz00_18468;

					BgL_tmpz00_18468 = ((obj_t) BgL_arg1508z00_1391);
					SET_CDR(BgL_tmpz00_18468, BgL_arg1509z00_1392);
				}
			}
			{	/* Eval/evaluate_comp.scm 150 */
				obj_t BgL_g1285z00_1394;

				{	/* Eval/evaluate_comp.scm 150 */
					obj_t BgL_pairz00_6434;

					BgL_pairz00_6434 = CDR(((obj_t) BgL_tz00_1389));
					BgL_g1285z00_1394 = CDR(BgL_pairz00_6434);
				}
				{
					obj_t BgL_l1283z00_6448;

					BgL_l1283z00_6448 = BgL_g1285z00_1394;
				BgL_zc3anonymousza31512ze3z83_6447:
					if (PAIRP(BgL_l1283z00_6448))
						{	/* Eval/evaluate_comp.scm 150 */
							BGl_recze71ze7zz__evaluate_compz00(CAR(BgL_l1283z00_6448));
							{
								obj_t BgL_l1283z00_18478;

								BgL_l1283z00_18478 = CDR(BgL_l1283z00_6448);
								BgL_l1283z00_6448 = BgL_l1283z00_18478;
								goto BgL_zc3anonymousza31512ze3z83_6447;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 150 */
							return ((bool_t) 1);
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* index */
	obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 156 */
			{
				obj_t BgL_lz00_6479;
				long BgL_nz00_6480;

				BgL_lz00_6479 = BgL_lz00_7;
				BgL_nz00_6480 = ((long) 0);
			BgL_walkz00_6478:
				if (NULLP(BgL_lz00_6479))
					{	/* Eval/evaluate_comp.scm 158 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_comp.scm 158 */
						if ((BgL_xz00_6 == CAR(((obj_t) BgL_lz00_6479))))
							{	/* Eval/evaluate_comp.scm 159 */
								return BINT(BgL_nz00_6480);
							}
						else
							{
								long BgL_nz00_18490;
								obj_t BgL_lz00_18487;

								BgL_lz00_18487 = CDR(((obj_t) BgL_lz00_6479));
								BgL_nz00_18490 = (BgL_nz00_6480 + ((long) 1));
								BgL_nz00_6480 = BgL_nz00_18490;
								BgL_lz00_6479 = BgL_lz00_18487;
								goto BgL_walkz00_6478;
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* _index */
	obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 163 */
			{	/* Eval/evaluate_comp.scm 164 */
				obj_t BgL__ortest_1076z00_1414;

				BgL__ortest_1076z00_1414 =
					BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9);
				if (CBOOL(BgL__ortest_1076z00_1414))
					{	/* Eval/evaluate_comp.scm 164 */
						return BgL__ortest_1076z00_1414;
					}
				else
					{	/* Eval/evaluate_comp.scm 164 */
						obj_t BgL_arg1525z00_1415;

						{	/* Eval/evaluate_comp.scm 164 */
							obj_t BgL_arg1526z00_1416;

							if (NULLP(BgL_lz00_9))
								{	/* Eval/evaluate_comp.scm 164 */
									BgL_arg1526z00_1416 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 164 */
									obj_t BgL_head1288z00_1422;

									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_arg1536z00_1434;

										{	/* Eval/evaluate_comp.scm 164 */
											obj_t BgL_arg1537z00_1435;

											BgL_arg1537z00_1435 = CAR(((obj_t) BgL_lz00_9));
											if (BGl_isazf3zf3zz__objectz00(BgL_arg1537z00_1435,
													BGl_ev_varz00zz__evaluate_typesz00))
												{	/* Eval/evaluate_comp.scm 189 */
													BgL_arg1536z00_1434 =
														(((BgL_ev_varz00_bglt) COBJECT(
																((BgL_ev_varz00_bglt) BgL_arg1537z00_1435)))->
														BgL_namez00);
												}
											else
												{	/* Eval/evaluate_comp.scm 189 */
													BgL_arg1536z00_1434 = BgL_arg1537z00_1435;
												}
										}
										{	/* Eval/evaluate_comp.scm 164 */
											obj_t BgL_res4341z00_6500;

											BgL_res4341z00_6500 =
												MAKE_YOUNG_PAIR(BgL_arg1536z00_1434, BNIL);
											BgL_head1288z00_1422 = BgL_res4341z00_6500;
										}
									}
									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_g1291z00_1423;

										BgL_g1291z00_1423 = CDR(((obj_t) BgL_lz00_9));
										{
											obj_t BgL_l1286z00_6525;
											obj_t BgL_tail1289z00_6526;

											BgL_l1286z00_6525 = BgL_g1291z00_1423;
											BgL_tail1289z00_6526 = BgL_head1288z00_1422;
										BgL_zc3anonymousza31531ze3z83_6524:
											if (NULLP(BgL_l1286z00_6525))
												{	/* Eval/evaluate_comp.scm 164 */
													BgL_arg1526z00_1416 = BgL_head1288z00_1422;
												}
											else
												{	/* Eval/evaluate_comp.scm 164 */
													obj_t BgL_newtail1290z00_6533;

													{	/* Eval/evaluate_comp.scm 164 */
														obj_t BgL_arg1534z00_6534;

														BgL_arg1534z00_6534 =
															BGl_lnamez00zz__evaluate_compz00(CAR(
																((obj_t) BgL_l1286z00_6525)));
														{	/* Eval/evaluate_comp.scm 164 */
															obj_t BgL_res4347z00_6539;

															BgL_res4347z00_6539 =
																MAKE_YOUNG_PAIR(BgL_arg1534z00_6534, BNIL);
															BgL_newtail1290z00_6533 = BgL_res4347z00_6539;
														}
													}
													SET_CDR(BgL_tail1289z00_6526,
														BgL_newtail1290z00_6533);
													{	/* Eval/evaluate_comp.scm 164 */
														obj_t BgL_arg1533z00_6536;

														BgL_arg1533z00_6536 =
															CDR(((obj_t) BgL_l1286z00_6525));
														{
															obj_t BgL_tail1289z00_18516;
															obj_t BgL_l1286z00_18515;

															BgL_l1286z00_18515 = BgL_arg1533z00_6536;
															BgL_tail1289z00_18516 = BgL_newtail1290z00_6533;
															BgL_tail1289z00_6526 = BgL_tail1289z00_18516;
															BgL_l1286z00_6525 = BgL_l1286z00_18515;
															goto BgL_zc3anonymousza31531ze3z83_6524;
														}
													}
												}
										}
									}
								}
							{	/* Eval/evaluate_comp.scm 164 */
								obj_t BgL_list1527z00_1417;

								{	/* Eval/evaluate_comp.scm 164 */
									obj_t BgL_arg1528z00_1418;

									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_arg1529z00_1419;

										BgL_arg1529z00_1419 =
											MAKE_YOUNG_PAIR(BgL_arg1526z00_1416, BNIL);
										BgL_arg1528z00_1418 =
											MAKE_YOUNG_PAIR(BGl_string5802z00zz__evaluate_compz00,
											BgL_arg1529z00_1419);
									}
									BgL_list1527z00_1417 =
										MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1528z00_1418);
								}
								BgL_arg1525z00_1415 = BgL_list1527z00_1417;
							}
						}
						return
							BGl_errorz00zz__errorz00(BGl_string5803z00zz__evaluate_compz00,
							BGl_string5804z00zz__evaluate_compz00, BgL_arg1525z00_1415);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* lname */
	obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 188 */
			if (BGl_isazf3zf3zz__objectz00(BgL_vz00_16,
					BGl_ev_varz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 189 */
					return
						(((BgL_ev_varz00_bglt) COBJECT(
								((BgL_ev_varz00_bglt) BgL_vz00_16)))->BgL_namez00);
				}
			else
				{	/* Eval/evaluate_comp.scm 189 */
					return BgL_vz00_16;
				}
		}
		BGL_FUNCTION_END;
	}



/* loc-type-error */
	obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17,
		obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 193 */
			if (PAIRP(BgL_locz00_20))
				{	/* Eval/evaluate_comp.scm 194 */
					obj_t BgL_cdrzd2194zd2_1461;

					BgL_cdrzd2194zd2_1461 = CDR(BgL_locz00_20);
					if ((CAR(BgL_locz00_20) == BGl_symbol5805z00zz__evaluate_compz00))
						{	/* Eval/evaluate_comp.scm 194 */
							if (PAIRP(BgL_cdrzd2194zd2_1461))
								{	/* Eval/evaluate_comp.scm 194 */
									obj_t BgL_cdrzd2198zd2_1465;

									BgL_cdrzd2198zd2_1465 = CDR(BgL_cdrzd2194zd2_1461);
									if (PAIRP(BgL_cdrzd2198zd2_1465))
										{	/* Eval/evaluate_comp.scm 194 */
											if (NULLP(CDR(BgL_cdrzd2198zd2_1465)))
												{	/* Eval/evaluate_comp.scm 194 */
													return
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19,
														CAR(BgL_cdrzd2194zd2_1461),
														CAR(BgL_cdrzd2198zd2_1465));
												}
											else
												{	/* Eval/evaluate_comp.scm 194 */
													return
														BGl_bigloozd2typezd2errorz00zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 194 */
											return
												BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
												BgL_mz00_18, BgL_vz00_19);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 194 */
									return
										BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
										BgL_mz00_18, BgL_vz00_19);
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 194 */
							return
								BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
								BgL_mz00_18, BgL_vz00_19);
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 194 */
					return
						BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18,
						BgL_vz00_19);
				}
		}
		BGL_FUNCTION_END;
	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 206 */
			{	/* Eval/evaluate_comp.scm 207 */
				obj_t BgL_stkz00_1481;

				BgL_stkz00_1481 =
					make_vector(((long) 8192), BGl_string5807z00zz__evaluate_compz00);
				VECTOR_SET(BgL_stkz00_1481, ((long) 0), BINT(((long) 2)));
				return BgL_stkz00_1481;
			}
		}
		BGL_FUNCTION_END;
	}



/* find-state */
	BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 211 */
			{	/* Eval/evaluate_comp.scm 212 */
				obj_t BgL_sz00_1482;

				{	/* Eval/evaluate_comp.scm 212 */
					obj_t BgL_tmpz00_18550;

					BgL_tmpz00_18550 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_1482 = BGL_ENV_EVSTATE(BgL_tmpz00_18550);
				}
				if (VECTORP(BgL_sz00_1482))
					{	/* Eval/evaluate_comp.scm 213 */
						return BgL_sz00_1482;
					}
				else
					{	/* Eval/evaluate_comp.scm 214 */
						obj_t BgL_statez00_1484;

						BgL_statez00_1484 = BGl_makezd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 215 */
							obj_t BgL_tmpz00_18556;

							BgL_tmpz00_18556 = BGL_CURRENT_DYNAMIC_ENV();
							BGL_ENV_EVSTATE_SET(BgL_tmpz00_18556, BgL_statez00_1484);
						}
						return BgL_statez00_1484;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-state */
	obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_13545)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 211 */
			return BGl_findzd2statezd2zz__evaluate_compz00();
		}
		BGL_FUNCTION_END;
	}



/* compile */
	BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_34)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 273 */
			return BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);
		}
		BGL_FUNCTION_END;
	}



/* &compile */
	obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_13546,
		obj_t BgL_ez00_13547)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 273 */
			{	/* Eval/evaluate_comp.scm 274 */
				BgL_ev_exprz00_bglt BgL_auxz00_18561;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_13547,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 274 */
						BgL_auxz00_18561 = ((BgL_ev_exprz00_bglt) BgL_ez00_13547);
					}
				else
					{
						obj_t BgL_auxz00_18565;

						BgL_auxz00_18565 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5808z00zz__evaluate_compz00, BINT(((long) 7006)),
							BGl_string5809z00zz__evaluate_compz00,
							BGl_string5810z00zz__evaluate_compz00, BgL_ez00_13547);
						FAILURE(BgL_auxz00_18565, BFALSE, BFALSE);
					}
				return BGl_compilez00zz__evaluate_compz00(BgL_auxz00_18561);
			}
		}
		BGL_FUNCTION_END;
	}



/* global-fun-value */
	obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_43)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 332 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 335 */
					obj_t BgL_gz00_1540;

					{	/* Eval/evaluate_comp.scm 335 */
						obj_t BgL_arg1622z00_1541;
						obj_t BgL_arg1623z00_1542;

						BgL_arg1622z00_1541 =
							(((BgL_ev_globalz00_bglt) COBJECT(
									((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_modz00);
						BgL_arg1623z00_1542 =
							(((BgL_ev_globalz00_bglt) COBJECT(
									((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_namez00);
						BgL_gz00_1540 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00
							(BgL_arg1622z00_1541, BgL_arg1623z00_1542);
					}
					if (CBOOL(BgL_gz00_1540))
						{	/* Eval/evaluate_comp.scm 336 */
							return VECTOR_REF(((obj_t) BgL_gz00_1540), ((long) 2));
						}
					else
						{	/* Eval/evaluate_comp.scm 336 */
							return BFALSE;
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 333 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* push-boxes-args-on-sp */
	obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t
		BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85,
		obj_t BgL_locz00_86)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 616 */
			{
				obj_t BgL_lz00_1562;
				obj_t BgL_bsz00_1563;
				long BgL_spz00_1564;

				BgL_lz00_1562 = BgL_argsz00_83;
				BgL_bsz00_1563 = BgL_boxesz00_84;
				BgL_spz00_1564 = BgL_spz00_85;
			BgL_zc3anonymousza31643ze3z83_1565:
				if (NULLP(BgL_lz00_1562))
					{	/* Eval/evaluate_comp.scm 618 */
						if (NULLP(BgL_bsz00_1563))
							{	/* Eval/evaluate_comp.scm 619 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 622 */
								obj_t BgL_arg1646z00_1568;

								{	/* Eval/evaluate_comp.scm 622 */
									long BgL_arg1647z00_1569;
									long BgL_arg1653z00_1570;

									BgL_arg1647z00_1569 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1653z00_1570 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 621 */
										obj_t BgL_list1654z00_1571;

										{	/* Eval/evaluate_comp.scm 621 */
											obj_t BgL_arg1655z00_1572;

											BgL_arg1655z00_1572 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1653z00_1570), BNIL);
											BgL_list1654z00_1571 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1647z00_1569),
												BgL_arg1655z00_1572);
										}
										BgL_arg1646z00_1568 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5811z00zz__evaluate_compz00,
											BgL_list1654z00_1571);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5812z00zz__evaluate_compz00, BgL_arg1646z00_1568);
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 618 */
						if (NULLP(BgL_bsz00_1563))
							{	/* Eval/evaluate_comp.scm 626 */
								obj_t BgL_arg1657z00_1574;

								{	/* Eval/evaluate_comp.scm 626 */
									long BgL_arg1658z00_1575;
									long BgL_arg1662z00_1576;

									BgL_arg1658z00_1575 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1662z00_1576 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 625 */
										obj_t BgL_list1663z00_1577;

										{	/* Eval/evaluate_comp.scm 625 */
											obj_t BgL_arg1665z00_1578;

											BgL_arg1665z00_1578 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1662z00_1576), BNIL);
											BgL_list1663z00_1577 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1658z00_1575),
												BgL_arg1665z00_1578);
										}
										BgL_arg1657z00_1574 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5811z00zz__evaluate_compz00,
											BgL_list1663z00_1577);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5812z00zz__evaluate_compz00, BgL_arg1657z00_1574);
							}
						else
							{	/* Eval/evaluate_comp.scm 623 */
								{	/* Eval/evaluate_comp.scm 629 */
									obj_t BgL_arg1666z00_1579;

									{	/* Eval/evaluate_comp.scm 629 */
										obj_t BgL_vz00_1580;

										{	/* Eval/evaluate_comp.scm 629 */
											obj_t BgL_fun1668z00_1582;

											BgL_fun1668z00_1582 = CAR(((obj_t) BgL_lz00_1562));
											BgL_vz00_1580 =
												PROCEDURE_ENTRY(BgL_fun1668z00_1582)
												(BgL_fun1668z00_1582, BgL_sz00_82, BEOA);
										}
										if (CBOOL(CAR(((obj_t) BgL_bsz00_1563))))
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_6589;

												BgL_newz00_6589 =
													create_struct(BGl_symbol5813z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_18616;

													BgL_tmpz00_18616 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_6589, BgL_tmpz00_18616,
														BgL_vz00_1580);
												}
												BgL_arg1666z00_1579 = BgL_newz00_6589;
											}
										else
											{	/* Eval/evaluate_comp.scm 630 */
												BgL_arg1666z00_1579 = BgL_vz00_1580;
											}
									}
									VECTOR_SET(
										((obj_t) BgL_sz00_82), BgL_spz00_1564, BgL_arg1666z00_1579);
								}
								{	/* Eval/evaluate_comp.scm 633 */
									obj_t BgL_arg1669z00_1583;
									obj_t BgL_arg1670z00_1584;
									long BgL_arg1671z00_1585;

									BgL_arg1669z00_1583 = CDR(((obj_t) BgL_lz00_1562));
									BgL_arg1670z00_1584 = CDR(((obj_t) BgL_bsz00_1563));
									BgL_arg1671z00_1585 = (BgL_spz00_1564 + ((long) 1));
									{
										long BgL_spz00_18628;
										obj_t BgL_bsz00_18627;
										obj_t BgL_lz00_18626;

										BgL_lz00_18626 = BgL_arg1669z00_1583;
										BgL_bsz00_18627 = BgL_arg1670z00_1584;
										BgL_spz00_18628 = BgL_arg1671z00_1585;
										BgL_spz00_1564 = BgL_spz00_18628;
										BgL_bsz00_1563 = BgL_bsz00_18627;
										BgL_lz00_1562 = BgL_lz00_18626;
										goto BgL_zc3anonymousza31643ze3z83_1565;
									}
								}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* sub-stk */
	obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88,
		obj_t BgL_l2z00_89)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 638 */
		BGl_subzd2stkzd2zz__evaluate_compz00:
			if (NULLP(BgL_l1z00_88))
				{	/* Eval/evaluate_comp.scm 639 */
					return BgL_l2z00_89;
				}
			else
				{	/* Eval/evaluate_comp.scm 639 */
					if ((CAR(((obj_t) BgL_l1z00_88)) == CAR(((obj_t) BgL_l2z00_89))))
						{	/* Eval/evaluate_comp.scm 642 */
							obj_t BgL_arg1676z00_1591;
							obj_t BgL_arg1678z00_1592;

							BgL_arg1676z00_1591 = CDR(((obj_t) BgL_l1z00_88));
							BgL_arg1678z00_1592 = CDR(((obj_t) BgL_l2z00_89));
							{
								obj_t BgL_l2z00_18642;
								obj_t BgL_l1z00_18641;

								BgL_l1z00_18641 = BgL_arg1676z00_1591;
								BgL_l2z00_18642 = BgL_arg1678z00_1592;
								BgL_l2z00_89 = BgL_l2z00_18642;
								BgL_l1z00_88 = BgL_l1z00_18641;
								goto BGl_subzd2stkzd2zz__evaluate_compz00;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 640 */
							return
								BGl_errorz00zz__errorz00(BGl_string5803z00zz__evaluate_compz00,
								BGl_symbol5815z00zz__evaluate_compz00,
								BGl_symbol5817z00zz__evaluate_compz00);
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93,
		obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 662 */
			{	/* Eval/evaluate_comp.scm 663 */
				obj_t BgL_savedzd2bpzd2_1603;

				BgL_savedzd2bpzd2_1603 = VECTOR_REF(((obj_t) BgL_sz00_94), ((long) 0));
				VECTOR_SET(((obj_t) BgL_sz00_94), ((long) 0), BgL_bpz00_95);
				{
					obj_t BgL_fz00_1605;

					BgL_fz00_1605 = BgL_fz00_93;
				BgL_zc3anonymousza31688ze3z83_1606:
					{	/* Eval/evaluate_comp.scm 666 */
						obj_t BgL_rz00_1607;

						BgL_rz00_1607 =
							PROCEDURE_ENTRY(BgL_fz00_1605) (BgL_fz00_1605, BgL_sz00_94, BEOA);
						{	/* Eval/evaluate_comp.scm 667 */
							bool_t BgL_testz00_18652;

							if (PROCEDUREP(BgL_rz00_1607))
								{	/* Eval/evaluate_comp.scm 667 */
									obj_t BgL_arg1693z00_1612;

									BgL_arg1693z00_1612 = PROCEDURE_ATTR(BgL_rz00_1607);
									if (STRUCTP(BgL_arg1693z00_1612))
										{	/* Eval/evaluate_comp.scm 647 */
											BgL_testz00_18652 =
												(STRUCT_KEY(BgL_arg1693z00_1612) ==
												BGl_symbol5799z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 647 */
											BgL_testz00_18652 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 667 */
									BgL_testz00_18652 = ((bool_t) 0);
								}
							if (BgL_testz00_18652)
								{
									obj_t BgL_fz00_18660;

									BgL_fz00_18660 = BgL_rz00_1607;
									BgL_fz00_1605 = BgL_fz00_18660;
									goto BgL_zc3anonymousza31688ze3z83_1606;
								}
							else
								{	/* Eval/evaluate_comp.scm 667 */
									VECTOR_SET(
										((obj_t) BgL_sz00_94), ((long) 0), BgL_savedzd2bpzd2_1603);
									return BgL_rz00_1607;
								}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117,
		obj_t BgL_stkz00_118)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 681 */
			if (NULLP(BgL_eza2za2_117))
				{	/* Eval/evaluate_comp.scm 683 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 685 */
					obj_t BgL_arg1704z00_1625;
					obj_t BgL_arg1705z00_1626;

					{	/* Eval/evaluate_comp.scm 685 */
						obj_t BgL_arg1707z00_1627;

						BgL_arg1707z00_1627 = CAR(((obj_t) BgL_eza2za2_117));
						BgL_arg1704z00_1625 =
							BGl_compz00zz__evaluate_compz00(
							((BgL_ev_exprz00_bglt) BgL_arg1707z00_1627), BgL_stkz00_118);
					}
					{	/* Eval/evaluate_comp.scm 686 */
						obj_t BgL_arg1708z00_1628;
						obj_t BgL_arg1709z00_1629;

						BgL_arg1708z00_1628 = CDR(((obj_t) BgL_eza2za2_117));
						{	/* Eval/evaluate_comp.scm 686 */
							obj_t BgL_arg1710z00_1630;

							BgL_arg1710z00_1630 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							BgL_arg1709z00_1629 =
								BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_118,
								BgL_arg1710z00_1630);
						}
						BgL_arg1705z00_1626 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1708z00_1628,
							BgL_arg1709z00_1629);
					}
					return MAKE_YOUNG_PAIR(BgL_arg1704z00_1625, BgL_arg1705z00_1626);
				}
		}
		BGL_FUNCTION_END;
	}



/* rec~0 */
	obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_15518,
		obj_t BgL_lz00_1632, long BgL_iz00_1633)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 689 */
			if (NULLP(BgL_lz00_1632))
				{	/* Eval/evaluate_comp.scm 690 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 690 */
					if ((BgL_iz00_1633 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 691 */
							return
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1632,
								BgL_stkz00_15518);
						}
					else
						{	/* Eval/evaluate_comp.scm 692 */
							obj_t BgL_arg1714z00_1637;
							obj_t BgL_arg1715z00_1638;

							{	/* Eval/evaluate_comp.scm 692 */
								obj_t BgL_arg1716z00_1639;

								BgL_arg1716z00_1639 = CAR(((obj_t) BgL_lz00_1632));
								BgL_arg1714z00_1637 =
									BGl_compz00zz__evaluate_compz00(
									((BgL_ev_exprz00_bglt) BgL_arg1716z00_1639),
									BgL_stkz00_15518);
							}
							{	/* Eval/evaluate_comp.scm 693 */
								obj_t BgL_arg1717z00_1640;
								long BgL_arg1718z00_1641;

								BgL_arg1717z00_1640 = CDR(((obj_t) BgL_lz00_1632));
								BgL_arg1718z00_1641 = (BgL_iz00_1633 - ((long) 1));
								BgL_arg1715z00_1638 =
									BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_15518,
									BgL_arg1717z00_1640, BgL_arg1718z00_1641);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1714z00_1637, BgL_arg1715z00_1638);
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122,
		obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125,
		obj_t BgL_siza7eza7_126)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 695 */
			{	/* Eval/evaluate_comp.scm 697 */
				obj_t BgL_argsz00_1643;

				if (NULLP(BgL_argsz00_124))
					{	/* Eval/evaluate_comp.scm 697 */
						BgL_argsz00_1643 = BNIL;
					}
				else
					{	/* Eval/evaluate_comp.scm 697 */
						obj_t BgL_head1337z00_1648;

						{	/* Eval/evaluate_comp.scm 697 */
							obj_t BgL_res4380z00_6656;

							BgL_res4380z00_6656 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							BgL_head1337z00_1648 = BgL_res4380z00_6656;
						}
						{
							obj_t BgL_l1335z00_6680;
							obj_t BgL_tail1338z00_6681;

							BgL_l1335z00_6680 = BgL_argsz00_124;
							BgL_tail1338z00_6681 = BgL_head1337z00_1648;
						BgL_zc3anonymousza31721ze3z83_6679:
							if (NULLP(BgL_l1335z00_6680))
								{	/* Eval/evaluate_comp.scm 697 */
									BgL_argsz00_1643 = CDR(BgL_head1337z00_1648);
								}
							else
								{	/* Eval/evaluate_comp.scm 697 */
									obj_t BgL_newtail1339z00_6688;

									{	/* Eval/evaluate_comp.scm 697 */
										obj_t BgL_arg1724z00_6689;

										{	/* Eval/evaluate_comp.scm 697 */
											obj_t BgL_az00_6690;

											BgL_az00_6690 = CAR(((obj_t) BgL_l1335z00_6680));
											BgL_arg1724z00_6689 =
												PROCEDURE_ENTRY(BgL_az00_6690) (BgL_az00_6690,
												BgL_sz00_122, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 697 */
											obj_t BgL_res4386z00_6695;

											BgL_res4386z00_6695 =
												MAKE_YOUNG_PAIR(BgL_arg1724z00_6689, BNIL);
											BgL_newtail1339z00_6688 = BgL_res4386z00_6695;
										}
									}
									SET_CDR(BgL_tail1338z00_6681, BgL_newtail1339z00_6688);
									{	/* Eval/evaluate_comp.scm 697 */
										obj_t BgL_arg1723z00_6691;

										BgL_arg1723z00_6691 = CDR(((obj_t) BgL_l1335z00_6680));
										{
											obj_t BgL_tail1338z00_18706;
											obj_t BgL_l1335z00_18705;

											BgL_l1335z00_18705 = BgL_arg1723z00_6691;
											BgL_tail1338z00_18706 = BgL_newtail1339z00_6688;
											BgL_tail1338z00_6681 = BgL_tail1338z00_18706;
											BgL_l1335z00_6680 = BgL_l1335z00_18705;
											goto BgL_zc3anonymousza31721ze3z83_6679;
										}
									}
								}
						}
					}
				{	/* Eval/evaluate_comp.scm 698 */
					long BgL_arg1719z00_1644;

					BgL_arg1719z00_1644 =
						((long) CINT(BgL_bpz00_125) + (long) CINT(BgL_siza7eza7_126));
					VECTOR_SET(
						((obj_t) BgL_sz00_122), ((long) 0), BINT(BgL_arg1719z00_1644));
				}
				{	/* Eval/evaluate_comp.scm 699 */
					obj_t BgL_za2za2resza2za2z00_1645;

					BgL_za2za2resza2za2z00_1645 = apply(BgL_fz00_123, BgL_argsz00_1643);
					VECTOR_SET(((obj_t) BgL_sz00_122), ((long) 0), BgL_bpz00_125);
					return BgL_za2za2resza2za2z00_1645;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t
		BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132,
		obj_t BgL_spz00_133)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 708 */
			{	/* Eval/evaluate_comp.scm 709 */
				long BgL_g1145z00_1669;

				BgL_g1145z00_1669 = (((long) -1) - (long) CINT(BgL_arityz00_130));
				{
					obj_t BgL_lz00_1671;
					obj_t BgL_spz00_1672;
					long BgL_nz00_1673;

					BgL_lz00_1671 = BgL_argsz00_132;
					BgL_spz00_1672 = BgL_spz00_133;
					BgL_nz00_1673 = BgL_g1145z00_1669;
				BgL_zc3anonymousza31731ze3z83_1674:
					if ((BgL_nz00_1673 == ((long) 0)))
						{
							obj_t BgL_lz00_6782;
							obj_t BgL_rz00_6783;

							BgL_lz00_6782 = BgL_lz00_1671;
							BgL_rz00_6783 = BNIL;
						BgL_rec2z00_6781:
							if (NULLP(BgL_lz00_6782))
								{	/* Eval/evaluate_comp.scm 713 */
									obj_t BgL_arg1736z00_6791;

									BgL_arg1736z00_6791 = bgl_reverse_bang(BgL_rz00_6783);
									{	/* Eval/evaluate_comp.scm 713 */
										long BgL_kz00_6798;

										BgL_kz00_6798 = (long) CINT(BgL_spz00_1672);
										return
											VECTOR_SET(
											((obj_t) BgL_sz00_131), BgL_kz00_6798,
											BgL_arg1736z00_6791);
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 714 */
									obj_t BgL_arg1737z00_6792;
									obj_t BgL_arg1738z00_6793;

									BgL_arg1737z00_6792 = CDR(((obj_t) BgL_lz00_6782));
									{	/* Eval/evaluate_comp.scm 714 */
										obj_t BgL_arg1739z00_6794;

										{	/* Eval/evaluate_comp.scm 714 */
											obj_t BgL_fun1740z00_6795;

											BgL_fun1740z00_6795 = CAR(((obj_t) BgL_lz00_6782));
											BgL_arg1739z00_6794 =
												PROCEDURE_ENTRY(BgL_fun1740z00_6795)
												(BgL_fun1740z00_6795, BgL_sz00_131, BEOA);
										}
										BgL_arg1738z00_6793 =
											MAKE_YOUNG_PAIR(BgL_arg1739z00_6794, BgL_rz00_6783);
									}
									{
										obj_t BgL_rz00_18737;
										obj_t BgL_lz00_18736;

										BgL_lz00_18736 = BgL_arg1737z00_6792;
										BgL_rz00_18737 = BgL_arg1738z00_6793;
										BgL_rz00_6783 = BgL_rz00_18737;
										BgL_lz00_6782 = BgL_lz00_18736;
										goto BgL_rec2z00_6781;
									}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 710 */
							{	/* Eval/evaluate_comp.scm 715 */
								obj_t BgL_arg1741z00_1688;

								{	/* Eval/evaluate_comp.scm 715 */
									obj_t BgL_fun1742z00_1689;

									BgL_fun1742z00_1689 = CAR(((obj_t) BgL_lz00_1671));
									BgL_arg1741z00_1688 =
										PROCEDURE_ENTRY(BgL_fun1742z00_1689) (BgL_fun1742z00_1689,
										BgL_sz00_131, BEOA);
								}
								{	/* Eval/evaluate_comp.scm 715 */
									long BgL_kz00_6803;

									BgL_kz00_6803 = (long) CINT(BgL_spz00_1672);
									VECTOR_SET(
										((obj_t) BgL_sz00_131), BgL_kz00_6803, BgL_arg1741z00_1688);
							}}
							{	/* Eval/evaluate_comp.scm 716 */
								obj_t BgL_arg1743z00_1690;
								long BgL_arg1744z00_1691;
								long BgL_arg1745z00_1692;

								BgL_arg1743z00_1690 = CDR(((obj_t) BgL_lz00_1671));
								BgL_arg1744z00_1691 =
									((long) CINT(BgL_spz00_1672) + ((long) 1));
								BgL_arg1745z00_1692 = (BgL_nz00_1673 - ((long) 1));
								{
									long BgL_nz00_18755;
									obj_t BgL_spz00_18753;
									obj_t BgL_lz00_18752;

									BgL_lz00_18752 = BgL_arg1743z00_1690;
									BgL_spz00_18753 = BINT(BgL_arg1744z00_1691);
									BgL_nz00_18755 = BgL_arg1745z00_1692;
									BgL_nz00_1673 = BgL_nz00_18755;
									BgL_spz00_1672 = BgL_spz00_18753;
									BgL_lz00_1671 = BgL_lz00_18752;
									goto BgL_zc3anonymousza31731ze3z83_1674;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134,
		obj_t BgL_stkz00_135)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 759 */
			{
				obj_t BgL_lz00_1695;
				obj_t BgL_stkz00_1696;

				BgL_lz00_1695 = BgL_argsz00_134;
				BgL_stkz00_1696 = BgL_stkz00_135;
			BgL_zc3anonymousza31746ze3z83_1697:
				{	/* Eval/evaluate_comp.scm 763 */
					bool_t BgL_testz00_18756;

					if (NULLP(BgL_lz00_1695))
						{	/* Eval/evaluate_comp.scm 763 */
							BgL_testz00_18756 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 763 */
							BgL_testz00_18756 = NULLP(BgL_stkz00_1696);
						}
					if (BgL_testz00_18756)
						{	/* Eval/evaluate_comp.scm 763 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_comp.scm 765 */
							bool_t BgL_testz00_18760;

							{	/* Eval/evaluate_comp.scm 765 */
								obj_t BgL_g1342z00_1714;

								BgL_g1342z00_1714 = CDR(((obj_t) BgL_lz00_1695));
								{
									obj_t BgL_l1340z00_1716;

									{	/* Eval/evaluate_comp.scm 765 */
										obj_t BgL_tmpz00_18763;

										BgL_l1340z00_1716 = BgL_g1342z00_1714;
									BgL_zc3anonymousza31760ze3z83_1717:
										if (NULLP(BgL_l1340z00_1716))
											{	/* Eval/evaluate_comp.scm 765 */
												BgL_tmpz00_18763 = BFALSE;
											}
										else
											{	/* Eval/evaluate_comp.scm 765 */
												obj_t BgL__ortest_1343z00_1719;

												{	/* Eval/evaluate_comp.scm 765 */
													obj_t BgL_ez00_1721;

													BgL_ez00_1721 = CAR(((obj_t) BgL_l1340z00_1716));
													{	/* Eval/evaluate_comp.scm 765 */
														obj_t BgL_arg1762z00_1722;
														obj_t BgL_arg1763z00_1723;

														BgL_arg1762z00_1722 =
															CAR(((obj_t) BgL_stkz00_1696));
														BgL_arg1763z00_1723 =
															BGl_usez00zz__evaluate_usez00(
															((BgL_ev_exprz00_bglt) BgL_ez00_1721), BNIL);
														BgL__ortest_1343z00_1719 =
															BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1762z00_1722, BgL_arg1763z00_1723);
													}
												}
												if (CBOOL(BgL__ortest_1343z00_1719))
													{	/* Eval/evaluate_comp.scm 765 */
														BgL_tmpz00_18763 = BgL__ortest_1343z00_1719;
													}
												else
													{	/* Eval/evaluate_comp.scm 765 */
														obj_t BgL_arg1761z00_1720;

														BgL_arg1761z00_1720 =
															CDR(((obj_t) BgL_l1340z00_1716));
														{
															obj_t BgL_l1340z00_18777;

															BgL_l1340z00_18777 = BgL_arg1761z00_1720;
															BgL_l1340z00_1716 = BgL_l1340z00_18777;
															goto BgL_zc3anonymousza31760ze3z83_1717;
														}
													}
											}
										BgL_testz00_18760 = CBOOL(BgL_tmpz00_18763);
									}
								}
							}
							if (BgL_testz00_18760)
								{	/* Eval/evaluate_comp.scm 765 */
									return ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 767 */
									obj_t BgL_arg1758z00_1712;
									obj_t BgL_arg1759z00_1713;

									BgL_arg1758z00_1712 = CDR(((obj_t) BgL_lz00_1695));
									BgL_arg1759z00_1713 = CDR(((obj_t) BgL_stkz00_1696));
									{
										obj_t BgL_stkz00_18784;
										obj_t BgL_lz00_18783;

										BgL_lz00_18783 = BgL_arg1758z00_1712;
										BgL_stkz00_18784 = BgL_arg1759z00_1713;
										BgL_stkz00_1696 = BgL_stkz00_18784;
										BgL_lz00_1695 = BgL_lz00_18783;
										goto BgL_zc3anonymousza31746ze3z83_1697;
									}
								}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_ez00_136, obj_t BgL_stkz00_137)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 769 */
			{	/* Eval/evaluate_comp.scm 771 */
				long BgL_siza7eza7_1728;
				long BgL_nbargsz00_1729;
				obj_t BgL_fz00_1730;
				obj_t BgL_symbzd2funzd2_1731;

				BgL_siza7eza7_1728 = bgl_list_length(BgL_stkz00_137);
				BgL_nbargsz00_1729 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00));
				BgL_fz00_1730 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_funz00),
					BgL_stkz00_137);
				BgL_symbzd2funzd2_1731 =
					BGl_uncompilez00zz__evaluate_uncompz00((((BgL_ev_appz00_bglt)
							COBJECT(BgL_ez00_136))->BgL_funz00));
				if (CBOOL((((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
							BgL_tailzf3zf3)))
					{	/* Eval/evaluate_comp.scm 773 */
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
								BgL_stkz00_137))
							{	/* Eval/evaluate_comp.scm 780 */
								bool_t BgL_testz00_18798;

								{	/* Eval/evaluate_comp.scm 780 */
									int BgL_arg1817z00_1810;

									BgL_arg1817z00_1810 = bgl_debug();
									BgL_testz00_18798 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1817z00_1810),
										BINT(((long) 0)));
								}
								if (BgL_testz00_18798)
									{	/* Eval/evaluate_comp.scm 780 */
										obj_t BgL_argsz00_1737;

										BgL_argsz00_1737 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 780 */
											obj_t BgL_zc3anonymousza31769ze3z83_13548;

											BgL_zc3anonymousza31769ze3z83_13548 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31769ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 6)));
											PROCEDURE_SET(BgL_zc3anonymousza31769ze3z83_13548,
												(int) (((long) 0)), BgL_fz00_1730);
											PROCEDURE_SET(BgL_zc3anonymousza31769ze3z83_13548,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza31769ze3z83_13548,
												(int) (((long) 2)), BgL_symbzd2funzd2_1731);
											PROCEDURE_SET(BgL_zc3anonymousza31769ze3z83_13548,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1729));
											PROCEDURE_SET(BgL_zc3anonymousza31769ze3z83_13548,
												(int) (((long) 4)), BgL_argsz00_1737);
											PROCEDURE_SET(BgL_zc3anonymousza31769ze3z83_13548,
												(int) (((long) 5)), BINT(BgL_siza7eza7_1728));
											return BgL_zc3anonymousza31769ze3z83_13548;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 780 */
										obj_t BgL_argsz00_1775;

										BgL_argsz00_1775 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 780 */
											obj_t BgL_zc3anonymousza31793ze3z83_13549;

											BgL_zc3anonymousza31793ze3z83_13549 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31793ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 6)));
											PROCEDURE_SET(BgL_zc3anonymousza31793ze3z83_13549,
												(int) (((long) 0)), BgL_fz00_1730);
											PROCEDURE_SET(BgL_zc3anonymousza31793ze3z83_13549,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza31793ze3z83_13549,
												(int) (((long) 2)), BgL_symbzd2funzd2_1731);
											PROCEDURE_SET(BgL_zc3anonymousza31793ze3z83_13549,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1729));
											PROCEDURE_SET(BgL_zc3anonymousza31793ze3z83_13549,
												(int) (((long) 4)), BgL_argsz00_1775);
											PROCEDURE_SET(BgL_zc3anonymousza31793ze3z83_13549,
												(int) (((long) 5)), BINT(BgL_siza7eza7_1728));
											return BgL_zc3anonymousza31793ze3z83_13549;
										}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 788 */
								bool_t BgL_testz00_18843;

								{	/* Eval/evaluate_comp.scm 788 */
									int BgL_arg1864z00_1880;

									BgL_arg1864z00_1880 = bgl_debug();
									BgL_testz00_18843 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1864z00_1880),
										BINT(((long) 0)));
								}
								if (BgL_testz00_18843)
									{	/* Eval/evaluate_comp.scm 788 */
										obj_t BgL_argsz00_1813;

										BgL_argsz00_1813 =
											BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_siza7eza7_1728);
										{	/* Eval/evaluate_comp.scm 788 */
											obj_t BgL_zc3anonymousza31821ze3z83_13550;

											BgL_zc3anonymousza31821ze3z83_13550 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31821ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 5)));
											PROCEDURE_SET(BgL_zc3anonymousza31821ze3z83_13550,
												(int) (((long) 0)), BgL_fz00_1730);
											PROCEDURE_SET(BgL_zc3anonymousza31821ze3z83_13550,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza31821ze3z83_13550,
												(int) (((long) 2)), BgL_symbzd2funzd2_1731);
											PROCEDURE_SET(BgL_zc3anonymousza31821ze3z83_13550,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1729));
											PROCEDURE_SET(BgL_zc3anonymousza31821ze3z83_13550,
												(int) (((long) 4)), BgL_argsz00_1813);
											return BgL_zc3anonymousza31821ze3z83_13550;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 788 */
										obj_t BgL_argsz00_1848;

										BgL_argsz00_1848 =
											BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_siza7eza7_1728);
										{	/* Eval/evaluate_comp.scm 788 */
											obj_t BgL_zc3anonymousza31844ze3z83_13551;

											BgL_zc3anonymousza31844ze3z83_13551 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31844ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 5)));
											PROCEDURE_SET(BgL_zc3anonymousza31844ze3z83_13551,
												(int) (((long) 0)), BgL_fz00_1730);
											PROCEDURE_SET(BgL_zc3anonymousza31844ze3z83_13551,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza31844ze3z83_13551,
												(int) (((long) 2)), BgL_symbzd2funzd2_1731);
											PROCEDURE_SET(BgL_zc3anonymousza31844ze3z83_13551,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1729));
											PROCEDURE_SET(BgL_zc3anonymousza31844ze3z83_13551,
												(int) (((long) 4)), BgL_argsz00_1848);
											return BgL_zc3anonymousza31844ze3z83_13551;
										}
									}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 774 */
						bool_t BgL_testz00_18882;

						{	/* Eval/evaluate_comp.scm 774 */
							int BgL_arg1907z00_1951;

							BgL_arg1907z00_1951 = bgl_debug();
							BgL_testz00_18882 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1907z00_1951),
								BINT(((long) 0)));
						}
						if (BgL_testz00_18882)
							{	/* Eval/evaluate_comp.scm 774 */
								obj_t BgL_argsz00_1884;

								BgL_argsz00_1884 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 774 */
									obj_t BgL_zc3anonymousza31869ze3z83_13552;

									BgL_zc3anonymousza31869ze3z83_13552 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31869ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza31869ze3z83_13552,
										(int) (((long) 0)), BgL_fz00_1730);
									PROCEDURE_SET(BgL_zc3anonymousza31869ze3z83_13552,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3anonymousza31869ze3z83_13552,
										(int) (((long) 2)), BgL_symbzd2funzd2_1731);
									PROCEDURE_SET(BgL_zc3anonymousza31869ze3z83_13552,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1729));
									PROCEDURE_SET(BgL_zc3anonymousza31869ze3z83_13552,
										(int) (((long) 4)), BgL_argsz00_1884);
									PROCEDURE_SET(BgL_zc3anonymousza31869ze3z83_13552,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1728));
									return BgL_zc3anonymousza31869ze3z83_13552;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 774 */
								obj_t BgL_argsz00_1919;

								BgL_argsz00_1919 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 774 */
									obj_t BgL_zc3anonymousza31890ze3z83_13553;

									BgL_zc3anonymousza31890ze3z83_13553 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31890ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza31890ze3z83_13553,
										(int) (((long) 0)), BgL_fz00_1730);
									PROCEDURE_SET(BgL_zc3anonymousza31890ze3z83_13553,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3anonymousza31890ze3z83_13553,
										(int) (((long) 2)), BgL_symbzd2funzd2_1731);
									PROCEDURE_SET(BgL_zc3anonymousza31890ze3z83_13553,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1729));
									PROCEDURE_SET(BgL_zc3anonymousza31890ze3z83_13553,
										(int) (((long) 4)), BgL_argsz00_1919);
									PROCEDURE_SET(BgL_zc3anonymousza31890ze3z83_13553,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1728));
									return BgL_zc3anonymousza31890ze3z83_13553;
								}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1769> */
	obj_t BGl_z62zc3anonymousza31769ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13554, obj_t BgL_sz00_13561)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 780 */
			{	/* Eval/evaluate_comp.scm 780 */
				obj_t BgL_fz00_13555;
				BgL_ev_appz00_bglt BgL_i1153z00_13556;
				obj_t BgL_symbzd2funzd2_13557;
				long BgL_nbargsz00_13558;
				obj_t BgL_argsz00_13559;
				long BgL_siza7eza7_13560;

				BgL_fz00_13555 = PROCEDURE_REF(BgL_envz00_13554, (int) (((long) 0)));
				BgL_i1153z00_13556 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13554, (int) (((long) 1))));
				BgL_symbzd2funzd2_13557 =
					PROCEDURE_REF(BgL_envz00_13554, (int) (((long) 2)));
				BgL_nbargsz00_13558 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13554, (int) (((long) 3))));
				BgL_argsz00_13559 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13554, (int) (((long) 4))));
				BgL_siza7eza7_13560 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13554, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 780 */
					obj_t BgL_bpz00_15539;

					BgL_bpz00_15539 = VECTOR_REF(((obj_t) BgL_sz00_13561), ((long) 0));
					{	/* Eval/evaluate_comp.scm 780 */
						obj_t BgL_fz00_15540;

						BgL_fz00_15540 =
							PROCEDURE_ENTRY(BgL_fz00_13555) (BgL_fz00_13555, BgL_sz00_13561,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15540))
							{	/* Eval/evaluate_comp.scm 780 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 780 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1153z00_13556))->
										BgL_locz00), BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15540);
							}
						{	/* Eval/evaluate_comp.scm 780 */
							obj_t BgL_ufz00_15541;

							{	/* Eval/evaluate_comp.scm 780 */
								obj_t BgL_tmpz00_18953;

								BgL_tmpz00_18953 = ((obj_t) BgL_fz00_15540);
								BgL_ufz00_15541 = PROCEDURE_ATTR(BgL_tmpz00_18953);
							}
							{	/* Eval/evaluate_comp.scm 780 */
								bool_t BgL_testz00_18956;

								if (STRUCTP(BgL_ufz00_15541))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_18956 =
											(STRUCT_KEY(BgL_ufz00_15541) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_18956 = ((bool_t) 0);
									}
								if (BgL_testz00_18956)
									{	/* Eval/evaluate_comp.scm 780 */
										obj_t BgL_arityz00_15542;
										obj_t BgL_runz00_15543;
										obj_t BgL_sfz00_15544;

										BgL_arityz00_15542 =
											STRUCT_REF(BgL_ufz00_15541, (int) (((long) 0)));
										BgL_runz00_15543 =
											STRUCT_REF(BgL_ufz00_15541, (int) (((long) 1)));
										BgL_sfz00_15544 =
											STRUCT_REF(BgL_ufz00_15541, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 780 */
											long BgL_spz00_15545;

											BgL_spz00_15545 =
												((long) CINT(BgL_bpz00_15539) + BgL_siza7eza7_13560);
											if (
												((long) CINT(BgL_arityz00_15542) ==
													BgL_nbargsz00_13558))
												{	/* Eval/evaluate_comp.scm 780 */
													{
														obj_t BgL_lz00_15547;
														long BgL_spz00_15548;

														BgL_lz00_15547 = BgL_argsz00_13559;
														BgL_spz00_15548 = BgL_spz00_15545;
													BgL_recz00_15546:
														if (NULLP(BgL_lz00_15547))
															{	/* Eval/evaluate_comp.scm 704 */
																((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 704 */
																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_arg1727z00_15549;

																	{	/* Eval/evaluate_comp.scm 705 */
																		obj_t BgL_fun1728z00_15550;

																		BgL_fun1728z00_15550 =
																			CAR(((obj_t) BgL_lz00_15547));
																		BgL_arg1727z00_15549 =
																			PROCEDURE_ENTRY(BgL_fun1728z00_15550)
																			(BgL_fun1728z00_15550, BgL_sz00_13561,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13561), BgL_spz00_15548,
																		BgL_arg1727z00_15549);
																}
																{	/* Eval/evaluate_comp.scm 706 */
																	obj_t BgL_arg1729z00_15551;
																	long BgL_arg1730z00_15552;

																	BgL_arg1729z00_15551 =
																		CDR(((obj_t) BgL_lz00_15547));
																	BgL_arg1730z00_15552 =
																		(BgL_spz00_15548 + ((long) 1));
																	{
																		long BgL_spz00_18986;
																		obj_t BgL_lz00_18985;

																		BgL_lz00_18985 = BgL_arg1729z00_15551;
																		BgL_spz00_18986 = BgL_arg1730z00_15552;
																		BgL_spz00_15548 = BgL_spz00_18986;
																		BgL_lz00_15547 = BgL_lz00_18985;
																		goto BgL_recz00_15546;
																	}
																}
															}
													}
													{	/* Eval/evaluate_comp.scm 784 */
														long BgL_arg1775z00_15553;

														BgL_arg1775z00_15553 =
															(BgL_spz00_15545 + BgL_nbargsz00_13558);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_sz00_13561, (long) CINT(BgL_bpz00_15539),
															BgL_sz00_13561, BINT(BgL_spz00_15545),
															BINT(BgL_arg1775z00_15553));
												}}
											else
												{	/* Eval/evaluate_comp.scm 780 */
													bool_t BgL_testz00_18992;

													if (((long) CINT(BgL_arityz00_15542) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 780 */
															BgL_testz00_18992 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 780 */
															BgL_testz00_18992 =
																(
																(long) CINT(BgL_arityz00_15542) <
																(((long) -1) - BgL_nbargsz00_13558));
														}
													if (BgL_testz00_18992)
														{	/* Eval/evaluate_comp.scm 780 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1153z00_13556))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15541, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13558),
																CINT(BgL_arityz00_15542));
														}
													else
														{	/* Eval/evaluate_comp.scm 780 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15542, BgL_sz00_13561,
																BgL_argsz00_13559, BINT(BgL_spz00_15545));
															{	/* Eval/evaluate_comp.scm 786 */
																long BgL_arg1781z00_15554;

																BgL_arg1781z00_15554 =
																	(BgL_spz00_15545 +
																	(((long) 0) -
																		(long) CINT(BgL_arityz00_15542)));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_sz00_13561, (long) CINT(BgL_bpz00_15539),
																	BgL_sz00_13561, BINT(BgL_spz00_15545),
																	BINT(BgL_arg1781z00_15554));
												}}}
											{	/* Eval/evaluate_comp.scm 780 */
												obj_t BgL_z12denvz12_15555;

												BgL_z12denvz12_15555 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 780 */
													obj_t BgL_tmpz00_19015;

													BgL_tmpz00_19015 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1153z00_13556))->BgL_locz00);
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15555,
														BgL_tmpz00_19015);
												}
												if (
													(((long) CINT(BgL_bpz00_15539) +
															(long) CINT(BgL_sfz00_15544)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13561))))
													{	/* Eval/evaluate_comp.scm 780 */
														return BgL_runz00_15543;
													}
												else
													{	/* Eval/evaluate_comp.scm 780 */
														obj_t BgL_nsz00_15556;

														BgL_nsz00_15556 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 780 */
															long BgL_arg1786z00_15557;

															BgL_arg1786z00_15557 =
																(
																(long) CINT(BgL_bpz00_15539) +
																BgL_nbargsz00_13558);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15556, ((long) 2), BgL_sz00_13561,
																BgL_bpz00_15539, BINT(BgL_arg1786z00_15557));
														}
														VECTOR_SET(BgL_nsz00_15556, ((long) 1),
															BgL_sz00_13561);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15555,
															BgL_nsz00_15556);
														{	/* Eval/evaluate_comp.scm 780 */
															obj_t BgL_ez00_15558;

															BgL_ez00_15558 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15558, BgL_sz00_13561);
															{	/* Eval/evaluate_comp.scm 780 */
																obj_t BgL_____rz00_15559;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15560;

																	BgL_savedzd2bpzd2_15560 =
																		VECTOR_REF(BgL_nsz00_15556, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15556, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15562;

																		BgL_fz00_15562 = BgL_runz00_15543;
																	BgL_recz00_15561:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15563;

																			BgL_rz00_15563 =
																				PROCEDURE_ENTRY(BgL_fz00_15562)
																				(BgL_fz00_15562, BgL_nsz00_15556, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_19041;

																				if (PROCEDUREP(BgL_rz00_15563))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15564;

																						BgL_arg1693z00_15564 =
																							PROCEDURE_ATTR(BgL_rz00_15563);
																						if (STRUCTP(BgL_arg1693z00_15564))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19041 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15564) ==
																									BGl_symbol5799z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19041 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_19041 = ((bool_t) 0);
																					}
																				if (BgL_testz00_19041)
																					{
																						obj_t BgL_fz00_19049;

																						BgL_fz00_19049 = BgL_rz00_15563;
																						BgL_fz00_15562 = BgL_fz00_19049;
																						goto BgL_recz00_15561;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15556,
																							((long) 0),
																							BgL_savedzd2bpzd2_15560);
																						BgL_____rz00_15559 = BgL_rz00_15563;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15558);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15555,
																	BgL_sz00_13561);
																return BgL_____rz00_15559;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 780 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15540,
												(int) (BgL_nbargsz00_13558)))
											{	/* Eval/evaluate_comp.scm 780 */
												{	/* Eval/evaluate_comp.scm 780 */
													obj_t BgL_auxz00_19058;
													obj_t BgL_tmpz00_19056;

													BgL_auxz00_19058 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1153z00_13556))->BgL_locz00);
													BgL_tmpz00_19056 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19056,
														BgL_auxz00_19058);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13561, BgL_fz00_15540, BgL_argsz00_13559,
													BgL_bpz00_15539, BINT(BgL_siza7eza7_13560));
											}
										else
											{	/* Eval/evaluate_comp.scm 780 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1153z00_13556))->
														BgL_locz00), BgL_symbzd2funzd2_13557,
													(int) (BgL_nbargsz00_13558),
													PROCEDURE_ARITY(BgL_fz00_15540));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1793> */
	obj_t BGl_z62zc3anonymousza31793ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13562, obj_t BgL_sz00_13569)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 780 */
			{	/* Eval/evaluate_comp.scm 780 */
				obj_t BgL_fz00_13563;
				BgL_ev_appz00_bglt BgL_i1153z00_13564;
				obj_t BgL_symbzd2funzd2_13565;
				long BgL_nbargsz00_13566;
				obj_t BgL_argsz00_13567;
				long BgL_siza7eza7_13568;

				BgL_fz00_13563 = PROCEDURE_REF(BgL_envz00_13562, (int) (((long) 0)));
				BgL_i1153z00_13564 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13562, (int) (((long) 1))));
				BgL_symbzd2funzd2_13565 =
					PROCEDURE_REF(BgL_envz00_13562, (int) (((long) 2)));
				BgL_nbargsz00_13566 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13562, (int) (((long) 3))));
				BgL_argsz00_13567 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13562, (int) (((long) 4))));
				BgL_siza7eza7_13568 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13562, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 780 */
					obj_t BgL_bpz00_15565;

					BgL_bpz00_15565 = VECTOR_REF(((obj_t) BgL_sz00_13569), ((long) 0));
					{	/* Eval/evaluate_comp.scm 780 */
						obj_t BgL_fz00_15566;

						BgL_fz00_15566 =
							PROCEDURE_ENTRY(BgL_fz00_13563) (BgL_fz00_13563, BgL_sz00_13569,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15566))
							{	/* Eval/evaluate_comp.scm 780 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 780 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1153z00_13564))->
										BgL_locz00), BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15566);
							}
						{	/* Eval/evaluate_comp.scm 780 */
							obj_t BgL_ufz00_15567;

							{	/* Eval/evaluate_comp.scm 780 */
								obj_t BgL_tmpz00_19093;

								BgL_tmpz00_19093 = ((obj_t) BgL_fz00_15566);
								BgL_ufz00_15567 = PROCEDURE_ATTR(BgL_tmpz00_19093);
							}
							{	/* Eval/evaluate_comp.scm 780 */
								bool_t BgL_testz00_19096;

								if (STRUCTP(BgL_ufz00_15567))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19096 =
											(STRUCT_KEY(BgL_ufz00_15567) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19096 = ((bool_t) 0);
									}
								if (BgL_testz00_19096)
									{	/* Eval/evaluate_comp.scm 780 */
										obj_t BgL_arityz00_15568;
										obj_t BgL_runz00_15569;
										obj_t BgL_sfz00_15570;

										BgL_arityz00_15568 =
											STRUCT_REF(BgL_ufz00_15567, (int) (((long) 0)));
										BgL_runz00_15569 =
											STRUCT_REF(BgL_ufz00_15567, (int) (((long) 1)));
										BgL_sfz00_15570 =
											STRUCT_REF(BgL_ufz00_15567, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 780 */
											long BgL_spz00_15571;

											BgL_spz00_15571 =
												((long) CINT(BgL_bpz00_15565) + BgL_siza7eza7_13568);
											if (
												((long) CINT(BgL_arityz00_15568) ==
													BgL_nbargsz00_13566))
												{	/* Eval/evaluate_comp.scm 780 */
													{
														obj_t BgL_lz00_15573;
														long BgL_spz00_15574;

														BgL_lz00_15573 = BgL_argsz00_13567;
														BgL_spz00_15574 = BgL_spz00_15571;
													BgL_recz00_15572:
														if (NULLP(BgL_lz00_15573))
															{	/* Eval/evaluate_comp.scm 704 */
																((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 704 */
																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_arg1727z00_15575;

																	{	/* Eval/evaluate_comp.scm 705 */
																		obj_t BgL_fun1728z00_15576;

																		BgL_fun1728z00_15576 =
																			CAR(((obj_t) BgL_lz00_15573));
																		BgL_arg1727z00_15575 =
																			PROCEDURE_ENTRY(BgL_fun1728z00_15576)
																			(BgL_fun1728z00_15576, BgL_sz00_13569,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13569), BgL_spz00_15574,
																		BgL_arg1727z00_15575);
																}
																{	/* Eval/evaluate_comp.scm 706 */
																	obj_t BgL_arg1729z00_15577;
																	long BgL_arg1730z00_15578;

																	BgL_arg1729z00_15577 =
																		CDR(((obj_t) BgL_lz00_15573));
																	BgL_arg1730z00_15578 =
																		(BgL_spz00_15574 + ((long) 1));
																	{
																		long BgL_spz00_19126;
																		obj_t BgL_lz00_19125;

																		BgL_lz00_19125 = BgL_arg1729z00_15577;
																		BgL_spz00_19126 = BgL_arg1730z00_15578;
																		BgL_spz00_15574 = BgL_spz00_19126;
																		BgL_lz00_15573 = BgL_lz00_19125;
																		goto BgL_recz00_15572;
																	}
																}
															}
													}
													{	/* Eval/evaluate_comp.scm 784 */
														long BgL_arg1798z00_15579;

														BgL_arg1798z00_15579 =
															(BgL_spz00_15571 + BgL_nbargsz00_13566);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_sz00_13569, (long) CINT(BgL_bpz00_15565),
															BgL_sz00_13569, BINT(BgL_spz00_15571),
															BINT(BgL_arg1798z00_15579));
												}}
											else
												{	/* Eval/evaluate_comp.scm 780 */
													bool_t BgL_testz00_19132;

													if (((long) CINT(BgL_arityz00_15568) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 780 */
															BgL_testz00_19132 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 780 */
															BgL_testz00_19132 =
																(
																(long) CINT(BgL_arityz00_15568) <
																(((long) -1) - BgL_nbargsz00_13566));
														}
													if (BgL_testz00_19132)
														{	/* Eval/evaluate_comp.scm 780 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1153z00_13564))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15567, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13566),
																CINT(BgL_arityz00_15568));
														}
													else
														{	/* Eval/evaluate_comp.scm 780 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15568, BgL_sz00_13569,
																BgL_argsz00_13567, BINT(BgL_spz00_15571));
															{	/* Eval/evaluate_comp.scm 786 */
																long BgL_arg1805z00_15580;

																BgL_arg1805z00_15580 =
																	(BgL_spz00_15571 +
																	(((long) 0) -
																		(long) CINT(BgL_arityz00_15568)));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_sz00_13569, (long) CINT(BgL_bpz00_15565),
																	BgL_sz00_13569, BINT(BgL_spz00_15571),
																	BINT(BgL_arg1805z00_15580));
												}}}
											{	/* Eval/evaluate_comp.scm 780 */
												obj_t BgL_z12denvz12_15581;

												BgL_z12denvz12_15581 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													(((long) CINT(BgL_bpz00_15565) +
															(long) CINT(BgL_sfz00_15570)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13569))))
													{	/* Eval/evaluate_comp.scm 780 */
														return BgL_runz00_15569;
													}
												else
													{	/* Eval/evaluate_comp.scm 780 */
														obj_t BgL_nsz00_15582;

														BgL_nsz00_15582 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 780 */
															long BgL_arg1811z00_15583;

															BgL_arg1811z00_15583 =
																(
																(long) CINT(BgL_bpz00_15565) +
																BgL_nbargsz00_13566);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15582, ((long) 2), BgL_sz00_13569,
																BgL_bpz00_15565, BINT(BgL_arg1811z00_15583));
														}
														VECTOR_SET(BgL_nsz00_15582, ((long) 1),
															BgL_sz00_13569);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15581,
															BgL_nsz00_15582);
														{	/* Eval/evaluate_comp.scm 780 */
															obj_t BgL_ez00_15584;

															BgL_ez00_15584 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15584, BgL_sz00_13569);
															{	/* Eval/evaluate_comp.scm 780 */
																obj_t BgL_____rz00_15585;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15586;

																	BgL_savedzd2bpzd2_15586 =
																		VECTOR_REF(BgL_nsz00_15582, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15582, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15588;

																		BgL_fz00_15588 = BgL_runz00_15569;
																	BgL_recz00_15587:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15589;

																			BgL_rz00_15589 =
																				PROCEDURE_ENTRY(BgL_fz00_15588)
																				(BgL_fz00_15588, BgL_nsz00_15582, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_19178;

																				if (PROCEDUREP(BgL_rz00_15589))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15590;

																						BgL_arg1693z00_15590 =
																							PROCEDURE_ATTR(BgL_rz00_15589);
																						if (STRUCTP(BgL_arg1693z00_15590))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19178 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15590) ==
																									BGl_symbol5799z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19178 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_19178 = ((bool_t) 0);
																					}
																				if (BgL_testz00_19178)
																					{
																						obj_t BgL_fz00_19186;

																						BgL_fz00_19186 = BgL_rz00_15589;
																						BgL_fz00_15588 = BgL_fz00_19186;
																						goto BgL_recz00_15587;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15582,
																							((long) 0),
																							BgL_savedzd2bpzd2_15586);
																						BgL_____rz00_15585 = BgL_rz00_15589;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15584);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15581,
																	BgL_sz00_13569);
																return BgL_____rz00_15585;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 780 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15566,
												(int) (BgL_nbargsz00_13566)))
											{	/* Eval/evaluate_comp.scm 780 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13569, BgL_fz00_15566, BgL_argsz00_13567,
													BgL_bpz00_15565, BINT(BgL_siza7eza7_13568));
											}
										else
											{	/* Eval/evaluate_comp.scm 780 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1153z00_13564))->
														BgL_locz00), BgL_symbzd2funzd2_13565,
													(int) (BgL_nbargsz00_13566),
													PROCEDURE_ARITY(BgL_fz00_15566));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1821> */
	obj_t BGl_z62zc3anonymousza31821ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13570, obj_t BgL_sz00_13576)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 788 */
			{	/* Eval/evaluate_comp.scm 788 */
				obj_t BgL_fz00_13571;
				BgL_ev_appz00_bglt BgL_i1153z00_13572;
				obj_t BgL_symbzd2funzd2_13573;
				long BgL_nbargsz00_13574;
				obj_t BgL_argsz00_13575;

				BgL_fz00_13571 = PROCEDURE_REF(BgL_envz00_13570, (int) (((long) 0)));
				BgL_i1153z00_13572 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13570, (int) (((long) 1))));
				BgL_symbzd2funzd2_13573 =
					PROCEDURE_REF(BgL_envz00_13570, (int) (((long) 2)));
				BgL_nbargsz00_13574 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13570, (int) (((long) 3))));
				BgL_argsz00_13575 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13570, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 788 */
					obj_t BgL_bpz00_15591;

					BgL_bpz00_15591 = VECTOR_REF(((obj_t) BgL_sz00_13576), ((long) 0));
					{	/* Eval/evaluate_comp.scm 788 */
						obj_t BgL_fz00_15592;

						BgL_fz00_15592 =
							PROCEDURE_ENTRY(BgL_fz00_13571) (BgL_fz00_13571, BgL_sz00_13576,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15592))
							{	/* Eval/evaluate_comp.scm 788 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 788 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1153z00_13572))->
										BgL_locz00), BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15592);
							}
						{	/* Eval/evaluate_comp.scm 788 */
							obj_t BgL_ufz00_15593;

							{	/* Eval/evaluate_comp.scm 788 */
								obj_t BgL_tmpz00_19222;

								BgL_tmpz00_19222 = ((obj_t) BgL_fz00_15592);
								BgL_ufz00_15593 = PROCEDURE_ATTR(BgL_tmpz00_19222);
							}
							{	/* Eval/evaluate_comp.scm 788 */
								bool_t BgL_testz00_19225;

								if (STRUCTP(BgL_ufz00_15593))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19225 =
											(STRUCT_KEY(BgL_ufz00_15593) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19225 = ((bool_t) 0);
									}
								if (BgL_testz00_19225)
									{	/* Eval/evaluate_comp.scm 788 */
										obj_t BgL_arityz00_15594;
										obj_t BgL_runz00_15595;
										obj_t BgL_sfz00_15596;

										BgL_arityz00_15594 =
											STRUCT_REF(BgL_ufz00_15593, (int) (((long) 0)));
										BgL_runz00_15595 =
											STRUCT_REF(BgL_ufz00_15593, (int) (((long) 1)));
										BgL_sfz00_15596 =
											STRUCT_REF(BgL_ufz00_15593, (int) (((long) 2)));
										if (
											((long) CINT(BgL_arityz00_15594) == BgL_nbargsz00_13574))
											{
												obj_t BgL_lz00_15598;
												obj_t BgL_spz00_15599;

												{	/* Eval/evaluate_comp.scm 703 */
													bool_t BgL_tmpz00_19239;

													BgL_lz00_15598 = BgL_argsz00_13575;
													BgL_spz00_15599 = BgL_bpz00_15591;
												BgL_recz00_15597:
													if (NULLP(BgL_lz00_15598))
														{	/* Eval/evaluate_comp.scm 704 */
															BgL_tmpz00_19239 = ((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 704 */
															{	/* Eval/evaluate_comp.scm 705 */
																obj_t BgL_arg1727z00_15600;

																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_fun1728z00_15601;

																	BgL_fun1728z00_15601 =
																		CAR(((obj_t) BgL_lz00_15598));
																	BgL_arg1727z00_15600 =
																		PROCEDURE_ENTRY(BgL_fun1728z00_15601)
																		(BgL_fun1728z00_15601, BgL_sz00_13576,
																		BEOA);
																}
																{	/* Eval/evaluate_comp.scm 705 */
																	long BgL_kz00_15602;

																	BgL_kz00_15602 = (long) CINT(BgL_spz00_15599);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13576), BgL_kz00_15602,
																		BgL_arg1727z00_15600);
															}}
															{	/* Eval/evaluate_comp.scm 706 */
																obj_t BgL_arg1729z00_15603;
																long BgL_arg1730z00_15604;

																BgL_arg1729z00_15603 =
																	CDR(((obj_t) BgL_lz00_15598));
																BgL_arg1730z00_15604 =
																	((long) CINT(BgL_spz00_15599) + ((long) 1));
																{
																	obj_t BgL_spz00_19256;
																	obj_t BgL_lz00_19255;

																	BgL_lz00_19255 = BgL_arg1729z00_15603;
																	BgL_spz00_19256 = BINT(BgL_arg1730z00_15604);
																	BgL_spz00_15599 = BgL_spz00_19256;
																	BgL_lz00_15598 = BgL_lz00_19255;
																	goto BgL_recz00_15597;
																}
															}
														}
													BBOOL(BgL_tmpz00_19239);
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 788 */
												bool_t BgL_testz00_19259;

												if (((long) CINT(BgL_arityz00_15594) >= ((long) 0)))
													{	/* Eval/evaluate_comp.scm 788 */
														BgL_testz00_19259 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 788 */
														BgL_testz00_19259 =
															(
															(long) CINT(BgL_arityz00_15594) <
															(((long) -1) - BgL_nbargsz00_13574));
													}
												if (BgL_testz00_19259)
													{	/* Eval/evaluate_comp.scm 788 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt)
																	COBJECT(BgL_i1153z00_13572))->BgL_locz00),
															STRUCT_REF(BgL_ufz00_15593, (int) (((long) 3))),
															(int) (BgL_nbargsz00_13574),
															CINT(BgL_arityz00_15594));
													}
												else
													{	/* Eval/evaluate_comp.scm 788 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_15594, BgL_sz00_13576,
															BgL_argsz00_13575, BgL_bpz00_15591);
													}
											}
										{	/* Eval/evaluate_comp.scm 788 */
											obj_t BgL_z12denvz12_15605;

											BgL_z12denvz12_15605 = BGL_CURRENT_DYNAMIC_ENV();
											{	/* Eval/evaluate_comp.scm 788 */
												obj_t BgL_tmpz00_19274;

												BgL_tmpz00_19274 =
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1153z00_13572))->
													BgL_locz00);
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15605,
													BgL_tmpz00_19274);
											}
											if (
												(((long) CINT(BgL_bpz00_15591) +
														(long) CINT(BgL_sfz00_15596)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13576))))
												{	/* Eval/evaluate_comp.scm 788 */
													return BgL_runz00_15595;
												}
											else
												{	/* Eval/evaluate_comp.scm 788 */
													obj_t BgL_nsz00_15606;

													BgL_nsz00_15606 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 788 */
														long BgL_arg1836z00_15607;

														BgL_arg1836z00_15607 =
															(
															(long) CINT(BgL_bpz00_15591) +
															BgL_nbargsz00_13574);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15606, ((long) 2), BgL_sz00_13576,
															BgL_bpz00_15591, BINT(BgL_arg1836z00_15607));
													}
													VECTOR_SET(BgL_nsz00_15606, ((long) 1),
														BgL_sz00_13576);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15605,
														BgL_nsz00_15606);
													{	/* Eval/evaluate_comp.scm 788 */
														obj_t BgL_ez00_15608;

														BgL_ez00_15608 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15608, BgL_sz00_13576);
														{	/* Eval/evaluate_comp.scm 788 */
															obj_t BgL_____rz00_15609;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15610;

																BgL_savedzd2bpzd2_15610 =
																	VECTOR_REF(BgL_nsz00_15606, ((long) 0));
																VECTOR_SET(BgL_nsz00_15606, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15612;

																	BgL_fz00_15612 = BgL_runz00_15595;
																BgL_recz00_15611:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15613;

																		BgL_rz00_15613 =
																			PROCEDURE_ENTRY(BgL_fz00_15612)
																			(BgL_fz00_15612, BgL_nsz00_15606, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_19300;

																			if (PROCEDUREP(BgL_rz00_15613))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15614;

																					BgL_arg1693z00_15614 =
																						PROCEDURE_ATTR(BgL_rz00_15613);
																					if (STRUCTP(BgL_arg1693z00_15614))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19300 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15614) ==
																								BGl_symbol5799z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19300 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_19300 = ((bool_t) 0);
																				}
																			if (BgL_testz00_19300)
																				{
																					obj_t BgL_fz00_19308;

																					BgL_fz00_19308 = BgL_rz00_15613;
																					BgL_fz00_15612 = BgL_fz00_19308;
																					goto BgL_recz00_15611;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15606,
																						((long) 0),
																						BgL_savedzd2bpzd2_15610);
																					BgL_____rz00_15609 = BgL_rz00_15613;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15608);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15605,
																BgL_sz00_13576);
															return BgL_____rz00_15609;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 788 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15592,
												(int) (BgL_nbargsz00_13574)))
											{	/* Eval/evaluate_comp.scm 788 */
												{	/* Eval/evaluate_comp.scm 788 */
													obj_t BgL_auxz00_19317;
													obj_t BgL_tmpz00_19315;

													BgL_auxz00_19317 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1153z00_13572))->BgL_locz00);
													BgL_tmpz00_19315 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19315,
														BgL_auxz00_19317);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13576, BgL_fz00_15592, BgL_argsz00_13575,
													BgL_bpz00_15591, BINT(BgL_nbargsz00_13574));
											}
										else
											{	/* Eval/evaluate_comp.scm 788 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1153z00_13572))->
														BgL_locz00), BgL_symbzd2funzd2_13573,
													(int) (BgL_nbargsz00_13574),
													PROCEDURE_ARITY(BgL_fz00_15592));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1844> */
	obj_t BGl_z62zc3anonymousza31844ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13577, obj_t BgL_sz00_13583)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 788 */
			{	/* Eval/evaluate_comp.scm 788 */
				obj_t BgL_fz00_13578;
				BgL_ev_appz00_bglt BgL_i1153z00_13579;
				obj_t BgL_symbzd2funzd2_13580;
				long BgL_nbargsz00_13581;
				obj_t BgL_argsz00_13582;

				BgL_fz00_13578 = PROCEDURE_REF(BgL_envz00_13577, (int) (((long) 0)));
				BgL_i1153z00_13579 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13577, (int) (((long) 1))));
				BgL_symbzd2funzd2_13580 =
					PROCEDURE_REF(BgL_envz00_13577, (int) (((long) 2)));
				BgL_nbargsz00_13581 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13577, (int) (((long) 3))));
				BgL_argsz00_13582 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13577, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 788 */
					obj_t BgL_bpz00_15615;

					BgL_bpz00_15615 = VECTOR_REF(((obj_t) BgL_sz00_13583), ((long) 0));
					{	/* Eval/evaluate_comp.scm 788 */
						obj_t BgL_fz00_15616;

						BgL_fz00_15616 =
							PROCEDURE_ENTRY(BgL_fz00_13578) (BgL_fz00_13578, BgL_sz00_13583,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15616))
							{	/* Eval/evaluate_comp.scm 788 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 788 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1153z00_13579))->
										BgL_locz00), BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15616);
							}
						{	/* Eval/evaluate_comp.scm 788 */
							obj_t BgL_ufz00_15617;

							{	/* Eval/evaluate_comp.scm 788 */
								obj_t BgL_tmpz00_19349;

								BgL_tmpz00_19349 = ((obj_t) BgL_fz00_15616);
								BgL_ufz00_15617 = PROCEDURE_ATTR(BgL_tmpz00_19349);
							}
							{	/* Eval/evaluate_comp.scm 788 */
								bool_t BgL_testz00_19352;

								if (STRUCTP(BgL_ufz00_15617))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19352 =
											(STRUCT_KEY(BgL_ufz00_15617) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19352 = ((bool_t) 0);
									}
								if (BgL_testz00_19352)
									{	/* Eval/evaluate_comp.scm 788 */
										obj_t BgL_arityz00_15618;
										obj_t BgL_runz00_15619;
										obj_t BgL_sfz00_15620;

										BgL_arityz00_15618 =
											STRUCT_REF(BgL_ufz00_15617, (int) (((long) 0)));
										BgL_runz00_15619 =
											STRUCT_REF(BgL_ufz00_15617, (int) (((long) 1)));
										BgL_sfz00_15620 =
											STRUCT_REF(BgL_ufz00_15617, (int) (((long) 2)));
										if (
											((long) CINT(BgL_arityz00_15618) == BgL_nbargsz00_13581))
											{
												obj_t BgL_lz00_15622;
												obj_t BgL_spz00_15623;

												{	/* Eval/evaluate_comp.scm 703 */
													bool_t BgL_tmpz00_19366;

													BgL_lz00_15622 = BgL_argsz00_13582;
													BgL_spz00_15623 = BgL_bpz00_15615;
												BgL_recz00_15621:
													if (NULLP(BgL_lz00_15622))
														{	/* Eval/evaluate_comp.scm 704 */
															BgL_tmpz00_19366 = ((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 704 */
															{	/* Eval/evaluate_comp.scm 705 */
																obj_t BgL_arg1727z00_15624;

																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_fun1728z00_15625;

																	BgL_fun1728z00_15625 =
																		CAR(((obj_t) BgL_lz00_15622));
																	BgL_arg1727z00_15624 =
																		PROCEDURE_ENTRY(BgL_fun1728z00_15625)
																		(BgL_fun1728z00_15625, BgL_sz00_13583,
																		BEOA);
																}
																{	/* Eval/evaluate_comp.scm 705 */
																	long BgL_kz00_15626;

																	BgL_kz00_15626 = (long) CINT(BgL_spz00_15623);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13583), BgL_kz00_15626,
																		BgL_arg1727z00_15624);
															}}
															{	/* Eval/evaluate_comp.scm 706 */
																obj_t BgL_arg1729z00_15627;
																long BgL_arg1730z00_15628;

																BgL_arg1729z00_15627 =
																	CDR(((obj_t) BgL_lz00_15622));
																BgL_arg1730z00_15628 =
																	((long) CINT(BgL_spz00_15623) + ((long) 1));
																{
																	obj_t BgL_spz00_19383;
																	obj_t BgL_lz00_19382;

																	BgL_lz00_19382 = BgL_arg1729z00_15627;
																	BgL_spz00_19383 = BINT(BgL_arg1730z00_15628);
																	BgL_spz00_15623 = BgL_spz00_19383;
																	BgL_lz00_15622 = BgL_lz00_19382;
																	goto BgL_recz00_15621;
																}
															}
														}
													BBOOL(BgL_tmpz00_19366);
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 788 */
												bool_t BgL_testz00_19386;

												if (((long) CINT(BgL_arityz00_15618) >= ((long) 0)))
													{	/* Eval/evaluate_comp.scm 788 */
														BgL_testz00_19386 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 788 */
														BgL_testz00_19386 =
															(
															(long) CINT(BgL_arityz00_15618) <
															(((long) -1) - BgL_nbargsz00_13581));
													}
												if (BgL_testz00_19386)
													{	/* Eval/evaluate_comp.scm 788 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt)
																	COBJECT(BgL_i1153z00_13579))->BgL_locz00),
															STRUCT_REF(BgL_ufz00_15617, (int) (((long) 3))),
															(int) (BgL_nbargsz00_13581),
															CINT(BgL_arityz00_15618));
													}
												else
													{	/* Eval/evaluate_comp.scm 788 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_15618, BgL_sz00_13583,
															BgL_argsz00_13582, BgL_bpz00_15615);
													}
											}
										{	/* Eval/evaluate_comp.scm 788 */
											obj_t BgL_z12denvz12_15629;

											BgL_z12denvz12_15629 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15615) +
														(long) CINT(BgL_sfz00_15620)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13583))))
												{	/* Eval/evaluate_comp.scm 788 */
													return BgL_runz00_15619;
												}
											else
												{	/* Eval/evaluate_comp.scm 788 */
													obj_t BgL_nsz00_15630;

													BgL_nsz00_15630 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 788 */
														long BgL_arg1858z00_15631;

														BgL_arg1858z00_15631 =
															(
															(long) CINT(BgL_bpz00_15615) +
															BgL_nbargsz00_13581);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15630, ((long) 2), BgL_sz00_13583,
															BgL_bpz00_15615, BINT(BgL_arg1858z00_15631));
													}
													VECTOR_SET(BgL_nsz00_15630, ((long) 1),
														BgL_sz00_13583);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15629,
														BgL_nsz00_15630);
													{	/* Eval/evaluate_comp.scm 788 */
														obj_t BgL_ez00_15632;

														BgL_ez00_15632 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15632, BgL_sz00_13583);
														{	/* Eval/evaluate_comp.scm 788 */
															obj_t BgL_____rz00_15633;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15634;

																BgL_savedzd2bpzd2_15634 =
																	VECTOR_REF(BgL_nsz00_15630, ((long) 0));
																VECTOR_SET(BgL_nsz00_15630, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15636;

																	BgL_fz00_15636 = BgL_runz00_15619;
																BgL_recz00_15635:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15637;

																		BgL_rz00_15637 =
																			PROCEDURE_ENTRY(BgL_fz00_15636)
																			(BgL_fz00_15636, BgL_nsz00_15630, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_19424;

																			if (PROCEDUREP(BgL_rz00_15637))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15638;

																					BgL_arg1693z00_15638 =
																						PROCEDURE_ATTR(BgL_rz00_15637);
																					if (STRUCTP(BgL_arg1693z00_15638))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19424 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15638) ==
																								BGl_symbol5799z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19424 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_19424 = ((bool_t) 0);
																				}
																			if (BgL_testz00_19424)
																				{
																					obj_t BgL_fz00_19432;

																					BgL_fz00_19432 = BgL_rz00_15637;
																					BgL_fz00_15636 = BgL_fz00_19432;
																					goto BgL_recz00_15635;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15630,
																						((long) 0),
																						BgL_savedzd2bpzd2_15634);
																					BgL_____rz00_15633 = BgL_rz00_15637;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15632);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15629,
																BgL_sz00_13583);
															return BgL_____rz00_15633;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 788 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15616,
												(int) (BgL_nbargsz00_13581)))
											{	/* Eval/evaluate_comp.scm 788 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13583, BgL_fz00_15616, BgL_argsz00_13582,
													BgL_bpz00_15615, BINT(BgL_nbargsz00_13581));
											}
										else
											{	/* Eval/evaluate_comp.scm 788 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1153z00_13579))->
														BgL_locz00), BgL_symbzd2funzd2_13580,
													(int) (BgL_nbargsz00_13581),
													PROCEDURE_ARITY(BgL_fz00_15616));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1869> */
	obj_t BGl_z62zc3anonymousza31869ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13584, obj_t BgL_sz00_13591)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 774 */
			{	/* Eval/evaluate_comp.scm 774 */
				obj_t BgL_fz00_13585;
				BgL_ev_appz00_bglt BgL_i1153z00_13586;
				obj_t BgL_symbzd2funzd2_13587;
				long BgL_nbargsz00_13588;
				obj_t BgL_argsz00_13589;
				long BgL_siza7eza7_13590;

				BgL_fz00_13585 = PROCEDURE_REF(BgL_envz00_13584, (int) (((long) 0)));
				BgL_i1153z00_13586 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13584, (int) (((long) 1))));
				BgL_symbzd2funzd2_13587 =
					PROCEDURE_REF(BgL_envz00_13584, (int) (((long) 2)));
				BgL_nbargsz00_13588 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13584, (int) (((long) 3))));
				BgL_argsz00_13589 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13584, (int) (((long) 4))));
				BgL_siza7eza7_13590 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13584, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 774 */
					obj_t BgL_bpz00_15639;

					BgL_bpz00_15639 = VECTOR_REF(((obj_t) BgL_sz00_13591), ((long) 0));
					{	/* Eval/evaluate_comp.scm 774 */
						obj_t BgL_fz00_15640;

						BgL_fz00_15640 =
							PROCEDURE_ENTRY(BgL_fz00_13585) (BgL_fz00_13585, BgL_sz00_13591,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15640))
							{	/* Eval/evaluate_comp.scm 774 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 774 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1153z00_13586))->
										BgL_locz00), BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15640);
							}
						{	/* Eval/evaluate_comp.scm 774 */
							obj_t BgL_ufz00_15641;

							{	/* Eval/evaluate_comp.scm 774 */
								obj_t BgL_tmpz00_19471;

								BgL_tmpz00_19471 = ((obj_t) BgL_fz00_15640);
								BgL_ufz00_15641 = PROCEDURE_ATTR(BgL_tmpz00_19471);
							}
							{	/* Eval/evaluate_comp.scm 774 */
								bool_t BgL_testz00_19474;

								if (STRUCTP(BgL_ufz00_15641))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19474 =
											(STRUCT_KEY(BgL_ufz00_15641) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19474 = ((bool_t) 0);
									}
								if (BgL_testz00_19474)
									{	/* Eval/evaluate_comp.scm 774 */
										obj_t BgL_arityz00_15642;
										obj_t BgL_runz00_15643;
										obj_t BgL_sfz00_15644;

										BgL_arityz00_15642 =
											STRUCT_REF(BgL_ufz00_15641, (int) (((long) 0)));
										BgL_runz00_15643 =
											STRUCT_REF(BgL_ufz00_15641, (int) (((long) 1)));
										BgL_sfz00_15644 =
											STRUCT_REF(BgL_ufz00_15641, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 774 */
											long BgL_spz00_15645;

											BgL_spz00_15645 =
												((long) CINT(BgL_bpz00_15639) + BgL_siza7eza7_13590);
											if (
												((long) CINT(BgL_arityz00_15642) ==
													BgL_nbargsz00_13588))
												{
													obj_t BgL_lz00_15647;
													long BgL_spz00_15648;

													{	/* Eval/evaluate_comp.scm 703 */
														bool_t BgL_tmpz00_19490;

														BgL_lz00_15647 = BgL_argsz00_13589;
														BgL_spz00_15648 = BgL_spz00_15645;
													BgL_recz00_15646:
														if (NULLP(BgL_lz00_15647))
															{	/* Eval/evaluate_comp.scm 704 */
																BgL_tmpz00_19490 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 704 */
																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_arg1727z00_15649;

																	{	/* Eval/evaluate_comp.scm 705 */
																		obj_t BgL_fun1728z00_15650;

																		BgL_fun1728z00_15650 =
																			CAR(((obj_t) BgL_lz00_15647));
																		BgL_arg1727z00_15649 =
																			PROCEDURE_ENTRY(BgL_fun1728z00_15650)
																			(BgL_fun1728z00_15650, BgL_sz00_13591,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13591), BgL_spz00_15648,
																		BgL_arg1727z00_15649);
																}
																{	/* Eval/evaluate_comp.scm 706 */
																	obj_t BgL_arg1729z00_15651;
																	long BgL_arg1730z00_15652;

																	BgL_arg1729z00_15651 =
																		CDR(((obj_t) BgL_lz00_15647));
																	BgL_arg1730z00_15652 =
																		(BgL_spz00_15648 + ((long) 1));
																	{
																		long BgL_spz00_19505;
																		obj_t BgL_lz00_19504;

																		BgL_lz00_19504 = BgL_arg1729z00_15651;
																		BgL_spz00_19505 = BgL_arg1730z00_15652;
																		BgL_spz00_15648 = BgL_spz00_19505;
																		BgL_lz00_15647 = BgL_lz00_19504;
																		goto BgL_recz00_15646;
																	}
																}
															}
														BBOOL(BgL_tmpz00_19490);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 774 */
													bool_t BgL_testz00_19507;

													if (((long) CINT(BgL_arityz00_15642) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 774 */
															BgL_testz00_19507 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 774 */
															BgL_testz00_19507 =
																(
																(long) CINT(BgL_arityz00_15642) <
																(((long) -1) - BgL_nbargsz00_13588));
														}
													if (BgL_testz00_19507)
														{	/* Eval/evaluate_comp.scm 774 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1153z00_13586))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15641, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13588),
																CINT(BgL_arityz00_15642));
														}
													else
														{	/* Eval/evaluate_comp.scm 774 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15642, BgL_sz00_13591,
																BgL_argsz00_13589, BINT(BgL_spz00_15645));
														}
												}
											{	/* Eval/evaluate_comp.scm 774 */
												obj_t BgL_z12denvz12_15653;

												BgL_z12denvz12_15653 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 774 */
													obj_t BgL_tmpz00_19523;

													BgL_tmpz00_19523 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1153z00_13586))->BgL_locz00);
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15653,
														BgL_tmpz00_19523);
												}
												if (
													((BgL_spz00_15645 +
															(long) CINT(BgL_sfz00_15644)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13591))))
													{	/* Eval/evaluate_comp.scm 774 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15643, BgL_sz00_13591,
															BINT(BgL_spz00_15645));
													}
												else
													{	/* Eval/evaluate_comp.scm 774 */
														obj_t BgL_nsz00_15654;

														BgL_nsz00_15654 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 774 */
															long BgL_arg1883z00_15655;

															BgL_arg1883z00_15655 =
																(BgL_spz00_15645 + BgL_nbargsz00_13588);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15654, ((long) 2), BgL_sz00_13591,
																BINT(BgL_spz00_15645),
																BINT(BgL_arg1883z00_15655));
														}
														VECTOR_SET(BgL_nsz00_15654, ((long) 1),
															BgL_sz00_13591);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15653,
															BgL_nsz00_15654);
														{	/* Eval/evaluate_comp.scm 774 */
															obj_t BgL_ez00_15656;

															BgL_ez00_15656 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15656, BgL_sz00_13591);
															{	/* Eval/evaluate_comp.scm 774 */
																obj_t BgL_____rz00_15657;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15658;

																	BgL_savedzd2bpzd2_15658 =
																		VECTOR_REF(BgL_nsz00_15654, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15654, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15660;

																		BgL_fz00_15660 = BgL_runz00_15643;
																	BgL_recz00_15659:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15661;

																			BgL_rz00_15661 =
																				PROCEDURE_ENTRY(BgL_fz00_15660)
																				(BgL_fz00_15660, BgL_nsz00_15654, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_19550;

																				if (PROCEDUREP(BgL_rz00_15661))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15662;

																						BgL_arg1693z00_15662 =
																							PROCEDURE_ATTR(BgL_rz00_15661);
																						if (STRUCTP(BgL_arg1693z00_15662))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19550 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15662) ==
																									BGl_symbol5799z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19550 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_19550 = ((bool_t) 0);
																					}
																				if (BgL_testz00_19550)
																					{
																						obj_t BgL_fz00_19558;

																						BgL_fz00_19558 = BgL_rz00_15661;
																						BgL_fz00_15660 = BgL_fz00_19558;
																						goto BgL_recz00_15659;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15654,
																							((long) 0),
																							BgL_savedzd2bpzd2_15658);
																						BgL_____rz00_15657 = BgL_rz00_15661;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15656);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15653,
																	BgL_sz00_13591);
																return BgL_____rz00_15657;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 774 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15640,
												(int) (BgL_nbargsz00_13588)))
											{	/* Eval/evaluate_comp.scm 774 */
												{	/* Eval/evaluate_comp.scm 774 */
													obj_t BgL_auxz00_19567;
													obj_t BgL_tmpz00_19565;

													BgL_auxz00_19567 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1153z00_13586))->BgL_locz00);
													BgL_tmpz00_19565 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19565,
														BgL_auxz00_19567);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13591, BgL_fz00_15640, BgL_argsz00_13589,
													BgL_bpz00_15639, BINT(BgL_siza7eza7_13590));
											}
										else
											{	/* Eval/evaluate_comp.scm 774 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1153z00_13586))->
														BgL_locz00), BgL_symbzd2funzd2_13587,
													(int) (BgL_nbargsz00_13588),
													PROCEDURE_ARITY(BgL_fz00_15640));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1890> */
	obj_t BGl_z62zc3anonymousza31890ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13592, obj_t BgL_sz00_13599)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 774 */
			{	/* Eval/evaluate_comp.scm 774 */
				obj_t BgL_fz00_13593;
				BgL_ev_appz00_bglt BgL_i1153z00_13594;
				obj_t BgL_symbzd2funzd2_13595;
				long BgL_nbargsz00_13596;
				obj_t BgL_argsz00_13597;
				long BgL_siza7eza7_13598;

				BgL_fz00_13593 = PROCEDURE_REF(BgL_envz00_13592, (int) (((long) 0)));
				BgL_i1153z00_13594 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13592, (int) (((long) 1))));
				BgL_symbzd2funzd2_13595 =
					PROCEDURE_REF(BgL_envz00_13592, (int) (((long) 2)));
				BgL_nbargsz00_13596 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13592, (int) (((long) 3))));
				BgL_argsz00_13597 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13592, (int) (((long) 4))));
				BgL_siza7eza7_13598 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13592, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 774 */
					obj_t BgL_bpz00_15663;

					BgL_bpz00_15663 = VECTOR_REF(((obj_t) BgL_sz00_13599), ((long) 0));
					{	/* Eval/evaluate_comp.scm 774 */
						obj_t BgL_fz00_15664;

						BgL_fz00_15664 =
							PROCEDURE_ENTRY(BgL_fz00_13593) (BgL_fz00_13593, BgL_sz00_13599,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15664))
							{	/* Eval/evaluate_comp.scm 774 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 774 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1153z00_13594))->
										BgL_locz00), BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15664);
							}
						{	/* Eval/evaluate_comp.scm 774 */
							obj_t BgL_ufz00_15665;

							{	/* Eval/evaluate_comp.scm 774 */
								obj_t BgL_tmpz00_19602;

								BgL_tmpz00_19602 = ((obj_t) BgL_fz00_15664);
								BgL_ufz00_15665 = PROCEDURE_ATTR(BgL_tmpz00_19602);
							}
							{	/* Eval/evaluate_comp.scm 774 */
								bool_t BgL_testz00_19605;

								if (STRUCTP(BgL_ufz00_15665))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19605 =
											(STRUCT_KEY(BgL_ufz00_15665) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19605 = ((bool_t) 0);
									}
								if (BgL_testz00_19605)
									{	/* Eval/evaluate_comp.scm 774 */
										obj_t BgL_arityz00_15666;
										obj_t BgL_runz00_15667;
										obj_t BgL_sfz00_15668;

										BgL_arityz00_15666 =
											STRUCT_REF(BgL_ufz00_15665, (int) (((long) 0)));
										BgL_runz00_15667 =
											STRUCT_REF(BgL_ufz00_15665, (int) (((long) 1)));
										BgL_sfz00_15668 =
											STRUCT_REF(BgL_ufz00_15665, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 774 */
											long BgL_spz00_15669;

											BgL_spz00_15669 =
												((long) CINT(BgL_bpz00_15663) + BgL_siza7eza7_13598);
											if (
												((long) CINT(BgL_arityz00_15666) ==
													BgL_nbargsz00_13596))
												{
													obj_t BgL_lz00_15671;
													long BgL_spz00_15672;

													{	/* Eval/evaluate_comp.scm 703 */
														bool_t BgL_tmpz00_19621;

														BgL_lz00_15671 = BgL_argsz00_13597;
														BgL_spz00_15672 = BgL_spz00_15669;
													BgL_recz00_15670:
														if (NULLP(BgL_lz00_15671))
															{	/* Eval/evaluate_comp.scm 704 */
																BgL_tmpz00_19621 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 704 */
																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_arg1727z00_15673;

																	{	/* Eval/evaluate_comp.scm 705 */
																		obj_t BgL_fun1728z00_15674;

																		BgL_fun1728z00_15674 =
																			CAR(((obj_t) BgL_lz00_15671));
																		BgL_arg1727z00_15673 =
																			PROCEDURE_ENTRY(BgL_fun1728z00_15674)
																			(BgL_fun1728z00_15674, BgL_sz00_13599,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13599), BgL_spz00_15672,
																		BgL_arg1727z00_15673);
																}
																{	/* Eval/evaluate_comp.scm 706 */
																	obj_t BgL_arg1729z00_15675;
																	long BgL_arg1730z00_15676;

																	BgL_arg1729z00_15675 =
																		CDR(((obj_t) BgL_lz00_15671));
																	BgL_arg1730z00_15676 =
																		(BgL_spz00_15672 + ((long) 1));
																	{
																		long BgL_spz00_19636;
																		obj_t BgL_lz00_19635;

																		BgL_lz00_19635 = BgL_arg1729z00_15675;
																		BgL_spz00_19636 = BgL_arg1730z00_15676;
																		BgL_spz00_15672 = BgL_spz00_19636;
																		BgL_lz00_15671 = BgL_lz00_19635;
																		goto BgL_recz00_15670;
																	}
																}
															}
														BBOOL(BgL_tmpz00_19621);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 774 */
													bool_t BgL_testz00_19638;

													if (((long) CINT(BgL_arityz00_15666) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 774 */
															BgL_testz00_19638 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 774 */
															BgL_testz00_19638 =
																(
																(long) CINT(BgL_arityz00_15666) <
																(((long) -1) - BgL_nbargsz00_13596));
														}
													if (BgL_testz00_19638)
														{	/* Eval/evaluate_comp.scm 774 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1153z00_13594))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15665, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13596),
																CINT(BgL_arityz00_15666));
														}
													else
														{	/* Eval/evaluate_comp.scm 774 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15666, BgL_sz00_13599,
																BgL_argsz00_13597, BINT(BgL_spz00_15669));
														}
												}
											{	/* Eval/evaluate_comp.scm 774 */
												obj_t BgL_z12denvz12_15677;

												BgL_z12denvz12_15677 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15669 +
															(long) CINT(BgL_sfz00_15668)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13599))))
													{	/* Eval/evaluate_comp.scm 774 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15667, BgL_sz00_13599,
															BINT(BgL_spz00_15669));
													}
												else
													{	/* Eval/evaluate_comp.scm 774 */
														obj_t BgL_nsz00_15678;

														BgL_nsz00_15678 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 774 */
															long BgL_arg1902z00_15679;

															BgL_arg1902z00_15679 =
																(BgL_spz00_15669 + BgL_nbargsz00_13596);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15678, ((long) 2), BgL_sz00_13599,
																BINT(BgL_spz00_15669),
																BINT(BgL_arg1902z00_15679));
														}
														VECTOR_SET(BgL_nsz00_15678, ((long) 1),
															BgL_sz00_13599);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15677,
															BgL_nsz00_15678);
														{	/* Eval/evaluate_comp.scm 774 */
															obj_t BgL_ez00_15680;

															BgL_ez00_15680 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15680, BgL_sz00_13599);
															{	/* Eval/evaluate_comp.scm 774 */
																obj_t BgL_____rz00_15681;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15682;

																	BgL_savedzd2bpzd2_15682 =
																		VECTOR_REF(BgL_nsz00_15678, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15678, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15684;

																		BgL_fz00_15684 = BgL_runz00_15667;
																	BgL_recz00_15683:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15685;

																			BgL_rz00_15685 =
																				PROCEDURE_ENTRY(BgL_fz00_15684)
																				(BgL_fz00_15684, BgL_nsz00_15678, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_19678;

																				if (PROCEDUREP(BgL_rz00_15685))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15686;

																						BgL_arg1693z00_15686 =
																							PROCEDURE_ATTR(BgL_rz00_15685);
																						if (STRUCTP(BgL_arg1693z00_15686))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19678 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15686) ==
																									BGl_symbol5799z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19678 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_19678 = ((bool_t) 0);
																					}
																				if (BgL_testz00_19678)
																					{
																						obj_t BgL_fz00_19686;

																						BgL_fz00_19686 = BgL_rz00_15685;
																						BgL_fz00_15684 = BgL_fz00_19686;
																						goto BgL_recz00_15683;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15678,
																							((long) 0),
																							BgL_savedzd2bpzd2_15682);
																						BgL_____rz00_15681 = BgL_rz00_15685;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15680);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15677,
																	BgL_sz00_13599);
																return BgL_____rz00_15681;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 774 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15664,
												(int) (BgL_nbargsz00_13596)))
											{	/* Eval/evaluate_comp.scm 774 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13599, BgL_fz00_15664, BgL_argsz00_13597,
													BgL_bpz00_15663, BINT(BgL_siza7eza7_13598));
											}
										else
											{	/* Eval/evaluate_comp.scm 774 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1153z00_13594))->
														BgL_locz00), BgL_symbzd2funzd2_13595,
													(int) (BgL_nbargsz00_13596),
													PROCEDURE_ARITY(BgL_fz00_15664));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138,
		BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140,
		obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143,
		long BgL_siza7eza7_144)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_cfunz00_1955;

				BgL_cfunz00_1955 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139,
					((long) 0), BgL_locz00_138, BgL_symbzd2funzd2_140);
				if (CBOOL(BgL_cfunz00_1955))
					{	/* Eval/evaluate_comp.scm 889 */
						bool_t BgL_testz00_19702;

						{	/* Eval/evaluate_comp.scm 889 */
							int BgL_arg1916z00_1969;

							BgL_arg1916z00_1969 = bgl_debug();
							BgL_testz00_19702 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1916z00_1969),
								BINT(((long) 0)));
						}
						if (BgL_testz00_19702)
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza31913ze3z83_13600;

								BgL_zc3anonymousza31913ze3z83_13600 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31913ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza31913ze3z83_13600,
									(int) (((long) 0)), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3anonymousza31913ze3z83_13600,
									(int) (((long) 1)), BgL_locz00_138);
								PROCEDURE_SET(BgL_zc3anonymousza31913ze3z83_13600,
									(int) (((long) 2)), BgL_cfunz00_1955);
								return BgL_zc3anonymousza31913ze3z83_13600;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza31915ze3z83_13601;

								BgL_zc3anonymousza31915ze3z83_13601 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31915ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza31915ze3z83_13601,
									(int) (((long) 0)), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3anonymousza31915ze3z83_13601,
									(int) (((long) 1)), BgL_cfunz00_1955);
								return BgL_zc3anonymousza31915ze3z83_13601;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 889 */
						if (CBOOL(BgL_tailzf3zf3_142))
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19727;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg1947z00_2033;

									BgL_arg1947z00_2033 = bgl_debug();
									BgL_testz00_19727 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1947z00_2033),
										BINT(((long) 0)));
								}
								if (BgL_testz00_19727)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31919ze3z83_13602;

										BgL_zc3anonymousza31919ze3z83_13602 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31919ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza31919ze3z83_13602,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza31919ze3z83_13602,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza31919ze3z83_13602,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza31919ze3z83_13602,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza31919ze3z83_13602;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31934ze3z83_13603;

										BgL_zc3anonymousza31934ze3z83_13603 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31934ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza31934ze3z83_13603,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza31934ze3z83_13603,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza31934ze3z83_13603,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza31934ze3z83_13603,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza31934ze3z83_13603;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19756;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg1979z00_2097;

									BgL_arg1979z00_2097 = bgl_debug();
									BgL_testz00_19756 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1979z00_2097),
										BINT(((long) 0)));
								}
								if (BgL_testz00_19756)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31950ze3z83_13604;

										BgL_zc3anonymousza31950ze3z83_13604 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31950ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza31950ze3z83_13604,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza31950ze3z83_13604,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza31950ze3z83_13604,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza31950ze3z83_13604,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza31950ze3z83_13604;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31965ze3z83_13605;

										BgL_zc3anonymousza31965ze3z83_13605 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31965ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza31965ze3z83_13605,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza31965ze3z83_13605,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza31965ze3z83_13605,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza31965ze3z83_13605,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza31965ze3z83_13605;
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1913> */
	obj_t BGl_z62zc3anonymousza31913ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13606, obj_t BgL_sz00_13610)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				long BgL_siza7eza7_13607;
				obj_t BgL_locz00_13608;
				obj_t BgL_cfunz00_13609;

				BgL_siza7eza7_13607 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13606, (int) (((long) 0))));
				BgL_locz00_13608 = PROCEDURE_REF(BgL_envz00_13606, (int) (((long) 1)));
				BgL_cfunz00_13609 = PROCEDURE_REF(BgL_envz00_13606, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15687;

					BgL_bpz00_15687 = VECTOR_REF(((obj_t) BgL_sz00_13610), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */

						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15688;

							BgL_nbpz00_15688 =
								((long) CINT(BgL_bpz00_15687) + BgL_siza7eza7_13607);
							VECTOR_SET(
								((obj_t) BgL_sz00_13610), ((long) 0), BINT(BgL_nbpz00_15688));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_19799;

								BgL_tmpz00_19799 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19799, BgL_locz00_13608);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15689;

								BgL_rz00_15689 =
									PROCEDURE_ENTRY(BgL_cfunz00_13609) (BgL_cfunz00_13609, BEOA);
								VECTOR_SET(
									((obj_t) BgL_sz00_13610), ((long) 0), BgL_bpz00_15687);
								return BgL_rz00_15689;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1915> */
	obj_t BGl_z62zc3anonymousza31915ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13611, obj_t BgL_sz00_13614)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				long BgL_siza7eza7_13612;
				obj_t BgL_cfunz00_13613;

				BgL_siza7eza7_13612 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13611, (int) (((long) 0))));
				BgL_cfunz00_13613 = PROCEDURE_REF(BgL_envz00_13611, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15690;

					BgL_bpz00_15690 = VECTOR_REF(((obj_t) BgL_sz00_13614), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */

						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15691;

							BgL_nbpz00_15691 =
								((long) CINT(BgL_bpz00_15690) + BgL_siza7eza7_13612);
							VECTOR_SET(
								((obj_t) BgL_sz00_13614), ((long) 0), BINT(BgL_nbpz00_15691));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15692;

								BgL_rz00_15692 =
									PROCEDURE_ENTRY(BgL_cfunz00_13613) (BgL_cfunz00_13613, BEOA);
								VECTOR_SET(
									((obj_t) BgL_sz00_13614), ((long) 0), BgL_bpz00_15690);
								return BgL_rz00_15692;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1919> */
	obj_t BGl_z62zc3anonymousza31919ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13615, obj_t BgL_sz00_13620)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13616;
				obj_t BgL_locz00_13617;
				obj_t BgL_symbzd2funzd2_13618;
				long BgL_siza7eza7_13619;

				BgL_funz00_13616 = PROCEDURE_REF(BgL_envz00_13615, (int) (((long) 0)));
				BgL_locz00_13617 = PROCEDURE_REF(BgL_envz00_13615, (int) (((long) 1)));
				BgL_symbzd2funzd2_13618 =
					PROCEDURE_REF(BgL_envz00_13615, (int) (((long) 2)));
				BgL_siza7eza7_13619 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13615, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15693;

					BgL_bpz00_15693 = VECTOR_REF(((obj_t) BgL_sz00_13620), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15694;

						BgL_fz00_15694 =
							PROCEDURE_ENTRY(BgL_funz00_13616) (BgL_funz00_13616,
							BgL_sz00_13620, BEOA);
						if (PROCEDUREP(BgL_fz00_15694))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13617,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15694);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15695;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_19842;

								BgL_tmpz00_19842 = ((obj_t) BgL_fz00_15694);
								BgL_ufz00_15695 = PROCEDURE_ATTR(BgL_tmpz00_19842);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19845;

								if (STRUCTP(BgL_ufz00_15695))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19845 =
											(STRUCT_KEY(BgL_ufz00_15695) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19845 = ((bool_t) 0);
									}
								if (BgL_testz00_19845)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15696;
										obj_t BgL_runz00_15697;
										obj_t BgL_sfz00_15698;

										BgL_arityz00_15696 =
											STRUCT_REF(BgL_ufz00_15695, (int) (((long) 0)));
										BgL_runz00_15697 =
											STRUCT_REF(BgL_ufz00_15695, (int) (((long) 1)));
										BgL_sfz00_15698 =
											STRUCT_REF(BgL_ufz00_15695, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15696) == ((long) 0)))
											{	/* Eval/evaluate_comp.scm 889 */
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15696))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15696))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1924z00_15699;
																	obj_t BgL_arg1925z00_15700;

																	BgL_arg1924z00_15699 =
																		((long) CINT(BgL_bpz00_15693) + ((long) 0));
																	BgL_arg1925z00_15700 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13620),
																		BgL_arg1924z00_15699, BgL_arg1925z00_15700);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13617, STRUCT_REF(BgL_ufz00_15695,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_15696));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13617, STRUCT_REF(BgL_ufz00_15695,
																(int) (((long) 3))), (int) (((long) 0)),
															CINT(BgL_arityz00_15696));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15701;

											BgL_z12denvz12_15701 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15701,
												BgL_locz00_13617);
											if ((((long) CINT(BgL_bpz00_15693) +
														(long) CINT(BgL_sfz00_15698)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13620))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15697;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15702;

													BgL_nsz00_15702 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg1929z00_15703;

														BgL_arg1929z00_15703 =
															((long) CINT(BgL_bpz00_15693) + ((long) 0));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15702, ((long) 2), BgL_sz00_13620,
															BgL_bpz00_15693, BINT(BgL_arg1929z00_15703));
													}
													VECTOR_SET(BgL_nsz00_15702, ((long) 1),
														BgL_sz00_13620);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15701,
														BgL_nsz00_15702);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15704;

														BgL_ez00_15704 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15704, BgL_sz00_13620);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15705;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15706;

																BgL_savedzd2bpzd2_15706 =
																	VECTOR_REF(BgL_nsz00_15702, ((long) 0));
																VECTOR_SET(BgL_nsz00_15702, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15708;

																	BgL_fz00_15708 = BgL_runz00_15697;
																BgL_recz00_15707:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15709;

																		BgL_rz00_15709 =
																			PROCEDURE_ENTRY(BgL_fz00_15708)
																			(BgL_fz00_15708, BgL_nsz00_15702, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_19902;

																			if (PROCEDUREP(BgL_rz00_15709))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15710;

																					BgL_arg1693z00_15710 =
																						PROCEDURE_ATTR(BgL_rz00_15709);
																					if (STRUCTP(BgL_arg1693z00_15710))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19902 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15710) ==
																								BGl_symbol5799z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19902 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_19902 = ((bool_t) 0);
																				}
																			if (BgL_testz00_19902)
																				{
																					obj_t BgL_fz00_19910;

																					BgL_fz00_19910 = BgL_rz00_15709;
																					BgL_fz00_15708 = BgL_fz00_19910;
																					goto BgL_recz00_15707;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15702,
																						((long) 0),
																						BgL_savedzd2bpzd2_15706);
																					BgL_____rz00_15705 = BgL_rz00_15709;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15704);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15701,
																BgL_sz00_13620);
															return BgL_____rz00_15705;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15694,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15711;

												BgL_nbpz00_15711 =
													((long) CINT(BgL_bpz00_15693) + BgL_siza7eza7_13619);
												VECTOR_SET(
													((obj_t) BgL_sz00_13620), ((long) 0),
													BINT(BgL_nbpz00_15711));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_19922;

													BgL_tmpz00_19922 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19922,
														BgL_locz00_13617);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15712;

													BgL_rz00_15712 =
														PROCEDURE_ENTRY(BgL_fz00_15694) (BgL_fz00_15694,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13620), ((long) 0),
														BgL_bpz00_15693);
													return BgL_rz00_15712;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13617,
													BgL_symbzd2funzd2_13618, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15694));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1934> */
	obj_t BGl_z62zc3anonymousza31934ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13621, obj_t BgL_sz00_13626)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13622;
				obj_t BgL_locz00_13623;
				obj_t BgL_symbzd2funzd2_13624;
				long BgL_siza7eza7_13625;

				BgL_funz00_13622 = PROCEDURE_REF(BgL_envz00_13621, (int) (((long) 0)));
				BgL_locz00_13623 = PROCEDURE_REF(BgL_envz00_13621, (int) (((long) 1)));
				BgL_symbzd2funzd2_13624 =
					PROCEDURE_REF(BgL_envz00_13621, (int) (((long) 2)));
				BgL_siza7eza7_13625 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13621, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15713;

					BgL_bpz00_15713 = VECTOR_REF(((obj_t) BgL_sz00_13626), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15714;

						BgL_fz00_15714 =
							PROCEDURE_ENTRY(BgL_funz00_13622) (BgL_funz00_13622,
							BgL_sz00_13626, BEOA);
						if (PROCEDUREP(BgL_fz00_15714))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13623,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15714);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15715;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_19951;

								BgL_tmpz00_19951 = ((obj_t) BgL_fz00_15714);
								BgL_ufz00_15715 = PROCEDURE_ATTR(BgL_tmpz00_19951);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19954;

								if (STRUCTP(BgL_ufz00_15715))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19954 =
											(STRUCT_KEY(BgL_ufz00_15715) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19954 = ((bool_t) 0);
									}
								if (BgL_testz00_19954)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15716;
										obj_t BgL_runz00_15717;
										obj_t BgL_sfz00_15718;

										BgL_arityz00_15716 =
											STRUCT_REF(BgL_ufz00_15715, (int) (((long) 0)));
										BgL_runz00_15717 =
											STRUCT_REF(BgL_ufz00_15715, (int) (((long) 1)));
										BgL_sfz00_15718 =
											STRUCT_REF(BgL_ufz00_15715, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15716) == ((long) 0)))
											{	/* Eval/evaluate_comp.scm 889 */
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15716))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15716))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1939z00_15719;
																	obj_t BgL_arg1940z00_15720;

																	BgL_arg1939z00_15719 =
																		((long) CINT(BgL_bpz00_15713) + ((long) 0));
																	BgL_arg1940z00_15720 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13626),
																		BgL_arg1939z00_15719, BgL_arg1940z00_15720);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13623, STRUCT_REF(BgL_ufz00_15715,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_15716));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13623, STRUCT_REF(BgL_ufz00_15715,
																(int) (((long) 3))), (int) (((long) 0)),
															CINT(BgL_arityz00_15716));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15721;

											BgL_z12denvz12_15721 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15713) +
														(long) CINT(BgL_sfz00_15718)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13626))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15717;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15722;

													BgL_nsz00_15722 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg1944z00_15723;

														BgL_arg1944z00_15723 =
															((long) CINT(BgL_bpz00_15713) + ((long) 0));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15722, ((long) 2), BgL_sz00_13626,
															BgL_bpz00_15713, BINT(BgL_arg1944z00_15723));
													}
													VECTOR_SET(BgL_nsz00_15722, ((long) 1),
														BgL_sz00_13626);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15721,
														BgL_nsz00_15722);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15724;

														BgL_ez00_15724 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15724, BgL_sz00_13626);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15725;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15726;

																BgL_savedzd2bpzd2_15726 =
																	VECTOR_REF(BgL_nsz00_15722, ((long) 0));
																VECTOR_SET(BgL_nsz00_15722, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15728;

																	BgL_fz00_15728 = BgL_runz00_15717;
																BgL_recz00_15727:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15729;

																		BgL_rz00_15729 =
																			PROCEDURE_ENTRY(BgL_fz00_15728)
																			(BgL_fz00_15728, BgL_nsz00_15722, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_20010;

																			if (PROCEDUREP(BgL_rz00_15729))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15730;

																					BgL_arg1693z00_15730 =
																						PROCEDURE_ATTR(BgL_rz00_15729);
																					if (STRUCTP(BgL_arg1693z00_15730))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20010 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15730) ==
																								BGl_symbol5799z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20010 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_20010 = ((bool_t) 0);
																				}
																			if (BgL_testz00_20010)
																				{
																					obj_t BgL_fz00_20018;

																					BgL_fz00_20018 = BgL_rz00_15729;
																					BgL_fz00_15728 = BgL_fz00_20018;
																					goto BgL_recz00_15727;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15722,
																						((long) 0),
																						BgL_savedzd2bpzd2_15726);
																					BgL_____rz00_15725 = BgL_rz00_15729;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15724);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15721,
																BgL_sz00_13626);
															return BgL_____rz00_15725;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15714,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15731;

												BgL_nbpz00_15731 =
													((long) CINT(BgL_bpz00_15713) + BgL_siza7eza7_13625);
												VECTOR_SET(
													((obj_t) BgL_sz00_13626), ((long) 0),
													BINT(BgL_nbpz00_15731));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15732;

													BgL_rz00_15732 =
														PROCEDURE_ENTRY(BgL_fz00_15714) (BgL_fz00_15714,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13626), ((long) 0),
														BgL_bpz00_15713);
													return BgL_rz00_15732;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13623,
													BgL_symbzd2funzd2_13624, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15714));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1950> */
	obj_t BGl_z62zc3anonymousza31950ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13627, obj_t BgL_sz00_13632)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13628;
				obj_t BgL_locz00_13629;
				obj_t BgL_symbzd2funzd2_13630;
				long BgL_siza7eza7_13631;

				BgL_funz00_13628 = PROCEDURE_REF(BgL_envz00_13627, (int) (((long) 0)));
				BgL_locz00_13629 = PROCEDURE_REF(BgL_envz00_13627, (int) (((long) 1)));
				BgL_symbzd2funzd2_13630 =
					PROCEDURE_REF(BgL_envz00_13627, (int) (((long) 2)));
				BgL_siza7eza7_13631 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13627, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15733;

					BgL_bpz00_15733 = VECTOR_REF(((obj_t) BgL_sz00_13632), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15734;

						BgL_fz00_15734 =
							PROCEDURE_ENTRY(BgL_funz00_13628) (BgL_funz00_13628,
							BgL_sz00_13632, BEOA);
						if (PROCEDUREP(BgL_fz00_15734))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13629,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15734);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15735;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20056;

								BgL_tmpz00_20056 = ((obj_t) BgL_fz00_15734);
								BgL_ufz00_15735 = PROCEDURE_ATTR(BgL_tmpz00_20056);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20059;

								if (STRUCTP(BgL_ufz00_15735))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20059 =
											(STRUCT_KEY(BgL_ufz00_15735) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20059 = ((bool_t) 0);
									}
								if (BgL_testz00_20059)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15736;
										obj_t BgL_runz00_15737;
										obj_t BgL_sfz00_15738;

										BgL_arityz00_15736 =
											STRUCT_REF(BgL_ufz00_15735, (int) (((long) 0)));
										BgL_runz00_15737 =
											STRUCT_REF(BgL_ufz00_15735, (int) (((long) 1)));
										BgL_sfz00_15738 =
											STRUCT_REF(BgL_ufz00_15735, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15739;

											BgL_spz00_15739 =
												((long) CINT(BgL_bpz00_15733) + BgL_siza7eza7_13631);
											if (((long) CINT(BgL_arityz00_15736) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 889 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15736))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15736))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg1955z00_15740;
																		obj_t BgL_arg1956z00_15741;

																		BgL_arg1955z00_15740 =
																			(BgL_spz00_15739 + ((long) 0));
																		BgL_arg1956z00_15741 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13632),
																			BgL_arg1955z00_15740,
																			BgL_arg1956z00_15741);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13629,
																		STRUCT_REF(BgL_ufz00_15735,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_15736));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13629, STRUCT_REF(BgL_ufz00_15735,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_15736));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15742;

												BgL_z12denvz12_15742 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15742,
													BgL_locz00_13629);
												if (((BgL_spz00_15739 + (long) CINT(BgL_sfz00_15738)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13632))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15737, BgL_sz00_13632,
															BINT(BgL_spz00_15739));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15743;

														BgL_nsz00_15743 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg1960z00_15744;

															BgL_arg1960z00_15744 =
																(BgL_spz00_15739 + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15743, ((long) 2), BgL_sz00_13632,
																BINT(BgL_spz00_15739),
																BINT(BgL_arg1960z00_15744));
														}
														VECTOR_SET(BgL_nsz00_15743, ((long) 1),
															BgL_sz00_13632);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15742,
															BgL_nsz00_15743);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15745;

															BgL_ez00_15745 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15745, BgL_sz00_13632);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15746;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15747;

																	BgL_savedzd2bpzd2_15747 =
																		VECTOR_REF(BgL_nsz00_15743, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15743, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15749;

																		BgL_fz00_15749 = BgL_runz00_15737;
																	BgL_recz00_15748:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15750;

																			BgL_rz00_15750 =
																				PROCEDURE_ENTRY(BgL_fz00_15749)
																				(BgL_fz00_15749, BgL_nsz00_15743, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_20118;

																				if (PROCEDUREP(BgL_rz00_15750))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15751;

																						BgL_arg1693z00_15751 =
																							PROCEDURE_ATTR(BgL_rz00_15750);
																						if (STRUCTP(BgL_arg1693z00_15751))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20118 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15751) ==
																									BGl_symbol5799z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20118 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_20118 = ((bool_t) 0);
																					}
																				if (BgL_testz00_20118)
																					{
																						obj_t BgL_fz00_20126;

																						BgL_fz00_20126 = BgL_rz00_15750;
																						BgL_fz00_15749 = BgL_fz00_20126;
																						goto BgL_recz00_15748;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15743,
																							((long) 0),
																							BgL_savedzd2bpzd2_15747);
																						BgL_____rz00_15746 = BgL_rz00_15750;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15745);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15742,
																	BgL_sz00_13632);
																return BgL_____rz00_15746;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15734,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15752;

												BgL_nbpz00_15752 =
													((long) CINT(BgL_bpz00_15733) + BgL_siza7eza7_13631);
												VECTOR_SET(
													((obj_t) BgL_sz00_13632), ((long) 0),
													BINT(BgL_nbpz00_15752));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_20138;

													BgL_tmpz00_20138 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20138,
														BgL_locz00_13629);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15753;

													BgL_rz00_15753 =
														PROCEDURE_ENTRY(BgL_fz00_15734) (BgL_fz00_15734,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13632), ((long) 0),
														BgL_bpz00_15733);
													return BgL_rz00_15753;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13629,
													BgL_symbzd2funzd2_13630, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15734));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1965> */
	obj_t BGl_z62zc3anonymousza31965ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13633, obj_t BgL_sz00_13638)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13634;
				obj_t BgL_locz00_13635;
				obj_t BgL_symbzd2funzd2_13636;
				long BgL_siza7eza7_13637;

				BgL_funz00_13634 = PROCEDURE_REF(BgL_envz00_13633, (int) (((long) 0)));
				BgL_locz00_13635 = PROCEDURE_REF(BgL_envz00_13633, (int) (((long) 1)));
				BgL_symbzd2funzd2_13636 =
					PROCEDURE_REF(BgL_envz00_13633, (int) (((long) 2)));
				BgL_siza7eza7_13637 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13633, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15754;

					BgL_bpz00_15754 = VECTOR_REF(((obj_t) BgL_sz00_13638), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15755;

						BgL_fz00_15755 =
							PROCEDURE_ENTRY(BgL_funz00_13634) (BgL_funz00_13634,
							BgL_sz00_13638, BEOA);
						if (PROCEDUREP(BgL_fz00_15755))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13635,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15755);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15756;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20167;

								BgL_tmpz00_20167 = ((obj_t) BgL_fz00_15755);
								BgL_ufz00_15756 = PROCEDURE_ATTR(BgL_tmpz00_20167);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20170;

								if (STRUCTP(BgL_ufz00_15756))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20170 =
											(STRUCT_KEY(BgL_ufz00_15756) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20170 = ((bool_t) 0);
									}
								if (BgL_testz00_20170)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15757;
										obj_t BgL_runz00_15758;
										obj_t BgL_sfz00_15759;

										BgL_arityz00_15757 =
											STRUCT_REF(BgL_ufz00_15756, (int) (((long) 0)));
										BgL_runz00_15758 =
											STRUCT_REF(BgL_ufz00_15756, (int) (((long) 1)));
										BgL_sfz00_15759 =
											STRUCT_REF(BgL_ufz00_15756, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15760;

											BgL_spz00_15760 =
												((long) CINT(BgL_bpz00_15754) + BgL_siza7eza7_13637);
											if (((long) CINT(BgL_arityz00_15757) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 889 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15757))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15757))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg1970z00_15761;
																		obj_t BgL_arg1972z00_15762;

																		BgL_arg1970z00_15761 =
																			(BgL_spz00_15760 + ((long) 0));
																		BgL_arg1972z00_15762 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13638),
																			BgL_arg1970z00_15761,
																			BgL_arg1972z00_15762);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13635,
																		STRUCT_REF(BgL_ufz00_15756,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_15757));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13635, STRUCT_REF(BgL_ufz00_15756,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_15757));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15763;

												BgL_z12denvz12_15763 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15760 +
															(long) CINT(BgL_sfz00_15759)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13638))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15758, BgL_sz00_13638,
															BINT(BgL_spz00_15760));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15764;

														BgL_nsz00_15764 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg1976z00_15765;

															BgL_arg1976z00_15765 =
																(BgL_spz00_15760 + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15764, ((long) 2), BgL_sz00_13638,
																BINT(BgL_spz00_15760),
																BINT(BgL_arg1976z00_15765));
														}
														VECTOR_SET(BgL_nsz00_15764, ((long) 1),
															BgL_sz00_13638);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15763,
															BgL_nsz00_15764);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15766;

															BgL_ez00_15766 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15766, BgL_sz00_13638);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15767;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15768;

																	BgL_savedzd2bpzd2_15768 =
																		VECTOR_REF(BgL_nsz00_15764, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15764, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15770;

																		BgL_fz00_15770 = BgL_runz00_15758;
																	BgL_recz00_15769:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15771;

																			BgL_rz00_15771 =
																				PROCEDURE_ENTRY(BgL_fz00_15770)
																				(BgL_fz00_15770, BgL_nsz00_15764, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_20228;

																				if (PROCEDUREP(BgL_rz00_15771))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15772;

																						BgL_arg1693z00_15772 =
																							PROCEDURE_ATTR(BgL_rz00_15771);
																						if (STRUCTP(BgL_arg1693z00_15772))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20228 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15772) ==
																									BGl_symbol5799z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20228 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_20228 = ((bool_t) 0);
																					}
																				if (BgL_testz00_20228)
																					{
																						obj_t BgL_fz00_20236;

																						BgL_fz00_20236 = BgL_rz00_15771;
																						BgL_fz00_15770 = BgL_fz00_20236;
																						goto BgL_recz00_15769;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15764,
																							((long) 0),
																							BgL_savedzd2bpzd2_15768);
																						BgL_____rz00_15767 = BgL_rz00_15771;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15766);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15763,
																	BgL_sz00_13638);
																return BgL_____rz00_15767;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15755,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15773;

												BgL_nbpz00_15773 =
													((long) CINT(BgL_bpz00_15754) + BgL_siza7eza7_13637);
												VECTOR_SET(
													((obj_t) BgL_sz00_13638), ((long) 0),
													BINT(BgL_nbpz00_15773));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15774;

													BgL_rz00_15774 =
														PROCEDURE_ENTRY(BgL_fz00_15755) (BgL_fz00_15755,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13638), ((long) 0),
														BgL_bpz00_15754);
													return BgL_rz00_15774;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13635,
													BgL_symbzd2funzd2_13636, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15755));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145,
		BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147,
		obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150,
		long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_cfunz00_2098;

				BgL_cfunz00_2098 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146,
					((long) 1), BgL_locz00_145, BgL_symbzd2funzd2_147);
				if (CBOOL(BgL_cfunz00_2098))
					{	/* Eval/evaluate_comp.scm 889 */
						bool_t BgL_testz00_20259;

						{	/* Eval/evaluate_comp.scm 889 */
							int BgL_arg1985z00_2114;

							BgL_arg1985z00_2114 = bgl_debug();
							BgL_testz00_20259 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1985z00_2114),
								BINT(((long) 0)));
						}
						if (BgL_testz00_20259)
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza31982ze3z83_13639;

								BgL_zc3anonymousza31982ze3z83_13639 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31982ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza31982ze3z83_13639,
									(int) (((long) 0)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3anonymousza31982ze3z83_13639,
									(int) (((long) 1)), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3anonymousza31982ze3z83_13639,
									(int) (((long) 2)), BgL_locz00_145);
								PROCEDURE_SET(BgL_zc3anonymousza31982ze3z83_13639,
									(int) (((long) 3)), BgL_cfunz00_2098);
								return BgL_zc3anonymousza31982ze3z83_13639;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza31984ze3z83_13640;

								BgL_zc3anonymousza31984ze3z83_13640 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31984ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza31984ze3z83_13640,
									(int) (((long) 0)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3anonymousza31984ze3z83_13640,
									(int) (((long) 1)), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3anonymousza31984ze3z83_13640,
									(int) (((long) 2)), BgL_cfunz00_2098);
								return BgL_zc3anonymousza31984ze3z83_13640;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 889 */
						if (CBOOL(BgL_tailzf3zf3_149))
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20288;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2028z00_2190;

									BgL_arg2028z00_2190 = bgl_debug();
									BgL_testz00_20288 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2028z00_2190),
										BINT(((long) 0)));
								}
								if (BgL_testz00_20288)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31988ze3z83_13641;

										BgL_zc3anonymousza31988ze3z83_13641 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31988ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza31988ze3z83_13641,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza31988ze3z83_13641,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza31988ze3z83_13641,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza31988ze3z83_13641,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza31988ze3z83_13641,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza31988ze3z83_13641;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32010ze3z83_13642;

										BgL_zc3anonymousza32010ze3z83_13642 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32010ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32010ze3z83_13642,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32010ze3z83_13642,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32010ze3z83_13642,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32010ze3z83_13642,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32010ze3z83_13642,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32010ze3z83_13642;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20321;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2069z00_2266;

									BgL_arg2069z00_2266 = bgl_debug();
									BgL_testz00_20321 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2069z00_2266),
										BINT(((long) 0)));
								}
								if (BgL_testz00_20321)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32031ze3z83_13643;

										BgL_zc3anonymousza32031ze3z83_13643 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32031ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32031ze3z83_13643,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32031ze3z83_13643,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32031ze3z83_13643,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32031ze3z83_13643,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32031ze3z83_13643,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32031ze3z83_13643;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32051ze3z83_13644;

										BgL_zc3anonymousza32051ze3z83_13644 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32051ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32051ze3z83_13644,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32051ze3z83_13644,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32051ze3z83_13644,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32051ze3z83_13644,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32051ze3z83_13644,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32051ze3z83_13644;
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1982> */
	obj_t BGl_z62zc3anonymousza31982ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13645, obj_t BgL_sz00_13650)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13646;
				long BgL_siza7eza7_13647;
				obj_t BgL_locz00_13648;
				obj_t BgL_cfunz00_13649;

				BgL_a1z00_13646 = PROCEDURE_REF(BgL_envz00_13645, (int) (((long) 0)));
				BgL_siza7eza7_13647 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13645, (int) (((long) 1))));
				BgL_locz00_13648 = PROCEDURE_REF(BgL_envz00_13645, (int) (((long) 2)));
				BgL_cfunz00_13649 = PROCEDURE_REF(BgL_envz00_13645, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15775;

					BgL_bpz00_15775 = VECTOR_REF(((obj_t) BgL_sz00_13650), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15776;

						BgL_a1z00_15776 =
							PROCEDURE_ENTRY(BgL_a1z00_13646) (BgL_a1z00_13646, BgL_sz00_13650,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15777;

							BgL_nbpz00_15777 =
								((long) CINT(BgL_bpz00_15775) + BgL_siza7eza7_13647);
							VECTOR_SET(
								((obj_t) BgL_sz00_13650), ((long) 0), BINT(BgL_nbpz00_15777));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20374;

								BgL_tmpz00_20374 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20374, BgL_locz00_13648);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15778;

								BgL_rz00_15778 =
									PROCEDURE_ENTRY(BgL_cfunz00_13649) (BgL_cfunz00_13649,
									BgL_a1z00_15776, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13650), ((long) 0),
									BgL_bpz00_15775);
								return BgL_rz00_15778;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1984> */
	obj_t BGl_z62zc3anonymousza31984ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13651, obj_t BgL_sz00_13655)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13652;
				long BgL_siza7eza7_13653;
				obj_t BgL_cfunz00_13654;

				BgL_a1z00_13652 = PROCEDURE_REF(BgL_envz00_13651, (int) (((long) 0)));
				BgL_siza7eza7_13653 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13651, (int) (((long) 1))));
				BgL_cfunz00_13654 = PROCEDURE_REF(BgL_envz00_13651, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15779;

					BgL_bpz00_15779 = VECTOR_REF(((obj_t) BgL_sz00_13655), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15780;

						BgL_a1z00_15780 =
							PROCEDURE_ENTRY(BgL_a1z00_13652) (BgL_a1z00_13652, BgL_sz00_13655,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15781;

							BgL_nbpz00_15781 =
								((long) CINT(BgL_bpz00_15779) + BgL_siza7eza7_13653);
							VECTOR_SET(
								((obj_t) BgL_sz00_13655), ((long) 0), BINT(BgL_nbpz00_15781));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15782;

								BgL_rz00_15782 =
									PROCEDURE_ENTRY(BgL_cfunz00_13654) (BgL_cfunz00_13654,
									BgL_a1z00_15780, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13655), ((long) 0),
									BgL_bpz00_15779);
								return BgL_rz00_15782;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1988> */
	obj_t BGl_z62zc3anonymousza31988ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13656, obj_t BgL_sz00_13662)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13657;
				obj_t BgL_a1z00_13658;
				obj_t BgL_locz00_13659;
				obj_t BgL_symbzd2funzd2_13660;
				long BgL_siza7eza7_13661;

				BgL_funz00_13657 = PROCEDURE_REF(BgL_envz00_13656, (int) (((long) 0)));
				BgL_a1z00_13658 = PROCEDURE_REF(BgL_envz00_13656, (int) (((long) 1)));
				BgL_locz00_13659 = PROCEDURE_REF(BgL_envz00_13656, (int) (((long) 2)));
				BgL_symbzd2funzd2_13660 =
					PROCEDURE_REF(BgL_envz00_13656, (int) (((long) 3)));
				BgL_siza7eza7_13661 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13656, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15783;

					BgL_bpz00_15783 = VECTOR_REF(((obj_t) BgL_sz00_13662), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15784;
						obj_t BgL_a1z00_15785;

						BgL_fz00_15784 =
							PROCEDURE_ENTRY(BgL_funz00_13657) (BgL_funz00_13657,
							BgL_sz00_13662, BEOA);
						BgL_a1z00_15785 =
							PROCEDURE_ENTRY(BgL_a1z00_13658) (BgL_a1z00_13658, BgL_sz00_13662,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15784))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13659,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15784);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15786;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20431;

								BgL_tmpz00_20431 = ((obj_t) BgL_fz00_15784);
								BgL_ufz00_15786 = PROCEDURE_ATTR(BgL_tmpz00_20431);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20434;

								if (STRUCTP(BgL_ufz00_15786))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20434 =
											(STRUCT_KEY(BgL_ufz00_15786) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20434 = ((bool_t) 0);
									}
								if (BgL_testz00_20434)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15787;
										obj_t BgL_runz00_15788;
										obj_t BgL_sfz00_15789;

										BgL_arityz00_15787 =
											STRUCT_REF(BgL_ufz00_15786, (int) (((long) 0)));
										BgL_runz00_15788 =
											STRUCT_REF(BgL_ufz00_15786, (int) (((long) 1)));
										BgL_sfz00_15789 =
											STRUCT_REF(BgL_ufz00_15786, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15787) == ((long) 1)))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_arg1992z00_15790;

												BgL_arg1992z00_15790 =
													((long) CINT(BgL_bpz00_15783) + ((long) 0));
												VECTOR_SET(
													((obj_t) BgL_sz00_13662), BgL_arg1992z00_15790,
													BgL_a1z00_15785);
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15787))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15787))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1995z00_15791;
																	obj_t BgL_arg1996z00_15792;

																	BgL_arg1995z00_15791 =
																		((long) CINT(BgL_bpz00_15783) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list1997z00_15793;

																		BgL_list1997z00_15793 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_15785, BNIL);
																		BgL_arg1996z00_15792 =
																			BgL_list1997z00_15793;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13662),
																		BgL_arg1995z00_15791, BgL_arg1996z00_15792);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1998z00_15794;

																	BgL_arg1998z00_15794 =
																		((long) CINT(BgL_bpz00_15783) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13662),
																		BgL_arg1998z00_15794, BgL_a1z00_15785);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1999z00_15795;
																	obj_t BgL_arg2001z00_15796;

																	BgL_arg1999z00_15795 =
																		((long) CINT(BgL_bpz00_15783) + ((long) 1));
																	BgL_arg2001z00_15796 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13662),
																		BgL_arg1999z00_15795, BgL_arg2001z00_15796);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13659, STRUCT_REF(BgL_ufz00_15786,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_15787));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13659, STRUCT_REF(BgL_ufz00_15786,
																(int) (((long) 3))), (int) (((long) 1)),
															CINT(BgL_arityz00_15787));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15797;

											BgL_z12denvz12_15797 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15797,
												BgL_locz00_13659);
											if ((((long) CINT(BgL_bpz00_15783) +
														(long) CINT(BgL_sfz00_15789)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13662))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15788;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15798;

													BgL_nsz00_15798 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2006z00_15799;

														BgL_arg2006z00_15799 =
															((long) CINT(BgL_bpz00_15783) + ((long) 1));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15798, ((long) 2), BgL_sz00_13662,
															BgL_bpz00_15783, BINT(BgL_arg2006z00_15799));
													}
													VECTOR_SET(BgL_nsz00_15798, ((long) 1),
														BgL_sz00_13662);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15797,
														BgL_nsz00_15798);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15800;

														BgL_ez00_15800 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15800, BgL_sz00_13662);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15801;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15802;

																BgL_savedzd2bpzd2_15802 =
																	VECTOR_REF(BgL_nsz00_15798, ((long) 0));
																VECTOR_SET(BgL_nsz00_15798, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15804;

																	BgL_fz00_15804 = BgL_runz00_15788;
																BgL_recz00_15803:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15805;

																		BgL_rz00_15805 =
																			PROCEDURE_ENTRY(BgL_fz00_15804)
																			(BgL_fz00_15804, BgL_nsz00_15798, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_20504;

																			if (PROCEDUREP(BgL_rz00_15805))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15806;

																					BgL_arg1693z00_15806 =
																						PROCEDURE_ATTR(BgL_rz00_15805);
																					if (STRUCTP(BgL_arg1693z00_15806))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20504 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15806) ==
																								BGl_symbol5799z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20504 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_20504 = ((bool_t) 0);
																				}
																			if (BgL_testz00_20504)
																				{
																					obj_t BgL_fz00_20512;

																					BgL_fz00_20512 = BgL_rz00_15805;
																					BgL_fz00_15804 = BgL_fz00_20512;
																					goto BgL_recz00_15803;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15798,
																						((long) 0),
																						BgL_savedzd2bpzd2_15802);
																					BgL_____rz00_15801 = BgL_rz00_15805;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15800);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15797,
																BgL_sz00_13662);
															return BgL_____rz00_15801;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15784,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15807;

												BgL_nbpz00_15807 =
													((long) CINT(BgL_bpz00_15783) + BgL_siza7eza7_13661);
												VECTOR_SET(
													((obj_t) BgL_sz00_13662), ((long) 0),
													BINT(BgL_nbpz00_15807));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_20524;

													BgL_tmpz00_20524 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20524,
														BgL_locz00_13659);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15808;

													BgL_rz00_15808 =
														PROCEDURE_ENTRY(BgL_fz00_15784) (BgL_fz00_15784,
														BgL_a1z00_15785, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13662), ((long) 0),
														BgL_bpz00_15783);
													return BgL_rz00_15808;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13659,
													BgL_symbzd2funzd2_13660, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15784));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2010> */
	obj_t BGl_z62zc3anonymousza32010ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13663, obj_t BgL_sz00_13669)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13664;
				obj_t BgL_a1z00_13665;
				obj_t BgL_locz00_13666;
				obj_t BgL_symbzd2funzd2_13667;
				long BgL_siza7eza7_13668;

				BgL_funz00_13664 = PROCEDURE_REF(BgL_envz00_13663, (int) (((long) 0)));
				BgL_a1z00_13665 = PROCEDURE_REF(BgL_envz00_13663, (int) (((long) 1)));
				BgL_locz00_13666 = PROCEDURE_REF(BgL_envz00_13663, (int) (((long) 2)));
				BgL_symbzd2funzd2_13667 =
					PROCEDURE_REF(BgL_envz00_13663, (int) (((long) 3)));
				BgL_siza7eza7_13668 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13663, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15809;

					BgL_bpz00_15809 = VECTOR_REF(((obj_t) BgL_sz00_13669), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15810;
						obj_t BgL_a1z00_15811;

						BgL_fz00_15810 =
							PROCEDURE_ENTRY(BgL_funz00_13664) (BgL_funz00_13664,
							BgL_sz00_13669, BEOA);
						BgL_a1z00_15811 =
							PROCEDURE_ENTRY(BgL_a1z00_13665) (BgL_a1z00_13665, BgL_sz00_13669,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15810))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13666,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15810);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15812;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20560;

								BgL_tmpz00_20560 = ((obj_t) BgL_fz00_15810);
								BgL_ufz00_15812 = PROCEDURE_ATTR(BgL_tmpz00_20560);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20563;

								if (STRUCTP(BgL_ufz00_15812))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20563 =
											(STRUCT_KEY(BgL_ufz00_15812) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20563 = ((bool_t) 0);
									}
								if (BgL_testz00_20563)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15813;
										obj_t BgL_runz00_15814;
										obj_t BgL_sfz00_15815;

										BgL_arityz00_15813 =
											STRUCT_REF(BgL_ufz00_15812, (int) (((long) 0)));
										BgL_runz00_15814 =
											STRUCT_REF(BgL_ufz00_15812, (int) (((long) 1)));
										BgL_sfz00_15815 =
											STRUCT_REF(BgL_ufz00_15812, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15813) == ((long) 1)))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_arg2014z00_15816;

												BgL_arg2014z00_15816 =
													((long) CINT(BgL_bpz00_15809) + ((long) 0));
												VECTOR_SET(
													((obj_t) BgL_sz00_13669), BgL_arg2014z00_15816,
													BgL_a1z00_15811);
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15813))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15813))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2016z00_15817;
																	obj_t BgL_arg2017z00_15818;

																	BgL_arg2016z00_15817 =
																		((long) CINT(BgL_bpz00_15809) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2018z00_15819;

																		BgL_list2018z00_15819 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_15811, BNIL);
																		BgL_arg2017z00_15818 =
																			BgL_list2018z00_15819;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13669),
																		BgL_arg2016z00_15817, BgL_arg2017z00_15818);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2019z00_15820;

																	BgL_arg2019z00_15820 =
																		((long) CINT(BgL_bpz00_15809) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13669),
																		BgL_arg2019z00_15820, BgL_a1z00_15811);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2020z00_15821;
																	obj_t BgL_arg2021z00_15822;

																	BgL_arg2020z00_15821 =
																		((long) CINT(BgL_bpz00_15809) + ((long) 1));
																	BgL_arg2021z00_15822 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13669),
																		BgL_arg2020z00_15821, BgL_arg2021z00_15822);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13666, STRUCT_REF(BgL_ufz00_15812,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_15813));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13666, STRUCT_REF(BgL_ufz00_15812,
																(int) (((long) 3))), (int) (((long) 1)),
															CINT(BgL_arityz00_15813));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15823;

											BgL_z12denvz12_15823 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15809) +
														(long) CINT(BgL_sfz00_15815)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13669))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15814;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15824;

													BgL_nsz00_15824 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2025z00_15825;

														BgL_arg2025z00_15825 =
															((long) CINT(BgL_bpz00_15809) + ((long) 1));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15824, ((long) 2), BgL_sz00_13669,
															BgL_bpz00_15809, BINT(BgL_arg2025z00_15825));
													}
													VECTOR_SET(BgL_nsz00_15824, ((long) 1),
														BgL_sz00_13669);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15823,
														BgL_nsz00_15824);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15826;

														BgL_ez00_15826 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15826, BgL_sz00_13669);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15827;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15828;

																BgL_savedzd2bpzd2_15828 =
																	VECTOR_REF(BgL_nsz00_15824, ((long) 0));
																VECTOR_SET(BgL_nsz00_15824, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15830;

																	BgL_fz00_15830 = BgL_runz00_15814;
																BgL_recz00_15829:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15831;

																		BgL_rz00_15831 =
																			PROCEDURE_ENTRY(BgL_fz00_15830)
																			(BgL_fz00_15830, BgL_nsz00_15824, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_20632;

																			if (PROCEDUREP(BgL_rz00_15831))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15832;

																					BgL_arg1693z00_15832 =
																						PROCEDURE_ATTR(BgL_rz00_15831);
																					if (STRUCTP(BgL_arg1693z00_15832))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20632 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15832) ==
																								BGl_symbol5799z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20632 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_20632 = ((bool_t) 0);
																				}
																			if (BgL_testz00_20632)
																				{
																					obj_t BgL_fz00_20640;

																					BgL_fz00_20640 = BgL_rz00_15831;
																					BgL_fz00_15830 = BgL_fz00_20640;
																					goto BgL_recz00_15829;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15824,
																						((long) 0),
																						BgL_savedzd2bpzd2_15828);
																					BgL_____rz00_15827 = BgL_rz00_15831;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15826);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15823,
																BgL_sz00_13669);
															return BgL_____rz00_15827;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15810,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15833;

												BgL_nbpz00_15833 =
													((long) CINT(BgL_bpz00_15809) + BgL_siza7eza7_13668);
												VECTOR_SET(
													((obj_t) BgL_sz00_13669), ((long) 0),
													BINT(BgL_nbpz00_15833));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15834;

													BgL_rz00_15834 =
														PROCEDURE_ENTRY(BgL_fz00_15810) (BgL_fz00_15810,
														BgL_a1z00_15811, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13669), ((long) 0),
														BgL_bpz00_15809);
													return BgL_rz00_15834;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13666,
													BgL_symbzd2funzd2_13667, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15810));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2031> */
	obj_t BGl_z62zc3anonymousza32031ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13670, obj_t BgL_sz00_13676)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13671;
				obj_t BgL_a1z00_13672;
				obj_t BgL_locz00_13673;
				obj_t BgL_symbzd2funzd2_13674;
				long BgL_siza7eza7_13675;

				BgL_funz00_13671 = PROCEDURE_REF(BgL_envz00_13670, (int) (((long) 0)));
				BgL_a1z00_13672 = PROCEDURE_REF(BgL_envz00_13670, (int) (((long) 1)));
				BgL_locz00_13673 = PROCEDURE_REF(BgL_envz00_13670, (int) (((long) 2)));
				BgL_symbzd2funzd2_13674 =
					PROCEDURE_REF(BgL_envz00_13670, (int) (((long) 3)));
				BgL_siza7eza7_13675 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13670, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15835;

					BgL_bpz00_15835 = VECTOR_REF(((obj_t) BgL_sz00_13676), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15836;
						obj_t BgL_a1z00_15837;

						BgL_fz00_15836 =
							PROCEDURE_ENTRY(BgL_funz00_13671) (BgL_funz00_13671,
							BgL_sz00_13676, BEOA);
						BgL_a1z00_15837 =
							PROCEDURE_ENTRY(BgL_a1z00_13672) (BgL_a1z00_13672, BgL_sz00_13676,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15836))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13673,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15836);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15838;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20685;

								BgL_tmpz00_20685 = ((obj_t) BgL_fz00_15836);
								BgL_ufz00_15838 = PROCEDURE_ATTR(BgL_tmpz00_20685);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20688;

								if (STRUCTP(BgL_ufz00_15838))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20688 =
											(STRUCT_KEY(BgL_ufz00_15838) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20688 = ((bool_t) 0);
									}
								if (BgL_testz00_20688)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15839;
										obj_t BgL_runz00_15840;
										obj_t BgL_sfz00_15841;

										BgL_arityz00_15839 =
											STRUCT_REF(BgL_ufz00_15838, (int) (((long) 0)));
										BgL_runz00_15840 =
											STRUCT_REF(BgL_ufz00_15838, (int) (((long) 1)));
										BgL_sfz00_15841 =
											STRUCT_REF(BgL_ufz00_15838, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15842;

											BgL_spz00_15842 =
												((long) CINT(BgL_bpz00_15835) + BgL_siza7eza7_13675);
											if (((long) CINT(BgL_arityz00_15839) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2036z00_15843;

													BgL_arg2036z00_15843 = (BgL_spz00_15842 + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13676), BgL_arg2036z00_15843,
														BgL_a1z00_15837);
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15839))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15839))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2038z00_15844;
																		obj_t BgL_arg2039z00_15845;

																		BgL_arg2038z00_15844 =
																			(BgL_spz00_15842 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2040z00_15846;

																			BgL_list2040z00_15846 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15837, BNIL);
																			BgL_arg2039z00_15845 =
																				BgL_list2040z00_15846;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13676),
																			BgL_arg2038z00_15844,
																			BgL_arg2039z00_15845);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2041z00_15847;

																		BgL_arg2041z00_15847 =
																			(BgL_spz00_15842 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13676),
																			BgL_arg2041z00_15847, BgL_a1z00_15837);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2042z00_15848;
																		obj_t BgL_arg2043z00_15849;

																		BgL_arg2042z00_15848 =
																			(BgL_spz00_15842 + ((long) 1));
																		BgL_arg2043z00_15849 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13676),
																			BgL_arg2042z00_15848,
																			BgL_arg2043z00_15849);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13673,
																		STRUCT_REF(BgL_ufz00_15838,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_15839));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13673, STRUCT_REF(BgL_ufz00_15838,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_15839));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15850;

												BgL_z12denvz12_15850 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15850,
													BgL_locz00_13673);
												if (((BgL_spz00_15842 + (long) CINT(BgL_sfz00_15841)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13676))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15840, BgL_sz00_13676,
															BINT(BgL_spz00_15842));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15851;

														BgL_nsz00_15851 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2047z00_15852;

															BgL_arg2047z00_15852 =
																(BgL_spz00_15842 + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15851, ((long) 2), BgL_sz00_13676,
																BINT(BgL_spz00_15842),
																BINT(BgL_arg2047z00_15852));
														}
														VECTOR_SET(BgL_nsz00_15851, ((long) 1),
															BgL_sz00_13676);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15850,
															BgL_nsz00_15851);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15853;

															BgL_ez00_15853 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15853, BgL_sz00_13676);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15854;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15855;

																	BgL_savedzd2bpzd2_15855 =
																		VECTOR_REF(BgL_nsz00_15851, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15851, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15857;

																		BgL_fz00_15857 = BgL_runz00_15840;
																	BgL_recz00_15856:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15858;

																			BgL_rz00_15858 =
																				PROCEDURE_ENTRY(BgL_fz00_15857)
																				(BgL_fz00_15857, BgL_nsz00_15851, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_20757;

																				if (PROCEDUREP(BgL_rz00_15858))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15859;

																						BgL_arg1693z00_15859 =
																							PROCEDURE_ATTR(BgL_rz00_15858);
																						if (STRUCTP(BgL_arg1693z00_15859))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20757 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15859) ==
																									BGl_symbol5799z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20757 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_20757 = ((bool_t) 0);
																					}
																				if (BgL_testz00_20757)
																					{
																						obj_t BgL_fz00_20765;

																						BgL_fz00_20765 = BgL_rz00_15858;
																						BgL_fz00_15857 = BgL_fz00_20765;
																						goto BgL_recz00_15856;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15851,
																							((long) 0),
																							BgL_savedzd2bpzd2_15855);
																						BgL_____rz00_15854 = BgL_rz00_15858;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15853);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15850,
																	BgL_sz00_13676);
																return BgL_____rz00_15854;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15836,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15860;

												BgL_nbpz00_15860 =
													((long) CINT(BgL_bpz00_15835) + BgL_siza7eza7_13675);
												VECTOR_SET(
													((obj_t) BgL_sz00_13676), ((long) 0),
													BINT(BgL_nbpz00_15860));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_20777;

													BgL_tmpz00_20777 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20777,
														BgL_locz00_13673);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15861;

													BgL_rz00_15861 =
														PROCEDURE_ENTRY(BgL_fz00_15836) (BgL_fz00_15836,
														BgL_a1z00_15837, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13676), ((long) 0),
														BgL_bpz00_15835);
													return BgL_rz00_15861;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13673,
													BgL_symbzd2funzd2_13674, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15836));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2051> */
	obj_t BGl_z62zc3anonymousza32051ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13677, obj_t BgL_sz00_13683)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13678;
				obj_t BgL_a1z00_13679;
				obj_t BgL_locz00_13680;
				obj_t BgL_symbzd2funzd2_13681;
				long BgL_siza7eza7_13682;

				BgL_funz00_13678 = PROCEDURE_REF(BgL_envz00_13677, (int) (((long) 0)));
				BgL_a1z00_13679 = PROCEDURE_REF(BgL_envz00_13677, (int) (((long) 1)));
				BgL_locz00_13680 = PROCEDURE_REF(BgL_envz00_13677, (int) (((long) 2)));
				BgL_symbzd2funzd2_13681 =
					PROCEDURE_REF(BgL_envz00_13677, (int) (((long) 3)));
				BgL_siza7eza7_13682 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13677, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15862;

					BgL_bpz00_15862 = VECTOR_REF(((obj_t) BgL_sz00_13683), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15863;
						obj_t BgL_a1z00_15864;

						BgL_fz00_15863 =
							PROCEDURE_ENTRY(BgL_funz00_13678) (BgL_funz00_13678,
							BgL_sz00_13683, BEOA);
						BgL_a1z00_15864 =
							PROCEDURE_ENTRY(BgL_a1z00_13679) (BgL_a1z00_13679, BgL_sz00_13683,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15863))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13680,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15863);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15865;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20813;

								BgL_tmpz00_20813 = ((obj_t) BgL_fz00_15863);
								BgL_ufz00_15865 = PROCEDURE_ATTR(BgL_tmpz00_20813);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20816;

								if (STRUCTP(BgL_ufz00_15865))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20816 =
											(STRUCT_KEY(BgL_ufz00_15865) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20816 = ((bool_t) 0);
									}
								if (BgL_testz00_20816)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15866;
										obj_t BgL_runz00_15867;
										obj_t BgL_sfz00_15868;

										BgL_arityz00_15866 =
											STRUCT_REF(BgL_ufz00_15865, (int) (((long) 0)));
										BgL_runz00_15867 =
											STRUCT_REF(BgL_ufz00_15865, (int) (((long) 1)));
										BgL_sfz00_15868 =
											STRUCT_REF(BgL_ufz00_15865, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15869;

											BgL_spz00_15869 =
												((long) CINT(BgL_bpz00_15862) + BgL_siza7eza7_13682);
											if (((long) CINT(BgL_arityz00_15866) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2055z00_15870;

													BgL_arg2055z00_15870 = (BgL_spz00_15869 + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13683), BgL_arg2055z00_15870,
														BgL_a1z00_15864);
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15866))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15866))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2057z00_15871;
																		obj_t BgL_arg2058z00_15872;

																		BgL_arg2057z00_15871 =
																			(BgL_spz00_15869 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2059z00_15873;

																			BgL_list2059z00_15873 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15864, BNIL);
																			BgL_arg2058z00_15872 =
																				BgL_list2059z00_15873;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13683),
																			BgL_arg2057z00_15871,
																			BgL_arg2058z00_15872);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2060z00_15874;

																		BgL_arg2060z00_15874 =
																			(BgL_spz00_15869 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13683),
																			BgL_arg2060z00_15874, BgL_a1z00_15864);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2061z00_15875;
																		obj_t BgL_arg2062z00_15876;

																		BgL_arg2061z00_15875 =
																			(BgL_spz00_15869 + ((long) 1));
																		BgL_arg2062z00_15876 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13683),
																			BgL_arg2061z00_15875,
																			BgL_arg2062z00_15876);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13680,
																		STRUCT_REF(BgL_ufz00_15865,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_15866));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13680, STRUCT_REF(BgL_ufz00_15865,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_15866));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15877;

												BgL_z12denvz12_15877 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15869 +
															(long) CINT(BgL_sfz00_15868)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13683))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15867, BgL_sz00_13683,
															BINT(BgL_spz00_15869));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15878;

														BgL_nsz00_15878 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2066z00_15879;

															BgL_arg2066z00_15879 =
																(BgL_spz00_15869 + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15878, ((long) 2), BgL_sz00_13683,
																BINT(BgL_spz00_15869),
																BINT(BgL_arg2066z00_15879));
														}
														VECTOR_SET(BgL_nsz00_15878, ((long) 1),
															BgL_sz00_13683);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15877,
															BgL_nsz00_15878);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15880;

															BgL_ez00_15880 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15880, BgL_sz00_13683);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15881;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15882;

																	BgL_savedzd2bpzd2_15882 =
																		VECTOR_REF(BgL_nsz00_15878, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15878, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15884;

																		BgL_fz00_15884 = BgL_runz00_15867;
																	BgL_recz00_15883:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15885;

																			BgL_rz00_15885 =
																				PROCEDURE_ENTRY(BgL_fz00_15884)
																				(BgL_fz00_15884, BgL_nsz00_15878, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_20884;

																				if (PROCEDUREP(BgL_rz00_15885))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15886;

																						BgL_arg1693z00_15886 =
																							PROCEDURE_ATTR(BgL_rz00_15885);
																						if (STRUCTP(BgL_arg1693z00_15886))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20884 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15886) ==
																									BGl_symbol5799z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20884 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_20884 = ((bool_t) 0);
																					}
																				if (BgL_testz00_20884)
																					{
																						obj_t BgL_fz00_20892;

																						BgL_fz00_20892 = BgL_rz00_15885;
																						BgL_fz00_15884 = BgL_fz00_20892;
																						goto BgL_recz00_15883;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15878,
																							((long) 0),
																							BgL_savedzd2bpzd2_15882);
																						BgL_____rz00_15881 = BgL_rz00_15885;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15880);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15877,
																	BgL_sz00_13683);
																return BgL_____rz00_15881;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15863,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15887;

												BgL_nbpz00_15887 =
													((long) CINT(BgL_bpz00_15862) + BgL_siza7eza7_13682);
												VECTOR_SET(
													((obj_t) BgL_sz00_13683), ((long) 0),
													BINT(BgL_nbpz00_15887));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15888;

													BgL_rz00_15888 =
														PROCEDURE_ENTRY(BgL_fz00_15863) (BgL_fz00_15863,
														BgL_a1z00_15864, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13683), ((long) 0),
														BgL_bpz00_15862);
													return BgL_rz00_15888;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13680,
													BgL_symbzd2funzd2_13681, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15863));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153,
		BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155,
		obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158,
		long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_cfunz00_2267;

				BgL_cfunz00_2267 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154,
					((long) 2), BgL_locz00_153, BgL_symbzd2funzd2_155);
				if (CBOOL(BgL_cfunz00_2267))
					{	/* Eval/evaluate_comp.scm 889 */
						bool_t BgL_testz00_20916;

						{	/* Eval/evaluate_comp.scm 889 */
							int BgL_arg2076z00_2285;

							BgL_arg2076z00_2285 = bgl_debug();
							BgL_testz00_20916 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2076z00_2285),
								BINT(((long) 0)));
						}
						if (BgL_testz00_20916)
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32073ze3z83_13684;

								BgL_zc3anonymousza32073ze3z83_13684 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32073ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32073ze3z83_13684,
									(int) (((long) 0)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32073ze3z83_13684,
									(int) (((long) 1)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3anonymousza32073ze3z83_13684,
									(int) (((long) 2)), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3anonymousza32073ze3z83_13684,
									(int) (((long) 3)), BgL_locz00_153);
								PROCEDURE_SET(BgL_zc3anonymousza32073ze3z83_13684,
									(int) (((long) 4)), BgL_cfunz00_2267);
								return BgL_zc3anonymousza32073ze3z83_13684;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32075ze3z83_13685;

								BgL_zc3anonymousza32075ze3z83_13685 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32075ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32075ze3z83_13685,
									(int) (((long) 0)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32075ze3z83_13685,
									(int) (((long) 1)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3anonymousza32075ze3z83_13685,
									(int) (((long) 2)), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3anonymousza32075ze3z83_13685,
									(int) (((long) 3)), BgL_cfunz00_2267);
								return BgL_zc3anonymousza32075ze3z83_13685;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 889 */
						if (CBOOL(BgL_tailzf3zf3_157))
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20949;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2137z00_2377;

									BgL_arg2137z00_2377 = bgl_debug();
									BgL_testz00_20949 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2137z00_2377),
										BINT(((long) 0)));
								}
								if (BgL_testz00_20949)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32080ze3z83_13686;

										BgL_zc3anonymousza32080ze3z83_13686 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32080ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32080ze3z83_13686,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32080ze3z83_13686,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32080ze3z83_13686,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32080ze3z83_13686,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32080ze3z83_13686,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32080ze3z83_13686,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32080ze3z83_13686;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32110ze3z83_13687;

										BgL_zc3anonymousza32110ze3z83_13687 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32110ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32110ze3z83_13687,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32110ze3z83_13687,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32110ze3z83_13687,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32110ze3z83_13687,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32110ze3z83_13687,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32110ze3z83_13687,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32110ze3z83_13687;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20986;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2192z00_2469;

									BgL_arg2192z00_2469 = bgl_debug();
									BgL_testz00_20986 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2192z00_2469),
										BINT(((long) 0)));
								}
								if (BgL_testz00_20986)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32140ze3z83_13688;

										BgL_zc3anonymousza32140ze3z83_13688 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32140ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32140ze3z83_13688,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32140ze3z83_13688,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32140ze3z83_13688,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32140ze3z83_13688,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32140ze3z83_13688,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32140ze3z83_13688,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32140ze3z83_13688;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32166ze3z83_13689;

										BgL_zc3anonymousza32166ze3z83_13689 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32166ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32166ze3z83_13689,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32166ze3z83_13689,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32166ze3z83_13689,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32166ze3z83_13689,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32166ze3z83_13689,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32166ze3z83_13689,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32166ze3z83_13689;
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2073> */
	obj_t BGl_z62zc3anonymousza32073ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13690, obj_t BgL_sz00_13696)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13691;
				obj_t BgL_a2z00_13692;
				long BgL_siza7eza7_13693;
				obj_t BgL_locz00_13694;
				obj_t BgL_cfunz00_13695;

				BgL_a1z00_13691 = PROCEDURE_REF(BgL_envz00_13690, (int) (((long) 0)));
				BgL_a2z00_13692 = PROCEDURE_REF(BgL_envz00_13690, (int) (((long) 1)));
				BgL_siza7eza7_13693 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13690, (int) (((long) 2))));
				BgL_locz00_13694 = PROCEDURE_REF(BgL_envz00_13690, (int) (((long) 3)));
				BgL_cfunz00_13695 = PROCEDURE_REF(BgL_envz00_13690, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15889;

					BgL_bpz00_15889 = VECTOR_REF(((obj_t) BgL_sz00_13696), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15890;
						obj_t BgL_a2z00_15891;

						BgL_a1z00_15890 =
							PROCEDURE_ENTRY(BgL_a1z00_13691) (BgL_a1z00_13691, BgL_sz00_13696,
							BEOA);
						BgL_a2z00_15891 =
							PROCEDURE_ENTRY(BgL_a2z00_13692) (BgL_a2z00_13692, BgL_sz00_13696,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15892;

							BgL_nbpz00_15892 =
								((long) CINT(BgL_bpz00_15889) + BgL_siza7eza7_13693);
							VECTOR_SET(
								((obj_t) BgL_sz00_13696), ((long) 0), BINT(BgL_nbpz00_15892));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_21049;

								BgL_tmpz00_21049 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21049, BgL_locz00_13694);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15893;

								BgL_rz00_15893 =
									PROCEDURE_ENTRY(BgL_cfunz00_13695) (BgL_cfunz00_13695,
									BgL_a1z00_15890, BgL_a2z00_15891, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13696), ((long) 0),
									BgL_bpz00_15889);
								return BgL_rz00_15893;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2075> */
	obj_t BGl_z62zc3anonymousza32075ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13697, obj_t BgL_sz00_13702)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13698;
				obj_t BgL_a2z00_13699;
				long BgL_siza7eza7_13700;
				obj_t BgL_cfunz00_13701;

				BgL_a1z00_13698 = PROCEDURE_REF(BgL_envz00_13697, (int) (((long) 0)));
				BgL_a2z00_13699 = PROCEDURE_REF(BgL_envz00_13697, (int) (((long) 1)));
				BgL_siza7eza7_13700 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13697, (int) (((long) 2))));
				BgL_cfunz00_13701 = PROCEDURE_REF(BgL_envz00_13697, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15894;

					BgL_bpz00_15894 = VECTOR_REF(((obj_t) BgL_sz00_13702), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15895;
						obj_t BgL_a2z00_15896;

						BgL_a1z00_15895 =
							PROCEDURE_ENTRY(BgL_a1z00_13698) (BgL_a1z00_13698, BgL_sz00_13702,
							BEOA);
						BgL_a2z00_15896 =
							PROCEDURE_ENTRY(BgL_a2z00_13699) (BgL_a2z00_13699, BgL_sz00_13702,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15897;

							BgL_nbpz00_15897 =
								((long) CINT(BgL_bpz00_15894) + BgL_siza7eza7_13700);
							VECTOR_SET(
								((obj_t) BgL_sz00_13702), ((long) 0), BINT(BgL_nbpz00_15897));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15898;

								BgL_rz00_15898 =
									PROCEDURE_ENTRY(BgL_cfunz00_13701) (BgL_cfunz00_13701,
									BgL_a1z00_15895, BgL_a2z00_15896, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13702), ((long) 0),
									BgL_bpz00_15894);
								return BgL_rz00_15898;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2080> */
	obj_t BGl_z62zc3anonymousza32080ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13703, obj_t BgL_sz00_13710)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13704;
				obj_t BgL_a1z00_13705;
				obj_t BgL_a2z00_13706;
				obj_t BgL_locz00_13707;
				obj_t BgL_symbzd2funzd2_13708;
				long BgL_siza7eza7_13709;

				BgL_funz00_13704 = PROCEDURE_REF(BgL_envz00_13703, (int) (((long) 0)));
				BgL_a1z00_13705 = PROCEDURE_REF(BgL_envz00_13703, (int) (((long) 1)));
				BgL_a2z00_13706 = PROCEDURE_REF(BgL_envz00_13703, (int) (((long) 2)));
				BgL_locz00_13707 = PROCEDURE_REF(BgL_envz00_13703, (int) (((long) 3)));
				BgL_symbzd2funzd2_13708 =
					PROCEDURE_REF(BgL_envz00_13703, (int) (((long) 4)));
				BgL_siza7eza7_13709 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13703, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15899;

					BgL_bpz00_15899 = VECTOR_REF(((obj_t) BgL_sz00_13710), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15900;
						obj_t BgL_a1z00_15901;
						obj_t BgL_a2z00_15902;

						BgL_fz00_15900 =
							PROCEDURE_ENTRY(BgL_funz00_13704) (BgL_funz00_13704,
							BgL_sz00_13710, BEOA);
						BgL_a1z00_15901 =
							PROCEDURE_ENTRY(BgL_a1z00_13705) (BgL_a1z00_13705, BgL_sz00_13710,
							BEOA);
						BgL_a2z00_15902 =
							PROCEDURE_ENTRY(BgL_a2z00_13706) (BgL_a2z00_13706, BgL_sz00_13710,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15900))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13707,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15900);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15903;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_21120;

								BgL_tmpz00_21120 = ((obj_t) BgL_fz00_15900);
								BgL_ufz00_15903 = PROCEDURE_ATTR(BgL_tmpz00_21120);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21123;

								if (STRUCTP(BgL_ufz00_15903))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21123 =
											(STRUCT_KEY(BgL_ufz00_15903) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21123 = ((bool_t) 0);
									}
								if (BgL_testz00_21123)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15904;
										obj_t BgL_runz00_15905;
										obj_t BgL_sfz00_15906;

										BgL_arityz00_15904 =
											STRUCT_REF(BgL_ufz00_15903, (int) (((long) 0)));
										BgL_runz00_15905 =
											STRUCT_REF(BgL_ufz00_15903, (int) (((long) 1)));
										BgL_sfz00_15906 =
											STRUCT_REF(BgL_ufz00_15903, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15904) == ((long) 2)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2085z00_15907;

													BgL_arg2085z00_15907 =
														((long) CINT(BgL_bpz00_15899) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13710), BgL_arg2085z00_15907,
														BgL_a1z00_15901);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2086z00_15908;

													BgL_arg2086z00_15908 =
														((long) CINT(BgL_bpz00_15899) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13710), BgL_arg2086z00_15908,
														BgL_a2z00_15902);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15904))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15904))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2089z00_15909;
																	obj_t BgL_arg2090z00_15910;

																	BgL_arg2089z00_15909 =
																		((long) CINT(BgL_bpz00_15899) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2091z00_15911;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2092z00_15912;

																			BgL_arg2092z00_15912 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_15902, BNIL);
																			BgL_list2091z00_15911 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15901,
																				BgL_arg2092z00_15912);
																		}
																		BgL_arg2090z00_15910 =
																			BgL_list2091z00_15911;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13710),
																		BgL_arg2089z00_15909, BgL_arg2090z00_15910);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2093z00_15913;

																	BgL_arg2093z00_15913 =
																		((long) CINT(BgL_bpz00_15899) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13710),
																		BgL_arg2093z00_15913, BgL_a1z00_15901);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2094z00_15914;
																	obj_t BgL_arg2095z00_15915;

																	BgL_arg2094z00_15914 =
																		((long) CINT(BgL_bpz00_15899) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2096z00_15916;

																		BgL_list2096z00_15916 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_15902, BNIL);
																		BgL_arg2095z00_15915 =
																			BgL_list2096z00_15916;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13710),
																		BgL_arg2094z00_15914, BgL_arg2095z00_15915);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2097z00_15917;

																	BgL_arg2097z00_15917 =
																		((long) CINT(BgL_bpz00_15899) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13710),
																		BgL_arg2097z00_15917, BgL_a1z00_15901);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2099z00_15918;

																	BgL_arg2099z00_15918 =
																		((long) CINT(BgL_bpz00_15899) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13710),
																		BgL_arg2099z00_15918, BgL_a2z00_15902);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2100z00_15919;
																	obj_t BgL_arg2102z00_15920;

																	BgL_arg2100z00_15919 =
																		((long) CINT(BgL_bpz00_15899) + ((long) 2));
																	BgL_arg2102z00_15920 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13710),
																		BgL_arg2100z00_15919, BgL_arg2102z00_15920);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13707, STRUCT_REF(BgL_ufz00_15903,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_15904));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13707, STRUCT_REF(BgL_ufz00_15903,
																(int) (((long) 3))), (int) (((long) 2)),
															CINT(BgL_arityz00_15904));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15921;

											BgL_z12denvz12_15921 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15921,
												BgL_locz00_13707);
											if ((((long) CINT(BgL_bpz00_15899) +
														(long) CINT(BgL_sfz00_15906)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13710))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15905;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15922;

													BgL_nsz00_15922 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2106z00_15923;

														BgL_arg2106z00_15923 =
															((long) CINT(BgL_bpz00_15899) + ((long) 2));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15922, ((long) 2), BgL_sz00_13710,
															BgL_bpz00_15899, BINT(BgL_arg2106z00_15923));
													}
													VECTOR_SET(BgL_nsz00_15922, ((long) 1),
														BgL_sz00_13710);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15921,
														BgL_nsz00_15922);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15924;

														BgL_ez00_15924 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15924, BgL_sz00_13710);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15925;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15926;

																BgL_savedzd2bpzd2_15926 =
																	VECTOR_REF(BgL_nsz00_15922, ((long) 0));
																VECTOR_SET(BgL_nsz00_15922, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15928;

																	BgL_fz00_15928 = BgL_runz00_15905;
																BgL_recz00_15927:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15929;

																		BgL_rz00_15929 =
																			PROCEDURE_ENTRY(BgL_fz00_15928)
																			(BgL_fz00_15928, BgL_nsz00_15922, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_21211;

																			if (PROCEDUREP(BgL_rz00_15929))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15930;

																					BgL_arg1693z00_15930 =
																						PROCEDURE_ATTR(BgL_rz00_15929);
																					if (STRUCTP(BgL_arg1693z00_15930))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21211 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15930) ==
																								BGl_symbol5799z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21211 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_21211 = ((bool_t) 0);
																				}
																			if (BgL_testz00_21211)
																				{
																					obj_t BgL_fz00_21219;

																					BgL_fz00_21219 = BgL_rz00_15929;
																					BgL_fz00_15928 = BgL_fz00_21219;
																					goto BgL_recz00_15927;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15922,
																						((long) 0),
																						BgL_savedzd2bpzd2_15926);
																					BgL_____rz00_15925 = BgL_rz00_15929;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15924);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15921,
																BgL_sz00_13710);
															return BgL_____rz00_15925;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15900,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15931;

												BgL_nbpz00_15931 =
													((long) CINT(BgL_bpz00_15899) + BgL_siza7eza7_13709);
												VECTOR_SET(
													((obj_t) BgL_sz00_13710), ((long) 0),
													BINT(BgL_nbpz00_15931));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_21231;

													BgL_tmpz00_21231 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21231,
														BgL_locz00_13707);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15932;

													BgL_rz00_15932 =
														PROCEDURE_ENTRY(BgL_fz00_15900) (BgL_fz00_15900,
														BgL_a1z00_15901, BgL_a2z00_15902, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13710), ((long) 0),
														BgL_bpz00_15899);
													return BgL_rz00_15932;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13707,
													BgL_symbzd2funzd2_13708, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_15900));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2110> */
	obj_t BGl_z62zc3anonymousza32110ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13711, obj_t BgL_sz00_13718)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13712;
				obj_t BgL_a1z00_13713;
				obj_t BgL_a2z00_13714;
				obj_t BgL_locz00_13715;
				obj_t BgL_symbzd2funzd2_13716;
				long BgL_siza7eza7_13717;

				BgL_funz00_13712 = PROCEDURE_REF(BgL_envz00_13711, (int) (((long) 0)));
				BgL_a1z00_13713 = PROCEDURE_REF(BgL_envz00_13711, (int) (((long) 1)));
				BgL_a2z00_13714 = PROCEDURE_REF(BgL_envz00_13711, (int) (((long) 2)));
				BgL_locz00_13715 = PROCEDURE_REF(BgL_envz00_13711, (int) (((long) 3)));
				BgL_symbzd2funzd2_13716 =
					PROCEDURE_REF(BgL_envz00_13711, (int) (((long) 4)));
				BgL_siza7eza7_13717 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13711, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15933;

					BgL_bpz00_15933 = VECTOR_REF(((obj_t) BgL_sz00_13718), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15934;
						obj_t BgL_a1z00_15935;
						obj_t BgL_a2z00_15936;

						BgL_fz00_15934 =
							PROCEDURE_ENTRY(BgL_funz00_13712) (BgL_funz00_13712,
							BgL_sz00_13718, BEOA);
						BgL_a1z00_15935 =
							PROCEDURE_ENTRY(BgL_a1z00_13713) (BgL_a1z00_13713, BgL_sz00_13718,
							BEOA);
						BgL_a2z00_15936 =
							PROCEDURE_ENTRY(BgL_a2z00_13714) (BgL_a2z00_13714, BgL_sz00_13718,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15934))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13715,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15934);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15937;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_21274;

								BgL_tmpz00_21274 = ((obj_t) BgL_fz00_15934);
								BgL_ufz00_15937 = PROCEDURE_ATTR(BgL_tmpz00_21274);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21277;

								if (STRUCTP(BgL_ufz00_15937))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21277 =
											(STRUCT_KEY(BgL_ufz00_15937) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21277 = ((bool_t) 0);
									}
								if (BgL_testz00_21277)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15938;
										obj_t BgL_runz00_15939;
										obj_t BgL_sfz00_15940;

										BgL_arityz00_15938 =
											STRUCT_REF(BgL_ufz00_15937, (int) (((long) 0)));
										BgL_runz00_15939 =
											STRUCT_REF(BgL_ufz00_15937, (int) (((long) 1)));
										BgL_sfz00_15940 =
											STRUCT_REF(BgL_ufz00_15937, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15938) == ((long) 2)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2114z00_15941;

													BgL_arg2114z00_15941 =
														((long) CINT(BgL_bpz00_15933) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13718), BgL_arg2114z00_15941,
														BgL_a1z00_15935);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2115z00_15942;

													BgL_arg2115z00_15942 =
														((long) CINT(BgL_bpz00_15933) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13718), BgL_arg2115z00_15942,
														BgL_a2z00_15936);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15938))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15938))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2117z00_15943;
																	obj_t BgL_arg2118z00_15944;

																	BgL_arg2117z00_15943 =
																		((long) CINT(BgL_bpz00_15933) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2120z00_15945;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2121z00_15946;

																			BgL_arg2121z00_15946 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_15936, BNIL);
																			BgL_list2120z00_15945 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15935,
																				BgL_arg2121z00_15946);
																		}
																		BgL_arg2118z00_15944 =
																			BgL_list2120z00_15945;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13718),
																		BgL_arg2117z00_15943, BgL_arg2118z00_15944);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2122z00_15947;

																	BgL_arg2122z00_15947 =
																		((long) CINT(BgL_bpz00_15933) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13718),
																		BgL_arg2122z00_15947, BgL_a1z00_15935);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2123z00_15948;
																	obj_t BgL_arg2124z00_15949;

																	BgL_arg2123z00_15948 =
																		((long) CINT(BgL_bpz00_15933) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2125z00_15950;

																		BgL_list2125z00_15950 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_15936, BNIL);
																		BgL_arg2124z00_15949 =
																			BgL_list2125z00_15950;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13718),
																		BgL_arg2123z00_15948, BgL_arg2124z00_15949);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2126z00_15951;

																	BgL_arg2126z00_15951 =
																		((long) CINT(BgL_bpz00_15933) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13718),
																		BgL_arg2126z00_15951, BgL_a1z00_15935);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2127z00_15952;

																	BgL_arg2127z00_15952 =
																		((long) CINT(BgL_bpz00_15933) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13718),
																		BgL_arg2127z00_15952, BgL_a2z00_15936);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2128z00_15953;
																	obj_t BgL_arg2130z00_15954;

																	BgL_arg2128z00_15953 =
																		((long) CINT(BgL_bpz00_15933) + ((long) 2));
																	BgL_arg2130z00_15954 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13718),
																		BgL_arg2128z00_15953, BgL_arg2130z00_15954);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13715, STRUCT_REF(BgL_ufz00_15937,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_15938));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13715, STRUCT_REF(BgL_ufz00_15937,
																(int) (((long) 3))), (int) (((long) 2)),
															CINT(BgL_arityz00_15938));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15955;

											BgL_z12denvz12_15955 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15933) +
														(long) CINT(BgL_sfz00_15940)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13718))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15939;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15956;

													BgL_nsz00_15956 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2134z00_15957;

														BgL_arg2134z00_15957 =
															((long) CINT(BgL_bpz00_15933) + ((long) 2));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15956, ((long) 2), BgL_sz00_13718,
															BgL_bpz00_15933, BINT(BgL_arg2134z00_15957));
													}
													VECTOR_SET(BgL_nsz00_15956, ((long) 1),
														BgL_sz00_13718);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15955,
														BgL_nsz00_15956);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15958;

														BgL_ez00_15958 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15958, BgL_sz00_13718);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15959;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15960;

																BgL_savedzd2bpzd2_15960 =
																	VECTOR_REF(BgL_nsz00_15956, ((long) 0));
																VECTOR_SET(BgL_nsz00_15956, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15962;

																	BgL_fz00_15962 = BgL_runz00_15939;
																BgL_recz00_15961:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15963;

																		BgL_rz00_15963 =
																			PROCEDURE_ENTRY(BgL_fz00_15962)
																			(BgL_fz00_15962, BgL_nsz00_15956, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_21364;

																			if (PROCEDUREP(BgL_rz00_15963))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_15964;

																					BgL_arg1693z00_15964 =
																						PROCEDURE_ATTR(BgL_rz00_15963);
																					if (STRUCTP(BgL_arg1693z00_15964))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21364 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_15964) ==
																								BGl_symbol5799z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21364 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_21364 = ((bool_t) 0);
																				}
																			if (BgL_testz00_21364)
																				{
																					obj_t BgL_fz00_21372;

																					BgL_fz00_21372 = BgL_rz00_15963;
																					BgL_fz00_15962 = BgL_fz00_21372;
																					goto BgL_recz00_15961;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15956,
																						((long) 0),
																						BgL_savedzd2bpzd2_15960);
																					BgL_____rz00_15959 = BgL_rz00_15963;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15958);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15955,
																BgL_sz00_13718);
															return BgL_____rz00_15959;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15934,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15965;

												BgL_nbpz00_15965 =
													((long) CINT(BgL_bpz00_15933) + BgL_siza7eza7_13717);
												VECTOR_SET(
													((obj_t) BgL_sz00_13718), ((long) 0),
													BINT(BgL_nbpz00_15965));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15966;

													BgL_rz00_15966 =
														PROCEDURE_ENTRY(BgL_fz00_15934) (BgL_fz00_15934,
														BgL_a1z00_15935, BgL_a2z00_15936, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13718), ((long) 0),
														BgL_bpz00_15933);
													return BgL_rz00_15966;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13715,
													BgL_symbzd2funzd2_13716, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_15934));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2140> */
	obj_t BGl_z62zc3anonymousza32140ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13719, obj_t BgL_sz00_13726)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13720;
				obj_t BgL_a1z00_13721;
				obj_t BgL_a2z00_13722;
				obj_t BgL_locz00_13723;
				obj_t BgL_symbzd2funzd2_13724;
				long BgL_siza7eza7_13725;

				BgL_funz00_13720 = PROCEDURE_REF(BgL_envz00_13719, (int) (((long) 0)));
				BgL_a1z00_13721 = PROCEDURE_REF(BgL_envz00_13719, (int) (((long) 1)));
				BgL_a2z00_13722 = PROCEDURE_REF(BgL_envz00_13719, (int) (((long) 2)));
				BgL_locz00_13723 = PROCEDURE_REF(BgL_envz00_13719, (int) (((long) 3)));
				BgL_symbzd2funzd2_13724 =
					PROCEDURE_REF(BgL_envz00_13719, (int) (((long) 4)));
				BgL_siza7eza7_13725 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13719, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15967;

					BgL_bpz00_15967 = VECTOR_REF(((obj_t) BgL_sz00_13726), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15968;
						obj_t BgL_a1z00_15969;
						obj_t BgL_a2z00_15970;

						BgL_fz00_15968 =
							PROCEDURE_ENTRY(BgL_funz00_13720) (BgL_funz00_13720,
							BgL_sz00_13726, BEOA);
						BgL_a1z00_15969 =
							PROCEDURE_ENTRY(BgL_a1z00_13721) (BgL_a1z00_13721, BgL_sz00_13726,
							BEOA);
						BgL_a2z00_15970 =
							PROCEDURE_ENTRY(BgL_a2z00_13722) (BgL_a2z00_13722, BgL_sz00_13726,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15968))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13723,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_15968);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15971;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_21424;

								BgL_tmpz00_21424 = ((obj_t) BgL_fz00_15968);
								BgL_ufz00_15971 = PROCEDURE_ATTR(BgL_tmpz00_21424);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21427;

								if (STRUCTP(BgL_ufz00_15971))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21427 =
											(STRUCT_KEY(BgL_ufz00_15971) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21427 = ((bool_t) 0);
									}
								if (BgL_testz00_21427)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15972;
										obj_t BgL_runz00_15973;
										obj_t BgL_sfz00_15974;

										BgL_arityz00_15972 =
											STRUCT_REF(BgL_ufz00_15971, (int) (((long) 0)));
										BgL_runz00_15973 =
											STRUCT_REF(BgL_ufz00_15971, (int) (((long) 1)));
										BgL_sfz00_15974 =
											STRUCT_REF(BgL_ufz00_15971, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15975;

											BgL_spz00_15975 =
												((long) CINT(BgL_bpz00_15967) + BgL_siza7eza7_13725);
											if (((long) CINT(BgL_arityz00_15972) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2144z00_15976;

														BgL_arg2144z00_15976 =
															(BgL_spz00_15975 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13726), BgL_arg2144z00_15976,
															BgL_a1z00_15969);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2145z00_15977;

														BgL_arg2145z00_15977 =
															(BgL_spz00_15975 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13726), BgL_arg2145z00_15977,
															BgL_a2z00_15970);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15972))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15972))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2147z00_15978;
																		obj_t BgL_arg2148z00_15979;

																		BgL_arg2147z00_15978 =
																			(BgL_spz00_15975 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2149z00_15980;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2150z00_15981;

																				BgL_arg2150z00_15981 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_15970,
																					BNIL);
																				BgL_list2149z00_15980 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_15969,
																					BgL_arg2150z00_15981);
																			}
																			BgL_arg2148z00_15979 =
																				BgL_list2149z00_15980;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13726),
																			BgL_arg2147z00_15978,
																			BgL_arg2148z00_15979);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2151z00_15982;

																		BgL_arg2151z00_15982 =
																			(BgL_spz00_15975 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13726),
																			BgL_arg2151z00_15982, BgL_a1z00_15969);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2152z00_15983;
																		obj_t BgL_arg2153z00_15984;

																		BgL_arg2152z00_15983 =
																			(BgL_spz00_15975 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2154z00_15985;

																			BgL_list2154z00_15985 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_15970, BNIL);
																			BgL_arg2153z00_15984 =
																				BgL_list2154z00_15985;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13726),
																			BgL_arg2152z00_15983,
																			BgL_arg2153z00_15984);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2155z00_15986;

																		BgL_arg2155z00_15986 =
																			(BgL_spz00_15975 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13726),
																			BgL_arg2155z00_15986, BgL_a1z00_15969);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2156z00_15987;

																		BgL_arg2156z00_15987 =
																			(BgL_spz00_15975 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13726),
																			BgL_arg2156z00_15987, BgL_a2z00_15970);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2157z00_15988;
																		obj_t BgL_arg2158z00_15989;

																		BgL_arg2157z00_15988 =
																			(BgL_spz00_15975 + ((long) 2));
																		BgL_arg2158z00_15989 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13726),
																			BgL_arg2157z00_15988,
																			BgL_arg2158z00_15989);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13723,
																		STRUCT_REF(BgL_ufz00_15971,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_15972));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13723, STRUCT_REF(BgL_ufz00_15971,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_15972));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15990;

												BgL_z12denvz12_15990 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15990,
													BgL_locz00_13723);
												if (((BgL_spz00_15975 + (long) CINT(BgL_sfz00_15974)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13726))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15973, BgL_sz00_13726,
															BINT(BgL_spz00_15975));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15991;

														BgL_nsz00_15991 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2162z00_15992;

															BgL_arg2162z00_15992 =
																(BgL_spz00_15975 + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15991, ((long) 2), BgL_sz00_13726,
																BINT(BgL_spz00_15975),
																BINT(BgL_arg2162z00_15992));
														}
														VECTOR_SET(BgL_nsz00_15991, ((long) 1),
															BgL_sz00_13726);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15990,
															BgL_nsz00_15991);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15993;

															BgL_ez00_15993 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15993, BgL_sz00_13726);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15994;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15995;

																	BgL_savedzd2bpzd2_15995 =
																		VECTOR_REF(BgL_nsz00_15991, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15991, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15997;

																		BgL_fz00_15997 = BgL_runz00_15973;
																	BgL_recz00_15996:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15998;

																			BgL_rz00_15998 =
																				PROCEDURE_ENTRY(BgL_fz00_15997)
																				(BgL_fz00_15997, BgL_nsz00_15991, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_21510;

																				if (PROCEDUREP(BgL_rz00_15998))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_15999;

																						BgL_arg1693z00_15999 =
																							PROCEDURE_ATTR(BgL_rz00_15998);
																						if (STRUCTP(BgL_arg1693z00_15999))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_21510 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_15999) ==
																									BGl_symbol5799z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_21510 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_21510 = ((bool_t) 0);
																					}
																				if (BgL_testz00_21510)
																					{
																						obj_t BgL_fz00_21518;

																						BgL_fz00_21518 = BgL_rz00_15998;
																						BgL_fz00_15997 = BgL_fz00_21518;
																						goto BgL_recz00_15996;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15991,
																							((long) 0),
																							BgL_savedzd2bpzd2_15995);
																						BgL_____rz00_15994 = BgL_rz00_15998;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15993);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15990,
																	BgL_sz00_13726);
																return BgL_____rz00_15994;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15968,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16000;

												BgL_nbpz00_16000 =
													((long) CINT(BgL_bpz00_15967) + BgL_siza7eza7_13725);
												VECTOR_SET(
													((obj_t) BgL_sz00_13726), ((long) 0),
													BINT(BgL_nbpz00_16000));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_21530;

													BgL_tmpz00_21530 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21530,
														BgL_locz00_13723);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16001;

													BgL_rz00_16001 =
														PROCEDURE_ENTRY(BgL_fz00_15968) (BgL_fz00_15968,
														BgL_a1z00_15969, BgL_a2z00_15970, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13726), ((long) 0),
														BgL_bpz00_15967);
													return BgL_rz00_16001;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13723,
													BgL_symbzd2funzd2_13724, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_15968));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2166> */
	obj_t BGl_z62zc3anonymousza32166ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13727, obj_t BgL_sz00_13734)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13728;
				obj_t BgL_a1z00_13729;
				obj_t BgL_a2z00_13730;
				obj_t BgL_locz00_13731;
				obj_t BgL_symbzd2funzd2_13732;
				long BgL_siza7eza7_13733;

				BgL_funz00_13728 = PROCEDURE_REF(BgL_envz00_13727, (int) (((long) 0)));
				BgL_a1z00_13729 = PROCEDURE_REF(BgL_envz00_13727, (int) (((long) 1)));
				BgL_a2z00_13730 = PROCEDURE_REF(BgL_envz00_13727, (int) (((long) 2)));
				BgL_locz00_13731 = PROCEDURE_REF(BgL_envz00_13727, (int) (((long) 3)));
				BgL_symbzd2funzd2_13732 =
					PROCEDURE_REF(BgL_envz00_13727, (int) (((long) 4)));
				BgL_siza7eza7_13733 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13727, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16002;

					BgL_bpz00_16002 = VECTOR_REF(((obj_t) BgL_sz00_13734), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16003;
						obj_t BgL_a1z00_16004;
						obj_t BgL_a2z00_16005;

						BgL_fz00_16003 =
							PROCEDURE_ENTRY(BgL_funz00_13728) (BgL_funz00_13728,
							BgL_sz00_13734, BEOA);
						BgL_a1z00_16004 =
							PROCEDURE_ENTRY(BgL_a1z00_13729) (BgL_a1z00_13729, BgL_sz00_13734,
							BEOA);
						BgL_a2z00_16005 =
							PROCEDURE_ENTRY(BgL_a2z00_13730) (BgL_a2z00_13730, BgL_sz00_13734,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16003))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13731,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_16003);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16006;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_21573;

								BgL_tmpz00_21573 = ((obj_t) BgL_fz00_16003);
								BgL_ufz00_16006 = PROCEDURE_ATTR(BgL_tmpz00_21573);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21576;

								if (STRUCTP(BgL_ufz00_16006))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21576 =
											(STRUCT_KEY(BgL_ufz00_16006) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21576 = ((bool_t) 0);
									}
								if (BgL_testz00_21576)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16007;
										obj_t BgL_runz00_16008;
										obj_t BgL_sfz00_16009;

										BgL_arityz00_16007 =
											STRUCT_REF(BgL_ufz00_16006, (int) (((long) 0)));
										BgL_runz00_16008 =
											STRUCT_REF(BgL_ufz00_16006, (int) (((long) 1)));
										BgL_sfz00_16009 =
											STRUCT_REF(BgL_ufz00_16006, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_16010;

											BgL_spz00_16010 =
												((long) CINT(BgL_bpz00_16002) + BgL_siza7eza7_13733);
											if (((long) CINT(BgL_arityz00_16007) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2170z00_16011;

														BgL_arg2170z00_16011 =
															(BgL_spz00_16010 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13734), BgL_arg2170z00_16011,
															BgL_a1z00_16004);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2171z00_16012;

														BgL_arg2171z00_16012 =
															(BgL_spz00_16010 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13734), BgL_arg2171z00_16012,
															BgL_a2z00_16005);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_16007))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_16007))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2173z00_16013;
																		obj_t BgL_arg2174z00_16014;

																		BgL_arg2173z00_16013 =
																			(BgL_spz00_16010 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2175z00_16015;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2176z00_16016;

																				BgL_arg2176z00_16016 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16005,
																					BNIL);
																				BgL_list2175z00_16015 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16004,
																					BgL_arg2176z00_16016);
																			}
																			BgL_arg2174z00_16014 =
																				BgL_list2175z00_16015;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13734),
																			BgL_arg2173z00_16013,
																			BgL_arg2174z00_16014);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2177z00_16017;

																		BgL_arg2177z00_16017 =
																			(BgL_spz00_16010 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13734),
																			BgL_arg2177z00_16017, BgL_a1z00_16004);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2178z00_16018;
																		obj_t BgL_arg2179z00_16019;

																		BgL_arg2178z00_16018 =
																			(BgL_spz00_16010 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2180z00_16020;

																			BgL_list2180z00_16020 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16005, BNIL);
																			BgL_arg2179z00_16019 =
																				BgL_list2180z00_16020;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13734),
																			BgL_arg2178z00_16018,
																			BgL_arg2179z00_16019);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2181z00_16021;

																		BgL_arg2181z00_16021 =
																			(BgL_spz00_16010 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13734),
																			BgL_arg2181z00_16021, BgL_a1z00_16004);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2182z00_16022;

																		BgL_arg2182z00_16022 =
																			(BgL_spz00_16010 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13734),
																			BgL_arg2182z00_16022, BgL_a2z00_16005);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2183z00_16023;
																		obj_t BgL_arg2184z00_16024;

																		BgL_arg2183z00_16023 =
																			(BgL_spz00_16010 + ((long) 2));
																		BgL_arg2184z00_16024 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13734),
																			BgL_arg2183z00_16023,
																			BgL_arg2184z00_16024);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13731,
																		STRUCT_REF(BgL_ufz00_16006,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_16007));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13731, STRUCT_REF(BgL_ufz00_16006,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_16007));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_16025;

												BgL_z12denvz12_16025 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_16010 +
															(long) CINT(BgL_sfz00_16009)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13734))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16008, BgL_sz00_13734,
															BINT(BgL_spz00_16010));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_16026;

														BgL_nsz00_16026 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2188z00_16027;

															BgL_arg2188z00_16027 =
																(BgL_spz00_16010 + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16026, ((long) 2), BgL_sz00_13734,
																BINT(BgL_spz00_16010),
																BINT(BgL_arg2188z00_16027));
														}
														VECTOR_SET(BgL_nsz00_16026, ((long) 1),
															BgL_sz00_13734);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16025,
															BgL_nsz00_16026);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_16028;

															BgL_ez00_16028 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_16028, BgL_sz00_13734);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_16029;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_16030;

																	BgL_savedzd2bpzd2_16030 =
																		VECTOR_REF(BgL_nsz00_16026, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16026, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16032;

																		BgL_fz00_16032 = BgL_runz00_16008;
																	BgL_recz00_16031:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_16033;

																			BgL_rz00_16033 =
																				PROCEDURE_ENTRY(BgL_fz00_16032)
																				(BgL_fz00_16032, BgL_nsz00_16026, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_21658;

																				if (PROCEDUREP(BgL_rz00_16033))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_16034;

																						BgL_arg1693z00_16034 =
																							PROCEDURE_ATTR(BgL_rz00_16033);
																						if (STRUCTP(BgL_arg1693z00_16034))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_21658 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_16034) ==
																									BGl_symbol5799z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_21658 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_21658 = ((bool_t) 0);
																					}
																				if (BgL_testz00_21658)
																					{
																						obj_t BgL_fz00_21666;

																						BgL_fz00_21666 = BgL_rz00_16033;
																						BgL_fz00_16032 = BgL_fz00_21666;
																						goto BgL_recz00_16031;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_16026,
																							((long) 0),
																							BgL_savedzd2bpzd2_16030);
																						BgL_____rz00_16029 = BgL_rz00_16033;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_16028);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16025,
																	BgL_sz00_13734);
																return BgL_____rz00_16029;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16003,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16035;

												BgL_nbpz00_16035 =
													((long) CINT(BgL_bpz00_16002) + BgL_siza7eza7_13733);
												VECTOR_SET(
													((obj_t) BgL_sz00_13734), ((long) 0),
													BINT(BgL_nbpz00_16035));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16036;

													BgL_rz00_16036 =
														PROCEDURE_ENTRY(BgL_fz00_16003) (BgL_fz00_16003,
														BgL_a1z00_16004, BgL_a2z00_16005, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13734), ((long) 0),
														BgL_bpz00_16002);
													return BgL_rz00_16036;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13731,
													BgL_symbzd2funzd2_13732, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_16003));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162,
		BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164,
		obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167,
		long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170,
		obj_t BgL_a3z00_171)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_cfunz00_2470;

				BgL_cfunz00_2470 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163,
					((long) 3), BgL_locz00_162, BgL_symbzd2funzd2_164);
				if (CBOOL(BgL_cfunz00_2470))
					{	/* Eval/evaluate_comp.scm 889 */
						bool_t BgL_testz00_21691;

						{	/* Eval/evaluate_comp.scm 889 */
							int BgL_arg2198z00_2490;

							BgL_arg2198z00_2490 = bgl_debug();
							BgL_testz00_21691 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2198z00_2490),
								BINT(((long) 0)));
						}
						if (BgL_testz00_21691)
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32195ze3z83_13735;

								BgL_zc3anonymousza32195ze3z83_13735 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32195ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32195ze3z83_13735,
									(int) (((long) 0)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32195ze3z83_13735,
									(int) (((long) 1)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32195ze3z83_13735,
									(int) (((long) 2)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3anonymousza32195ze3z83_13735,
									(int) (((long) 3)), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3anonymousza32195ze3z83_13735,
									(int) (((long) 4)), BgL_locz00_162);
								PROCEDURE_SET(BgL_zc3anonymousza32195ze3z83_13735,
									(int) (((long) 5)), BgL_cfunz00_2470);
								return BgL_zc3anonymousza32195ze3z83_13735;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32197ze3z83_13736;

								BgL_zc3anonymousza32197ze3z83_13736 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32197ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32197ze3z83_13736,
									(int) (((long) 0)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32197ze3z83_13736,
									(int) (((long) 1)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32197ze3z83_13736,
									(int) (((long) 2)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3anonymousza32197ze3z83_13736,
									(int) (((long) 3)), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3anonymousza32197ze3z83_13736,
									(int) (((long) 4)), BgL_cfunz00_2470);
								return BgL_zc3anonymousza32197ze3z83_13736;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 889 */
						if (CBOOL(BgL_tailzf3zf3_166))
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21728;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2275z00_2602;

									BgL_arg2275z00_2602 = bgl_debug();
									BgL_testz00_21728 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2275z00_2602),
										BINT(((long) 0)));
								}
								if (BgL_testz00_21728)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32201ze3z83_13737;

										BgL_zc3anonymousza32201ze3z83_13737 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32201ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32201ze3z83_13737,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32201ze3z83_13737,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32201ze3z83_13737,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32201ze3z83_13737,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32201ze3z83_13737,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32201ze3z83_13737,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32201ze3z83_13737,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32201ze3z83_13737;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32238ze3z83_13738;

										BgL_zc3anonymousza32238ze3z83_13738 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32238ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32238ze3z83_13738,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32238ze3z83_13738,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32238ze3z83_13738,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32238ze3z83_13738,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32238ze3z83_13738,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32238ze3z83_13738,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32238ze3z83_13738,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32238ze3z83_13738;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21769;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2353z00_2714;

									BgL_arg2353z00_2714 = bgl_debug();
									BgL_testz00_21769 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2353z00_2714),
										BINT(((long) 0)));
								}
								if (BgL_testz00_21769)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32278ze3z83_13739;

										BgL_zc3anonymousza32278ze3z83_13739 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32278ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32278ze3z83_13739,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32278ze3z83_13739,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32278ze3z83_13739,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32278ze3z83_13739,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32278ze3z83_13739,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32278ze3z83_13739,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32278ze3z83_13739,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32278ze3z83_13739;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32318ze3z83_13740;

										BgL_zc3anonymousza32318ze3z83_13740 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32318ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32318ze3z83_13740,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32318ze3z83_13740,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32318ze3z83_13740,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32318ze3z83_13740,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32318ze3z83_13740,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32318ze3z83_13740,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32318ze3z83_13740,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32318ze3z83_13740;
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2195> */
	obj_t BGl_z62zc3anonymousza32195ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13741, obj_t BgL_sz00_13748)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13742;
				obj_t BgL_a2z00_13743;
				obj_t BgL_a3z00_13744;
				long BgL_siza7eza7_13745;
				obj_t BgL_locz00_13746;
				obj_t BgL_cfunz00_13747;

				BgL_a1z00_13742 = PROCEDURE_REF(BgL_envz00_13741, (int) (((long) 0)));
				BgL_a2z00_13743 = PROCEDURE_REF(BgL_envz00_13741, (int) (((long) 1)));
				BgL_a3z00_13744 = PROCEDURE_REF(BgL_envz00_13741, (int) (((long) 2)));
				BgL_siza7eza7_13745 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13741, (int) (((long) 3))));
				BgL_locz00_13746 = PROCEDURE_REF(BgL_envz00_13741, (int) (((long) 4)));
				BgL_cfunz00_13747 = PROCEDURE_REF(BgL_envz00_13741, (int) (((long) 5)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16037;

					BgL_bpz00_16037 = VECTOR_REF(((obj_t) BgL_sz00_13748), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_16038;
						obj_t BgL_a2z00_16039;
						obj_t BgL_a3z00_16040;

						BgL_a1z00_16038 =
							PROCEDURE_ENTRY(BgL_a1z00_13742) (BgL_a1z00_13742, BgL_sz00_13748,
							BEOA);
						BgL_a2z00_16039 =
							PROCEDURE_ENTRY(BgL_a2z00_13743) (BgL_a2z00_13743, BgL_sz00_13748,
							BEOA);
						BgL_a3z00_16040 =
							PROCEDURE_ENTRY(BgL_a3z00_13744) (BgL_a3z00_13744, BgL_sz00_13748,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_16041;

							BgL_nbpz00_16041 =
								((long) CINT(BgL_bpz00_16037) + BgL_siza7eza7_13745);
							VECTOR_SET(
								((obj_t) BgL_sz00_13748), ((long) 0), BINT(BgL_nbpz00_16041));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_21842;

								BgL_tmpz00_21842 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21842, BgL_locz00_13746);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_16042;

								BgL_rz00_16042 =
									PROCEDURE_ENTRY(BgL_cfunz00_13747) (BgL_cfunz00_13747,
									BgL_a1z00_16038, BgL_a2z00_16039, BgL_a3z00_16040, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13748), ((long) 0),
									BgL_bpz00_16037);
								return BgL_rz00_16042;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2197> */
	obj_t BGl_z62zc3anonymousza32197ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13749, obj_t BgL_sz00_13755)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13750;
				obj_t BgL_a2z00_13751;
				obj_t BgL_a3z00_13752;
				long BgL_siza7eza7_13753;
				obj_t BgL_cfunz00_13754;

				BgL_a1z00_13750 = PROCEDURE_REF(BgL_envz00_13749, (int) (((long) 0)));
				BgL_a2z00_13751 = PROCEDURE_REF(BgL_envz00_13749, (int) (((long) 1)));
				BgL_a3z00_13752 = PROCEDURE_REF(BgL_envz00_13749, (int) (((long) 2)));
				BgL_siza7eza7_13753 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13749, (int) (((long) 3))));
				BgL_cfunz00_13754 = PROCEDURE_REF(BgL_envz00_13749, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16043;

					BgL_bpz00_16043 = VECTOR_REF(((obj_t) BgL_sz00_13755), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_16044;
						obj_t BgL_a2z00_16045;
						obj_t BgL_a3z00_16046;

						BgL_a1z00_16044 =
							PROCEDURE_ENTRY(BgL_a1z00_13750) (BgL_a1z00_13750, BgL_sz00_13755,
							BEOA);
						BgL_a2z00_16045 =
							PROCEDURE_ENTRY(BgL_a2z00_13751) (BgL_a2z00_13751, BgL_sz00_13755,
							BEOA);
						BgL_a3z00_16046 =
							PROCEDURE_ENTRY(BgL_a3z00_13752) (BgL_a3z00_13752, BgL_sz00_13755,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_16047;

							BgL_nbpz00_16047 =
								((long) CINT(BgL_bpz00_16043) + BgL_siza7eza7_13753);
							VECTOR_SET(
								((obj_t) BgL_sz00_13755), ((long) 0), BINT(BgL_nbpz00_16047));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_16048;

								BgL_rz00_16048 =
									PROCEDURE_ENTRY(BgL_cfunz00_13754) (BgL_cfunz00_13754,
									BgL_a1z00_16044, BgL_a2z00_16045, BgL_a3z00_16046, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13755), ((long) 0),
									BgL_bpz00_16043);
								return BgL_rz00_16048;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2201> */
	obj_t BGl_z62zc3anonymousza32201ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13756, obj_t BgL_sz00_13764)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13757;
				obj_t BgL_a1z00_13758;
				obj_t BgL_a2z00_13759;
				obj_t BgL_a3z00_13760;
				obj_t BgL_locz00_13761;
				obj_t BgL_symbzd2funzd2_13762;
				long BgL_siza7eza7_13763;

				BgL_funz00_13757 = PROCEDURE_REF(BgL_envz00_13756, (int) (((long) 0)));
				BgL_a1z00_13758 = PROCEDURE_REF(BgL_envz00_13756, (int) (((long) 1)));
				BgL_a2z00_13759 = PROCEDURE_REF(BgL_envz00_13756, (int) (((long) 2)));
				BgL_a3z00_13760 = PROCEDURE_REF(BgL_envz00_13756, (int) (((long) 3)));
				BgL_locz00_13761 = PROCEDURE_REF(BgL_envz00_13756, (int) (((long) 4)));
				BgL_symbzd2funzd2_13762 =
					PROCEDURE_REF(BgL_envz00_13756, (int) (((long) 5)));
				BgL_siza7eza7_13763 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13756, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16049;

					BgL_bpz00_16049 = VECTOR_REF(((obj_t) BgL_sz00_13764), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16050;
						obj_t BgL_a1z00_16051;
						obj_t BgL_a2z00_16052;
						obj_t BgL_a3z00_16053;

						BgL_fz00_16050 =
							PROCEDURE_ENTRY(BgL_funz00_13757) (BgL_funz00_13757,
							BgL_sz00_13764, BEOA);
						BgL_a1z00_16051 =
							PROCEDURE_ENTRY(BgL_a1z00_13758) (BgL_a1z00_13758, BgL_sz00_13764,
							BEOA);
						BgL_a2z00_16052 =
							PROCEDURE_ENTRY(BgL_a2z00_13759) (BgL_a2z00_13759, BgL_sz00_13764,
							BEOA);
						BgL_a3z00_16053 =
							PROCEDURE_ENTRY(BgL_a3z00_13760) (BgL_a3z00_13760, BgL_sz00_13764,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16050))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13761,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_16050);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16054;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_21927;

								BgL_tmpz00_21927 = ((obj_t) BgL_fz00_16050);
								BgL_ufz00_16054 = PROCEDURE_ATTR(BgL_tmpz00_21927);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21930;

								if (STRUCTP(BgL_ufz00_16054))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21930 =
											(STRUCT_KEY(BgL_ufz00_16054) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21930 = ((bool_t) 0);
									}
								if (BgL_testz00_21930)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16055;
										obj_t BgL_runz00_16056;
										obj_t BgL_sfz00_16057;

										BgL_arityz00_16055 =
											STRUCT_REF(BgL_ufz00_16054, (int) (((long) 0)));
										BgL_runz00_16056 =
											STRUCT_REF(BgL_ufz00_16054, (int) (((long) 1)));
										BgL_sfz00_16057 =
											STRUCT_REF(BgL_ufz00_16054, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16055) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2205z00_16058;

													BgL_arg2205z00_16058 =
														((long) CINT(BgL_bpz00_16049) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13764), BgL_arg2205z00_16058,
														BgL_a1z00_16051);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2206z00_16059;

													BgL_arg2206z00_16059 =
														((long) CINT(BgL_bpz00_16049) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13764), BgL_arg2206z00_16059,
														BgL_a2z00_16052);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2207z00_16060;

													BgL_arg2207z00_16060 =
														((long) CINT(BgL_bpz00_16049) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13764), BgL_arg2207z00_16060,
														BgL_a3z00_16053);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_16055))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_16055))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2209z00_16061;
																	obj_t BgL_arg2210z00_16062;

																	BgL_arg2209z00_16061 =
																		((long) CINT(BgL_bpz00_16049) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2211z00_16063;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2212z00_16064;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2213z00_16065;

																				BgL_arg2213z00_16065 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16053,
																					BNIL);
																				BgL_arg2212z00_16064 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16052,
																					BgL_arg2213z00_16065);
																			}
																			BgL_list2211z00_16063 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16051,
																				BgL_arg2212z00_16064);
																		}
																		BgL_arg2210z00_16062 =
																			BgL_list2211z00_16063;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13764),
																		BgL_arg2209z00_16061, BgL_arg2210z00_16062);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2214z00_16066;

																	BgL_arg2214z00_16066 =
																		((long) CINT(BgL_bpz00_16049) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13764),
																		BgL_arg2214z00_16066, BgL_a1z00_16051);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2216z00_16067;
																	obj_t BgL_arg2217z00_16068;

																	BgL_arg2216z00_16067 =
																		((long) CINT(BgL_bpz00_16049) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2218z00_16069;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2219z00_16070;

																			BgL_arg2219z00_16070 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16053, BNIL);
																			BgL_list2218z00_16069 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16052,
																				BgL_arg2219z00_16070);
																		}
																		BgL_arg2217z00_16068 =
																			BgL_list2218z00_16069;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13764),
																		BgL_arg2216z00_16067, BgL_arg2217z00_16068);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2220z00_16071;

																	BgL_arg2220z00_16071 =
																		((long) CINT(BgL_bpz00_16049) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13764),
																		BgL_arg2220z00_16071, BgL_a1z00_16051);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2221z00_16072;

																	BgL_arg2221z00_16072 =
																		((long) CINT(BgL_bpz00_16049) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13764),
																		BgL_arg2221z00_16072, BgL_a2z00_16052);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2222z00_16073;
																	obj_t BgL_arg2223z00_16074;

																	BgL_arg2222z00_16073 =
																		((long) CINT(BgL_bpz00_16049) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2224z00_16075;

																		BgL_list2224z00_16075 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_16053, BNIL);
																		BgL_arg2223z00_16074 =
																			BgL_list2224z00_16075;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13764),
																		BgL_arg2222z00_16073, BgL_arg2223z00_16074);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2225z00_16076;

																	BgL_arg2225z00_16076 =
																		((long) CINT(BgL_bpz00_16049) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13764),
																		BgL_arg2225z00_16076, BgL_a1z00_16051);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2226z00_16077;

																	BgL_arg2226z00_16077 =
																		((long) CINT(BgL_bpz00_16049) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13764),
																		BgL_arg2226z00_16077, BgL_a2z00_16052);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2227z00_16078;

																	BgL_arg2227z00_16078 =
																		((long) CINT(BgL_bpz00_16049) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13764),
																		BgL_arg2227z00_16078, BgL_a3z00_16053);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2228z00_16079;
																	obj_t BgL_arg2229z00_16080;

																	BgL_arg2228z00_16079 =
																		((long) CINT(BgL_bpz00_16049) + ((long) 3));
																	BgL_arg2229z00_16080 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13764),
																		BgL_arg2228z00_16079, BgL_arg2229z00_16080);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13761, STRUCT_REF(BgL_ufz00_16054,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_16055));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13761, STRUCT_REF(BgL_ufz00_16054,
																(int) (((long) 3))), (int) (((long) 3)),
															CINT(BgL_arityz00_16055));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_16081;

											BgL_z12denvz12_16081 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16081,
												BgL_locz00_13761);
											if ((((long) CINT(BgL_bpz00_16049) +
														(long) CINT(BgL_sfz00_16057)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13764))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_16056;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_16082;

													BgL_nsz00_16082 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2233z00_16083;

														BgL_arg2233z00_16083 =
															((long) CINT(BgL_bpz00_16049) + ((long) 3));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16082, ((long) 2), BgL_sz00_13764,
															BgL_bpz00_16049, BINT(BgL_arg2233z00_16083));
													}
													VECTOR_SET(BgL_nsz00_16082, ((long) 1),
														BgL_sz00_13764);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16081,
														BgL_nsz00_16082);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_16084;

														BgL_ez00_16084 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_16084, BgL_sz00_13764);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_16085;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_16086;

																BgL_savedzd2bpzd2_16086 =
																	VECTOR_REF(BgL_nsz00_16082, ((long) 0));
																VECTOR_SET(BgL_nsz00_16082, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16088;

																	BgL_fz00_16088 = BgL_runz00_16056;
																BgL_recz00_16087:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_16089;

																		BgL_rz00_16089 =
																			PROCEDURE_ENTRY(BgL_fz00_16088)
																			(BgL_fz00_16088, BgL_nsz00_16082, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_22041;

																			if (PROCEDUREP(BgL_rz00_16089))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_16090;

																					BgL_arg1693z00_16090 =
																						PROCEDURE_ATTR(BgL_rz00_16089);
																					if (STRUCTP(BgL_arg1693z00_16090))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_22041 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_16090) ==
																								BGl_symbol5799z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_22041 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_22041 = ((bool_t) 0);
																				}
																			if (BgL_testz00_22041)
																				{
																					obj_t BgL_fz00_22049;

																					BgL_fz00_22049 = BgL_rz00_16089;
																					BgL_fz00_16088 = BgL_fz00_22049;
																					goto BgL_recz00_16087;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_16082,
																						((long) 0),
																						BgL_savedzd2bpzd2_16086);
																					BgL_____rz00_16085 = BgL_rz00_16089;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_16084);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16081,
																BgL_sz00_13764);
															return BgL_____rz00_16085;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16050,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16091;

												BgL_nbpz00_16091 =
													((long) CINT(BgL_bpz00_16049) + BgL_siza7eza7_13763);
												VECTOR_SET(
													((obj_t) BgL_sz00_13764), ((long) 0),
													BINT(BgL_nbpz00_16091));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_22061;

													BgL_tmpz00_22061 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22061,
														BgL_locz00_13761);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16092;

													BgL_rz00_16092 =
														PROCEDURE_ENTRY(BgL_fz00_16050) (BgL_fz00_16050,
														BgL_a1z00_16051, BgL_a2z00_16052, BgL_a3z00_16053,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13764), ((long) 0),
														BgL_bpz00_16049);
													return BgL_rz00_16092;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13761,
													BgL_symbzd2funzd2_13762, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_16050));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2238> */
	obj_t BGl_z62zc3anonymousza32238ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13765, obj_t BgL_sz00_13773)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13766;
				obj_t BgL_a1z00_13767;
				obj_t BgL_a2z00_13768;
				obj_t BgL_a3z00_13769;
				obj_t BgL_locz00_13770;
				obj_t BgL_symbzd2funzd2_13771;
				long BgL_siza7eza7_13772;

				BgL_funz00_13766 = PROCEDURE_REF(BgL_envz00_13765, (int) (((long) 0)));
				BgL_a1z00_13767 = PROCEDURE_REF(BgL_envz00_13765, (int) (((long) 1)));
				BgL_a2z00_13768 = PROCEDURE_REF(BgL_envz00_13765, (int) (((long) 2)));
				BgL_a3z00_13769 = PROCEDURE_REF(BgL_envz00_13765, (int) (((long) 3)));
				BgL_locz00_13770 = PROCEDURE_REF(BgL_envz00_13765, (int) (((long) 4)));
				BgL_symbzd2funzd2_13771 =
					PROCEDURE_REF(BgL_envz00_13765, (int) (((long) 5)));
				BgL_siza7eza7_13772 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13765, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16093;

					BgL_bpz00_16093 = VECTOR_REF(((obj_t) BgL_sz00_13773), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16094;
						obj_t BgL_a1z00_16095;
						obj_t BgL_a2z00_16096;
						obj_t BgL_a3z00_16097;

						BgL_fz00_16094 =
							PROCEDURE_ENTRY(BgL_funz00_13766) (BgL_funz00_13766,
							BgL_sz00_13773, BEOA);
						BgL_a1z00_16095 =
							PROCEDURE_ENTRY(BgL_a1z00_13767) (BgL_a1z00_13767, BgL_sz00_13773,
							BEOA);
						BgL_a2z00_16096 =
							PROCEDURE_ENTRY(BgL_a2z00_13768) (BgL_a2z00_13768, BgL_sz00_13773,
							BEOA);
						BgL_a3z00_16097 =
							PROCEDURE_ENTRY(BgL_a3z00_13769) (BgL_a3z00_13769, BgL_sz00_13773,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16094))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13770,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_16094);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16098;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_22111;

								BgL_tmpz00_22111 = ((obj_t) BgL_fz00_16094);
								BgL_ufz00_16098 = PROCEDURE_ATTR(BgL_tmpz00_22111);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22114;

								if (STRUCTP(BgL_ufz00_16098))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22114 =
											(STRUCT_KEY(BgL_ufz00_16098) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22114 = ((bool_t) 0);
									}
								if (BgL_testz00_22114)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16099;
										obj_t BgL_runz00_16100;
										obj_t BgL_sfz00_16101;

										BgL_arityz00_16099 =
											STRUCT_REF(BgL_ufz00_16098, (int) (((long) 0)));
										BgL_runz00_16100 =
											STRUCT_REF(BgL_ufz00_16098, (int) (((long) 1)));
										BgL_sfz00_16101 =
											STRUCT_REF(BgL_ufz00_16098, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16099) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2243z00_16102;

													BgL_arg2243z00_16102 =
														((long) CINT(BgL_bpz00_16093) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13773), BgL_arg2243z00_16102,
														BgL_a1z00_16095);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2244z00_16103;

													BgL_arg2244z00_16103 =
														((long) CINT(BgL_bpz00_16093) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13773), BgL_arg2244z00_16103,
														BgL_a2z00_16096);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2245z00_16104;

													BgL_arg2245z00_16104 =
														((long) CINT(BgL_bpz00_16093) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13773), BgL_arg2245z00_16104,
														BgL_a3z00_16097);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_16099))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_16099))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2247z00_16105;
																	obj_t BgL_arg2248z00_16106;

																	BgL_arg2247z00_16105 =
																		((long) CINT(BgL_bpz00_16093) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2249z00_16107;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2250z00_16108;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2251z00_16109;

																				BgL_arg2251z00_16109 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16097,
																					BNIL);
																				BgL_arg2250z00_16108 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16096,
																					BgL_arg2251z00_16109);
																			}
																			BgL_list2249z00_16107 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16095,
																				BgL_arg2250z00_16108);
																		}
																		BgL_arg2248z00_16106 =
																			BgL_list2249z00_16107;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13773),
																		BgL_arg2247z00_16105, BgL_arg2248z00_16106);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2252z00_16110;

																	BgL_arg2252z00_16110 =
																		((long) CINT(BgL_bpz00_16093) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13773),
																		BgL_arg2252z00_16110, BgL_a1z00_16095);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2253z00_16111;
																	obj_t BgL_arg2254z00_16112;

																	BgL_arg2253z00_16111 =
																		((long) CINT(BgL_bpz00_16093) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2255z00_16113;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2256z00_16114;

																			BgL_arg2256z00_16114 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16097, BNIL);
																			BgL_list2255z00_16113 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16096,
																				BgL_arg2256z00_16114);
																		}
																		BgL_arg2254z00_16112 =
																			BgL_list2255z00_16113;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13773),
																		BgL_arg2253z00_16111, BgL_arg2254z00_16112);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2257z00_16115;

																	BgL_arg2257z00_16115 =
																		((long) CINT(BgL_bpz00_16093) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13773),
																		BgL_arg2257z00_16115, BgL_a1z00_16095);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2259z00_16116;

																	BgL_arg2259z00_16116 =
																		((long) CINT(BgL_bpz00_16093) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13773),
																		BgL_arg2259z00_16116, BgL_a2z00_16096);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2260z00_16117;
																	obj_t BgL_arg2262z00_16118;

																	BgL_arg2260z00_16117 =
																		((long) CINT(BgL_bpz00_16093) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2263z00_16119;

																		BgL_list2263z00_16119 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_16097, BNIL);
																		BgL_arg2262z00_16118 =
																			BgL_list2263z00_16119;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13773),
																		BgL_arg2260z00_16117, BgL_arg2262z00_16118);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2264z00_16120;

																	BgL_arg2264z00_16120 =
																		((long) CINT(BgL_bpz00_16093) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13773),
																		BgL_arg2264z00_16120, BgL_a1z00_16095);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2265z00_16121;

																	BgL_arg2265z00_16121 =
																		((long) CINT(BgL_bpz00_16093) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13773),
																		BgL_arg2265z00_16121, BgL_a2z00_16096);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2266z00_16122;

																	BgL_arg2266z00_16122 =
																		((long) CINT(BgL_bpz00_16093) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13773),
																		BgL_arg2266z00_16122, BgL_a3z00_16097);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2267z00_16123;
																	obj_t BgL_arg2268z00_16124;

																	BgL_arg2267z00_16123 =
																		((long) CINT(BgL_bpz00_16093) + ((long) 3));
																	BgL_arg2268z00_16124 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13773),
																		BgL_arg2267z00_16123, BgL_arg2268z00_16124);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13770, STRUCT_REF(BgL_ufz00_16098,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_16099));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13770, STRUCT_REF(BgL_ufz00_16098,
																(int) (((long) 3))), (int) (((long) 3)),
															CINT(BgL_arityz00_16099));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_16125;

											BgL_z12denvz12_16125 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_16093) +
														(long) CINT(BgL_sfz00_16101)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13773))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_16100;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_16126;

													BgL_nsz00_16126 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2272z00_16127;

														BgL_arg2272z00_16127 =
															((long) CINT(BgL_bpz00_16093) + ((long) 3));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16126, ((long) 2), BgL_sz00_13773,
															BgL_bpz00_16093, BINT(BgL_arg2272z00_16127));
													}
													VECTOR_SET(BgL_nsz00_16126, ((long) 1),
														BgL_sz00_13773);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16125,
														BgL_nsz00_16126);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_16128;

														BgL_ez00_16128 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_16128, BgL_sz00_13773);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_16129;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_16130;

																BgL_savedzd2bpzd2_16130 =
																	VECTOR_REF(BgL_nsz00_16126, ((long) 0));
																VECTOR_SET(BgL_nsz00_16126, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16132;

																	BgL_fz00_16132 = BgL_runz00_16100;
																BgL_recz00_16131:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_16133;

																		BgL_rz00_16133 =
																			PROCEDURE_ENTRY(BgL_fz00_16132)
																			(BgL_fz00_16132, BgL_nsz00_16126, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_22224;

																			if (PROCEDUREP(BgL_rz00_16133))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_16134;

																					BgL_arg1693z00_16134 =
																						PROCEDURE_ATTR(BgL_rz00_16133);
																					if (STRUCTP(BgL_arg1693z00_16134))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_22224 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_16134) ==
																								BGl_symbol5799z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_22224 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_22224 = ((bool_t) 0);
																				}
																			if (BgL_testz00_22224)
																				{
																					obj_t BgL_fz00_22232;

																					BgL_fz00_22232 = BgL_rz00_16133;
																					BgL_fz00_16132 = BgL_fz00_22232;
																					goto BgL_recz00_16131;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_16126,
																						((long) 0),
																						BgL_savedzd2bpzd2_16130);
																					BgL_____rz00_16129 = BgL_rz00_16133;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_16128);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16125,
																BgL_sz00_13773);
															return BgL_____rz00_16129;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16094,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16135;

												BgL_nbpz00_16135 =
													((long) CINT(BgL_bpz00_16093) + BgL_siza7eza7_13772);
												VECTOR_SET(
													((obj_t) BgL_sz00_13773), ((long) 0),
													BINT(BgL_nbpz00_16135));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16136;

													BgL_rz00_16136 =
														PROCEDURE_ENTRY(BgL_fz00_16094) (BgL_fz00_16094,
														BgL_a1z00_16095, BgL_a2z00_16096, BgL_a3z00_16097,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13773), ((long) 0),
														BgL_bpz00_16093);
													return BgL_rz00_16136;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13770,
													BgL_symbzd2funzd2_13771, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_16094));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2278> */
	obj_t BGl_z62zc3anonymousza32278ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13774, obj_t BgL_sz00_13782)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13775;
				obj_t BgL_a1z00_13776;
				obj_t BgL_a2z00_13777;
				obj_t BgL_a3z00_13778;
				obj_t BgL_locz00_13779;
				obj_t BgL_symbzd2funzd2_13780;
				long BgL_siza7eza7_13781;

				BgL_funz00_13775 = PROCEDURE_REF(BgL_envz00_13774, (int) (((long) 0)));
				BgL_a1z00_13776 = PROCEDURE_REF(BgL_envz00_13774, (int) (((long) 1)));
				BgL_a2z00_13777 = PROCEDURE_REF(BgL_envz00_13774, (int) (((long) 2)));
				BgL_a3z00_13778 = PROCEDURE_REF(BgL_envz00_13774, (int) (((long) 3)));
				BgL_locz00_13779 = PROCEDURE_REF(BgL_envz00_13774, (int) (((long) 4)));
				BgL_symbzd2funzd2_13780 =
					PROCEDURE_REF(BgL_envz00_13774, (int) (((long) 5)));
				BgL_siza7eza7_13781 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13774, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16137;

					BgL_bpz00_16137 = VECTOR_REF(((obj_t) BgL_sz00_13782), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16138;
						obj_t BgL_a1z00_16139;
						obj_t BgL_a2z00_16140;
						obj_t BgL_a3z00_16141;

						BgL_fz00_16138 =
							PROCEDURE_ENTRY(BgL_funz00_13775) (BgL_funz00_13775,
							BgL_sz00_13782, BEOA);
						BgL_a1z00_16139 =
							PROCEDURE_ENTRY(BgL_a1z00_13776) (BgL_a1z00_13776, BgL_sz00_13782,
							BEOA);
						BgL_a2z00_16140 =
							PROCEDURE_ENTRY(BgL_a2z00_13777) (BgL_a2z00_13777, BgL_sz00_13782,
							BEOA);
						BgL_a3z00_16141 =
							PROCEDURE_ENTRY(BgL_a3z00_13778) (BgL_a3z00_13778, BgL_sz00_13782,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16138))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13779,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_16138);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16142;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_22291;

								BgL_tmpz00_22291 = ((obj_t) BgL_fz00_16138);
								BgL_ufz00_16142 = PROCEDURE_ATTR(BgL_tmpz00_22291);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22294;

								if (STRUCTP(BgL_ufz00_16142))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22294 =
											(STRUCT_KEY(BgL_ufz00_16142) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22294 = ((bool_t) 0);
									}
								if (BgL_testz00_22294)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16143;
										obj_t BgL_runz00_16144;
										obj_t BgL_sfz00_16145;

										BgL_arityz00_16143 =
											STRUCT_REF(BgL_ufz00_16142, (int) (((long) 0)));
										BgL_runz00_16144 =
											STRUCT_REF(BgL_ufz00_16142, (int) (((long) 1)));
										BgL_sfz00_16145 =
											STRUCT_REF(BgL_ufz00_16142, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_16146;

											BgL_spz00_16146 =
												((long) CINT(BgL_bpz00_16137) + BgL_siza7eza7_13781);
											if (((long) CINT(BgL_arityz00_16143) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2282z00_16147;

														BgL_arg2282z00_16147 =
															(BgL_spz00_16146 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13782), BgL_arg2282z00_16147,
															BgL_a1z00_16139);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2283z00_16148;

														BgL_arg2283z00_16148 =
															(BgL_spz00_16146 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13782), BgL_arg2283z00_16148,
															BgL_a2z00_16140);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2284z00_16149;

														BgL_arg2284z00_16149 =
															(BgL_spz00_16146 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13782), BgL_arg2284z00_16149,
															BgL_a3z00_16141);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_16143))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_16143))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2286z00_16150;
																		obj_t BgL_arg2288z00_16151;

																		BgL_arg2286z00_16150 =
																			(BgL_spz00_16146 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2289z00_16152;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2291z00_16153;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2292z00_16154;

																					BgL_arg2292z00_16154 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16141,
																						BNIL);
																					BgL_arg2291z00_16153 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16140,
																						BgL_arg2292z00_16154);
																				}
																				BgL_list2289z00_16152 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16139,
																					BgL_arg2291z00_16153);
																			}
																			BgL_arg2288z00_16151 =
																				BgL_list2289z00_16152;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2286z00_16150,
																			BgL_arg2288z00_16151);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2293z00_16155;

																		BgL_arg2293z00_16155 =
																			(BgL_spz00_16146 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2293z00_16155, BgL_a1z00_16139);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2294z00_16156;
																		obj_t BgL_arg2295z00_16157;

																		BgL_arg2294z00_16156 =
																			(BgL_spz00_16146 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2296z00_16158;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2297z00_16159;

																				BgL_arg2297z00_16159 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16141,
																					BNIL);
																				BgL_list2296z00_16158 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16140,
																					BgL_arg2297z00_16159);
																			}
																			BgL_arg2295z00_16157 =
																				BgL_list2296z00_16158;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2294z00_16156,
																			BgL_arg2295z00_16157);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2298z00_16160;

																		BgL_arg2298z00_16160 =
																			(BgL_spz00_16146 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2298z00_16160, BgL_a1z00_16139);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2299z00_16161;

																		BgL_arg2299z00_16161 =
																			(BgL_spz00_16146 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2299z00_16161, BgL_a2z00_16140);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2300z00_16162;
																		obj_t BgL_arg2302z00_16163;

																		BgL_arg2300z00_16162 =
																			(BgL_spz00_16146 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2303z00_16164;

																			BgL_list2303z00_16164 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16141, BNIL);
																			BgL_arg2302z00_16163 =
																				BgL_list2303z00_16164;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2300z00_16162,
																			BgL_arg2302z00_16163);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2304z00_16165;

																		BgL_arg2304z00_16165 =
																			(BgL_spz00_16146 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2304z00_16165, BgL_a1z00_16139);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2306z00_16166;

																		BgL_arg2306z00_16166 =
																			(BgL_spz00_16146 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2306z00_16166, BgL_a2z00_16140);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2307z00_16167;

																		BgL_arg2307z00_16167 =
																			(BgL_spz00_16146 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2307z00_16167, BgL_a3z00_16141);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2309z00_16168;
																		obj_t BgL_arg2310z00_16169;

																		BgL_arg2309z00_16168 =
																			(BgL_spz00_16146 + ((long) 3));
																		BgL_arg2310z00_16169 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2309z00_16168,
																			BgL_arg2310z00_16169);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13779,
																		STRUCT_REF(BgL_ufz00_16142,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_16143));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13779, STRUCT_REF(BgL_ufz00_16142,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_16143));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_16170;

												BgL_z12denvz12_16170 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16170,
													BgL_locz00_13779);
												if (((BgL_spz00_16146 + (long) CINT(BgL_sfz00_16145)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13782))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16144, BgL_sz00_13782,
															BINT(BgL_spz00_16146));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_16171;

														BgL_nsz00_16171 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2314z00_16172;

															BgL_arg2314z00_16172 =
																(BgL_spz00_16146 + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16171, ((long) 2), BgL_sz00_13782,
																BINT(BgL_spz00_16146),
																BINT(BgL_arg2314z00_16172));
														}
														VECTOR_SET(BgL_nsz00_16171, ((long) 1),
															BgL_sz00_13782);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16170,
															BgL_nsz00_16171);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_16173;

															BgL_ez00_16173 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_16173, BgL_sz00_13782);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_16174;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_16175;

																	BgL_savedzd2bpzd2_16175 =
																		VECTOR_REF(BgL_nsz00_16171, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16171, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16177;

																		BgL_fz00_16177 = BgL_runz00_16144;
																	BgL_recz00_16176:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_16178;

																			BgL_rz00_16178 =
																				PROCEDURE_ENTRY(BgL_fz00_16177)
																				(BgL_fz00_16177, BgL_nsz00_16171, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_22395;

																				if (PROCEDUREP(BgL_rz00_16178))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_16179;

																						BgL_arg1693z00_16179 =
																							PROCEDURE_ATTR(BgL_rz00_16178);
																						if (STRUCTP(BgL_arg1693z00_16179))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_22395 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_16179) ==
																									BGl_symbol5799z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_22395 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_22395 = ((bool_t) 0);
																					}
																				if (BgL_testz00_22395)
																					{
																						obj_t BgL_fz00_22403;

																						BgL_fz00_22403 = BgL_rz00_16178;
																						BgL_fz00_16177 = BgL_fz00_22403;
																						goto BgL_recz00_16176;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_16171,
																							((long) 0),
																							BgL_savedzd2bpzd2_16175);
																						BgL_____rz00_16174 = BgL_rz00_16178;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_16173);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16170,
																	BgL_sz00_13782);
																return BgL_____rz00_16174;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16138,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16180;

												BgL_nbpz00_16180 =
													((long) CINT(BgL_bpz00_16137) + BgL_siza7eza7_13781);
												VECTOR_SET(
													((obj_t) BgL_sz00_13782), ((long) 0),
													BINT(BgL_nbpz00_16180));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_22415;

													BgL_tmpz00_22415 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22415,
														BgL_locz00_13779);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16181;

													BgL_rz00_16181 =
														PROCEDURE_ENTRY(BgL_fz00_16138) (BgL_fz00_16138,
														BgL_a1z00_16139, BgL_a2z00_16140, BgL_a3z00_16141,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13782), ((long) 0),
														BgL_bpz00_16137);
													return BgL_rz00_16181;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13779,
													BgL_symbzd2funzd2_13780, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_16138));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2318> */
	obj_t BGl_z62zc3anonymousza32318ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13783, obj_t BgL_sz00_13791)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13784;
				obj_t BgL_a1z00_13785;
				obj_t BgL_a2z00_13786;
				obj_t BgL_a3z00_13787;
				obj_t BgL_locz00_13788;
				obj_t BgL_symbzd2funzd2_13789;
				long BgL_siza7eza7_13790;

				BgL_funz00_13784 = PROCEDURE_REF(BgL_envz00_13783, (int) (((long) 0)));
				BgL_a1z00_13785 = PROCEDURE_REF(BgL_envz00_13783, (int) (((long) 1)));
				BgL_a2z00_13786 = PROCEDURE_REF(BgL_envz00_13783, (int) (((long) 2)));
				BgL_a3z00_13787 = PROCEDURE_REF(BgL_envz00_13783, (int) (((long) 3)));
				BgL_locz00_13788 = PROCEDURE_REF(BgL_envz00_13783, (int) (((long) 4)));
				BgL_symbzd2funzd2_13789 =
					PROCEDURE_REF(BgL_envz00_13783, (int) (((long) 5)));
				BgL_siza7eza7_13790 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13783, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16182;

					BgL_bpz00_16182 = VECTOR_REF(((obj_t) BgL_sz00_13791), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16183;
						obj_t BgL_a1z00_16184;
						obj_t BgL_a2z00_16185;
						obj_t BgL_a3z00_16186;

						BgL_fz00_16183 =
							PROCEDURE_ENTRY(BgL_funz00_13784) (BgL_funz00_13784,
							BgL_sz00_13791, BEOA);
						BgL_a1z00_16184 =
							PROCEDURE_ENTRY(BgL_a1z00_13785) (BgL_a1z00_13785, BgL_sz00_13791,
							BEOA);
						BgL_a2z00_16185 =
							PROCEDURE_ENTRY(BgL_a2z00_13786) (BgL_a2z00_13786, BgL_sz00_13791,
							BEOA);
						BgL_a3z00_16186 =
							PROCEDURE_ENTRY(BgL_a3z00_13787) (BgL_a3z00_13787, BgL_sz00_13791,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16183))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13788,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_16183);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16187;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_22465;

								BgL_tmpz00_22465 = ((obj_t) BgL_fz00_16183);
								BgL_ufz00_16187 = PROCEDURE_ATTR(BgL_tmpz00_22465);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22468;

								if (STRUCTP(BgL_ufz00_16187))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22468 =
											(STRUCT_KEY(BgL_ufz00_16187) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22468 = ((bool_t) 0);
									}
								if (BgL_testz00_22468)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16188;
										obj_t BgL_runz00_16189;
										obj_t BgL_sfz00_16190;

										BgL_arityz00_16188 =
											STRUCT_REF(BgL_ufz00_16187, (int) (((long) 0)));
										BgL_runz00_16189 =
											STRUCT_REF(BgL_ufz00_16187, (int) (((long) 1)));
										BgL_sfz00_16190 =
											STRUCT_REF(BgL_ufz00_16187, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_16191;

											BgL_spz00_16191 =
												((long) CINT(BgL_bpz00_16182) + BgL_siza7eza7_13790);
											if (((long) CINT(BgL_arityz00_16188) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2322z00_16192;

														BgL_arg2322z00_16192 =
															(BgL_spz00_16191 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13791), BgL_arg2322z00_16192,
															BgL_a1z00_16184);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2323z00_16193;

														BgL_arg2323z00_16193 =
															(BgL_spz00_16191 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13791), BgL_arg2323z00_16193,
															BgL_a2z00_16185);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2324z00_16194;

														BgL_arg2324z00_16194 =
															(BgL_spz00_16191 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13791), BgL_arg2324z00_16194,
															BgL_a3z00_16186);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_16188))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_16188))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2326z00_16195;
																		obj_t BgL_arg2327z00_16196;

																		BgL_arg2326z00_16195 =
																			(BgL_spz00_16191 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2328z00_16197;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2329z00_16198;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2330z00_16199;

																					BgL_arg2330z00_16199 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16186,
																						BNIL);
																					BgL_arg2329z00_16198 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16185,
																						BgL_arg2330z00_16199);
																				}
																				BgL_list2328z00_16197 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16184,
																					BgL_arg2329z00_16198);
																			}
																			BgL_arg2327z00_16196 =
																				BgL_list2328z00_16197;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13791),
																			BgL_arg2326z00_16195,
																			BgL_arg2327z00_16196);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2332z00_16200;

																		BgL_arg2332z00_16200 =
																			(BgL_spz00_16191 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13791),
																			BgL_arg2332z00_16200, BgL_a1z00_16184);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2333z00_16201;
																		obj_t BgL_arg2334z00_16202;

																		BgL_arg2333z00_16201 =
																			(BgL_spz00_16191 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2335z00_16203;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2336z00_16204;

																				BgL_arg2336z00_16204 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16186,
																					BNIL);
																				BgL_list2335z00_16203 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16185,
																					BgL_arg2336z00_16204);
																			}
																			BgL_arg2334z00_16202 =
																				BgL_list2335z00_16203;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13791),
																			BgL_arg2333z00_16201,
																			BgL_arg2334z00_16202);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2337z00_16205;

																		BgL_arg2337z00_16205 =
																			(BgL_spz00_16191 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13791),
																			BgL_arg2337z00_16205, BgL_a1z00_16184);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2338z00_16206;

																		BgL_arg2338z00_16206 =
																			(BgL_spz00_16191 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13791),
																			BgL_arg2338z00_16206, BgL_a2z00_16185);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2339z00_16207;
																		obj_t BgL_arg2340z00_16208;

																		BgL_arg2339z00_16207 =
																			(BgL_spz00_16191 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2341z00_16209;

																			BgL_list2341z00_16209 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16186, BNIL);
																			BgL_arg2340z00_16208 =
																				BgL_list2341z00_16209;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13791),
																			BgL_arg2339z00_16207,
																			BgL_arg2340z00_16208);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2342z00_16210;

																		BgL_arg2342z00_16210 =
																			(BgL_spz00_16191 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13791),
																			BgL_arg2342z00_16210, BgL_a1z00_16184);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2343z00_16211;

																		BgL_arg2343z00_16211 =
																			(BgL_spz00_16191 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13791),
																			BgL_arg2343z00_16211, BgL_a2z00_16185);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2344z00_16212;

																		BgL_arg2344z00_16212 =
																			(BgL_spz00_16191 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13791),
																			BgL_arg2344z00_16212, BgL_a3z00_16186);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2345z00_16213;
																		obj_t BgL_arg2346z00_16214;

																		BgL_arg2345z00_16213 =
																			(BgL_spz00_16191 + ((long) 3));
																		BgL_arg2346z00_16214 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13791),
																			BgL_arg2345z00_16213,
																			BgL_arg2346z00_16214);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13788,
																		STRUCT_REF(BgL_ufz00_16187,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_16188));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13788, STRUCT_REF(BgL_ufz00_16187,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_16188));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_16215;

												BgL_z12denvz12_16215 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_16191 +
															(long) CINT(BgL_sfz00_16190)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13791))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16189, BgL_sz00_13791,
															BINT(BgL_spz00_16191));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_16216;

														BgL_nsz00_16216 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2350z00_16217;

															BgL_arg2350z00_16217 =
																(BgL_spz00_16191 + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16216, ((long) 2), BgL_sz00_13791,
																BINT(BgL_spz00_16191),
																BINT(BgL_arg2350z00_16217));
														}
														VECTOR_SET(BgL_nsz00_16216, ((long) 1),
															BgL_sz00_13791);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16215,
															BgL_nsz00_16216);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_16218;

															BgL_ez00_16218 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_16218, BgL_sz00_13791);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_16219;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_16220;

																	BgL_savedzd2bpzd2_16220 =
																		VECTOR_REF(BgL_nsz00_16216, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16216, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16222;

																		BgL_fz00_16222 = BgL_runz00_16189;
																	BgL_recz00_16221:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_16223;

																			BgL_rz00_16223 =
																				PROCEDURE_ENTRY(BgL_fz00_16222)
																				(BgL_fz00_16222, BgL_nsz00_16216, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_22568;

																				if (PROCEDUREP(BgL_rz00_16223))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_16224;

																						BgL_arg1693z00_16224 =
																							PROCEDURE_ATTR(BgL_rz00_16223);
																						if (STRUCTP(BgL_arg1693z00_16224))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_22568 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_16224) ==
																									BGl_symbol5799z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_22568 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_22568 = ((bool_t) 0);
																					}
																				if (BgL_testz00_22568)
																					{
																						obj_t BgL_fz00_22576;

																						BgL_fz00_22576 = BgL_rz00_16223;
																						BgL_fz00_16222 = BgL_fz00_22576;
																						goto BgL_recz00_16221;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_16216,
																							((long) 0),
																							BgL_savedzd2bpzd2_16220);
																						BgL_____rz00_16219 = BgL_rz00_16223;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_16218);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16215,
																	BgL_sz00_13791);
																return BgL_____rz00_16219;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16183,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16225;

												BgL_nbpz00_16225 =
													((long) CINT(BgL_bpz00_16182) + BgL_siza7eza7_13790);
												VECTOR_SET(
													((obj_t) BgL_sz00_13791), ((long) 0),
													BINT(BgL_nbpz00_16225));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16226;

													BgL_rz00_16226 =
														PROCEDURE_ENTRY(BgL_fz00_16183) (BgL_fz00_16183,
														BgL_a1z00_16184, BgL_a2z00_16185, BgL_a3z00_16186,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13791), ((long) 0),
														BgL_bpz00_16182);
													return BgL_rz00_16226;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13788,
													BgL_symbzd2funzd2_13789, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_16183));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172,
		BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174,
		obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177,
		long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180,
		obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_cfunz00_2715;

				BgL_cfunz00_2715 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173,
					((long) 4), BgL_locz00_172, BgL_symbzd2funzd2_174);
				if (CBOOL(BgL_cfunz00_2715))
					{	/* Eval/evaluate_comp.scm 889 */
						bool_t BgL_testz00_22602;

						{	/* Eval/evaluate_comp.scm 889 */
							int BgL_arg2359z00_2737;

							BgL_arg2359z00_2737 = bgl_debug();
							BgL_testz00_22602 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2359z00_2737),
								BINT(((long) 0)));
						}
						if (BgL_testz00_22602)
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32356ze3z83_13792;

								BgL_zc3anonymousza32356ze3z83_13792 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32356ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza32356ze3z83_13792,
									(int) (((long) 0)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32356ze3z83_13792,
									(int) (((long) 1)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32356ze3z83_13792,
									(int) (((long) 2)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3anonymousza32356ze3z83_13792,
									(int) (((long) 3)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3anonymousza32356ze3z83_13792,
									(int) (((long) 4)), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3anonymousza32356ze3z83_13792,
									(int) (((long) 5)), BgL_locz00_172);
								PROCEDURE_SET(BgL_zc3anonymousza32356ze3z83_13792,
									(int) (((long) 6)), BgL_cfunz00_2715);
								return BgL_zc3anonymousza32356ze3z83_13792;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32358ze3z83_13793;

								BgL_zc3anonymousza32358ze3z83_13793 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32358ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32358ze3z83_13793,
									(int) (((long) 0)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32358ze3z83_13793,
									(int) (((long) 1)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32358ze3z83_13793,
									(int) (((long) 2)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3anonymousza32358ze3z83_13793,
									(int) (((long) 3)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3anonymousza32358ze3z83_13793,
									(int) (((long) 4)), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3anonymousza32358ze3z83_13793,
									(int) (((long) 5)), BgL_cfunz00_2715);
								return BgL_zc3anonymousza32358ze3z83_13793;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 889 */
						if (CBOOL(BgL_tailzf3zf3_176))
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22643;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2470z00_2873;

									BgL_arg2470z00_2873 = bgl_debug();
									BgL_testz00_22643 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2470z00_2873),
										BINT(((long) 0)));
								}
								if (BgL_testz00_22643)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32362ze3z83_13794;

										BgL_zc3anonymousza32362ze3z83_13794 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32362ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_13794,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_13794,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_13794,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_13794,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_13794,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_13794,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_13794,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_13794,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32362ze3z83_13794;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32417ze3z83_13795;

										BgL_zc3anonymousza32417ze3z83_13795 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32417ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32417ze3z83_13795,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32417ze3z83_13795,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32417ze3z83_13795,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32417ze3z83_13795,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32417ze3z83_13795,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32417ze3z83_13795,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32417ze3z83_13795,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32417ze3z83_13795,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32417ze3z83_13795;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22688;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2603z00_3009;

									BgL_arg2603z00_3009 = bgl_debug();
									BgL_testz00_22688 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2603z00_3009),
										BINT(((long) 0)));
								}
								if (BgL_testz00_22688)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32473ze3z83_13796;

										BgL_zc3anonymousza32473ze3z83_13796 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32473ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32473ze3z83_13796,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32473ze3z83_13796,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32473ze3z83_13796,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32473ze3z83_13796,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32473ze3z83_13796,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32473ze3z83_13796,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32473ze3z83_13796,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32473ze3z83_13796,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32473ze3z83_13796;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32526ze3z83_13797;

										BgL_zc3anonymousza32526ze3z83_13797 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32526ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32526ze3z83_13797,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32526ze3z83_13797,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32526ze3z83_13797,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32526ze3z83_13797,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32526ze3z83_13797,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32526ze3z83_13797,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32526ze3z83_13797,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32526ze3z83_13797,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32526ze3z83_13797;
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2356> */
	obj_t BGl_z62zc3anonymousza32356ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13798, obj_t BgL_sz00_13806)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13799;
				obj_t BgL_a2z00_13800;
				obj_t BgL_a3z00_13801;
				obj_t BgL_a4z00_13802;
				long BgL_siza7eza7_13803;
				obj_t BgL_locz00_13804;
				obj_t BgL_cfunz00_13805;

				BgL_a1z00_13799 = PROCEDURE_REF(BgL_envz00_13798, (int) (((long) 0)));
				BgL_a2z00_13800 = PROCEDURE_REF(BgL_envz00_13798, (int) (((long) 1)));
				BgL_a3z00_13801 = PROCEDURE_REF(BgL_envz00_13798, (int) (((long) 2)));
				BgL_a4z00_13802 = PROCEDURE_REF(BgL_envz00_13798, (int) (((long) 3)));
				BgL_siza7eza7_13803 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13798, (int) (((long) 4))));
				BgL_locz00_13804 = PROCEDURE_REF(BgL_envz00_13798, (int) (((long) 5)));
				BgL_cfunz00_13805 = PROCEDURE_REF(BgL_envz00_13798, (int) (((long) 6)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16227;

					BgL_bpz00_16227 = VECTOR_REF(((obj_t) BgL_sz00_13806), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_16228;
						obj_t BgL_a2z00_16229;
						obj_t BgL_a3z00_16230;
						obj_t BgL_a4z00_16231;

						BgL_a1z00_16228 =
							PROCEDURE_ENTRY(BgL_a1z00_13799) (BgL_a1z00_13799, BgL_sz00_13806,
							BEOA);
						BgL_a2z00_16229 =
							PROCEDURE_ENTRY(BgL_a2z00_13800) (BgL_a2z00_13800, BgL_sz00_13806,
							BEOA);
						BgL_a3z00_16230 =
							PROCEDURE_ENTRY(BgL_a3z00_13801) (BgL_a3z00_13801, BgL_sz00_13806,
							BEOA);
						BgL_a4z00_16231 =
							PROCEDURE_ENTRY(BgL_a4z00_13802) (BgL_a4z00_13802, BgL_sz00_13806,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_16232;

							BgL_nbpz00_16232 =
								((long) CINT(BgL_bpz00_16227) + BgL_siza7eza7_13803);
							VECTOR_SET(
								((obj_t) BgL_sz00_13806), ((long) 0), BINT(BgL_nbpz00_16232));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_22771;

								BgL_tmpz00_22771 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22771, BgL_locz00_13804);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_16233;

								BgL_rz00_16233 =
									PROCEDURE_ENTRY(BgL_cfunz00_13805) (BgL_cfunz00_13805,
									BgL_a1z00_16228, BgL_a2z00_16229, BgL_a3z00_16230,
									BgL_a4z00_16231, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13806), ((long) 0),
									BgL_bpz00_16227);
								return BgL_rz00_16233;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2358> */
	obj_t BGl_z62zc3anonymousza32358ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13807, obj_t BgL_sz00_13814)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13808;
				obj_t BgL_a2z00_13809;
				obj_t BgL_a3z00_13810;
				obj_t BgL_a4z00_13811;
				long BgL_siza7eza7_13812;
				obj_t BgL_cfunz00_13813;

				BgL_a1z00_13808 = PROCEDURE_REF(BgL_envz00_13807, (int) (((long) 0)));
				BgL_a2z00_13809 = PROCEDURE_REF(BgL_envz00_13807, (int) (((long) 1)));
				BgL_a3z00_13810 = PROCEDURE_REF(BgL_envz00_13807, (int) (((long) 2)));
				BgL_a4z00_13811 = PROCEDURE_REF(BgL_envz00_13807, (int) (((long) 3)));
				BgL_siza7eza7_13812 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13807, (int) (((long) 4))));
				BgL_cfunz00_13813 = PROCEDURE_REF(BgL_envz00_13807, (int) (((long) 5)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16234;

					BgL_bpz00_16234 = VECTOR_REF(((obj_t) BgL_sz00_13814), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_16235;
						obj_t BgL_a2z00_16236;
						obj_t BgL_a3z00_16237;
						obj_t BgL_a4z00_16238;

						BgL_a1z00_16235 =
							PROCEDURE_ENTRY(BgL_a1z00_13808) (BgL_a1z00_13808, BgL_sz00_13814,
							BEOA);
						BgL_a2z00_16236 =
							PROCEDURE_ENTRY(BgL_a2z00_13809) (BgL_a2z00_13809, BgL_sz00_13814,
							BEOA);
						BgL_a3z00_16237 =
							PROCEDURE_ENTRY(BgL_a3z00_13810) (BgL_a3z00_13810, BgL_sz00_13814,
							BEOA);
						BgL_a4z00_16238 =
							PROCEDURE_ENTRY(BgL_a4z00_13811) (BgL_a4z00_13811, BgL_sz00_13814,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_16239;

							BgL_nbpz00_16239 =
								((long) CINT(BgL_bpz00_16234) + BgL_siza7eza7_13812);
							VECTOR_SET(
								((obj_t) BgL_sz00_13814), ((long) 0), BINT(BgL_nbpz00_16239));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_16240;

								BgL_rz00_16240 =
									PROCEDURE_ENTRY(BgL_cfunz00_13813) (BgL_cfunz00_13813,
									BgL_a1z00_16235, BgL_a2z00_16236, BgL_a3z00_16237,
									BgL_a4z00_16238, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13814), ((long) 0),
									BgL_bpz00_16234);
								return BgL_rz00_16240;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2362> */
	obj_t BGl_z62zc3anonymousza32362ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13815, obj_t BgL_sz00_13824)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13816;
				obj_t BgL_a1z00_13817;
				obj_t BgL_a2z00_13818;
				obj_t BgL_a3z00_13819;
				obj_t BgL_a4z00_13820;
				obj_t BgL_locz00_13821;
				obj_t BgL_symbzd2funzd2_13822;
				long BgL_siza7eza7_13823;

				BgL_funz00_13816 = PROCEDURE_REF(BgL_envz00_13815, (int) (((long) 0)));
				BgL_a1z00_13817 = PROCEDURE_REF(BgL_envz00_13815, (int) (((long) 1)));
				BgL_a2z00_13818 = PROCEDURE_REF(BgL_envz00_13815, (int) (((long) 2)));
				BgL_a3z00_13819 = PROCEDURE_REF(BgL_envz00_13815, (int) (((long) 3)));
				BgL_a4z00_13820 = PROCEDURE_REF(BgL_envz00_13815, (int) (((long) 4)));
				BgL_locz00_13821 = PROCEDURE_REF(BgL_envz00_13815, (int) (((long) 5)));
				BgL_symbzd2funzd2_13822 =
					PROCEDURE_REF(BgL_envz00_13815, (int) (((long) 6)));
				BgL_siza7eza7_13823 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13815, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16241;

					BgL_bpz00_16241 = VECTOR_REF(((obj_t) BgL_sz00_13824), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16242;
						obj_t BgL_a1z00_16243;
						obj_t BgL_a2z00_16244;
						obj_t BgL_a3z00_16245;
						obj_t BgL_a4z00_16246;

						BgL_fz00_16242 =
							PROCEDURE_ENTRY(BgL_funz00_13816) (BgL_funz00_13816,
							BgL_sz00_13824, BEOA);
						BgL_a1z00_16243 =
							PROCEDURE_ENTRY(BgL_a1z00_13817) (BgL_a1z00_13817, BgL_sz00_13824,
							BEOA);
						BgL_a2z00_16244 =
							PROCEDURE_ENTRY(BgL_a2z00_13818) (BgL_a2z00_13818, BgL_sz00_13824,
							BEOA);
						BgL_a3z00_16245 =
							PROCEDURE_ENTRY(BgL_a3z00_13819) (BgL_a3z00_13819, BgL_sz00_13824,
							BEOA);
						BgL_a4z00_16246 =
							PROCEDURE_ENTRY(BgL_a4z00_13820) (BgL_a4z00_13820, BgL_sz00_13824,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16242))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13821,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_16242);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16247;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_22870;

								BgL_tmpz00_22870 = ((obj_t) BgL_fz00_16242);
								BgL_ufz00_16247 = PROCEDURE_ATTR(BgL_tmpz00_22870);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22873;

								if (STRUCTP(BgL_ufz00_16247))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22873 =
											(STRUCT_KEY(BgL_ufz00_16247) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22873 = ((bool_t) 0);
									}
								if (BgL_testz00_22873)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16248;
										obj_t BgL_runz00_16249;
										obj_t BgL_sfz00_16250;

										BgL_arityz00_16248 =
											STRUCT_REF(BgL_ufz00_16247, (int) (((long) 0)));
										BgL_runz00_16249 =
											STRUCT_REF(BgL_ufz00_16247, (int) (((long) 1)));
										BgL_sfz00_16250 =
											STRUCT_REF(BgL_ufz00_16247, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16248) == ((long) 4)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2366z00_16251;

													BgL_arg2366z00_16251 =
														((long) CINT(BgL_bpz00_16241) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13824), BgL_arg2366z00_16251,
														BgL_a1z00_16243);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2368z00_16252;

													BgL_arg2368z00_16252 =
														((long) CINT(BgL_bpz00_16241) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13824), BgL_arg2368z00_16252,
														BgL_a2z00_16244);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2369z00_16253;

													BgL_arg2369z00_16253 =
														((long) CINT(BgL_bpz00_16241) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13824), BgL_arg2369z00_16253,
														BgL_a3z00_16245);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2370z00_16254;

													BgL_arg2370z00_16254 =
														((long) CINT(BgL_bpz00_16241) + ((long) 3));
													VECTOR_SET(
														((obj_t) BgL_sz00_13824), BgL_arg2370z00_16254,
														BgL_a4z00_16246);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_16248))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_16248))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2372z00_16255;
																	obj_t BgL_arg2373z00_16256;

																	BgL_arg2372z00_16255 =
																		((long) CINT(BgL_bpz00_16241) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2374z00_16257;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2375z00_16258;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2376z00_16259;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2377z00_16260;

																					BgL_arg2377z00_16260 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16246,
																						BNIL);
																					BgL_arg2376z00_16259 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16245,
																						BgL_arg2377z00_16260);
																				}
																				BgL_arg2375z00_16258 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16244,
																					BgL_arg2376z00_16259);
																			}
																			BgL_list2374z00_16257 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16243,
																				BgL_arg2375z00_16258);
																		}
																		BgL_arg2373z00_16256 =
																			BgL_list2374z00_16257;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13824),
																		BgL_arg2372z00_16255, BgL_arg2373z00_16256);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2378z00_16261;

																	BgL_arg2378z00_16261 =
																		((long) CINT(BgL_bpz00_16241) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13824),
																		BgL_arg2378z00_16261, BgL_a1z00_16243);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2379z00_16262;
																	obj_t BgL_arg2380z00_16263;

																	BgL_arg2379z00_16262 =
																		((long) CINT(BgL_bpz00_16241) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2381z00_16264;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2382z00_16265;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2383z00_16266;

																				BgL_arg2383z00_16266 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16246,
																					BNIL);
																				BgL_arg2382z00_16265 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16245,
																					BgL_arg2383z00_16266);
																			}
																			BgL_list2381z00_16264 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16244,
																				BgL_arg2382z00_16265);
																		}
																		BgL_arg2380z00_16263 =
																			BgL_list2381z00_16264;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13824),
																		BgL_arg2379z00_16262, BgL_arg2380z00_16263);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2384z00_16267;

																	BgL_arg2384z00_16267 =
																		((long) CINT(BgL_bpz00_16241) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13824),
																		BgL_arg2384z00_16267, BgL_a1z00_16243);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2385z00_16268;

																	BgL_arg2385z00_16268 =
																		((long) CINT(BgL_bpz00_16241) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13824),
																		BgL_arg2385z00_16268, BgL_a2z00_16244);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2386z00_16269;
																	obj_t BgL_arg2389z00_16270;

																	BgL_arg2386z00_16269 =
																		((long) CINT(BgL_bpz00_16241) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2390z00_16271;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2392z00_16272;

																			BgL_arg2392z00_16272 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16246, BNIL);
																			BgL_list2390z00_16271 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16245,
																				BgL_arg2392z00_16272);
																		}
																		BgL_arg2389z00_16270 =
																			BgL_list2390z00_16271;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13824),
																		BgL_arg2386z00_16269, BgL_arg2389z00_16270);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2393z00_16273;

																	BgL_arg2393z00_16273 =
																		((long) CINT(BgL_bpz00_16241) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13824),
																		BgL_arg2393z00_16273, BgL_a1z00_16243);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2394z00_16274;

																	BgL_arg2394z00_16274 =
																		((long) CINT(BgL_bpz00_16241) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13824),
																		BgL_arg2394z00_16274, BgL_a2z00_16244);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2395z00_16275;

																	BgL_arg2395z00_16275 =
																		((long) CINT(BgL_bpz00_16241) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13824),
																		BgL_arg2395z00_16275, BgL_a3z00_16245);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2398z00_16276;
																	obj_t BgL_arg2399z00_16277;

																	BgL_arg2398z00_16276 =
																		((long) CINT(BgL_bpz00_16241) + ((long) 3));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2400z00_16278;

																		BgL_list2400z00_16278 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_16246, BNIL);
																		BgL_arg2399z00_16277 =
																			BgL_list2400z00_16278;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13824),
																		BgL_arg2398z00_16276, BgL_arg2399z00_16277);
																} break;
															case ((long) -5):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2401z00_16279;

																	BgL_arg2401z00_16279 =
																		((long) CINT(BgL_bpz00_16241) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13824),
																		BgL_arg2401z00_16279, BgL_a1z00_16243);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2402z00_16280;

																	BgL_arg2402z00_16280 =
																		((long) CINT(BgL_bpz00_16241) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13824),
																		BgL_arg2402z00_16280, BgL_a2z00_16244);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2404z00_16281;

																	BgL_arg2404z00_16281 =
																		((long) CINT(BgL_bpz00_16241) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13824),
																		BgL_arg2404z00_16281, BgL_a3z00_16245);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2406z00_16282;

																	BgL_arg2406z00_16282 =
																		((long) CINT(BgL_bpz00_16241) + ((long) 3));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13824),
																		BgL_arg2406z00_16282, BgL_a4z00_16246);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2407z00_16283;
																	obj_t BgL_arg2408z00_16284;

																	BgL_arg2407z00_16283 =
																		((long) CINT(BgL_bpz00_16241) + ((long) 4));
																	BgL_arg2408z00_16284 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13824),
																		BgL_arg2407z00_16283, BgL_arg2408z00_16284);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13821, STRUCT_REF(BgL_ufz00_16247,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_16248));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13821, STRUCT_REF(BgL_ufz00_16247,
																(int) (((long) 3))), (int) (((long) 4)),
															CINT(BgL_arityz00_16248));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_16285;

											BgL_z12denvz12_16285 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16285,
												BgL_locz00_13821);
											if ((((long) CINT(BgL_bpz00_16241) +
														(long) CINT(BgL_sfz00_16250)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13824))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_16249;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_16286;

													BgL_nsz00_16286 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2412z00_16287;

														BgL_arg2412z00_16287 =
															((long) CINT(BgL_bpz00_16241) + ((long) 4));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16286, ((long) 2), BgL_sz00_13824,
															BgL_bpz00_16241, BINT(BgL_arg2412z00_16287));
													}
													VECTOR_SET(BgL_nsz00_16286, ((long) 1),
														BgL_sz00_13824);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16285,
														BgL_nsz00_16286);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_16288;

														BgL_ez00_16288 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_16288, BgL_sz00_13824);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_16289;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_16290;

																BgL_savedzd2bpzd2_16290 =
																	VECTOR_REF(BgL_nsz00_16286, ((long) 0));
																VECTOR_SET(BgL_nsz00_16286, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16292;

																	BgL_fz00_16292 = BgL_runz00_16249;
																BgL_recz00_16291:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_16293;

																		BgL_rz00_16293 =
																			PROCEDURE_ENTRY(BgL_fz00_16292)
																			(BgL_fz00_16292, BgL_nsz00_16286, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_23012;

																			if (PROCEDUREP(BgL_rz00_16293))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_16294;

																					BgL_arg1693z00_16294 =
																						PROCEDURE_ATTR(BgL_rz00_16293);
																					if (STRUCTP(BgL_arg1693z00_16294))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_23012 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_16294) ==
																								BGl_symbol5799z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_23012 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_23012 = ((bool_t) 0);
																				}
																			if (BgL_testz00_23012)
																				{
																					obj_t BgL_fz00_23020;

																					BgL_fz00_23020 = BgL_rz00_16293;
																					BgL_fz00_16292 = BgL_fz00_23020;
																					goto BgL_recz00_16291;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_16286,
																						((long) 0),
																						BgL_savedzd2bpzd2_16290);
																					BgL_____rz00_16289 = BgL_rz00_16293;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_16288);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16285,
																BgL_sz00_13824);
															return BgL_____rz00_16289;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16242,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16295;

												BgL_nbpz00_16295 =
													((long) CINT(BgL_bpz00_16241) + BgL_siza7eza7_13823);
												VECTOR_SET(
													((obj_t) BgL_sz00_13824), ((long) 0),
													BINT(BgL_nbpz00_16295));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_23032;

													BgL_tmpz00_23032 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_23032,
														BgL_locz00_13821);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16296;

													BgL_rz00_16296 =
														PROCEDURE_ENTRY(BgL_fz00_16242) (BgL_fz00_16242,
														BgL_a1z00_16243, BgL_a2z00_16244, BgL_a3z00_16245,
														BgL_a4z00_16246, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13824), ((long) 0),
														BgL_bpz00_16241);
													return BgL_rz00_16296;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13821,
													BgL_symbzd2funzd2_13822, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16242));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2417> */
	obj_t BGl_z62zc3anonymousza32417ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13825, obj_t BgL_sz00_13834)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13826;
				obj_t BgL_a1z00_13827;
				obj_t BgL_a2z00_13828;
				obj_t BgL_a3z00_13829;
				obj_t BgL_a4z00_13830;
				obj_t BgL_locz00_13831;
				obj_t BgL_symbzd2funzd2_13832;
				long BgL_siza7eza7_13833;

				BgL_funz00_13826 = PROCEDURE_REF(BgL_envz00_13825, (int) (((long) 0)));
				BgL_a1z00_13827 = PROCEDURE_REF(BgL_envz00_13825, (int) (((long) 1)));
				BgL_a2z00_13828 = PROCEDURE_REF(BgL_envz00_13825, (int) (((long) 2)));
				BgL_a3z00_13829 = PROCEDURE_REF(BgL_envz00_13825, (int) (((long) 3)));
				BgL_a4z00_13830 = PROCEDURE_REF(BgL_envz00_13825, (int) (((long) 4)));
				BgL_locz00_13831 = PROCEDURE_REF(BgL_envz00_13825, (int) (((long) 5)));
				BgL_symbzd2funzd2_13832 =
					PROCEDURE_REF(BgL_envz00_13825, (int) (((long) 6)));
				BgL_siza7eza7_13833 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13825, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16297;

					BgL_bpz00_16297 = VECTOR_REF(((obj_t) BgL_sz00_13834), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16298;
						obj_t BgL_a1z00_16299;
						obj_t BgL_a2z00_16300;
						obj_t BgL_a3z00_16301;
						obj_t BgL_a4z00_16302;

						BgL_fz00_16298 =
							PROCEDURE_ENTRY(BgL_funz00_13826) (BgL_funz00_13826,
							BgL_sz00_13834, BEOA);
						BgL_a1z00_16299 =
							PROCEDURE_ENTRY(BgL_a1z00_13827) (BgL_a1z00_13827, BgL_sz00_13834,
							BEOA);
						BgL_a2z00_16300 =
							PROCEDURE_ENTRY(BgL_a2z00_13828) (BgL_a2z00_13828, BgL_sz00_13834,
							BEOA);
						BgL_a3z00_16301 =
							PROCEDURE_ENTRY(BgL_a3z00_13829) (BgL_a3z00_13829, BgL_sz00_13834,
							BEOA);
						BgL_a4z00_16302 =
							PROCEDURE_ENTRY(BgL_a4z00_13830) (BgL_a4z00_13830, BgL_sz00_13834,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16298))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13831,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_16298);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16303;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_23089;

								BgL_tmpz00_23089 = ((obj_t) BgL_fz00_16298);
								BgL_ufz00_16303 = PROCEDURE_ATTR(BgL_tmpz00_23089);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_23092;

								if (STRUCTP(BgL_ufz00_16303))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23092 =
											(STRUCT_KEY(BgL_ufz00_16303) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23092 = ((bool_t) 0);
									}
								if (BgL_testz00_23092)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16304;
										obj_t BgL_runz00_16305;
										obj_t BgL_sfz00_16306;

										BgL_arityz00_16304 =
											STRUCT_REF(BgL_ufz00_16303, (int) (((long) 0)));
										BgL_runz00_16305 =
											STRUCT_REF(BgL_ufz00_16303, (int) (((long) 1)));
										BgL_sfz00_16306 =
											STRUCT_REF(BgL_ufz00_16303, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16304) == ((long) 4)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2422z00_16307;

													BgL_arg2422z00_16307 =
														((long) CINT(BgL_bpz00_16297) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13834), BgL_arg2422z00_16307,
														BgL_a1z00_16299);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2423z00_16308;

													BgL_arg2423z00_16308 =
														((long) CINT(BgL_bpz00_16297) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13834), BgL_arg2423z00_16308,
														BgL_a2z00_16300);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2425z00_16309;

													BgL_arg2425z00_16309 =
														((long) CINT(BgL_bpz00_16297) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13834), BgL_arg2425z00_16309,
														BgL_a3z00_16301);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2426z00_16310;

													BgL_arg2426z00_16310 =
														((long) CINT(BgL_bpz00_16297) + ((long) 3));
													VECTOR_SET(
														((obj_t) BgL_sz00_13834), BgL_arg2426z00_16310,
														BgL_a4z00_16302);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_16304))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_16304))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2428z00_16311;
																	obj_t BgL_arg2429z00_16312;

																	BgL_arg2428z00_16311 =
																		((long) CINT(BgL_bpz00_16297) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2430z00_16313;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2431z00_16314;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2433z00_16315;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2434z00_16316;

																					BgL_arg2434z00_16316 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16302,
																						BNIL);
																					BgL_arg2433z00_16315 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16301,
																						BgL_arg2434z00_16316);
																				}
																				BgL_arg2431z00_16314 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16300,
																					BgL_arg2433z00_16315);
																			}
																			BgL_list2430z00_16313 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16299,
																				BgL_arg2431z00_16314);
																		}
																		BgL_arg2429z00_16312 =
																			BgL_list2430z00_16313;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13834),
																		BgL_arg2428z00_16311, BgL_arg2429z00_16312);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2435z00_16317;

																	BgL_arg2435z00_16317 =
																		((long) CINT(BgL_bpz00_16297) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13834),
																		BgL_arg2435z00_16317, BgL_a1z00_16299);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2437z00_16318;
																	obj_t BgL_arg2438z00_16319;

																	BgL_arg2437z00_16318 =
																		((long) CINT(BgL_bpz00_16297) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2439z00_16320;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2440z00_16321;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2441z00_16322;

																				BgL_arg2441z00_16322 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16302,
																					BNIL);
																				BgL_arg2440z00_16321 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16301,
																					BgL_arg2441z00_16322);
																			}
																			BgL_list2439z00_16320 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16300,
																				BgL_arg2440z00_16321);
																		}
																		BgL_arg2438z00_16319 =
																			BgL_list2439z00_16320;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13834),
																		BgL_arg2437z00_16318, BgL_arg2438z00_16319);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2442z00_16323;

																	BgL_arg2442z00_16323 =
																		((long) CINT(BgL_bpz00_16297) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13834),
																		BgL_arg2442z00_16323, BgL_a1z00_16299);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2443z00_16324;

																	BgL_arg2443z00_16324 =
																		((long) CINT(BgL_bpz00_16297) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13834),
																		BgL_arg2443z00_16324, BgL_a2z00_16300);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2444z00_16325;
																	obj_t BgL_arg2445z00_16326;

																	BgL_arg2444z00_16325 =
																		((long) CINT(BgL_bpz00_16297) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2446z00_16327;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2447z00_16328;

																			BgL_arg2447z00_16328 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16302, BNIL);
																			BgL_list2446z00_16327 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16301,
																				BgL_arg2447z00_16328);
																		}
																		BgL_arg2445z00_16326 =
																			BgL_list2446z00_16327;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13834),
																		BgL_arg2444z00_16325, BgL_arg2445z00_16326);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2449z00_16329;

																	BgL_arg2449z00_16329 =
																		((long) CINT(BgL_bpz00_16297) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13834),
																		BgL_arg2449z00_16329, BgL_a1z00_16299);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2450z00_16330;

																	BgL_arg2450z00_16330 =
																		((long) CINT(BgL_bpz00_16297) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13834),
																		BgL_arg2450z00_16330, BgL_a2z00_16300);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2451z00_16331;

																	BgL_arg2451z00_16331 =
																		((long) CINT(BgL_bpz00_16297) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13834),
																		BgL_arg2451z00_16331, BgL_a3z00_16301);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2452z00_16332;
																	obj_t BgL_arg2453z00_16333;

																	BgL_arg2452z00_16332 =
																		((long) CINT(BgL_bpz00_16297) + ((long) 3));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2454z00_16334;

																		BgL_list2454z00_16334 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_16302, BNIL);
																		BgL_arg2453z00_16333 =
																			BgL_list2454z00_16334;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13834),
																		BgL_arg2452z00_16332, BgL_arg2453z00_16333);
																} break;
															case ((long) -5):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2457z00_16335;

																	BgL_arg2457z00_16335 =
																		((long) CINT(BgL_bpz00_16297) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13834),
																		BgL_arg2457z00_16335, BgL_a1z00_16299);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2458z00_16336;

																	BgL_arg2458z00_16336 =
																		((long) CINT(BgL_bpz00_16297) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13834),
																		BgL_arg2458z00_16336, BgL_a2z00_16300);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2460z00_16337;

																	BgL_arg2460z00_16337 =
																		((long) CINT(BgL_bpz00_16297) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13834),
																		BgL_arg2460z00_16337, BgL_a3z00_16301);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2461z00_16338;

																	BgL_arg2461z00_16338 =
																		((long) CINT(BgL_bpz00_16297) + ((long) 3));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13834),
																		BgL_arg2461z00_16338, BgL_a4z00_16302);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2462z00_16339;
																	obj_t BgL_arg2463z00_16340;

																	BgL_arg2462z00_16339 =
																		((long) CINT(BgL_bpz00_16297) + ((long) 4));
																	BgL_arg2463z00_16340 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13834),
																		BgL_arg2462z00_16339, BgL_arg2463z00_16340);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13831, STRUCT_REF(BgL_ufz00_16303,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_16304));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13831, STRUCT_REF(BgL_ufz00_16303,
																(int) (((long) 3))), (int) (((long) 4)),
															CINT(BgL_arityz00_16304));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_16341;

											BgL_z12denvz12_16341 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_16297) +
														(long) CINT(BgL_sfz00_16306)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13834))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_16305;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_16342;

													BgL_nsz00_16342 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2467z00_16343;

														BgL_arg2467z00_16343 =
															((long) CINT(BgL_bpz00_16297) + ((long) 4));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16342, ((long) 2), BgL_sz00_13834,
															BgL_bpz00_16297, BINT(BgL_arg2467z00_16343));
													}
													VECTOR_SET(BgL_nsz00_16342, ((long) 1),
														BgL_sz00_13834);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16341,
														BgL_nsz00_16342);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_16344;

														BgL_ez00_16344 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_16344, BgL_sz00_13834);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_16345;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_16346;

																BgL_savedzd2bpzd2_16346 =
																	VECTOR_REF(BgL_nsz00_16342, ((long) 0));
																VECTOR_SET(BgL_nsz00_16342, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16348;

																	BgL_fz00_16348 = BgL_runz00_16305;
																BgL_recz00_16347:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_16349;

																		BgL_rz00_16349 =
																			PROCEDURE_ENTRY(BgL_fz00_16348)
																			(BgL_fz00_16348, BgL_nsz00_16342, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_23230;

																			if (PROCEDUREP(BgL_rz00_16349))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1693z00_16350;

																					BgL_arg1693z00_16350 =
																						PROCEDURE_ATTR(BgL_rz00_16349);
																					if (STRUCTP(BgL_arg1693z00_16350))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_23230 =
																								(STRUCT_KEY
																								(BgL_arg1693z00_16350) ==
																								BGl_symbol5799z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_23230 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_23230 = ((bool_t) 0);
																				}
																			if (BgL_testz00_23230)
																				{
																					obj_t BgL_fz00_23238;

																					BgL_fz00_23238 = BgL_rz00_16349;
																					BgL_fz00_16348 = BgL_fz00_23238;
																					goto BgL_recz00_16347;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_16342,
																						((long) 0),
																						BgL_savedzd2bpzd2_16346);
																					BgL_____rz00_16345 = BgL_rz00_16349;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_16344);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16341,
																BgL_sz00_13834);
															return BgL_____rz00_16345;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16298,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16351;

												BgL_nbpz00_16351 =
													((long) CINT(BgL_bpz00_16297) + BgL_siza7eza7_13833);
												VECTOR_SET(
													((obj_t) BgL_sz00_13834), ((long) 0),
													BINT(BgL_nbpz00_16351));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16352;

													BgL_rz00_16352 =
														PROCEDURE_ENTRY(BgL_fz00_16298) (BgL_fz00_16298,
														BgL_a1z00_16299, BgL_a2z00_16300, BgL_a3z00_16301,
														BgL_a4z00_16302, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13834), ((long) 0),
														BgL_bpz00_16297);
													return BgL_rz00_16352;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13831,
													BgL_symbzd2funzd2_13832, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16298));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2473> */
	obj_t BGl_z62zc3anonymousza32473ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13835, obj_t BgL_sz00_13844)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13836;
				obj_t BgL_a1z00_13837;
				obj_t BgL_a2z00_13838;
				obj_t BgL_a3z00_13839;
				obj_t BgL_a4z00_13840;
				obj_t BgL_locz00_13841;
				obj_t BgL_symbzd2funzd2_13842;
				long BgL_siza7eza7_13843;

				BgL_funz00_13836 = PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 0)));
				BgL_a1z00_13837 = PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 1)));
				BgL_a2z00_13838 = PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 2)));
				BgL_a3z00_13839 = PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 3)));
				BgL_a4z00_13840 = PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 4)));
				BgL_locz00_13841 = PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 5)));
				BgL_symbzd2funzd2_13842 =
					PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 6)));
				BgL_siza7eza7_13843 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16353;

					BgL_bpz00_16353 = VECTOR_REF(((obj_t) BgL_sz00_13844), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16354;
						obj_t BgL_a1z00_16355;
						obj_t BgL_a2z00_16356;
						obj_t BgL_a3z00_16357;
						obj_t BgL_a4z00_16358;

						BgL_fz00_16354 =
							PROCEDURE_ENTRY(BgL_funz00_13836) (BgL_funz00_13836,
							BgL_sz00_13844, BEOA);
						BgL_a1z00_16355 =
							PROCEDURE_ENTRY(BgL_a1z00_13837) (BgL_a1z00_13837, BgL_sz00_13844,
							BEOA);
						BgL_a2z00_16356 =
							PROCEDURE_ENTRY(BgL_a2z00_13838) (BgL_a2z00_13838, BgL_sz00_13844,
							BEOA);
						BgL_a3z00_16357 =
							PROCEDURE_ENTRY(BgL_a3z00_13839) (BgL_a3z00_13839, BgL_sz00_13844,
							BEOA);
						BgL_a4z00_16358 =
							PROCEDURE_ENTRY(BgL_a4z00_13840) (BgL_a4z00_13840, BgL_sz00_13844,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16354))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13841,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_16354);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16359;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_23304;

								BgL_tmpz00_23304 = ((obj_t) BgL_fz00_16354);
								BgL_ufz00_16359 = PROCEDURE_ATTR(BgL_tmpz00_23304);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_23307;

								if (STRUCTP(BgL_ufz00_16359))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23307 =
											(STRUCT_KEY(BgL_ufz00_16359) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23307 = ((bool_t) 0);
									}
								if (BgL_testz00_23307)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16360;
										obj_t BgL_runz00_16361;
										obj_t BgL_sfz00_16362;

										BgL_arityz00_16360 =
											STRUCT_REF(BgL_ufz00_16359, (int) (((long) 0)));
										BgL_runz00_16361 =
											STRUCT_REF(BgL_ufz00_16359, (int) (((long) 1)));
										BgL_sfz00_16362 =
											STRUCT_REF(BgL_ufz00_16359, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_16363;

											BgL_spz00_16363 =
												((long) CINT(BgL_bpz00_16353) + BgL_siza7eza7_13843);
											if (((long) CINT(BgL_arityz00_16360) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2477z00_16364;

														BgL_arg2477z00_16364 =
															(BgL_spz00_16363 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13844), BgL_arg2477z00_16364,
															BgL_a1z00_16355);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2479z00_16365;

														BgL_arg2479z00_16365 =
															(BgL_spz00_16363 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13844), BgL_arg2479z00_16365,
															BgL_a2z00_16356);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2480z00_16366;

														BgL_arg2480z00_16366 =
															(BgL_spz00_16363 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13844), BgL_arg2480z00_16366,
															BgL_a3z00_16357);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2481z00_16367;

														BgL_arg2481z00_16367 =
															(BgL_spz00_16363 + ((long) 3));
														VECTOR_SET(
															((obj_t) BgL_sz00_13844), BgL_arg2481z00_16367,
															BgL_a4z00_16358);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_16360))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_16360))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2483z00_16368;
																		obj_t BgL_arg2484z00_16369;

																		BgL_arg2483z00_16368 =
																			(BgL_spz00_16363 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2485z00_16370;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2486z00_16371;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2487z00_16372;

																					{	/* Eval/evaluate_comp.scm 889 */
																						obj_t BgL_arg2489z00_16373;

																						BgL_arg2489z00_16373 =
																							MAKE_YOUNG_PAIR(BgL_a4z00_16358,
																							BNIL);
																						BgL_arg2487z00_16372 =
																							MAKE_YOUNG_PAIR(BgL_a3z00_16357,
																							BgL_arg2489z00_16373);
																					}
																					BgL_arg2486z00_16371 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16356,
																						BgL_arg2487z00_16372);
																				}
																				BgL_list2485z00_16370 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16355,
																					BgL_arg2486z00_16371);
																			}
																			BgL_arg2484z00_16369 =
																				BgL_list2485z00_16370;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13844),
																			BgL_arg2483z00_16368,
																			BgL_arg2484z00_16369);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2490z00_16374;

																		BgL_arg2490z00_16374 =
																			(BgL_spz00_16363 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13844),
																			BgL_arg2490z00_16374, BgL_a1z00_16355);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2492z00_16375;
																		obj_t BgL_arg2493z00_16376;

																		BgL_arg2492z00_16375 =
																			(BgL_spz00_16363 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2494z00_16377;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2495z00_16378;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2496z00_16379;

																					BgL_arg2496z00_16379 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16358,
																						BNIL);
																					BgL_arg2495z00_16378 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16357,
																						BgL_arg2496z00_16379);
																				}
																				BgL_list2494z00_16377 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16356,
																					BgL_arg2495z00_16378);
																			}
																			BgL_arg2493z00_16376 =
																				BgL_list2494z00_16377;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13844),
																			BgL_arg2492z00_16375,
																			BgL_arg2493z00_16376);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2497z00_16380;

																		BgL_arg2497z00_16380 =
																			(BgL_spz00_16363 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13844),
																			BgL_arg2497z00_16380, BgL_a1z00_16355);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2498z00_16381;

																		BgL_arg2498z00_16381 =
																			(BgL_spz00_16363 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13844),
																			BgL_arg2498z00_16381, BgL_a2z00_16356);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2499z00_16382;
																		obj_t BgL_arg2500z00_16383;

																		BgL_arg2499z00_16382 =
																			(BgL_spz00_16363 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2501z00_16384;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2504z00_16385;

																				BgL_arg2504z00_16385 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16358,
																					BNIL);
																				BgL_list2501z00_16384 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16357,
																					BgL_arg2504z00_16385);
																			}
																			BgL_arg2500z00_16383 =
																				BgL_list2501z00_16384;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13844),
																			BgL_arg2499z00_16382,
																			BgL_arg2500z00_16383);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2505z00_16386;

																		BgL_arg2505z00_16386 =
																			(BgL_spz00_16363 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13844),
																			BgL_arg2505z00_16386, BgL_a1z00_16355);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2507z00_16387;

																		BgL_arg2507z00_16387 =
																			(BgL_spz00_16363 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13844),
																			BgL_arg2507z00_16387, BgL_a2z00_16356);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2508z00_16388;

																		BgL_arg2508z00_16388 =
																			(BgL_spz00_16363 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13844),
																			BgL_arg2508z00_16388, BgL_a3z00_16357);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2509z00_16389;
																		obj_t BgL_arg2510z00_16390;

																		BgL_arg2509z00_16389 =
																			(BgL_spz00_16363 + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2511z00_16391;

																			BgL_list2511z00_16391 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16358, BNIL);
																			BgL_arg2510z00_16390 =
																				BgL_list2511z00_16391;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13844),
																			BgL_arg2509z00_16389,
																			BgL_arg2510z00_16390);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2512z00_16392;

																		BgL_arg2512z00_16392 =
																			(BgL_spz00_16363 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13844),
																			BgL_arg2512z00_16392, BgL_a1z00_16355);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2513z00_16393;

																		BgL_arg2513z00_16393 =
																			(BgL_spz00_16363 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13844),
																			BgL_arg2513z00_16393, BgL_a2z00_16356);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2514z00_16394;

																		BgL_arg2514z00_16394 =
																			(BgL_spz00_16363 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13844),
																			BgL_arg2514z00_16394, BgL_a3z00_16357);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2516z00_16395;

																		BgL_arg2516z00_16395 =
																			(BgL_spz00_16363 + ((long) 3));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13844),
																			BgL_arg2516z00_16395, BgL_a4z00_16358);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2517z00_16396;
																		obj_t BgL_arg2518z00_16397;

																		BgL_arg2517z00_16396 =
																			(BgL_spz00_16363 + ((long) 4));
																		BgL_arg2518z00_16397 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13844),
																			BgL_arg2517z00_16396,
																			BgL_arg2518z00_16397);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13841,
																		STRUCT_REF(BgL_ufz00_16359,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_16360));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13841, STRUCT_REF(BgL_ufz00_16359,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_16360));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_16398;

												BgL_z12denvz12_16398 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16398,
													BgL_locz00_13841);
												if (((BgL_spz00_16363 + (long) CINT(BgL_sfz00_16362)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13844))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16361, BgL_sz00_13844,
															BINT(BgL_spz00_16363));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_16399;

														BgL_nsz00_16399 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2522z00_16400;

															BgL_arg2522z00_16400 =
																(BgL_spz00_16363 + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16399, ((long) 2), BgL_sz00_13844,
																BINT(BgL_spz00_16363),
																BINT(BgL_arg2522z00_16400));
														}
														VECTOR_SET(BgL_nsz00_16399, ((long) 1),
															BgL_sz00_13844);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16398,
															BgL_nsz00_16399);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_16401;

															BgL_ez00_16401 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_16401, BgL_sz00_13844);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_16402;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_16403;

																	BgL_savedzd2bpzd2_16403 =
																		VECTOR_REF(BgL_nsz00_16399, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16399, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16405;

																		BgL_fz00_16405 = BgL_runz00_16361;
																	BgL_recz00_16404:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_16406;

																			BgL_rz00_16406 =
																				PROCEDURE_ENTRY(BgL_fz00_16405)
																				(BgL_fz00_16405, BgL_nsz00_16399, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_23430;

																				if (PROCEDUREP(BgL_rz00_16406))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_16407;

																						BgL_arg1693z00_16407 =
																							PROCEDURE_ATTR(BgL_rz00_16406);
																						if (STRUCTP(BgL_arg1693z00_16407))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_23430 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_16407) ==
																									BGl_symbol5799z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_23430 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_23430 = ((bool_t) 0);
																					}
																				if (BgL_testz00_23430)
																					{
																						obj_t BgL_fz00_23438;

																						BgL_fz00_23438 = BgL_rz00_16406;
																						BgL_fz00_16405 = BgL_fz00_23438;
																						goto BgL_recz00_16404;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_16399,
																							((long) 0),
																							BgL_savedzd2bpzd2_16403);
																						BgL_____rz00_16402 = BgL_rz00_16406;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_16401);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16398,
																	BgL_sz00_13844);
																return BgL_____rz00_16402;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16354,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16408;

												BgL_nbpz00_16408 =
													((long) CINT(BgL_bpz00_16353) + BgL_siza7eza7_13843);
												VECTOR_SET(
													((obj_t) BgL_sz00_13844), ((long) 0),
													BINT(BgL_nbpz00_16408));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_23450;

													BgL_tmpz00_23450 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_23450,
														BgL_locz00_13841);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16409;

													BgL_rz00_16409 =
														PROCEDURE_ENTRY(BgL_fz00_16354) (BgL_fz00_16354,
														BgL_a1z00_16355, BgL_a2z00_16356, BgL_a3z00_16357,
														BgL_a4z00_16358, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13844), ((long) 0),
														BgL_bpz00_16353);
													return BgL_rz00_16409;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13841,
													BgL_symbzd2funzd2_13842, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16354));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2526> */
	obj_t BGl_z62zc3anonymousza32526ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13845, obj_t BgL_sz00_13854)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13846;
				obj_t BgL_a1z00_13847;
				obj_t BgL_a2z00_13848;
				obj_t BgL_a3z00_13849;
				obj_t BgL_a4z00_13850;
				obj_t BgL_locz00_13851;
				obj_t BgL_symbzd2funzd2_13852;
				long BgL_siza7eza7_13853;

				BgL_funz00_13846 = PROCEDURE_REF(BgL_envz00_13845, (int) (((long) 0)));
				BgL_a1z00_13847 = PROCEDURE_REF(BgL_envz00_13845, (int) (((long) 1)));
				BgL_a2z00_13848 = PROCEDURE_REF(BgL_envz00_13845, (int) (((long) 2)));
				BgL_a3z00_13849 = PROCEDURE_REF(BgL_envz00_13845, (int) (((long) 3)));
				BgL_a4z00_13850 = PROCEDURE_REF(BgL_envz00_13845, (int) (((long) 4)));
				BgL_locz00_13851 = PROCEDURE_REF(BgL_envz00_13845, (int) (((long) 5)));
				BgL_symbzd2funzd2_13852 =
					PROCEDURE_REF(BgL_envz00_13845, (int) (((long) 6)));
				BgL_siza7eza7_13853 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13845, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16410;

					BgL_bpz00_16410 = VECTOR_REF(((obj_t) BgL_sz00_13854), ((long) 0));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16411;
						obj_t BgL_a1z00_16412;
						obj_t BgL_a2z00_16413;
						obj_t BgL_a3z00_16414;
						obj_t BgL_a4z00_16415;

						BgL_fz00_16411 =
							PROCEDURE_ENTRY(BgL_funz00_13846) (BgL_funz00_13846,
							BgL_sz00_13854, BEOA);
						BgL_a1z00_16412 =
							PROCEDURE_ENTRY(BgL_a1z00_13847) (BgL_a1z00_13847, BgL_sz00_13854,
							BEOA);
						BgL_a2z00_16413 =
							PROCEDURE_ENTRY(BgL_a2z00_13848) (BgL_a2z00_13848, BgL_sz00_13854,
							BEOA);
						BgL_a3z00_16414 =
							PROCEDURE_ENTRY(BgL_a3z00_13849) (BgL_a3z00_13849, BgL_sz00_13854,
							BEOA);
						BgL_a4z00_16415 =
							PROCEDURE_ENTRY(BgL_a4z00_13850) (BgL_a4z00_13850, BgL_sz00_13854,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16411))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13851,
									BGl_string5803z00zz__evaluate_compz00,
									BGl_string5819z00zz__evaluate_compz00, BgL_fz00_16411);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16416;

							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_23507;

								BgL_tmpz00_23507 = ((obj_t) BgL_fz00_16411);
								BgL_ufz00_16416 = PROCEDURE_ATTR(BgL_tmpz00_23507);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_23510;

								if (STRUCTP(BgL_ufz00_16416))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23510 =
											(STRUCT_KEY(BgL_ufz00_16416) ==
											BGl_symbol5820z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23510 = ((bool_t) 0);
									}
								if (BgL_testz00_23510)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16417;
										obj_t BgL_runz00_16418;
										obj_t BgL_sfz00_16419;

										BgL_arityz00_16417 =
											STRUCT_REF(BgL_ufz00_16416, (int) (((long) 0)));
										BgL_runz00_16418 =
											STRUCT_REF(BgL_ufz00_16416, (int) (((long) 1)));
										BgL_sfz00_16419 =
											STRUCT_REF(BgL_ufz00_16416, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_16420;

											BgL_spz00_16420 =
												((long) CINT(BgL_bpz00_16410) + BgL_siza7eza7_13853);
											if (((long) CINT(BgL_arityz00_16417) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2531z00_16421;

														BgL_arg2531z00_16421 =
															(BgL_spz00_16420 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13854), BgL_arg2531z00_16421,
															BgL_a1z00_16412);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2532z00_16422;

														BgL_arg2532z00_16422 =
															(BgL_spz00_16420 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13854), BgL_arg2532z00_16422,
															BgL_a2z00_16413);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2534z00_16423;

														BgL_arg2534z00_16423 =
															(BgL_spz00_16420 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13854), BgL_arg2534z00_16423,
															BgL_a3z00_16414);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2537z00_16424;

														BgL_arg2537z00_16424 =
															(BgL_spz00_16420 + ((long) 3));
														VECTOR_SET(
															((obj_t) BgL_sz00_13854), BgL_arg2537z00_16424,
															BgL_a4z00_16415);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_16417))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_16417))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2539z00_16425;
																		obj_t BgL_arg2544z00_16426;

																		BgL_arg2539z00_16425 =
																			(BgL_spz00_16420 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2545z00_16427;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2552z00_16428;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2554z00_16429;

																					{	/* Eval/evaluate_comp.scm 889 */
																						obj_t BgL_arg2555z00_16430;

																						BgL_arg2555z00_16430 =
																							MAKE_YOUNG_PAIR(BgL_a4z00_16415,
																							BNIL);
																						BgL_arg2554z00_16429 =
																							MAKE_YOUNG_PAIR(BgL_a3z00_16414,
																							BgL_arg2555z00_16430);
																					}
																					BgL_arg2552z00_16428 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16413,
																						BgL_arg2554z00_16429);
																				}
																				BgL_list2545z00_16427 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16412,
																					BgL_arg2552z00_16428);
																			}
																			BgL_arg2544z00_16426 =
																				BgL_list2545z00_16427;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13854),
																			BgL_arg2539z00_16425,
																			BgL_arg2544z00_16426);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2556z00_16431;

																		BgL_arg2556z00_16431 =
																			(BgL_spz00_16420 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13854),
																			BgL_arg2556z00_16431, BgL_a1z00_16412);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2558z00_16432;
																		obj_t BgL_arg2560z00_16433;

																		BgL_arg2558z00_16432 =
																			(BgL_spz00_16420 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2561z00_16434;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2565z00_16435;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2574z00_16436;

																					BgL_arg2574z00_16436 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16415,
																						BNIL);
																					BgL_arg2565z00_16435 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16414,
																						BgL_arg2574z00_16436);
																				}
																				BgL_list2561z00_16434 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16413,
																					BgL_arg2565z00_16435);
																			}
																			BgL_arg2560z00_16433 =
																				BgL_list2561z00_16434;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13854),
																			BgL_arg2558z00_16432,
																			BgL_arg2560z00_16433);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2575z00_16437;

																		BgL_arg2575z00_16437 =
																			(BgL_spz00_16420 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13854),
																			BgL_arg2575z00_16437, BgL_a1z00_16412);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2576z00_16438;

																		BgL_arg2576z00_16438 =
																			(BgL_spz00_16420 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13854),
																			BgL_arg2576z00_16438, BgL_a2z00_16413);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2577z00_16439;
																		obj_t BgL_arg2579z00_16440;

																		BgL_arg2577z00_16439 =
																			(BgL_spz00_16420 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2580z00_16441;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2581z00_16442;

																				BgL_arg2581z00_16442 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16415,
																					BNIL);
																				BgL_list2580z00_16441 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16414,
																					BgL_arg2581z00_16442);
																			}
																			BgL_arg2579z00_16440 =
																				BgL_list2580z00_16441;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13854),
																			BgL_arg2577z00_16439,
																			BgL_arg2579z00_16440);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2582z00_16443;

																		BgL_arg2582z00_16443 =
																			(BgL_spz00_16420 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13854),
																			BgL_arg2582z00_16443, BgL_a1z00_16412);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2584z00_16444;

																		BgL_arg2584z00_16444 =
																			(BgL_spz00_16420 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13854),
																			BgL_arg2584z00_16444, BgL_a2z00_16413);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2585z00_16445;

																		BgL_arg2585z00_16445 =
																			(BgL_spz00_16420 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13854),
																			BgL_arg2585z00_16445, BgL_a3z00_16414);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2586z00_16446;
																		obj_t BgL_arg2587z00_16447;

																		BgL_arg2586z00_16446 =
																			(BgL_spz00_16420 + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2588z00_16448;

																			BgL_list2588z00_16448 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16415, BNIL);
																			BgL_arg2587z00_16447 =
																				BgL_list2588z00_16448;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13854),
																			BgL_arg2586z00_16446,
																			BgL_arg2587z00_16447);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2590z00_16449;

																		BgL_arg2590z00_16449 =
																			(BgL_spz00_16420 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13854),
																			BgL_arg2590z00_16449, BgL_a1z00_16412);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2591z00_16450;

																		BgL_arg2591z00_16450 =
																			(BgL_spz00_16420 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13854),
																			BgL_arg2591z00_16450, BgL_a2z00_16413);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2592z00_16451;

																		BgL_arg2592z00_16451 =
																			(BgL_spz00_16420 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13854),
																			BgL_arg2592z00_16451, BgL_a3z00_16414);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2593z00_16452;

																		BgL_arg2593z00_16452 =
																			(BgL_spz00_16420 + ((long) 3));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13854),
																			BgL_arg2593z00_16452, BgL_a4z00_16415);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2594z00_16453;
																		obj_t BgL_arg2595z00_16454;

																		BgL_arg2594z00_16453 =
																			(BgL_spz00_16420 + ((long) 4));
																		BgL_arg2595z00_16454 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13854),
																			BgL_arg2594z00_16453,
																			BgL_arg2595z00_16454);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13851,
																		STRUCT_REF(BgL_ufz00_16416,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_16417));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13851, STRUCT_REF(BgL_ufz00_16416,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_16417));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_16455;

												BgL_z12denvz12_16455 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_16420 +
															(long) CINT(BgL_sfz00_16419)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13854))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16418, BgL_sz00_13854,
															BINT(BgL_spz00_16420));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_16456;

														BgL_nsz00_16456 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2600z00_16457;

															BgL_arg2600z00_16457 =
																(BgL_spz00_16420 + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16456, ((long) 2), BgL_sz00_13854,
																BINT(BgL_spz00_16420),
																BINT(BgL_arg2600z00_16457));
														}
														VECTOR_SET(BgL_nsz00_16456, ((long) 1),
															BgL_sz00_13854);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16455,
															BgL_nsz00_16456);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_16458;

															BgL_ez00_16458 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_16458, BgL_sz00_13854);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_16459;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_16460;

																	BgL_savedzd2bpzd2_16460 =
																		VECTOR_REF(BgL_nsz00_16456, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16456, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16462;

																		BgL_fz00_16462 = BgL_runz00_16418;
																	BgL_recz00_16461:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_16463;

																			BgL_rz00_16463 =
																				PROCEDURE_ENTRY(BgL_fz00_16462)
																				(BgL_fz00_16462, BgL_nsz00_16456, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_23632;

																				if (PROCEDUREP(BgL_rz00_16463))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1693z00_16464;

																						BgL_arg1693z00_16464 =
																							PROCEDURE_ATTR(BgL_rz00_16463);
																						if (STRUCTP(BgL_arg1693z00_16464))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_23632 =
																									(STRUCT_KEY
																									(BgL_arg1693z00_16464) ==
																									BGl_symbol5799z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_23632 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_23632 = ((bool_t) 0);
																					}
																				if (BgL_testz00_23632)
																					{
																						obj_t BgL_fz00_23640;

																						BgL_fz00_23640 = BgL_rz00_16463;
																						BgL_fz00_16462 = BgL_fz00_23640;
																						goto BgL_recz00_16461;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_16456,
																							((long) 0),
																							BgL_savedzd2bpzd2_16460);
																						BgL_____rz00_16459 = BgL_rz00_16463;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_16458);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16455,
																	BgL_sz00_13854);
																return BgL_____rz00_16459;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16411,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16465;

												BgL_nbpz00_16465 =
													((long) CINT(BgL_bpz00_16410) + BgL_siza7eza7_13853);
												VECTOR_SET(
													((obj_t) BgL_sz00_13854), ((long) 0),
													BINT(BgL_nbpz00_16465));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16466;

													BgL_rz00_16466 =
														PROCEDURE_ENTRY(BgL_fz00_16411) (BgL_fz00_16411,
														BgL_a1z00_16412, BgL_a2z00_16413, BgL_a3z00_16414,
														BgL_a4z00_16415, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13854), ((long) 0),
														BgL_bpz00_16410);
													return BgL_rz00_16466;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13851,
													BgL_symbzd2funzd2_13852, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16411));
		}}}}}}}}
		BGL_FUNCTION_END;
	}



/* is-constant-fun? */
	obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185,
		obj_t BgL_symbzd2funzd2_186)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 892 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_funz00_183), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_gz00_3012;

					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_arg2610z00_3020;
						obj_t BgL_arg2611z00_3021;

						BgL_arg2610z00_3020 =
							(((BgL_ev_globalz00_bglt) COBJECT(
									((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_modz00);
						BgL_arg2611z00_3021 =
							(((BgL_ev_globalz00_bglt) COBJECT(
									((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_namez00);
						BgL_gz00_3012 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00
							(BgL_arg2610z00_3020, BgL_arg2611z00_3021);
					}
					if (CBOOL(BgL_gz00_3012))
						{	/* Eval/evaluate_comp.scm 898 */
							bool_t BgL_testz00_23674;

							{	/* Eval/evaluate_comp.scm 898 */
								int BgL_arg2609z00_3019;

								{	/* Eval/evaluate_comp.scm 898 */
									int BgL_res4962z00_9290;

									BgL_res4962z00_9290 =
										CINT(VECTOR_REF(((obj_t) BgL_gz00_3012), ((long) 0)));
									BgL_arg2609z00_3019 = BgL_res4962z00_9290;
								}
								BgL_testz00_23674 =
									((long) (BgL_arg2609z00_3019) == ((long) 0));
							}
							if (BgL_testz00_23674)
								{	/* Eval/evaluate_comp.scm 899 */
									obj_t BgL_valz00_3015;

									BgL_valz00_3015 =
										VECTOR_REF(((obj_t) BgL_gz00_3012), ((long) 2));
									{	/* Eval/evaluate_comp.scm 900 */
										bool_t BgL_testz00_23682;

										if (PROCEDUREP(BgL_valz00_3015))
											{	/* Eval/evaluate_comp.scm 900 */
												BgL_testz00_23682 =
													PROCEDURE_CORRECT_ARITYP(BgL_valz00_3015,
													(int) (BgL_nbargsz00_184));
											}
										else
											{	/* Eval/evaluate_comp.scm 900 */
												BgL_testz00_23682 = ((bool_t) 0);
											}
										if (BgL_testz00_23682)
											{	/* Eval/evaluate_comp.scm 900 */
												return BgL_valz00_3015;
											}
										else
											{	/* Eval/evaluate_comp.scm 900 */
												return BFALSE;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 898 */
									return BFALSE;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 897 */
							return BFALSE;
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 903 */
					bool_t BgL_testz00_23687;

					if (BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_183), BGl_ev_littz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 904 */
							obj_t BgL_tmpz00_23691;

							BgL_tmpz00_23691 =
								(((BgL_ev_littz00_bglt) COBJECT(
										((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
							BgL_testz00_23687 = PROCEDUREP(BgL_tmpz00_23691);
						}
					else
						{	/* Eval/evaluate_comp.scm 903 */
							BgL_testz00_23687 = ((bool_t) 0);
						}
					if (BgL_testz00_23687)
						{	/* Eval/evaluate_comp.scm 906 */
							bool_t BgL_testz00_23695;

							{	/* Eval/evaluate_comp.scm 906 */
								obj_t BgL_arg2620z00_3031;

								BgL_arg2620z00_3031 =
									(((BgL_ev_littz00_bglt) COBJECT(
											((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
								BgL_testz00_23695 =
									PROCEDURE_CORRECT_ARITYP(BgL_arg2620z00_3031,
									(int) (BgL_nbargsz00_184));
							}
							if (BgL_testz00_23695)
								{	/* Eval/evaluate_comp.scm 906 */
									return
										(((BgL_ev_littz00_bglt) COBJECT(
												((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 908 */
									int BgL_arg2617z00_3029;

									{	/* Eval/evaluate_comp.scm 908 */
										obj_t BgL_arg2618z00_3030;

										BgL_arg2618z00_3030 =
											(((BgL_ev_littz00_bglt) COBJECT(
													((BgL_ev_littz00_bglt) BgL_funz00_183)))->
											BgL_valuez00);
										BgL_arg2617z00_3029 = PROCEDURE_ARITY(BgL_arg2618z00_3030);
									}
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185,
										BgL_symbzd2funzd2_186, (int) (BgL_nbargsz00_184),
										BgL_arg2617z00_3029);
						}}
					else
						{	/* Eval/evaluate_comp.scm 903 */
							return BFALSE;
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* compile-float-arith */
	obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t
		BgL_exprz00_187, obj_t BgL_stkz00_188)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 911 */
			if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
					BGl_ev_littz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 915 */
					if (INTEGERP(
							(((BgL_ev_littz00_bglt) COBJECT(
										((BgL_ev_littz00_bglt) BgL_exprz00_187)))->BgL_valuez00)))
						{	/* Eval/evaluate_comp.scm 917 */
							obj_t BgL_v1344z00_3040;

							BgL_v1344z00_3040 = create_vector(((long) 2));
							VECTOR_SET(BgL_v1344z00_3040, ((long) 0), BINT(((long) 1)));
							{	/* Eval/evaluate_comp.scm 917 */
								double BgL_arg2626z00_3041;

								BgL_arg2626z00_3041 =
									(double) (
									(long) CINT(
										(((BgL_ev_littz00_bglt) COBJECT(
													((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
											BgL_valuez00)));
								VECTOR_SET(BgL_v1344z00_3040, ((long) 1),
									DOUBLE_TO_REAL(BgL_arg2626z00_3041));
							}
							return BgL_v1344z00_3040;
						}
					else
						{	/* Eval/evaluate_comp.scm 918 */
							bool_t BgL_testz00_23722;

							{	/* Eval/evaluate_comp.scm 918 */
								obj_t BgL_tmpz00_23723;

								BgL_tmpz00_23723 =
									(((BgL_ev_littz00_bglt) COBJECT(
											((BgL_ev_littz00_bglt) BgL_exprz00_187)))->BgL_valuez00);
								BgL_testz00_23722 = REALP(BgL_tmpz00_23723);
							}
							if (BgL_testz00_23722)
								{	/* Eval/evaluate_comp.scm 918 */
									obj_t BgL_v1345z00_3045;

									BgL_v1345z00_3045 = create_vector(((long) 2));
									VECTOR_SET(BgL_v1345z00_3045, ((long) 0), BINT(((long) 1)));
									{	/* Eval/evaluate_comp.scm 918 */
										obj_t BgL_arg2631z00_3046;

										BgL_arg2631z00_3046 =
											(((BgL_ev_littz00_bglt) COBJECT(
													((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
											BgL_valuez00);
										VECTOR_SET(BgL_v1345z00_3045, ((long) 1),
											BgL_arg2631z00_3046);
									}
									return BgL_v1345z00_3045;
								}
							else
								{	/* Eval/evaluate_comp.scm 919 */
									obj_t BgL_v1346z00_3047;

									BgL_v1346z00_3047 = create_vector(((long) 2));
									VECTOR_SET(BgL_v1346z00_3047, ((long) 0), BINT(((long) 0)));
									{	/* Eval/evaluate_comp.scm 919 */
										obj_t BgL_arg2632z00_3048;

										BgL_arg2632z00_3048 =
											BGl_compz00zz__evaluate_compz00(
											((BgL_ev_exprz00_bglt)
												((BgL_ev_littz00_bglt) BgL_exprz00_187)),
											BgL_stkz00_188);
										VECTOR_SET(BgL_v1346z00_3047, ((long) 1),
											BgL_arg2632z00_3048);
									}
									return BgL_v1346z00_3047;
								}
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 915 */
					if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
							BGl_ev_varz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 920 */
							if (CBOOL(
									(((BgL_ev_varz00_bglt) COBJECT(
												((BgL_ev_varz00_bglt) BgL_exprz00_187)))->BgL_effz00)))
								{	/* Eval/evaluate_comp.scm 923 */
									obj_t BgL_v1347z00_3054;

									BgL_v1347z00_3054 = create_vector(((long) 2));
									VECTOR_SET(BgL_v1347z00_3054, ((long) 0), BINT(((long) 3)));
									VECTOR_SET(BgL_v1347z00_3054, ((long) 1),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
											BgL_stkz00_188));
									return BgL_v1347z00_3054;
								}
							else
								{	/* Eval/evaluate_comp.scm 924 */
									obj_t BgL_v1348z00_3056;

									BgL_v1348z00_3056 = create_vector(((long) 2));
									VECTOR_SET(BgL_v1348z00_3056, ((long) 0), BINT(((long) 2)));
									VECTOR_SET(BgL_v1348z00_3056, ((long) 1),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
											BgL_stkz00_188));
									return BgL_v1348z00_3056;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 920 */
							if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
									BGl_ev_globalz00zz__evaluate_typesz00))
								{	/* Eval/evaluate_comp.scm 927 */
									obj_t BgL_gz00_3060;

									{	/* Eval/evaluate_comp.scm 927 */
										obj_t BgL_arg2649z00_3068;
										obj_t BgL_arg2650z00_3069;

										BgL_arg2649z00_3068 =
											(((BgL_ev_globalz00_bglt) COBJECT(
													((BgL_ev_globalz00_bglt) BgL_exprz00_187)))->
											BgL_modz00);
										BgL_arg2650z00_3069 =
											(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
														BgL_exprz00_187)))->BgL_namez00);
										BgL_gz00_3060 =
											BGl_evmodulezd2findzd2globalz00zz__evmodulez00
											(BgL_arg2649z00_3068, BgL_arg2650z00_3069);
									}
									if (CBOOL(BgL_gz00_3060))
										{	/* Eval/evaluate_comp.scm 929 */
											bool_t BgL_testz00_23765;

											{	/* Eval/evaluate_comp.scm 929 */
												int BgL_arg2646z00_3065;

												{	/* Eval/evaluate_comp.scm 929 */
													int BgL_res4969z00_9313;

													BgL_res4969z00_9313 =
														CINT(VECTOR_REF(
															((obj_t) BgL_gz00_3060), ((long) 0)));
													BgL_arg2646z00_3065 = BgL_res4969z00_9313;
												}
												BgL_testz00_23765 =
													(BINT(BgL_arg2646z00_3065) == BINT(((long) 1)));
											}
											if (BgL_testz00_23765)
												{	/* Eval/evaluate_comp.scm 930 */
													obj_t BgL_v1349z00_3063;

													BgL_v1349z00_3063 = create_vector(((long) 2));
													VECTOR_SET(BgL_v1349z00_3063, ((long) 0),
														BINT(((long) 4)));
													VECTOR_SET(BgL_v1349z00_3063, ((long) 1),
														BgL_gz00_3060);
													return BgL_v1349z00_3063;
												}
											else
												{	/* Eval/evaluate_comp.scm 931 */
													obj_t BgL_v1350z00_3064;

													BgL_v1350z00_3064 = create_vector(((long) 2));
													VECTOR_SET(BgL_v1350z00_3064, ((long) 0),
														BINT(((long) 5)));
													VECTOR_SET(BgL_v1350z00_3064, ((long) 1),
														BgL_gz00_3060);
													return BgL_v1350z00_3064;
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 932 */
											obj_t BgL_v1351z00_3066;

											BgL_v1351z00_3066 = create_vector(((long) 2));
											VECTOR_SET(BgL_v1351z00_3066, ((long) 0),
												BINT(((long) 0)));
											{	/* Eval/evaluate_comp.scm 932 */
												obj_t BgL_arg2648z00_3067;

												BgL_arg2648z00_3067 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt)
														((BgL_ev_globalz00_bglt) BgL_exprz00_187)),
													BgL_stkz00_188);
												VECTOR_SET(BgL_v1351z00_3066, ((long) 1),
													BgL_arg2648z00_3067);
											}
											return BgL_v1351z00_3066;
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 925 */
									if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
											BGl_ev_appz00zz__evaluate_typesz00))
										{	/* Eval/evaluate_comp.scm 935 */
											obj_t BgL_fvalz00_3072;

											{	/* Eval/evaluate_comp.scm 935 */
												BgL_ev_exprz00_bglt BgL_arg2697z00_3120;

												BgL_arg2697z00_3120 =
													(((BgL_ev_appz00_bglt) COBJECT(
															((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
													BgL_funz00);
												BgL_fvalz00_3072 =
													BGl_globalzd2funzd2valuez00zz__evaluate_compz00
													(BgL_arg2697z00_3120);
											}
											if (
												(BgL_fvalz00_3072 ==
													BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
												{	/* Eval/evaluate_comp.scm 938 */
													obj_t BgL_v1352z00_3074;

													BgL_v1352z00_3074 = create_vector(((long) 3));
													VECTOR_SET(BgL_v1352z00_3074, ((long) 0),
														BINT(((long) 6)));
													{	/* Eval/evaluate_comp.scm 938 */
														obj_t BgL_arg2655z00_3075;

														{	/* Eval/evaluate_comp.scm 938 */
															obj_t BgL_arg2656z00_3076;

															{	/* Eval/evaluate_comp.scm 938 */
																obj_t BgL_pairz00_9321;

																BgL_pairz00_9321 =
																	(((BgL_ev_appz00_bglt) COBJECT(
																			((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
																	BgL_argsz00);
																BgL_arg2656z00_3076 = CAR(BgL_pairz00_9321);
															}
															BgL_arg2655z00_3075 =
																BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																(BgL_arg2656z00_3076, BgL_stkz00_188);
														}
														VECTOR_SET(BgL_v1352z00_3074, ((long) 1),
															BgL_arg2655z00_3075);
													}
													{	/* Eval/evaluate_comp.scm 938 */
														obj_t BgL_arg2660z00_3078;

														{	/* Eval/evaluate_comp.scm 938 */
															obj_t BgL_arg2661z00_3079;

															{	/* Eval/evaluate_comp.scm 938 */
																obj_t BgL_pairz00_9323;

																BgL_pairz00_9323 =
																	(((BgL_ev_appz00_bglt) COBJECT(
																			((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
																	BgL_argsz00);
																BgL_arg2661z00_3079 =
																	CAR(CDR(BgL_pairz00_9323));
															}
															BgL_arg2660z00_3078 =
																BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																(BgL_arg2661z00_3079, BgL_stkz00_188);
														}
														VECTOR_SET(BgL_v1352z00_3074, ((long) 2),
															BgL_arg2660z00_3078);
													}
													return BgL_v1352z00_3074;
												}
											else
												{	/* Eval/evaluate_comp.scm 937 */
													if (
														(BgL_fvalz00_3072 ==
															BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
														{	/* Eval/evaluate_comp.scm 940 */
															obj_t BgL_v1353z00_3082;

															BgL_v1353z00_3082 = create_vector(((long) 3));
															VECTOR_SET(BgL_v1353z00_3082, ((long) 0),
																BINT(((long) 7)));
															{	/* Eval/evaluate_comp.scm 940 */
																obj_t BgL_arg2664z00_3083;

																{	/* Eval/evaluate_comp.scm 940 */
																	obj_t BgL_arg2665z00_3084;

																	{	/* Eval/evaluate_comp.scm 940 */
																		obj_t BgL_pairz00_9329;

																		BgL_pairz00_9329 =
																			(((BgL_ev_appz00_bglt) COBJECT(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2665z00_3084 = CAR(BgL_pairz00_9329);
																	}
																	BgL_arg2664z00_3083 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2665z00_3084, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1353z00_3082, ((long) 1),
																	BgL_arg2664z00_3083);
															}
															{	/* Eval/evaluate_comp.scm 940 */
																obj_t BgL_arg2667z00_3086;

																{	/* Eval/evaluate_comp.scm 940 */
																	obj_t BgL_arg2668z00_3087;

																	{	/* Eval/evaluate_comp.scm 940 */
																		obj_t BgL_pairz00_9331;

																		BgL_pairz00_9331 =
																			(((BgL_ev_appz00_bglt) COBJECT(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2668z00_3087 =
																			CAR(CDR(BgL_pairz00_9331));
																	}
																	BgL_arg2667z00_3086 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2668z00_3087, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1353z00_3082, ((long) 2),
																	BgL_arg2667z00_3086);
															}
															return BgL_v1353z00_3082;
														}
													else
														{	/* Eval/evaluate_comp.scm 939 */
															if (
																(BgL_fvalz00_3072 ==
																	BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																{	/* Eval/evaluate_comp.scm 942 */
																	obj_t BgL_v1354z00_3090;

																	BgL_v1354z00_3090 = create_vector(((long) 3));
																	VECTOR_SET(BgL_v1354z00_3090, ((long) 0),
																		BINT(((long) 8)));
																	{	/* Eval/evaluate_comp.scm 942 */
																		obj_t BgL_arg2671z00_3091;

																		{	/* Eval/evaluate_comp.scm 942 */
																			obj_t BgL_arg2672z00_3092;

																			{	/* Eval/evaluate_comp.scm 942 */
																				obj_t BgL_pairz00_9337;

																				BgL_pairz00_9337 =
																					(((BgL_ev_appz00_bglt) COBJECT(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2672z00_3092 =
																					CAR(BgL_pairz00_9337);
																			}
																			BgL_arg2671z00_3091 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2672z00_3092, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1354z00_3090, ((long) 1),
																			BgL_arg2671z00_3091);
																	}
																	{	/* Eval/evaluate_comp.scm 942 */
																		obj_t BgL_arg2674z00_3094;

																		{	/* Eval/evaluate_comp.scm 942 */
																			obj_t BgL_arg2676z00_3095;

																			{	/* Eval/evaluate_comp.scm 942 */
																				obj_t BgL_pairz00_9339;

																				BgL_pairz00_9339 =
																					(((BgL_ev_appz00_bglt) COBJECT(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2676z00_3095 =
																					CAR(CDR(BgL_pairz00_9339));
																			}
																			BgL_arg2674z00_3094 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2676z00_3095, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1354z00_3090, ((long) 2),
																			BgL_arg2674z00_3094);
																	}
																	return BgL_v1354z00_3090;
																}
															else
																{	/* Eval/evaluate_comp.scm 941 */
																	if (
																		(BgL_fvalz00_3072 ==
																			BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																		{	/* Eval/evaluate_comp.scm 944 */
																			obj_t BgL_v1355z00_3098;

																			BgL_v1355z00_3098 =
																				create_vector(((long) 3));
																			VECTOR_SET(BgL_v1355z00_3098, ((long) 0),
																				BINT(((long) 9)));
																			{	/* Eval/evaluate_comp.scm 944 */
																				obj_t BgL_arg2679z00_3099;

																				{	/* Eval/evaluate_comp.scm 944 */
																					obj_t BgL_arg2680z00_3100;

																					{	/* Eval/evaluate_comp.scm 944 */
																						obj_t BgL_pairz00_9345;

																						BgL_pairz00_9345 =
																							(((BgL_ev_appz00_bglt) COBJECT(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2680z00_3100 =
																							CAR(BgL_pairz00_9345);
																					}
																					BgL_arg2679z00_3099 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2680z00_3100,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1355z00_3098,
																					((long) 1), BgL_arg2679z00_3099);
																			}
																			{	/* Eval/evaluate_comp.scm 944 */
																				obj_t BgL_arg2682z00_3102;

																				{	/* Eval/evaluate_comp.scm 944 */
																					obj_t BgL_arg2683z00_3103;

																					{	/* Eval/evaluate_comp.scm 944 */
																						obj_t BgL_pairz00_9347;

																						BgL_pairz00_9347 =
																							(((BgL_ev_appz00_bglt) COBJECT(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2683z00_3103 =
																							CAR(CDR(BgL_pairz00_9347));
																					}
																					BgL_arg2682z00_3102 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2683z00_3103,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1355z00_3098,
																					((long) 2), BgL_arg2682z00_3102);
																			}
																			return BgL_v1355z00_3098;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 943 */
																			if (
																				(BgL_fvalz00_3072 ==
																					BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 946 */
																					obj_t BgL_v1356z00_3106;

																					BgL_v1356z00_3106 =
																						create_vector(((long) 2));
																					VECTOR_SET(BgL_v1356z00_3106,
																						((long) 0), BINT(((long) 10)));
																					{	/* Eval/evaluate_comp.scm 946 */
																						obj_t BgL_arg2686z00_3107;

																						{	/* Eval/evaluate_comp.scm 946 */
																							obj_t BgL_arg2687z00_3108;

																							{	/* Eval/evaluate_comp.scm 946 */
																								obj_t BgL_pairz00_9353;

																								BgL_pairz00_9353 =
																									(((BgL_ev_appz00_bglt)
																										COBJECT((
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_187)))->
																									BgL_argsz00);
																								BgL_arg2687z00_3108 =
																									CAR(BgL_pairz00_9353);
																							}
																							BgL_arg2686z00_3107 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_arg2687z00_3108),
																								BgL_stkz00_188);
																						}
																						VECTOR_SET(BgL_v1356z00_3106,
																							((long) 1), BgL_arg2686z00_3107);
																					}
																					return BgL_v1356z00_3106;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 945 */
																					if (
																						(BgL_fvalz00_3072 ==
																							BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
																						{	/* Eval/evaluate_comp.scm 948 */
																							obj_t BgL_v1357z00_3111;

																							BgL_v1357z00_3111 =
																								create_vector(((long) 3));
																							VECTOR_SET(BgL_v1357z00_3111,
																								((long) 0), BINT(((long) 11)));
																							{	/* Eval/evaluate_comp.scm 948 */
																								obj_t BgL_arg2690z00_3112;

																								{	/* Eval/evaluate_comp.scm 948 */
																									obj_t BgL_arg2691z00_3113;

																									{	/* Eval/evaluate_comp.scm 948 */
																										obj_t BgL_pairz00_9356;

																										BgL_pairz00_9356 =
																											(((BgL_ev_appz00_bglt)
																												COBJECT((
																														(BgL_ev_appz00_bglt)
																														BgL_exprz00_187)))->
																											BgL_argsz00);
																										BgL_arg2691z00_3113 =
																											CAR(BgL_pairz00_9356);
																									}
																									BgL_arg2690z00_3112 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_arg2691z00_3113),
																										BgL_stkz00_188);
																								}
																								VECTOR_SET(BgL_v1357z00_3111,
																									((long) 1),
																									BgL_arg2690z00_3112);
																							}
																							{	/* Eval/evaluate_comp.scm 948 */
																								obj_t BgL_arg2693z00_3115;

																								{	/* Eval/evaluate_comp.scm 948 */
																									obj_t BgL_arg2694z00_3116;

																									{	/* Eval/evaluate_comp.scm 948 */
																										obj_t BgL_pairz00_9358;

																										BgL_pairz00_9358 =
																											(((BgL_ev_appz00_bglt)
																												COBJECT((
																														(BgL_ev_appz00_bglt)
																														BgL_exprz00_187)))->
																											BgL_argsz00);
																										BgL_arg2694z00_3116 =
																											CAR(CDR
																											(BgL_pairz00_9358));
																									}
																									BgL_arg2693z00_3115 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_arg2694z00_3116),
																										BgL_stkz00_188);
																								}
																								VECTOR_SET(BgL_v1357z00_3111,
																									((long) 2),
																									BgL_arg2693z00_3115);
																							}
																							return BgL_v1357z00_3111;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 950 */
																							obj_t BgL_v1358z00_3118;

																							BgL_v1358z00_3118 =
																								create_vector(((long) 2));
																							VECTOR_SET(BgL_v1358z00_3118,
																								((long) 0), BINT(((long) 0)));
																							{	/* Eval/evaluate_comp.scm 950 */
																								obj_t BgL_arg2696z00_3119;

																								BgL_arg2696z00_3119 =
																									BGl_compz00zz__evaluate_compz00
																									(((BgL_ev_exprz00_bglt) (
																											(BgL_ev_appz00_bglt)
																											BgL_exprz00_187)),
																									BgL_stkz00_188);
																								VECTOR_SET(BgL_v1358z00_3118,
																									((long) 1),
																									BgL_arg2696z00_3119);
																							}
																							return BgL_v1358z00_3118;
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 951 */
											obj_t BgL_v1359z00_3121;

											BgL_v1359z00_3121 = create_vector(((long) 2));
											VECTOR_SET(BgL_v1359z00_3121, ((long) 0),
												BINT(((long) 0)));
											{	/* Eval/evaluate_comp.scm 951 */
												obj_t BgL_arg2698z00_3122;

												BgL_arg2698z00_3122 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_exprz00_187),
													BgL_stkz00_188);
												VECTOR_SET(BgL_v1359z00_3121, ((long) 1),
													BgL_arg2698z00_3122);
											}
											return BgL_v1359z00_3121;
										}
								}
						}
				}
		}
		BGL_FUNCTION_END;
	}



/* eval-float-arith */
	double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189,
		obj_t BgL_sz00_190)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 953 */
			return
				REAL_TO_DOUBLE(BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190,
					BgL_bcz00_189));
		}
		BGL_FUNCTION_END;
	}



/* E~0 */
	obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_15517,
		obj_t BgL_bcz00_3127)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 968 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_aux1217z00_3130;

				BgL_aux1217z00_3130 = VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 0));
				if (INTEGERP(BgL_aux1217z00_3130))
					{	/* Eval/evaluate_comp.scm 955 */
						switch ((long) CINT(BgL_aux1217z00_3130))
							{
							case ((long) 0):

								{	/* Eval/evaluate_comp.scm 956 */
									obj_t BgL_fun2702z00_3132;

									BgL_fun2702z00_3132 =
										VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 1));
									return
										PROCEDURE_ENTRY(BgL_fun2702z00_3132) (BgL_fun2702z00_3132,
										BgL_sz00_15517, BEOA);
								}
								break;
							case ((long) 1):

								return VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 1));
								break;
							case ((long) 2):

								{	/* Eval/evaluate_comp.scm 958 */
									long BgL_arg2703z00_3133;

									{	/* Eval/evaluate_comp.scm 958 */
										obj_t BgL_arg2704z00_3134;
										obj_t BgL_arg2705z00_3135;

										BgL_arg2704z00_3134 =
											VECTOR_REF(((obj_t) BgL_sz00_15517), ((long) 0));
										BgL_arg2705z00_3135 =
											VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 1));
										BgL_arg2703z00_3133 =
											(
											(long) CINT(BgL_arg2704z00_3134) +
											(long) CINT(BgL_arg2705z00_3135));
									}
									return
										VECTOR_REF(((obj_t) BgL_sz00_15517), BgL_arg2703z00_3133);
								}
								break;
							case ((long) 3):

								{	/* Eval/evaluate_comp.scm 959 */
									obj_t BgL_arg2706z00_3136;

									{	/* Eval/evaluate_comp.scm 959 */
										long BgL_arg2707z00_3137;

										{	/* Eval/evaluate_comp.scm 959 */
											obj_t BgL_arg2708z00_3138;
											obj_t BgL_arg2709z00_3139;

											BgL_arg2708z00_3138 =
												VECTOR_REF(((obj_t) BgL_sz00_15517), ((long) 0));
											BgL_arg2709z00_3139 =
												VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 1));
											BgL_arg2707z00_3137 =
												(
												(long) CINT(BgL_arg2708z00_3138) +
												(long) CINT(BgL_arg2709z00_3139));
										}
										BgL_arg2706z00_3136 =
											VECTOR_REF(((obj_t) BgL_sz00_15517), BgL_arg2707z00_3137);
									}
									return
										STRUCT_REF(
										((obj_t) BgL_arg2706z00_3136), (int) (((long) 0)));
								} break;
							case ((long) 4):

								{	/* Eval/evaluate_comp.scm 960 */
									obj_t BgL_arg2710z00_3140;

									{	/* Eval/evaluate_comp.scm 960 */
										obj_t BgL_arg2711z00_3141;

										BgL_arg2711z00_3141 =
											VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 1));
										BgL_arg2710z00_3140 =
											VECTOR_REF(((obj_t) BgL_arg2711z00_3141), ((long) 2));
									}
									return __EVMEANING_ADDRESS_REF(BgL_arg2710z00_3140);
								}
								break;
							case ((long) 5):

								{	/* Eval/evaluate_comp.scm 961 */
									obj_t BgL_arg2712z00_3142;

									BgL_arg2712z00_3142 =
										VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 1));
									return VECTOR_REF(((obj_t) BgL_arg2712z00_3142), ((long) 2));
								} break;
							case ((long) 6):

								{	/* Eval/evaluate_comp.scm 962 */
									obj_t BgL_arg2713z00_3143;
									obj_t BgL_arg2714z00_3144;

									{	/* Eval/evaluate_comp.scm 962 */
										obj_t BgL_arg2715z00_3145;

										BgL_arg2715z00_3145 =
											VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 1));
										BgL_arg2713z00_3143 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15517,
											BgL_arg2715z00_3145);
									}
									{	/* Eval/evaluate_comp.scm 962 */
										obj_t BgL_arg2716z00_3146;

										BgL_arg2716z00_3146 =
											VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 2));
										BgL_arg2714z00_3144 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15517,
											BgL_arg2716z00_3146);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2713z00_3143) +
											REAL_TO_DOUBLE(BgL_arg2714z00_3144)));
								}
								break;
							case ((long) 7):

								{	/* Eval/evaluate_comp.scm 963 */
									obj_t BgL_arg2717z00_3147;
									obj_t BgL_arg2719z00_3148;

									{	/* Eval/evaluate_comp.scm 963 */
										obj_t BgL_arg2720z00_3149;

										BgL_arg2720z00_3149 =
											VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 1));
										BgL_arg2717z00_3147 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15517,
											BgL_arg2720z00_3149);
									}
									{	/* Eval/evaluate_comp.scm 963 */
										obj_t BgL_arg2721z00_3150;

										BgL_arg2721z00_3150 =
											VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 2));
										BgL_arg2719z00_3148 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15517,
											BgL_arg2721z00_3150);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2717z00_3147) -
											REAL_TO_DOUBLE(BgL_arg2719z00_3148)));
								}
								break;
							case ((long) 8):

								{	/* Eval/evaluate_comp.scm 964 */
									obj_t BgL_arg2722z00_3151;
									obj_t BgL_arg2723z00_3152;

									{	/* Eval/evaluate_comp.scm 964 */
										obj_t BgL_arg2724z00_3153;

										BgL_arg2724z00_3153 =
											VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 1));
										BgL_arg2722z00_3151 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15517,
											BgL_arg2724z00_3153);
									}
									{	/* Eval/evaluate_comp.scm 964 */
										obj_t BgL_arg2725z00_3154;

										BgL_arg2725z00_3154 =
											VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 2));
										BgL_arg2723z00_3152 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15517,
											BgL_arg2725z00_3154);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2722z00_3151) *
											REAL_TO_DOUBLE(BgL_arg2723z00_3152)));
								}
								break;
							case ((long) 9):

								{	/* Eval/evaluate_comp.scm 965 */
									obj_t BgL_arg2726z00_3155;
									obj_t BgL_arg2727z00_3156;

									{	/* Eval/evaluate_comp.scm 965 */
										obj_t BgL_arg2728z00_3157;

										BgL_arg2728z00_3157 =
											VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 1));
										BgL_arg2726z00_3155 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15517,
											BgL_arg2728z00_3157);
									}
									{	/* Eval/evaluate_comp.scm 965 */
										obj_t BgL_arg2729z00_3158;

										BgL_arg2729z00_3158 =
											VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 2));
										BgL_arg2727z00_3156 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15517,
											BgL_arg2729z00_3158);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2726z00_3155) /
											REAL_TO_DOUBLE(BgL_arg2727z00_3156)));
								}
								break;
							case ((long) 10):

								{	/* Eval/evaluate_comp.scm 966 */
									obj_t BgL_arg2730z00_3159;

									{	/* Eval/evaluate_comp.scm 966 */
										obj_t BgL_fun2731z00_3160;

										BgL_fun2731z00_3160 =
											VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 1));
										BgL_arg2730z00_3159 =
											PROCEDURE_ENTRY(BgL_fun2731z00_3160) (BgL_fun2731z00_3160,
											BgL_sz00_15517, BEOA);
									}
									return
										DOUBLE_TO_REAL((double) ((long) CINT(BgL_arg2730z00_3159)));
								} break;
							case ((long) 11):

								{	/* Eval/evaluate_comp.scm 967 */
									obj_t BgL_arg2733z00_3161;
									obj_t BgL_arg2734z00_3162;

									{	/* Eval/evaluate_comp.scm 967 */
										obj_t BgL_fun2735z00_3163;

										BgL_fun2735z00_3163 =
											VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 1));
										BgL_arg2733z00_3161 =
											PROCEDURE_ENTRY(BgL_fun2735z00_3163) (BgL_fun2735z00_3163,
											BgL_sz00_15517, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 967 */
										obj_t BgL_fun2736z00_3164;

										BgL_fun2736z00_3164 =
											VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 2));
										BgL_arg2734z00_3162 =
											PROCEDURE_ENTRY(BgL_fun2736z00_3164) (BgL_fun2736z00_3164,
											BgL_sz00_15517, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 967 */
										double BgL_tmpz00_24003;

										{	/* Eval/evaluate_comp.scm 967 */
											long BgL_tmpz00_24004;

											BgL_tmpz00_24004 = (long) CINT(BgL_arg2734z00_3162);
											BgL_tmpz00_24003 =
												BGL_F64VREF(BgL_arg2733z00_3161, BgL_tmpz00_24004);
										}
										return DOUBLE_TO_REAL(BgL_tmpz00_24003);
									}
								}
								break;
							default:
								{	/* Eval/evaluate_comp.scm 968 */
									obj_t BgL_arg2737z00_9418;

									BgL_arg2737z00_9418 =
										VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 0));
									return
										BGl_errorz00zz__errorz00
										(BGl_string5803z00zz__evaluate_compz00,
										BGl_string5822z00zz__evaluate_compz00, BgL_arg2737z00_9418);
								}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 968 */
						obj_t BgL_arg2737z00_9420;

						BgL_arg2737z00_9420 =
							VECTOR_REF(((obj_t) BgL_bcz00_3127), ((long) 0));
						return
							BGl_errorz00zz__errorz00(BGl_string5803z00zz__evaluate_compz00,
							BGl_string5822z00zz__evaluate_compz00, BgL_arg2737z00_9420);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* arith-expression */
	obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_exprz00_191, obj_t BgL_stkz00_192)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 971 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_fvalz00_3168;

				BgL_fvalz00_3168 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_exprz00_191))->BgL_funz00));
				{	/* Eval/evaluate_comp.scm 974 */
					bool_t BgL_testz00_24018;

					if (
						(BgL_fvalz00_3168 ==
							BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
						{	/* Eval/evaluate_comp.scm 974 */
							BgL_testz00_24018 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 974 */
							if (
								(BgL_fvalz00_3168 ==
									BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
								{	/* Eval/evaluate_comp.scm 974 */
									BgL_testz00_24018 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 974 */
									if (
										(BgL_fvalz00_3168 ==
											BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
										{	/* Eval/evaluate_comp.scm 974 */
											BgL_testz00_24018 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 974 */
											BgL_testz00_24018 =
												(BgL_fvalz00_3168 ==
												BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00);
										}
								}
						}
					if (BgL_testz00_24018)
						{	/* Eval/evaluate_comp.scm 975 */
							obj_t BgL_bcz00_3173;

							BgL_bcz00_3173 =
								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
								((obj_t) BgL_exprz00_191), BgL_stkz00_192);
							{	/* Eval/evaluate_comp.scm 976 */
								obj_t BgL_zc3anonymousza32742ze3z83_13872;

								BgL_zc3anonymousza32742ze3z83_13872 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32742ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza32742ze3z83_13872,
									(int) (((long) 0)), BgL_bcz00_3173);
								return BgL_zc3anonymousza32742ze3z83_13872;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 974 */
							return BFALSE;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2742> */
	obj_t BGl_z62zc3anonymousza32742ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13873, obj_t BgL_sz00_13875)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 976 */
			{	/* Eval/evaluate_comp.scm 976 */
				obj_t BgL_bcz00_13874;

				BgL_bcz00_13874 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13873, (int) (((long) 0))));
				{	/* Eval/evaluate_comp.scm 976 */
					double BgL_tmpz00_24036;

					{	/* Eval/evaluate_comp.scm 976 */
						obj_t BgL_bpz00_16467;

						BgL_bpz00_16467 = VECTOR_REF(((obj_t) BgL_sz00_13875), ((long) 0));
						BgL_tmpz00_24036 =
							BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_13874,
							BgL_sz00_13875);
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_24036);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193,
		BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195,
		obj_t BgL_stkz00_196)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1005 */
			{	/* Eval/evaluate_comp.scm 1006 */
				obj_t BgL_valz00_3181;

				BgL_valz00_3181 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194);
				if (CBOOL(BgL_valz00_3181))
					{	/* Eval/evaluate_comp.scm 1008 */
						long BgL_nz00_3182;

						BgL_nz00_3182 = bgl_list_length(BgL_argsz00_195);
						{	/* Eval/evaluate_comp.scm 1009 */
							obj_t BgL__ortest_1223z00_3183;

							if ((BgL_nz00_3182 == ((long) 1)))
								{	/* Eval/evaluate_comp.scm 1010 */
									obj_t BgL_a1z00_3474;

									BgL_a1z00_3474 = CAR(((obj_t) BgL_argsz00_195));
									if (
										(BgL_valz00_3181 ==
											BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
										{	/* Eval/evaluate_comp.scm 1011 */
											obj_t BgL_a1z00_3476;

											BgL_a1z00_3476 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_a1z00_3474), BgL_stkz00_196);
											{	/* Eval/evaluate_comp.scm 1011 */
												obj_t BgL_zc3anonymousza32859ze3z83_13905;

												BgL_zc3anonymousza32859ze3z83_13905 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32859ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza32859ze3z83_13905,
													(int) (((long) 0)), BgL_a1z00_3476);
												PROCEDURE_SET(BgL_zc3anonymousza32859ze3z83_13905,
													(int) (((long) 1)), BgL_locz00_193);
												BgL__ortest_1223z00_3183 =
													BgL_zc3anonymousza32859ze3z83_13905;
										}}
									else
										{	/* Eval/evaluate_comp.scm 1011 */
											if (
												(BgL_valz00_3181 ==
													BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
												{	/* Eval/evaluate_comp.scm 1011 */
													obj_t BgL_a1z00_3483;

													BgL_a1z00_3483 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3474),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1011 */
														obj_t BgL_zc3anonymousza32862ze3z83_13906;

														BgL_zc3anonymousza32862ze3z83_13906 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32862ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza32862ze3z83_13906,
															(int) (((long) 0)), BgL_a1z00_3483);
														PROCEDURE_SET(BgL_zc3anonymousza32862ze3z83_13906,
															(int) (((long) 1)), BgL_locz00_193);
														BgL__ortest_1223z00_3183 =
															BgL_zc3anonymousza32862ze3z83_13906;
												}}
											else
												{	/* Eval/evaluate_comp.scm 1011 */
													if (
														(BgL_valz00_3181 ==
															BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
														{	/* Eval/evaluate_comp.scm 1011 */
															obj_t BgL_a1z00_3490;

															BgL_a1z00_3490 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3474),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1011 */
																obj_t BgL_zc3anonymousza32865ze3z83_13907;

																BgL_zc3anonymousza32865ze3z83_13907 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32865ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32865ze3z83_13907,
																	(int) (((long) 0)), BgL_a1z00_3490);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32865ze3z83_13907,
																	(int) (((long) 1)), BgL_locz00_193);
																BgL__ortest_1223z00_3183 =
																	BgL_zc3anonymousza32865ze3z83_13907;
														}}
													else
														{	/* Eval/evaluate_comp.scm 1011 */
															BgL__ortest_1223z00_3183 = BFALSE;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1009 */
									BgL__ortest_1223z00_3183 = BFALSE;
								}
							if (CBOOL(BgL__ortest_1223z00_3183))
								{	/* Eval/evaluate_comp.scm 1009 */
									return BgL__ortest_1223z00_3183;
								}
							else
								{	/* Eval/evaluate_comp.scm 1009 */
									if ((BgL_nz00_3182 == ((long) 2)))
										{	/* Eval/evaluate_comp.scm 1013 */
											obj_t BgL_a1z00_3185;
											obj_t BgL_a2z00_3186;

											BgL_a1z00_3185 = CAR(((obj_t) BgL_argsz00_195));
											{	/* Eval/evaluate_comp.scm 1013 */
												obj_t BgL_pairz00_9452;

												BgL_pairz00_9452 = CDR(((obj_t) BgL_argsz00_195));
												BgL_a2z00_3186 = CAR(BgL_pairz00_9452);
											}
											if (
												(BgL_valz00_3181 ==
													BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
												{	/* Eval/evaluate_comp.scm 1014 */
													obj_t BgL_a1z00_3188;
													obj_t BgL_a2z00_3189;

													BgL_a1z00_3188 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3185),
														BgL_stkz00_196);
													BgL_a2z00_3189 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_a2z00_3186),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1014 */
														obj_t BgL_zc3anonymousza32746ze3z83_13876;

														BgL_zc3anonymousza32746ze3z83_13876 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32746ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 3)));
														PROCEDURE_SET(BgL_zc3anonymousza32746ze3z83_13876,
															(int) (((long) 0)), BgL_a1z00_3188);
														PROCEDURE_SET(BgL_zc3anonymousza32746ze3z83_13876,
															(int) (((long) 1)), BgL_a2z00_3189);
														PROCEDURE_SET(BgL_zc3anonymousza32746ze3z83_13876,
															(int) (((long) 2)), BgL_locz00_193);
														return BgL_zc3anonymousza32746ze3z83_13876;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 1014 */
													if (
														(BgL_valz00_3181 ==
															BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
														{	/* Eval/evaluate_comp.scm 1014 */
															obj_t BgL_a1z00_3198;
															obj_t BgL_a2z00_3199;

															BgL_a1z00_3198 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3185),
																BgL_stkz00_196);
															BgL_a2z00_3199 =
																BGl_compz00zz__evaluate_compz00((
																	(BgL_ev_exprz00_bglt) BgL_a2z00_3186),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1014 */
																obj_t BgL_zc3anonymousza32750ze3z83_13877;

																BgL_zc3anonymousza32750ze3z83_13877 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32750ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32750ze3z83_13877,
																	(int) (((long) 0)), BgL_a1z00_3198);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32750ze3z83_13877,
																	(int) (((long) 1)), BgL_a2z00_3199);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32750ze3z83_13877,
																	(int) (((long) 2)), BgL_locz00_193);
																return BgL_zc3anonymousza32750ze3z83_13877;
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 1014 */
															if (
																(BgL_valz00_3181 ==
																	BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																{	/* Eval/evaluate_comp.scm 1014 */
																	obj_t BgL_a1z00_3208;
																	obj_t BgL_a2z00_3209;

																	BgL_a1z00_3208 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt) BgL_a1z00_3185),
																		BgL_stkz00_196);
																	BgL_a2z00_3209 =
																		BGl_compz00zz__evaluate_compz00((
																			(BgL_ev_exprz00_bglt) BgL_a2z00_3186),
																		BgL_stkz00_196);
																	{	/* Eval/evaluate_comp.scm 1014 */
																		obj_t BgL_zc3anonymousza32754ze3z83_13878;

																		BgL_zc3anonymousza32754ze3z83_13878 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32754ze3ze1zz__evaluate_compz00,
																			(int) (((long) 1)), (int) (((long) 3)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32754ze3z83_13878,
																			(int) (((long) 0)), BgL_a1z00_3208);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32754ze3z83_13878,
																			(int) (((long) 1)), BgL_a2z00_3209);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32754ze3z83_13878,
																			(int) (((long) 2)), BgL_locz00_193);
																		return BgL_zc3anonymousza32754ze3z83_13878;
																	}
																}
															else
																{	/* Eval/evaluate_comp.scm 1014 */
																	if (
																		(BgL_valz00_3181 ==
																			BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																		{	/* Eval/evaluate_comp.scm 1014 */
																			obj_t BgL_a1z00_3218;
																			obj_t BgL_a2z00_3219;

																			BgL_a1z00_3218 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt) BgL_a1z00_3185),
																				BgL_stkz00_196);
																			BgL_a2z00_3219 =
																				BGl_compz00zz__evaluate_compz00((
																					(BgL_ev_exprz00_bglt) BgL_a2z00_3186),
																				BgL_stkz00_196);
																			{	/* Eval/evaluate_comp.scm 1014 */
																				obj_t
																					BgL_zc3anonymousza32758ze3z83_13879;
																				BgL_zc3anonymousza32758ze3z83_13879 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3anonymousza32758ze3ze1zz__evaluate_compz00,
																					(int) (((long) 1)),
																					(int) (((long) 3)));
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32758ze3z83_13879,
																					(int) (((long) 0)), BgL_a1z00_3218);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32758ze3z83_13879,
																					(int) (((long) 1)), BgL_a2z00_3219);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32758ze3z83_13879,
																					(int) (((long) 2)), BgL_locz00_193);
																				return
																					BgL_zc3anonymousza32758ze3z83_13879;
																			}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 1014 */
																			if (
																				(BgL_valz00_3181 ==
																					BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 1014 */
																					obj_t BgL_a1z00_3228;
																					obj_t BgL_a2z00_3229;

																					BgL_a1z00_3228 =
																						BGl_compz00zz__evaluate_compz00(
																						((BgL_ev_exprz00_bglt)
																							BgL_a1z00_3185), BgL_stkz00_196);
																					BgL_a2z00_3229 =
																						BGl_compz00zz__evaluate_compz00((
																							(BgL_ev_exprz00_bglt)
																							BgL_a2z00_3186), BgL_stkz00_196);
																					{	/* Eval/evaluate_comp.scm 1014 */
																						obj_t
																							BgL_zc3anonymousza32762ze3z83_13880;
																						BgL_zc3anonymousza32762ze3z83_13880
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3anonymousza32762ze3ze1zz__evaluate_compz00,
																							(int) (((long) 1)),
																							(int) (((long) 3)));
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32762ze3z83_13880,
																							(int) (((long) 0)),
																							BgL_a1z00_3228);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32762ze3z83_13880,
																							(int) (((long) 1)),
																							BgL_a2z00_3229);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32762ze3z83_13880,
																							(int) (((long) 2)),
																							BgL_locz00_193);
																						return
																							BgL_zc3anonymousza32762ze3z83_13880;
																					}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 1014 */
																					if (
																						(BgL_valz00_3181 ==
																							BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																						{	/* Eval/evaluate_comp.scm 1014 */
																							obj_t BgL_a1z00_3238;
																							obj_t BgL_a2z00_3239;

																							BgL_a1z00_3238 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a1z00_3185),
																								BgL_stkz00_196);
																							BgL_a2z00_3239 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a2z00_3186),
																								BgL_stkz00_196);
																							{	/* Eval/evaluate_comp.scm 1014 */
																								obj_t
																									BgL_zc3anonymousza32766ze3z83_13881;
																								BgL_zc3anonymousza32766ze3z83_13881
																									=
																									MAKE_FX_PROCEDURE
																									(BGl_z62zc3anonymousza32766ze3ze1zz__evaluate_compz00,
																									(int) (((long) 1)),
																									(int) (((long) 3)));
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32766ze3z83_13881,
																									(int) (((long) 0)),
																									BgL_a1z00_3238);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32766ze3z83_13881,
																									(int) (((long) 1)),
																									BgL_a2z00_3239);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32766ze3z83_13881,
																									(int) (((long) 2)),
																									BgL_locz00_193);
																								return
																									BgL_zc3anonymousza32766ze3z83_13881;
																							}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 1014 */
																							if (
																								(BgL_valz00_3181 ==
																									BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																								{	/* Eval/evaluate_comp.scm 1014 */
																									obj_t BgL_a1z00_3248;
																									obj_t BgL_a2z00_3249;

																									BgL_a1z00_3248 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a1z00_3185),
																										BgL_stkz00_196);
																									BgL_a2z00_3249 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a2z00_3186),
																										BgL_stkz00_196);
																									{	/* Eval/evaluate_comp.scm 1014 */
																										obj_t
																											BgL_zc3anonymousza32770ze3z83_13882;
																										BgL_zc3anonymousza32770ze3z83_13882
																											=
																											MAKE_FX_PROCEDURE
																											(BGl_z62zc3anonymousza32770ze3ze1zz__evaluate_compz00,
																											(int) (((long) 1)),
																											(int) (((long) 3)));
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32770ze3z83_13882,
																											(int) (((long) 0)),
																											BgL_a1z00_3248);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32770ze3z83_13882,
																											(int) (((long) 1)),
																											BgL_a2z00_3249);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32770ze3z83_13882,
																											(int) (((long) 2)),
																											BgL_locz00_193);
																										return
																											BgL_zc3anonymousza32770ze3z83_13882;
																									}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 1014 */
																									if (
																										(BgL_valz00_3181 ==
																											BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																										{	/* Eval/evaluate_comp.scm 1014 */
																											obj_t BgL_a1z00_3258;
																											obj_t BgL_a2z00_3259;

																											BgL_a1z00_3258 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a1z00_3185),
																												BgL_stkz00_196);
																											BgL_a2z00_3259 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a2z00_3186),
																												BgL_stkz00_196);
																											{	/* Eval/evaluate_comp.scm 1014 */
																												obj_t
																													BgL_zc3anonymousza32774ze3z83_13883;
																												BgL_zc3anonymousza32774ze3z83_13883
																													=
																													MAKE_FX_PROCEDURE
																													(BGl_z62zc3anonymousza32774ze3ze1zz__evaluate_compz00,
																													(int) (((long) 1)),
																													(int) (((long) 3)));
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32774ze3z83_13883,
																													(int) (((long) 0)),
																													BgL_a1z00_3258);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32774ze3z83_13883,
																													(int) (((long) 1)),
																													BgL_a2z00_3259);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32774ze3z83_13883,
																													(int) (((long) 2)),
																													BgL_locz00_193);
																												return
																													BgL_zc3anonymousza32774ze3z83_13883;
																											}
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 1014 */
																											if (
																												(BgL_valz00_3181 ==
																													BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																												{	/* Eval/evaluate_comp.scm 1014 */
																													obj_t BgL_a1z00_3268;
																													obj_t BgL_a2z00_3269;

																													BgL_a1z00_3268 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																													BgL_a2z00_3269 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																													{	/* Eval/evaluate_comp.scm 1014 */
																														obj_t
																															BgL_zc3anonymousza32778ze3z83_13884;
																														BgL_zc3anonymousza32778ze3z83_13884
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3anonymousza32778ze3ze1zz__evaluate_compz00,
																															(int) (((long)
																																	1)),
																															(int) (((long)
																																	3)));
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32778ze3z83_13884,
																															(int) (((long)
																																	0)),
																															BgL_a1z00_3268);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32778ze3z83_13884,
																															(int) (((long)
																																	1)),
																															BgL_a2z00_3269);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32778ze3z83_13884,
																															(int) (((long)
																																	2)),
																															BgL_locz00_193);
																														return
																															BgL_zc3anonymousza32778ze3z83_13884;
																													}
																												}
																											else
																												{	/* Eval/evaluate_comp.scm 1014 */
																													if (
																														(BgL_valz00_3181 ==
																															BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																														{	/* Eval/evaluate_comp.scm 1014 */
																															obj_t
																																BgL_a1z00_3278;
																															obj_t
																																BgL_a2z00_3279;
																															BgL_a1z00_3278 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																															BgL_a2z00_3279 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																															{	/* Eval/evaluate_comp.scm 1014 */
																																obj_t
																																	BgL_zc3anonymousza32782ze3z83_13885;
																																BgL_zc3anonymousza32782ze3z83_13885
																																	=
																																	MAKE_FX_PROCEDURE
																																	(BGl_z62zc3anonymousza32782ze3ze1zz__evaluate_compz00,
																																	(int) (((long)
																																			1)),
																																	(int) (((long)
																																			3)));
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32782ze3z83_13885,
																																	(int) (((long)
																																			0)),
																																	BgL_a1z00_3278);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32782ze3z83_13885,
																																	(int) (((long)
																																			1)),
																																	BgL_a2z00_3279);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32782ze3z83_13885,
																																	(int) (((long)
																																			2)),
																																	BgL_locz00_193);
																																return
																																	BgL_zc3anonymousza32782ze3z83_13885;
																															}
																														}
																													else
																														{	/* Eval/evaluate_comp.scm 1014 */
																															if (
																																(BgL_valz00_3181
																																	==
																																	BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																{	/* Eval/evaluate_comp.scm 1014 */
																																	obj_t
																																		BgL_a1z00_3288;
																																	obj_t
																																		BgL_a2z00_3289;
																																	BgL_a1z00_3288
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																	BgL_a2z00_3289
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																	{	/* Eval/evaluate_comp.scm 1014 */
																																		obj_t
																																			BgL_zc3anonymousza32786ze3z83_13886;
																																		BgL_zc3anonymousza32786ze3z83_13886
																																			=
																																			MAKE_FX_PROCEDURE
																																			(BGl_z62zc3anonymousza32786ze3ze1zz__evaluate_compz00,
																																			(int) ((
																																					(long)
																																					1)),
																																			(int) ((
																																					(long)
																																					3)));
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32786ze3z83_13886,
																																			(int) ((
																																					(long)
																																					0)),
																																			BgL_a1z00_3288);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32786ze3z83_13886,
																																			(int) ((
																																					(long)
																																					1)),
																																			BgL_a2z00_3289);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32786ze3z83_13886,
																																			(int) ((
																																					(long)
																																					2)),
																																			BgL_locz00_193);
																																		return
																																			BgL_zc3anonymousza32786ze3z83_13886;
																																	}
																																}
																															else
																																{	/* Eval/evaluate_comp.scm 1014 */
																																	if (
																																		(BgL_valz00_3181
																																			==
																																			BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																		{	/* Eval/evaluate_comp.scm 1014 */
																																			obj_t
																																				BgL_a1z00_3298;
																																			obj_t
																																				BgL_a2z00_3299;
																																			BgL_a1z00_3298
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																			BgL_a2z00_3299
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																			{	/* Eval/evaluate_comp.scm 1014 */
																																				obj_t
																																					BgL_zc3anonymousza32790ze3z83_13887;
																																				BgL_zc3anonymousza32790ze3z83_13887
																																					=
																																					MAKE_FX_PROCEDURE
																																					(BGl_z62zc3anonymousza32790ze3ze1zz__evaluate_compz00,
																																					(int)
																																					(((long) 1)), (int) (((long) 3)));
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32790ze3z83_13887,
																																					(int)
																																					(((long) 0)), BgL_a1z00_3298);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32790ze3z83_13887,
																																					(int)
																																					(((long) 1)), BgL_a2z00_3299);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32790ze3z83_13887,
																																					(int)
																																					(((long) 2)), BgL_locz00_193);
																																				return
																																					BgL_zc3anonymousza32790ze3z83_13887;
																																			}
																																		}
																																	else
																																		{	/* Eval/evaluate_comp.scm 1014 */
																																			if (
																																				(BgL_valz00_3181
																																					==
																																					BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																				{	/* Eval/evaluate_comp.scm 1014 */
																																					obj_t
																																						BgL_a1z00_3308;
																																					obj_t
																																						BgL_a2z00_3309;
																																					BgL_a1z00_3308
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																					BgL_a2z00_3309
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																					{	/* Eval/evaluate_comp.scm 1014 */
																																						obj_t
																																							BgL_zc3anonymousza32794ze3z83_13888;
																																						BgL_zc3anonymousza32794ze3z83_13888
																																							=
																																							MAKE_FX_PROCEDURE
																																							(BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00,
																																							(int)
																																							(((long) 1)), (int) (((long) 3)));
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32794ze3z83_13888,
																																							(int)
																																							(((long) 0)), BgL_a1z00_3308);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32794ze3z83_13888,
																																							(int)
																																							(((long) 1)), BgL_a2z00_3309);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32794ze3z83_13888,
																																							(int)
																																							(((long) 2)), BgL_locz00_193);
																																						return
																																							BgL_zc3anonymousza32794ze3z83_13888;
																																					}
																																				}
																																			else
																																				{	/* Eval/evaluate_comp.scm 1014 */
																																					if (
																																						(BgL_valz00_3181
																																							==
																																							BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																						{	/* Eval/evaluate_comp.scm 1014 */
																																							obj_t
																																								BgL_a1z00_3318;
																																							obj_t
																																								BgL_a2z00_3319;
																																							BgL_a1z00_3318
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																							BgL_a2z00_3319
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																							{	/* Eval/evaluate_comp.scm 1014 */
																																								obj_t
																																									BgL_zc3anonymousza32798ze3z83_13889;
																																								BgL_zc3anonymousza32798ze3z83_13889
																																									=
																																									MAKE_FX_PROCEDURE
																																									(BGl_z62zc3anonymousza32798ze3ze1zz__evaluate_compz00,
																																									(int)
																																									(((long) 1)), (int) (((long) 3)));
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32798ze3z83_13889,
																																									(int)
																																									(((long) 0)), BgL_a1z00_3318);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32798ze3z83_13889,
																																									(int)
																																									(((long) 1)), BgL_a2z00_3319);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32798ze3z83_13889,
																																									(int)
																																									(((long) 2)), BgL_locz00_193);
																																								return
																																									BgL_zc3anonymousza32798ze3z83_13889;
																																							}
																																						}
																																					else
																																						{	/* Eval/evaluate_comp.scm 1014 */
																																							if ((BgL_valz00_3181 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																								{	/* Eval/evaluate_comp.scm 1014 */
																																									obj_t
																																										BgL_a1z00_3328;
																																									obj_t
																																										BgL_a2z00_3329;
																																									BgL_a1z00_3328
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																									BgL_a2z00_3329
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																									{	/* Eval/evaluate_comp.scm 1014 */
																																										obj_t
																																											BgL_zc3anonymousza32802ze3z83_13890;
																																										BgL_zc3anonymousza32802ze3z83_13890
																																											=
																																											MAKE_FX_PROCEDURE
																																											(BGl_z62zc3anonymousza32802ze3ze1zz__evaluate_compz00,
																																											(int)
																																											(((long) 1)), (int) (((long) 3)));
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32802ze3z83_13890,
																																											(int)
																																											(((long) 0)), BgL_a1z00_3328);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32802ze3z83_13890,
																																											(int)
																																											(((long) 1)), BgL_a2z00_3329);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32802ze3z83_13890,
																																											(int)
																																											(((long) 2)), BgL_locz00_193);
																																										return
																																											BgL_zc3anonymousza32802ze3z83_13890;
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate_comp.scm 1014 */
																																									if ((BgL_valz00_3181 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																										{	/* Eval/evaluate_comp.scm 1014 */
																																											obj_t
																																												BgL_a1z00_3338;
																																											obj_t
																																												BgL_a2z00_3339;
																																											BgL_a1z00_3338
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																											BgL_a2z00_3339
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																											{	/* Eval/evaluate_comp.scm 1014 */
																																												obj_t
																																													BgL_zc3anonymousza32806ze3z83_13891;
																																												BgL_zc3anonymousza32806ze3z83_13891
																																													=
																																													MAKE_FX_PROCEDURE
																																													(BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00,
																																													(int)
																																													(((long) 1)), (int) (((long) 3)));
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32806ze3z83_13891,
																																													(int)
																																													(((long) 0)), BgL_a1z00_3338);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32806ze3z83_13891,
																																													(int)
																																													(((long) 1)), BgL_a2z00_3339);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32806ze3z83_13891,
																																													(int)
																																													(((long) 2)), BgL_locz00_193);
																																												return
																																													BgL_zc3anonymousza32806ze3z83_13891;
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate_comp.scm 1014 */
																																											if ((BgL_valz00_3181 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																												{	/* Eval/evaluate_comp.scm 1014 */
																																													obj_t
																																														BgL_a1z00_3348;
																																													obj_t
																																														BgL_a2z00_3349;
																																													BgL_a1z00_3348
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																													BgL_a2z00_3349
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																													{	/* Eval/evaluate_comp.scm 1014 */
																																														obj_t
																																															BgL_zc3anonymousza32810ze3z83_13892;
																																														BgL_zc3anonymousza32810ze3z83_13892
																																															=
																																															MAKE_FX_PROCEDURE
																																															(BGl_z62zc3anonymousza32810ze3ze1zz__evaluate_compz00,
																																															(int)
																																															(((long) 1)), (int) (((long) 3)));
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32810ze3z83_13892,
																																															(int)
																																															(((long) 0)), BgL_a1z00_3348);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32810ze3z83_13892,
																																															(int)
																																															(((long) 1)), BgL_a2z00_3349);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32810ze3z83_13892,
																																															(int)
																																															(((long) 2)), BgL_locz00_193);
																																														return
																																															BgL_zc3anonymousza32810ze3z83_13892;
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate_comp.scm 1014 */
																																													if ((BgL_valz00_3181 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																														{	/* Eval/evaluate_comp.scm 1014 */
																																															obj_t
																																																BgL_a1z00_3358;
																																															obj_t
																																																BgL_a2z00_3359;
																																															BgL_a1z00_3358
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																															BgL_a2z00_3359
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																															{	/* Eval/evaluate_comp.scm 1014 */
																																																obj_t
																																																	BgL_zc3anonymousza32814ze3z83_13893;
																																																BgL_zc3anonymousza32814ze3z83_13893
																																																	=
																																																	MAKE_FX_PROCEDURE
																																																	(BGl_z62zc3anonymousza32814ze3ze1zz__evaluate_compz00,
																																																	(int)
																																																	(((long) 1)), (int) (((long) 3)));
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32814ze3z83_13893,
																																																	(int)
																																																	(((long) 0)), BgL_a1z00_3358);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32814ze3z83_13893,
																																																	(int)
																																																	(((long) 1)), BgL_a2z00_3359);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32814ze3z83_13893,
																																																	(int)
																																																	(((long) 2)), BgL_locz00_193);
																																																return
																																																	BgL_zc3anonymousza32814ze3z83_13893;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate_comp.scm 1014 */
																																															if ((BgL_valz00_3181 == BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
																																																{	/* Eval/evaluate_comp.scm 1014 */
																																																	obj_t
																																																		BgL_a1z00_3368;
																																																	obj_t
																																																		BgL_a2z00_3369;
																																																	BgL_a1z00_3368
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																																	BgL_a2z00_3369
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																																	{	/* Eval/evaluate_comp.scm 1014 */
																																																		obj_t
																																																			BgL_zc3anonymousza32818ze3z83_13894;
																																																		BgL_zc3anonymousza32818ze3z83_13894
																																																			=
																																																			MAKE_FX_PROCEDURE
																																																			(BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00,
																																																			(int)
																																																			(((long) 1)), (int) (((long) 3)));
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32818ze3z83_13894,
																																																			(int)
																																																			(((long) 0)), BgL_a1z00_3368);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32818ze3z83_13894,
																																																			(int)
																																																			(((long) 1)), BgL_a2z00_3369);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32818ze3z83_13894,
																																																			(int)
																																																			(((long) 2)), BgL_locz00_193);
																																																		return
																																																			BgL_zc3anonymousza32818ze3z83_13894;
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate_comp.scm 1014 */
																																																	if ((BgL_valz00_3181 == BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
																																																		{	/* Eval/evaluate_comp.scm 1014 */
																																																			obj_t
																																																				BgL_a1z00_3378;
																																																			obj_t
																																																				BgL_a2z00_3379;
																																																			BgL_a1z00_3378
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																																			BgL_a2z00_3379
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																																			{	/* Eval/evaluate_comp.scm 1014 */
																																																				obj_t
																																																					BgL_zc3anonymousza32822ze3z83_13895;
																																																				BgL_zc3anonymousza32822ze3z83_13895
																																																					=
																																																					MAKE_FX_PROCEDURE
																																																					(BGl_z62zc3anonymousza32822ze3ze1zz__evaluate_compz00,
																																																					(int)
																																																					(((long) 1)), (int) (((long) 3)));
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32822ze3z83_13895,
																																																					(int)
																																																					(((long) 0)), BgL_a1z00_3378);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32822ze3z83_13895,
																																																					(int)
																																																					(((long) 1)), BgL_a2z00_3379);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32822ze3z83_13895,
																																																					(int)
																																																					(((long) 2)), BgL_locz00_193);
																																																				return
																																																					BgL_zc3anonymousza32822ze3z83_13895;
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate_comp.scm 1014 */
																																																			if ((BgL_valz00_3181 == BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																																																				{	/* Eval/evaluate_comp.scm 1014 */
																																																					obj_t
																																																						BgL_a1z00_3388;
																																																					obj_t
																																																						BgL_a2z00_3389;
																																																					BgL_a1z00_3388
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																																					BgL_a2z00_3389
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																																					{	/* Eval/evaluate_comp.scm 1014 */
																																																						obj_t
																																																							BgL_zc3anonymousza32826ze3z83_13896;
																																																						BgL_zc3anonymousza32826ze3z83_13896
																																																							=
																																																							MAKE_FX_PROCEDURE
																																																							(BGl_z62zc3anonymousza32826ze3ze1zz__evaluate_compz00,
																																																							(int)
																																																							(((long) 1)), (int) (((long) 3)));
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32826ze3z83_13896,
																																																							(int)
																																																							(((long) 0)), BgL_a1z00_3388);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32826ze3z83_13896,
																																																							(int)
																																																							(((long) 1)), BgL_a2z00_3389);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32826ze3z83_13896,
																																																							(int)
																																																							(((long) 2)), BgL_locz00_193);
																																																						return
																																																							BgL_zc3anonymousza32826ze3z83_13896;
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate_comp.scm 1014 */
																																																					if ((BgL_valz00_3181 == BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																																																						{	/* Eval/evaluate_comp.scm 1014 */
																																																							obj_t
																																																								BgL_a1z00_3398;
																																																							obj_t
																																																								BgL_a2z00_3399;
																																																							BgL_a1z00_3398
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																																							BgL_a2z00_3399
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																																							{	/* Eval/evaluate_comp.scm 1014 */
																																																								obj_t
																																																									BgL_zc3anonymousza32830ze3z83_13897;
																																																								BgL_zc3anonymousza32830ze3z83_13897
																																																									=
																																																									MAKE_FX_PROCEDURE
																																																									(BGl_z62zc3anonymousza32830ze3ze1zz__evaluate_compz00,
																																																									(int)
																																																									(((long) 1)), (int) (((long) 3)));
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32830ze3z83_13897,
																																																									(int)
																																																									(((long) 0)), BgL_a1z00_3398);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32830ze3z83_13897,
																																																									(int)
																																																									(((long) 1)), BgL_a2z00_3399);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32830ze3z83_13897,
																																																									(int)
																																																									(((long) 2)), BgL_locz00_193);
																																																								return
																																																									BgL_zc3anonymousza32830ze3z83_13897;
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate_comp.scm 1014 */
																																																							if ((BgL_valz00_3181 == BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
																																																								{	/* Eval/evaluate_comp.scm 1014 */
																																																									obj_t
																																																										BgL_a1z00_3408;
																																																									obj_t
																																																										BgL_a2z00_3409;
																																																									BgL_a1z00_3408
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																																									BgL_a2z00_3409
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																																									{	/* Eval/evaluate_comp.scm 1014 */
																																																										obj_t
																																																											BgL_zc3anonymousza32834ze3z83_13898;
																																																										BgL_zc3anonymousza32834ze3z83_13898
																																																											=
																																																											MAKE_FX_PROCEDURE
																																																											(BGl_z62zc3anonymousza32834ze3ze1zz__evaluate_compz00,
																																																											(int)
																																																											(((long) 1)), (int) (((long) 3)));
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32834ze3z83_13898,
																																																											(int)
																																																											(((long) 0)), BgL_a1z00_3408);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32834ze3z83_13898,
																																																											(int)
																																																											(((long) 1)), BgL_a2z00_3409);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32834ze3z83_13898,
																																																											(int)
																																																											(((long) 2)), BgL_locz00_193);
																																																										return
																																																											BgL_zc3anonymousza32834ze3z83_13898;
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate_comp.scm 1014 */
																																																									if ((BgL_valz00_3181 == BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
																																																										{	/* Eval/evaluate_comp.scm 1014 */
																																																											obj_t
																																																												BgL_a1z00_3418;
																																																											obj_t
																																																												BgL_a2z00_3419;
																																																											BgL_a1z00_3418
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																																											BgL_a2z00_3419
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																																											{	/* Eval/evaluate_comp.scm 1014 */
																																																												obj_t
																																																													BgL_zc3anonymousza32838ze3z83_13899;
																																																												BgL_zc3anonymousza32838ze3z83_13899
																																																													=
																																																													MAKE_FX_PROCEDURE
																																																													(BGl_z62zc3anonymousza32838ze3ze1zz__evaluate_compz00,
																																																													(int)
																																																													(((long) 1)), (int) (((long) 3)));
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32838ze3z83_13899,
																																																													(int)
																																																													(((long) 0)), BgL_a1z00_3418);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32838ze3z83_13899,
																																																													(int)
																																																													(((long) 1)), BgL_a2z00_3419);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32838ze3z83_13899,
																																																													(int)
																																																													(((long) 2)), BgL_locz00_193);
																																																												return
																																																													BgL_zc3anonymousza32838ze3z83_13899;
																																																											}
																																																										}
																																																									else
																																																										{	/* Eval/evaluate_comp.scm 1014 */
																																																											if ((BgL_valz00_3181 == BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
																																																												{	/* Eval/evaluate_comp.scm 1014 */
																																																													obj_t
																																																														BgL_a1z00_3428;
																																																													obj_t
																																																														BgL_a2z00_3429;
																																																													BgL_a1z00_3428
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																																													BgL_a2z00_3429
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																																													{	/* Eval/evaluate_comp.scm 1014 */
																																																														obj_t
																																																															BgL_zc3anonymousza32842ze3z83_13900;
																																																														BgL_zc3anonymousza32842ze3z83_13900
																																																															=
																																																															MAKE_FX_PROCEDURE
																																																															(BGl_z62zc3anonymousza32842ze3ze1zz__evaluate_compz00,
																																																															(int)
																																																															(((long) 1)), (int) (((long) 3)));
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32842ze3z83_13900,
																																																															(int)
																																																															(((long) 0)), BgL_a1z00_3428);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32842ze3z83_13900,
																																																															(int)
																																																															(((long) 1)), BgL_a2z00_3429);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32842ze3z83_13900,
																																																															(int)
																																																															(((long) 2)), BgL_locz00_193);
																																																														return
																																																															BgL_zc3anonymousza32842ze3z83_13900;
																																																													}
																																																												}
																																																											else
																																																												{	/* Eval/evaluate_comp.scm 1014 */
																																																													if ((BgL_valz00_3181 == BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
																																																														{	/* Eval/evaluate_comp.scm 1014 */
																																																															obj_t
																																																																BgL_a1z00_3438;
																																																															obj_t
																																																																BgL_a2z00_3439;
																																																															BgL_a1z00_3438
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																																															BgL_a2z00_3439
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																																															{	/* Eval/evaluate_comp.scm 1014 */
																																																																obj_t
																																																																	BgL_zc3anonymousza32846ze3z83_13901;
																																																																BgL_zc3anonymousza32846ze3z83_13901
																																																																	=
																																																																	MAKE_FX_PROCEDURE
																																																																	(BGl_z62zc3anonymousza32846ze3ze1zz__evaluate_compz00,
																																																																	(int)
																																																																	(((long) 1)), (int) (((long) 3)));
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32846ze3z83_13901,
																																																																	(int)
																																																																	(((long) 0)), BgL_a1z00_3438);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32846ze3z83_13901,
																																																																	(int)
																																																																	(((long) 1)), BgL_a2z00_3439);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32846ze3z83_13901,
																																																																	(int)
																																																																	(((long) 2)), BgL_locz00_193);
																																																																return
																																																																	BgL_zc3anonymousza32846ze3z83_13901;
																																																															}
																																																														}
																																																													else
																																																														{	/* Eval/evaluate_comp.scm 1014 */
																																																															if ((BgL_valz00_3181 == BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
																																																																{	/* Eval/evaluate_comp.scm 1014 */
																																																																	obj_t
																																																																		BgL_a1z00_3448;
																																																																	obj_t
																																																																		BgL_a2z00_3449;
																																																																	BgL_a1z00_3448
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																																																	BgL_a2z00_3449
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																																																	{	/* Eval/evaluate_comp.scm 1014 */
																																																																		obj_t
																																																																			BgL_zc3anonymousza32850ze3z83_13902;
																																																																		BgL_zc3anonymousza32850ze3z83_13902
																																																																			=
																																																																			MAKE_FX_PROCEDURE
																																																																			(BGl_z62zc3anonymousza32850ze3ze1zz__evaluate_compz00,
																																																																			(int)
																																																																			(((long) 1)), (int) (((long) 3)));
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32850ze3z83_13902,
																																																																			(int)
																																																																			(((long) 0)), BgL_a1z00_3448);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32850ze3z83_13902,
																																																																			(int)
																																																																			(((long) 1)), BgL_a2z00_3449);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32850ze3z83_13902,
																																																																			(int)
																																																																			(((long) 2)), BgL_locz00_193);
																																																																		return
																																																																			BgL_zc3anonymousza32850ze3z83_13902;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate_comp.scm 1014 */
																																																																	if ((BgL_valz00_3181 == BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																																																		{	/* Eval/evaluate_comp.scm 1014 */
																																																																			obj_t
																																																																				BgL_a1z00_3458;
																																																																			obj_t
																																																																				BgL_a2z00_3459;
																																																																			BgL_a1z00_3458
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																																																			BgL_a2z00_3459
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																																																			{	/* Eval/evaluate_comp.scm 1014 */
																																																																				obj_t
																																																																					BgL_zc3anonymousza32854ze3z83_13903;
																																																																				BgL_zc3anonymousza32854ze3z83_13903
																																																																					=
																																																																					MAKE_FX_PROCEDURE
																																																																					(BGl_z62zc3anonymousza32854ze3ze1zz__evaluate_compz00,
																																																																					(int)
																																																																					(((long) 1)), (int) (((long) 2)));
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32854ze3z83_13903,
																																																																					(int)
																																																																					(((long) 0)), BgL_a1z00_3458);
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32854ze3z83_13903,
																																																																					(int)
																																																																					(((long) 1)), BgL_a2z00_3459);
																																																																				return
																																																																					BgL_zc3anonymousza32854ze3z83_13903;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate_comp.scm 1014 */
																																																																			if ((BgL_valz00_3181 == BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																																																				{	/* Eval/evaluate_comp.scm 1014 */
																																																																					obj_t
																																																																						BgL_a1z00_3466;
																																																																					obj_t
																																																																						BgL_a2z00_3467;
																																																																					BgL_a1z00_3466
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_3185), BgL_stkz00_196);
																																																																					BgL_a2z00_3467
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_3186), BgL_stkz00_196);
																																																																					{	/* Eval/evaluate_comp.scm 1014 */
																																																																						obj_t
																																																																							BgL_zc3anonymousza32856ze3z83_13904;
																																																																						BgL_zc3anonymousza32856ze3z83_13904
																																																																							=
																																																																							MAKE_FX_PROCEDURE
																																																																							(BGl_z62zc3anonymousza32856ze3ze1zz__evaluate_compz00,
																																																																							(int)
																																																																							(((long) 1)), (int) (((long) 2)));
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32856ze3z83_13904,
																																																																							(int)
																																																																							(((long) 0)), BgL_a1z00_3466);
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32856ze3z83_13904,
																																																																							(int)
																																																																							(((long) 1)), BgL_a2z00_3467);
																																																																						return
																																																																							BgL_zc3anonymousza32856ze3z83_13904;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Eval/evaluate_comp.scm 1014 */
																																																																					return
																																																																						BFALSE;
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 1012 */
											return BFALSE;
										}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 1007 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2746> */
	obj_t BGl_z62zc3anonymousza32746ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13908, obj_t BgL_sz00_13912)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13909;
				obj_t BgL_a2z00_13910;
				obj_t BgL_locz00_13911;

				BgL_a1z00_13909 = PROCEDURE_REF(BgL_envz00_13908, (int) (((long) 0)));
				BgL_a2z00_13910 = PROCEDURE_REF(BgL_envz00_13908, (int) (((long) 1)));
				BgL_locz00_13911 = PROCEDURE_REF(BgL_envz00_13908, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					obj_t BgL_bpz00_16468;

					BgL_bpz00_16468 = VECTOR_REF(((obj_t) BgL_sz00_13912), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_a1z00_16469;
						obj_t BgL_a2z00_16470;

						BgL_a1z00_16469 =
							PROCEDURE_ENTRY(BgL_a1z00_13909) (BgL_a1z00_13909, BgL_sz00_13912,
							BEOA);
						BgL_a2z00_16470 =
							PROCEDURE_ENTRY(BgL_a2z00_13910) (BgL_a2z00_13910, BgL_sz00_13912,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16469))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5823z00zz__evaluate_compz00,
									BGl_symbol5825z00zz__evaluate_compz00, BgL_a1z00_16469,
									BgL_locz00_13911);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16470))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5823z00zz__evaluate_compz00,
									BGl_symbol5825z00zz__evaluate_compz00, BgL_a2z00_16470,
									BgL_locz00_13911);
							}
						return
							BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_16469,
							BgL_a2z00_16470);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2750> */
	obj_t BGl_z62zc3anonymousza32750ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13913, obj_t BgL_sz00_13917)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13914;
				obj_t BgL_a2z00_13915;
				obj_t BgL_locz00_13916;

				BgL_a1z00_13914 = PROCEDURE_REF(BgL_envz00_13913, (int) (((long) 0)));
				BgL_a2z00_13915 = PROCEDURE_REF(BgL_envz00_13913, (int) (((long) 1)));
				BgL_locz00_13916 = PROCEDURE_REF(BgL_envz00_13913, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					obj_t BgL_bpz00_16471;

					BgL_bpz00_16471 = VECTOR_REF(((obj_t) BgL_sz00_13917), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_a1z00_16472;
						obj_t BgL_a2z00_16473;

						BgL_a1z00_16472 =
							PROCEDURE_ENTRY(BgL_a1z00_13914) (BgL_a1z00_13914, BgL_sz00_13917,
							BEOA);
						BgL_a2z00_16473 =
							PROCEDURE_ENTRY(BgL_a2z00_13915) (BgL_a2z00_13915, BgL_sz00_13917,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16472))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5827z00zz__evaluate_compz00,
									BGl_symbol5825z00zz__evaluate_compz00, BgL_a1z00_16472,
									BgL_locz00_13916);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16473))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5827z00zz__evaluate_compz00,
									BGl_symbol5825z00zz__evaluate_compz00, BgL_a2z00_16473,
									BgL_locz00_13916);
							}
						return
							BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_16472,
							BgL_a2z00_16473);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2754> */
	obj_t BGl_z62zc3anonymousza32754ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13918, obj_t BgL_sz00_13922)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13919;
				obj_t BgL_a2z00_13920;
				obj_t BgL_locz00_13921;

				BgL_a1z00_13919 = PROCEDURE_REF(BgL_envz00_13918, (int) (((long) 0)));
				BgL_a2z00_13920 = PROCEDURE_REF(BgL_envz00_13918, (int) (((long) 1)));
				BgL_locz00_13921 = PROCEDURE_REF(BgL_envz00_13918, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					obj_t BgL_bpz00_16474;

					BgL_bpz00_16474 = VECTOR_REF(((obj_t) BgL_sz00_13922), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_a1z00_16475;
						obj_t BgL_a2z00_16476;

						BgL_a1z00_16475 =
							PROCEDURE_ENTRY(BgL_a1z00_13919) (BgL_a1z00_13919, BgL_sz00_13922,
							BEOA);
						BgL_a2z00_16476 =
							PROCEDURE_ENTRY(BgL_a2z00_13920) (BgL_a2z00_13920, BgL_sz00_13922,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16475))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5829z00zz__evaluate_compz00,
									BGl_symbol5825z00zz__evaluate_compz00, BgL_a1z00_16475,
									BgL_locz00_13921);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16476))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5829z00zz__evaluate_compz00,
									BGl_symbol5825z00zz__evaluate_compz00, BgL_a2z00_16476,
									BgL_locz00_13921);
							}
						return
							BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_16475,
							BgL_a2z00_16476);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2758> */
	obj_t BGl_z62zc3anonymousza32758ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13923, obj_t BgL_sz00_13927)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13924;
				obj_t BgL_a2z00_13925;
				obj_t BgL_locz00_13926;

				BgL_a1z00_13924 = PROCEDURE_REF(BgL_envz00_13923, (int) (((long) 0)));
				BgL_a2z00_13925 = PROCEDURE_REF(BgL_envz00_13923, (int) (((long) 1)));
				BgL_locz00_13926 = PROCEDURE_REF(BgL_envz00_13923, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					obj_t BgL_bpz00_16477;

					BgL_bpz00_16477 = VECTOR_REF(((obj_t) BgL_sz00_13927), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_a1z00_16478;
						obj_t BgL_a2z00_16479;

						BgL_a1z00_16478 =
							PROCEDURE_ENTRY(BgL_a1z00_13924) (BgL_a1z00_13924, BgL_sz00_13927,
							BEOA);
						BgL_a2z00_16479 =
							PROCEDURE_ENTRY(BgL_a2z00_13925) (BgL_a2z00_13925, BgL_sz00_13927,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16478))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5831z00zz__evaluate_compz00,
									BGl_symbol5825z00zz__evaluate_compz00, BgL_a1z00_16478,
									BgL_locz00_13926);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16479))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5831z00zz__evaluate_compz00,
									BGl_symbol5825z00zz__evaluate_compz00, BgL_a2z00_16479,
									BgL_locz00_13926);
							}
						return
							BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_16478,
							BgL_a2z00_16479);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2762> */
	obj_t BGl_z62zc3anonymousza32762ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13928, obj_t BgL_sz00_13932)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13929;
				obj_t BgL_a2z00_13930;
				obj_t BgL_locz00_13931;

				BgL_a1z00_13929 = PROCEDURE_REF(BgL_envz00_13928, (int) (((long) 0)));
				BgL_a2z00_13930 = PROCEDURE_REF(BgL_envz00_13928, (int) (((long) 1)));
				BgL_locz00_13931 = PROCEDURE_REF(BgL_envz00_13928, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24620;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16480;

						BgL_bpz00_16480 = VECTOR_REF(((obj_t) BgL_sz00_13932), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16481;
							obj_t BgL_a2z00_16482;

							BgL_a1z00_16481 =
								PROCEDURE_ENTRY(BgL_a1z00_13929) (BgL_a1z00_13929,
								BgL_sz00_13932, BEOA);
							BgL_a2z00_16482 =
								PROCEDURE_ENTRY(BgL_a2z00_13930) (BgL_a2z00_13930,
								BgL_sz00_13932, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16481))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5833z00zz__evaluate_compz00,
										BGl_symbol5825z00zz__evaluate_compz00, BgL_a1z00_16481,
										BgL_locz00_13931);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16482))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5833z00zz__evaluate_compz00,
										BGl_symbol5825z00zz__evaluate_compz00, BgL_a2z00_16482,
										BgL_locz00_13931);
								}
							BgL_tmpz00_24620 =
								BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_16481,
								BgL_a2z00_16482);
						}
					}
					return BBOOL(BgL_tmpz00_24620);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2766> */
	obj_t BGl_z62zc3anonymousza32766ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13933, obj_t BgL_sz00_13937)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13934;
				obj_t BgL_a2z00_13935;
				obj_t BgL_locz00_13936;

				BgL_a1z00_13934 = PROCEDURE_REF(BgL_envz00_13933, (int) (((long) 0)));
				BgL_a2z00_13935 = PROCEDURE_REF(BgL_envz00_13933, (int) (((long) 1)));
				BgL_locz00_13936 = PROCEDURE_REF(BgL_envz00_13933, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24645;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16483;

						BgL_bpz00_16483 = VECTOR_REF(((obj_t) BgL_sz00_13937), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16484;
							obj_t BgL_a2z00_16485;

							BgL_a1z00_16484 =
								PROCEDURE_ENTRY(BgL_a1z00_13934) (BgL_a1z00_13934,
								BgL_sz00_13937, BEOA);
							BgL_a2z00_16485 =
								PROCEDURE_ENTRY(BgL_a2z00_13935) (BgL_a2z00_13935,
								BgL_sz00_13937, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16484))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5835z00zz__evaluate_compz00,
										BGl_symbol5825z00zz__evaluate_compz00, BgL_a1z00_16484,
										BgL_locz00_13936);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16485))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5835z00zz__evaluate_compz00,
										BGl_symbol5825z00zz__evaluate_compz00, BgL_a2z00_16485,
										BgL_locz00_13936);
								}
							BgL_tmpz00_24645 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_16484,
								BgL_a2z00_16485);
						}
					}
					return BBOOL(BgL_tmpz00_24645);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2770> */
	obj_t BGl_z62zc3anonymousza32770ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13938, obj_t BgL_sz00_13942)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13939;
				obj_t BgL_a2z00_13940;
				obj_t BgL_locz00_13941;

				BgL_a1z00_13939 = PROCEDURE_REF(BgL_envz00_13938, (int) (((long) 0)));
				BgL_a2z00_13940 = PROCEDURE_REF(BgL_envz00_13938, (int) (((long) 1)));
				BgL_locz00_13941 = PROCEDURE_REF(BgL_envz00_13938, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24670;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16486;

						BgL_bpz00_16486 = VECTOR_REF(((obj_t) BgL_sz00_13942), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16487;
							obj_t BgL_a2z00_16488;

							BgL_a1z00_16487 =
								PROCEDURE_ENTRY(BgL_a1z00_13939) (BgL_a1z00_13939,
								BgL_sz00_13942, BEOA);
							BgL_a2z00_16488 =
								PROCEDURE_ENTRY(BgL_a2z00_13940) (BgL_a2z00_13940,
								BgL_sz00_13942, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16487))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5837z00zz__evaluate_compz00,
										BGl_symbol5825z00zz__evaluate_compz00, BgL_a1z00_16487,
										BgL_locz00_13941);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16488))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5837z00zz__evaluate_compz00,
										BGl_symbol5825z00zz__evaluate_compz00, BgL_a2z00_16488,
										BgL_locz00_13941);
								}
							BgL_tmpz00_24670 =
								BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_16487,
								BgL_a2z00_16488);
						}
					}
					return BBOOL(BgL_tmpz00_24670);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2774> */
	obj_t BGl_z62zc3anonymousza32774ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13943, obj_t BgL_sz00_13947)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13944;
				obj_t BgL_a2z00_13945;
				obj_t BgL_locz00_13946;

				BgL_a1z00_13944 = PROCEDURE_REF(BgL_envz00_13943, (int) (((long) 0)));
				BgL_a2z00_13945 = PROCEDURE_REF(BgL_envz00_13943, (int) (((long) 1)));
				BgL_locz00_13946 = PROCEDURE_REF(BgL_envz00_13943, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24695;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16489;

						BgL_bpz00_16489 = VECTOR_REF(((obj_t) BgL_sz00_13947), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16490;
							obj_t BgL_a2z00_16491;

							BgL_a1z00_16490 =
								PROCEDURE_ENTRY(BgL_a1z00_13944) (BgL_a1z00_13944,
								BgL_sz00_13947, BEOA);
							BgL_a2z00_16491 =
								PROCEDURE_ENTRY(BgL_a2z00_13945) (BgL_a2z00_13945,
								BgL_sz00_13947, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16490))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5839z00zz__evaluate_compz00,
										BGl_symbol5825z00zz__evaluate_compz00, BgL_a1z00_16490,
										BgL_locz00_13946);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16491))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5839z00zz__evaluate_compz00,
										BGl_symbol5825z00zz__evaluate_compz00, BgL_a2z00_16491,
										BgL_locz00_13946);
								}
							BgL_tmpz00_24695 =
								BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_16490,
								BgL_a2z00_16491);
						}
					}
					return BBOOL(BgL_tmpz00_24695);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2778> */
	obj_t BGl_z62zc3anonymousza32778ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13948, obj_t BgL_sz00_13952)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13949;
				obj_t BgL_a2z00_13950;
				obj_t BgL_locz00_13951;

				BgL_a1z00_13949 = PROCEDURE_REF(BgL_envz00_13948, (int) (((long) 0)));
				BgL_a2z00_13950 = PROCEDURE_REF(BgL_envz00_13948, (int) (((long) 1)));
				BgL_locz00_13951 = PROCEDURE_REF(BgL_envz00_13948, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24720;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16492;

						BgL_bpz00_16492 = VECTOR_REF(((obj_t) BgL_sz00_13952), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16493;
							obj_t BgL_a2z00_16494;

							BgL_a1z00_16493 =
								PROCEDURE_ENTRY(BgL_a1z00_13949) (BgL_a1z00_13949,
								BgL_sz00_13952, BEOA);
							BgL_a2z00_16494 =
								PROCEDURE_ENTRY(BgL_a2z00_13950) (BgL_a2z00_13950,
								BgL_sz00_13952, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16493))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5841z00zz__evaluate_compz00,
										BGl_symbol5825z00zz__evaluate_compz00, BgL_a1z00_16493,
										BgL_locz00_13951);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16494))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5841z00zz__evaluate_compz00,
										BGl_symbol5825z00zz__evaluate_compz00, BgL_a2z00_16494,
										BgL_locz00_13951);
								}
							BgL_tmpz00_24720 =
								BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_16493,
								BgL_a2z00_16494);
						}
					}
					return BBOOL(BgL_tmpz00_24720);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2782> */
	obj_t BGl_z62zc3anonymousza32782ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13953, obj_t BgL_sz00_13957)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13954;
				obj_t BgL_a2z00_13955;
				obj_t BgL_locz00_13956;

				BgL_a1z00_13954 = PROCEDURE_REF(BgL_envz00_13953, (int) (((long) 0)));
				BgL_a2z00_13955 = PROCEDURE_REF(BgL_envz00_13953, (int) (((long) 1)));
				BgL_locz00_13956 = PROCEDURE_REF(BgL_envz00_13953, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					long BgL_tmpz00_24745;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16495;

						BgL_bpz00_16495 = VECTOR_REF(((obj_t) BgL_sz00_13957), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16496;
							obj_t BgL_a2z00_16497;

							BgL_a1z00_16496 =
								PROCEDURE_ENTRY(BgL_a1z00_13954) (BgL_a1z00_13954,
								BgL_sz00_13957, BEOA);
							BgL_a2z00_16497 =
								PROCEDURE_ENTRY(BgL_a2z00_13955) (BgL_a2z00_13955,
								BgL_sz00_13957, BEOA);
							if (INTEGERP(BgL_a1z00_16496))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5843z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a1z00_16496,
										BgL_locz00_13956);
								}
							if (INTEGERP(BgL_a2z00_16497))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5843z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a2z00_16497,
										BgL_locz00_13956);
								}
							BgL_tmpz00_24745 =
								((long) CINT(BgL_a1z00_16496) + (long) CINT(BgL_a2z00_16497));
					}}
					return BINT(BgL_tmpz00_24745);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2786> */
	obj_t BGl_z62zc3anonymousza32786ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13958, obj_t BgL_sz00_13962)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13959;
				obj_t BgL_a2z00_13960;
				obj_t BgL_locz00_13961;

				BgL_a1z00_13959 = PROCEDURE_REF(BgL_envz00_13958, (int) (((long) 0)));
				BgL_a2z00_13960 = PROCEDURE_REF(BgL_envz00_13958, (int) (((long) 1)));
				BgL_locz00_13961 = PROCEDURE_REF(BgL_envz00_13958, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					long BgL_tmpz00_24772;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16498;

						BgL_bpz00_16498 = VECTOR_REF(((obj_t) BgL_sz00_13962), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16499;
							obj_t BgL_a2z00_16500;

							BgL_a1z00_16499 =
								PROCEDURE_ENTRY(BgL_a1z00_13959) (BgL_a1z00_13959,
								BgL_sz00_13962, BEOA);
							BgL_a2z00_16500 =
								PROCEDURE_ENTRY(BgL_a2z00_13960) (BgL_a2z00_13960,
								BgL_sz00_13962, BEOA);
							if (INTEGERP(BgL_a1z00_16499))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5847z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a1z00_16499,
										BgL_locz00_13961);
								}
							if (INTEGERP(BgL_a2z00_16500))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5847z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a2z00_16500,
										BgL_locz00_13961);
								}
							BgL_tmpz00_24772 =
								((long) CINT(BgL_a1z00_16499) - (long) CINT(BgL_a2z00_16500));
					}}
					return BINT(BgL_tmpz00_24772);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2790> */
	obj_t BGl_z62zc3anonymousza32790ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13963, obj_t BgL_sz00_13967)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13964;
				obj_t BgL_a2z00_13965;
				obj_t BgL_locz00_13966;

				BgL_a1z00_13964 = PROCEDURE_REF(BgL_envz00_13963, (int) (((long) 0)));
				BgL_a2z00_13965 = PROCEDURE_REF(BgL_envz00_13963, (int) (((long) 1)));
				BgL_locz00_13966 = PROCEDURE_REF(BgL_envz00_13963, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					long BgL_tmpz00_24799;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16501;

						BgL_bpz00_16501 = VECTOR_REF(((obj_t) BgL_sz00_13967), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16502;
							obj_t BgL_a2z00_16503;

							BgL_a1z00_16502 =
								PROCEDURE_ENTRY(BgL_a1z00_13964) (BgL_a1z00_13964,
								BgL_sz00_13967, BEOA);
							BgL_a2z00_16503 =
								PROCEDURE_ENTRY(BgL_a2z00_13965) (BgL_a2z00_13965,
								BgL_sz00_13967, BEOA);
							if (INTEGERP(BgL_a1z00_16502))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5849z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a1z00_16502,
										BgL_locz00_13966);
								}
							if (INTEGERP(BgL_a2z00_16503))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5849z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a2z00_16503,
										BgL_locz00_13966);
								}
							BgL_tmpz00_24799 =
								((long) CINT(BgL_a1z00_16502) * (long) CINT(BgL_a2z00_16503));
					}}
					return BINT(BgL_tmpz00_24799);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2794> */
	obj_t BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13968, obj_t BgL_sz00_13972)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13969;
				obj_t BgL_a2z00_13970;
				obj_t BgL_locz00_13971;

				BgL_a1z00_13969 = PROCEDURE_REF(BgL_envz00_13968, (int) (((long) 0)));
				BgL_a2z00_13970 = PROCEDURE_REF(BgL_envz00_13968, (int) (((long) 1)));
				BgL_locz00_13971 = PROCEDURE_REF(BgL_envz00_13968, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					long BgL_tmpz00_24826;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16504;

						BgL_bpz00_16504 = VECTOR_REF(((obj_t) BgL_sz00_13972), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16505;
							obj_t BgL_a2z00_16506;

							BgL_a1z00_16505 =
								PROCEDURE_ENTRY(BgL_a1z00_13969) (BgL_a1z00_13969,
								BgL_sz00_13972, BEOA);
							BgL_a2z00_16506 =
								PROCEDURE_ENTRY(BgL_a2z00_13970) (BgL_a2z00_13970,
								BgL_sz00_13972, BEOA);
							if (INTEGERP(BgL_a1z00_16505))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5851z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a1z00_16505,
										BgL_locz00_13971);
								}
							if (INTEGERP(BgL_a2z00_16506))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5851z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a2z00_16506,
										BgL_locz00_13971);
								}
							BgL_tmpz00_24826 =
								((long) CINT(BgL_a1z00_16505) / (long) CINT(BgL_a2z00_16506));
					}}
					return BINT(BgL_tmpz00_24826);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2798> */
	obj_t BGl_z62zc3anonymousza32798ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13973, obj_t BgL_sz00_13977)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13974;
				obj_t BgL_a2z00_13975;
				obj_t BgL_locz00_13976;

				BgL_a1z00_13974 = PROCEDURE_REF(BgL_envz00_13973, (int) (((long) 0)));
				BgL_a2z00_13975 = PROCEDURE_REF(BgL_envz00_13973, (int) (((long) 1)));
				BgL_locz00_13976 = PROCEDURE_REF(BgL_envz00_13973, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24853;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16507;

						BgL_bpz00_16507 = VECTOR_REF(((obj_t) BgL_sz00_13977), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16508;
							obj_t BgL_a2z00_16509;

							BgL_a1z00_16508 =
								PROCEDURE_ENTRY(BgL_a1z00_13974) (BgL_a1z00_13974,
								BgL_sz00_13977, BEOA);
							BgL_a2z00_16509 =
								PROCEDURE_ENTRY(BgL_a2z00_13975) (BgL_a2z00_13975,
								BgL_sz00_13977, BEOA);
							if (INTEGERP(BgL_a1z00_16508))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5853z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a1z00_16508,
										BgL_locz00_13976);
								}
							if (INTEGERP(BgL_a2z00_16509))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5853z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a2z00_16509,
										BgL_locz00_13976);
								}
							BgL_tmpz00_24853 =
								((long) CINT(BgL_a1z00_16508) < (long) CINT(BgL_a2z00_16509));
					}}
					return BBOOL(BgL_tmpz00_24853);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2802> */
	obj_t BGl_z62zc3anonymousza32802ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13978, obj_t BgL_sz00_13982)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13979;
				obj_t BgL_a2z00_13980;
				obj_t BgL_locz00_13981;

				BgL_a1z00_13979 = PROCEDURE_REF(BgL_envz00_13978, (int) (((long) 0)));
				BgL_a2z00_13980 = PROCEDURE_REF(BgL_envz00_13978, (int) (((long) 1)));
				BgL_locz00_13981 = PROCEDURE_REF(BgL_envz00_13978, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24880;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16510;

						BgL_bpz00_16510 = VECTOR_REF(((obj_t) BgL_sz00_13982), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16511;
							obj_t BgL_a2z00_16512;

							BgL_a1z00_16511 =
								PROCEDURE_ENTRY(BgL_a1z00_13979) (BgL_a1z00_13979,
								BgL_sz00_13982, BEOA);
							BgL_a2z00_16512 =
								PROCEDURE_ENTRY(BgL_a2z00_13980) (BgL_a2z00_13980,
								BgL_sz00_13982, BEOA);
							if (INTEGERP(BgL_a1z00_16511))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5855z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a1z00_16511,
										BgL_locz00_13981);
								}
							if (INTEGERP(BgL_a2z00_16512))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5855z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a2z00_16512,
										BgL_locz00_13981);
								}
							BgL_tmpz00_24880 =
								((long) CINT(BgL_a1z00_16511) > (long) CINT(BgL_a2z00_16512));
					}}
					return BBOOL(BgL_tmpz00_24880);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2806> */
	obj_t BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13983, obj_t BgL_sz00_13987)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13984;
				obj_t BgL_a2z00_13985;
				obj_t BgL_locz00_13986;

				BgL_a1z00_13984 = PROCEDURE_REF(BgL_envz00_13983, (int) (((long) 0)));
				BgL_a2z00_13985 = PROCEDURE_REF(BgL_envz00_13983, (int) (((long) 1)));
				BgL_locz00_13986 = PROCEDURE_REF(BgL_envz00_13983, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24907;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16513;

						BgL_bpz00_16513 = VECTOR_REF(((obj_t) BgL_sz00_13987), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16514;
							obj_t BgL_a2z00_16515;

							BgL_a1z00_16514 =
								PROCEDURE_ENTRY(BgL_a1z00_13984) (BgL_a1z00_13984,
								BgL_sz00_13987, BEOA);
							BgL_a2z00_16515 =
								PROCEDURE_ENTRY(BgL_a2z00_13985) (BgL_a2z00_13985,
								BgL_sz00_13987, BEOA);
							if (INTEGERP(BgL_a1z00_16514))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5857z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a1z00_16514,
										BgL_locz00_13986);
								}
							if (INTEGERP(BgL_a2z00_16515))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5857z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a2z00_16515,
										BgL_locz00_13986);
								}
							BgL_tmpz00_24907 =
								((long) CINT(BgL_a1z00_16514) <= (long) CINT(BgL_a2z00_16515));
					}}
					return BBOOL(BgL_tmpz00_24907);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2810> */
	obj_t BGl_z62zc3anonymousza32810ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13988, obj_t BgL_sz00_13992)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13989;
				obj_t BgL_a2z00_13990;
				obj_t BgL_locz00_13991;

				BgL_a1z00_13989 = PROCEDURE_REF(BgL_envz00_13988, (int) (((long) 0)));
				BgL_a2z00_13990 = PROCEDURE_REF(BgL_envz00_13988, (int) (((long) 1)));
				BgL_locz00_13991 = PROCEDURE_REF(BgL_envz00_13988, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24934;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16516;

						BgL_bpz00_16516 = VECTOR_REF(((obj_t) BgL_sz00_13992), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16517;
							obj_t BgL_a2z00_16518;

							BgL_a1z00_16517 =
								PROCEDURE_ENTRY(BgL_a1z00_13989) (BgL_a1z00_13989,
								BgL_sz00_13992, BEOA);
							BgL_a2z00_16518 =
								PROCEDURE_ENTRY(BgL_a2z00_13990) (BgL_a2z00_13990,
								BgL_sz00_13992, BEOA);
							if (INTEGERP(BgL_a1z00_16517))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5859z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a1z00_16517,
										BgL_locz00_13991);
								}
							if (INTEGERP(BgL_a2z00_16518))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5859z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a2z00_16518,
										BgL_locz00_13991);
								}
							BgL_tmpz00_24934 =
								((long) CINT(BgL_a1z00_16517) >= (long) CINT(BgL_a2z00_16518));
					}}
					return BBOOL(BgL_tmpz00_24934);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2814> */
	obj_t BGl_z62zc3anonymousza32814ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13993, obj_t BgL_sz00_13997)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13994;
				obj_t BgL_a2z00_13995;
				obj_t BgL_locz00_13996;

				BgL_a1z00_13994 = PROCEDURE_REF(BgL_envz00_13993, (int) (((long) 0)));
				BgL_a2z00_13995 = PROCEDURE_REF(BgL_envz00_13993, (int) (((long) 1)));
				BgL_locz00_13996 = PROCEDURE_REF(BgL_envz00_13993, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24961;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16519;

						BgL_bpz00_16519 = VECTOR_REF(((obj_t) BgL_sz00_13997), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16520;
							obj_t BgL_a2z00_16521;

							BgL_a1z00_16520 =
								PROCEDURE_ENTRY(BgL_a1z00_13994) (BgL_a1z00_13994,
								BgL_sz00_13997, BEOA);
							BgL_a2z00_16521 =
								PROCEDURE_ENTRY(BgL_a2z00_13995) (BgL_a2z00_13995,
								BgL_sz00_13997, BEOA);
							if (INTEGERP(BgL_a1z00_16520))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5861z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a1z00_16520,
										BgL_locz00_13996);
								}
							if (INTEGERP(BgL_a2z00_16521))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5861z00zz__evaluate_compz00,
										BGl_symbol5845z00zz__evaluate_compz00, BgL_a2z00_16521,
										BgL_locz00_13996);
								}
							BgL_tmpz00_24961 =
								((long) CINT(BgL_a1z00_16520) == (long) CINT(BgL_a2z00_16521));
					}}
					return BBOOL(BgL_tmpz00_24961);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2818> */
	obj_t BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13998, obj_t BgL_sz00_14002)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13999;
				obj_t BgL_a2z00_14000;
				obj_t BgL_locz00_14001;

				BgL_a1z00_13999 = PROCEDURE_REF(BgL_envz00_13998, (int) (((long) 0)));
				BgL_a2z00_14000 = PROCEDURE_REF(BgL_envz00_13998, (int) (((long) 1)));
				BgL_locz00_14001 = PROCEDURE_REF(BgL_envz00_13998, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					double BgL_tmpz00_24988;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16522;

						BgL_bpz00_16522 = VECTOR_REF(((obj_t) BgL_sz00_14002), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16523;
							obj_t BgL_a2z00_16524;

							BgL_a1z00_16523 =
								PROCEDURE_ENTRY(BgL_a1z00_13999) (BgL_a1z00_13999,
								BgL_sz00_14002, BEOA);
							BgL_a2z00_16524 =
								PROCEDURE_ENTRY(BgL_a2z00_14000) (BgL_a2z00_14000,
								BgL_sz00_14002, BEOA);
							if (REALP(BgL_a1z00_16523))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5863z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a1z00_16523,
										BgL_locz00_14001);
								}
							if (REALP(BgL_a2z00_16524))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5863z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a2z00_16524,
										BgL_locz00_14001);
								}
							BgL_tmpz00_24988 =
								(REAL_TO_DOUBLE(BgL_a1z00_16523) +
								REAL_TO_DOUBLE(BgL_a2z00_16524));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_24988);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2822> */
	obj_t BGl_z62zc3anonymousza32822ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14003, obj_t BgL_sz00_14007)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_14004;
				obj_t BgL_a2z00_14005;
				obj_t BgL_locz00_14006;

				BgL_a1z00_14004 = PROCEDURE_REF(BgL_envz00_14003, (int) (((long) 0)));
				BgL_a2z00_14005 = PROCEDURE_REF(BgL_envz00_14003, (int) (((long) 1)));
				BgL_locz00_14006 = PROCEDURE_REF(BgL_envz00_14003, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					double BgL_tmpz00_25015;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16525;

						BgL_bpz00_16525 = VECTOR_REF(((obj_t) BgL_sz00_14007), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16526;
							obj_t BgL_a2z00_16527;

							BgL_a1z00_16526 =
								PROCEDURE_ENTRY(BgL_a1z00_14004) (BgL_a1z00_14004,
								BgL_sz00_14007, BEOA);
							BgL_a2z00_16527 =
								PROCEDURE_ENTRY(BgL_a2z00_14005) (BgL_a2z00_14005,
								BgL_sz00_14007, BEOA);
							if (REALP(BgL_a1z00_16526))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5867z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a1z00_16526,
										BgL_locz00_14006);
								}
							if (REALP(BgL_a2z00_16527))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5867z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a2z00_16527,
										BgL_locz00_14006);
								}
							BgL_tmpz00_25015 =
								(REAL_TO_DOUBLE(BgL_a1z00_16526) -
								REAL_TO_DOUBLE(BgL_a2z00_16527));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_25015);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2826> */
	obj_t BGl_z62zc3anonymousza32826ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14008, obj_t BgL_sz00_14012)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_14009;
				obj_t BgL_a2z00_14010;
				obj_t BgL_locz00_14011;

				BgL_a1z00_14009 = PROCEDURE_REF(BgL_envz00_14008, (int) (((long) 0)));
				BgL_a2z00_14010 = PROCEDURE_REF(BgL_envz00_14008, (int) (((long) 1)));
				BgL_locz00_14011 = PROCEDURE_REF(BgL_envz00_14008, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					double BgL_tmpz00_25042;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16528;

						BgL_bpz00_16528 = VECTOR_REF(((obj_t) BgL_sz00_14012), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16529;
							obj_t BgL_a2z00_16530;

							BgL_a1z00_16529 =
								PROCEDURE_ENTRY(BgL_a1z00_14009) (BgL_a1z00_14009,
								BgL_sz00_14012, BEOA);
							BgL_a2z00_16530 =
								PROCEDURE_ENTRY(BgL_a2z00_14010) (BgL_a2z00_14010,
								BgL_sz00_14012, BEOA);
							if (REALP(BgL_a1z00_16529))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5869z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a1z00_16529,
										BgL_locz00_14011);
								}
							if (REALP(BgL_a2z00_16530))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5869z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a2z00_16530,
										BgL_locz00_14011);
								}
							BgL_tmpz00_25042 =
								(REAL_TO_DOUBLE(BgL_a1z00_16529) *
								REAL_TO_DOUBLE(BgL_a2z00_16530));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_25042);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2830> */
	obj_t BGl_z62zc3anonymousza32830ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14013, obj_t BgL_sz00_14017)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_14014;
				obj_t BgL_a2z00_14015;
				obj_t BgL_locz00_14016;

				BgL_a1z00_14014 = PROCEDURE_REF(BgL_envz00_14013, (int) (((long) 0)));
				BgL_a2z00_14015 = PROCEDURE_REF(BgL_envz00_14013, (int) (((long) 1)));
				BgL_locz00_14016 = PROCEDURE_REF(BgL_envz00_14013, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					double BgL_tmpz00_25069;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16531;

						BgL_bpz00_16531 = VECTOR_REF(((obj_t) BgL_sz00_14017), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16532;
							obj_t BgL_a2z00_16533;

							BgL_a1z00_16532 =
								PROCEDURE_ENTRY(BgL_a1z00_14014) (BgL_a1z00_14014,
								BgL_sz00_14017, BEOA);
							BgL_a2z00_16533 =
								PROCEDURE_ENTRY(BgL_a2z00_14015) (BgL_a2z00_14015,
								BgL_sz00_14017, BEOA);
							if (REALP(BgL_a1z00_16532))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5871z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a1z00_16532,
										BgL_locz00_14016);
								}
							if (REALP(BgL_a2z00_16533))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5871z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a2z00_16533,
										BgL_locz00_14016);
								}
							BgL_tmpz00_25069 =
								(REAL_TO_DOUBLE(BgL_a1z00_16532) /
								REAL_TO_DOUBLE(BgL_a2z00_16533));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_25069);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2834> */
	obj_t BGl_z62zc3anonymousza32834ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14018, obj_t BgL_sz00_14022)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_14019;
				obj_t BgL_a2z00_14020;
				obj_t BgL_locz00_14021;

				BgL_a1z00_14019 = PROCEDURE_REF(BgL_envz00_14018, (int) (((long) 0)));
				BgL_a2z00_14020 = PROCEDURE_REF(BgL_envz00_14018, (int) (((long) 1)));
				BgL_locz00_14021 = PROCEDURE_REF(BgL_envz00_14018, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_25096;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16534;

						BgL_bpz00_16534 = VECTOR_REF(((obj_t) BgL_sz00_14022), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16535;
							obj_t BgL_a2z00_16536;

							BgL_a1z00_16535 =
								PROCEDURE_ENTRY(BgL_a1z00_14019) (BgL_a1z00_14019,
								BgL_sz00_14022, BEOA);
							BgL_a2z00_16536 =
								PROCEDURE_ENTRY(BgL_a2z00_14020) (BgL_a2z00_14020,
								BgL_sz00_14022, BEOA);
							if (REALP(BgL_a1z00_16535))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5873z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a1z00_16535,
										BgL_locz00_14021);
								}
							if (REALP(BgL_a2z00_16536))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5873z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a2z00_16536,
										BgL_locz00_14021);
								}
							BgL_tmpz00_25096 =
								(REAL_TO_DOUBLE(BgL_a1z00_16535) <
								REAL_TO_DOUBLE(BgL_a2z00_16536));
						}
					}
					return BBOOL(BgL_tmpz00_25096);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2838> */
	obj_t BGl_z62zc3anonymousza32838ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14023, obj_t BgL_sz00_14027)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_14024;
				obj_t BgL_a2z00_14025;
				obj_t BgL_locz00_14026;

				BgL_a1z00_14024 = PROCEDURE_REF(BgL_envz00_14023, (int) (((long) 0)));
				BgL_a2z00_14025 = PROCEDURE_REF(BgL_envz00_14023, (int) (((long) 1)));
				BgL_locz00_14026 = PROCEDURE_REF(BgL_envz00_14023, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_25123;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16537;

						BgL_bpz00_16537 = VECTOR_REF(((obj_t) BgL_sz00_14027), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16538;
							obj_t BgL_a2z00_16539;

							BgL_a1z00_16538 =
								PROCEDURE_ENTRY(BgL_a1z00_14024) (BgL_a1z00_14024,
								BgL_sz00_14027, BEOA);
							BgL_a2z00_16539 =
								PROCEDURE_ENTRY(BgL_a2z00_14025) (BgL_a2z00_14025,
								BgL_sz00_14027, BEOA);
							if (REALP(BgL_a1z00_16538))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5875z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a1z00_16538,
										BgL_locz00_14026);
								}
							if (REALP(BgL_a2z00_16539))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5875z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a2z00_16539,
										BgL_locz00_14026);
								}
							BgL_tmpz00_25123 =
								(REAL_TO_DOUBLE(BgL_a1z00_16538) >
								REAL_TO_DOUBLE(BgL_a2z00_16539));
						}
					}
					return BBOOL(BgL_tmpz00_25123);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2842> */
	obj_t BGl_z62zc3anonymousza32842ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14028, obj_t BgL_sz00_14032)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_14029;
				obj_t BgL_a2z00_14030;
				obj_t BgL_locz00_14031;

				BgL_a1z00_14029 = PROCEDURE_REF(BgL_envz00_14028, (int) (((long) 0)));
				BgL_a2z00_14030 = PROCEDURE_REF(BgL_envz00_14028, (int) (((long) 1)));
				BgL_locz00_14031 = PROCEDURE_REF(BgL_envz00_14028, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_25150;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16540;

						BgL_bpz00_16540 = VECTOR_REF(((obj_t) BgL_sz00_14032), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16541;
							obj_t BgL_a2z00_16542;

							BgL_a1z00_16541 =
								PROCEDURE_ENTRY(BgL_a1z00_14029) (BgL_a1z00_14029,
								BgL_sz00_14032, BEOA);
							BgL_a2z00_16542 =
								PROCEDURE_ENTRY(BgL_a2z00_14030) (BgL_a2z00_14030,
								BgL_sz00_14032, BEOA);
							if (REALP(BgL_a1z00_16541))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5877z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a1z00_16541,
										BgL_locz00_14031);
								}
							if (REALP(BgL_a2z00_16542))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5877z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a2z00_16542,
										BgL_locz00_14031);
								}
							BgL_tmpz00_25150 =
								(REAL_TO_DOUBLE(BgL_a1z00_16541) <=
								REAL_TO_DOUBLE(BgL_a2z00_16542));
						}
					}
					return BBOOL(BgL_tmpz00_25150);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2846> */
	obj_t BGl_z62zc3anonymousza32846ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14033, obj_t BgL_sz00_14037)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_14034;
				obj_t BgL_a2z00_14035;
				obj_t BgL_locz00_14036;

				BgL_a1z00_14034 = PROCEDURE_REF(BgL_envz00_14033, (int) (((long) 0)));
				BgL_a2z00_14035 = PROCEDURE_REF(BgL_envz00_14033, (int) (((long) 1)));
				BgL_locz00_14036 = PROCEDURE_REF(BgL_envz00_14033, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_25177;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16543;

						BgL_bpz00_16543 = VECTOR_REF(((obj_t) BgL_sz00_14037), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16544;
							obj_t BgL_a2z00_16545;

							BgL_a1z00_16544 =
								PROCEDURE_ENTRY(BgL_a1z00_14034) (BgL_a1z00_14034,
								BgL_sz00_14037, BEOA);
							BgL_a2z00_16545 =
								PROCEDURE_ENTRY(BgL_a2z00_14035) (BgL_a2z00_14035,
								BgL_sz00_14037, BEOA);
							if (REALP(BgL_a1z00_16544))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5879z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a1z00_16544,
										BgL_locz00_14036);
								}
							if (REALP(BgL_a2z00_16545))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5879z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a2z00_16545,
										BgL_locz00_14036);
								}
							BgL_tmpz00_25177 =
								(REAL_TO_DOUBLE(BgL_a1z00_16544) >=
								REAL_TO_DOUBLE(BgL_a2z00_16545));
						}
					}
					return BBOOL(BgL_tmpz00_25177);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2850> */
	obj_t BGl_z62zc3anonymousza32850ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14038, obj_t BgL_sz00_14042)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_14039;
				obj_t BgL_a2z00_14040;
				obj_t BgL_locz00_14041;

				BgL_a1z00_14039 = PROCEDURE_REF(BgL_envz00_14038, (int) (((long) 0)));
				BgL_a2z00_14040 = PROCEDURE_REF(BgL_envz00_14038, (int) (((long) 1)));
				BgL_locz00_14041 = PROCEDURE_REF(BgL_envz00_14038, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_25204;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16546;

						BgL_bpz00_16546 = VECTOR_REF(((obj_t) BgL_sz00_14042), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16547;
							obj_t BgL_a2z00_16548;

							BgL_a1z00_16547 =
								PROCEDURE_ENTRY(BgL_a1z00_14039) (BgL_a1z00_14039,
								BgL_sz00_14042, BEOA);
							BgL_a2z00_16548 =
								PROCEDURE_ENTRY(BgL_a2z00_14040) (BgL_a2z00_14040,
								BgL_sz00_14042, BEOA);
							if (REALP(BgL_a1z00_16547))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5881z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a1z00_16547,
										BgL_locz00_14041);
								}
							if (REALP(BgL_a2z00_16548))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5881z00zz__evaluate_compz00,
										BGl_symbol5865z00zz__evaluate_compz00, BgL_a2z00_16548,
										BgL_locz00_14041);
								}
							BgL_tmpz00_25204 =
								(REAL_TO_DOUBLE(BgL_a1z00_16547) ==
								REAL_TO_DOUBLE(BgL_a2z00_16548));
						}
					}
					return BBOOL(BgL_tmpz00_25204);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2854> */
	obj_t BGl_z62zc3anonymousza32854ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14043, obj_t BgL_sz00_14046)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_14044;
				obj_t BgL_a2z00_14045;

				BgL_a1z00_14044 = PROCEDURE_REF(BgL_envz00_14043, (int) (((long) 0)));
				BgL_a2z00_14045 = PROCEDURE_REF(BgL_envz00_14043, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_25229;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16549;

						BgL_bpz00_16549 = VECTOR_REF(((obj_t) BgL_sz00_14046), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16550;
							obj_t BgL_a2z00_16551;

							BgL_a1z00_16550 =
								PROCEDURE_ENTRY(BgL_a1z00_14044) (BgL_a1z00_14044,
								BgL_sz00_14046, BEOA);
							BgL_a2z00_16551 =
								PROCEDURE_ENTRY(BgL_a2z00_14045) (BgL_a2z00_14045,
								BgL_sz00_14046, BEOA);
							BgL_tmpz00_25229 = (BgL_a1z00_16550 == BgL_a2z00_16551);
					}}
					return BBOOL(BgL_tmpz00_25229);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2856> */
	obj_t BGl_z62zc3anonymousza32856ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14047, obj_t BgL_sz00_14050)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_14048;
				obj_t BgL_a2z00_14049;

				BgL_a1z00_14048 = PROCEDURE_REF(BgL_envz00_14047, (int) (((long) 0)));
				BgL_a2z00_14049 = PROCEDURE_REF(BgL_envz00_14047, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1014 */
					obj_t BgL_bpz00_16552;

					BgL_bpz00_16552 = VECTOR_REF(((obj_t) BgL_sz00_14050), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_a1z00_16553;
						obj_t BgL_a2z00_16554;

						BgL_a1z00_16553 =
							PROCEDURE_ENTRY(BgL_a1z00_14048) (BgL_a1z00_14048, BgL_sz00_14050,
							BEOA);
						BgL_a2z00_16554 =
							PROCEDURE_ENTRY(BgL_a2z00_14049) (BgL_a2z00_14049, BgL_sz00_14050,
							BEOA);
						return MAKE_YOUNG_PAIR(BgL_a1z00_16553, BgL_a2z00_16554);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2859> */
	obj_t BGl_z62zc3anonymousza32859ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14051, obj_t BgL_sz00_14054)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1011 */
			{	/* Eval/evaluate_comp.scm 1011 */
				obj_t BgL_a1z00_14052;
				obj_t BgL_locz00_14053;

				BgL_a1z00_14052 = PROCEDURE_REF(BgL_envz00_14051, (int) (((long) 0)));
				BgL_locz00_14053 = PROCEDURE_REF(BgL_envz00_14051, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1011 */
					obj_t BgL_bpz00_16555;

					BgL_bpz00_16555 = VECTOR_REF(((obj_t) BgL_sz00_14054), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1011 */
						obj_t BgL_a1z00_16556;

						BgL_a1z00_16556 =
							PROCEDURE_ENTRY(BgL_a1z00_14052) (BgL_a1z00_14052, BgL_sz00_14054,
							BEOA);
						if (PAIRP(BgL_a1z00_16556))
							{	/* Eval/evaluate_comp.scm 1011 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1011 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5883z00zz__evaluate_compz00,
									BGl_symbol5885z00zz__evaluate_compz00, BgL_a1z00_16556,
									BgL_locz00_14053);
							}
						return CAR(((obj_t) BgL_a1z00_16556));
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2862> */
	obj_t BGl_z62zc3anonymousza32862ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14055, obj_t BgL_sz00_14058)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1011 */
			{	/* Eval/evaluate_comp.scm 1011 */
				obj_t BgL_a1z00_14056;
				obj_t BgL_locz00_14057;

				BgL_a1z00_14056 = PROCEDURE_REF(BgL_envz00_14055, (int) (((long) 0)));
				BgL_locz00_14057 = PROCEDURE_REF(BgL_envz00_14055, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1011 */
					obj_t BgL_bpz00_16557;

					BgL_bpz00_16557 = VECTOR_REF(((obj_t) BgL_sz00_14058), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1011 */
						obj_t BgL_a1z00_16558;

						BgL_a1z00_16558 =
							PROCEDURE_ENTRY(BgL_a1z00_14056) (BgL_a1z00_14056, BgL_sz00_14058,
							BEOA);
						if (PAIRP(BgL_a1z00_16558))
							{	/* Eval/evaluate_comp.scm 1011 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1011 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5887z00zz__evaluate_compz00,
									BGl_symbol5885z00zz__evaluate_compz00, BgL_a1z00_16558,
									BgL_locz00_14057);
							}
						return CDR(((obj_t) BgL_a1z00_16558));
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2865> */
	obj_t BGl_z62zc3anonymousza32865ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14059, obj_t BgL_sz00_14062)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1011 */
			{	/* Eval/evaluate_comp.scm 1011 */
				obj_t BgL_a1z00_14060;
				obj_t BgL_locz00_14061;

				BgL_a1z00_14060 = PROCEDURE_REF(BgL_envz00_14059, (int) (((long) 0)));
				BgL_locz00_14061 = PROCEDURE_REF(BgL_envz00_14059, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1011 */
					obj_t BgL_bpz00_16559;

					BgL_bpz00_16559 = VECTOR_REF(((obj_t) BgL_sz00_14062), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1011 */
						obj_t BgL_a1z00_16560;

						BgL_a1z00_16560 =
							PROCEDURE_ENTRY(BgL_a1z00_14060) (BgL_a1z00_14060, BgL_sz00_14062,
							BEOA);
						{	/* Eval/evaluate_comp.scm 1011 */
							bool_t BgL_testz00_25297;

							if (PAIRP(BgL_a1z00_16560))
								{	/* Eval/evaluate_comp.scm 1020 */
									obj_t BgL_tmpz00_25300;

									BgL_tmpz00_25300 = CDR(BgL_a1z00_16560);
									BgL_testz00_25297 = PAIRP(BgL_tmpz00_25300);
								}
							else
								{	/* Eval/evaluate_comp.scm 1020 */
									BgL_testz00_25297 = ((bool_t) 0);
								}
							if (BgL_testz00_25297)
								{	/* Eval/evaluate_comp.scm 1011 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1011 */
									obj_t BgL_arg2870z00_16561;

									if (PAIRP(BgL_a1z00_16560))
										{	/* Eval/evaluate_comp.scm 1023 */
											BgL_arg2870z00_16561 = CDR(BgL_a1z00_16560);
										}
									else
										{	/* Eval/evaluate_comp.scm 1023 */
											BgL_arg2870z00_16561 = BgL_a1z00_16560;
										}
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5889z00zz__evaluate_compz00,
										BGl_symbol5885z00zz__evaluate_compz00, BgL_arg2870z00_16561,
										BgL_locz00_14061);
								}
						}
						{	/* Eval/evaluate_comp.scm 1011 */
							obj_t BgL_pairz00_16562;

							BgL_pairz00_16562 = CDR(((obj_t) BgL_a1z00_16560));
							return CAR(BgL_pairz00_16562);
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203,
		obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206,
		obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1056 */
			if ((BgL_arityz00_206 < ((long) 0)))
				{	/* Eval/evaluate_comp.scm 1058 */
					long BgL_g1233z00_3502;

					BgL_g1233z00_3502 = (((long) -1) - BgL_arityz00_206);
					{
						long BgL_rz00_3504;
						long BgL_spz00_3505;
						obj_t BgL_lz00_3506;

						BgL_rz00_3504 = BgL_g1233z00_3502;
						BgL_spz00_3505 = BgL_spz00_205;
						BgL_lz00_3506 = BgL_valsz00_207;
					BgL_zc3anonymousza32876ze3z83_3507:
						if ((BgL_rz00_3504 == ((long) 0)))
							{	/* Eval/evaluate_comp.scm 1060 */
								return
									VECTOR_SET(
									((obj_t) BgL_sz00_203), BgL_spz00_3505, BgL_lz00_3506);
							}
						else
							{	/* Eval/evaluate_comp.scm 1060 */
								if (PAIRP(BgL_lz00_3506))
									{	/* Eval/evaluate_comp.scm 1062 */
										{	/* Eval/evaluate_comp.scm 1065 */
											obj_t BgL_arg2880z00_3510;

											BgL_arg2880z00_3510 = CAR(BgL_lz00_3506);
											VECTOR_SET(
												((obj_t) BgL_sz00_203), BgL_spz00_3505,
												BgL_arg2880z00_3510);
										}
										{
											obj_t BgL_lz00_25326;
											long BgL_spz00_25324;
											long BgL_rz00_25322;

											BgL_rz00_25322 = (BgL_rz00_3504 - ((long) 1));
											BgL_spz00_25324 = (BgL_spz00_3505 + ((long) 1));
											BgL_lz00_25326 = CDR(BgL_lz00_3506);
											BgL_lz00_3506 = BgL_lz00_25326;
											BgL_spz00_3505 = BgL_spz00_25324;
											BgL_rz00_3504 = BgL_rz00_25322;
											goto BgL_zc3anonymousza32876ze3z83_3507;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1063 */
										long BgL_arg2890z00_3514;

										BgL_arg2890z00_3514 = bgl_list_length(BgL_valsz00_207);
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
											BgL_wherez00_204, (int) (BgL_arityz00_206),
											(int) (BgL_arg2890z00_3514));
				}}}}
			else
				{
					long BgL_rz00_3517;
					long BgL_spz00_3518;
					obj_t BgL_lz00_3519;

					BgL_rz00_3517 = BgL_arityz00_206;
					BgL_spz00_3518 = BgL_spz00_205;
					BgL_lz00_3519 = BgL_valsz00_207;
				BgL_zc3anonymousza32891ze3z83_3520:
					if ((BgL_rz00_3517 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 1069 */
							if (NULLP(BgL_lz00_3519))
								{	/* Eval/evaluate_comp.scm 1070 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1071 */
									long BgL_arg2894z00_3523;

									BgL_arg2894z00_3523 = bgl_list_length(BgL_valsz00_207);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
										BgL_wherez00_204, (int) (BgL_arityz00_206),
										(int) (BgL_arg2894z00_3523));
						}}
					else
						{	/* Eval/evaluate_comp.scm 1069 */
							if (PAIRP(BgL_lz00_3519))
								{	/* Eval/evaluate_comp.scm 1072 */
									{	/* Eval/evaluate_comp.scm 1075 */
										obj_t BgL_arg2896z00_3525;

										BgL_arg2896z00_3525 = CAR(BgL_lz00_3519);
										VECTOR_SET(
											((obj_t) BgL_sz00_203), BgL_spz00_3518,
											BgL_arg2896z00_3525);
									}
									{
										obj_t BgL_lz00_25349;
										long BgL_spz00_25347;
										long BgL_rz00_25345;

										BgL_rz00_25345 = (BgL_rz00_3517 - ((long) 1));
										BgL_spz00_25347 = (BgL_spz00_3518 + ((long) 1));
										BgL_lz00_25349 = CDR(BgL_lz00_3519);
										BgL_lz00_3519 = BgL_lz00_25349;
										BgL_spz00_3518 = BgL_spz00_25347;
										BgL_rz00_3517 = BgL_rz00_25345;
										goto BgL_zc3anonymousza32891ze3z83_3520;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 1073 */
									long BgL_arg2900z00_3529;

									BgL_arg2900z00_3529 = bgl_list_length(BgL_valsz00_207);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
										BgL_wherez00_204, (int) (BgL_arityz00_206),
										(int) (BgL_arg2900z00_3529));
		}}}}
		BGL_FUNCTION_END;
	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211,
		obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1170 */
			{
				long BgL_iz00_3533;

				BgL_iz00_3533 = ((long) 0);
			BgL_zc3anonymousza32901ze3z83_3534:
				{	/* Eval/evaluate_comp.scm 1173 */
					long BgL_spz00_3535;

					{	/* Eval/evaluate_comp.scm 1173 */
						obj_t BgL_arg2905z00_3540;

						BgL_arg2905z00_3540 =
							VECTOR_REF(((obj_t) BgL_ibza2za2_212), BgL_iz00_3533);
						BgL_spz00_3535 =
							((long) CINT(BgL_bpz00_213) + (long) CINT(BgL_arg2905z00_3540));
					}
					{	/* Eval/evaluate_comp.scm 1174 */
						obj_t BgL_arg2902z00_3536;

						{	/* Eval/evaluate_comp.scm 1174 */
							obj_t BgL_arg2903z00_3537;

							BgL_arg2903z00_3537 =
								VECTOR_REF(((obj_t) BgL_sz00_211), BgL_spz00_3535);
							{	/* Eval/evaluate_comp.scm 202 */
								obj_t BgL_newz00_9632;

								BgL_newz00_9632 =
									create_struct(BGl_symbol5813z00zz__evaluate_compz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_comp.scm 202 */
									int BgL_tmpz00_25364;

									BgL_tmpz00_25364 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_9632, BgL_tmpz00_25364,
										BgL_arg2903z00_3537);
								}
								BgL_arg2902z00_3536 = BgL_newz00_9632;
						}}
						VECTOR_SET(
							((obj_t) BgL_sz00_211), BgL_spz00_3535, BgL_arg2902z00_3536);
					}
					{	/* Eval/evaluate_comp.scm 1175 */
						long BgL_niz00_3538;

						BgL_niz00_3538 = (BgL_iz00_3533 + ((long) 1));
						if ((BgL_niz00_3538 < VECTOR_LENGTH(((obj_t) BgL_ibza2za2_212))))
							{
								long BgL_iz00_25374;

								BgL_iz00_25374 = BgL_niz00_3538;
								BgL_iz00_3533 = BgL_iz00_25374;
								goto BgL_zc3anonymousza32901ze3z83_3534;
							}
						else
							{	/* Eval/evaluate_comp.scm 1176 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214,
		obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1178 */
			{	/* Eval/evaluate_comp.scm 1179 */
				obj_t BgL_rz00_3543;

				BgL_rz00_3543 =
					make_vector(VECTOR_LENGTH(((obj_t) BgL_iza2za2_216)), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 1179 */

					{
						long BgL_iz00_3545;

						BgL_iz00_3545 = ((long) 0);
					BgL_zc3anonymousza32906ze3z83_3546:
						if ((BgL_iz00_3545 >= VECTOR_LENGTH(((obj_t) BgL_iza2za2_216))))
							{	/* Eval/evaluate_comp.scm 1181 */
								return BgL_rz00_3543;
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1184 */
									obj_t BgL_arg2908z00_3548;

									{	/* Eval/evaluate_comp.scm 1184 */
										long BgL_arg2909z00_3549;

										{	/* Eval/evaluate_comp.scm 1184 */
											obj_t BgL_arg2910z00_3550;

											BgL_arg2910z00_3550 =
												VECTOR_REF(((obj_t) BgL_iza2za2_216), BgL_iz00_3545);
											BgL_arg2909z00_3549 =
												(
												(long) CINT(BgL_bpz00_215) +
												(long) CINT(BgL_arg2910z00_3550));
										}
										BgL_arg2908z00_3548 =
											VECTOR_REF(((obj_t) BgL_sz00_214), BgL_arg2909z00_3549);
									}
									VECTOR_SET(BgL_rz00_3543, BgL_iz00_3545, BgL_arg2908z00_3548);
								}
								{
									long BgL_iz00_25390;

									BgL_iz00_25390 = (BgL_iz00_3545 + ((long) 1));
									BgL_iz00_3545 = BgL_iz00_25390;
									goto BgL_zc3anonymousza32906ze3z83_3546;
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217,
		obj_t BgL_valza2za2_218, long BgL_spz00_219)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1187 */
			{	/* Eval/evaluate_comp.scm 1188 */
				long BgL_stopz00_3554;

				BgL_stopz00_3554 =
					(BgL_spz00_219 + VECTOR_LENGTH(((obj_t) BgL_valza2za2_218)));
				{
					long BgL_iz00_9692;
					long BgL_spz00_9693;

					BgL_iz00_9692 = ((long) 0);
					BgL_spz00_9693 = BgL_spz00_219;
				BgL_recz00_9691:
					if ((BgL_spz00_9693 < BgL_stopz00_3554))
						{	/* Eval/evaluate_comp.scm 1190 */
							{	/* Eval/evaluate_comp.scm 1191 */
								obj_t BgL_arg2917z00_9699;

								BgL_arg2917z00_9699 =
									VECTOR_REF(((obj_t) BgL_valza2za2_218), BgL_iz00_9692);
								VECTOR_SET(
									((obj_t) BgL_sz00_217), BgL_spz00_9693, BgL_arg2917z00_9699);
							}
							{
								long BgL_spz00_25403;
								long BgL_iz00_25401;

								BgL_iz00_25401 = (BgL_iz00_9692 + ((long) 1));
								BgL_spz00_25403 = (BgL_spz00_9693 + ((long) 1));
								BgL_spz00_9693 = BgL_spz00_25403;
								BgL_iz00_9692 = BgL_iz00_25401;
								goto BgL_recz00_9691;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1190 */
							return ((bool_t) 0);
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_proc5891z00zz__evaluate_compz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string5892z00zz__evaluate_compz00);
		}
		BGL_FUNCTION_END;
	}



/* &comp1382 */
	obj_t BGl_z62comp1382z62zz__evaluate_compz00(obj_t BgL_envz00_14148,
		obj_t BgL_ez00_14149, obj_t BgL_stkz00_14150)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 276 */
			return
				BGl_errorz00zz__errorz00(BGl_string5803z00zz__evaluate_compz00,
				BGl_string5893z00zz__evaluate_compz00,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_14149)));
		}
		BGL_FUNCTION_END;
	}



/* comp */
	obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35,
		obj_t BgL_stkz00_36)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 276 */
			{	/* Eval/evaluate_comp.scm 276 */
				obj_t BgL_method1383z00_3570;

				{	/* Eval/evaluate_comp.scm 276 */
					obj_t BgL_res5083z00_9757;

					{	/* Eval/evaluate_comp.scm 276 */
						long BgL_objzd2classzd2numz00_9714;

						{	/* Eval/evaluate_comp.scm 276 */
							long BgL_res5072z00_9717;

							BgL_res5072z00_9717 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_35));
							BgL_objzd2classzd2numz00_9714 = BgL_res5072z00_9717;
						}
						{	/* Eval/evaluate_comp.scm 276 */
							obj_t BgL_arg4310z00_9715;

							BgL_arg4310z00_9715 =
								PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00,
								(int) (((long) 1)));
							{	/* Eval/evaluate_comp.scm 276 */
								int BgL_offsetz00_9719;

								BgL_offsetz00_9719 = (int) (BgL_objzd2classzd2numz00_9714);
								{	/* Eval/evaluate_comp.scm 276 */
									long BgL_offsetz00_9720;

									BgL_offsetz00_9720 =
										((long) (BgL_offsetz00_9719) - OBJECT_TYPE);
									{	/* Eval/evaluate_comp.scm 276 */
										long BgL_modz00_9721;

										{	/* Eval/evaluate_comp.scm 276 */
											int BgL_arg4312z00_9722;

											BgL_arg4312z00_9722 = (int) (((long) 16));
											{	/* Eval/evaluate_comp.scm 276 */
												long BgL_res5075z00_9732;

												{	/* Eval/evaluate_comp.scm 276 */
													long BgL_tmpz00_25417;

													BgL_tmpz00_25417 = (long) (BgL_arg4312z00_9722);
													BgL_res5075z00_9732 =
														(BgL_offsetz00_9720 / BgL_tmpz00_25417);
												}
												BgL_modz00_9721 = BgL_res5075z00_9732;
										}}
										{	/* Eval/evaluate_comp.scm 276 */
											long BgL_restz00_9723;

											{	/* Eval/evaluate_comp.scm 276 */
												int BgL_arg4311z00_9724;

												BgL_arg4311z00_9724 = (int) (((long) 16));
												{	/* Eval/evaluate_comp.scm 276 */
													long BgL_res5082z00_9752;

													{	/* Eval/evaluate_comp.scm 276 */
														long BgL_n1z00_9734;
														long BgL_n2z00_9735;

														BgL_n1z00_9734 = BgL_offsetz00_9720;
														BgL_n2z00_9735 = (long) (BgL_arg4311z00_9724);
														{	/* Eval/evaluate_comp.scm 276 */
															bool_t BgL_testz00_25422;

															{	/* Eval/evaluate_comp.scm 276 */
																long BgL_arg4196z00_9737;

																BgL_arg4196z00_9737 =
																	(((BgL_n1z00_9734) | (BgL_n2z00_9735)) &
																	-2147483648);
																BgL_testz00_25422 =
																	(BgL_arg4196z00_9737 == ((long) 0));
															}
															if (BgL_testz00_25422)
																{	/* Eval/evaluate_comp.scm 276 */
																	int32_t BgL_arg4193z00_9738;

																	{	/* Eval/evaluate_comp.scm 276 */
																		int32_t BgL_arg4194z00_9739;
																		int32_t BgL_arg4195z00_9740;

																		{	/* Eval/evaluate_comp.scm 276 */
																			int32_t BgL_res5078z00_9744;

																			BgL_res5078z00_9744 =
																				(int32_t) (BgL_n1z00_9734);
																			BgL_arg4194z00_9739 = BgL_res5078z00_9744;
																		}
																		{	/* Eval/evaluate_comp.scm 276 */
																			int32_t BgL_res5079z00_9746;

																			BgL_res5079z00_9746 =
																				(int32_t) (BgL_n2z00_9735);
																			BgL_arg4195z00_9740 = BgL_res5079z00_9746;
																		}
																		BgL_arg4193z00_9738 =
																			(BgL_arg4194z00_9739 %
																			BgL_arg4195z00_9740);
																	}
																	{	/* Eval/evaluate_comp.scm 276 */
																		long BgL_res5081z00_9751;

																		{	/* Eval/evaluate_comp.scm 276 */
																			long BgL_arg4287z00_9748;

																			BgL_arg4287z00_9748 =
																				(long) (BgL_arg4193z00_9738);
																			{	/* Eval/evaluate_comp.scm 276 */
																				long BgL_res5080z00_9750;

																				BgL_res5080z00_9750 =
																					(long) (BgL_arg4287z00_9748);
																				BgL_res5081z00_9751 =
																					BgL_res5080z00_9750;
																		}}
																		BgL_res5082z00_9752 = BgL_res5081z00_9751;
																}}
															else
																{	/* Eval/evaluate_comp.scm 276 */
																	BgL_res5082z00_9752 =
																		(BgL_n1z00_9734 % BgL_n2z00_9735);
																}
														}
													}
													BgL_restz00_9723 = BgL_res5082z00_9752;
												}
											}
											{	/* Eval/evaluate_comp.scm 276 */

												{	/* Eval/evaluate_comp.scm 276 */
													obj_t BgL_bucketz00_9725;

													BgL_bucketz00_9725 =
														VECTOR_REF(
														((obj_t) BgL_arg4310z00_9715), BgL_modz00_9721);
													BgL_res5083z00_9757 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_9725), BgL_restz00_9723);
												}
											}
										}
									}
								}
							}
						}
					}
					BgL_method1383z00_3570 = BgL_res5083z00_9757;
				}
				return
					PROCEDURE_ENTRY(BgL_method1383z00_3570) (BgL_method1383z00_3570,
					((obj_t) BgL_ez00_35), BgL_stkz00_36, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp */
	obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_14151,
		obj_t BgL_ez00_14152, obj_t BgL_stkz00_14153)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 276 */
			{	/* Eval/evaluate_comp.scm 276 */
				BgL_ev_exprz00_bglt BgL_auxz00_25441;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_14152,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 276 */
						BgL_auxz00_25441 = ((BgL_ev_exprz00_bglt) BgL_ez00_14152);
					}
				else
					{
						obj_t BgL_auxz00_25445;

						BgL_auxz00_25445 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5808z00zz__evaluate_compz00, BINT(((long) 7022)),
							BGl_string5894z00zz__evaluate_compz00,
							BGl_string5810z00zz__evaluate_compz00, BgL_ez00_14152);
						FAILURE(BgL_auxz00_25445, BFALSE, BFALSE);
					}
				return
					BGl_compz00zz__evaluate_compz00(BgL_auxz00_25441, BgL_stkz00_14153);
			}
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc5895z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc5897z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc5898z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc5899z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc5900z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc5901z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc5902z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc5903z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc5904z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_andz00zz__evaluate_typesz00, BGl_proc5905z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc5906z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc5907z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc5908z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc5909z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc5910z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc5911z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc5912z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc5913z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc5914z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc5915z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc5916z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc5917z00zz__evaluate_compz00,
				BGl_string5896z00zz__evaluate_compz00);
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_abs1429 */
	obj_t BGl_z62compzd2ev_abs1429zb0zz__evaluate_compz00(obj_t BgL_envz00_14348,
		obj_t BgL_ez00_14349, obj_t BgL_stkz00_14350)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1158 */
			{	/* Eval/evaluate_comp.scm 1160 */
				obj_t BgL_ifreesz00_16565;
				obj_t BgL_iboxesz00_16566;
				long BgL_siza7eza7_16567;
				long BgL_siza7ezd2framez75_16568;
				obj_t BgL_nstkz00_16569;

				{	/* Eval/evaluate_comp.scm 1160 */
					obj_t BgL_arg4021z00_16570;

					{	/* Eval/evaluate_comp.scm 1160 */
						obj_t BgL_l1360z00_16571;

						BgL_l1360z00_16571 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14349)))->BgL_freez00);
						if (NULLP(BgL_l1360z00_16571))
							{	/* Eval/evaluate_comp.scm 1160 */
								BgL_arg4021z00_16570 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 1160 */
								obj_t BgL_head1362z00_16572;

								{	/* Eval/evaluate_comp.scm 1160 */
									obj_t BgL_res5222z00_16573;

									BgL_res5222z00_16573 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1362z00_16572 = BgL_res5222z00_16573;
								}
								{
									obj_t BgL_l1360z00_16575;
									obj_t BgL_tail1363z00_16576;

									BgL_l1360z00_16575 = BgL_l1360z00_16571;
									BgL_tail1363z00_16576 = BgL_head1362z00_16572;
								BgL_zc3anonymousza34023ze3z83_16574:
									if (NULLP(BgL_l1360z00_16575))
										{	/* Eval/evaluate_comp.scm 1160 */
											BgL_arg4021z00_16570 = CDR(BgL_head1362z00_16572);
										}
									else
										{	/* Eval/evaluate_comp.scm 1160 */
											obj_t BgL_newtail1364z00_16577;

											{	/* Eval/evaluate_comp.scm 1160 */
												obj_t BgL_arg4026z00_16578;

												{	/* Eval/evaluate_comp.scm 1160 */
													obj_t BgL_vz00_16579;

													BgL_vz00_16579 = CAR(((obj_t) BgL_l1360z00_16575));
													BgL_arg4026z00_16578 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_16579,
														BgL_stkz00_14350);
												}
												{	/* Eval/evaluate_comp.scm 1160 */
													obj_t BgL_res5228z00_16580;

													BgL_res5228z00_16580 =
														MAKE_YOUNG_PAIR(BgL_arg4026z00_16578, BNIL);
													BgL_newtail1364z00_16577 = BgL_res5228z00_16580;
												}
											}
											SET_CDR(BgL_tail1363z00_16576, BgL_newtail1364z00_16577);
											{	/* Eval/evaluate_comp.scm 1160 */
												obj_t BgL_arg4025z00_16581;

												BgL_arg4025z00_16581 =
													CDR(((obj_t) BgL_l1360z00_16575));
												{
													obj_t BgL_tail1363z00_25488;
													obj_t BgL_l1360z00_25487;

													BgL_l1360z00_25487 = BgL_arg4025z00_16581;
													BgL_tail1363z00_25488 = BgL_newtail1364z00_16577;
													BgL_tail1363z00_16576 = BgL_tail1363z00_25488;
													BgL_l1360z00_16575 = BgL_l1360z00_25487;
													goto BgL_zc3anonymousza34023ze3z83_16574;
												}
											}
										}
								}
							}
					}
					BgL_ifreesz00_16565 =
						BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4021z00_16570);
				}
				{	/* Eval/evaluate_comp.scm 1161 */
					obj_t BgL_arg4027z00_16582;

					{	/* Eval/evaluate_comp.scm 1161 */
						obj_t BgL_l1365z00_16583;

						BgL_l1365z00_16583 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14349)))->BgL_boxesz00);
						if (NULLP(BgL_l1365z00_16583))
							{	/* Eval/evaluate_comp.scm 1161 */
								BgL_arg4027z00_16582 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 1161 */
								obj_t BgL_head1367z00_16584;

								{	/* Eval/evaluate_comp.scm 1161 */
									obj_t BgL_res5230z00_16585;

									BgL_res5230z00_16585 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1367z00_16584 = BgL_res5230z00_16585;
								}
								{
									obj_t BgL_l1365z00_16587;
									obj_t BgL_tail1368z00_16588;

									BgL_l1365z00_16587 = BgL_l1365z00_16583;
									BgL_tail1368z00_16588 = BgL_head1367z00_16584;
								BgL_zc3anonymousza34029ze3z83_16586:
									if (NULLP(BgL_l1365z00_16587))
										{	/* Eval/evaluate_comp.scm 1161 */
											BgL_arg4027z00_16582 = CDR(BgL_head1367z00_16584);
										}
									else
										{	/* Eval/evaluate_comp.scm 1161 */
											obj_t BgL_newtail1369z00_16589;

											{	/* Eval/evaluate_comp.scm 1161 */
												obj_t BgL_arg4032z00_16590;

												{	/* Eval/evaluate_comp.scm 1161 */
													obj_t BgL_vz00_16591;

													BgL_vz00_16591 = CAR(((obj_t) BgL_l1365z00_16587));
													BgL_arg4032z00_16590 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_16591,
														(((BgL_ev_absz00_bglt) COBJECT(
																	((BgL_ev_absz00_bglt) BgL_ez00_14349)))->
															BgL_varsz00));
												}
												{	/* Eval/evaluate_comp.scm 1161 */
													obj_t BgL_res5232z00_16592;

													BgL_res5232z00_16592 =
														MAKE_YOUNG_PAIR(BgL_arg4032z00_16590, BNIL);
													BgL_newtail1369z00_16589 = BgL_res5232z00_16592;
												}
											}
											SET_CDR(BgL_tail1368z00_16588, BgL_newtail1369z00_16589);
											{	/* Eval/evaluate_comp.scm 1161 */
												obj_t BgL_arg4031z00_16593;

												BgL_arg4031z00_16593 =
													CDR(((obj_t) BgL_l1365z00_16587));
												{
													obj_t BgL_tail1368z00_25508;
													obj_t BgL_l1365z00_25507;

													BgL_l1365z00_25507 = BgL_arg4031z00_16593;
													BgL_tail1368z00_25508 = BgL_newtail1369z00_16589;
													BgL_tail1368z00_16588 = BgL_tail1368z00_25508;
													BgL_l1365z00_16587 = BgL_l1365z00_25507;
													goto BgL_zc3anonymousza34029ze3z83_16586;
												}
											}
										}
								}
							}
					}
					BgL_iboxesz00_16566 =
						BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4027z00_16582);
				}
				BgL_siza7eza7_16567 =
					bgl_list_length(
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14349)))->BgL_varsz00));
				BgL_siza7ezd2framez75_16568 =
					(
					(long) (
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14349)))->BgL_siza7eza7)) +
					bgl_list_length(
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14349)))->BgL_freez00)));
				BgL_nstkz00_16569 =
					BGl_appendzd221010zd2zz__evaluate_compz00(
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14349)))->BgL_varsz00),
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14349)))->BgL_freez00));
				{	/* Eval/evaluate_comp.scm 1165 */
					obj_t BgL_bodyz00_16594;

					BgL_bodyz00_16594 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14349)))->BgL_bodyz00),
						BgL_nstkz00_16569);
					{

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_aux1245z00_16600;

							BgL_aux1245z00_16600 =
								(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_14349)))->BgL_arityz00);
							if (INTEGERP(BgL_aux1245z00_16600))
								{	/* Eval/evaluate_comp.scm 1167 */
									switch ((long) CINT(BgL_aux1245z00_16600))
										{
										case ((long) 0):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16565) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33446ze3z83_16601;

															BgL_zc3anonymousza33446ze3z83_16601 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33446ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33446ze3z83_16601,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33446ze3z83_16601,
																(int) (((long) 1)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33446ze3z83_16601,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33446ze3z83_16601;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33452ze3z83_16602;

															BgL_zc3anonymousza33452ze3z83_16602 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33452ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33452ze3z83_16602,
																(int) (((long) 0)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33452ze3z83_16602,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33452ze3z83_16602,
																(int) (((long) 2)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33452ze3z83_16602,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33452ze3z83_16602;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33461ze3z83_16603;

															BgL_zc3anonymousza33461ze3z83_16603 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33461ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33461ze3z83_16603,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33461ze3z83_16603,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33461ze3z83_16603,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33461ze3z83_16603,
																(int) (((long) 3)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33461ze3z83_16603,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33461ze3z83_16603;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33469ze3z83_16604;

															BgL_zc3anonymousza33469ze3z83_16604 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33469ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33469ze3z83_16604,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33469ze3z83_16604,
																(int) (((long) 1)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33469ze3z83_16604,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33469ze3z83_16604,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33469ze3z83_16604,
																(int) (((long) 4)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33469ze3z83_16604,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33469ze3z83_16604;
														}
												}
											break;
										case ((long) -1):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16565) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33482ze3z83_16605;

															BgL_zc3anonymousza33482ze3z83_16605 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33482ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33482ze3z83_16605,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33482ze3z83_16605,
																(int) (((long) 1)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33482ze3z83_16605,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33482ze3z83_16605;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33489ze3z83_16606;

															BgL_zc3anonymousza33489ze3z83_16606 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33489ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33489ze3z83_16606,
																(int) (((long) 0)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33489ze3z83_16606,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33489ze3z83_16606,
																(int) (((long) 2)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33489ze3z83_16606,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33489ze3z83_16606;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33500ze3z83_16607;

															BgL_zc3anonymousza33500ze3z83_16607 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33500ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33500ze3z83_16607,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33500ze3z83_16607,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33500ze3z83_16607,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33500ze3z83_16607,
																(int) (((long) 3)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33500ze3z83_16607,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33500ze3z83_16607;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33509ze3z83_16608;

															BgL_zc3anonymousza33509ze3z83_16608 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33509ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_16608,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_16608,
																(int) (((long) 1)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_16608,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_16608,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_16608,
																(int) (((long) 4)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_16608,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33509ze3z83_16608;
														}
												}
											break;
										case ((long) 1):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16565) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33527ze3z83_16609;

															BgL_zc3anonymousza33527ze3z83_16609 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33527ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33527ze3z83_16609,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33527ze3z83_16609,
																(int) (((long) 1)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33527ze3z83_16609,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33527ze3z83_16609;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33535ze3z83_16610;

															BgL_zc3anonymousza33535ze3z83_16610 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33535ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33535ze3z83_16610,
																(int) (((long) 0)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33535ze3z83_16610,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33535ze3z83_16610,
																(int) (((long) 2)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33535ze3z83_16610,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33535ze3z83_16610;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33547ze3z83_16611;

															BgL_zc3anonymousza33547ze3z83_16611 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33547ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33547ze3z83_16611,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33547ze3z83_16611,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33547ze3z83_16611,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33547ze3z83_16611,
																(int) (((long) 3)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33547ze3z83_16611,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33547ze3z83_16611;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33555ze3z83_16612;

															BgL_zc3anonymousza33555ze3z83_16612 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33555ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33555ze3z83_16612,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33555ze3z83_16612,
																(int) (((long) 1)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33555ze3z83_16612,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33555ze3z83_16612,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33555ze3z83_16612,
																(int) (((long) 4)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33555ze3z83_16612,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33555ze3z83_16612;
														}
												}
											break;
										case ((long) -2):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16565) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33571ze3z83_16613;

															BgL_zc3anonymousza33571ze3z83_16613 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33571ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33571ze3z83_16613,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33571ze3z83_16613,
																(int) (((long) 1)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33571ze3z83_16613,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33571ze3z83_16613;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33579ze3z83_16614;

															BgL_zc3anonymousza33579ze3z83_16614 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33579ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33579ze3z83_16614,
																(int) (((long) 0)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33579ze3z83_16614,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33579ze3z83_16614,
																(int) (((long) 2)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33579ze3z83_16614,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33579ze3z83_16614;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33592ze3z83_16615;

															BgL_zc3anonymousza33592ze3z83_16615 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33592ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33592ze3z83_16615,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33592ze3z83_16615,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33592ze3z83_16615,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33592ze3z83_16615,
																(int) (((long) 3)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33592ze3z83_16615,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33592ze3z83_16615;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33603ze3z83_16616;

															BgL_zc3anonymousza33603ze3z83_16616 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33603ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33603ze3z83_16616,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33603ze3z83_16616,
																(int) (((long) 1)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33603ze3z83_16616,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33603ze3z83_16616,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33603ze3z83_16616,
																(int) (((long) 4)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33603ze3z83_16616,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33603ze3z83_16616;
														}
												}
											break;
										case ((long) 2):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16565) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33621ze3z83_16617;

															BgL_zc3anonymousza33621ze3z83_16617 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33621ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33621ze3z83_16617,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33621ze3z83_16617,
																(int) (((long) 1)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33621ze3z83_16617,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33621ze3z83_16617;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33631ze3z83_16618;

															BgL_zc3anonymousza33631ze3z83_16618 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33631ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33631ze3z83_16618,
																(int) (((long) 0)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33631ze3z83_16618,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33631ze3z83_16618,
																(int) (((long) 2)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33631ze3z83_16618,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33631ze3z83_16618;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33645ze3z83_16619;

															BgL_zc3anonymousza33645ze3z83_16619 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33645ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_16619,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_16619,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_16619,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_16619,
																(int) (((long) 3)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_16619,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33645ze3z83_16619;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33655ze3z83_16620;

															BgL_zc3anonymousza33655ze3z83_16620 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33655ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33655ze3z83_16620,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33655ze3z83_16620,
																(int) (((long) 1)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33655ze3z83_16620,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33655ze3z83_16620,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33655ze3z83_16620,
																(int) (((long) 4)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33655ze3z83_16620,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33655ze3z83_16620;
														}
												}
											break;
										case ((long) -3):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16565) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33673ze3z83_16621;

															BgL_zc3anonymousza33673ze3z83_16621 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33673ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33673ze3z83_16621,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33673ze3z83_16621,
																(int) (((long) 1)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33673ze3z83_16621,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33673ze3z83_16621;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33683ze3z83_16622;

															BgL_zc3anonymousza33683ze3z83_16622 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33683ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33683ze3z83_16622,
																(int) (((long) 0)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33683ze3z83_16622,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33683ze3z83_16622,
																(int) (((long) 2)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33683ze3z83_16622,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33683ze3z83_16622;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33697ze3z83_16623;

															BgL_zc3anonymousza33697ze3z83_16623 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33697ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33697ze3z83_16623,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33697ze3z83_16623,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33697ze3z83_16623,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33697ze3z83_16623,
																(int) (((long) 3)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33697ze3z83_16623,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33697ze3z83_16623;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33709ze3z83_16624;

															BgL_zc3anonymousza33709ze3z83_16624 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33709ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33709ze3z83_16624,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33709ze3z83_16624,
																(int) (((long) 1)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33709ze3z83_16624,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33709ze3z83_16624,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33709ze3z83_16624,
																(int) (((long) 4)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33709ze3z83_16624,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33709ze3z83_16624;
														}
												}
											break;
										case ((long) 3):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16565) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33728ze3z83_16625;

															BgL_zc3anonymousza33728ze3z83_16625 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33728ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33728ze3z83_16625,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33728ze3z83_16625,
																(int) (((long) 1)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33728ze3z83_16625,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33728ze3z83_16625;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33737ze3z83_16626;

															BgL_zc3anonymousza33737ze3z83_16626 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33737ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33737ze3z83_16626,
																(int) (((long) 0)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33737ze3z83_16626,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33737ze3z83_16626,
																(int) (((long) 2)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33737ze3z83_16626,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33737ze3z83_16626;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33749ze3z83_16627;

															BgL_zc3anonymousza33749ze3z83_16627 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33749ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33749ze3z83_16627,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33749ze3z83_16627,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33749ze3z83_16627,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33749ze3z83_16627,
																(int) (((long) 3)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33749ze3z83_16627,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33749ze3z83_16627;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33759ze3z83_16628;

															BgL_zc3anonymousza33759ze3z83_16628 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33759ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33759ze3z83_16628,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33759ze3z83_16628,
																(int) (((long) 1)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33759ze3z83_16628,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33759ze3z83_16628,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33759ze3z83_16628,
																(int) (((long) 4)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33759ze3z83_16628,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33759ze3z83_16628;
														}
												}
											break;
										case ((long) -4):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16565) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33776ze3z83_16629;

															BgL_zc3anonymousza33776ze3z83_16629 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33776ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33776ze3z83_16629,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33776ze3z83_16629,
																(int) (((long) 1)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33776ze3z83_16629,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33776ze3z83_16629;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33786ze3z83_16630;

															BgL_zc3anonymousza33786ze3z83_16630 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33786ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33786ze3z83_16630,
																(int) (((long) 0)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33786ze3z83_16630,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33786ze3z83_16630,
																(int) (((long) 2)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33786ze3z83_16630,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33786ze3z83_16630;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33799ze3z83_16631;

															BgL_zc3anonymousza33799ze3z83_16631 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33799ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33799ze3z83_16631,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33799ze3z83_16631,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33799ze3z83_16631,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33799ze3z83_16631,
																(int) (((long) 3)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33799ze3z83_16631,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33799ze3z83_16631;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33810ze3z83_16632;

															BgL_zc3anonymousza33810ze3z83_16632 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33810ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33810ze3z83_16632,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33810ze3z83_16632,
																(int) (((long) 1)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33810ze3z83_16632,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33810ze3z83_16632,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33810ze3z83_16632,
																(int) (((long) 4)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33810ze3z83_16632,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33810ze3z83_16632;
														}
												}
											break;
										case ((long) 4):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16565) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33827ze3z83_16633;

															BgL_zc3anonymousza33827ze3z83_16633 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33827ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33827ze3z83_16633,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33827ze3z83_16633,
																(int) (((long) 1)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33827ze3z83_16633,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33827ze3z83_16633;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33837ze3z83_16634;

															BgL_zc3anonymousza33837ze3z83_16634 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33837ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33837ze3z83_16634,
																(int) (((long) 0)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33837ze3z83_16634,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33837ze3z83_16634,
																(int) (((long) 2)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33837ze3z83_16634,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33837ze3z83_16634;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33850ze3z83_16635;

															BgL_zc3anonymousza33850ze3z83_16635 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33850ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33850ze3z83_16635,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33850ze3z83_16635,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33850ze3z83_16635,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33850ze3z83_16635,
																(int) (((long) 3)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33850ze3z83_16635,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33850ze3z83_16635;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33861ze3z83_16636;

															BgL_zc3anonymousza33861ze3z83_16636 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33861ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33861ze3z83_16636,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33861ze3z83_16636,
																(int) (((long) 1)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33861ze3z83_16636,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33861ze3z83_16636,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33861ze3z83_16636,
																(int) (((long) 4)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33861ze3z83_16636,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33861ze3z83_16636;
														}
												}
											break;
										case ((long) -5):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16565) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33878ze3z83_16637;

															BgL_zc3anonymousza33878ze3z83_16637 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33878ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33878ze3z83_16637,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33878ze3z83_16637,
																(int) (((long) 1)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33878ze3z83_16637,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33878ze3z83_16637;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33889ze3z83_16638;

															BgL_zc3anonymousza33889ze3z83_16638 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33889ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33889ze3z83_16638,
																(int) (((long) 0)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33889ze3z83_16638,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33889ze3z83_16638,
																(int) (((long) 2)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33889ze3z83_16638,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33889ze3z83_16638;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33903ze3z83_16639;

															BgL_zc3anonymousza33903ze3z83_16639 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33903ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33903ze3z83_16639,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33903ze3z83_16639,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33903ze3z83_16639,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33903ze3z83_16639,
																(int) (((long) 3)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33903ze3z83_16639,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33903ze3z83_16639;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33915ze3z83_16640;

															BgL_zc3anonymousza33915ze3z83_16640 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33915ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33915ze3z83_16640,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33915ze3z83_16640,
																(int) (((long) 1)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33915ze3z83_16640,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33915ze3z83_16640,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33915ze3z83_16640,
																(int) (((long) 4)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33915ze3z83_16640,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33915ze3z83_16640;
														}
												}
											break;
										default:
										BgL_case_else1244z00_16595:
											if ((VECTOR_LENGTH(BgL_ifreesz00_16565) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33933ze3z83_16596;

															BgL_zc3anonymousza33933ze3z83_16596 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33933ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33933ze3z83_16596,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33933ze3z83_16596,
																(int) (((long) 1)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33933ze3z83_16596,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33933ze3z83_16596;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33953ze3z83_16597;

															BgL_zc3anonymousza33953ze3z83_16597 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33953ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33953ze3z83_16597,
																(int) (((long) 0)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33953ze3z83_16597,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33953ze3z83_16597,
																(int) (((long) 2)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33953ze3z83_16597,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33953ze3z83_16597;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16566) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33976ze3z83_16598;

															BgL_zc3anonymousza33976ze3z83_16598 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33976ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33976ze3z83_16598,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33976ze3z83_16598,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33976ze3z83_16598,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33976ze3z83_16598,
																(int) (((long) 3)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33976ze3z83_16598,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33976ze3z83_16598;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33997ze3z83_16599;

															BgL_zc3anonymousza33997ze3z83_16599 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33997ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33997ze3z83_16599,
																(int) (((long) 0)), BgL_ifreesz00_16565);
															PROCEDURE_SET(BgL_zc3anonymousza33997ze3z83_16599,
																(int) (((long) 1)), BgL_iboxesz00_16566);
															PROCEDURE_SET(BgL_zc3anonymousza33997ze3z83_16599,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16567));
															PROCEDURE_SET(BgL_zc3anonymousza33997ze3z83_16599,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14349)));
															PROCEDURE_SET(BgL_zc3anonymousza33997ze3z83_16599,
																(int) (((long) 4)), BgL_bodyz00_16594);
															PROCEDURE_SET(BgL_zc3anonymousza33997ze3z83_16599,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16568));
															return BgL_zc3anonymousza33997ze3z83_16599;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1167 */
									goto BgL_case_else1244z00_16595;
								}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3878> */
	obj_t BGl_z62zc3anonymousza33878ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14351, obj_t BgL_sz00_14355)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14352;
				obj_t BgL_bodyz00_14353;
				long BgL_siza7ezd2framez75_14354;

				BgL_i1243z00_14352 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14351, (int) (((long) 0))));
				BgL_bodyz00_14353 = PROCEDURE_REF(BgL_envz00_14351, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14354 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14351, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16641;

					BgL_bpz00_16641 = VECTOR_REF(((obj_t) BgL_sz00_14355), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16642;

							BgL_runz00_16642 =
								MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_16642,
								(int) (((long) 0)), ((obj_t) BgL_i1243z00_14352));
							PROCEDURE_SET(BgL_runz00_16642,
								(int) (((long) 1)), BgL_bodyz00_14353);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16643;

								BgL_mainz00_16643 =
									MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_16643,
									(int) (((long) 0)), ((obj_t) BgL_i1243z00_14352));
								PROCEDURE_SET(BgL_mainz00_16643,
									(int) (((long) 1)), BgL_bodyz00_14353);
								PROCEDURE_SET(BgL_mainz00_16643,
									(int) (((long) 2)), BgL_runz00_16642);
								PROCEDURE_SET(BgL_mainz00_16643,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14354));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16644;

									BgL_objz00_16644 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16642, BgL_objz00_16644);
									BgL_objz00_16644;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3879z00_16645;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3880z00_16646;

										BgL_arg3880z00_16646 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14352))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16647;

											BgL_newz00_16647 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26350;

												BgL_tmpz00_26350 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16647, BgL_tmpz00_26350,
													BgL_arg3880z00_16646);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26355;
												int BgL_tmpz00_26353;

												BgL_auxz00_26355 = BINT(BgL_siza7ezd2framez75_14354);
												BgL_tmpz00_26353 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16647, BgL_tmpz00_26353,
													BgL_auxz00_26355);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26358;

												BgL_tmpz00_26358 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16647, BgL_tmpz00_26358,
													BgL_runz00_16642);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26363;
												int BgL_tmpz00_26361;

												BgL_auxz00_26363 = BINT(((long) -5));
												BgL_tmpz00_26361 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16647, BgL_tmpz00_26361,
													BgL_auxz00_26363);
											}
											BgL_arg3879z00_16645 = BgL_newz00_16647;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16643, BgL_arg3879z00_16645);
									BgL_arg3879z00_16645;
								}
								return BgL_mainz00_16643;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main */
	obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_14356,
		obj_t BgL_az00_14361, obj_t BgL_bz00_14362, obj_t BgL_cz00_14363,
		obj_t BgL_dz00_14364, obj_t BgL_lastz00_14365)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14359;
				long BgL_siza7ezd2framez75_14360;

				BgL_runz00_14359 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14356, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14360 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14356, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16648;

					BgL_sz00_16648 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16649;

						BgL_bpz00_16649 = VECTOR_REF(((obj_t) BgL_sz00_16648), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16649) + BgL_siza7ezd2framez75_14360) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16648))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3883z00_16650;

									BgL_arg3883z00_16650 =
										((long) CINT(BgL_bpz00_16649) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16648), BgL_arg3883z00_16650,
										BgL_az00_14361);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3884z00_16651;

									BgL_arg3884z00_16651 =
										((long) CINT(BgL_bpz00_16649) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16648), BgL_arg3884z00_16651,
										BgL_bz00_14362);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3885z00_16652;

									BgL_arg3885z00_16652 =
										((long) CINT(BgL_bpz00_16649) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16648), BgL_arg3885z00_16652,
										BgL_cz00_14363);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3886z00_16653;

									BgL_arg3886z00_16653 =
										((long) CINT(BgL_bpz00_16649) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16648), BgL_arg3886z00_16653,
										BgL_dz00_14364);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3887z00_16654;

									BgL_arg3887z00_16654 =
										((long) CINT(BgL_bpz00_16649) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16648), BgL_arg3887z00_16654,
										BgL_lastz00_14365);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16655;

									BgL_ez00_16655 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16655,
										BgL_bpz00_16649);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16656;

										BgL_accz00_16656 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14359, BgL_sz00_16648, BgL_bpz00_16649);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16655);
										VECTOR_SET(
											((obj_t) BgL_sz00_16648), ((long) 0), BgL_bpz00_16649);
										return BgL_accz00_16656;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16657;

								BgL_nsz00_16657 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16657, ((long) 1), BgL_sz00_16648);
								VECTOR_SET(BgL_nsz00_16657, ((long) 2), BgL_az00_14361);
								VECTOR_SET(BgL_nsz00_16657, ((long) 3), BgL_bz00_14362);
								VECTOR_SET(BgL_nsz00_16657, ((long) 4), BgL_cz00_14363);
								VECTOR_SET(BgL_nsz00_16657, ((long) 5), BgL_dz00_14364);
								VECTOR_SET(BgL_nsz00_16657, ((long) 6), BgL_lastz00_14365);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16658;

									BgL_z12denvz12_16658 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16658, BgL_nsz00_16657);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16659;

										BgL_ez00_16659 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16659,
											BgL_sz00_16648);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16660;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16661;

												BgL_savedzd2bpzd2_16661 =
													VECTOR_REF(BgL_nsz00_16657, ((long) 0));
												VECTOR_SET(BgL_nsz00_16657, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16663;

													BgL_fz00_16663 = BgL_runz00_14359;
												BgL_recz00_16662:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16664;

														BgL_rz00_16664 =
															PROCEDURE_ENTRY(BgL_fz00_16663) (BgL_fz00_16663,
															BgL_nsz00_16657, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_26426;

															if (PROCEDUREP(BgL_rz00_16664))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16665;

																	BgL_arg1693z00_16665 =
																		PROCEDURE_ATTR(BgL_rz00_16664);
																	if (STRUCTP(BgL_arg1693z00_16665))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26426 =
																				(STRUCT_KEY(BgL_arg1693z00_16665) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26426 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_26426 = ((bool_t) 0);
																}
															if (BgL_testz00_26426)
																{
																	obj_t BgL_fz00_26434;

																	BgL_fz00_26434 = BgL_rz00_16664;
																	BgL_fz00_16663 = BgL_fz00_26434;
																	goto BgL_recz00_16662;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16657, ((long) 0),
																		BgL_savedzd2bpzd2_16661);
																	BgL_____rz00_16660 = BgL_rz00_16664;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16659);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16658, BgL_sz00_16648);
											return BgL_____rz00_16660;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run */
	obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_14366,
		obj_t BgL_sz00_14369)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14367;
				obj_t BgL_bodyz00_14368;

				BgL_i1243z00_14367 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14366, (int) (((long) 0))));
				BgL_bodyz00_14368 = PROCEDURE_REF(BgL_envz00_14366, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16666;

					BgL_bpz00_16666 = VECTOR_REF(((obj_t) BgL_sz00_14369), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16667;
						obj_t BgL_wherez00_16668;
						obj_t BgL_locz00_16669;

						BgL_z12denvz12_16667 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16668 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14367))->
							BgL_wherez00);
						BgL_locz00_16669 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14367))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16667, BgL_wherez00_16668,
								BgL_locz00_16669);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16670;

								BgL_za2za2resza2za2z00_16670 =
									PROCEDURE_ENTRY(BgL_bodyz00_14368) (BgL_bodyz00_14368,
									BgL_sz00_14369, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16667);
								return BgL_za2za2resza2za2z00_16670;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3889> */
	obj_t BGl_z62zc3anonymousza33889ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14370, obj_t BgL_sz00_14375)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14371;
				BgL_ev_absz00_bglt BgL_i1243z00_14372;
				obj_t BgL_bodyz00_14373;
				long BgL_siza7ezd2framez75_14374;

				BgL_iboxesz00_14371 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14370, (int) (((long) 0))));
				BgL_i1243z00_14372 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14370, (int) (((long) 1))));
				BgL_bodyz00_14373 = PROCEDURE_REF(BgL_envz00_14370, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14374 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14370, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16671;

					BgL_bpz00_16671 = VECTOR_REF(((obj_t) BgL_sz00_14375), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16672;

							BgL_runz00_16672 =
								MAKE_FX_PROCEDURE(BGl_z62run5706z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_16672,
								(int) (((long) 0)), BgL_iboxesz00_14371);
							PROCEDURE_SET(BgL_runz00_16672,
								(int) (((long) 1)), ((obj_t) BgL_i1243z00_14372));
							PROCEDURE_SET(BgL_runz00_16672,
								(int) (((long) 2)), BgL_bodyz00_14373);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16673;

								BgL_mainz00_16673 =
									MAKE_VA_PROCEDURE(BGl_z62main5705z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_16673,
									(int) (((long) 0)), BgL_iboxesz00_14371);
								PROCEDURE_SET(BgL_mainz00_16673,
									(int) (((long) 1)), ((obj_t) BgL_i1243z00_14372));
								PROCEDURE_SET(BgL_mainz00_16673,
									(int) (((long) 2)), BgL_bodyz00_14373);
								PROCEDURE_SET(BgL_mainz00_16673,
									(int) (((long) 3)), BgL_runz00_16672);
								PROCEDURE_SET(BgL_mainz00_16673,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14374));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16674;

									BgL_objz00_16674 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16672, BgL_objz00_16674);
									BgL_objz00_16674;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3890z00_16675;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3891z00_16676;

										BgL_arg3891z00_16676 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14372))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16677;

											BgL_newz00_16677 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26496;

												BgL_tmpz00_26496 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16677, BgL_tmpz00_26496,
													BgL_arg3891z00_16676);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26501;
												int BgL_tmpz00_26499;

												BgL_auxz00_26501 = BINT(BgL_siza7ezd2framez75_14374);
												BgL_tmpz00_26499 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16677, BgL_tmpz00_26499,
													BgL_auxz00_26501);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26504;

												BgL_tmpz00_26504 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16677, BgL_tmpz00_26504,
													BgL_runz00_16672);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26509;
												int BgL_tmpz00_26507;

												BgL_auxz00_26509 = BINT(((long) -5));
												BgL_tmpz00_26507 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16677, BgL_tmpz00_26507,
													BgL_auxz00_26509);
											}
											BgL_arg3890z00_16675 = BgL_newz00_16677;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16673, BgL_arg3890z00_16675);
									BgL_arg3890z00_16675;
								}
								return BgL_mainz00_16673;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5705 */
	obj_t BGl_z62main5705z62zz__evaluate_compz00(obj_t BgL_envz00_14376,
		obj_t BgL_az00_14382, obj_t BgL_bz00_14383, obj_t BgL_cz00_14384,
		obj_t BgL_dz00_14385, obj_t BgL_lastz00_14386)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14380;
				long BgL_siza7ezd2framez75_14381;

				BgL_runz00_14380 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14376, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14381 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14376, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16678;

					BgL_sz00_16678 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16679;

						BgL_bpz00_16679 = VECTOR_REF(((obj_t) BgL_sz00_16678), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16679) + BgL_siza7ezd2framez75_14381) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16678))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3894z00_16680;

									BgL_arg3894z00_16680 =
										((long) CINT(BgL_bpz00_16679) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16678), BgL_arg3894z00_16680,
										BgL_az00_14382);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3895z00_16681;

									BgL_arg3895z00_16681 =
										((long) CINT(BgL_bpz00_16679) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16678), BgL_arg3895z00_16681,
										BgL_bz00_14383);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3896z00_16682;

									BgL_arg3896z00_16682 =
										((long) CINT(BgL_bpz00_16679) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16678), BgL_arg3896z00_16682,
										BgL_cz00_14384);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3897z00_16683;

									BgL_arg3897z00_16683 =
										((long) CINT(BgL_bpz00_16679) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16678), BgL_arg3897z00_16683,
										BgL_dz00_14385);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3898z00_16684;

									BgL_arg3898z00_16684 =
										((long) CINT(BgL_bpz00_16679) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16678), BgL_arg3898z00_16684,
										BgL_lastz00_14386);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16685;

									BgL_ez00_16685 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16685,
										BgL_bpz00_16679);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16686;

										BgL_accz00_16686 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14380, BgL_sz00_16678, BgL_bpz00_16679);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16685);
										VECTOR_SET(
											((obj_t) BgL_sz00_16678), ((long) 0), BgL_bpz00_16679);
										return BgL_accz00_16686;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16687;

								BgL_nsz00_16687 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16687, ((long) 1), BgL_sz00_16678);
								VECTOR_SET(BgL_nsz00_16687, ((long) 2), BgL_az00_14382);
								VECTOR_SET(BgL_nsz00_16687, ((long) 3), BgL_bz00_14383);
								VECTOR_SET(BgL_nsz00_16687, ((long) 4), BgL_cz00_14384);
								VECTOR_SET(BgL_nsz00_16687, ((long) 5), BgL_dz00_14385);
								VECTOR_SET(BgL_nsz00_16687, ((long) 6), BgL_lastz00_14386);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16688;

									BgL_z12denvz12_16688 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16688, BgL_nsz00_16687);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16689;

										BgL_ez00_16689 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16689,
											BgL_sz00_16678);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16690;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16691;

												BgL_savedzd2bpzd2_16691 =
													VECTOR_REF(BgL_nsz00_16687, ((long) 0));
												VECTOR_SET(BgL_nsz00_16687, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16693;

													BgL_fz00_16693 = BgL_runz00_14380;
												BgL_recz00_16692:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16694;

														BgL_rz00_16694 =
															PROCEDURE_ENTRY(BgL_fz00_16693) (BgL_fz00_16693,
															BgL_nsz00_16687, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_26572;

															if (PROCEDUREP(BgL_rz00_16694))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16695;

																	BgL_arg1693z00_16695 =
																		PROCEDURE_ATTR(BgL_rz00_16694);
																	if (STRUCTP(BgL_arg1693z00_16695))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26572 =
																				(STRUCT_KEY(BgL_arg1693z00_16695) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26572 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_26572 = ((bool_t) 0);
																}
															if (BgL_testz00_26572)
																{
																	obj_t BgL_fz00_26580;

																	BgL_fz00_26580 = BgL_rz00_16694;
																	BgL_fz00_16693 = BgL_fz00_26580;
																	goto BgL_recz00_16692;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16687, ((long) 0),
																		BgL_savedzd2bpzd2_16691);
																	BgL_____rz00_16690 = BgL_rz00_16694;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16689);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16688, BgL_sz00_16678);
											return BgL_____rz00_16690;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5706 */
	obj_t BGl_z62run5706z62zz__evaluate_compz00(obj_t BgL_envz00_14387,
		obj_t BgL_sz00_14391)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14388;
				BgL_ev_absz00_bglt BgL_i1243z00_14389;
				obj_t BgL_bodyz00_14390;

				BgL_iboxesz00_14388 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14387, (int) (((long) 0))));
				BgL_i1243z00_14389 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14387, (int) (((long) 1))));
				BgL_bodyz00_14390 = PROCEDURE_REF(BgL_envz00_14387, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16696;

					BgL_bpz00_16696 = VECTOR_REF(((obj_t) BgL_sz00_14391), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14391,
						BgL_iboxesz00_14388, BgL_bpz00_16696);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16697;
						obj_t BgL_wherez00_16698;
						obj_t BgL_locz00_16699;

						BgL_z12denvz12_16697 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16698 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14389))->
							BgL_wherez00);
						BgL_locz00_16699 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14389))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16697, BgL_wherez00_16698,
								BgL_locz00_16699);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16700;

								BgL_za2za2resza2za2z00_16700 =
									PROCEDURE_ENTRY(BgL_bodyz00_14390) (BgL_bodyz00_14390,
									BgL_sz00_14391, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16697);
								return BgL_za2za2resza2za2z00_16700;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3903> */
	obj_t BGl_z62zc3anonymousza33903ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14392, obj_t BgL_sz00_14398)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14393;
				long BgL_siza7eza7_14394;
				BgL_ev_absz00_bglt BgL_i1243z00_14395;
				obj_t BgL_bodyz00_14396;
				long BgL_siza7ezd2framez75_14397;

				BgL_ifreesz00_14393 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14392, (int) (((long) 0))));
				BgL_siza7eza7_14394 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14392, (int) (((long) 1))));
				BgL_i1243z00_14395 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14392, (int) (((long) 2))));
				BgL_bodyz00_14396 = PROCEDURE_REF(BgL_envz00_14392, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14397 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14392, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16701;

					BgL_bpz00_16701 = VECTOR_REF(((obj_t) BgL_sz00_14398), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16702;

						BgL_valza2za2_16702 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14398,
							BgL_bpz00_16701, BgL_ifreesz00_14393);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16703;

							BgL_runz00_16703 =
								MAKE_FX_PROCEDURE(BGl_z62run5708z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_16703,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14394));
							PROCEDURE_SET(BgL_runz00_16703,
								(int) (((long) 1)), BgL_valza2za2_16702);
							PROCEDURE_SET(BgL_runz00_16703,
								(int) (((long) 2)), ((obj_t) BgL_i1243z00_14395));
							PROCEDURE_SET(BgL_runz00_16703,
								(int) (((long) 3)), BgL_bodyz00_14396);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16704;

								BgL_mainz00_16704 =
									MAKE_VA_PROCEDURE(BGl_z62main5707z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_16704,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14394));
								PROCEDURE_SET(BgL_mainz00_16704,
									(int) (((long) 1)), BgL_valza2za2_16702);
								PROCEDURE_SET(BgL_mainz00_16704,
									(int) (((long) 2)), ((obj_t) BgL_i1243z00_14395));
								PROCEDURE_SET(BgL_mainz00_16704,
									(int) (((long) 3)), BgL_bodyz00_14396);
								PROCEDURE_SET(BgL_mainz00_16704,
									(int) (((long) 4)), BgL_runz00_16703);
								PROCEDURE_SET(BgL_mainz00_16704,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14397));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16705;

									BgL_objz00_16705 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16703, BgL_objz00_16705);
									BgL_objz00_16705;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3904z00_16706;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3905z00_16707;

										BgL_arg3905z00_16707 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14395))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16708;

											BgL_newz00_16708 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26656;

												BgL_tmpz00_26656 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16708, BgL_tmpz00_26656,
													BgL_arg3905z00_16707);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26661;
												int BgL_tmpz00_26659;

												BgL_auxz00_26661 = BINT(BgL_siza7ezd2framez75_14397);
												BgL_tmpz00_26659 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16708, BgL_tmpz00_26659,
													BgL_auxz00_26661);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26664;

												BgL_tmpz00_26664 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16708, BgL_tmpz00_26664,
													BgL_runz00_16703);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26669;
												int BgL_tmpz00_26667;

												BgL_auxz00_26669 = BINT(((long) -5));
												BgL_tmpz00_26667 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16708, BgL_tmpz00_26667,
													BgL_auxz00_26669);
											}
											BgL_arg3904z00_16706 = BgL_newz00_16708;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16704, BgL_arg3904z00_16706);
									BgL_arg3904z00_16706;
								}
								return BgL_mainz00_16704;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5707 */
	obj_t BGl_z62main5707z62zz__evaluate_compz00(obj_t BgL_envz00_14399,
		obj_t BgL_az00_14406, obj_t BgL_bz00_14407, obj_t BgL_cz00_14408,
		obj_t BgL_dz00_14409, obj_t BgL_lastz00_14410)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14404;
				long BgL_siza7ezd2framez75_14405;

				BgL_runz00_14404 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14399, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14405 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14399, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16709;

					BgL_sz00_16709 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16710;

						BgL_bpz00_16710 = VECTOR_REF(((obj_t) BgL_sz00_16709), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16710) + BgL_siza7ezd2framez75_14405) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16709))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3908z00_16711;

									BgL_arg3908z00_16711 =
										((long) CINT(BgL_bpz00_16710) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16709), BgL_arg3908z00_16711,
										BgL_az00_14406);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3909z00_16712;

									BgL_arg3909z00_16712 =
										((long) CINT(BgL_bpz00_16710) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16709), BgL_arg3909z00_16712,
										BgL_bz00_14407);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3910z00_16713;

									BgL_arg3910z00_16713 =
										((long) CINT(BgL_bpz00_16710) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16709), BgL_arg3910z00_16713,
										BgL_cz00_14408);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3911z00_16714;

									BgL_arg3911z00_16714 =
										((long) CINT(BgL_bpz00_16710) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16709), BgL_arg3911z00_16714,
										BgL_dz00_14409);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3912z00_16715;

									BgL_arg3912z00_16715 =
										((long) CINT(BgL_bpz00_16710) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16709), BgL_arg3912z00_16715,
										BgL_lastz00_14410);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16716;

									BgL_ez00_16716 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16716,
										BgL_bpz00_16710);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16717;

										BgL_accz00_16717 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14404, BgL_sz00_16709, BgL_bpz00_16710);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16716);
										VECTOR_SET(
											((obj_t) BgL_sz00_16709), ((long) 0), BgL_bpz00_16710);
										return BgL_accz00_16717;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16718;

								BgL_nsz00_16718 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16718, ((long) 1), BgL_sz00_16709);
								VECTOR_SET(BgL_nsz00_16718, ((long) 2), BgL_az00_14406);
								VECTOR_SET(BgL_nsz00_16718, ((long) 3), BgL_bz00_14407);
								VECTOR_SET(BgL_nsz00_16718, ((long) 4), BgL_cz00_14408);
								VECTOR_SET(BgL_nsz00_16718, ((long) 5), BgL_dz00_14409);
								VECTOR_SET(BgL_nsz00_16718, ((long) 6), BgL_lastz00_14410);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16719;

									BgL_z12denvz12_16719 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16719, BgL_nsz00_16718);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16720;

										BgL_ez00_16720 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16720,
											BgL_sz00_16709);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16721;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16722;

												BgL_savedzd2bpzd2_16722 =
													VECTOR_REF(BgL_nsz00_16718, ((long) 0));
												VECTOR_SET(BgL_nsz00_16718, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16724;

													BgL_fz00_16724 = BgL_runz00_14404;
												BgL_recz00_16723:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16725;

														BgL_rz00_16725 =
															PROCEDURE_ENTRY(BgL_fz00_16724) (BgL_fz00_16724,
															BgL_nsz00_16718, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_26732;

															if (PROCEDUREP(BgL_rz00_16725))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16726;

																	BgL_arg1693z00_16726 =
																		PROCEDURE_ATTR(BgL_rz00_16725);
																	if (STRUCTP(BgL_arg1693z00_16726))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26732 =
																				(STRUCT_KEY(BgL_arg1693z00_16726) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26732 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_26732 = ((bool_t) 0);
																}
															if (BgL_testz00_26732)
																{
																	obj_t BgL_fz00_26740;

																	BgL_fz00_26740 = BgL_rz00_16725;
																	BgL_fz00_16724 = BgL_fz00_26740;
																	goto BgL_recz00_16723;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16718, ((long) 0),
																		BgL_savedzd2bpzd2_16722);
																	BgL_____rz00_16721 = BgL_rz00_16725;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16720);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16719, BgL_sz00_16709);
											return BgL_____rz00_16721;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5708 */
	obj_t BGl_z62run5708z62zz__evaluate_compz00(obj_t BgL_envz00_14411,
		obj_t BgL_sz00_14416)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14412;
				obj_t BgL_valza2za2_14413;
				BgL_ev_absz00_bglt BgL_i1243z00_14414;
				obj_t BgL_bodyz00_14415;

				BgL_siza7eza7_14412 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14411, (int) (((long) 0))));
				BgL_valza2za2_14413 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14411, (int) (((long) 1))));
				BgL_i1243z00_14414 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14411, (int) (((long) 2))));
				BgL_bodyz00_14415 = PROCEDURE_REF(BgL_envz00_14411, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16727;

					BgL_bpz00_16727 = VECTOR_REF(((obj_t) BgL_sz00_14416), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14416,
						BgL_valza2za2_14413,
						((long) CINT(BgL_bpz00_16727) + BgL_siza7eza7_14412));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16728;
						obj_t BgL_wherez00_16729;
						obj_t BgL_locz00_16730;

						BgL_z12denvz12_16728 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16729 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14414))->
							BgL_wherez00);
						BgL_locz00_16730 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14414))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16728, BgL_wherez00_16729,
								BgL_locz00_16730);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16731;

								BgL_za2za2resza2za2z00_16731 =
									PROCEDURE_ENTRY(BgL_bodyz00_14415) (BgL_bodyz00_14415,
									BgL_sz00_14416, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16728);
								return BgL_za2za2resza2za2z00_16731;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3915> */
	obj_t BGl_z62zc3anonymousza33915ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14417, obj_t BgL_sz00_14424)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14418;
				obj_t BgL_iboxesz00_14419;
				long BgL_siza7eza7_14420;
				BgL_ev_absz00_bglt BgL_i1243z00_14421;
				obj_t BgL_bodyz00_14422;
				long BgL_siza7ezd2framez75_14423;

				BgL_ifreesz00_14418 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14417, (int) (((long) 0))));
				BgL_iboxesz00_14419 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14417, (int) (((long) 1))));
				BgL_siza7eza7_14420 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14417, (int) (((long) 2))));
				BgL_i1243z00_14421 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14417, (int) (((long) 3))));
				BgL_bodyz00_14422 = PROCEDURE_REF(BgL_envz00_14417, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14423 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14417, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16732;

					BgL_bpz00_16732 = VECTOR_REF(((obj_t) BgL_sz00_14424), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16733;

						BgL_valza2za2_16733 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14424,
							BgL_bpz00_16732, BgL_ifreesz00_14418);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16734;

							BgL_runz00_16734 =
								MAKE_FX_PROCEDURE(BGl_z62run5710z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_16734,
								(int) (((long) 0)), BgL_iboxesz00_14419);
							PROCEDURE_SET(BgL_runz00_16734,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14420));
							PROCEDURE_SET(BgL_runz00_16734,
								(int) (((long) 2)), BgL_valza2za2_16733);
							PROCEDURE_SET(BgL_runz00_16734,
								(int) (((long) 3)), ((obj_t) BgL_i1243z00_14421));
							PROCEDURE_SET(BgL_runz00_16734,
								(int) (((long) 4)), BgL_bodyz00_14422);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16735;

								BgL_mainz00_16735 =
									MAKE_VA_PROCEDURE(BGl_z62main5709z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_16735,
									(int) (((long) 0)), BgL_iboxesz00_14419);
								PROCEDURE_SET(BgL_mainz00_16735,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14420));
								PROCEDURE_SET(BgL_mainz00_16735,
									(int) (((long) 2)), BgL_valza2za2_16733);
								PROCEDURE_SET(BgL_mainz00_16735,
									(int) (((long) 3)), ((obj_t) BgL_i1243z00_14421));
								PROCEDURE_SET(BgL_mainz00_16735,
									(int) (((long) 4)), BgL_bodyz00_14422);
								PROCEDURE_SET(BgL_mainz00_16735,
									(int) (((long) 5)), BgL_runz00_16734);
								PROCEDURE_SET(BgL_mainz00_16735,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14423));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16736;

									BgL_objz00_16736 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16734, BgL_objz00_16736);
									BgL_objz00_16736;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3916z00_16737;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3917z00_16738;

										BgL_arg3917z00_16738 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14421))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16739;

											BgL_newz00_16739 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26828;

												BgL_tmpz00_26828 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16739, BgL_tmpz00_26828,
													BgL_arg3917z00_16738);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26833;
												int BgL_tmpz00_26831;

												BgL_auxz00_26833 = BINT(BgL_siza7ezd2framez75_14423);
												BgL_tmpz00_26831 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16739, BgL_tmpz00_26831,
													BgL_auxz00_26833);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26836;

												BgL_tmpz00_26836 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16739, BgL_tmpz00_26836,
													BgL_runz00_16734);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26841;
												int BgL_tmpz00_26839;

												BgL_auxz00_26841 = BINT(((long) -5));
												BgL_tmpz00_26839 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16739, BgL_tmpz00_26839,
													BgL_auxz00_26841);
											}
											BgL_arg3916z00_16737 = BgL_newz00_16739;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16735, BgL_arg3916z00_16737);
									BgL_arg3916z00_16737;
								}
								return BgL_mainz00_16735;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5709 */
	obj_t BGl_z62main5709z62zz__evaluate_compz00(obj_t BgL_envz00_14425,
		obj_t BgL_az00_14433, obj_t BgL_bz00_14434, obj_t BgL_cz00_14435,
		obj_t BgL_dz00_14436, obj_t BgL_lastz00_14437)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14431;
				long BgL_siza7ezd2framez75_14432;

				BgL_runz00_14431 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14425, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14432 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14425, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16740;

					BgL_sz00_16740 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16741;

						BgL_bpz00_16741 = VECTOR_REF(((obj_t) BgL_sz00_16740), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16741) + BgL_siza7ezd2framez75_14432) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16740))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3920z00_16742;

									BgL_arg3920z00_16742 =
										((long) CINT(BgL_bpz00_16741) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16740), BgL_arg3920z00_16742,
										BgL_az00_14433);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3921z00_16743;

									BgL_arg3921z00_16743 =
										((long) CINT(BgL_bpz00_16741) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16740), BgL_arg3921z00_16743,
										BgL_bz00_14434);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3922z00_16744;

									BgL_arg3922z00_16744 =
										((long) CINT(BgL_bpz00_16741) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16740), BgL_arg3922z00_16744,
										BgL_cz00_14435);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3923z00_16745;

									BgL_arg3923z00_16745 =
										((long) CINT(BgL_bpz00_16741) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16740), BgL_arg3923z00_16745,
										BgL_dz00_14436);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3924z00_16746;

									BgL_arg3924z00_16746 =
										((long) CINT(BgL_bpz00_16741) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16740), BgL_arg3924z00_16746,
										BgL_lastz00_14437);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16747;

									BgL_ez00_16747 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16747,
										BgL_bpz00_16741);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16748;

										BgL_accz00_16748 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14431, BgL_sz00_16740, BgL_bpz00_16741);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16747);
										VECTOR_SET(
											((obj_t) BgL_sz00_16740), ((long) 0), BgL_bpz00_16741);
										return BgL_accz00_16748;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16749;

								BgL_nsz00_16749 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16749, ((long) 1), BgL_sz00_16740);
								VECTOR_SET(BgL_nsz00_16749, ((long) 2), BgL_az00_14433);
								VECTOR_SET(BgL_nsz00_16749, ((long) 3), BgL_bz00_14434);
								VECTOR_SET(BgL_nsz00_16749, ((long) 4), BgL_cz00_14435);
								VECTOR_SET(BgL_nsz00_16749, ((long) 5), BgL_dz00_14436);
								VECTOR_SET(BgL_nsz00_16749, ((long) 6), BgL_lastz00_14437);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16750;

									BgL_z12denvz12_16750 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16750, BgL_nsz00_16749);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16751;

										BgL_ez00_16751 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16751,
											BgL_sz00_16740);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16752;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16753;

												BgL_savedzd2bpzd2_16753 =
													VECTOR_REF(BgL_nsz00_16749, ((long) 0));
												VECTOR_SET(BgL_nsz00_16749, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16755;

													BgL_fz00_16755 = BgL_runz00_14431;
												BgL_recz00_16754:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16756;

														BgL_rz00_16756 =
															PROCEDURE_ENTRY(BgL_fz00_16755) (BgL_fz00_16755,
															BgL_nsz00_16749, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_26904;

															if (PROCEDUREP(BgL_rz00_16756))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16757;

																	BgL_arg1693z00_16757 =
																		PROCEDURE_ATTR(BgL_rz00_16756);
																	if (STRUCTP(BgL_arg1693z00_16757))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26904 =
																				(STRUCT_KEY(BgL_arg1693z00_16757) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26904 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_26904 = ((bool_t) 0);
																}
															if (BgL_testz00_26904)
																{
																	obj_t BgL_fz00_26912;

																	BgL_fz00_26912 = BgL_rz00_16756;
																	BgL_fz00_16755 = BgL_fz00_26912;
																	goto BgL_recz00_16754;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16749, ((long) 0),
																		BgL_savedzd2bpzd2_16753);
																	BgL_____rz00_16752 = BgL_rz00_16756;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16751);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16750, BgL_sz00_16740);
											return BgL_____rz00_16752;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5710 */
	obj_t BGl_z62run5710z62zz__evaluate_compz00(obj_t BgL_envz00_14438,
		obj_t BgL_sz00_14444)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14439;
				long BgL_siza7eza7_14440;
				obj_t BgL_valza2za2_14441;
				BgL_ev_absz00_bglt BgL_i1243z00_14442;
				obj_t BgL_bodyz00_14443;

				BgL_iboxesz00_14439 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14438, (int) (((long) 0))));
				BgL_siza7eza7_14440 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14438, (int) (((long) 1))));
				BgL_valza2za2_14441 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14438, (int) (((long) 2))));
				BgL_i1243z00_14442 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14438, (int) (((long) 3))));
				BgL_bodyz00_14443 = PROCEDURE_REF(BgL_envz00_14438, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16758;

					BgL_bpz00_16758 = VECTOR_REF(((obj_t) BgL_sz00_14444), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14444,
						BgL_iboxesz00_14439, BgL_bpz00_16758);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14444,
						BgL_valza2za2_14441,
						((long) CINT(BgL_bpz00_16758) + BgL_siza7eza7_14440));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16759;
						obj_t BgL_wherez00_16760;
						obj_t BgL_locz00_16761;

						BgL_z12denvz12_16759 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16760 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14442))->
							BgL_wherez00);
						BgL_locz00_16761 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14442))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16759, BgL_wherez00_16760,
								BgL_locz00_16761);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16762;

								BgL_za2za2resza2za2z00_16762 =
									PROCEDURE_ENTRY(BgL_bodyz00_14443) (BgL_bodyz00_14443,
									BgL_sz00_14444, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16759);
								return BgL_za2za2resza2za2z00_16762;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3827> */
	obj_t BGl_z62zc3anonymousza33827ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14445, obj_t BgL_sz00_14449)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14446;
				obj_t BgL_bodyz00_14447;
				long BgL_siza7ezd2framez75_14448;

				BgL_i1243z00_14446 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14445, (int) (((long) 0))));
				BgL_bodyz00_14447 = PROCEDURE_REF(BgL_envz00_14445, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14448 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14445, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16763;

					BgL_bpz00_16763 = VECTOR_REF(((obj_t) BgL_sz00_14449), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16764;

							BgL_runz00_16764 =
								MAKE_FX_PROCEDURE(BGl_z62run5712z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_16764,
								(int) (((long) 0)), ((obj_t) BgL_i1243z00_14446));
							PROCEDURE_SET(BgL_runz00_16764,
								(int) (((long) 1)), BgL_bodyz00_14447);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16765;

								BgL_mainz00_16765 =
									MAKE_FX_PROCEDURE(BGl_z62main5711z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_16765,
									(int) (((long) 0)), ((obj_t) BgL_i1243z00_14446));
								PROCEDURE_SET(BgL_mainz00_16765,
									(int) (((long) 1)), BgL_bodyz00_14447);
								PROCEDURE_SET(BgL_mainz00_16765,
									(int) (((long) 2)), BgL_runz00_16764);
								PROCEDURE_SET(BgL_mainz00_16765,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14448));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16766;

									BgL_objz00_16766 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16764, BgL_objz00_16766);
									BgL_objz00_16766;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3828z00_16767;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3829z00_16768;

										BgL_arg3829z00_16768 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14446))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16769;

											BgL_newz00_16769 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26980;

												BgL_tmpz00_26980 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16769, BgL_tmpz00_26980,
													BgL_arg3829z00_16768);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26985;
												int BgL_tmpz00_26983;

												BgL_auxz00_26985 = BINT(BgL_siza7ezd2framez75_14448);
												BgL_tmpz00_26983 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16769, BgL_tmpz00_26983,
													BgL_auxz00_26985);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26988;

												BgL_tmpz00_26988 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16769, BgL_tmpz00_26988,
													BgL_runz00_16764);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26993;
												int BgL_tmpz00_26991;

												BgL_auxz00_26993 = BINT(((long) 4));
												BgL_tmpz00_26991 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16769, BgL_tmpz00_26991,
													BgL_auxz00_26993);
											}
											BgL_arg3828z00_16767 = BgL_newz00_16769;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16765, BgL_arg3828z00_16767);
									BgL_arg3828z00_16767;
								}
								return BgL_mainz00_16765;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5711 */
	obj_t BGl_z62main5711z62zz__evaluate_compz00(obj_t BgL_envz00_14450,
		obj_t BgL_az00_14455, obj_t BgL_bz00_14456, obj_t BgL_cz00_14457,
		obj_t BgL_dz00_14458)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14453;
				long BgL_siza7ezd2framez75_14454;

				BgL_runz00_14453 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14450, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14454 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14450, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16770;

					BgL_sz00_16770 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16771;

						BgL_bpz00_16771 = VECTOR_REF(((obj_t) BgL_sz00_16770), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16771) + BgL_siza7ezd2framez75_14454) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16770))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3832z00_16772;

									BgL_arg3832z00_16772 =
										((long) CINT(BgL_bpz00_16771) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16770), BgL_arg3832z00_16772,
										BgL_az00_14455);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3833z00_16773;

									BgL_arg3833z00_16773 =
										((long) CINT(BgL_bpz00_16771) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16770), BgL_arg3833z00_16773,
										BgL_bz00_14456);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3834z00_16774;

									BgL_arg3834z00_16774 =
										((long) CINT(BgL_bpz00_16771) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16770), BgL_arg3834z00_16774,
										BgL_cz00_14457);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3835z00_16775;

									BgL_arg3835z00_16775 =
										((long) CINT(BgL_bpz00_16771) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16770), BgL_arg3835z00_16775,
										BgL_dz00_14458);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16776;

									BgL_ez00_16776 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16776,
										BgL_bpz00_16771);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16777;

										BgL_accz00_16777 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14453, BgL_sz00_16770, BgL_bpz00_16771);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16776);
										VECTOR_SET(
											((obj_t) BgL_sz00_16770), ((long) 0), BgL_bpz00_16771);
										return BgL_accz00_16777;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16778;

								BgL_nsz00_16778 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16778, ((long) 1), BgL_sz00_16770);
								VECTOR_SET(BgL_nsz00_16778, ((long) 2), BgL_az00_14455);
								VECTOR_SET(BgL_nsz00_16778, ((long) 3), BgL_bz00_14456);
								VECTOR_SET(BgL_nsz00_16778, ((long) 4), BgL_cz00_14457);
								VECTOR_SET(BgL_nsz00_16778, ((long) 5), BgL_dz00_14458);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16779;

									BgL_z12denvz12_16779 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16779, BgL_nsz00_16778);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16780;

										BgL_ez00_16780 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16780,
											BgL_sz00_16770);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16781;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16782;

												BgL_savedzd2bpzd2_16782 =
													VECTOR_REF(BgL_nsz00_16778, ((long) 0));
												VECTOR_SET(BgL_nsz00_16778, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16784;

													BgL_fz00_16784 = BgL_runz00_14453;
												BgL_recz00_16783:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16785;

														BgL_rz00_16785 =
															PROCEDURE_ENTRY(BgL_fz00_16784) (BgL_fz00_16784,
															BgL_nsz00_16778, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27051;

															if (PROCEDUREP(BgL_rz00_16785))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16786;

																	BgL_arg1693z00_16786 =
																		PROCEDURE_ATTR(BgL_rz00_16785);
																	if (STRUCTP(BgL_arg1693z00_16786))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27051 =
																				(STRUCT_KEY(BgL_arg1693z00_16786) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27051 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27051 = ((bool_t) 0);
																}
															if (BgL_testz00_27051)
																{
																	obj_t BgL_fz00_27059;

																	BgL_fz00_27059 = BgL_rz00_16785;
																	BgL_fz00_16784 = BgL_fz00_27059;
																	goto BgL_recz00_16783;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16778, ((long) 0),
																		BgL_savedzd2bpzd2_16782);
																	BgL_____rz00_16781 = BgL_rz00_16785;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16780);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16779, BgL_sz00_16770);
											return BgL_____rz00_16781;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5712 */
	obj_t BGl_z62run5712z62zz__evaluate_compz00(obj_t BgL_envz00_14459,
		obj_t BgL_sz00_14462)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14460;
				obj_t BgL_bodyz00_14461;

				BgL_i1243z00_14460 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14459, (int) (((long) 0))));
				BgL_bodyz00_14461 = PROCEDURE_REF(BgL_envz00_14459, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16787;

					BgL_bpz00_16787 = VECTOR_REF(((obj_t) BgL_sz00_14462), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16788;
						obj_t BgL_wherez00_16789;
						obj_t BgL_locz00_16790;

						BgL_z12denvz12_16788 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16789 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14460))->
							BgL_wherez00);
						BgL_locz00_16790 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14460))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16788, BgL_wherez00_16789,
								BgL_locz00_16790);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16791;

								BgL_za2za2resza2za2z00_16791 =
									PROCEDURE_ENTRY(BgL_bodyz00_14461) (BgL_bodyz00_14461,
									BgL_sz00_14462, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16788);
								return BgL_za2za2resza2za2z00_16791;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3837> */
	obj_t BGl_z62zc3anonymousza33837ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14463, obj_t BgL_sz00_14468)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14464;
				BgL_ev_absz00_bglt BgL_i1243z00_14465;
				obj_t BgL_bodyz00_14466;
				long BgL_siza7ezd2framez75_14467;

				BgL_iboxesz00_14464 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14463, (int) (((long) 0))));
				BgL_i1243z00_14465 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14463, (int) (((long) 1))));
				BgL_bodyz00_14466 = PROCEDURE_REF(BgL_envz00_14463, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14467 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14463, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16792;

					BgL_bpz00_16792 = VECTOR_REF(((obj_t) BgL_sz00_14468), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16793;

							BgL_runz00_16793 =
								MAKE_FX_PROCEDURE(BGl_z62run5714z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_16793,
								(int) (((long) 0)), BgL_iboxesz00_14464);
							PROCEDURE_SET(BgL_runz00_16793,
								(int) (((long) 1)), ((obj_t) BgL_i1243z00_14465));
							PROCEDURE_SET(BgL_runz00_16793,
								(int) (((long) 2)), BgL_bodyz00_14466);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16794;

								BgL_mainz00_16794 =
									MAKE_FX_PROCEDURE(BGl_z62main5713z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_16794,
									(int) (((long) 0)), BgL_iboxesz00_14464);
								PROCEDURE_SET(BgL_mainz00_16794,
									(int) (((long) 1)), ((obj_t) BgL_i1243z00_14465));
								PROCEDURE_SET(BgL_mainz00_16794,
									(int) (((long) 2)), BgL_bodyz00_14466);
								PROCEDURE_SET(BgL_mainz00_16794,
									(int) (((long) 3)), BgL_runz00_16793);
								PROCEDURE_SET(BgL_mainz00_16794,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14467));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16795;

									BgL_objz00_16795 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16793, BgL_objz00_16795);
									BgL_objz00_16795;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3838z00_16796;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3839z00_16797;

										BgL_arg3839z00_16797 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14465))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16798;

											BgL_newz00_16798 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27121;

												BgL_tmpz00_27121 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16798, BgL_tmpz00_27121,
													BgL_arg3839z00_16797);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27126;
												int BgL_tmpz00_27124;

												BgL_auxz00_27126 = BINT(BgL_siza7ezd2framez75_14467);
												BgL_tmpz00_27124 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16798, BgL_tmpz00_27124,
													BgL_auxz00_27126);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27129;

												BgL_tmpz00_27129 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16798, BgL_tmpz00_27129,
													BgL_runz00_16793);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27134;
												int BgL_tmpz00_27132;

												BgL_auxz00_27134 = BINT(((long) 4));
												BgL_tmpz00_27132 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16798, BgL_tmpz00_27132,
													BgL_auxz00_27134);
											}
											BgL_arg3838z00_16796 = BgL_newz00_16798;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16794, BgL_arg3838z00_16796);
									BgL_arg3838z00_16796;
								}
								return BgL_mainz00_16794;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5713 */
	obj_t BGl_z62main5713z62zz__evaluate_compz00(obj_t BgL_envz00_14469,
		obj_t BgL_az00_14475, obj_t BgL_bz00_14476, obj_t BgL_cz00_14477,
		obj_t BgL_dz00_14478)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14473;
				long BgL_siza7ezd2framez75_14474;

				BgL_runz00_14473 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14469, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14474 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14469, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16799;

					BgL_sz00_16799 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16800;

						BgL_bpz00_16800 = VECTOR_REF(((obj_t) BgL_sz00_16799), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16800) + BgL_siza7ezd2framez75_14474) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16799))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3842z00_16801;

									BgL_arg3842z00_16801 =
										((long) CINT(BgL_bpz00_16800) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16799), BgL_arg3842z00_16801,
										BgL_az00_14475);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3843z00_16802;

									BgL_arg3843z00_16802 =
										((long) CINT(BgL_bpz00_16800) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16799), BgL_arg3843z00_16802,
										BgL_bz00_14476);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3844z00_16803;

									BgL_arg3844z00_16803 =
										((long) CINT(BgL_bpz00_16800) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16799), BgL_arg3844z00_16803,
										BgL_cz00_14477);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3845z00_16804;

									BgL_arg3845z00_16804 =
										((long) CINT(BgL_bpz00_16800) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16799), BgL_arg3845z00_16804,
										BgL_dz00_14478);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16805;

									BgL_ez00_16805 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16805,
										BgL_bpz00_16800);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16806;

										BgL_accz00_16806 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14473, BgL_sz00_16799, BgL_bpz00_16800);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16805);
										VECTOR_SET(
											((obj_t) BgL_sz00_16799), ((long) 0), BgL_bpz00_16800);
										return BgL_accz00_16806;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16807;

								BgL_nsz00_16807 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16807, ((long) 1), BgL_sz00_16799);
								VECTOR_SET(BgL_nsz00_16807, ((long) 2), BgL_az00_14475);
								VECTOR_SET(BgL_nsz00_16807, ((long) 3), BgL_bz00_14476);
								VECTOR_SET(BgL_nsz00_16807, ((long) 4), BgL_cz00_14477);
								VECTOR_SET(BgL_nsz00_16807, ((long) 5), BgL_dz00_14478);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16808;

									BgL_z12denvz12_16808 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16808, BgL_nsz00_16807);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16809;

										BgL_ez00_16809 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16809,
											BgL_sz00_16799);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16810;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16811;

												BgL_savedzd2bpzd2_16811 =
													VECTOR_REF(BgL_nsz00_16807, ((long) 0));
												VECTOR_SET(BgL_nsz00_16807, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16813;

													BgL_fz00_16813 = BgL_runz00_14473;
												BgL_recz00_16812:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16814;

														BgL_rz00_16814 =
															PROCEDURE_ENTRY(BgL_fz00_16813) (BgL_fz00_16813,
															BgL_nsz00_16807, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27192;

															if (PROCEDUREP(BgL_rz00_16814))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16815;

																	BgL_arg1693z00_16815 =
																		PROCEDURE_ATTR(BgL_rz00_16814);
																	if (STRUCTP(BgL_arg1693z00_16815))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27192 =
																				(STRUCT_KEY(BgL_arg1693z00_16815) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27192 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27192 = ((bool_t) 0);
																}
															if (BgL_testz00_27192)
																{
																	obj_t BgL_fz00_27200;

																	BgL_fz00_27200 = BgL_rz00_16814;
																	BgL_fz00_16813 = BgL_fz00_27200;
																	goto BgL_recz00_16812;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16807, ((long) 0),
																		BgL_savedzd2bpzd2_16811);
																	BgL_____rz00_16810 = BgL_rz00_16814;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16809);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16808, BgL_sz00_16799);
											return BgL_____rz00_16810;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5714 */
	obj_t BGl_z62run5714z62zz__evaluate_compz00(obj_t BgL_envz00_14479,
		obj_t BgL_sz00_14483)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14480;
				BgL_ev_absz00_bglt BgL_i1243z00_14481;
				obj_t BgL_bodyz00_14482;

				BgL_iboxesz00_14480 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14479, (int) (((long) 0))));
				BgL_i1243z00_14481 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14479, (int) (((long) 1))));
				BgL_bodyz00_14482 = PROCEDURE_REF(BgL_envz00_14479, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16816;

					BgL_bpz00_16816 = VECTOR_REF(((obj_t) BgL_sz00_14483), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14483,
						BgL_iboxesz00_14480, BgL_bpz00_16816);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16817;
						obj_t BgL_wherez00_16818;
						obj_t BgL_locz00_16819;

						BgL_z12denvz12_16817 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16818 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14481))->
							BgL_wherez00);
						BgL_locz00_16819 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14481))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16817, BgL_wherez00_16818,
								BgL_locz00_16819);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16820;

								BgL_za2za2resza2za2z00_16820 =
									PROCEDURE_ENTRY(BgL_bodyz00_14482) (BgL_bodyz00_14482,
									BgL_sz00_14483, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16817);
								return BgL_za2za2resza2za2z00_16820;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3850> */
	obj_t BGl_z62zc3anonymousza33850ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14484, obj_t BgL_sz00_14490)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14485;
				long BgL_siza7eza7_14486;
				BgL_ev_absz00_bglt BgL_i1243z00_14487;
				obj_t BgL_bodyz00_14488;
				long BgL_siza7ezd2framez75_14489;

				BgL_ifreesz00_14485 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14484, (int) (((long) 0))));
				BgL_siza7eza7_14486 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14484, (int) (((long) 1))));
				BgL_i1243z00_14487 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14484, (int) (((long) 2))));
				BgL_bodyz00_14488 = PROCEDURE_REF(BgL_envz00_14484, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14489 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14484, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16821;

					BgL_bpz00_16821 = VECTOR_REF(((obj_t) BgL_sz00_14490), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16822;

						BgL_valza2za2_16822 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14490,
							BgL_bpz00_16821, BgL_ifreesz00_14485);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16823;

							BgL_runz00_16823 =
								MAKE_FX_PROCEDURE(BGl_z62run5716z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_16823,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14486));
							PROCEDURE_SET(BgL_runz00_16823,
								(int) (((long) 1)), BgL_valza2za2_16822);
							PROCEDURE_SET(BgL_runz00_16823,
								(int) (((long) 2)), ((obj_t) BgL_i1243z00_14487));
							PROCEDURE_SET(BgL_runz00_16823,
								(int) (((long) 3)), BgL_bodyz00_14488);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16824;

								BgL_mainz00_16824 =
									MAKE_FX_PROCEDURE(BGl_z62main5715z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_16824,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14486));
								PROCEDURE_SET(BgL_mainz00_16824,
									(int) (((long) 1)), BgL_valza2za2_16822);
								PROCEDURE_SET(BgL_mainz00_16824,
									(int) (((long) 2)), ((obj_t) BgL_i1243z00_14487));
								PROCEDURE_SET(BgL_mainz00_16824,
									(int) (((long) 3)), BgL_bodyz00_14488);
								PROCEDURE_SET(BgL_mainz00_16824,
									(int) (((long) 4)), BgL_runz00_16823);
								PROCEDURE_SET(BgL_mainz00_16824,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14489));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16825;

									BgL_objz00_16825 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16823, BgL_objz00_16825);
									BgL_objz00_16825;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3851z00_16826;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3852z00_16827;

										BgL_arg3852z00_16827 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14487))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16828;

											BgL_newz00_16828 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27276;

												BgL_tmpz00_27276 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16828, BgL_tmpz00_27276,
													BgL_arg3852z00_16827);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27281;
												int BgL_tmpz00_27279;

												BgL_auxz00_27281 = BINT(BgL_siza7ezd2framez75_14489);
												BgL_tmpz00_27279 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16828, BgL_tmpz00_27279,
													BgL_auxz00_27281);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27284;

												BgL_tmpz00_27284 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16828, BgL_tmpz00_27284,
													BgL_runz00_16823);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27289;
												int BgL_tmpz00_27287;

												BgL_auxz00_27289 = BINT(((long) 4));
												BgL_tmpz00_27287 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16828, BgL_tmpz00_27287,
													BgL_auxz00_27289);
											}
											BgL_arg3851z00_16826 = BgL_newz00_16828;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16824, BgL_arg3851z00_16826);
									BgL_arg3851z00_16826;
								}
								return BgL_mainz00_16824;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5715 */
	obj_t BGl_z62main5715z62zz__evaluate_compz00(obj_t BgL_envz00_14491,
		obj_t BgL_az00_14498, obj_t BgL_bz00_14499, obj_t BgL_cz00_14500,
		obj_t BgL_dz00_14501)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14496;
				long BgL_siza7ezd2framez75_14497;

				BgL_runz00_14496 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14491, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14497 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14491, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16829;

					BgL_sz00_16829 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16830;

						BgL_bpz00_16830 = VECTOR_REF(((obj_t) BgL_sz00_16829), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16830) + BgL_siza7ezd2framez75_14497) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16829))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3855z00_16831;

									BgL_arg3855z00_16831 =
										((long) CINT(BgL_bpz00_16830) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16829), BgL_arg3855z00_16831,
										BgL_az00_14498);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3856z00_16832;

									BgL_arg3856z00_16832 =
										((long) CINT(BgL_bpz00_16830) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16829), BgL_arg3856z00_16832,
										BgL_bz00_14499);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3857z00_16833;

									BgL_arg3857z00_16833 =
										((long) CINT(BgL_bpz00_16830) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16829), BgL_arg3857z00_16833,
										BgL_cz00_14500);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3858z00_16834;

									BgL_arg3858z00_16834 =
										((long) CINT(BgL_bpz00_16830) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16829), BgL_arg3858z00_16834,
										BgL_dz00_14501);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16835;

									BgL_ez00_16835 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16835,
										BgL_bpz00_16830);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16836;

										BgL_accz00_16836 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14496, BgL_sz00_16829, BgL_bpz00_16830);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16835);
										VECTOR_SET(
											((obj_t) BgL_sz00_16829), ((long) 0), BgL_bpz00_16830);
										return BgL_accz00_16836;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16837;

								BgL_nsz00_16837 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16837, ((long) 1), BgL_sz00_16829);
								VECTOR_SET(BgL_nsz00_16837, ((long) 2), BgL_az00_14498);
								VECTOR_SET(BgL_nsz00_16837, ((long) 3), BgL_bz00_14499);
								VECTOR_SET(BgL_nsz00_16837, ((long) 4), BgL_cz00_14500);
								VECTOR_SET(BgL_nsz00_16837, ((long) 5), BgL_dz00_14501);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16838;

									BgL_z12denvz12_16838 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16838, BgL_nsz00_16837);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16839;

										BgL_ez00_16839 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16839,
											BgL_sz00_16829);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16840;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16841;

												BgL_savedzd2bpzd2_16841 =
													VECTOR_REF(BgL_nsz00_16837, ((long) 0));
												VECTOR_SET(BgL_nsz00_16837, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16843;

													BgL_fz00_16843 = BgL_runz00_14496;
												BgL_recz00_16842:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16844;

														BgL_rz00_16844 =
															PROCEDURE_ENTRY(BgL_fz00_16843) (BgL_fz00_16843,
															BgL_nsz00_16837, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27347;

															if (PROCEDUREP(BgL_rz00_16844))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16845;

																	BgL_arg1693z00_16845 =
																		PROCEDURE_ATTR(BgL_rz00_16844);
																	if (STRUCTP(BgL_arg1693z00_16845))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27347 =
																				(STRUCT_KEY(BgL_arg1693z00_16845) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27347 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27347 = ((bool_t) 0);
																}
															if (BgL_testz00_27347)
																{
																	obj_t BgL_fz00_27355;

																	BgL_fz00_27355 = BgL_rz00_16844;
																	BgL_fz00_16843 = BgL_fz00_27355;
																	goto BgL_recz00_16842;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16837, ((long) 0),
																		BgL_savedzd2bpzd2_16841);
																	BgL_____rz00_16840 = BgL_rz00_16844;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16839);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16838, BgL_sz00_16829);
											return BgL_____rz00_16840;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5716 */
	obj_t BGl_z62run5716z62zz__evaluate_compz00(obj_t BgL_envz00_14502,
		obj_t BgL_sz00_14507)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14503;
				obj_t BgL_valza2za2_14504;
				BgL_ev_absz00_bglt BgL_i1243z00_14505;
				obj_t BgL_bodyz00_14506;

				BgL_siza7eza7_14503 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14502, (int) (((long) 0))));
				BgL_valza2za2_14504 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14502, (int) (((long) 1))));
				BgL_i1243z00_14505 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14502, (int) (((long) 2))));
				BgL_bodyz00_14506 = PROCEDURE_REF(BgL_envz00_14502, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16846;

					BgL_bpz00_16846 = VECTOR_REF(((obj_t) BgL_sz00_14507), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14507,
						BgL_valza2za2_14504,
						((long) CINT(BgL_bpz00_16846) + BgL_siza7eza7_14503));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16847;
						obj_t BgL_wherez00_16848;
						obj_t BgL_locz00_16849;

						BgL_z12denvz12_16847 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16848 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14505))->
							BgL_wherez00);
						BgL_locz00_16849 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14505))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16847, BgL_wherez00_16848,
								BgL_locz00_16849);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16850;

								BgL_za2za2resza2za2z00_16850 =
									PROCEDURE_ENTRY(BgL_bodyz00_14506) (BgL_bodyz00_14506,
									BgL_sz00_14507, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16847);
								return BgL_za2za2resza2za2z00_16850;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3861> */
	obj_t BGl_z62zc3anonymousza33861ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14508, obj_t BgL_sz00_14515)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14509;
				obj_t BgL_iboxesz00_14510;
				long BgL_siza7eza7_14511;
				BgL_ev_absz00_bglt BgL_i1243z00_14512;
				obj_t BgL_bodyz00_14513;
				long BgL_siza7ezd2framez75_14514;

				BgL_ifreesz00_14509 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14508, (int) (((long) 0))));
				BgL_iboxesz00_14510 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14508, (int) (((long) 1))));
				BgL_siza7eza7_14511 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14508, (int) (((long) 2))));
				BgL_i1243z00_14512 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14508, (int) (((long) 3))));
				BgL_bodyz00_14513 = PROCEDURE_REF(BgL_envz00_14508, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14514 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14508, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16851;

					BgL_bpz00_16851 = VECTOR_REF(((obj_t) BgL_sz00_14515), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16852;

						BgL_valza2za2_16852 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14515,
							BgL_bpz00_16851, BgL_ifreesz00_14509);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16853;

							BgL_runz00_16853 =
								MAKE_FX_PROCEDURE(BGl_z62run5718z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_16853,
								(int) (((long) 0)), BgL_iboxesz00_14510);
							PROCEDURE_SET(BgL_runz00_16853,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14511));
							PROCEDURE_SET(BgL_runz00_16853,
								(int) (((long) 2)), BgL_valza2za2_16852);
							PROCEDURE_SET(BgL_runz00_16853,
								(int) (((long) 3)), ((obj_t) BgL_i1243z00_14512));
							PROCEDURE_SET(BgL_runz00_16853,
								(int) (((long) 4)), BgL_bodyz00_14513);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16854;

								BgL_mainz00_16854 =
									MAKE_FX_PROCEDURE(BGl_z62main5717z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_16854,
									(int) (((long) 0)), BgL_iboxesz00_14510);
								PROCEDURE_SET(BgL_mainz00_16854,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14511));
								PROCEDURE_SET(BgL_mainz00_16854,
									(int) (((long) 2)), BgL_valza2za2_16852);
								PROCEDURE_SET(BgL_mainz00_16854,
									(int) (((long) 3)), ((obj_t) BgL_i1243z00_14512));
								PROCEDURE_SET(BgL_mainz00_16854,
									(int) (((long) 4)), BgL_bodyz00_14513);
								PROCEDURE_SET(BgL_mainz00_16854,
									(int) (((long) 5)), BgL_runz00_16853);
								PROCEDURE_SET(BgL_mainz00_16854,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14514));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16855;

									BgL_objz00_16855 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16853, BgL_objz00_16855);
									BgL_objz00_16855;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3862z00_16856;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3863z00_16857;

										BgL_arg3863z00_16857 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14512))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16858;

											BgL_newz00_16858 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27443;

												BgL_tmpz00_27443 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16858, BgL_tmpz00_27443,
													BgL_arg3863z00_16857);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27448;
												int BgL_tmpz00_27446;

												BgL_auxz00_27448 = BINT(BgL_siza7ezd2framez75_14514);
												BgL_tmpz00_27446 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16858, BgL_tmpz00_27446,
													BgL_auxz00_27448);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27451;

												BgL_tmpz00_27451 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16858, BgL_tmpz00_27451,
													BgL_runz00_16853);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27456;
												int BgL_tmpz00_27454;

												BgL_auxz00_27456 = BINT(((long) 4));
												BgL_tmpz00_27454 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16858, BgL_tmpz00_27454,
													BgL_auxz00_27456);
											}
											BgL_arg3862z00_16856 = BgL_newz00_16858;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16854, BgL_arg3862z00_16856);
									BgL_arg3862z00_16856;
								}
								return BgL_mainz00_16854;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5717 */
	obj_t BGl_z62main5717z62zz__evaluate_compz00(obj_t BgL_envz00_14516,
		obj_t BgL_az00_14524, obj_t BgL_bz00_14525, obj_t BgL_cz00_14526,
		obj_t BgL_dz00_14527)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14522;
				long BgL_siza7ezd2framez75_14523;

				BgL_runz00_14522 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14516, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14523 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14516, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16859;

					BgL_sz00_16859 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16860;

						BgL_bpz00_16860 = VECTOR_REF(((obj_t) BgL_sz00_16859), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16860) + BgL_siza7ezd2framez75_14523) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16859))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3866z00_16861;

									BgL_arg3866z00_16861 =
										((long) CINT(BgL_bpz00_16860) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16859), BgL_arg3866z00_16861,
										BgL_az00_14524);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3867z00_16862;

									BgL_arg3867z00_16862 =
										((long) CINT(BgL_bpz00_16860) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16859), BgL_arg3867z00_16862,
										BgL_bz00_14525);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3868z00_16863;

									BgL_arg3868z00_16863 =
										((long) CINT(BgL_bpz00_16860) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16859), BgL_arg3868z00_16863,
										BgL_cz00_14526);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3869z00_16864;

									BgL_arg3869z00_16864 =
										((long) CINT(BgL_bpz00_16860) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16859), BgL_arg3869z00_16864,
										BgL_dz00_14527);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16865;

									BgL_ez00_16865 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16865,
										BgL_bpz00_16860);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16866;

										BgL_accz00_16866 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14522, BgL_sz00_16859, BgL_bpz00_16860);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16865);
										VECTOR_SET(
											((obj_t) BgL_sz00_16859), ((long) 0), BgL_bpz00_16860);
										return BgL_accz00_16866;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16867;

								BgL_nsz00_16867 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16867, ((long) 1), BgL_sz00_16859);
								VECTOR_SET(BgL_nsz00_16867, ((long) 2), BgL_az00_14524);
								VECTOR_SET(BgL_nsz00_16867, ((long) 3), BgL_bz00_14525);
								VECTOR_SET(BgL_nsz00_16867, ((long) 4), BgL_cz00_14526);
								VECTOR_SET(BgL_nsz00_16867, ((long) 5), BgL_dz00_14527);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16868;

									BgL_z12denvz12_16868 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16868, BgL_nsz00_16867);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16869;

										BgL_ez00_16869 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16869,
											BgL_sz00_16859);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16870;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16871;

												BgL_savedzd2bpzd2_16871 =
													VECTOR_REF(BgL_nsz00_16867, ((long) 0));
												VECTOR_SET(BgL_nsz00_16867, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16873;

													BgL_fz00_16873 = BgL_runz00_14522;
												BgL_recz00_16872:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16874;

														BgL_rz00_16874 =
															PROCEDURE_ENTRY(BgL_fz00_16873) (BgL_fz00_16873,
															BgL_nsz00_16867, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27514;

															if (PROCEDUREP(BgL_rz00_16874))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16875;

																	BgL_arg1693z00_16875 =
																		PROCEDURE_ATTR(BgL_rz00_16874);
																	if (STRUCTP(BgL_arg1693z00_16875))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27514 =
																				(STRUCT_KEY(BgL_arg1693z00_16875) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27514 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27514 = ((bool_t) 0);
																}
															if (BgL_testz00_27514)
																{
																	obj_t BgL_fz00_27522;

																	BgL_fz00_27522 = BgL_rz00_16874;
																	BgL_fz00_16873 = BgL_fz00_27522;
																	goto BgL_recz00_16872;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16867, ((long) 0),
																		BgL_savedzd2bpzd2_16871);
																	BgL_____rz00_16870 = BgL_rz00_16874;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16869);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16868, BgL_sz00_16859);
											return BgL_____rz00_16870;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5718 */
	obj_t BGl_z62run5718z62zz__evaluate_compz00(obj_t BgL_envz00_14528,
		obj_t BgL_sz00_14534)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14529;
				long BgL_siza7eza7_14530;
				obj_t BgL_valza2za2_14531;
				BgL_ev_absz00_bglt BgL_i1243z00_14532;
				obj_t BgL_bodyz00_14533;

				BgL_iboxesz00_14529 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14528, (int) (((long) 0))));
				BgL_siza7eza7_14530 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14528, (int) (((long) 1))));
				BgL_valza2za2_14531 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14528, (int) (((long) 2))));
				BgL_i1243z00_14532 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14528, (int) (((long) 3))));
				BgL_bodyz00_14533 = PROCEDURE_REF(BgL_envz00_14528, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16876;

					BgL_bpz00_16876 = VECTOR_REF(((obj_t) BgL_sz00_14534), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14534,
						BgL_iboxesz00_14529, BgL_bpz00_16876);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14534,
						BgL_valza2za2_14531,
						((long) CINT(BgL_bpz00_16876) + BgL_siza7eza7_14530));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16877;
						obj_t BgL_wherez00_16878;
						obj_t BgL_locz00_16879;

						BgL_z12denvz12_16877 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16878 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14532))->
							BgL_wherez00);
						BgL_locz00_16879 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14532))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16877, BgL_wherez00_16878,
								BgL_locz00_16879);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16880;

								BgL_za2za2resza2za2z00_16880 =
									PROCEDURE_ENTRY(BgL_bodyz00_14533) (BgL_bodyz00_14533,
									BgL_sz00_14534, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16877);
								return BgL_za2za2resza2za2z00_16880;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3776> */
	obj_t BGl_z62zc3anonymousza33776ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14535, obj_t BgL_sz00_14539)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14536;
				obj_t BgL_bodyz00_14537;
				long BgL_siza7ezd2framez75_14538;

				BgL_i1243z00_14536 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14535, (int) (((long) 0))));
				BgL_bodyz00_14537 = PROCEDURE_REF(BgL_envz00_14535, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14538 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14535, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16881;

					BgL_bpz00_16881 = VECTOR_REF(((obj_t) BgL_sz00_14539), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16882;

							BgL_runz00_16882 =
								MAKE_FX_PROCEDURE(BGl_z62run5720z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_16882,
								(int) (((long) 0)), ((obj_t) BgL_i1243z00_14536));
							PROCEDURE_SET(BgL_runz00_16882,
								(int) (((long) 1)), BgL_bodyz00_14537);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16883;

								BgL_mainz00_16883 =
									MAKE_VA_PROCEDURE(BGl_z62main5719z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_16883,
									(int) (((long) 0)), ((obj_t) BgL_i1243z00_14536));
								PROCEDURE_SET(BgL_mainz00_16883,
									(int) (((long) 1)), BgL_bodyz00_14537);
								PROCEDURE_SET(BgL_mainz00_16883,
									(int) (((long) 2)), BgL_runz00_16882);
								PROCEDURE_SET(BgL_mainz00_16883,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14538));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16884;

									BgL_objz00_16884 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16882, BgL_objz00_16884);
									BgL_objz00_16884;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3777z00_16885;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3778z00_16886;

										BgL_arg3778z00_16886 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14536))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16887;

											BgL_newz00_16887 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27590;

												BgL_tmpz00_27590 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16887, BgL_tmpz00_27590,
													BgL_arg3778z00_16886);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27595;
												int BgL_tmpz00_27593;

												BgL_auxz00_27595 = BINT(BgL_siza7ezd2framez75_14538);
												BgL_tmpz00_27593 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16887, BgL_tmpz00_27593,
													BgL_auxz00_27595);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27598;

												BgL_tmpz00_27598 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16887, BgL_tmpz00_27598,
													BgL_runz00_16882);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27603;
												int BgL_tmpz00_27601;

												BgL_auxz00_27603 = BINT(((long) -4));
												BgL_tmpz00_27601 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16887, BgL_tmpz00_27601,
													BgL_auxz00_27603);
											}
											BgL_arg3777z00_16885 = BgL_newz00_16887;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16883, BgL_arg3777z00_16885);
									BgL_arg3777z00_16885;
								}
								return BgL_mainz00_16883;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5719 */
	obj_t BGl_z62main5719z62zz__evaluate_compz00(obj_t BgL_envz00_14540,
		obj_t BgL_bz00_14545, obj_t BgL_cz00_14546, obj_t BgL_dz00_14547,
		obj_t BgL_lastz00_14548)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14543;
				long BgL_siza7ezd2framez75_14544;

				BgL_runz00_14543 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14540, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14544 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14540, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16888;

					BgL_sz00_16888 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16889;

						BgL_bpz00_16889 = VECTOR_REF(((obj_t) BgL_sz00_16888), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16889) + BgL_siza7ezd2framez75_14544) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16888))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3781z00_16890;

									BgL_arg3781z00_16890 =
										((long) CINT(BgL_bpz00_16889) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16888), BgL_arg3781z00_16890,
										BgL_bz00_14545);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3782z00_16891;

									BgL_arg3782z00_16891 =
										((long) CINT(BgL_bpz00_16889) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16888), BgL_arg3782z00_16891,
										BgL_cz00_14546);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3783z00_16892;

									BgL_arg3783z00_16892 =
										((long) CINT(BgL_bpz00_16889) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16888), BgL_arg3783z00_16892,
										BgL_dz00_14547);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3784z00_16893;

									BgL_arg3784z00_16893 =
										((long) CINT(BgL_bpz00_16889) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16888), BgL_arg3784z00_16893,
										BgL_lastz00_14548);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16894;

									BgL_ez00_16894 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16894,
										BgL_bpz00_16889);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16895;

										BgL_accz00_16895 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14543, BgL_sz00_16888, BgL_bpz00_16889);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16894);
										VECTOR_SET(
											((obj_t) BgL_sz00_16888), ((long) 0), BgL_bpz00_16889);
										return BgL_accz00_16895;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16896;

								BgL_nsz00_16896 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16896, ((long) 1), BgL_sz00_16888);
								VECTOR_SET(BgL_nsz00_16896, ((long) 2), BgL_bz00_14545);
								VECTOR_SET(BgL_nsz00_16896, ((long) 3), BgL_cz00_14546);
								VECTOR_SET(BgL_nsz00_16896, ((long) 4), BgL_dz00_14547);
								VECTOR_SET(BgL_nsz00_16896, ((long) 5), BgL_lastz00_14548);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16897;

									BgL_z12denvz12_16897 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16897, BgL_nsz00_16896);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16898;

										BgL_ez00_16898 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16898,
											BgL_sz00_16888);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16899;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16900;

												BgL_savedzd2bpzd2_16900 =
													VECTOR_REF(BgL_nsz00_16896, ((long) 0));
												VECTOR_SET(BgL_nsz00_16896, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16902;

													BgL_fz00_16902 = BgL_runz00_14543;
												BgL_recz00_16901:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16903;

														BgL_rz00_16903 =
															PROCEDURE_ENTRY(BgL_fz00_16902) (BgL_fz00_16902,
															BgL_nsz00_16896, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27661;

															if (PROCEDUREP(BgL_rz00_16903))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16904;

																	BgL_arg1693z00_16904 =
																		PROCEDURE_ATTR(BgL_rz00_16903);
																	if (STRUCTP(BgL_arg1693z00_16904))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27661 =
																				(STRUCT_KEY(BgL_arg1693z00_16904) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27661 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27661 = ((bool_t) 0);
																}
															if (BgL_testz00_27661)
																{
																	obj_t BgL_fz00_27669;

																	BgL_fz00_27669 = BgL_rz00_16903;
																	BgL_fz00_16902 = BgL_fz00_27669;
																	goto BgL_recz00_16901;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16896, ((long) 0),
																		BgL_savedzd2bpzd2_16900);
																	BgL_____rz00_16899 = BgL_rz00_16903;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16898);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16897, BgL_sz00_16888);
											return BgL_____rz00_16899;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5720 */
	obj_t BGl_z62run5720z62zz__evaluate_compz00(obj_t BgL_envz00_14549,
		obj_t BgL_sz00_14552)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14550;
				obj_t BgL_bodyz00_14551;

				BgL_i1243z00_14550 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14549, (int) (((long) 0))));
				BgL_bodyz00_14551 = PROCEDURE_REF(BgL_envz00_14549, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16905;

					BgL_bpz00_16905 = VECTOR_REF(((obj_t) BgL_sz00_14552), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16906;
						obj_t BgL_wherez00_16907;
						obj_t BgL_locz00_16908;

						BgL_z12denvz12_16906 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16907 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14550))->
							BgL_wherez00);
						BgL_locz00_16908 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14550))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16906, BgL_wherez00_16907,
								BgL_locz00_16908);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16909;

								BgL_za2za2resza2za2z00_16909 =
									PROCEDURE_ENTRY(BgL_bodyz00_14551) (BgL_bodyz00_14551,
									BgL_sz00_14552, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16906);
								return BgL_za2za2resza2za2z00_16909;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3786> */
	obj_t BGl_z62zc3anonymousza33786ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14553, obj_t BgL_sz00_14558)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14554;
				BgL_ev_absz00_bglt BgL_i1243z00_14555;
				obj_t BgL_bodyz00_14556;
				long BgL_siza7ezd2framez75_14557;

				BgL_iboxesz00_14554 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14553, (int) (((long) 0))));
				BgL_i1243z00_14555 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14553, (int) (((long) 1))));
				BgL_bodyz00_14556 = PROCEDURE_REF(BgL_envz00_14553, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14557 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14553, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16910;

					BgL_bpz00_16910 = VECTOR_REF(((obj_t) BgL_sz00_14558), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16911;

							BgL_runz00_16911 =
								MAKE_FX_PROCEDURE(BGl_z62run5722z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_16911,
								(int) (((long) 0)), BgL_iboxesz00_14554);
							PROCEDURE_SET(BgL_runz00_16911,
								(int) (((long) 1)), ((obj_t) BgL_i1243z00_14555));
							PROCEDURE_SET(BgL_runz00_16911,
								(int) (((long) 2)), BgL_bodyz00_14556);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16912;

								BgL_mainz00_16912 =
									MAKE_VA_PROCEDURE(BGl_z62main5721z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_16912,
									(int) (((long) 0)), BgL_iboxesz00_14554);
								PROCEDURE_SET(BgL_mainz00_16912,
									(int) (((long) 1)), ((obj_t) BgL_i1243z00_14555));
								PROCEDURE_SET(BgL_mainz00_16912,
									(int) (((long) 2)), BgL_bodyz00_14556);
								PROCEDURE_SET(BgL_mainz00_16912,
									(int) (((long) 3)), BgL_runz00_16911);
								PROCEDURE_SET(BgL_mainz00_16912,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14557));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16913;

									BgL_objz00_16913 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16911, BgL_objz00_16913);
									BgL_objz00_16913;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3787z00_16914;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3788z00_16915;

										BgL_arg3788z00_16915 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14555))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16916;

											BgL_newz00_16916 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27731;

												BgL_tmpz00_27731 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16916, BgL_tmpz00_27731,
													BgL_arg3788z00_16915);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27736;
												int BgL_tmpz00_27734;

												BgL_auxz00_27736 = BINT(BgL_siza7ezd2framez75_14557);
												BgL_tmpz00_27734 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16916, BgL_tmpz00_27734,
													BgL_auxz00_27736);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27739;

												BgL_tmpz00_27739 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16916, BgL_tmpz00_27739,
													BgL_runz00_16911);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27744;
												int BgL_tmpz00_27742;

												BgL_auxz00_27744 = BINT(((long) -4));
												BgL_tmpz00_27742 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16916, BgL_tmpz00_27742,
													BgL_auxz00_27744);
											}
											BgL_arg3787z00_16914 = BgL_newz00_16916;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16912, BgL_arg3787z00_16914);
									BgL_arg3787z00_16914;
								}
								return BgL_mainz00_16912;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5721 */
	obj_t BGl_z62main5721z62zz__evaluate_compz00(obj_t BgL_envz00_14559,
		obj_t BgL_bz00_14565, obj_t BgL_cz00_14566, obj_t BgL_dz00_14567,
		obj_t BgL_lastz00_14568)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14563;
				long BgL_siza7ezd2framez75_14564;

				BgL_runz00_14563 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14559, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14564 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14559, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16917;

					BgL_sz00_16917 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16918;

						BgL_bpz00_16918 = VECTOR_REF(((obj_t) BgL_sz00_16917), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16918) + BgL_siza7ezd2framez75_14564) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16917))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3791z00_16919;

									BgL_arg3791z00_16919 =
										((long) CINT(BgL_bpz00_16918) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16917), BgL_arg3791z00_16919,
										BgL_bz00_14565);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3792z00_16920;

									BgL_arg3792z00_16920 =
										((long) CINT(BgL_bpz00_16918) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16917), BgL_arg3792z00_16920,
										BgL_cz00_14566);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3793z00_16921;

									BgL_arg3793z00_16921 =
										((long) CINT(BgL_bpz00_16918) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16917), BgL_arg3793z00_16921,
										BgL_dz00_14567);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3794z00_16922;

									BgL_arg3794z00_16922 =
										((long) CINT(BgL_bpz00_16918) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16917), BgL_arg3794z00_16922,
										BgL_lastz00_14568);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16923;

									BgL_ez00_16923 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16923,
										BgL_bpz00_16918);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16924;

										BgL_accz00_16924 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14563, BgL_sz00_16917, BgL_bpz00_16918);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16923);
										VECTOR_SET(
											((obj_t) BgL_sz00_16917), ((long) 0), BgL_bpz00_16918);
										return BgL_accz00_16924;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16925;

								BgL_nsz00_16925 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16925, ((long) 1), BgL_sz00_16917);
								VECTOR_SET(BgL_nsz00_16925, ((long) 2), BgL_bz00_14565);
								VECTOR_SET(BgL_nsz00_16925, ((long) 3), BgL_cz00_14566);
								VECTOR_SET(BgL_nsz00_16925, ((long) 4), BgL_dz00_14567);
								VECTOR_SET(BgL_nsz00_16925, ((long) 5), BgL_lastz00_14568);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16926;

									BgL_z12denvz12_16926 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16926, BgL_nsz00_16925);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16927;

										BgL_ez00_16927 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16927,
											BgL_sz00_16917);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16928;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16929;

												BgL_savedzd2bpzd2_16929 =
													VECTOR_REF(BgL_nsz00_16925, ((long) 0));
												VECTOR_SET(BgL_nsz00_16925, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16931;

													BgL_fz00_16931 = BgL_runz00_14563;
												BgL_recz00_16930:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16932;

														BgL_rz00_16932 =
															PROCEDURE_ENTRY(BgL_fz00_16931) (BgL_fz00_16931,
															BgL_nsz00_16925, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27802;

															if (PROCEDUREP(BgL_rz00_16932))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16933;

																	BgL_arg1693z00_16933 =
																		PROCEDURE_ATTR(BgL_rz00_16932);
																	if (STRUCTP(BgL_arg1693z00_16933))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27802 =
																				(STRUCT_KEY(BgL_arg1693z00_16933) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27802 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27802 = ((bool_t) 0);
																}
															if (BgL_testz00_27802)
																{
																	obj_t BgL_fz00_27810;

																	BgL_fz00_27810 = BgL_rz00_16932;
																	BgL_fz00_16931 = BgL_fz00_27810;
																	goto BgL_recz00_16930;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16925, ((long) 0),
																		BgL_savedzd2bpzd2_16929);
																	BgL_____rz00_16928 = BgL_rz00_16932;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16927);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16926, BgL_sz00_16917);
											return BgL_____rz00_16928;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5722 */
	obj_t BGl_z62run5722z62zz__evaluate_compz00(obj_t BgL_envz00_14569,
		obj_t BgL_sz00_14573)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14570;
				BgL_ev_absz00_bglt BgL_i1243z00_14571;
				obj_t BgL_bodyz00_14572;

				BgL_iboxesz00_14570 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14569, (int) (((long) 0))));
				BgL_i1243z00_14571 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14569, (int) (((long) 1))));
				BgL_bodyz00_14572 = PROCEDURE_REF(BgL_envz00_14569, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16934;

					BgL_bpz00_16934 = VECTOR_REF(((obj_t) BgL_sz00_14573), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14573,
						BgL_iboxesz00_14570, BgL_bpz00_16934);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16935;
						obj_t BgL_wherez00_16936;
						obj_t BgL_locz00_16937;

						BgL_z12denvz12_16935 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16936 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14571))->
							BgL_wherez00);
						BgL_locz00_16937 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14571))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16935, BgL_wherez00_16936,
								BgL_locz00_16937);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16938;

								BgL_za2za2resza2za2z00_16938 =
									PROCEDURE_ENTRY(BgL_bodyz00_14572) (BgL_bodyz00_14572,
									BgL_sz00_14573, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16935);
								return BgL_za2za2resza2za2z00_16938;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3799> */
	obj_t BGl_z62zc3anonymousza33799ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14574, obj_t BgL_sz00_14580)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14575;
				long BgL_siza7eza7_14576;
				BgL_ev_absz00_bglt BgL_i1243z00_14577;
				obj_t BgL_bodyz00_14578;
				long BgL_siza7ezd2framez75_14579;

				BgL_ifreesz00_14575 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14574, (int) (((long) 0))));
				BgL_siza7eza7_14576 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14574, (int) (((long) 1))));
				BgL_i1243z00_14577 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14574, (int) (((long) 2))));
				BgL_bodyz00_14578 = PROCEDURE_REF(BgL_envz00_14574, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14579 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14574, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16939;

					BgL_bpz00_16939 = VECTOR_REF(((obj_t) BgL_sz00_14580), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16940;

						BgL_valza2za2_16940 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14580,
							BgL_bpz00_16939, BgL_ifreesz00_14575);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16941;

							BgL_runz00_16941 =
								MAKE_FX_PROCEDURE(BGl_z62run5724z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_16941,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14576));
							PROCEDURE_SET(BgL_runz00_16941,
								(int) (((long) 1)), BgL_valza2za2_16940);
							PROCEDURE_SET(BgL_runz00_16941,
								(int) (((long) 2)), ((obj_t) BgL_i1243z00_14577));
							PROCEDURE_SET(BgL_runz00_16941,
								(int) (((long) 3)), BgL_bodyz00_14578);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16942;

								BgL_mainz00_16942 =
									MAKE_VA_PROCEDURE(BGl_z62main5723z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_16942,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14576));
								PROCEDURE_SET(BgL_mainz00_16942,
									(int) (((long) 1)), BgL_valza2za2_16940);
								PROCEDURE_SET(BgL_mainz00_16942,
									(int) (((long) 2)), ((obj_t) BgL_i1243z00_14577));
								PROCEDURE_SET(BgL_mainz00_16942,
									(int) (((long) 3)), BgL_bodyz00_14578);
								PROCEDURE_SET(BgL_mainz00_16942,
									(int) (((long) 4)), BgL_runz00_16941);
								PROCEDURE_SET(BgL_mainz00_16942,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14579));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16943;

									BgL_objz00_16943 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16941, BgL_objz00_16943);
									BgL_objz00_16943;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3800z00_16944;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3801z00_16945;

										BgL_arg3801z00_16945 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14577))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16946;

											BgL_newz00_16946 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27886;

												BgL_tmpz00_27886 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16946, BgL_tmpz00_27886,
													BgL_arg3801z00_16945);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27891;
												int BgL_tmpz00_27889;

												BgL_auxz00_27891 = BINT(BgL_siza7ezd2framez75_14579);
												BgL_tmpz00_27889 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16946, BgL_tmpz00_27889,
													BgL_auxz00_27891);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27894;

												BgL_tmpz00_27894 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16946, BgL_tmpz00_27894,
													BgL_runz00_16941);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27899;
												int BgL_tmpz00_27897;

												BgL_auxz00_27899 = BINT(((long) -4));
												BgL_tmpz00_27897 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16946, BgL_tmpz00_27897,
													BgL_auxz00_27899);
											}
											BgL_arg3800z00_16944 = BgL_newz00_16946;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16942, BgL_arg3800z00_16944);
									BgL_arg3800z00_16944;
								}
								return BgL_mainz00_16942;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5723 */
	obj_t BGl_z62main5723z62zz__evaluate_compz00(obj_t BgL_envz00_14581,
		obj_t BgL_bz00_14588, obj_t BgL_cz00_14589, obj_t BgL_dz00_14590,
		obj_t BgL_lastz00_14591)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14586;
				long BgL_siza7ezd2framez75_14587;

				BgL_runz00_14586 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14581, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14587 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14581, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16947;

					BgL_sz00_16947 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16948;

						BgL_bpz00_16948 = VECTOR_REF(((obj_t) BgL_sz00_16947), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16948) + BgL_siza7ezd2framez75_14587) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16947))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3804z00_16949;

									BgL_arg3804z00_16949 =
										((long) CINT(BgL_bpz00_16948) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16947), BgL_arg3804z00_16949,
										BgL_bz00_14588);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3805z00_16950;

									BgL_arg3805z00_16950 =
										((long) CINT(BgL_bpz00_16948) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16947), BgL_arg3805z00_16950,
										BgL_cz00_14589);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3806z00_16951;

									BgL_arg3806z00_16951 =
										((long) CINT(BgL_bpz00_16948) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16947), BgL_arg3806z00_16951,
										BgL_dz00_14590);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3807z00_16952;

									BgL_arg3807z00_16952 =
										((long) CINT(BgL_bpz00_16948) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16947), BgL_arg3807z00_16952,
										BgL_lastz00_14591);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16953;

									BgL_ez00_16953 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16953,
										BgL_bpz00_16948);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16954;

										BgL_accz00_16954 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14586, BgL_sz00_16947, BgL_bpz00_16948);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16953);
										VECTOR_SET(
											((obj_t) BgL_sz00_16947), ((long) 0), BgL_bpz00_16948);
										return BgL_accz00_16954;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16955;

								BgL_nsz00_16955 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16955, ((long) 1), BgL_sz00_16947);
								VECTOR_SET(BgL_nsz00_16955, ((long) 2), BgL_bz00_14588);
								VECTOR_SET(BgL_nsz00_16955, ((long) 3), BgL_cz00_14589);
								VECTOR_SET(BgL_nsz00_16955, ((long) 4), BgL_dz00_14590);
								VECTOR_SET(BgL_nsz00_16955, ((long) 5), BgL_lastz00_14591);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16956;

									BgL_z12denvz12_16956 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16956, BgL_nsz00_16955);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16957;

										BgL_ez00_16957 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16957,
											BgL_sz00_16947);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16958;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16959;

												BgL_savedzd2bpzd2_16959 =
													VECTOR_REF(BgL_nsz00_16955, ((long) 0));
												VECTOR_SET(BgL_nsz00_16955, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16961;

													BgL_fz00_16961 = BgL_runz00_14586;
												BgL_recz00_16960:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16962;

														BgL_rz00_16962 =
															PROCEDURE_ENTRY(BgL_fz00_16961) (BgL_fz00_16961,
															BgL_nsz00_16955, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27957;

															if (PROCEDUREP(BgL_rz00_16962))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16963;

																	BgL_arg1693z00_16963 =
																		PROCEDURE_ATTR(BgL_rz00_16962);
																	if (STRUCTP(BgL_arg1693z00_16963))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27957 =
																				(STRUCT_KEY(BgL_arg1693z00_16963) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27957 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27957 = ((bool_t) 0);
																}
															if (BgL_testz00_27957)
																{
																	obj_t BgL_fz00_27965;

																	BgL_fz00_27965 = BgL_rz00_16962;
																	BgL_fz00_16961 = BgL_fz00_27965;
																	goto BgL_recz00_16960;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16955, ((long) 0),
																		BgL_savedzd2bpzd2_16959);
																	BgL_____rz00_16958 = BgL_rz00_16962;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16957);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16956, BgL_sz00_16947);
											return BgL_____rz00_16958;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5724 */
	obj_t BGl_z62run5724z62zz__evaluate_compz00(obj_t BgL_envz00_14592,
		obj_t BgL_sz00_14597)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14593;
				obj_t BgL_valza2za2_14594;
				BgL_ev_absz00_bglt BgL_i1243z00_14595;
				obj_t BgL_bodyz00_14596;

				BgL_siza7eza7_14593 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14592, (int) (((long) 0))));
				BgL_valza2za2_14594 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14592, (int) (((long) 1))));
				BgL_i1243z00_14595 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14592, (int) (((long) 2))));
				BgL_bodyz00_14596 = PROCEDURE_REF(BgL_envz00_14592, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16964;

					BgL_bpz00_16964 = VECTOR_REF(((obj_t) BgL_sz00_14597), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14597,
						BgL_valza2za2_14594,
						((long) CINT(BgL_bpz00_16964) + BgL_siza7eza7_14593));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16965;
						obj_t BgL_wherez00_16966;
						obj_t BgL_locz00_16967;

						BgL_z12denvz12_16965 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16966 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14595))->
							BgL_wherez00);
						BgL_locz00_16967 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14595))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16965, BgL_wherez00_16966,
								BgL_locz00_16967);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16968;

								BgL_za2za2resza2za2z00_16968 =
									PROCEDURE_ENTRY(BgL_bodyz00_14596) (BgL_bodyz00_14596,
									BgL_sz00_14597, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16965);
								return BgL_za2za2resza2za2z00_16968;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3810> */
	obj_t BGl_z62zc3anonymousza33810ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14598, obj_t BgL_sz00_14605)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14599;
				obj_t BgL_iboxesz00_14600;
				long BgL_siza7eza7_14601;
				BgL_ev_absz00_bglt BgL_i1243z00_14602;
				obj_t BgL_bodyz00_14603;
				long BgL_siza7ezd2framez75_14604;

				BgL_ifreesz00_14599 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14598, (int) (((long) 0))));
				BgL_iboxesz00_14600 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14598, (int) (((long) 1))));
				BgL_siza7eza7_14601 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14598, (int) (((long) 2))));
				BgL_i1243z00_14602 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14598, (int) (((long) 3))));
				BgL_bodyz00_14603 = PROCEDURE_REF(BgL_envz00_14598, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14604 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14598, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16969;

					BgL_bpz00_16969 = VECTOR_REF(((obj_t) BgL_sz00_14605), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16970;

						BgL_valza2za2_16970 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14605,
							BgL_bpz00_16969, BgL_ifreesz00_14599);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16971;

							BgL_runz00_16971 =
								MAKE_FX_PROCEDURE(BGl_z62run5726z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_16971,
								(int) (((long) 0)), BgL_iboxesz00_14600);
							PROCEDURE_SET(BgL_runz00_16971,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14601));
							PROCEDURE_SET(BgL_runz00_16971,
								(int) (((long) 2)), BgL_valza2za2_16970);
							PROCEDURE_SET(BgL_runz00_16971,
								(int) (((long) 3)), ((obj_t) BgL_i1243z00_14602));
							PROCEDURE_SET(BgL_runz00_16971,
								(int) (((long) 4)), BgL_bodyz00_14603);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16972;

								BgL_mainz00_16972 =
									MAKE_VA_PROCEDURE(BGl_z62main5725z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_16972,
									(int) (((long) 0)), BgL_iboxesz00_14600);
								PROCEDURE_SET(BgL_mainz00_16972,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14601));
								PROCEDURE_SET(BgL_mainz00_16972,
									(int) (((long) 2)), BgL_valza2za2_16970);
								PROCEDURE_SET(BgL_mainz00_16972,
									(int) (((long) 3)), ((obj_t) BgL_i1243z00_14602));
								PROCEDURE_SET(BgL_mainz00_16972,
									(int) (((long) 4)), BgL_bodyz00_14603);
								PROCEDURE_SET(BgL_mainz00_16972,
									(int) (((long) 5)), BgL_runz00_16971);
								PROCEDURE_SET(BgL_mainz00_16972,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14604));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16973;

									BgL_objz00_16973 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16971, BgL_objz00_16973);
									BgL_objz00_16973;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3811z00_16974;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3812z00_16975;

										BgL_arg3812z00_16975 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14602))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16976;

											BgL_newz00_16976 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28053;

												BgL_tmpz00_28053 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16976, BgL_tmpz00_28053,
													BgL_arg3812z00_16975);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28058;
												int BgL_tmpz00_28056;

												BgL_auxz00_28058 = BINT(BgL_siza7ezd2framez75_14604);
												BgL_tmpz00_28056 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16976, BgL_tmpz00_28056,
													BgL_auxz00_28058);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28061;

												BgL_tmpz00_28061 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16976, BgL_tmpz00_28061,
													BgL_runz00_16971);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28066;
												int BgL_tmpz00_28064;

												BgL_auxz00_28066 = BINT(((long) -4));
												BgL_tmpz00_28064 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16976, BgL_tmpz00_28064,
													BgL_auxz00_28066);
											}
											BgL_arg3811z00_16974 = BgL_newz00_16976;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16972, BgL_arg3811z00_16974);
									BgL_arg3811z00_16974;
								}
								return BgL_mainz00_16972;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5725 */
	obj_t BGl_z62main5725z62zz__evaluate_compz00(obj_t BgL_envz00_14606,
		obj_t BgL_bz00_14614, obj_t BgL_cz00_14615, obj_t BgL_dz00_14616,
		obj_t BgL_lastz00_14617)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14612;
				long BgL_siza7ezd2framez75_14613;

				BgL_runz00_14612 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14606, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14613 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14606, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16977;

					BgL_sz00_16977 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16978;

						BgL_bpz00_16978 = VECTOR_REF(((obj_t) BgL_sz00_16977), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16978) + BgL_siza7ezd2framez75_14613) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16977))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3815z00_16979;

									BgL_arg3815z00_16979 =
										((long) CINT(BgL_bpz00_16978) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16977), BgL_arg3815z00_16979,
										BgL_bz00_14614);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3816z00_16980;

									BgL_arg3816z00_16980 =
										((long) CINT(BgL_bpz00_16978) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16977), BgL_arg3816z00_16980,
										BgL_cz00_14615);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3817z00_16981;

									BgL_arg3817z00_16981 =
										((long) CINT(BgL_bpz00_16978) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16977), BgL_arg3817z00_16981,
										BgL_dz00_14616);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3818z00_16982;

									BgL_arg3818z00_16982 =
										((long) CINT(BgL_bpz00_16978) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16977), BgL_arg3818z00_16982,
										BgL_lastz00_14617);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16983;

									BgL_ez00_16983 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16983,
										BgL_bpz00_16978);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16984;

										BgL_accz00_16984 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14612, BgL_sz00_16977, BgL_bpz00_16978);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16983);
										VECTOR_SET(
											((obj_t) BgL_sz00_16977), ((long) 0), BgL_bpz00_16978);
										return BgL_accz00_16984;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16985;

								BgL_nsz00_16985 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16985, ((long) 1), BgL_sz00_16977);
								VECTOR_SET(BgL_nsz00_16985, ((long) 2), BgL_bz00_14614);
								VECTOR_SET(BgL_nsz00_16985, ((long) 3), BgL_cz00_14615);
								VECTOR_SET(BgL_nsz00_16985, ((long) 4), BgL_dz00_14616);
								VECTOR_SET(BgL_nsz00_16985, ((long) 5), BgL_lastz00_14617);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16986;

									BgL_z12denvz12_16986 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16986, BgL_nsz00_16985);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16987;

										BgL_ez00_16987 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16987,
											BgL_sz00_16977);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16988;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16989;

												BgL_savedzd2bpzd2_16989 =
													VECTOR_REF(BgL_nsz00_16985, ((long) 0));
												VECTOR_SET(BgL_nsz00_16985, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16991;

													BgL_fz00_16991 = BgL_runz00_14612;
												BgL_recz00_16990:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16992;

														BgL_rz00_16992 =
															PROCEDURE_ENTRY(BgL_fz00_16991) (BgL_fz00_16991,
															BgL_nsz00_16985, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28124;

															if (PROCEDUREP(BgL_rz00_16992))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_16993;

																	BgL_arg1693z00_16993 =
																		PROCEDURE_ATTR(BgL_rz00_16992);
																	if (STRUCTP(BgL_arg1693z00_16993))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28124 =
																				(STRUCT_KEY(BgL_arg1693z00_16993) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28124 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28124 = ((bool_t) 0);
																}
															if (BgL_testz00_28124)
																{
																	obj_t BgL_fz00_28132;

																	BgL_fz00_28132 = BgL_rz00_16992;
																	BgL_fz00_16991 = BgL_fz00_28132;
																	goto BgL_recz00_16990;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16985, ((long) 0),
																		BgL_savedzd2bpzd2_16989);
																	BgL_____rz00_16988 = BgL_rz00_16992;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16987);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16986, BgL_sz00_16977);
											return BgL_____rz00_16988;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5726 */
	obj_t BGl_z62run5726z62zz__evaluate_compz00(obj_t BgL_envz00_14618,
		obj_t BgL_sz00_14624)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14619;
				long BgL_siza7eza7_14620;
				obj_t BgL_valza2za2_14621;
				BgL_ev_absz00_bglt BgL_i1243z00_14622;
				obj_t BgL_bodyz00_14623;

				BgL_iboxesz00_14619 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14618, (int) (((long) 0))));
				BgL_siza7eza7_14620 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14618, (int) (((long) 1))));
				BgL_valza2za2_14621 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14618, (int) (((long) 2))));
				BgL_i1243z00_14622 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14618, (int) (((long) 3))));
				BgL_bodyz00_14623 = PROCEDURE_REF(BgL_envz00_14618, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16994;

					BgL_bpz00_16994 = VECTOR_REF(((obj_t) BgL_sz00_14624), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14624,
						BgL_iboxesz00_14619, BgL_bpz00_16994);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14624,
						BgL_valza2za2_14621,
						((long) CINT(BgL_bpz00_16994) + BgL_siza7eza7_14620));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16995;
						obj_t BgL_wherez00_16996;
						obj_t BgL_locz00_16997;

						BgL_z12denvz12_16995 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16996 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14622))->
							BgL_wherez00);
						BgL_locz00_16997 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14622))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16995, BgL_wherez00_16996,
								BgL_locz00_16997);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16998;

								BgL_za2za2resza2za2z00_16998 =
									PROCEDURE_ENTRY(BgL_bodyz00_14623) (BgL_bodyz00_14623,
									BgL_sz00_14624, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16995);
								return BgL_za2za2resza2za2z00_16998;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3728> */
	obj_t BGl_z62zc3anonymousza33728ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14625, obj_t BgL_sz00_14629)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14626;
				obj_t BgL_bodyz00_14627;
				long BgL_siza7ezd2framez75_14628;

				BgL_i1243z00_14626 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14625, (int) (((long) 0))));
				BgL_bodyz00_14627 = PROCEDURE_REF(BgL_envz00_14625, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14628 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14625, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16999;

					BgL_bpz00_16999 = VECTOR_REF(((obj_t) BgL_sz00_14629), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17000;

							BgL_runz00_17000 =
								MAKE_FX_PROCEDURE(BGl_z62run5728z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17000,
								(int) (((long) 0)), ((obj_t) BgL_i1243z00_14626));
							PROCEDURE_SET(BgL_runz00_17000,
								(int) (((long) 1)), BgL_bodyz00_14627);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17001;

								BgL_mainz00_17001 =
									MAKE_FX_PROCEDURE(BGl_z62main5727z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17001,
									(int) (((long) 0)), ((obj_t) BgL_i1243z00_14626));
								PROCEDURE_SET(BgL_mainz00_17001,
									(int) (((long) 1)), BgL_bodyz00_14627);
								PROCEDURE_SET(BgL_mainz00_17001,
									(int) (((long) 2)), BgL_runz00_17000);
								PROCEDURE_SET(BgL_mainz00_17001,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14628));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17002;

									BgL_objz00_17002 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17000, BgL_objz00_17002);
									BgL_objz00_17002;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3729z00_17003;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3730z00_17004;

										BgL_arg3730z00_17004 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14626))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17005;

											BgL_newz00_17005 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28200;

												BgL_tmpz00_28200 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17005, BgL_tmpz00_28200,
													BgL_arg3730z00_17004);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28205;
												int BgL_tmpz00_28203;

												BgL_auxz00_28205 = BINT(BgL_siza7ezd2framez75_14628);
												BgL_tmpz00_28203 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17005, BgL_tmpz00_28203,
													BgL_auxz00_28205);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28208;

												BgL_tmpz00_28208 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17005, BgL_tmpz00_28208,
													BgL_runz00_17000);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28213;
												int BgL_tmpz00_28211;

												BgL_auxz00_28213 = BINT(((long) 3));
												BgL_tmpz00_28211 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17005, BgL_tmpz00_28211,
													BgL_auxz00_28213);
											}
											BgL_arg3729z00_17003 = BgL_newz00_17005;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17001, BgL_arg3729z00_17003);
									BgL_arg3729z00_17003;
								}
								return BgL_mainz00_17001;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5727 */
	obj_t BGl_z62main5727z62zz__evaluate_compz00(obj_t BgL_envz00_14630,
		obj_t BgL_bz00_14635, obj_t BgL_cz00_14636, obj_t BgL_dz00_14637)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14633;
				long BgL_siza7ezd2framez75_14634;

				BgL_runz00_14633 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14630, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14634 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14630, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17006;

					BgL_sz00_17006 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17007;

						BgL_bpz00_17007 = VECTOR_REF(((obj_t) BgL_sz00_17006), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17007) + BgL_siza7ezd2framez75_14634) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17006))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3733z00_17008;

									BgL_arg3733z00_17008 =
										((long) CINT(BgL_bpz00_17007) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17006), BgL_arg3733z00_17008,
										BgL_bz00_14635);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3734z00_17009;

									BgL_arg3734z00_17009 =
										((long) CINT(BgL_bpz00_17007) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17006), BgL_arg3734z00_17009,
										BgL_cz00_14636);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3735z00_17010;

									BgL_arg3735z00_17010 =
										((long) CINT(BgL_bpz00_17007) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17006), BgL_arg3735z00_17010,
										BgL_dz00_14637);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17011;

									BgL_ez00_17011 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17011,
										BgL_bpz00_17007);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17012;

										BgL_accz00_17012 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14633, BgL_sz00_17006, BgL_bpz00_17007);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17011);
										VECTOR_SET(
											((obj_t) BgL_sz00_17006), ((long) 0), BgL_bpz00_17007);
										return BgL_accz00_17012;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17013;

								BgL_nsz00_17013 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17013, ((long) 1), BgL_sz00_17006);
								VECTOR_SET(BgL_nsz00_17013, ((long) 2), BgL_bz00_14635);
								VECTOR_SET(BgL_nsz00_17013, ((long) 3), BgL_cz00_14636);
								VECTOR_SET(BgL_nsz00_17013, ((long) 4), BgL_dz00_14637);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17014;

									BgL_z12denvz12_17014 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17014, BgL_nsz00_17013);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17015;

										BgL_ez00_17015 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17015,
											BgL_sz00_17006);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17016;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17017;

												BgL_savedzd2bpzd2_17017 =
													VECTOR_REF(BgL_nsz00_17013, ((long) 0));
												VECTOR_SET(BgL_nsz00_17013, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17019;

													BgL_fz00_17019 = BgL_runz00_14633;
												BgL_recz00_17018:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17020;

														BgL_rz00_17020 =
															PROCEDURE_ENTRY(BgL_fz00_17019) (BgL_fz00_17019,
															BgL_nsz00_17013, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28266;

															if (PROCEDUREP(BgL_rz00_17020))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17021;

																	BgL_arg1693z00_17021 =
																		PROCEDURE_ATTR(BgL_rz00_17020);
																	if (STRUCTP(BgL_arg1693z00_17021))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28266 =
																				(STRUCT_KEY(BgL_arg1693z00_17021) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28266 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28266 = ((bool_t) 0);
																}
															if (BgL_testz00_28266)
																{
																	obj_t BgL_fz00_28274;

																	BgL_fz00_28274 = BgL_rz00_17020;
																	BgL_fz00_17019 = BgL_fz00_28274;
																	goto BgL_recz00_17018;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17013, ((long) 0),
																		BgL_savedzd2bpzd2_17017);
																	BgL_____rz00_17016 = BgL_rz00_17020;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17015);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17014, BgL_sz00_17006);
											return BgL_____rz00_17016;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5728 */
	obj_t BGl_z62run5728z62zz__evaluate_compz00(obj_t BgL_envz00_14638,
		obj_t BgL_sz00_14641)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14639;
				obj_t BgL_bodyz00_14640;

				BgL_i1243z00_14639 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14638, (int) (((long) 0))));
				BgL_bodyz00_14640 = PROCEDURE_REF(BgL_envz00_14638, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17022;

					BgL_bpz00_17022 = VECTOR_REF(((obj_t) BgL_sz00_14641), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17023;
						obj_t BgL_wherez00_17024;
						obj_t BgL_locz00_17025;

						BgL_z12denvz12_17023 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17024 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14639))->
							BgL_wherez00);
						BgL_locz00_17025 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14639))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17023, BgL_wherez00_17024,
								BgL_locz00_17025);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17026;

								BgL_za2za2resza2za2z00_17026 =
									PROCEDURE_ENTRY(BgL_bodyz00_14640) (BgL_bodyz00_14640,
									BgL_sz00_14641, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17023);
								return BgL_za2za2resza2za2z00_17026;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3737> */
	obj_t BGl_z62zc3anonymousza33737ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14642, obj_t BgL_sz00_14647)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14643;
				BgL_ev_absz00_bglt BgL_i1243z00_14644;
				obj_t BgL_bodyz00_14645;
				long BgL_siza7ezd2framez75_14646;

				BgL_iboxesz00_14643 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14642, (int) (((long) 0))));
				BgL_i1243z00_14644 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14642, (int) (((long) 1))));
				BgL_bodyz00_14645 = PROCEDURE_REF(BgL_envz00_14642, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14646 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14642, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17027;

					BgL_bpz00_17027 = VECTOR_REF(((obj_t) BgL_sz00_14647), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17028;

							BgL_runz00_17028 =
								MAKE_FX_PROCEDURE(BGl_z62run5730z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17028,
								(int) (((long) 0)), BgL_iboxesz00_14643);
							PROCEDURE_SET(BgL_runz00_17028,
								(int) (((long) 1)), ((obj_t) BgL_i1243z00_14644));
							PROCEDURE_SET(BgL_runz00_17028,
								(int) (((long) 2)), BgL_bodyz00_14645);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17029;

								BgL_mainz00_17029 =
									MAKE_FX_PROCEDURE(BGl_z62main5729z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17029,
									(int) (((long) 0)), BgL_iboxesz00_14643);
								PROCEDURE_SET(BgL_mainz00_17029,
									(int) (((long) 1)), ((obj_t) BgL_i1243z00_14644));
								PROCEDURE_SET(BgL_mainz00_17029,
									(int) (((long) 2)), BgL_bodyz00_14645);
								PROCEDURE_SET(BgL_mainz00_17029,
									(int) (((long) 3)), BgL_runz00_17028);
								PROCEDURE_SET(BgL_mainz00_17029,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14646));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17030;

									BgL_objz00_17030 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17028, BgL_objz00_17030);
									BgL_objz00_17030;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3738z00_17031;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3739z00_17032;

										BgL_arg3739z00_17032 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14644))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17033;

											BgL_newz00_17033 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28336;

												BgL_tmpz00_28336 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17033, BgL_tmpz00_28336,
													BgL_arg3739z00_17032);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28341;
												int BgL_tmpz00_28339;

												BgL_auxz00_28341 = BINT(BgL_siza7ezd2framez75_14646);
												BgL_tmpz00_28339 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17033, BgL_tmpz00_28339,
													BgL_auxz00_28341);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28344;

												BgL_tmpz00_28344 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17033, BgL_tmpz00_28344,
													BgL_runz00_17028);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28349;
												int BgL_tmpz00_28347;

												BgL_auxz00_28349 = BINT(((long) 3));
												BgL_tmpz00_28347 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17033, BgL_tmpz00_28347,
													BgL_auxz00_28349);
											}
											BgL_arg3738z00_17031 = BgL_newz00_17033;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17029, BgL_arg3738z00_17031);
									BgL_arg3738z00_17031;
								}
								return BgL_mainz00_17029;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5729 */
	obj_t BGl_z62main5729z62zz__evaluate_compz00(obj_t BgL_envz00_14648,
		obj_t BgL_bz00_14654, obj_t BgL_cz00_14655, obj_t BgL_dz00_14656)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14652;
				long BgL_siza7ezd2framez75_14653;

				BgL_runz00_14652 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14648, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14653 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14648, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17034;

					BgL_sz00_17034 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17035;

						BgL_bpz00_17035 = VECTOR_REF(((obj_t) BgL_sz00_17034), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17035) + BgL_siza7ezd2framez75_14653) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17034))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3742z00_17036;

									BgL_arg3742z00_17036 =
										((long) CINT(BgL_bpz00_17035) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17034), BgL_arg3742z00_17036,
										BgL_bz00_14654);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3743z00_17037;

									BgL_arg3743z00_17037 =
										((long) CINT(BgL_bpz00_17035) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17034), BgL_arg3743z00_17037,
										BgL_cz00_14655);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3744z00_17038;

									BgL_arg3744z00_17038 =
										((long) CINT(BgL_bpz00_17035) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17034), BgL_arg3744z00_17038,
										BgL_dz00_14656);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17039;

									BgL_ez00_17039 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17039,
										BgL_bpz00_17035);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17040;

										BgL_accz00_17040 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14652, BgL_sz00_17034, BgL_bpz00_17035);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17039);
										VECTOR_SET(
											((obj_t) BgL_sz00_17034), ((long) 0), BgL_bpz00_17035);
										return BgL_accz00_17040;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17041;

								BgL_nsz00_17041 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17041, ((long) 1), BgL_sz00_17034);
								VECTOR_SET(BgL_nsz00_17041, ((long) 2), BgL_bz00_14654);
								VECTOR_SET(BgL_nsz00_17041, ((long) 3), BgL_cz00_14655);
								VECTOR_SET(BgL_nsz00_17041, ((long) 4), BgL_dz00_14656);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17042;

									BgL_z12denvz12_17042 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17042, BgL_nsz00_17041);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17043;

										BgL_ez00_17043 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17043,
											BgL_sz00_17034);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17044;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17045;

												BgL_savedzd2bpzd2_17045 =
													VECTOR_REF(BgL_nsz00_17041, ((long) 0));
												VECTOR_SET(BgL_nsz00_17041, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17047;

													BgL_fz00_17047 = BgL_runz00_14652;
												BgL_recz00_17046:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17048;

														BgL_rz00_17048 =
															PROCEDURE_ENTRY(BgL_fz00_17047) (BgL_fz00_17047,
															BgL_nsz00_17041, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28402;

															if (PROCEDUREP(BgL_rz00_17048))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17049;

																	BgL_arg1693z00_17049 =
																		PROCEDURE_ATTR(BgL_rz00_17048);
																	if (STRUCTP(BgL_arg1693z00_17049))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28402 =
																				(STRUCT_KEY(BgL_arg1693z00_17049) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28402 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28402 = ((bool_t) 0);
																}
															if (BgL_testz00_28402)
																{
																	obj_t BgL_fz00_28410;

																	BgL_fz00_28410 = BgL_rz00_17048;
																	BgL_fz00_17047 = BgL_fz00_28410;
																	goto BgL_recz00_17046;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17041, ((long) 0),
																		BgL_savedzd2bpzd2_17045);
																	BgL_____rz00_17044 = BgL_rz00_17048;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17043);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17042, BgL_sz00_17034);
											return BgL_____rz00_17044;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5730 */
	obj_t BGl_z62run5730z62zz__evaluate_compz00(obj_t BgL_envz00_14657,
		obj_t BgL_sz00_14661)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14658;
				BgL_ev_absz00_bglt BgL_i1243z00_14659;
				obj_t BgL_bodyz00_14660;

				BgL_iboxesz00_14658 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14657, (int) (((long) 0))));
				BgL_i1243z00_14659 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14657, (int) (((long) 1))));
				BgL_bodyz00_14660 = PROCEDURE_REF(BgL_envz00_14657, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17050;

					BgL_bpz00_17050 = VECTOR_REF(((obj_t) BgL_sz00_14661), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14661,
						BgL_iboxesz00_14658, BgL_bpz00_17050);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17051;
						obj_t BgL_wherez00_17052;
						obj_t BgL_locz00_17053;

						BgL_z12denvz12_17051 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17052 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14659))->
							BgL_wherez00);
						BgL_locz00_17053 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14659))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17051, BgL_wherez00_17052,
								BgL_locz00_17053);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17054;

								BgL_za2za2resza2za2z00_17054 =
									PROCEDURE_ENTRY(BgL_bodyz00_14660) (BgL_bodyz00_14660,
									BgL_sz00_14661, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17051);
								return BgL_za2za2resza2za2z00_17054;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3749> */
	obj_t BGl_z62zc3anonymousza33749ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14662, obj_t BgL_sz00_14668)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14663;
				long BgL_siza7eza7_14664;
				BgL_ev_absz00_bglt BgL_i1243z00_14665;
				obj_t BgL_bodyz00_14666;
				long BgL_siza7ezd2framez75_14667;

				BgL_ifreesz00_14663 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14662, (int) (((long) 0))));
				BgL_siza7eza7_14664 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14662, (int) (((long) 1))));
				BgL_i1243z00_14665 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14662, (int) (((long) 2))));
				BgL_bodyz00_14666 = PROCEDURE_REF(BgL_envz00_14662, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14667 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14662, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17055;

					BgL_bpz00_17055 = VECTOR_REF(((obj_t) BgL_sz00_14668), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17056;

						BgL_valza2za2_17056 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14668,
							BgL_bpz00_17055, BgL_ifreesz00_14663);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17057;

							BgL_runz00_17057 =
								MAKE_FX_PROCEDURE(BGl_z62run5732z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17057,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14664));
							PROCEDURE_SET(BgL_runz00_17057,
								(int) (((long) 1)), BgL_valza2za2_17056);
							PROCEDURE_SET(BgL_runz00_17057,
								(int) (((long) 2)), ((obj_t) BgL_i1243z00_14665));
							PROCEDURE_SET(BgL_runz00_17057,
								(int) (((long) 3)), BgL_bodyz00_14666);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17058;

								BgL_mainz00_17058 =
									MAKE_FX_PROCEDURE(BGl_z62main5731z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17058,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14664));
								PROCEDURE_SET(BgL_mainz00_17058,
									(int) (((long) 1)), BgL_valza2za2_17056);
								PROCEDURE_SET(BgL_mainz00_17058,
									(int) (((long) 2)), ((obj_t) BgL_i1243z00_14665));
								PROCEDURE_SET(BgL_mainz00_17058,
									(int) (((long) 3)), BgL_bodyz00_14666);
								PROCEDURE_SET(BgL_mainz00_17058,
									(int) (((long) 4)), BgL_runz00_17057);
								PROCEDURE_SET(BgL_mainz00_17058,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14667));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17059;

									BgL_objz00_17059 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17057, BgL_objz00_17059);
									BgL_objz00_17059;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3750z00_17060;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3751z00_17061;

										BgL_arg3751z00_17061 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14665))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17062;

											BgL_newz00_17062 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28486;

												BgL_tmpz00_28486 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17062, BgL_tmpz00_28486,
													BgL_arg3751z00_17061);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28491;
												int BgL_tmpz00_28489;

												BgL_auxz00_28491 = BINT(BgL_siza7ezd2framez75_14667);
												BgL_tmpz00_28489 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17062, BgL_tmpz00_28489,
													BgL_auxz00_28491);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28494;

												BgL_tmpz00_28494 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17062, BgL_tmpz00_28494,
													BgL_runz00_17057);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28499;
												int BgL_tmpz00_28497;

												BgL_auxz00_28499 = BINT(((long) 3));
												BgL_tmpz00_28497 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17062, BgL_tmpz00_28497,
													BgL_auxz00_28499);
											}
											BgL_arg3750z00_17060 = BgL_newz00_17062;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17058, BgL_arg3750z00_17060);
									BgL_arg3750z00_17060;
								}
								return BgL_mainz00_17058;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5731 */
	obj_t BGl_z62main5731z62zz__evaluate_compz00(obj_t BgL_envz00_14669,
		obj_t BgL_bz00_14676, obj_t BgL_cz00_14677, obj_t BgL_dz00_14678)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14674;
				long BgL_siza7ezd2framez75_14675;

				BgL_runz00_14674 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14669, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14675 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14669, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17063;

					BgL_sz00_17063 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17064;

						BgL_bpz00_17064 = VECTOR_REF(((obj_t) BgL_sz00_17063), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17064) + BgL_siza7ezd2framez75_14675) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17063))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3754z00_17065;

									BgL_arg3754z00_17065 =
										((long) CINT(BgL_bpz00_17064) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17063), BgL_arg3754z00_17065,
										BgL_bz00_14676);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3755z00_17066;

									BgL_arg3755z00_17066 =
										((long) CINT(BgL_bpz00_17064) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17063), BgL_arg3755z00_17066,
										BgL_cz00_14677);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3756z00_17067;

									BgL_arg3756z00_17067 =
										((long) CINT(BgL_bpz00_17064) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17063), BgL_arg3756z00_17067,
										BgL_dz00_14678);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17068;

									BgL_ez00_17068 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17068,
										BgL_bpz00_17064);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17069;

										BgL_accz00_17069 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14674, BgL_sz00_17063, BgL_bpz00_17064);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17068);
										VECTOR_SET(
											((obj_t) BgL_sz00_17063), ((long) 0), BgL_bpz00_17064);
										return BgL_accz00_17069;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17070;

								BgL_nsz00_17070 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17070, ((long) 1), BgL_sz00_17063);
								VECTOR_SET(BgL_nsz00_17070, ((long) 2), BgL_bz00_14676);
								VECTOR_SET(BgL_nsz00_17070, ((long) 3), BgL_cz00_14677);
								VECTOR_SET(BgL_nsz00_17070, ((long) 4), BgL_dz00_14678);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17071;

									BgL_z12denvz12_17071 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17071, BgL_nsz00_17070);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17072;

										BgL_ez00_17072 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17072,
											BgL_sz00_17063);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17073;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17074;

												BgL_savedzd2bpzd2_17074 =
													VECTOR_REF(BgL_nsz00_17070, ((long) 0));
												VECTOR_SET(BgL_nsz00_17070, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17076;

													BgL_fz00_17076 = BgL_runz00_14674;
												BgL_recz00_17075:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17077;

														BgL_rz00_17077 =
															PROCEDURE_ENTRY(BgL_fz00_17076) (BgL_fz00_17076,
															BgL_nsz00_17070, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28552;

															if (PROCEDUREP(BgL_rz00_17077))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17078;

																	BgL_arg1693z00_17078 =
																		PROCEDURE_ATTR(BgL_rz00_17077);
																	if (STRUCTP(BgL_arg1693z00_17078))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28552 =
																				(STRUCT_KEY(BgL_arg1693z00_17078) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28552 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28552 = ((bool_t) 0);
																}
															if (BgL_testz00_28552)
																{
																	obj_t BgL_fz00_28560;

																	BgL_fz00_28560 = BgL_rz00_17077;
																	BgL_fz00_17076 = BgL_fz00_28560;
																	goto BgL_recz00_17075;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17070, ((long) 0),
																		BgL_savedzd2bpzd2_17074);
																	BgL_____rz00_17073 = BgL_rz00_17077;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17072);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17071, BgL_sz00_17063);
											return BgL_____rz00_17073;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5732 */
	obj_t BGl_z62run5732z62zz__evaluate_compz00(obj_t BgL_envz00_14679,
		obj_t BgL_sz00_14684)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14680;
				obj_t BgL_valza2za2_14681;
				BgL_ev_absz00_bglt BgL_i1243z00_14682;
				obj_t BgL_bodyz00_14683;

				BgL_siza7eza7_14680 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14679, (int) (((long) 0))));
				BgL_valza2za2_14681 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14679, (int) (((long) 1))));
				BgL_i1243z00_14682 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14679, (int) (((long) 2))));
				BgL_bodyz00_14683 = PROCEDURE_REF(BgL_envz00_14679, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17079;

					BgL_bpz00_17079 = VECTOR_REF(((obj_t) BgL_sz00_14684), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14684,
						BgL_valza2za2_14681,
						((long) CINT(BgL_bpz00_17079) + BgL_siza7eza7_14680));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17080;
						obj_t BgL_wherez00_17081;
						obj_t BgL_locz00_17082;

						BgL_z12denvz12_17080 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17081 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14682))->
							BgL_wherez00);
						BgL_locz00_17082 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14682))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17080, BgL_wherez00_17081,
								BgL_locz00_17082);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17083;

								BgL_za2za2resza2za2z00_17083 =
									PROCEDURE_ENTRY(BgL_bodyz00_14683) (BgL_bodyz00_14683,
									BgL_sz00_14684, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17080);
								return BgL_za2za2resza2za2z00_17083;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3759> */
	obj_t BGl_z62zc3anonymousza33759ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14685, obj_t BgL_sz00_14692)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14686;
				obj_t BgL_iboxesz00_14687;
				long BgL_siza7eza7_14688;
				BgL_ev_absz00_bglt BgL_i1243z00_14689;
				obj_t BgL_bodyz00_14690;
				long BgL_siza7ezd2framez75_14691;

				BgL_ifreesz00_14686 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14685, (int) (((long) 0))));
				BgL_iboxesz00_14687 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14685, (int) (((long) 1))));
				BgL_siza7eza7_14688 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14685, (int) (((long) 2))));
				BgL_i1243z00_14689 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14685, (int) (((long) 3))));
				BgL_bodyz00_14690 = PROCEDURE_REF(BgL_envz00_14685, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14691 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14685, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17084;

					BgL_bpz00_17084 = VECTOR_REF(((obj_t) BgL_sz00_14692), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17085;

						BgL_valza2za2_17085 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14692,
							BgL_bpz00_17084, BgL_ifreesz00_14686);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17086;

							BgL_runz00_17086 =
								MAKE_FX_PROCEDURE(BGl_z62run5734z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17086,
								(int) (((long) 0)), BgL_iboxesz00_14687);
							PROCEDURE_SET(BgL_runz00_17086,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14688));
							PROCEDURE_SET(BgL_runz00_17086,
								(int) (((long) 2)), BgL_valza2za2_17085);
							PROCEDURE_SET(BgL_runz00_17086,
								(int) (((long) 3)), ((obj_t) BgL_i1243z00_14689));
							PROCEDURE_SET(BgL_runz00_17086,
								(int) (((long) 4)), BgL_bodyz00_14690);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17087;

								BgL_mainz00_17087 =
									MAKE_FX_PROCEDURE(BGl_z62main5733z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17087,
									(int) (((long) 0)), BgL_iboxesz00_14687);
								PROCEDURE_SET(BgL_mainz00_17087,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14688));
								PROCEDURE_SET(BgL_mainz00_17087,
									(int) (((long) 2)), BgL_valza2za2_17085);
								PROCEDURE_SET(BgL_mainz00_17087,
									(int) (((long) 3)), ((obj_t) BgL_i1243z00_14689));
								PROCEDURE_SET(BgL_mainz00_17087,
									(int) (((long) 4)), BgL_bodyz00_14690);
								PROCEDURE_SET(BgL_mainz00_17087,
									(int) (((long) 5)), BgL_runz00_17086);
								PROCEDURE_SET(BgL_mainz00_17087,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14691));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17088;

									BgL_objz00_17088 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17086, BgL_objz00_17088);
									BgL_objz00_17088;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3760z00_17089;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3761z00_17090;

										BgL_arg3761z00_17090 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14689))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17091;

											BgL_newz00_17091 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28648;

												BgL_tmpz00_28648 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17091, BgL_tmpz00_28648,
													BgL_arg3761z00_17090);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28653;
												int BgL_tmpz00_28651;

												BgL_auxz00_28653 = BINT(BgL_siza7ezd2framez75_14691);
												BgL_tmpz00_28651 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17091, BgL_tmpz00_28651,
													BgL_auxz00_28653);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28656;

												BgL_tmpz00_28656 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17091, BgL_tmpz00_28656,
													BgL_runz00_17086);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28661;
												int BgL_tmpz00_28659;

												BgL_auxz00_28661 = BINT(((long) 3));
												BgL_tmpz00_28659 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17091, BgL_tmpz00_28659,
													BgL_auxz00_28661);
											}
											BgL_arg3760z00_17089 = BgL_newz00_17091;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17087, BgL_arg3760z00_17089);
									BgL_arg3760z00_17089;
								}
								return BgL_mainz00_17087;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5733 */
	obj_t BGl_z62main5733z62zz__evaluate_compz00(obj_t BgL_envz00_14693,
		obj_t BgL_bz00_14701, obj_t BgL_cz00_14702, obj_t BgL_dz00_14703)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14699;
				long BgL_siza7ezd2framez75_14700;

				BgL_runz00_14699 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14693, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14700 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14693, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17092;

					BgL_sz00_17092 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17093;

						BgL_bpz00_17093 = VECTOR_REF(((obj_t) BgL_sz00_17092), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17093) + BgL_siza7ezd2framez75_14700) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17092))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3764z00_17094;

									BgL_arg3764z00_17094 =
										((long) CINT(BgL_bpz00_17093) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17092), BgL_arg3764z00_17094,
										BgL_bz00_14701);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3765z00_17095;

									BgL_arg3765z00_17095 =
										((long) CINT(BgL_bpz00_17093) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17092), BgL_arg3765z00_17095,
										BgL_cz00_14702);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3766z00_17096;

									BgL_arg3766z00_17096 =
										((long) CINT(BgL_bpz00_17093) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17092), BgL_arg3766z00_17096,
										BgL_dz00_14703);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17097;

									BgL_ez00_17097 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17097,
										BgL_bpz00_17093);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17098;

										BgL_accz00_17098 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14699, BgL_sz00_17092, BgL_bpz00_17093);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17097);
										VECTOR_SET(
											((obj_t) BgL_sz00_17092), ((long) 0), BgL_bpz00_17093);
										return BgL_accz00_17098;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17099;

								BgL_nsz00_17099 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17099, ((long) 1), BgL_sz00_17092);
								VECTOR_SET(BgL_nsz00_17099, ((long) 2), BgL_bz00_14701);
								VECTOR_SET(BgL_nsz00_17099, ((long) 3), BgL_cz00_14702);
								VECTOR_SET(BgL_nsz00_17099, ((long) 4), BgL_dz00_14703);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17100;

									BgL_z12denvz12_17100 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17100, BgL_nsz00_17099);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17101;

										BgL_ez00_17101 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17101,
											BgL_sz00_17092);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17102;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17103;

												BgL_savedzd2bpzd2_17103 =
													VECTOR_REF(BgL_nsz00_17099, ((long) 0));
												VECTOR_SET(BgL_nsz00_17099, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17105;

													BgL_fz00_17105 = BgL_runz00_14699;
												BgL_recz00_17104:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17106;

														BgL_rz00_17106 =
															PROCEDURE_ENTRY(BgL_fz00_17105) (BgL_fz00_17105,
															BgL_nsz00_17099, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28714;

															if (PROCEDUREP(BgL_rz00_17106))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17107;

																	BgL_arg1693z00_17107 =
																		PROCEDURE_ATTR(BgL_rz00_17106);
																	if (STRUCTP(BgL_arg1693z00_17107))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28714 =
																				(STRUCT_KEY(BgL_arg1693z00_17107) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28714 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28714 = ((bool_t) 0);
																}
															if (BgL_testz00_28714)
																{
																	obj_t BgL_fz00_28722;

																	BgL_fz00_28722 = BgL_rz00_17106;
																	BgL_fz00_17105 = BgL_fz00_28722;
																	goto BgL_recz00_17104;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17099, ((long) 0),
																		BgL_savedzd2bpzd2_17103);
																	BgL_____rz00_17102 = BgL_rz00_17106;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17101);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17100, BgL_sz00_17092);
											return BgL_____rz00_17102;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5734 */
	obj_t BGl_z62run5734z62zz__evaluate_compz00(obj_t BgL_envz00_14704,
		obj_t BgL_sz00_14710)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14705;
				long BgL_siza7eza7_14706;
				obj_t BgL_valza2za2_14707;
				BgL_ev_absz00_bglt BgL_i1243z00_14708;
				obj_t BgL_bodyz00_14709;

				BgL_iboxesz00_14705 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14704, (int) (((long) 0))));
				BgL_siza7eza7_14706 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14704, (int) (((long) 1))));
				BgL_valza2za2_14707 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14704, (int) (((long) 2))));
				BgL_i1243z00_14708 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14704, (int) (((long) 3))));
				BgL_bodyz00_14709 = PROCEDURE_REF(BgL_envz00_14704, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17108;

					BgL_bpz00_17108 = VECTOR_REF(((obj_t) BgL_sz00_14710), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14710,
						BgL_iboxesz00_14705, BgL_bpz00_17108);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14710,
						BgL_valza2za2_14707,
						((long) CINT(BgL_bpz00_17108) + BgL_siza7eza7_14706));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17109;
						obj_t BgL_wherez00_17110;
						obj_t BgL_locz00_17111;

						BgL_z12denvz12_17109 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17110 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14708))->
							BgL_wherez00);
						BgL_locz00_17111 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14708))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17109, BgL_wherez00_17110,
								BgL_locz00_17111);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17112;

								BgL_za2za2resza2za2z00_17112 =
									PROCEDURE_ENTRY(BgL_bodyz00_14709) (BgL_bodyz00_14709,
									BgL_sz00_14710, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17109);
								return BgL_za2za2resza2za2z00_17112;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3673> */
	obj_t BGl_z62zc3anonymousza33673ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14711, obj_t BgL_sz00_14715)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14712;
				obj_t BgL_bodyz00_14713;
				long BgL_siza7ezd2framez75_14714;

				BgL_i1243z00_14712 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14711, (int) (((long) 0))));
				BgL_bodyz00_14713 = PROCEDURE_REF(BgL_envz00_14711, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14714 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14711, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17113;

					BgL_bpz00_17113 = VECTOR_REF(((obj_t) BgL_sz00_14715), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17114;

							BgL_runz00_17114 =
								MAKE_FX_PROCEDURE(BGl_z62run5736z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17114,
								(int) (((long) 0)), ((obj_t) BgL_i1243z00_14712));
							PROCEDURE_SET(BgL_runz00_17114,
								(int) (((long) 1)), BgL_bodyz00_14713);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17115;

								BgL_mainz00_17115 =
									MAKE_VA_PROCEDURE(BGl_z62main5735z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17115,
									(int) (((long) 0)), ((obj_t) BgL_i1243z00_14712));
								PROCEDURE_SET(BgL_mainz00_17115,
									(int) (((long) 1)), BgL_bodyz00_14713);
								PROCEDURE_SET(BgL_mainz00_17115,
									(int) (((long) 2)), BgL_runz00_17114);
								PROCEDURE_SET(BgL_mainz00_17115,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14714));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17116;

									BgL_objz00_17116 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17114, BgL_objz00_17116);
									BgL_objz00_17116;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3674z00_17117;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3676z00_17118;

										BgL_arg3676z00_17118 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14712))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17119;

											BgL_newz00_17119 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28790;

												BgL_tmpz00_28790 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17119, BgL_tmpz00_28790,
													BgL_arg3676z00_17118);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28795;
												int BgL_tmpz00_28793;

												BgL_auxz00_28795 = BINT(BgL_siza7ezd2framez75_14714);
												BgL_tmpz00_28793 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17119, BgL_tmpz00_28793,
													BgL_auxz00_28795);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28798;

												BgL_tmpz00_28798 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17119, BgL_tmpz00_28798,
													BgL_runz00_17114);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28803;
												int BgL_tmpz00_28801;

												BgL_auxz00_28803 = BINT(((long) -3));
												BgL_tmpz00_28801 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17119, BgL_tmpz00_28801,
													BgL_auxz00_28803);
											}
											BgL_arg3674z00_17117 = BgL_newz00_17119;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17115, BgL_arg3674z00_17117);
									BgL_arg3674z00_17117;
								}
								return BgL_mainz00_17115;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5735 */
	obj_t BGl_z62main5735z62zz__evaluate_compz00(obj_t BgL_envz00_14716,
		obj_t BgL_cz00_14721, obj_t BgL_dz00_14722, obj_t BgL_lastz00_14723)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14719;
				long BgL_siza7ezd2framez75_14720;

				BgL_runz00_14719 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14716, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14720 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14716, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17120;

					BgL_sz00_17120 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17121;

						BgL_bpz00_17121 = VECTOR_REF(((obj_t) BgL_sz00_17120), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17121) + BgL_siza7ezd2framez75_14720) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17120))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3679z00_17122;

									BgL_arg3679z00_17122 =
										((long) CINT(BgL_bpz00_17121) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17120), BgL_arg3679z00_17122,
										BgL_cz00_14721);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3680z00_17123;

									BgL_arg3680z00_17123 =
										((long) CINT(BgL_bpz00_17121) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17120), BgL_arg3680z00_17123,
										BgL_dz00_14722);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3681z00_17124;

									BgL_arg3681z00_17124 =
										((long) CINT(BgL_bpz00_17121) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17120), BgL_arg3681z00_17124,
										BgL_lastz00_14723);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17125;

									BgL_ez00_17125 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17125,
										BgL_bpz00_17121);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17126;

										BgL_accz00_17126 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14719, BgL_sz00_17120, BgL_bpz00_17121);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17125);
										VECTOR_SET(
											((obj_t) BgL_sz00_17120), ((long) 0), BgL_bpz00_17121);
										return BgL_accz00_17126;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17127;

								BgL_nsz00_17127 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17127, ((long) 1), BgL_sz00_17120);
								VECTOR_SET(BgL_nsz00_17127, ((long) 2), BgL_cz00_14721);
								VECTOR_SET(BgL_nsz00_17127, ((long) 3), BgL_dz00_14722);
								VECTOR_SET(BgL_nsz00_17127, ((long) 4), BgL_lastz00_14723);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17128;

									BgL_z12denvz12_17128 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17128, BgL_nsz00_17127);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17129;

										BgL_ez00_17129 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17129,
											BgL_sz00_17120);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17130;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17131;

												BgL_savedzd2bpzd2_17131 =
													VECTOR_REF(BgL_nsz00_17127, ((long) 0));
												VECTOR_SET(BgL_nsz00_17127, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17133;

													BgL_fz00_17133 = BgL_runz00_14719;
												BgL_recz00_17132:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17134;

														BgL_rz00_17134 =
															PROCEDURE_ENTRY(BgL_fz00_17133) (BgL_fz00_17133,
															BgL_nsz00_17127, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28856;

															if (PROCEDUREP(BgL_rz00_17134))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17135;

																	BgL_arg1693z00_17135 =
																		PROCEDURE_ATTR(BgL_rz00_17134);
																	if (STRUCTP(BgL_arg1693z00_17135))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28856 =
																				(STRUCT_KEY(BgL_arg1693z00_17135) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28856 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28856 = ((bool_t) 0);
																}
															if (BgL_testz00_28856)
																{
																	obj_t BgL_fz00_28864;

																	BgL_fz00_28864 = BgL_rz00_17134;
																	BgL_fz00_17133 = BgL_fz00_28864;
																	goto BgL_recz00_17132;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17127, ((long) 0),
																		BgL_savedzd2bpzd2_17131);
																	BgL_____rz00_17130 = BgL_rz00_17134;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17129);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17128, BgL_sz00_17120);
											return BgL_____rz00_17130;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5736 */
	obj_t BGl_z62run5736z62zz__evaluate_compz00(obj_t BgL_envz00_14724,
		obj_t BgL_sz00_14727)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14725;
				obj_t BgL_bodyz00_14726;

				BgL_i1243z00_14725 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14724, (int) (((long) 0))));
				BgL_bodyz00_14726 = PROCEDURE_REF(BgL_envz00_14724, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17136;

					BgL_bpz00_17136 = VECTOR_REF(((obj_t) BgL_sz00_14727), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17137;
						obj_t BgL_wherez00_17138;
						obj_t BgL_locz00_17139;

						BgL_z12denvz12_17137 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17138 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14725))->
							BgL_wherez00);
						BgL_locz00_17139 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14725))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17137, BgL_wherez00_17138,
								BgL_locz00_17139);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17140;

								BgL_za2za2resza2za2z00_17140 =
									PROCEDURE_ENTRY(BgL_bodyz00_14726) (BgL_bodyz00_14726,
									BgL_sz00_14727, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17137);
								return BgL_za2za2resza2za2z00_17140;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3683> */
	obj_t BGl_z62zc3anonymousza33683ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14728, obj_t BgL_sz00_14733)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14729;
				BgL_ev_absz00_bglt BgL_i1243z00_14730;
				obj_t BgL_bodyz00_14731;
				long BgL_siza7ezd2framez75_14732;

				BgL_iboxesz00_14729 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14728, (int) (((long) 0))));
				BgL_i1243z00_14730 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14728, (int) (((long) 1))));
				BgL_bodyz00_14731 = PROCEDURE_REF(BgL_envz00_14728, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14732 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14728, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17141;

					BgL_bpz00_17141 = VECTOR_REF(((obj_t) BgL_sz00_14733), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17142;

							BgL_runz00_17142 =
								MAKE_FX_PROCEDURE(BGl_z62run5738z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17142,
								(int) (((long) 0)), BgL_iboxesz00_14729);
							PROCEDURE_SET(BgL_runz00_17142,
								(int) (((long) 1)), ((obj_t) BgL_i1243z00_14730));
							PROCEDURE_SET(BgL_runz00_17142,
								(int) (((long) 2)), BgL_bodyz00_14731);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17143;

								BgL_mainz00_17143 =
									MAKE_VA_PROCEDURE(BGl_z62main5737z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17143,
									(int) (((long) 0)), BgL_iboxesz00_14729);
								PROCEDURE_SET(BgL_mainz00_17143,
									(int) (((long) 1)), ((obj_t) BgL_i1243z00_14730));
								PROCEDURE_SET(BgL_mainz00_17143,
									(int) (((long) 2)), BgL_bodyz00_14731);
								PROCEDURE_SET(BgL_mainz00_17143,
									(int) (((long) 3)), BgL_runz00_17142);
								PROCEDURE_SET(BgL_mainz00_17143,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14732));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17144;

									BgL_objz00_17144 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17142, BgL_objz00_17144);
									BgL_objz00_17144;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3684z00_17145;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3686z00_17146;

										BgL_arg3686z00_17146 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14730))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17147;

											BgL_newz00_17147 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28926;

												BgL_tmpz00_28926 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17147, BgL_tmpz00_28926,
													BgL_arg3686z00_17146);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28931;
												int BgL_tmpz00_28929;

												BgL_auxz00_28931 = BINT(BgL_siza7ezd2framez75_14732);
												BgL_tmpz00_28929 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17147, BgL_tmpz00_28929,
													BgL_auxz00_28931);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28934;

												BgL_tmpz00_28934 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17147, BgL_tmpz00_28934,
													BgL_runz00_17142);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28939;
												int BgL_tmpz00_28937;

												BgL_auxz00_28939 = BINT(((long) -3));
												BgL_tmpz00_28937 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17147, BgL_tmpz00_28937,
													BgL_auxz00_28939);
											}
											BgL_arg3684z00_17145 = BgL_newz00_17147;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17143, BgL_arg3684z00_17145);
									BgL_arg3684z00_17145;
								}
								return BgL_mainz00_17143;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5737 */
	obj_t BGl_z62main5737z62zz__evaluate_compz00(obj_t BgL_envz00_14734,
		obj_t BgL_cz00_14740, obj_t BgL_dz00_14741, obj_t BgL_lastz00_14742)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14738;
				long BgL_siza7ezd2framez75_14739;

				BgL_runz00_14738 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14734, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14739 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14734, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17148;

					BgL_sz00_17148 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17149;

						BgL_bpz00_17149 = VECTOR_REF(((obj_t) BgL_sz00_17148), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17149) + BgL_siza7ezd2framez75_14739) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17148))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3689z00_17150;

									BgL_arg3689z00_17150 =
										((long) CINT(BgL_bpz00_17149) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17148), BgL_arg3689z00_17150,
										BgL_cz00_14740);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3690z00_17151;

									BgL_arg3690z00_17151 =
										((long) CINT(BgL_bpz00_17149) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17148), BgL_arg3690z00_17151,
										BgL_dz00_14741);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3691z00_17152;

									BgL_arg3691z00_17152 =
										((long) CINT(BgL_bpz00_17149) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17148), BgL_arg3691z00_17152,
										BgL_lastz00_14742);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17153;

									BgL_ez00_17153 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17153,
										BgL_bpz00_17149);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17154;

										BgL_accz00_17154 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14738, BgL_sz00_17148, BgL_bpz00_17149);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17153);
										VECTOR_SET(
											((obj_t) BgL_sz00_17148), ((long) 0), BgL_bpz00_17149);
										return BgL_accz00_17154;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17155;

								BgL_nsz00_17155 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17155, ((long) 1), BgL_sz00_17148);
								VECTOR_SET(BgL_nsz00_17155, ((long) 2), BgL_cz00_14740);
								VECTOR_SET(BgL_nsz00_17155, ((long) 3), BgL_dz00_14741);
								VECTOR_SET(BgL_nsz00_17155, ((long) 4), BgL_lastz00_14742);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17156;

									BgL_z12denvz12_17156 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17156, BgL_nsz00_17155);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17157;

										BgL_ez00_17157 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17157,
											BgL_sz00_17148);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17158;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17159;

												BgL_savedzd2bpzd2_17159 =
													VECTOR_REF(BgL_nsz00_17155, ((long) 0));
												VECTOR_SET(BgL_nsz00_17155, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17161;

													BgL_fz00_17161 = BgL_runz00_14738;
												BgL_recz00_17160:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17162;

														BgL_rz00_17162 =
															PROCEDURE_ENTRY(BgL_fz00_17161) (BgL_fz00_17161,
															BgL_nsz00_17155, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28992;

															if (PROCEDUREP(BgL_rz00_17162))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17163;

																	BgL_arg1693z00_17163 =
																		PROCEDURE_ATTR(BgL_rz00_17162);
																	if (STRUCTP(BgL_arg1693z00_17163))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28992 =
																				(STRUCT_KEY(BgL_arg1693z00_17163) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28992 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28992 = ((bool_t) 0);
																}
															if (BgL_testz00_28992)
																{
																	obj_t BgL_fz00_29000;

																	BgL_fz00_29000 = BgL_rz00_17162;
																	BgL_fz00_17161 = BgL_fz00_29000;
																	goto BgL_recz00_17160;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17155, ((long) 0),
																		BgL_savedzd2bpzd2_17159);
																	BgL_____rz00_17158 = BgL_rz00_17162;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17157);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17156, BgL_sz00_17148);
											return BgL_____rz00_17158;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5738 */
	obj_t BGl_z62run5738z62zz__evaluate_compz00(obj_t BgL_envz00_14743,
		obj_t BgL_sz00_14747)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14744;
				BgL_ev_absz00_bglt BgL_i1243z00_14745;
				obj_t BgL_bodyz00_14746;

				BgL_iboxesz00_14744 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14743, (int) (((long) 0))));
				BgL_i1243z00_14745 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14743, (int) (((long) 1))));
				BgL_bodyz00_14746 = PROCEDURE_REF(BgL_envz00_14743, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17164;

					BgL_bpz00_17164 = VECTOR_REF(((obj_t) BgL_sz00_14747), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14747,
						BgL_iboxesz00_14744, BgL_bpz00_17164);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17165;
						obj_t BgL_wherez00_17166;
						obj_t BgL_locz00_17167;

						BgL_z12denvz12_17165 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17166 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14745))->
							BgL_wherez00);
						BgL_locz00_17167 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14745))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17165, BgL_wherez00_17166,
								BgL_locz00_17167);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17168;

								BgL_za2za2resza2za2z00_17168 =
									PROCEDURE_ENTRY(BgL_bodyz00_14746) (BgL_bodyz00_14746,
									BgL_sz00_14747, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17165);
								return BgL_za2za2resza2za2z00_17168;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3697> */
	obj_t BGl_z62zc3anonymousza33697ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14748, obj_t BgL_sz00_14754)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14749;
				long BgL_siza7eza7_14750;
				BgL_ev_absz00_bglt BgL_i1243z00_14751;
				obj_t BgL_bodyz00_14752;
				long BgL_siza7ezd2framez75_14753;

				BgL_ifreesz00_14749 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14748, (int) (((long) 0))));
				BgL_siza7eza7_14750 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14748, (int) (((long) 1))));
				BgL_i1243z00_14751 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14748, (int) (((long) 2))));
				BgL_bodyz00_14752 = PROCEDURE_REF(BgL_envz00_14748, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14753 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14748, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17169;

					BgL_bpz00_17169 = VECTOR_REF(((obj_t) BgL_sz00_14754), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17170;

						BgL_valza2za2_17170 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14754,
							BgL_bpz00_17169, BgL_ifreesz00_14749);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17171;

							BgL_runz00_17171 =
								MAKE_FX_PROCEDURE(BGl_z62run5740z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17171,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14750));
							PROCEDURE_SET(BgL_runz00_17171,
								(int) (((long) 1)), BgL_valza2za2_17170);
							PROCEDURE_SET(BgL_runz00_17171,
								(int) (((long) 2)), ((obj_t) BgL_i1243z00_14751));
							PROCEDURE_SET(BgL_runz00_17171,
								(int) (((long) 3)), BgL_bodyz00_14752);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17172;

								BgL_mainz00_17172 =
									MAKE_VA_PROCEDURE(BGl_z62main5739z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17172,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14750));
								PROCEDURE_SET(BgL_mainz00_17172,
									(int) (((long) 1)), BgL_valza2za2_17170);
								PROCEDURE_SET(BgL_mainz00_17172,
									(int) (((long) 2)), ((obj_t) BgL_i1243z00_14751));
								PROCEDURE_SET(BgL_mainz00_17172,
									(int) (((long) 3)), BgL_bodyz00_14752);
								PROCEDURE_SET(BgL_mainz00_17172,
									(int) (((long) 4)), BgL_runz00_17171);
								PROCEDURE_SET(BgL_mainz00_17172,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14753));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17173;

									BgL_objz00_17173 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17171, BgL_objz00_17173);
									BgL_objz00_17173;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3699z00_17174;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3700z00_17175;

										BgL_arg3700z00_17175 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14751))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17176;

											BgL_newz00_17176 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29076;

												BgL_tmpz00_29076 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17176, BgL_tmpz00_29076,
													BgL_arg3700z00_17175);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29081;
												int BgL_tmpz00_29079;

												BgL_auxz00_29081 = BINT(BgL_siza7ezd2framez75_14753);
												BgL_tmpz00_29079 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17176, BgL_tmpz00_29079,
													BgL_auxz00_29081);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29084;

												BgL_tmpz00_29084 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17176, BgL_tmpz00_29084,
													BgL_runz00_17171);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29089;
												int BgL_tmpz00_29087;

												BgL_auxz00_29089 = BINT(((long) -3));
												BgL_tmpz00_29087 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17176, BgL_tmpz00_29087,
													BgL_auxz00_29089);
											}
											BgL_arg3699z00_17174 = BgL_newz00_17176;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17172, BgL_arg3699z00_17174);
									BgL_arg3699z00_17174;
								}
								return BgL_mainz00_17172;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5739 */
	obj_t BGl_z62main5739z62zz__evaluate_compz00(obj_t BgL_envz00_14755,
		obj_t BgL_cz00_14762, obj_t BgL_dz00_14763, obj_t BgL_lastz00_14764)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14760;
				long BgL_siza7ezd2framez75_14761;

				BgL_runz00_14760 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14755, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14761 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14755, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17177;

					BgL_sz00_17177 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17178;

						BgL_bpz00_17178 = VECTOR_REF(((obj_t) BgL_sz00_17177), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17178) + BgL_siza7ezd2framez75_14761) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17177))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3703z00_17179;

									BgL_arg3703z00_17179 =
										((long) CINT(BgL_bpz00_17178) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17177), BgL_arg3703z00_17179,
										BgL_cz00_14762);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3705z00_17180;

									BgL_arg3705z00_17180 =
										((long) CINT(BgL_bpz00_17178) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17177), BgL_arg3705z00_17180,
										BgL_dz00_14763);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3706z00_17181;

									BgL_arg3706z00_17181 =
										((long) CINT(BgL_bpz00_17178) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17177), BgL_arg3706z00_17181,
										BgL_lastz00_14764);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17182;

									BgL_ez00_17182 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17182,
										BgL_bpz00_17178);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17183;

										BgL_accz00_17183 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14760, BgL_sz00_17177, BgL_bpz00_17178);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17182);
										VECTOR_SET(
											((obj_t) BgL_sz00_17177), ((long) 0), BgL_bpz00_17178);
										return BgL_accz00_17183;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17184;

								BgL_nsz00_17184 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17184, ((long) 1), BgL_sz00_17177);
								VECTOR_SET(BgL_nsz00_17184, ((long) 2), BgL_cz00_14762);
								VECTOR_SET(BgL_nsz00_17184, ((long) 3), BgL_dz00_14763);
								VECTOR_SET(BgL_nsz00_17184, ((long) 4), BgL_lastz00_14764);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17185;

									BgL_z12denvz12_17185 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17185, BgL_nsz00_17184);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17186;

										BgL_ez00_17186 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17186,
											BgL_sz00_17177);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17187;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17188;

												BgL_savedzd2bpzd2_17188 =
													VECTOR_REF(BgL_nsz00_17184, ((long) 0));
												VECTOR_SET(BgL_nsz00_17184, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17190;

													BgL_fz00_17190 = BgL_runz00_14760;
												BgL_recz00_17189:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17191;

														BgL_rz00_17191 =
															PROCEDURE_ENTRY(BgL_fz00_17190) (BgL_fz00_17190,
															BgL_nsz00_17184, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29142;

															if (PROCEDUREP(BgL_rz00_17191))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17192;

																	BgL_arg1693z00_17192 =
																		PROCEDURE_ATTR(BgL_rz00_17191);
																	if (STRUCTP(BgL_arg1693z00_17192))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29142 =
																				(STRUCT_KEY(BgL_arg1693z00_17192) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29142 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29142 = ((bool_t) 0);
																}
															if (BgL_testz00_29142)
																{
																	obj_t BgL_fz00_29150;

																	BgL_fz00_29150 = BgL_rz00_17191;
																	BgL_fz00_17190 = BgL_fz00_29150;
																	goto BgL_recz00_17189;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17184, ((long) 0),
																		BgL_savedzd2bpzd2_17188);
																	BgL_____rz00_17187 = BgL_rz00_17191;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17186);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17185, BgL_sz00_17177);
											return BgL_____rz00_17187;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5740 */
	obj_t BGl_z62run5740z62zz__evaluate_compz00(obj_t BgL_envz00_14765,
		obj_t BgL_sz00_14770)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14766;
				obj_t BgL_valza2za2_14767;
				BgL_ev_absz00_bglt BgL_i1243z00_14768;
				obj_t BgL_bodyz00_14769;

				BgL_siza7eza7_14766 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14765, (int) (((long) 0))));
				BgL_valza2za2_14767 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14765, (int) (((long) 1))));
				BgL_i1243z00_14768 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14765, (int) (((long) 2))));
				BgL_bodyz00_14769 = PROCEDURE_REF(BgL_envz00_14765, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17193;

					BgL_bpz00_17193 = VECTOR_REF(((obj_t) BgL_sz00_14770), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14770,
						BgL_valza2za2_14767,
						((long) CINT(BgL_bpz00_17193) + BgL_siza7eza7_14766));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17194;
						obj_t BgL_wherez00_17195;
						obj_t BgL_locz00_17196;

						BgL_z12denvz12_17194 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17195 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14768))->
							BgL_wherez00);
						BgL_locz00_17196 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14768))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17194, BgL_wherez00_17195,
								BgL_locz00_17196);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17197;

								BgL_za2za2resza2za2z00_17197 =
									PROCEDURE_ENTRY(BgL_bodyz00_14769) (BgL_bodyz00_14769,
									BgL_sz00_14770, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17194);
								return BgL_za2za2resza2za2z00_17197;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3709> */
	obj_t BGl_z62zc3anonymousza33709ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14771, obj_t BgL_sz00_14778)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14772;
				obj_t BgL_iboxesz00_14773;
				long BgL_siza7eza7_14774;
				BgL_ev_absz00_bglt BgL_i1243z00_14775;
				obj_t BgL_bodyz00_14776;
				long BgL_siza7ezd2framez75_14777;

				BgL_ifreesz00_14772 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14771, (int) (((long) 0))));
				BgL_iboxesz00_14773 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14771, (int) (((long) 1))));
				BgL_siza7eza7_14774 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14771, (int) (((long) 2))));
				BgL_i1243z00_14775 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14771, (int) (((long) 3))));
				BgL_bodyz00_14776 = PROCEDURE_REF(BgL_envz00_14771, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14777 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14771, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17198;

					BgL_bpz00_17198 = VECTOR_REF(((obj_t) BgL_sz00_14778), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17199;

						BgL_valza2za2_17199 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14778,
							BgL_bpz00_17198, BgL_ifreesz00_14772);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17200;

							BgL_runz00_17200 =
								MAKE_FX_PROCEDURE(BGl_z62run5742z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17200,
								(int) (((long) 0)), BgL_iboxesz00_14773);
							PROCEDURE_SET(BgL_runz00_17200,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14774));
							PROCEDURE_SET(BgL_runz00_17200,
								(int) (((long) 2)), BgL_valza2za2_17199);
							PROCEDURE_SET(BgL_runz00_17200,
								(int) (((long) 3)), ((obj_t) BgL_i1243z00_14775));
							PROCEDURE_SET(BgL_runz00_17200,
								(int) (((long) 4)), BgL_bodyz00_14776);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17201;

								BgL_mainz00_17201 =
									MAKE_VA_PROCEDURE(BGl_z62main5741z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17201,
									(int) (((long) 0)), BgL_iboxesz00_14773);
								PROCEDURE_SET(BgL_mainz00_17201,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14774));
								PROCEDURE_SET(BgL_mainz00_17201,
									(int) (((long) 2)), BgL_valza2za2_17199);
								PROCEDURE_SET(BgL_mainz00_17201,
									(int) (((long) 3)), ((obj_t) BgL_i1243z00_14775));
								PROCEDURE_SET(BgL_mainz00_17201,
									(int) (((long) 4)), BgL_bodyz00_14776);
								PROCEDURE_SET(BgL_mainz00_17201,
									(int) (((long) 5)), BgL_runz00_17200);
								PROCEDURE_SET(BgL_mainz00_17201,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14777));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17202;

									BgL_objz00_17202 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17200, BgL_objz00_17202);
									BgL_objz00_17202;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3710z00_17203;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3711z00_17204;

										BgL_arg3711z00_17204 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14775))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17205;

											BgL_newz00_17205 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29238;

												BgL_tmpz00_29238 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17205, BgL_tmpz00_29238,
													BgL_arg3711z00_17204);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29243;
												int BgL_tmpz00_29241;

												BgL_auxz00_29243 = BINT(BgL_siza7ezd2framez75_14777);
												BgL_tmpz00_29241 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17205, BgL_tmpz00_29241,
													BgL_auxz00_29243);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29246;

												BgL_tmpz00_29246 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17205, BgL_tmpz00_29246,
													BgL_runz00_17200);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29251;
												int BgL_tmpz00_29249;

												BgL_auxz00_29251 = BINT(((long) -3));
												BgL_tmpz00_29249 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17205, BgL_tmpz00_29249,
													BgL_auxz00_29251);
											}
											BgL_arg3710z00_17203 = BgL_newz00_17205;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17201, BgL_arg3710z00_17203);
									BgL_arg3710z00_17203;
								}
								return BgL_mainz00_17201;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5741 */
	obj_t BGl_z62main5741z62zz__evaluate_compz00(obj_t BgL_envz00_14779,
		obj_t BgL_cz00_14787, obj_t BgL_dz00_14788, obj_t BgL_lastz00_14789)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14785;
				long BgL_siza7ezd2framez75_14786;

				BgL_runz00_14785 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14779, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14786 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14779, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17206;

					BgL_sz00_17206 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17207;

						BgL_bpz00_17207 = VECTOR_REF(((obj_t) BgL_sz00_17206), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17207) + BgL_siza7ezd2framez75_14786) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17206))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3714z00_17208;

									BgL_arg3714z00_17208 =
										((long) CINT(BgL_bpz00_17207) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17206), BgL_arg3714z00_17208,
										BgL_cz00_14787);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3715z00_17209;

									BgL_arg3715z00_17209 =
										((long) CINT(BgL_bpz00_17207) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17206), BgL_arg3715z00_17209,
										BgL_dz00_14788);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3717z00_17210;

									BgL_arg3717z00_17210 =
										((long) CINT(BgL_bpz00_17207) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17206), BgL_arg3717z00_17210,
										BgL_lastz00_14789);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17211;

									BgL_ez00_17211 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17211,
										BgL_bpz00_17207);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17212;

										BgL_accz00_17212 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14785, BgL_sz00_17206, BgL_bpz00_17207);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17211);
										VECTOR_SET(
											((obj_t) BgL_sz00_17206), ((long) 0), BgL_bpz00_17207);
										return BgL_accz00_17212;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17213;

								BgL_nsz00_17213 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17213, ((long) 1), BgL_sz00_17206);
								VECTOR_SET(BgL_nsz00_17213, ((long) 2), BgL_cz00_14787);
								VECTOR_SET(BgL_nsz00_17213, ((long) 3), BgL_dz00_14788);
								VECTOR_SET(BgL_nsz00_17213, ((long) 4), BgL_lastz00_14789);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17214;

									BgL_z12denvz12_17214 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17214, BgL_nsz00_17213);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17215;

										BgL_ez00_17215 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17215,
											BgL_sz00_17206);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17216;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17217;

												BgL_savedzd2bpzd2_17217 =
													VECTOR_REF(BgL_nsz00_17213, ((long) 0));
												VECTOR_SET(BgL_nsz00_17213, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17219;

													BgL_fz00_17219 = BgL_runz00_14785;
												BgL_recz00_17218:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17220;

														BgL_rz00_17220 =
															PROCEDURE_ENTRY(BgL_fz00_17219) (BgL_fz00_17219,
															BgL_nsz00_17213, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29304;

															if (PROCEDUREP(BgL_rz00_17220))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17221;

																	BgL_arg1693z00_17221 =
																		PROCEDURE_ATTR(BgL_rz00_17220);
																	if (STRUCTP(BgL_arg1693z00_17221))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29304 =
																				(STRUCT_KEY(BgL_arg1693z00_17221) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29304 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29304 = ((bool_t) 0);
																}
															if (BgL_testz00_29304)
																{
																	obj_t BgL_fz00_29312;

																	BgL_fz00_29312 = BgL_rz00_17220;
																	BgL_fz00_17219 = BgL_fz00_29312;
																	goto BgL_recz00_17218;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17213, ((long) 0),
																		BgL_savedzd2bpzd2_17217);
																	BgL_____rz00_17216 = BgL_rz00_17220;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17215);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17214, BgL_sz00_17206);
											return BgL_____rz00_17216;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5742 */
	obj_t BGl_z62run5742z62zz__evaluate_compz00(obj_t BgL_envz00_14790,
		obj_t BgL_sz00_14796)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14791;
				long BgL_siza7eza7_14792;
				obj_t BgL_valza2za2_14793;
				BgL_ev_absz00_bglt BgL_i1243z00_14794;
				obj_t BgL_bodyz00_14795;

				BgL_iboxesz00_14791 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14790, (int) (((long) 0))));
				BgL_siza7eza7_14792 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14790, (int) (((long) 1))));
				BgL_valza2za2_14793 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14790, (int) (((long) 2))));
				BgL_i1243z00_14794 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14790, (int) (((long) 3))));
				BgL_bodyz00_14795 = PROCEDURE_REF(BgL_envz00_14790, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17222;

					BgL_bpz00_17222 = VECTOR_REF(((obj_t) BgL_sz00_14796), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14796,
						BgL_iboxesz00_14791, BgL_bpz00_17222);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14796,
						BgL_valza2za2_14793,
						((long) CINT(BgL_bpz00_17222) + BgL_siza7eza7_14792));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17223;
						obj_t BgL_wherez00_17224;
						obj_t BgL_locz00_17225;

						BgL_z12denvz12_17223 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17224 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14794))->
							BgL_wherez00);
						BgL_locz00_17225 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14794))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17223, BgL_wherez00_17224,
								BgL_locz00_17225);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17226;

								BgL_za2za2resza2za2z00_17226 =
									PROCEDURE_ENTRY(BgL_bodyz00_14795) (BgL_bodyz00_14795,
									BgL_sz00_14796, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17223);
								return BgL_za2za2resza2za2z00_17226;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3621> */
	obj_t BGl_z62zc3anonymousza33621ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14797, obj_t BgL_sz00_14801)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14798;
				obj_t BgL_bodyz00_14799;
				long BgL_siza7ezd2framez75_14800;

				BgL_i1243z00_14798 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14797, (int) (((long) 0))));
				BgL_bodyz00_14799 = PROCEDURE_REF(BgL_envz00_14797, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14800 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14797, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17227;

					BgL_bpz00_17227 = VECTOR_REF(((obj_t) BgL_sz00_14801), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17228;

							BgL_runz00_17228 =
								MAKE_FX_PROCEDURE(BGl_z62run5744z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17228,
								(int) (((long) 0)), ((obj_t) BgL_i1243z00_14798));
							PROCEDURE_SET(BgL_runz00_17228,
								(int) (((long) 1)), BgL_bodyz00_14799);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17229;

								BgL_mainz00_17229 =
									MAKE_FX_PROCEDURE(BGl_z62main5743z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17229,
									(int) (((long) 0)), ((obj_t) BgL_i1243z00_14798));
								PROCEDURE_SET(BgL_mainz00_17229,
									(int) (((long) 1)), BgL_bodyz00_14799);
								PROCEDURE_SET(BgL_mainz00_17229,
									(int) (((long) 2)), BgL_runz00_17228);
								PROCEDURE_SET(BgL_mainz00_17229,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14800));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17230;

									BgL_objz00_17230 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17228, BgL_objz00_17230);
									BgL_objz00_17230;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3623z00_17231;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3624z00_17232;

										BgL_arg3624z00_17232 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14798))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17233;

											BgL_newz00_17233 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29380;

												BgL_tmpz00_29380 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17233, BgL_tmpz00_29380,
													BgL_arg3624z00_17232);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29385;
												int BgL_tmpz00_29383;

												BgL_auxz00_29385 = BINT(BgL_siza7ezd2framez75_14800);
												BgL_tmpz00_29383 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17233, BgL_tmpz00_29383,
													BgL_auxz00_29385);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29388;

												BgL_tmpz00_29388 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17233, BgL_tmpz00_29388,
													BgL_runz00_17228);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29393;
												int BgL_tmpz00_29391;

												BgL_auxz00_29393 = BINT(((long) 2));
												BgL_tmpz00_29391 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17233, BgL_tmpz00_29391,
													BgL_auxz00_29393);
											}
											BgL_arg3623z00_17231 = BgL_newz00_17233;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17229, BgL_arg3623z00_17231);
									BgL_arg3623z00_17231;
								}
								return BgL_mainz00_17229;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5743 */
	obj_t BGl_z62main5743z62zz__evaluate_compz00(obj_t BgL_envz00_14802,
		obj_t BgL_cz00_14807, obj_t BgL_dz00_14808)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14805;
				long BgL_siza7ezd2framez75_14806;

				BgL_runz00_14805 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14802, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14806 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14802, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17234;

					BgL_sz00_17234 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17235;

						BgL_bpz00_17235 = VECTOR_REF(((obj_t) BgL_sz00_17234), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17235) + BgL_siza7ezd2framez75_14806) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17234))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3627z00_17236;

									BgL_arg3627z00_17236 =
										((long) CINT(BgL_bpz00_17235) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17234), BgL_arg3627z00_17236,
										BgL_cz00_14807);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3629z00_17237;

									BgL_arg3629z00_17237 =
										((long) CINT(BgL_bpz00_17235) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17234), BgL_arg3629z00_17237,
										BgL_dz00_14808);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17238;

									BgL_ez00_17238 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17238,
										BgL_bpz00_17235);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17239;

										BgL_accz00_17239 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14805, BgL_sz00_17234, BgL_bpz00_17235);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17238);
										VECTOR_SET(
											((obj_t) BgL_sz00_17234), ((long) 0), BgL_bpz00_17235);
										return BgL_accz00_17239;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17240;

								BgL_nsz00_17240 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17240, ((long) 1), BgL_sz00_17234);
								VECTOR_SET(BgL_nsz00_17240, ((long) 2), BgL_cz00_14807);
								VECTOR_SET(BgL_nsz00_17240, ((long) 3), BgL_dz00_14808);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17241;

									BgL_z12denvz12_17241 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17241, BgL_nsz00_17240);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17242;

										BgL_ez00_17242 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17242,
											BgL_sz00_17234);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17243;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17244;

												BgL_savedzd2bpzd2_17244 =
													VECTOR_REF(BgL_nsz00_17240, ((long) 0));
												VECTOR_SET(BgL_nsz00_17240, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17246;

													BgL_fz00_17246 = BgL_runz00_14805;
												BgL_recz00_17245:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17247;

														BgL_rz00_17247 =
															PROCEDURE_ENTRY(BgL_fz00_17246) (BgL_fz00_17246,
															BgL_nsz00_17240, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29441;

															if (PROCEDUREP(BgL_rz00_17247))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17248;

																	BgL_arg1693z00_17248 =
																		PROCEDURE_ATTR(BgL_rz00_17247);
																	if (STRUCTP(BgL_arg1693z00_17248))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29441 =
																				(STRUCT_KEY(BgL_arg1693z00_17248) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29441 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29441 = ((bool_t) 0);
																}
															if (BgL_testz00_29441)
																{
																	obj_t BgL_fz00_29449;

																	BgL_fz00_29449 = BgL_rz00_17247;
																	BgL_fz00_17246 = BgL_fz00_29449;
																	goto BgL_recz00_17245;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17240, ((long) 0),
																		BgL_savedzd2bpzd2_17244);
																	BgL_____rz00_17243 = BgL_rz00_17247;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17242);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17241, BgL_sz00_17234);
											return BgL_____rz00_17243;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5744 */
	obj_t BGl_z62run5744z62zz__evaluate_compz00(obj_t BgL_envz00_14809,
		obj_t BgL_sz00_14812)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14810;
				obj_t BgL_bodyz00_14811;

				BgL_i1243z00_14810 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14809, (int) (((long) 0))));
				BgL_bodyz00_14811 = PROCEDURE_REF(BgL_envz00_14809, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17249;

					BgL_bpz00_17249 = VECTOR_REF(((obj_t) BgL_sz00_14812), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17250;
						obj_t BgL_wherez00_17251;
						obj_t BgL_locz00_17252;

						BgL_z12denvz12_17250 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17251 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14810))->
							BgL_wherez00);
						BgL_locz00_17252 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14810))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17250, BgL_wherez00_17251,
								BgL_locz00_17252);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17253;

								BgL_za2za2resza2za2z00_17253 =
									PROCEDURE_ENTRY(BgL_bodyz00_14811) (BgL_bodyz00_14811,
									BgL_sz00_14812, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17250);
								return BgL_za2za2resza2za2z00_17253;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3631> */
	obj_t BGl_z62zc3anonymousza33631ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14813, obj_t BgL_sz00_14818)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14814;
				BgL_ev_absz00_bglt BgL_i1243z00_14815;
				obj_t BgL_bodyz00_14816;
				long BgL_siza7ezd2framez75_14817;

				BgL_iboxesz00_14814 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14813, (int) (((long) 0))));
				BgL_i1243z00_14815 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14813, (int) (((long) 1))));
				BgL_bodyz00_14816 = PROCEDURE_REF(BgL_envz00_14813, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14817 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14813, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17254;

					BgL_bpz00_17254 = VECTOR_REF(((obj_t) BgL_sz00_14818), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17255;

							BgL_runz00_17255 =
								MAKE_FX_PROCEDURE(BGl_z62run5746z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17255,
								(int) (((long) 0)), BgL_iboxesz00_14814);
							PROCEDURE_SET(BgL_runz00_17255,
								(int) (((long) 1)), ((obj_t) BgL_i1243z00_14815));
							PROCEDURE_SET(BgL_runz00_17255,
								(int) (((long) 2)), BgL_bodyz00_14816);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17256;

								BgL_mainz00_17256 =
									MAKE_FX_PROCEDURE(BGl_z62main5745z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17256,
									(int) (((long) 0)), BgL_iboxesz00_14814);
								PROCEDURE_SET(BgL_mainz00_17256,
									(int) (((long) 1)), ((obj_t) BgL_i1243z00_14815));
								PROCEDURE_SET(BgL_mainz00_17256,
									(int) (((long) 2)), BgL_bodyz00_14816);
								PROCEDURE_SET(BgL_mainz00_17256,
									(int) (((long) 3)), BgL_runz00_17255);
								PROCEDURE_SET(BgL_mainz00_17256,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14817));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17257;

									BgL_objz00_17257 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17255, BgL_objz00_17257);
									BgL_objz00_17257;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3633z00_17258;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3634z00_17259;

										BgL_arg3634z00_17259 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14815))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17260;

											BgL_newz00_17260 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29511;

												BgL_tmpz00_29511 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17260, BgL_tmpz00_29511,
													BgL_arg3634z00_17259);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29516;
												int BgL_tmpz00_29514;

												BgL_auxz00_29516 = BINT(BgL_siza7ezd2framez75_14817);
												BgL_tmpz00_29514 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17260, BgL_tmpz00_29514,
													BgL_auxz00_29516);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29519;

												BgL_tmpz00_29519 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17260, BgL_tmpz00_29519,
													BgL_runz00_17255);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29524;
												int BgL_tmpz00_29522;

												BgL_auxz00_29524 = BINT(((long) 2));
												BgL_tmpz00_29522 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17260, BgL_tmpz00_29522,
													BgL_auxz00_29524);
											}
											BgL_arg3633z00_17258 = BgL_newz00_17260;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17256, BgL_arg3633z00_17258);
									BgL_arg3633z00_17258;
								}
								return BgL_mainz00_17256;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5745 */
	obj_t BGl_z62main5745z62zz__evaluate_compz00(obj_t BgL_envz00_14819,
		obj_t BgL_cz00_14825, obj_t BgL_dz00_14826)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14823;
				long BgL_siza7ezd2framez75_14824;

				BgL_runz00_14823 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14819, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14824 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14819, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17261;

					BgL_sz00_17261 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17262;

						BgL_bpz00_17262 = VECTOR_REF(((obj_t) BgL_sz00_17261), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17262) + BgL_siza7ezd2framez75_14824) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17261))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3637z00_17263;

									BgL_arg3637z00_17263 =
										((long) CINT(BgL_bpz00_17262) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17261), BgL_arg3637z00_17263,
										BgL_cz00_14825);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3639z00_17264;

									BgL_arg3639z00_17264 =
										((long) CINT(BgL_bpz00_17262) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17261), BgL_arg3639z00_17264,
										BgL_dz00_14826);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17265;

									BgL_ez00_17265 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17265,
										BgL_bpz00_17262);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17266;

										BgL_accz00_17266 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14823, BgL_sz00_17261, BgL_bpz00_17262);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17265);
										VECTOR_SET(
											((obj_t) BgL_sz00_17261), ((long) 0), BgL_bpz00_17262);
										return BgL_accz00_17266;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17267;

								BgL_nsz00_17267 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17267, ((long) 1), BgL_sz00_17261);
								VECTOR_SET(BgL_nsz00_17267, ((long) 2), BgL_cz00_14825);
								VECTOR_SET(BgL_nsz00_17267, ((long) 3), BgL_dz00_14826);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17268;

									BgL_z12denvz12_17268 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17268, BgL_nsz00_17267);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17269;

										BgL_ez00_17269 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17269,
											BgL_sz00_17261);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17270;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17271;

												BgL_savedzd2bpzd2_17271 =
													VECTOR_REF(BgL_nsz00_17267, ((long) 0));
												VECTOR_SET(BgL_nsz00_17267, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17273;

													BgL_fz00_17273 = BgL_runz00_14823;
												BgL_recz00_17272:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17274;

														BgL_rz00_17274 =
															PROCEDURE_ENTRY(BgL_fz00_17273) (BgL_fz00_17273,
															BgL_nsz00_17267, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29572;

															if (PROCEDUREP(BgL_rz00_17274))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17275;

																	BgL_arg1693z00_17275 =
																		PROCEDURE_ATTR(BgL_rz00_17274);
																	if (STRUCTP(BgL_arg1693z00_17275))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29572 =
																				(STRUCT_KEY(BgL_arg1693z00_17275) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29572 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29572 = ((bool_t) 0);
																}
															if (BgL_testz00_29572)
																{
																	obj_t BgL_fz00_29580;

																	BgL_fz00_29580 = BgL_rz00_17274;
																	BgL_fz00_17273 = BgL_fz00_29580;
																	goto BgL_recz00_17272;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17267, ((long) 0),
																		BgL_savedzd2bpzd2_17271);
																	BgL_____rz00_17270 = BgL_rz00_17274;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17269);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17268, BgL_sz00_17261);
											return BgL_____rz00_17270;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5746 */
	obj_t BGl_z62run5746z62zz__evaluate_compz00(obj_t BgL_envz00_14827,
		obj_t BgL_sz00_14831)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14828;
				BgL_ev_absz00_bglt BgL_i1243z00_14829;
				obj_t BgL_bodyz00_14830;

				BgL_iboxesz00_14828 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14827, (int) (((long) 0))));
				BgL_i1243z00_14829 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14827, (int) (((long) 1))));
				BgL_bodyz00_14830 = PROCEDURE_REF(BgL_envz00_14827, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17276;

					BgL_bpz00_17276 = VECTOR_REF(((obj_t) BgL_sz00_14831), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14831,
						BgL_iboxesz00_14828, BgL_bpz00_17276);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17277;
						obj_t BgL_wherez00_17278;
						obj_t BgL_locz00_17279;

						BgL_z12denvz12_17277 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17278 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14829))->
							BgL_wherez00);
						BgL_locz00_17279 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14829))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17277, BgL_wherez00_17278,
								BgL_locz00_17279);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17280;

								BgL_za2za2resza2za2z00_17280 =
									PROCEDURE_ENTRY(BgL_bodyz00_14830) (BgL_bodyz00_14830,
									BgL_sz00_14831, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17277);
								return BgL_za2za2resza2za2z00_17280;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3645> */
	obj_t BGl_z62zc3anonymousza33645ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14832, obj_t BgL_sz00_14838)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14833;
				long BgL_siza7eza7_14834;
				BgL_ev_absz00_bglt BgL_i1243z00_14835;
				obj_t BgL_bodyz00_14836;
				long BgL_siza7ezd2framez75_14837;

				BgL_ifreesz00_14833 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14832, (int) (((long) 0))));
				BgL_siza7eza7_14834 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14832, (int) (((long) 1))));
				BgL_i1243z00_14835 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14832, (int) (((long) 2))));
				BgL_bodyz00_14836 = PROCEDURE_REF(BgL_envz00_14832, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14837 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14832, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17281;

					BgL_bpz00_17281 = VECTOR_REF(((obj_t) BgL_sz00_14838), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17282;

						BgL_valza2za2_17282 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14838,
							BgL_bpz00_17281, BgL_ifreesz00_14833);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17283;

							BgL_runz00_17283 =
								MAKE_FX_PROCEDURE(BGl_z62run5748z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17283,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14834));
							PROCEDURE_SET(BgL_runz00_17283,
								(int) (((long) 1)), BgL_valza2za2_17282);
							PROCEDURE_SET(BgL_runz00_17283,
								(int) (((long) 2)), ((obj_t) BgL_i1243z00_14835));
							PROCEDURE_SET(BgL_runz00_17283,
								(int) (((long) 3)), BgL_bodyz00_14836);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17284;

								BgL_mainz00_17284 =
									MAKE_FX_PROCEDURE(BGl_z62main5747z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17284,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14834));
								PROCEDURE_SET(BgL_mainz00_17284,
									(int) (((long) 1)), BgL_valza2za2_17282);
								PROCEDURE_SET(BgL_mainz00_17284,
									(int) (((long) 2)), ((obj_t) BgL_i1243z00_14835));
								PROCEDURE_SET(BgL_mainz00_17284,
									(int) (((long) 3)), BgL_bodyz00_14836);
								PROCEDURE_SET(BgL_mainz00_17284,
									(int) (((long) 4)), BgL_runz00_17283);
								PROCEDURE_SET(BgL_mainz00_17284,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14837));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17285;

									BgL_objz00_17285 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17283, BgL_objz00_17285);
									BgL_objz00_17285;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3647z00_17286;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3648z00_17287;

										BgL_arg3648z00_17287 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14835))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17288;

											BgL_newz00_17288 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29656;

												BgL_tmpz00_29656 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17288, BgL_tmpz00_29656,
													BgL_arg3648z00_17287);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29661;
												int BgL_tmpz00_29659;

												BgL_auxz00_29661 = BINT(BgL_siza7ezd2framez75_14837);
												BgL_tmpz00_29659 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17288, BgL_tmpz00_29659,
													BgL_auxz00_29661);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29664;

												BgL_tmpz00_29664 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17288, BgL_tmpz00_29664,
													BgL_runz00_17283);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29669;
												int BgL_tmpz00_29667;

												BgL_auxz00_29669 = BINT(((long) 2));
												BgL_tmpz00_29667 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17288, BgL_tmpz00_29667,
													BgL_auxz00_29669);
											}
											BgL_arg3647z00_17286 = BgL_newz00_17288;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17284, BgL_arg3647z00_17286);
									BgL_arg3647z00_17286;
								}
								return BgL_mainz00_17284;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5747 */
	obj_t BGl_z62main5747z62zz__evaluate_compz00(obj_t BgL_envz00_14839,
		obj_t BgL_cz00_14846, obj_t BgL_dz00_14847)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14844;
				long BgL_siza7ezd2framez75_14845;

				BgL_runz00_14844 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14839, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14845 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14839, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17289;

					BgL_sz00_17289 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17290;

						BgL_bpz00_17290 = VECTOR_REF(((obj_t) BgL_sz00_17289), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17290) + BgL_siza7ezd2framez75_14845) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17289))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3651z00_17291;

									BgL_arg3651z00_17291 =
										((long) CINT(BgL_bpz00_17290) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17289), BgL_arg3651z00_17291,
										BgL_cz00_14846);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3652z00_17292;

									BgL_arg3652z00_17292 =
										((long) CINT(BgL_bpz00_17290) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17289), BgL_arg3652z00_17292,
										BgL_dz00_14847);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17293;

									BgL_ez00_17293 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17293,
										BgL_bpz00_17290);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17294;

										BgL_accz00_17294 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14844, BgL_sz00_17289, BgL_bpz00_17290);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17293);
										VECTOR_SET(
											((obj_t) BgL_sz00_17289), ((long) 0), BgL_bpz00_17290);
										return BgL_accz00_17294;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17295;

								BgL_nsz00_17295 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17295, ((long) 1), BgL_sz00_17289);
								VECTOR_SET(BgL_nsz00_17295, ((long) 2), BgL_cz00_14846);
								VECTOR_SET(BgL_nsz00_17295, ((long) 3), BgL_dz00_14847);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17296;

									BgL_z12denvz12_17296 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17296, BgL_nsz00_17295);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17297;

										BgL_ez00_17297 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17297,
											BgL_sz00_17289);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17298;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17299;

												BgL_savedzd2bpzd2_17299 =
													VECTOR_REF(BgL_nsz00_17295, ((long) 0));
												VECTOR_SET(BgL_nsz00_17295, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17301;

													BgL_fz00_17301 = BgL_runz00_14844;
												BgL_recz00_17300:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17302;

														BgL_rz00_17302 =
															PROCEDURE_ENTRY(BgL_fz00_17301) (BgL_fz00_17301,
															BgL_nsz00_17295, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29717;

															if (PROCEDUREP(BgL_rz00_17302))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17303;

																	BgL_arg1693z00_17303 =
																		PROCEDURE_ATTR(BgL_rz00_17302);
																	if (STRUCTP(BgL_arg1693z00_17303))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29717 =
																				(STRUCT_KEY(BgL_arg1693z00_17303) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29717 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29717 = ((bool_t) 0);
																}
															if (BgL_testz00_29717)
																{
																	obj_t BgL_fz00_29725;

																	BgL_fz00_29725 = BgL_rz00_17302;
																	BgL_fz00_17301 = BgL_fz00_29725;
																	goto BgL_recz00_17300;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17295, ((long) 0),
																		BgL_savedzd2bpzd2_17299);
																	BgL_____rz00_17298 = BgL_rz00_17302;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17297);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17296, BgL_sz00_17289);
											return BgL_____rz00_17298;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5748 */
	obj_t BGl_z62run5748z62zz__evaluate_compz00(obj_t BgL_envz00_14848,
		obj_t BgL_sz00_14853)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14849;
				obj_t BgL_valza2za2_14850;
				BgL_ev_absz00_bglt BgL_i1243z00_14851;
				obj_t BgL_bodyz00_14852;

				BgL_siza7eza7_14849 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14848, (int) (((long) 0))));
				BgL_valza2za2_14850 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14848, (int) (((long) 1))));
				BgL_i1243z00_14851 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14848, (int) (((long) 2))));
				BgL_bodyz00_14852 = PROCEDURE_REF(BgL_envz00_14848, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17304;

					BgL_bpz00_17304 = VECTOR_REF(((obj_t) BgL_sz00_14853), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14853,
						BgL_valza2za2_14850,
						((long) CINT(BgL_bpz00_17304) + BgL_siza7eza7_14849));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17305;
						obj_t BgL_wherez00_17306;
						obj_t BgL_locz00_17307;

						BgL_z12denvz12_17305 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17306 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14851))->
							BgL_wherez00);
						BgL_locz00_17307 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14851))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17305, BgL_wherez00_17306,
								BgL_locz00_17307);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17308;

								BgL_za2za2resza2za2z00_17308 =
									PROCEDURE_ENTRY(BgL_bodyz00_14852) (BgL_bodyz00_14852,
									BgL_sz00_14853, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17305);
								return BgL_za2za2resza2za2z00_17308;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3655> */
	obj_t BGl_z62zc3anonymousza33655ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14854, obj_t BgL_sz00_14861)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14855;
				obj_t BgL_iboxesz00_14856;
				long BgL_siza7eza7_14857;
				BgL_ev_absz00_bglt BgL_i1243z00_14858;
				obj_t BgL_bodyz00_14859;
				long BgL_siza7ezd2framez75_14860;

				BgL_ifreesz00_14855 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14854, (int) (((long) 0))));
				BgL_iboxesz00_14856 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14854, (int) (((long) 1))));
				BgL_siza7eza7_14857 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14854, (int) (((long) 2))));
				BgL_i1243z00_14858 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14854, (int) (((long) 3))));
				BgL_bodyz00_14859 = PROCEDURE_REF(BgL_envz00_14854, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14860 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14854, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17309;

					BgL_bpz00_17309 = VECTOR_REF(((obj_t) BgL_sz00_14861), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17310;

						BgL_valza2za2_17310 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14861,
							BgL_bpz00_17309, BgL_ifreesz00_14855);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17311;

							BgL_runz00_17311 =
								MAKE_FX_PROCEDURE(BGl_z62run5750z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17311,
								(int) (((long) 0)), BgL_iboxesz00_14856);
							PROCEDURE_SET(BgL_runz00_17311,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14857));
							PROCEDURE_SET(BgL_runz00_17311,
								(int) (((long) 2)), BgL_valza2za2_17310);
							PROCEDURE_SET(BgL_runz00_17311,
								(int) (((long) 3)), ((obj_t) BgL_i1243z00_14858));
							PROCEDURE_SET(BgL_runz00_17311,
								(int) (((long) 4)), BgL_bodyz00_14859);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17312;

								BgL_mainz00_17312 =
									MAKE_FX_PROCEDURE(BGl_z62main5749z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17312,
									(int) (((long) 0)), BgL_iboxesz00_14856);
								PROCEDURE_SET(BgL_mainz00_17312,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14857));
								PROCEDURE_SET(BgL_mainz00_17312,
									(int) (((long) 2)), BgL_valza2za2_17310);
								PROCEDURE_SET(BgL_mainz00_17312,
									(int) (((long) 3)), ((obj_t) BgL_i1243z00_14858));
								PROCEDURE_SET(BgL_mainz00_17312,
									(int) (((long) 4)), BgL_bodyz00_14859);
								PROCEDURE_SET(BgL_mainz00_17312,
									(int) (((long) 5)), BgL_runz00_17311);
								PROCEDURE_SET(BgL_mainz00_17312,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14860));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17313;

									BgL_objz00_17313 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17311, BgL_objz00_17313);
									BgL_objz00_17313;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3656z00_17314;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3658z00_17315;

										BgL_arg3658z00_17315 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14858))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17316;

											BgL_newz00_17316 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29813;

												BgL_tmpz00_29813 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17316, BgL_tmpz00_29813,
													BgL_arg3658z00_17315);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29818;
												int BgL_tmpz00_29816;

												BgL_auxz00_29818 = BINT(BgL_siza7ezd2framez75_14860);
												BgL_tmpz00_29816 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17316, BgL_tmpz00_29816,
													BgL_auxz00_29818);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29821;

												BgL_tmpz00_29821 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17316, BgL_tmpz00_29821,
													BgL_runz00_17311);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29826;
												int BgL_tmpz00_29824;

												BgL_auxz00_29826 = BINT(((long) 2));
												BgL_tmpz00_29824 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17316, BgL_tmpz00_29824,
													BgL_auxz00_29826);
											}
											BgL_arg3656z00_17314 = BgL_newz00_17316;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17312, BgL_arg3656z00_17314);
									BgL_arg3656z00_17314;
								}
								return BgL_mainz00_17312;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5749 */
	obj_t BGl_z62main5749z62zz__evaluate_compz00(obj_t BgL_envz00_14862,
		obj_t BgL_cz00_14870, obj_t BgL_dz00_14871)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14868;
				long BgL_siza7ezd2framez75_14869;

				BgL_runz00_14868 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14862, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14869 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14862, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17317;

					BgL_sz00_17317 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17318;

						BgL_bpz00_17318 = VECTOR_REF(((obj_t) BgL_sz00_17317), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17318) + BgL_siza7ezd2framez75_14869) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17317))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3661z00_17319;

									BgL_arg3661z00_17319 =
										((long) CINT(BgL_bpz00_17318) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17317), BgL_arg3661z00_17319,
										BgL_cz00_14870);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3662z00_17320;

									BgL_arg3662z00_17320 =
										((long) CINT(BgL_bpz00_17318) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17317), BgL_arg3662z00_17320,
										BgL_dz00_14871);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17321;

									BgL_ez00_17321 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17321,
										BgL_bpz00_17318);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17322;

										BgL_accz00_17322 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14868, BgL_sz00_17317, BgL_bpz00_17318);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17321);
										VECTOR_SET(
											((obj_t) BgL_sz00_17317), ((long) 0), BgL_bpz00_17318);
										return BgL_accz00_17322;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17323;

								BgL_nsz00_17323 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17323, ((long) 1), BgL_sz00_17317);
								VECTOR_SET(BgL_nsz00_17323, ((long) 2), BgL_cz00_14870);
								VECTOR_SET(BgL_nsz00_17323, ((long) 3), BgL_dz00_14871);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17324;

									BgL_z12denvz12_17324 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17324, BgL_nsz00_17323);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17325;

										BgL_ez00_17325 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17325,
											BgL_sz00_17317);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17326;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17327;

												BgL_savedzd2bpzd2_17327 =
													VECTOR_REF(BgL_nsz00_17323, ((long) 0));
												VECTOR_SET(BgL_nsz00_17323, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17329;

													BgL_fz00_17329 = BgL_runz00_14868;
												BgL_recz00_17328:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17330;

														BgL_rz00_17330 =
															PROCEDURE_ENTRY(BgL_fz00_17329) (BgL_fz00_17329,
															BgL_nsz00_17323, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29874;

															if (PROCEDUREP(BgL_rz00_17330))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17331;

																	BgL_arg1693z00_17331 =
																		PROCEDURE_ATTR(BgL_rz00_17330);
																	if (STRUCTP(BgL_arg1693z00_17331))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29874 =
																				(STRUCT_KEY(BgL_arg1693z00_17331) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29874 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29874 = ((bool_t) 0);
																}
															if (BgL_testz00_29874)
																{
																	obj_t BgL_fz00_29882;

																	BgL_fz00_29882 = BgL_rz00_17330;
																	BgL_fz00_17329 = BgL_fz00_29882;
																	goto BgL_recz00_17328;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17323, ((long) 0),
																		BgL_savedzd2bpzd2_17327);
																	BgL_____rz00_17326 = BgL_rz00_17330;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17325);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17324, BgL_sz00_17317);
											return BgL_____rz00_17326;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5750 */
	obj_t BGl_z62run5750z62zz__evaluate_compz00(obj_t BgL_envz00_14872,
		obj_t BgL_sz00_14878)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14873;
				long BgL_siza7eza7_14874;
				obj_t BgL_valza2za2_14875;
				BgL_ev_absz00_bglt BgL_i1243z00_14876;
				obj_t BgL_bodyz00_14877;

				BgL_iboxesz00_14873 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14872, (int) (((long) 0))));
				BgL_siza7eza7_14874 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14872, (int) (((long) 1))));
				BgL_valza2za2_14875 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14872, (int) (((long) 2))));
				BgL_i1243z00_14876 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14872, (int) (((long) 3))));
				BgL_bodyz00_14877 = PROCEDURE_REF(BgL_envz00_14872, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17332;

					BgL_bpz00_17332 = VECTOR_REF(((obj_t) BgL_sz00_14878), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14878,
						BgL_iboxesz00_14873, BgL_bpz00_17332);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14878,
						BgL_valza2za2_14875,
						((long) CINT(BgL_bpz00_17332) + BgL_siza7eza7_14874));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17333;
						obj_t BgL_wherez00_17334;
						obj_t BgL_locz00_17335;

						BgL_z12denvz12_17333 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17334 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14876))->
							BgL_wherez00);
						BgL_locz00_17335 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14876))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17333, BgL_wherez00_17334,
								BgL_locz00_17335);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17336;

								BgL_za2za2resza2za2z00_17336 =
									PROCEDURE_ENTRY(BgL_bodyz00_14877) (BgL_bodyz00_14877,
									BgL_sz00_14878, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17333);
								return BgL_za2za2resza2za2z00_17336;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3571> */
	obj_t BGl_z62zc3anonymousza33571ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14879, obj_t BgL_sz00_14883)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14880;
				obj_t BgL_bodyz00_14881;
				long BgL_siza7ezd2framez75_14882;

				BgL_i1243z00_14880 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14879, (int) (((long) 0))));
				BgL_bodyz00_14881 = PROCEDURE_REF(BgL_envz00_14879, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14882 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14879, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17337;

					BgL_bpz00_17337 = VECTOR_REF(((obj_t) BgL_sz00_14883), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17338;

							BgL_runz00_17338 =
								MAKE_FX_PROCEDURE(BGl_z62run5752z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17338,
								(int) (((long) 0)), ((obj_t) BgL_i1243z00_14880));
							PROCEDURE_SET(BgL_runz00_17338,
								(int) (((long) 1)), BgL_bodyz00_14881);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17339;

								BgL_mainz00_17339 =
									MAKE_VA_PROCEDURE(BGl_z62main5751z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17339,
									(int) (((long) 0)), ((obj_t) BgL_i1243z00_14880));
								PROCEDURE_SET(BgL_mainz00_17339,
									(int) (((long) 1)), BgL_bodyz00_14881);
								PROCEDURE_SET(BgL_mainz00_17339,
									(int) (((long) 2)), BgL_runz00_17338);
								PROCEDURE_SET(BgL_mainz00_17339,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14882));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17340;

									BgL_objz00_17340 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17338, BgL_objz00_17340);
									BgL_objz00_17340;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3572z00_17341;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3573z00_17342;

										BgL_arg3573z00_17342 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14880))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17343;

											BgL_newz00_17343 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29950;

												BgL_tmpz00_29950 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17343, BgL_tmpz00_29950,
													BgL_arg3573z00_17342);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29955;
												int BgL_tmpz00_29953;

												BgL_auxz00_29955 = BINT(BgL_siza7ezd2framez75_14882);
												BgL_tmpz00_29953 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17343, BgL_tmpz00_29953,
													BgL_auxz00_29955);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29958;

												BgL_tmpz00_29958 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17343, BgL_tmpz00_29958,
													BgL_runz00_17338);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29963;
												int BgL_tmpz00_29961;

												BgL_auxz00_29963 = BINT(((long) -2));
												BgL_tmpz00_29961 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17343, BgL_tmpz00_29961,
													BgL_auxz00_29963);
											}
											BgL_arg3572z00_17341 = BgL_newz00_17343;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17339, BgL_arg3572z00_17341);
									BgL_arg3572z00_17341;
								}
								return BgL_mainz00_17339;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5751 */
	obj_t BGl_z62main5751z62zz__evaluate_compz00(obj_t BgL_envz00_14884,
		obj_t BgL_dz00_14889, obj_t BgL_lastz00_14890)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14887;
				long BgL_siza7ezd2framez75_14888;

				BgL_runz00_14887 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14884, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14888 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14884, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17344;

					BgL_sz00_17344 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17345;

						BgL_bpz00_17345 = VECTOR_REF(((obj_t) BgL_sz00_17344), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17345) + BgL_siza7ezd2framez75_14888) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17344))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3576z00_17346;

									BgL_arg3576z00_17346 =
										((long) CINT(BgL_bpz00_17345) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17344), BgL_arg3576z00_17346,
										BgL_dz00_14889);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3577z00_17347;

									BgL_arg3577z00_17347 =
										((long) CINT(BgL_bpz00_17345) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17344), BgL_arg3577z00_17347,
										BgL_lastz00_14890);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17348;

									BgL_ez00_17348 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17348,
										BgL_bpz00_17345);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17349;

										BgL_accz00_17349 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14887, BgL_sz00_17344, BgL_bpz00_17345);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17348);
										VECTOR_SET(
											((obj_t) BgL_sz00_17344), ((long) 0), BgL_bpz00_17345);
										return BgL_accz00_17349;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17350;

								BgL_nsz00_17350 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17350, ((long) 1), BgL_sz00_17344);
								VECTOR_SET(BgL_nsz00_17350, ((long) 2), BgL_dz00_14889);
								VECTOR_SET(BgL_nsz00_17350, ((long) 3), BgL_lastz00_14890);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17351;

									BgL_z12denvz12_17351 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17351, BgL_nsz00_17350);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17352;

										BgL_ez00_17352 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17352,
											BgL_sz00_17344);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17353;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17354;

												BgL_savedzd2bpzd2_17354 =
													VECTOR_REF(BgL_nsz00_17350, ((long) 0));
												VECTOR_SET(BgL_nsz00_17350, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17356;

													BgL_fz00_17356 = BgL_runz00_14887;
												BgL_recz00_17355:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17357;

														BgL_rz00_17357 =
															PROCEDURE_ENTRY(BgL_fz00_17356) (BgL_fz00_17356,
															BgL_nsz00_17350, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30011;

															if (PROCEDUREP(BgL_rz00_17357))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17358;

																	BgL_arg1693z00_17358 =
																		PROCEDURE_ATTR(BgL_rz00_17357);
																	if (STRUCTP(BgL_arg1693z00_17358))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30011 =
																				(STRUCT_KEY(BgL_arg1693z00_17358) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30011 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30011 = ((bool_t) 0);
																}
															if (BgL_testz00_30011)
																{
																	obj_t BgL_fz00_30019;

																	BgL_fz00_30019 = BgL_rz00_17357;
																	BgL_fz00_17356 = BgL_fz00_30019;
																	goto BgL_recz00_17355;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17350, ((long) 0),
																		BgL_savedzd2bpzd2_17354);
																	BgL_____rz00_17353 = BgL_rz00_17357;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17352);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17351, BgL_sz00_17344);
											return BgL_____rz00_17353;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5752 */
	obj_t BGl_z62run5752z62zz__evaluate_compz00(obj_t BgL_envz00_14891,
		obj_t BgL_sz00_14894)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14892;
				obj_t BgL_bodyz00_14893;

				BgL_i1243z00_14892 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14891, (int) (((long) 0))));
				BgL_bodyz00_14893 = PROCEDURE_REF(BgL_envz00_14891, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17359;

					BgL_bpz00_17359 = VECTOR_REF(((obj_t) BgL_sz00_14894), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17360;
						obj_t BgL_wherez00_17361;
						obj_t BgL_locz00_17362;

						BgL_z12denvz12_17360 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17361 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14892))->
							BgL_wherez00);
						BgL_locz00_17362 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14892))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17360, BgL_wherez00_17361,
								BgL_locz00_17362);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17363;

								BgL_za2za2resza2za2z00_17363 =
									PROCEDURE_ENTRY(BgL_bodyz00_14893) (BgL_bodyz00_14893,
									BgL_sz00_14894, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17360);
								return BgL_za2za2resza2za2z00_17363;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3579> */
	obj_t BGl_z62zc3anonymousza33579ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14895, obj_t BgL_sz00_14900)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14896;
				BgL_ev_absz00_bglt BgL_i1243z00_14897;
				obj_t BgL_bodyz00_14898;
				long BgL_siza7ezd2framez75_14899;

				BgL_iboxesz00_14896 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14895, (int) (((long) 0))));
				BgL_i1243z00_14897 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14895, (int) (((long) 1))));
				BgL_bodyz00_14898 = PROCEDURE_REF(BgL_envz00_14895, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14899 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14895, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17364;

					BgL_bpz00_17364 = VECTOR_REF(((obj_t) BgL_sz00_14900), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17365;

							BgL_runz00_17365 =
								MAKE_FX_PROCEDURE(BGl_z62run5754z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17365,
								(int) (((long) 0)), BgL_iboxesz00_14896);
							PROCEDURE_SET(BgL_runz00_17365,
								(int) (((long) 1)), ((obj_t) BgL_i1243z00_14897));
							PROCEDURE_SET(BgL_runz00_17365,
								(int) (((long) 2)), BgL_bodyz00_14898);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17366;

								BgL_mainz00_17366 =
									MAKE_VA_PROCEDURE(BGl_z62main5753z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17366,
									(int) (((long) 0)), BgL_iboxesz00_14896);
								PROCEDURE_SET(BgL_mainz00_17366,
									(int) (((long) 1)), ((obj_t) BgL_i1243z00_14897));
								PROCEDURE_SET(BgL_mainz00_17366,
									(int) (((long) 2)), BgL_bodyz00_14898);
								PROCEDURE_SET(BgL_mainz00_17366,
									(int) (((long) 3)), BgL_runz00_17365);
								PROCEDURE_SET(BgL_mainz00_17366,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14899));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17367;

									BgL_objz00_17367 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17365, BgL_objz00_17367);
									BgL_objz00_17367;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3580z00_17368;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3581z00_17369;

										BgL_arg3581z00_17369 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14897))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17370;

											BgL_newz00_17370 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30081;

												BgL_tmpz00_30081 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17370, BgL_tmpz00_30081,
													BgL_arg3581z00_17369);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30086;
												int BgL_tmpz00_30084;

												BgL_auxz00_30086 = BINT(BgL_siza7ezd2framez75_14899);
												BgL_tmpz00_30084 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17370, BgL_tmpz00_30084,
													BgL_auxz00_30086);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30089;

												BgL_tmpz00_30089 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17370, BgL_tmpz00_30089,
													BgL_runz00_17365);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30094;
												int BgL_tmpz00_30092;

												BgL_auxz00_30094 = BINT(((long) -2));
												BgL_tmpz00_30092 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17370, BgL_tmpz00_30092,
													BgL_auxz00_30094);
											}
											BgL_arg3580z00_17368 = BgL_newz00_17370;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17366, BgL_arg3580z00_17368);
									BgL_arg3580z00_17368;
								}
								return BgL_mainz00_17366;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5753 */
	obj_t BGl_z62main5753z62zz__evaluate_compz00(obj_t BgL_envz00_14901,
		obj_t BgL_dz00_14907, obj_t BgL_lastz00_14908)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14905;
				long BgL_siza7ezd2framez75_14906;

				BgL_runz00_14905 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14901, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14906 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14901, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17371;

					BgL_sz00_17371 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17372;

						BgL_bpz00_17372 = VECTOR_REF(((obj_t) BgL_sz00_17371), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17372) + BgL_siza7ezd2framez75_14906) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17371))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3585z00_17373;

									BgL_arg3585z00_17373 =
										((long) CINT(BgL_bpz00_17372) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17371), BgL_arg3585z00_17373,
										BgL_dz00_14907);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3586z00_17374;

									BgL_arg3586z00_17374 =
										((long) CINT(BgL_bpz00_17372) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17371), BgL_arg3586z00_17374,
										BgL_lastz00_14908);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17375;

									BgL_ez00_17375 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17375,
										BgL_bpz00_17372);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17376;

										BgL_accz00_17376 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14905, BgL_sz00_17371, BgL_bpz00_17372);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17375);
										VECTOR_SET(
											((obj_t) BgL_sz00_17371), ((long) 0), BgL_bpz00_17372);
										return BgL_accz00_17376;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17377;

								BgL_nsz00_17377 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17377, ((long) 1), BgL_sz00_17371);
								VECTOR_SET(BgL_nsz00_17377, ((long) 2), BgL_dz00_14907);
								VECTOR_SET(BgL_nsz00_17377, ((long) 3), BgL_lastz00_14908);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17378;

									BgL_z12denvz12_17378 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17378, BgL_nsz00_17377);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17379;

										BgL_ez00_17379 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17379,
											BgL_sz00_17371);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17380;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17381;

												BgL_savedzd2bpzd2_17381 =
													VECTOR_REF(BgL_nsz00_17377, ((long) 0));
												VECTOR_SET(BgL_nsz00_17377, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17383;

													BgL_fz00_17383 = BgL_runz00_14905;
												BgL_recz00_17382:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17384;

														BgL_rz00_17384 =
															PROCEDURE_ENTRY(BgL_fz00_17383) (BgL_fz00_17383,
															BgL_nsz00_17377, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30142;

															if (PROCEDUREP(BgL_rz00_17384))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17385;

																	BgL_arg1693z00_17385 =
																		PROCEDURE_ATTR(BgL_rz00_17384);
																	if (STRUCTP(BgL_arg1693z00_17385))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30142 =
																				(STRUCT_KEY(BgL_arg1693z00_17385) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30142 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30142 = ((bool_t) 0);
																}
															if (BgL_testz00_30142)
																{
																	obj_t BgL_fz00_30150;

																	BgL_fz00_30150 = BgL_rz00_17384;
																	BgL_fz00_17383 = BgL_fz00_30150;
																	goto BgL_recz00_17382;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17377, ((long) 0),
																		BgL_savedzd2bpzd2_17381);
																	BgL_____rz00_17380 = BgL_rz00_17384;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17379);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17378, BgL_sz00_17371);
											return BgL_____rz00_17380;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5754 */
	obj_t BGl_z62run5754z62zz__evaluate_compz00(obj_t BgL_envz00_14909,
		obj_t BgL_sz00_14913)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14910;
				BgL_ev_absz00_bglt BgL_i1243z00_14911;
				obj_t BgL_bodyz00_14912;

				BgL_iboxesz00_14910 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14909, (int) (((long) 0))));
				BgL_i1243z00_14911 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14909, (int) (((long) 1))));
				BgL_bodyz00_14912 = PROCEDURE_REF(BgL_envz00_14909, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17386;

					BgL_bpz00_17386 = VECTOR_REF(((obj_t) BgL_sz00_14913), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14913,
						BgL_iboxesz00_14910, BgL_bpz00_17386);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17387;
						obj_t BgL_wherez00_17388;
						obj_t BgL_locz00_17389;

						BgL_z12denvz12_17387 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17388 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14911))->
							BgL_wherez00);
						BgL_locz00_17389 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14911))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17387, BgL_wherez00_17388,
								BgL_locz00_17389);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17390;

								BgL_za2za2resza2za2z00_17390 =
									PROCEDURE_ENTRY(BgL_bodyz00_14912) (BgL_bodyz00_14912,
									BgL_sz00_14913, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17387);
								return BgL_za2za2resza2za2z00_17390;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3592> */
	obj_t BGl_z62zc3anonymousza33592ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14914, obj_t BgL_sz00_14920)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14915;
				long BgL_siza7eza7_14916;
				BgL_ev_absz00_bglt BgL_i1243z00_14917;
				obj_t BgL_bodyz00_14918;
				long BgL_siza7ezd2framez75_14919;

				BgL_ifreesz00_14915 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14914, (int) (((long) 0))));
				BgL_siza7eza7_14916 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14914, (int) (((long) 1))));
				BgL_i1243z00_14917 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14914, (int) (((long) 2))));
				BgL_bodyz00_14918 = PROCEDURE_REF(BgL_envz00_14914, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14919 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14914, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17391;

					BgL_bpz00_17391 = VECTOR_REF(((obj_t) BgL_sz00_14920), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17392;

						BgL_valza2za2_17392 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14920,
							BgL_bpz00_17391, BgL_ifreesz00_14915);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17393;

							BgL_runz00_17393 =
								MAKE_FX_PROCEDURE(BGl_z62run5756z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17393,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14916));
							PROCEDURE_SET(BgL_runz00_17393,
								(int) (((long) 1)), BgL_valza2za2_17392);
							PROCEDURE_SET(BgL_runz00_17393,
								(int) (((long) 2)), ((obj_t) BgL_i1243z00_14917));
							PROCEDURE_SET(BgL_runz00_17393,
								(int) (((long) 3)), BgL_bodyz00_14918);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17394;

								BgL_mainz00_17394 =
									MAKE_VA_PROCEDURE(BGl_z62main5755z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17394,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14916));
								PROCEDURE_SET(BgL_mainz00_17394,
									(int) (((long) 1)), BgL_valza2za2_17392);
								PROCEDURE_SET(BgL_mainz00_17394,
									(int) (((long) 2)), ((obj_t) BgL_i1243z00_14917));
								PROCEDURE_SET(BgL_mainz00_17394,
									(int) (((long) 3)), BgL_bodyz00_14918);
								PROCEDURE_SET(BgL_mainz00_17394,
									(int) (((long) 4)), BgL_runz00_17393);
								PROCEDURE_SET(BgL_mainz00_17394,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14919));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17395;

									BgL_objz00_17395 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17393, BgL_objz00_17395);
									BgL_objz00_17395;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3593z00_17396;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3595z00_17397;

										BgL_arg3595z00_17397 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14917))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17398;

											BgL_newz00_17398 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30226;

												BgL_tmpz00_30226 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17398, BgL_tmpz00_30226,
													BgL_arg3595z00_17397);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30231;
												int BgL_tmpz00_30229;

												BgL_auxz00_30231 = BINT(BgL_siza7ezd2framez75_14919);
												BgL_tmpz00_30229 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17398, BgL_tmpz00_30229,
													BgL_auxz00_30231);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30234;

												BgL_tmpz00_30234 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17398, BgL_tmpz00_30234,
													BgL_runz00_17393);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30239;
												int BgL_tmpz00_30237;

												BgL_auxz00_30239 = BINT(((long) -2));
												BgL_tmpz00_30237 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17398, BgL_tmpz00_30237,
													BgL_auxz00_30239);
											}
											BgL_arg3593z00_17396 = BgL_newz00_17398;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17394, BgL_arg3593z00_17396);
									BgL_arg3593z00_17396;
								}
								return BgL_mainz00_17394;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5755 */
	obj_t BGl_z62main5755z62zz__evaluate_compz00(obj_t BgL_envz00_14921,
		obj_t BgL_dz00_14928, obj_t BgL_lastz00_14929)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14926;
				long BgL_siza7ezd2framez75_14927;

				BgL_runz00_14926 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14921, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14927 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14921, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17399;

					BgL_sz00_17399 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17400;

						BgL_bpz00_17400 = VECTOR_REF(((obj_t) BgL_sz00_17399), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17400) + BgL_siza7ezd2framez75_14927) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17399))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3598z00_17401;

									BgL_arg3598z00_17401 =
										((long) CINT(BgL_bpz00_17400) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17399), BgL_arg3598z00_17401,
										BgL_dz00_14928);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3600z00_17402;

									BgL_arg3600z00_17402 =
										((long) CINT(BgL_bpz00_17400) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17399), BgL_arg3600z00_17402,
										BgL_lastz00_14929);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17403;

									BgL_ez00_17403 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17403,
										BgL_bpz00_17400);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17404;

										BgL_accz00_17404 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14926, BgL_sz00_17399, BgL_bpz00_17400);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17403);
										VECTOR_SET(
											((obj_t) BgL_sz00_17399), ((long) 0), BgL_bpz00_17400);
										return BgL_accz00_17404;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17405;

								BgL_nsz00_17405 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17405, ((long) 1), BgL_sz00_17399);
								VECTOR_SET(BgL_nsz00_17405, ((long) 2), BgL_dz00_14928);
								VECTOR_SET(BgL_nsz00_17405, ((long) 3), BgL_lastz00_14929);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17406;

									BgL_z12denvz12_17406 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17406, BgL_nsz00_17405);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17407;

										BgL_ez00_17407 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17407,
											BgL_sz00_17399);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17408;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17409;

												BgL_savedzd2bpzd2_17409 =
													VECTOR_REF(BgL_nsz00_17405, ((long) 0));
												VECTOR_SET(BgL_nsz00_17405, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17411;

													BgL_fz00_17411 = BgL_runz00_14926;
												BgL_recz00_17410:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17412;

														BgL_rz00_17412 =
															PROCEDURE_ENTRY(BgL_fz00_17411) (BgL_fz00_17411,
															BgL_nsz00_17405, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30287;

															if (PROCEDUREP(BgL_rz00_17412))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17413;

																	BgL_arg1693z00_17413 =
																		PROCEDURE_ATTR(BgL_rz00_17412);
																	if (STRUCTP(BgL_arg1693z00_17413))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30287 =
																				(STRUCT_KEY(BgL_arg1693z00_17413) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30287 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30287 = ((bool_t) 0);
																}
															if (BgL_testz00_30287)
																{
																	obj_t BgL_fz00_30295;

																	BgL_fz00_30295 = BgL_rz00_17412;
																	BgL_fz00_17411 = BgL_fz00_30295;
																	goto BgL_recz00_17410;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17405, ((long) 0),
																		BgL_savedzd2bpzd2_17409);
																	BgL_____rz00_17408 = BgL_rz00_17412;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17407);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17406, BgL_sz00_17399);
											return BgL_____rz00_17408;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5756 */
	obj_t BGl_z62run5756z62zz__evaluate_compz00(obj_t BgL_envz00_14930,
		obj_t BgL_sz00_14935)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14931;
				obj_t BgL_valza2za2_14932;
				BgL_ev_absz00_bglt BgL_i1243z00_14933;
				obj_t BgL_bodyz00_14934;

				BgL_siza7eza7_14931 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14930, (int) (((long) 0))));
				BgL_valza2za2_14932 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14930, (int) (((long) 1))));
				BgL_i1243z00_14933 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14930, (int) (((long) 2))));
				BgL_bodyz00_14934 = PROCEDURE_REF(BgL_envz00_14930, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17414;

					BgL_bpz00_17414 = VECTOR_REF(((obj_t) BgL_sz00_14935), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14935,
						BgL_valza2za2_14932,
						((long) CINT(BgL_bpz00_17414) + BgL_siza7eza7_14931));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17415;
						obj_t BgL_wherez00_17416;
						obj_t BgL_locz00_17417;

						BgL_z12denvz12_17415 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17416 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14933))->
							BgL_wherez00);
						BgL_locz00_17417 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14933))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17415, BgL_wherez00_17416,
								BgL_locz00_17417);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17418;

								BgL_za2za2resza2za2z00_17418 =
									PROCEDURE_ENTRY(BgL_bodyz00_14934) (BgL_bodyz00_14934,
									BgL_sz00_14935, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17415);
								return BgL_za2za2resza2za2z00_17418;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3603> */
	obj_t BGl_z62zc3anonymousza33603ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14936, obj_t BgL_sz00_14943)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14937;
				obj_t BgL_iboxesz00_14938;
				long BgL_siza7eza7_14939;
				BgL_ev_absz00_bglt BgL_i1243z00_14940;
				obj_t BgL_bodyz00_14941;
				long BgL_siza7ezd2framez75_14942;

				BgL_ifreesz00_14937 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14936, (int) (((long) 0))));
				BgL_iboxesz00_14938 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14936, (int) (((long) 1))));
				BgL_siza7eza7_14939 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14936, (int) (((long) 2))));
				BgL_i1243z00_14940 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14936, (int) (((long) 3))));
				BgL_bodyz00_14941 = PROCEDURE_REF(BgL_envz00_14936, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14942 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14936, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17419;

					BgL_bpz00_17419 = VECTOR_REF(((obj_t) BgL_sz00_14943), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17420;

						BgL_valza2za2_17420 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14943,
							BgL_bpz00_17419, BgL_ifreesz00_14937);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17421;

							BgL_runz00_17421 =
								MAKE_FX_PROCEDURE(BGl_z62run5758z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17421,
								(int) (((long) 0)), BgL_iboxesz00_14938);
							PROCEDURE_SET(BgL_runz00_17421,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14939));
							PROCEDURE_SET(BgL_runz00_17421,
								(int) (((long) 2)), BgL_valza2za2_17420);
							PROCEDURE_SET(BgL_runz00_17421,
								(int) (((long) 3)), ((obj_t) BgL_i1243z00_14940));
							PROCEDURE_SET(BgL_runz00_17421,
								(int) (((long) 4)), BgL_bodyz00_14941);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17422;

								BgL_mainz00_17422 =
									MAKE_VA_PROCEDURE(BGl_z62main5757z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17422,
									(int) (((long) 0)), BgL_iboxesz00_14938);
								PROCEDURE_SET(BgL_mainz00_17422,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14939));
								PROCEDURE_SET(BgL_mainz00_17422,
									(int) (((long) 2)), BgL_valza2za2_17420);
								PROCEDURE_SET(BgL_mainz00_17422,
									(int) (((long) 3)), ((obj_t) BgL_i1243z00_14940));
								PROCEDURE_SET(BgL_mainz00_17422,
									(int) (((long) 4)), BgL_bodyz00_14941);
								PROCEDURE_SET(BgL_mainz00_17422,
									(int) (((long) 5)), BgL_runz00_17421);
								PROCEDURE_SET(BgL_mainz00_17422,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14942));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17423;

									BgL_objz00_17423 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17421, BgL_objz00_17423);
									BgL_objz00_17423;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3604z00_17424;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3606z00_17425;

										BgL_arg3606z00_17425 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14940))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17426;

											BgL_newz00_17426 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30383;

												BgL_tmpz00_30383 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17426, BgL_tmpz00_30383,
													BgL_arg3606z00_17425);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30388;
												int BgL_tmpz00_30386;

												BgL_auxz00_30388 = BINT(BgL_siza7ezd2framez75_14942);
												BgL_tmpz00_30386 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17426, BgL_tmpz00_30386,
													BgL_auxz00_30388);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30391;

												BgL_tmpz00_30391 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17426, BgL_tmpz00_30391,
													BgL_runz00_17421);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30396;
												int BgL_tmpz00_30394;

												BgL_auxz00_30396 = BINT(((long) -2));
												BgL_tmpz00_30394 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17426, BgL_tmpz00_30394,
													BgL_auxz00_30396);
											}
											BgL_arg3604z00_17424 = BgL_newz00_17426;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17422, BgL_arg3604z00_17424);
									BgL_arg3604z00_17424;
								}
								return BgL_mainz00_17422;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5757 */
	obj_t BGl_z62main5757z62zz__evaluate_compz00(obj_t BgL_envz00_14944,
		obj_t BgL_dz00_14952, obj_t BgL_lastz00_14953)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14950;
				long BgL_siza7ezd2framez75_14951;

				BgL_runz00_14950 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14944, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14951 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14944, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17427;

					BgL_sz00_17427 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17428;

						BgL_bpz00_17428 = VECTOR_REF(((obj_t) BgL_sz00_17427), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17428) + BgL_siza7ezd2framez75_14951) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17427))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3610z00_17429;

									BgL_arg3610z00_17429 =
										((long) CINT(BgL_bpz00_17428) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17427), BgL_arg3610z00_17429,
										BgL_dz00_14952);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3611z00_17430;

									BgL_arg3611z00_17430 =
										((long) CINT(BgL_bpz00_17428) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17427), BgL_arg3611z00_17430,
										BgL_lastz00_14953);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17431;

									BgL_ez00_17431 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17431,
										BgL_bpz00_17428);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17432;

										BgL_accz00_17432 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14950, BgL_sz00_17427, BgL_bpz00_17428);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17431);
										VECTOR_SET(
											((obj_t) BgL_sz00_17427), ((long) 0), BgL_bpz00_17428);
										return BgL_accz00_17432;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17433;

								BgL_nsz00_17433 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17433, ((long) 1), BgL_sz00_17427);
								VECTOR_SET(BgL_nsz00_17433, ((long) 2), BgL_dz00_14952);
								VECTOR_SET(BgL_nsz00_17433, ((long) 3), BgL_lastz00_14953);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17434;

									BgL_z12denvz12_17434 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17434, BgL_nsz00_17433);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17435;

										BgL_ez00_17435 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17435,
											BgL_sz00_17427);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17436;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17437;

												BgL_savedzd2bpzd2_17437 =
													VECTOR_REF(BgL_nsz00_17433, ((long) 0));
												VECTOR_SET(BgL_nsz00_17433, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17439;

													BgL_fz00_17439 = BgL_runz00_14950;
												BgL_recz00_17438:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17440;

														BgL_rz00_17440 =
															PROCEDURE_ENTRY(BgL_fz00_17439) (BgL_fz00_17439,
															BgL_nsz00_17433, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30444;

															if (PROCEDUREP(BgL_rz00_17440))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17441;

																	BgL_arg1693z00_17441 =
																		PROCEDURE_ATTR(BgL_rz00_17440);
																	if (STRUCTP(BgL_arg1693z00_17441))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30444 =
																				(STRUCT_KEY(BgL_arg1693z00_17441) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30444 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30444 = ((bool_t) 0);
																}
															if (BgL_testz00_30444)
																{
																	obj_t BgL_fz00_30452;

																	BgL_fz00_30452 = BgL_rz00_17440;
																	BgL_fz00_17439 = BgL_fz00_30452;
																	goto BgL_recz00_17438;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17433, ((long) 0),
																		BgL_savedzd2bpzd2_17437);
																	BgL_____rz00_17436 = BgL_rz00_17440;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17435);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17434, BgL_sz00_17427);
											return BgL_____rz00_17436;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5758 */
	obj_t BGl_z62run5758z62zz__evaluate_compz00(obj_t BgL_envz00_14954,
		obj_t BgL_sz00_14960)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14955;
				long BgL_siza7eza7_14956;
				obj_t BgL_valza2za2_14957;
				BgL_ev_absz00_bglt BgL_i1243z00_14958;
				obj_t BgL_bodyz00_14959;

				BgL_iboxesz00_14955 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14954, (int) (((long) 0))));
				BgL_siza7eza7_14956 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14954, (int) (((long) 1))));
				BgL_valza2za2_14957 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14954, (int) (((long) 2))));
				BgL_i1243z00_14958 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14954, (int) (((long) 3))));
				BgL_bodyz00_14959 = PROCEDURE_REF(BgL_envz00_14954, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17442;

					BgL_bpz00_17442 = VECTOR_REF(((obj_t) BgL_sz00_14960), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14960,
						BgL_iboxesz00_14955, BgL_bpz00_17442);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14960,
						BgL_valza2za2_14957,
						((long) CINT(BgL_bpz00_17442) + BgL_siza7eza7_14956));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17443;
						obj_t BgL_wherez00_17444;
						obj_t BgL_locz00_17445;

						BgL_z12denvz12_17443 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17444 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14958))->
							BgL_wherez00);
						BgL_locz00_17445 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14958))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17443, BgL_wherez00_17444,
								BgL_locz00_17445);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17446;

								BgL_za2za2resza2za2z00_17446 =
									PROCEDURE_ENTRY(BgL_bodyz00_14959) (BgL_bodyz00_14959,
									BgL_sz00_14960, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17443);
								return BgL_za2za2resza2za2z00_17446;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3527> */
	obj_t BGl_z62zc3anonymousza33527ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14961, obj_t BgL_sz00_14965)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14962;
				obj_t BgL_bodyz00_14963;
				long BgL_siza7ezd2framez75_14964;

				BgL_i1243z00_14962 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14961, (int) (((long) 0))));
				BgL_bodyz00_14963 = PROCEDURE_REF(BgL_envz00_14961, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14964 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14961, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17447;

					BgL_bpz00_17447 = VECTOR_REF(((obj_t) BgL_sz00_14965), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17448;

							BgL_runz00_17448 =
								MAKE_FX_PROCEDURE(BGl_z62run5760z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17448,
								(int) (((long) 0)), ((obj_t) BgL_i1243z00_14962));
							PROCEDURE_SET(BgL_runz00_17448,
								(int) (((long) 1)), BgL_bodyz00_14963);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17449;

								BgL_mainz00_17449 =
									MAKE_FX_PROCEDURE(BGl_z62main5759z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17449,
									(int) (((long) 0)), ((obj_t) BgL_i1243z00_14962));
								PROCEDURE_SET(BgL_mainz00_17449,
									(int) (((long) 1)), BgL_bodyz00_14963);
								PROCEDURE_SET(BgL_mainz00_17449,
									(int) (((long) 2)), BgL_runz00_17448);
								PROCEDURE_SET(BgL_mainz00_17449,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14964));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17450;

									BgL_objz00_17450 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17448, BgL_objz00_17450);
									BgL_objz00_17450;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3528z00_17451;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3529z00_17452;

										BgL_arg3529z00_17452 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14962))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17453;

											BgL_newz00_17453 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30520;

												BgL_tmpz00_30520 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17453, BgL_tmpz00_30520,
													BgL_arg3529z00_17452);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30525;
												int BgL_tmpz00_30523;

												BgL_auxz00_30525 = BINT(BgL_siza7ezd2framez75_14964);
												BgL_tmpz00_30523 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17453, BgL_tmpz00_30523,
													BgL_auxz00_30525);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30528;

												BgL_tmpz00_30528 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17453, BgL_tmpz00_30528,
													BgL_runz00_17448);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30533;
												int BgL_tmpz00_30531;

												BgL_auxz00_30533 = BINT(((long) 1));
												BgL_tmpz00_30531 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17453, BgL_tmpz00_30531,
													BgL_auxz00_30533);
											}
											BgL_arg3528z00_17451 = BgL_newz00_17453;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17449, BgL_arg3528z00_17451);
									BgL_arg3528z00_17451;
								}
								return BgL_mainz00_17449;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5759 */
	obj_t BGl_z62main5759z62zz__evaluate_compz00(obj_t BgL_envz00_14966,
		obj_t BgL_dz00_14971)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14969;
				long BgL_siza7ezd2framez75_14970;

				BgL_runz00_14969 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14966, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14970 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14966, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17454;

					BgL_sz00_17454 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17455;

						BgL_bpz00_17455 = VECTOR_REF(((obj_t) BgL_sz00_17454), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17455) + BgL_siza7ezd2framez75_14970) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17454))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3533z00_17456;

									BgL_arg3533z00_17456 =
										((long) CINT(BgL_bpz00_17455) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17454), BgL_arg3533z00_17456,
										BgL_dz00_14971);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17457;

									BgL_ez00_17457 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17457,
										BgL_bpz00_17455);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17458;

										BgL_accz00_17458 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14969, BgL_sz00_17454, BgL_bpz00_17455);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17457);
										VECTOR_SET(
											((obj_t) BgL_sz00_17454), ((long) 0), BgL_bpz00_17455);
										return BgL_accz00_17458;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17459;

								BgL_nsz00_17459 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17459, ((long) 1), BgL_sz00_17454);
								VECTOR_SET(BgL_nsz00_17459, ((long) 2), BgL_dz00_14971);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17460;

									BgL_z12denvz12_17460 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17460, BgL_nsz00_17459);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17461;

										BgL_ez00_17461 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17461,
											BgL_sz00_17454);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17462;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17463;

												BgL_savedzd2bpzd2_17463 =
													VECTOR_REF(BgL_nsz00_17459, ((long) 0));
												VECTOR_SET(BgL_nsz00_17459, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17465;

													BgL_fz00_17465 = BgL_runz00_14969;
												BgL_recz00_17464:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17466;

														BgL_rz00_17466 =
															PROCEDURE_ENTRY(BgL_fz00_17465) (BgL_fz00_17465,
															BgL_nsz00_17459, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30576;

															if (PROCEDUREP(BgL_rz00_17466))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17467;

																	BgL_arg1693z00_17467 =
																		PROCEDURE_ATTR(BgL_rz00_17466);
																	if (STRUCTP(BgL_arg1693z00_17467))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30576 =
																				(STRUCT_KEY(BgL_arg1693z00_17467) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30576 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30576 = ((bool_t) 0);
																}
															if (BgL_testz00_30576)
																{
																	obj_t BgL_fz00_30584;

																	BgL_fz00_30584 = BgL_rz00_17466;
																	BgL_fz00_17465 = BgL_fz00_30584;
																	goto BgL_recz00_17464;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17459, ((long) 0),
																		BgL_savedzd2bpzd2_17463);
																	BgL_____rz00_17462 = BgL_rz00_17466;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17461);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17460, BgL_sz00_17454);
											return BgL_____rz00_17462;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5760 */
	obj_t BGl_z62run5760z62zz__evaluate_compz00(obj_t BgL_envz00_14972,
		obj_t BgL_sz00_14975)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_14973;
				obj_t BgL_bodyz00_14974;

				BgL_i1243z00_14973 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14972, (int) (((long) 0))));
				BgL_bodyz00_14974 = PROCEDURE_REF(BgL_envz00_14972, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17468;

					BgL_bpz00_17468 = VECTOR_REF(((obj_t) BgL_sz00_14975), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17469;
						obj_t BgL_wherez00_17470;
						obj_t BgL_locz00_17471;

						BgL_z12denvz12_17469 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17470 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14973))->
							BgL_wherez00);
						BgL_locz00_17471 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14973))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17469, BgL_wherez00_17470,
								BgL_locz00_17471);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17472;

								BgL_za2za2resza2za2z00_17472 =
									PROCEDURE_ENTRY(BgL_bodyz00_14974) (BgL_bodyz00_14974,
									BgL_sz00_14975, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17469);
								return BgL_za2za2resza2za2z00_17472;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3535> */
	obj_t BGl_z62zc3anonymousza33535ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14976, obj_t BgL_sz00_14981)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14977;
				BgL_ev_absz00_bglt BgL_i1243z00_14978;
				obj_t BgL_bodyz00_14979;
				long BgL_siza7ezd2framez75_14980;

				BgL_iboxesz00_14977 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14976, (int) (((long) 0))));
				BgL_i1243z00_14978 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14976, (int) (((long) 1))));
				BgL_bodyz00_14979 = PROCEDURE_REF(BgL_envz00_14976, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14980 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14976, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17473;

					BgL_bpz00_17473 = VECTOR_REF(((obj_t) BgL_sz00_14981), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17474;

							BgL_runz00_17474 =
								MAKE_FX_PROCEDURE(BGl_z62run5762z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17474,
								(int) (((long) 0)), BgL_iboxesz00_14977);
							PROCEDURE_SET(BgL_runz00_17474,
								(int) (((long) 1)), ((obj_t) BgL_i1243z00_14978));
							PROCEDURE_SET(BgL_runz00_17474,
								(int) (((long) 2)), BgL_bodyz00_14979);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17475;

								BgL_mainz00_17475 =
									MAKE_FX_PROCEDURE(BGl_z62main5761z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17475,
									(int) (((long) 0)), BgL_iboxesz00_14977);
								PROCEDURE_SET(BgL_mainz00_17475,
									(int) (((long) 1)), ((obj_t) BgL_i1243z00_14978));
								PROCEDURE_SET(BgL_mainz00_17475,
									(int) (((long) 2)), BgL_bodyz00_14979);
								PROCEDURE_SET(BgL_mainz00_17475,
									(int) (((long) 3)), BgL_runz00_17474);
								PROCEDURE_SET(BgL_mainz00_17475,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14980));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17476;

									BgL_objz00_17476 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17474, BgL_objz00_17476);
									BgL_objz00_17476;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3536z00_17477;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3537z00_17478;

										BgL_arg3537z00_17478 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14978))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17479;

											BgL_newz00_17479 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30646;

												BgL_tmpz00_30646 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17479, BgL_tmpz00_30646,
													BgL_arg3537z00_17478);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30651;
												int BgL_tmpz00_30649;

												BgL_auxz00_30651 = BINT(BgL_siza7ezd2framez75_14980);
												BgL_tmpz00_30649 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17479, BgL_tmpz00_30649,
													BgL_auxz00_30651);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30654;

												BgL_tmpz00_30654 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17479, BgL_tmpz00_30654,
													BgL_runz00_17474);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30659;
												int BgL_tmpz00_30657;

												BgL_auxz00_30659 = BINT(((long) 1));
												BgL_tmpz00_30657 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17479, BgL_tmpz00_30657,
													BgL_auxz00_30659);
											}
											BgL_arg3536z00_17477 = BgL_newz00_17479;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17475, BgL_arg3536z00_17477);
									BgL_arg3536z00_17477;
								}
								return BgL_mainz00_17475;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5761 */
	obj_t BGl_z62main5761z62zz__evaluate_compz00(obj_t BgL_envz00_14982,
		obj_t BgL_dz00_14988)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14986;
				long BgL_siza7ezd2framez75_14987;

				BgL_runz00_14986 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14982, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14987 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14982, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17480;

					BgL_sz00_17480 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17481;

						BgL_bpz00_17481 = VECTOR_REF(((obj_t) BgL_sz00_17480), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17481) + BgL_siza7ezd2framez75_14987) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17480))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3541z00_17482;

									BgL_arg3541z00_17482 =
										((long) CINT(BgL_bpz00_17481) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17480), BgL_arg3541z00_17482,
										BgL_dz00_14988);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17483;

									BgL_ez00_17483 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17483,
										BgL_bpz00_17481);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17484;

										BgL_accz00_17484 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14986, BgL_sz00_17480, BgL_bpz00_17481);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17483);
										VECTOR_SET(
											((obj_t) BgL_sz00_17480), ((long) 0), BgL_bpz00_17481);
										return BgL_accz00_17484;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17485;

								BgL_nsz00_17485 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17485, ((long) 1), BgL_sz00_17480);
								VECTOR_SET(BgL_nsz00_17485, ((long) 2), BgL_dz00_14988);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17486;

									BgL_z12denvz12_17486 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17486, BgL_nsz00_17485);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17487;

										BgL_ez00_17487 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17487,
											BgL_sz00_17480);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17488;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17489;

												BgL_savedzd2bpzd2_17489 =
													VECTOR_REF(BgL_nsz00_17485, ((long) 0));
												VECTOR_SET(BgL_nsz00_17485, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17491;

													BgL_fz00_17491 = BgL_runz00_14986;
												BgL_recz00_17490:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17492;

														BgL_rz00_17492 =
															PROCEDURE_ENTRY(BgL_fz00_17491) (BgL_fz00_17491,
															BgL_nsz00_17485, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30702;

															if (PROCEDUREP(BgL_rz00_17492))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17493;

																	BgL_arg1693z00_17493 =
																		PROCEDURE_ATTR(BgL_rz00_17492);
																	if (STRUCTP(BgL_arg1693z00_17493))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30702 =
																				(STRUCT_KEY(BgL_arg1693z00_17493) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30702 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30702 = ((bool_t) 0);
																}
															if (BgL_testz00_30702)
																{
																	obj_t BgL_fz00_30710;

																	BgL_fz00_30710 = BgL_rz00_17492;
																	BgL_fz00_17491 = BgL_fz00_30710;
																	goto BgL_recz00_17490;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17485, ((long) 0),
																		BgL_savedzd2bpzd2_17489);
																	BgL_____rz00_17488 = BgL_rz00_17492;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17487);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17486, BgL_sz00_17480);
											return BgL_____rz00_17488;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5762 */
	obj_t BGl_z62run5762z62zz__evaluate_compz00(obj_t BgL_envz00_14989,
		obj_t BgL_sz00_14993)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14990;
				BgL_ev_absz00_bglt BgL_i1243z00_14991;
				obj_t BgL_bodyz00_14992;

				BgL_iboxesz00_14990 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14989, (int) (((long) 0))));
				BgL_i1243z00_14991 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14989, (int) (((long) 1))));
				BgL_bodyz00_14992 = PROCEDURE_REF(BgL_envz00_14989, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17494;

					BgL_bpz00_17494 = VECTOR_REF(((obj_t) BgL_sz00_14993), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14993,
						BgL_iboxesz00_14990, BgL_bpz00_17494);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17495;
						obj_t BgL_wherez00_17496;
						obj_t BgL_locz00_17497;

						BgL_z12denvz12_17495 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17496 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14991))->
							BgL_wherez00);
						BgL_locz00_17497 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14991))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17495, BgL_wherez00_17496,
								BgL_locz00_17497);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17498;

								BgL_za2za2resza2za2z00_17498 =
									PROCEDURE_ENTRY(BgL_bodyz00_14992) (BgL_bodyz00_14992,
									BgL_sz00_14993, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17495);
								return BgL_za2za2resza2za2z00_17498;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3547> */
	obj_t BGl_z62zc3anonymousza33547ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14994, obj_t BgL_sz00_15000)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14995;
				long BgL_siza7eza7_14996;
				BgL_ev_absz00_bglt BgL_i1243z00_14997;
				obj_t BgL_bodyz00_14998;
				long BgL_siza7ezd2framez75_14999;

				BgL_ifreesz00_14995 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14994, (int) (((long) 0))));
				BgL_siza7eza7_14996 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14994, (int) (((long) 1))));
				BgL_i1243z00_14997 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14994, (int) (((long) 2))));
				BgL_bodyz00_14998 = PROCEDURE_REF(BgL_envz00_14994, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14999 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14994, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17499;

					BgL_bpz00_17499 = VECTOR_REF(((obj_t) BgL_sz00_15000), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17500;

						BgL_valza2za2_17500 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15000,
							BgL_bpz00_17499, BgL_ifreesz00_14995);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17501;

							BgL_runz00_17501 =
								MAKE_FX_PROCEDURE(BGl_z62run5764z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17501,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14996));
							PROCEDURE_SET(BgL_runz00_17501,
								(int) (((long) 1)), BgL_valza2za2_17500);
							PROCEDURE_SET(BgL_runz00_17501,
								(int) (((long) 2)), ((obj_t) BgL_i1243z00_14997));
							PROCEDURE_SET(BgL_runz00_17501,
								(int) (((long) 3)), BgL_bodyz00_14998);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17502;

								BgL_mainz00_17502 =
									MAKE_FX_PROCEDURE(BGl_z62main5763z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17502,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14996));
								PROCEDURE_SET(BgL_mainz00_17502,
									(int) (((long) 1)), BgL_valza2za2_17500);
								PROCEDURE_SET(BgL_mainz00_17502,
									(int) (((long) 2)), ((obj_t) BgL_i1243z00_14997));
								PROCEDURE_SET(BgL_mainz00_17502,
									(int) (((long) 3)), BgL_bodyz00_14998);
								PROCEDURE_SET(BgL_mainz00_17502,
									(int) (((long) 4)), BgL_runz00_17501);
								PROCEDURE_SET(BgL_mainz00_17502,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14999));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17503;

									BgL_objz00_17503 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17501, BgL_objz00_17503);
									BgL_objz00_17503;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3548z00_17504;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3549z00_17505;

										BgL_arg3549z00_17505 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_14997))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17506;

											BgL_newz00_17506 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30786;

												BgL_tmpz00_30786 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17506, BgL_tmpz00_30786,
													BgL_arg3549z00_17505);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30791;
												int BgL_tmpz00_30789;

												BgL_auxz00_30791 = BINT(BgL_siza7ezd2framez75_14999);
												BgL_tmpz00_30789 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17506, BgL_tmpz00_30789,
													BgL_auxz00_30791);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30794;

												BgL_tmpz00_30794 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17506, BgL_tmpz00_30794,
													BgL_runz00_17501);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30799;
												int BgL_tmpz00_30797;

												BgL_auxz00_30799 = BINT(((long) 1));
												BgL_tmpz00_30797 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17506, BgL_tmpz00_30797,
													BgL_auxz00_30799);
											}
											BgL_arg3548z00_17504 = BgL_newz00_17506;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17502, BgL_arg3548z00_17504);
									BgL_arg3548z00_17504;
								}
								return BgL_mainz00_17502;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5763 */
	obj_t BGl_z62main5763z62zz__evaluate_compz00(obj_t BgL_envz00_15001,
		obj_t BgL_dz00_15008)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15006;
				long BgL_siza7ezd2framez75_15007;

				BgL_runz00_15006 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15001, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15007 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15001, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17507;

					BgL_sz00_17507 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17508;

						BgL_bpz00_17508 = VECTOR_REF(((obj_t) BgL_sz00_17507), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17508) + BgL_siza7ezd2framez75_15007) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17507))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3552z00_17509;

									BgL_arg3552z00_17509 =
										((long) CINT(BgL_bpz00_17508) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17507), BgL_arg3552z00_17509,
										BgL_dz00_15008);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17510;

									BgL_ez00_17510 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17510,
										BgL_bpz00_17508);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17511;

										BgL_accz00_17511 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15006, BgL_sz00_17507, BgL_bpz00_17508);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17510);
										VECTOR_SET(
											((obj_t) BgL_sz00_17507), ((long) 0), BgL_bpz00_17508);
										return BgL_accz00_17511;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17512;

								BgL_nsz00_17512 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17512, ((long) 1), BgL_sz00_17507);
								VECTOR_SET(BgL_nsz00_17512, ((long) 2), BgL_dz00_15008);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17513;

									BgL_z12denvz12_17513 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17513, BgL_nsz00_17512);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17514;

										BgL_ez00_17514 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17514,
											BgL_sz00_17507);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17515;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17516;

												BgL_savedzd2bpzd2_17516 =
													VECTOR_REF(BgL_nsz00_17512, ((long) 0));
												VECTOR_SET(BgL_nsz00_17512, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17518;

													BgL_fz00_17518 = BgL_runz00_15006;
												BgL_recz00_17517:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17519;

														BgL_rz00_17519 =
															PROCEDURE_ENTRY(BgL_fz00_17518) (BgL_fz00_17518,
															BgL_nsz00_17512, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30842;

															if (PROCEDUREP(BgL_rz00_17519))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17520;

																	BgL_arg1693z00_17520 =
																		PROCEDURE_ATTR(BgL_rz00_17519);
																	if (STRUCTP(BgL_arg1693z00_17520))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30842 =
																				(STRUCT_KEY(BgL_arg1693z00_17520) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30842 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30842 = ((bool_t) 0);
																}
															if (BgL_testz00_30842)
																{
																	obj_t BgL_fz00_30850;

																	BgL_fz00_30850 = BgL_rz00_17519;
																	BgL_fz00_17518 = BgL_fz00_30850;
																	goto BgL_recz00_17517;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17512, ((long) 0),
																		BgL_savedzd2bpzd2_17516);
																	BgL_____rz00_17515 = BgL_rz00_17519;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17514);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17513, BgL_sz00_17507);
											return BgL_____rz00_17515;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5764 */
	obj_t BGl_z62run5764z62zz__evaluate_compz00(obj_t BgL_envz00_15009,
		obj_t BgL_sz00_15014)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_15010;
				obj_t BgL_valza2za2_15011;
				BgL_ev_absz00_bglt BgL_i1243z00_15012;
				obj_t BgL_bodyz00_15013;

				BgL_siza7eza7_15010 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15009, (int) (((long) 0))));
				BgL_valza2za2_15011 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15009, (int) (((long) 1))));
				BgL_i1243z00_15012 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15009, (int) (((long) 2))));
				BgL_bodyz00_15013 = PROCEDURE_REF(BgL_envz00_15009, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17521;

					BgL_bpz00_17521 = VECTOR_REF(((obj_t) BgL_sz00_15014), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15014,
						BgL_valza2za2_15011,
						((long) CINT(BgL_bpz00_17521) + BgL_siza7eza7_15010));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17522;
						obj_t BgL_wherez00_17523;
						obj_t BgL_locz00_17524;

						BgL_z12denvz12_17522 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17523 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15012))->
							BgL_wherez00);
						BgL_locz00_17524 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15012))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17522, BgL_wherez00_17523,
								BgL_locz00_17524);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17525;

								BgL_za2za2resza2za2z00_17525 =
									PROCEDURE_ENTRY(BgL_bodyz00_15013) (BgL_bodyz00_15013,
									BgL_sz00_15014, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17522);
								return BgL_za2za2resza2za2z00_17525;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3555> */
	obj_t BGl_z62zc3anonymousza33555ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15015, obj_t BgL_sz00_15022)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_15016;
				obj_t BgL_iboxesz00_15017;
				long BgL_siza7eza7_15018;
				BgL_ev_absz00_bglt BgL_i1243z00_15019;
				obj_t BgL_bodyz00_15020;
				long BgL_siza7ezd2framez75_15021;

				BgL_ifreesz00_15016 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15015, (int) (((long) 0))));
				BgL_iboxesz00_15017 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15015, (int) (((long) 1))));
				BgL_siza7eza7_15018 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15015, (int) (((long) 2))));
				BgL_i1243z00_15019 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15015, (int) (((long) 3))));
				BgL_bodyz00_15020 = PROCEDURE_REF(BgL_envz00_15015, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15021 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15015, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17526;

					BgL_bpz00_17526 = VECTOR_REF(((obj_t) BgL_sz00_15022), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17527;

						BgL_valza2za2_17527 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15022,
							BgL_bpz00_17526, BgL_ifreesz00_15016);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17528;

							BgL_runz00_17528 =
								MAKE_FX_PROCEDURE(BGl_z62run5766z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17528,
								(int) (((long) 0)), BgL_iboxesz00_15017);
							PROCEDURE_SET(BgL_runz00_17528,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15018));
							PROCEDURE_SET(BgL_runz00_17528,
								(int) (((long) 2)), BgL_valza2za2_17527);
							PROCEDURE_SET(BgL_runz00_17528,
								(int) (((long) 3)), ((obj_t) BgL_i1243z00_15019));
							PROCEDURE_SET(BgL_runz00_17528,
								(int) (((long) 4)), BgL_bodyz00_15020);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17529;

								BgL_mainz00_17529 =
									MAKE_FX_PROCEDURE(BGl_z62main5765z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17529,
									(int) (((long) 0)), BgL_iboxesz00_15017);
								PROCEDURE_SET(BgL_mainz00_17529,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15018));
								PROCEDURE_SET(BgL_mainz00_17529,
									(int) (((long) 2)), BgL_valza2za2_17527);
								PROCEDURE_SET(BgL_mainz00_17529,
									(int) (((long) 3)), ((obj_t) BgL_i1243z00_15019));
								PROCEDURE_SET(BgL_mainz00_17529,
									(int) (((long) 4)), BgL_bodyz00_15020);
								PROCEDURE_SET(BgL_mainz00_17529,
									(int) (((long) 5)), BgL_runz00_17528);
								PROCEDURE_SET(BgL_mainz00_17529,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15021));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17530;

									BgL_objz00_17530 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17528, BgL_objz00_17530);
									BgL_objz00_17530;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3556z00_17531;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3557z00_17532;

										BgL_arg3557z00_17532 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15019))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17533;

											BgL_newz00_17533 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30938;

												BgL_tmpz00_30938 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17533, BgL_tmpz00_30938,
													BgL_arg3557z00_17532);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30943;
												int BgL_tmpz00_30941;

												BgL_auxz00_30943 = BINT(BgL_siza7ezd2framez75_15021);
												BgL_tmpz00_30941 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17533, BgL_tmpz00_30941,
													BgL_auxz00_30943);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30946;

												BgL_tmpz00_30946 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17533, BgL_tmpz00_30946,
													BgL_runz00_17528);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30951;
												int BgL_tmpz00_30949;

												BgL_auxz00_30951 = BINT(((long) 1));
												BgL_tmpz00_30949 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17533, BgL_tmpz00_30949,
													BgL_auxz00_30951);
											}
											BgL_arg3556z00_17531 = BgL_newz00_17533;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17529, BgL_arg3556z00_17531);
									BgL_arg3556z00_17531;
								}
								return BgL_mainz00_17529;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5765 */
	obj_t BGl_z62main5765z62zz__evaluate_compz00(obj_t BgL_envz00_15023,
		obj_t BgL_dz00_15031)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15029;
				long BgL_siza7ezd2framez75_15030;

				BgL_runz00_15029 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15023, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15030 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15023, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17534;

					BgL_sz00_17534 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17535;

						BgL_bpz00_17535 = VECTOR_REF(((obj_t) BgL_sz00_17534), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17535) + BgL_siza7ezd2framez75_15030) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17534))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3560z00_17536;

									BgL_arg3560z00_17536 =
										((long) CINT(BgL_bpz00_17535) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17534), BgL_arg3560z00_17536,
										BgL_dz00_15031);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17537;

									BgL_ez00_17537 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17537,
										BgL_bpz00_17535);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17538;

										BgL_accz00_17538 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15029, BgL_sz00_17534, BgL_bpz00_17535);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17537);
										VECTOR_SET(
											((obj_t) BgL_sz00_17534), ((long) 0), BgL_bpz00_17535);
										return BgL_accz00_17538;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17539;

								BgL_nsz00_17539 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17539, ((long) 1), BgL_sz00_17534);
								VECTOR_SET(BgL_nsz00_17539, ((long) 2), BgL_dz00_15031);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17540;

									BgL_z12denvz12_17540 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17540, BgL_nsz00_17539);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17541;

										BgL_ez00_17541 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17541,
											BgL_sz00_17534);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17542;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17543;

												BgL_savedzd2bpzd2_17543 =
													VECTOR_REF(BgL_nsz00_17539, ((long) 0));
												VECTOR_SET(BgL_nsz00_17539, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17545;

													BgL_fz00_17545 = BgL_runz00_15029;
												BgL_recz00_17544:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17546;

														BgL_rz00_17546 =
															PROCEDURE_ENTRY(BgL_fz00_17545) (BgL_fz00_17545,
															BgL_nsz00_17539, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30994;

															if (PROCEDUREP(BgL_rz00_17546))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17547;

																	BgL_arg1693z00_17547 =
																		PROCEDURE_ATTR(BgL_rz00_17546);
																	if (STRUCTP(BgL_arg1693z00_17547))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30994 =
																				(STRUCT_KEY(BgL_arg1693z00_17547) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30994 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30994 = ((bool_t) 0);
																}
															if (BgL_testz00_30994)
																{
																	obj_t BgL_fz00_31002;

																	BgL_fz00_31002 = BgL_rz00_17546;
																	BgL_fz00_17545 = BgL_fz00_31002;
																	goto BgL_recz00_17544;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17539, ((long) 0),
																		BgL_savedzd2bpzd2_17543);
																	BgL_____rz00_17542 = BgL_rz00_17546;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17541);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17540, BgL_sz00_17534);
											return BgL_____rz00_17542;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5766 */
	obj_t BGl_z62run5766z62zz__evaluate_compz00(obj_t BgL_envz00_15032,
		obj_t BgL_sz00_15038)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15033;
				long BgL_siza7eza7_15034;
				obj_t BgL_valza2za2_15035;
				BgL_ev_absz00_bglt BgL_i1243z00_15036;
				obj_t BgL_bodyz00_15037;

				BgL_iboxesz00_15033 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15032, (int) (((long) 0))));
				BgL_siza7eza7_15034 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15032, (int) (((long) 1))));
				BgL_valza2za2_15035 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15032, (int) (((long) 2))));
				BgL_i1243z00_15036 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15032, (int) (((long) 3))));
				BgL_bodyz00_15037 = PROCEDURE_REF(BgL_envz00_15032, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17548;

					BgL_bpz00_17548 = VECTOR_REF(((obj_t) BgL_sz00_15038), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15038,
						BgL_iboxesz00_15033, BgL_bpz00_17548);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15038,
						BgL_valza2za2_15035,
						((long) CINT(BgL_bpz00_17548) + BgL_siza7eza7_15034));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17549;
						obj_t BgL_wherez00_17550;
						obj_t BgL_locz00_17551;

						BgL_z12denvz12_17549 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17550 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15036))->
							BgL_wherez00);
						BgL_locz00_17551 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15036))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17549, BgL_wherez00_17550,
								BgL_locz00_17551);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17552;

								BgL_za2za2resza2za2z00_17552 =
									PROCEDURE_ENTRY(BgL_bodyz00_15037) (BgL_bodyz00_15037,
									BgL_sz00_15038, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17549);
								return BgL_za2za2resza2za2z00_17552;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3482> */
	obj_t BGl_z62zc3anonymousza33482ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15039, obj_t BgL_sz00_15043)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_15040;
				obj_t BgL_bodyz00_15041;
				long BgL_siza7ezd2framez75_15042;

				BgL_i1243z00_15040 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15039, (int) (((long) 0))));
				BgL_bodyz00_15041 = PROCEDURE_REF(BgL_envz00_15039, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15042 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15039, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17553;

					BgL_bpz00_17553 = VECTOR_REF(((obj_t) BgL_sz00_15043), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17554;

							BgL_runz00_17554 =
								MAKE_FX_PROCEDURE(BGl_z62run5768z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17554,
								(int) (((long) 0)), ((obj_t) BgL_i1243z00_15040));
							PROCEDURE_SET(BgL_runz00_17554,
								(int) (((long) 1)), BgL_bodyz00_15041);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17555;

								BgL_mainz00_17555 =
									MAKE_VA_PROCEDURE(BGl_z62main5767z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17555,
									(int) (((long) 0)), ((obj_t) BgL_i1243z00_15040));
								PROCEDURE_SET(BgL_mainz00_17555,
									(int) (((long) 1)), BgL_bodyz00_15041);
								PROCEDURE_SET(BgL_mainz00_17555,
									(int) (((long) 2)), BgL_runz00_17554);
								PROCEDURE_SET(BgL_mainz00_17555,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15042));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17556;

									BgL_objz00_17556 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17554, BgL_objz00_17556);
									BgL_objz00_17556;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3483z00_17557;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3484z00_17558;

										BgL_arg3484z00_17558 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15040))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17559;

											BgL_newz00_17559 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31070;

												BgL_tmpz00_31070 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17559, BgL_tmpz00_31070,
													BgL_arg3484z00_17558);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31075;
												int BgL_tmpz00_31073;

												BgL_auxz00_31075 = BINT(BgL_siza7ezd2framez75_15042);
												BgL_tmpz00_31073 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17559, BgL_tmpz00_31073,
													BgL_auxz00_31075);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31078;

												BgL_tmpz00_31078 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17559, BgL_tmpz00_31078,
													BgL_runz00_17554);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31083;
												int BgL_tmpz00_31081;

												BgL_auxz00_31083 = BINT(((long) -1));
												BgL_tmpz00_31081 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17559, BgL_tmpz00_31081,
													BgL_auxz00_31083);
											}
											BgL_arg3483z00_17557 = BgL_newz00_17559;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17555, BgL_arg3483z00_17557);
									BgL_arg3483z00_17557;
								}
								return BgL_mainz00_17555;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5767 */
	obj_t BGl_z62main5767z62zz__evaluate_compz00(obj_t BgL_envz00_15044,
		obj_t BgL_lastz00_15049)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15047;
				long BgL_siza7ezd2framez75_15048;

				BgL_runz00_15047 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15044, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15048 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15044, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17560;

					BgL_sz00_17560 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17561;

						BgL_bpz00_17561 = VECTOR_REF(((obj_t) BgL_sz00_17560), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17561) + BgL_siza7ezd2framez75_15048) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17560))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3487z00_17562;

									BgL_arg3487z00_17562 =
										((long) CINT(BgL_bpz00_17561) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17560), BgL_arg3487z00_17562,
										BgL_lastz00_15049);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17563;

									BgL_ez00_17563 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17563,
										BgL_bpz00_17561);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17564;

										BgL_accz00_17564 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15047, BgL_sz00_17560, BgL_bpz00_17561);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17563);
										VECTOR_SET(
											((obj_t) BgL_sz00_17560), ((long) 0), BgL_bpz00_17561);
										return BgL_accz00_17564;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17565;

								BgL_nsz00_17565 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17565, ((long) 1), BgL_sz00_17560);
								VECTOR_SET(BgL_nsz00_17565, ((long) 2), BgL_lastz00_15049);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17566;

									BgL_z12denvz12_17566 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17566, BgL_nsz00_17565);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17567;

										BgL_ez00_17567 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17567,
											BgL_sz00_17560);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17568;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17569;

												BgL_savedzd2bpzd2_17569 =
													VECTOR_REF(BgL_nsz00_17565, ((long) 0));
												VECTOR_SET(BgL_nsz00_17565, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17571;

													BgL_fz00_17571 = BgL_runz00_15047;
												BgL_recz00_17570:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17572;

														BgL_rz00_17572 =
															PROCEDURE_ENTRY(BgL_fz00_17571) (BgL_fz00_17571,
															BgL_nsz00_17565, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31126;

															if (PROCEDUREP(BgL_rz00_17572))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17573;

																	BgL_arg1693z00_17573 =
																		PROCEDURE_ATTR(BgL_rz00_17572);
																	if (STRUCTP(BgL_arg1693z00_17573))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31126 =
																				(STRUCT_KEY(BgL_arg1693z00_17573) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31126 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31126 = ((bool_t) 0);
																}
															if (BgL_testz00_31126)
																{
																	obj_t BgL_fz00_31134;

																	BgL_fz00_31134 = BgL_rz00_17572;
																	BgL_fz00_17571 = BgL_fz00_31134;
																	goto BgL_recz00_17570;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17565, ((long) 0),
																		BgL_savedzd2bpzd2_17569);
																	BgL_____rz00_17568 = BgL_rz00_17572;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17567);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17566, BgL_sz00_17560);
											return BgL_____rz00_17568;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5768 */
	obj_t BGl_z62run5768z62zz__evaluate_compz00(obj_t BgL_envz00_15050,
		obj_t BgL_sz00_15053)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_15051;
				obj_t BgL_bodyz00_15052;

				BgL_i1243z00_15051 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15050, (int) (((long) 0))));
				BgL_bodyz00_15052 = PROCEDURE_REF(BgL_envz00_15050, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17574;

					BgL_bpz00_17574 = VECTOR_REF(((obj_t) BgL_sz00_15053), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17575;
						obj_t BgL_wherez00_17576;
						obj_t BgL_locz00_17577;

						BgL_z12denvz12_17575 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17576 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15051))->
							BgL_wherez00);
						BgL_locz00_17577 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15051))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17575, BgL_wherez00_17576,
								BgL_locz00_17577);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17578;

								BgL_za2za2resza2za2z00_17578 =
									PROCEDURE_ENTRY(BgL_bodyz00_15052) (BgL_bodyz00_15052,
									BgL_sz00_15053, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17575);
								return BgL_za2za2resza2za2z00_17578;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3489> */
	obj_t BGl_z62zc3anonymousza33489ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15054, obj_t BgL_sz00_15059)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15055;
				BgL_ev_absz00_bglt BgL_i1243z00_15056;
				obj_t BgL_bodyz00_15057;
				long BgL_siza7ezd2framez75_15058;

				BgL_iboxesz00_15055 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15054, (int) (((long) 0))));
				BgL_i1243z00_15056 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15054, (int) (((long) 1))));
				BgL_bodyz00_15057 = PROCEDURE_REF(BgL_envz00_15054, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15058 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15054, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17579;

					BgL_bpz00_17579 = VECTOR_REF(((obj_t) BgL_sz00_15059), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17580;

							BgL_runz00_17580 =
								MAKE_FX_PROCEDURE(BGl_z62run5770z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17580,
								(int) (((long) 0)), BgL_iboxesz00_15055);
							PROCEDURE_SET(BgL_runz00_17580,
								(int) (((long) 1)), ((obj_t) BgL_i1243z00_15056));
							PROCEDURE_SET(BgL_runz00_17580,
								(int) (((long) 2)), BgL_bodyz00_15057);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17581;

								BgL_mainz00_17581 =
									MAKE_VA_PROCEDURE(BGl_z62main5769z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17581,
									(int) (((long) 0)), BgL_iboxesz00_15055);
								PROCEDURE_SET(BgL_mainz00_17581,
									(int) (((long) 1)), ((obj_t) BgL_i1243z00_15056));
								PROCEDURE_SET(BgL_mainz00_17581,
									(int) (((long) 2)), BgL_bodyz00_15057);
								PROCEDURE_SET(BgL_mainz00_17581,
									(int) (((long) 3)), BgL_runz00_17580);
								PROCEDURE_SET(BgL_mainz00_17581,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15058));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17582;

									BgL_objz00_17582 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17580, BgL_objz00_17582);
									BgL_objz00_17582;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3490z00_17583;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3491z00_17584;

										BgL_arg3491z00_17584 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15056))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17585;

											BgL_newz00_17585 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31196;

												BgL_tmpz00_31196 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17585, BgL_tmpz00_31196,
													BgL_arg3491z00_17584);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31201;
												int BgL_tmpz00_31199;

												BgL_auxz00_31201 = BINT(BgL_siza7ezd2framez75_15058);
												BgL_tmpz00_31199 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17585, BgL_tmpz00_31199,
													BgL_auxz00_31201);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31204;

												BgL_tmpz00_31204 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17585, BgL_tmpz00_31204,
													BgL_runz00_17580);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31209;
												int BgL_tmpz00_31207;

												BgL_auxz00_31209 = BINT(((long) -1));
												BgL_tmpz00_31207 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17585, BgL_tmpz00_31207,
													BgL_auxz00_31209);
											}
											BgL_arg3490z00_17583 = BgL_newz00_17585;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17581, BgL_arg3490z00_17583);
									BgL_arg3490z00_17583;
								}
								return BgL_mainz00_17581;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5769 */
	obj_t BGl_z62main5769z62zz__evaluate_compz00(obj_t BgL_envz00_15060,
		obj_t BgL_lastz00_15066)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15064;
				long BgL_siza7ezd2framez75_15065;

				BgL_runz00_15064 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15060, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15065 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15060, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17586;

					BgL_sz00_17586 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17587;

						BgL_bpz00_17587 = VECTOR_REF(((obj_t) BgL_sz00_17586), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17587) + BgL_siza7ezd2framez75_15065) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17586))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3494z00_17588;

									BgL_arg3494z00_17588 =
										((long) CINT(BgL_bpz00_17587) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17586), BgL_arg3494z00_17588,
										BgL_lastz00_15066);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17589;

									BgL_ez00_17589 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17589,
										BgL_bpz00_17587);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17590;

										BgL_accz00_17590 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15064, BgL_sz00_17586, BgL_bpz00_17587);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17589);
										VECTOR_SET(
											((obj_t) BgL_sz00_17586), ((long) 0), BgL_bpz00_17587);
										return BgL_accz00_17590;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17591;

								BgL_nsz00_17591 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17591, ((long) 1), BgL_sz00_17586);
								VECTOR_SET(BgL_nsz00_17591, ((long) 2), BgL_lastz00_15066);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17592;

									BgL_z12denvz12_17592 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17592, BgL_nsz00_17591);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17593;

										BgL_ez00_17593 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17593,
											BgL_sz00_17586);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17594;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17595;

												BgL_savedzd2bpzd2_17595 =
													VECTOR_REF(BgL_nsz00_17591, ((long) 0));
												VECTOR_SET(BgL_nsz00_17591, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17597;

													BgL_fz00_17597 = BgL_runz00_15064;
												BgL_recz00_17596:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17598;

														BgL_rz00_17598 =
															PROCEDURE_ENTRY(BgL_fz00_17597) (BgL_fz00_17597,
															BgL_nsz00_17591, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31252;

															if (PROCEDUREP(BgL_rz00_17598))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17599;

																	BgL_arg1693z00_17599 =
																		PROCEDURE_ATTR(BgL_rz00_17598);
																	if (STRUCTP(BgL_arg1693z00_17599))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31252 =
																				(STRUCT_KEY(BgL_arg1693z00_17599) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31252 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31252 = ((bool_t) 0);
																}
															if (BgL_testz00_31252)
																{
																	obj_t BgL_fz00_31260;

																	BgL_fz00_31260 = BgL_rz00_17598;
																	BgL_fz00_17597 = BgL_fz00_31260;
																	goto BgL_recz00_17596;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17591, ((long) 0),
																		BgL_savedzd2bpzd2_17595);
																	BgL_____rz00_17594 = BgL_rz00_17598;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17593);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17592, BgL_sz00_17586);
											return BgL_____rz00_17594;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5770 */
	obj_t BGl_z62run5770z62zz__evaluate_compz00(obj_t BgL_envz00_15067,
		obj_t BgL_sz00_15071)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15068;
				BgL_ev_absz00_bglt BgL_i1243z00_15069;
				obj_t BgL_bodyz00_15070;

				BgL_iboxesz00_15068 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15067, (int) (((long) 0))));
				BgL_i1243z00_15069 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15067, (int) (((long) 1))));
				BgL_bodyz00_15070 = PROCEDURE_REF(BgL_envz00_15067, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17600;

					BgL_bpz00_17600 = VECTOR_REF(((obj_t) BgL_sz00_15071), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15071,
						BgL_iboxesz00_15068, BgL_bpz00_17600);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17601;
						obj_t BgL_wherez00_17602;
						obj_t BgL_locz00_17603;

						BgL_z12denvz12_17601 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17602 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15069))->
							BgL_wherez00);
						BgL_locz00_17603 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15069))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17601, BgL_wherez00_17602,
								BgL_locz00_17603);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17604;

								BgL_za2za2resza2za2z00_17604 =
									PROCEDURE_ENTRY(BgL_bodyz00_15070) (BgL_bodyz00_15070,
									BgL_sz00_15071, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17601);
								return BgL_za2za2resza2za2z00_17604;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3500> */
	obj_t BGl_z62zc3anonymousza33500ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15072, obj_t BgL_sz00_15078)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_15073;
				long BgL_siza7eza7_15074;
				BgL_ev_absz00_bglt BgL_i1243z00_15075;
				obj_t BgL_bodyz00_15076;
				long BgL_siza7ezd2framez75_15077;

				BgL_ifreesz00_15073 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15072, (int) (((long) 0))));
				BgL_siza7eza7_15074 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15072, (int) (((long) 1))));
				BgL_i1243z00_15075 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15072, (int) (((long) 2))));
				BgL_bodyz00_15076 = PROCEDURE_REF(BgL_envz00_15072, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15077 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15072, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17605;

					BgL_bpz00_17605 = VECTOR_REF(((obj_t) BgL_sz00_15078), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17606;

						BgL_valza2za2_17606 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15078,
							BgL_bpz00_17605, BgL_ifreesz00_15073);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17607;

							BgL_runz00_17607 =
								MAKE_FX_PROCEDURE(BGl_z62run5772z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17607,
								(int) (((long) 0)), BINT(BgL_siza7eza7_15074));
							PROCEDURE_SET(BgL_runz00_17607,
								(int) (((long) 1)), BgL_valza2za2_17606);
							PROCEDURE_SET(BgL_runz00_17607,
								(int) (((long) 2)), ((obj_t) BgL_i1243z00_15075));
							PROCEDURE_SET(BgL_runz00_17607,
								(int) (((long) 3)), BgL_bodyz00_15076);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17608;

								BgL_mainz00_17608 =
									MAKE_VA_PROCEDURE(BGl_z62main5771z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17608,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15074));
								PROCEDURE_SET(BgL_mainz00_17608,
									(int) (((long) 1)), BgL_valza2za2_17606);
								PROCEDURE_SET(BgL_mainz00_17608,
									(int) (((long) 2)), ((obj_t) BgL_i1243z00_15075));
								PROCEDURE_SET(BgL_mainz00_17608,
									(int) (((long) 3)), BgL_bodyz00_15076);
								PROCEDURE_SET(BgL_mainz00_17608,
									(int) (((long) 4)), BgL_runz00_17607);
								PROCEDURE_SET(BgL_mainz00_17608,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15077));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17609;

									BgL_objz00_17609 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17607, BgL_objz00_17609);
									BgL_objz00_17609;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3501z00_17610;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3502z00_17611;

										BgL_arg3502z00_17611 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15075))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17612;

											BgL_newz00_17612 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31336;

												BgL_tmpz00_31336 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17612, BgL_tmpz00_31336,
													BgL_arg3502z00_17611);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31341;
												int BgL_tmpz00_31339;

												BgL_auxz00_31341 = BINT(BgL_siza7ezd2framez75_15077);
												BgL_tmpz00_31339 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17612, BgL_tmpz00_31339,
													BgL_auxz00_31341);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31344;

												BgL_tmpz00_31344 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17612, BgL_tmpz00_31344,
													BgL_runz00_17607);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31349;
												int BgL_tmpz00_31347;

												BgL_auxz00_31349 = BINT(((long) -1));
												BgL_tmpz00_31347 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17612, BgL_tmpz00_31347,
													BgL_auxz00_31349);
											}
											BgL_arg3501z00_17610 = BgL_newz00_17612;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17608, BgL_arg3501z00_17610);
									BgL_arg3501z00_17610;
								}
								return BgL_mainz00_17608;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5771 */
	obj_t BGl_z62main5771z62zz__evaluate_compz00(obj_t BgL_envz00_15079,
		obj_t BgL_lastz00_15086)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15084;
				long BgL_siza7ezd2framez75_15085;

				BgL_runz00_15084 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15079, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15085 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15079, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17613;

					BgL_sz00_17613 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17614;

						BgL_bpz00_17614 = VECTOR_REF(((obj_t) BgL_sz00_17613), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17614) + BgL_siza7ezd2framez75_15085) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17613))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3506z00_17615;

									BgL_arg3506z00_17615 =
										((long) CINT(BgL_bpz00_17614) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17613), BgL_arg3506z00_17615,
										BgL_lastz00_15086);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17616;

									BgL_ez00_17616 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17616,
										BgL_bpz00_17614);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17617;

										BgL_accz00_17617 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15084, BgL_sz00_17613, BgL_bpz00_17614);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17616);
										VECTOR_SET(
											((obj_t) BgL_sz00_17613), ((long) 0), BgL_bpz00_17614);
										return BgL_accz00_17617;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17618;

								BgL_nsz00_17618 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17618, ((long) 1), BgL_sz00_17613);
								VECTOR_SET(BgL_nsz00_17618, ((long) 2), BgL_lastz00_15086);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17619;

									BgL_z12denvz12_17619 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17619, BgL_nsz00_17618);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17620;

										BgL_ez00_17620 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17620,
											BgL_sz00_17613);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17621;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17622;

												BgL_savedzd2bpzd2_17622 =
													VECTOR_REF(BgL_nsz00_17618, ((long) 0));
												VECTOR_SET(BgL_nsz00_17618, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17624;

													BgL_fz00_17624 = BgL_runz00_15084;
												BgL_recz00_17623:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17625;

														BgL_rz00_17625 =
															PROCEDURE_ENTRY(BgL_fz00_17624) (BgL_fz00_17624,
															BgL_nsz00_17618, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31392;

															if (PROCEDUREP(BgL_rz00_17625))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17626;

																	BgL_arg1693z00_17626 =
																		PROCEDURE_ATTR(BgL_rz00_17625);
																	if (STRUCTP(BgL_arg1693z00_17626))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31392 =
																				(STRUCT_KEY(BgL_arg1693z00_17626) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31392 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31392 = ((bool_t) 0);
																}
															if (BgL_testz00_31392)
																{
																	obj_t BgL_fz00_31400;

																	BgL_fz00_31400 = BgL_rz00_17625;
																	BgL_fz00_17624 = BgL_fz00_31400;
																	goto BgL_recz00_17623;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17618, ((long) 0),
																		BgL_savedzd2bpzd2_17622);
																	BgL_____rz00_17621 = BgL_rz00_17625;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17620);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17619, BgL_sz00_17613);
											return BgL_____rz00_17621;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5772 */
	obj_t BGl_z62run5772z62zz__evaluate_compz00(obj_t BgL_envz00_15087,
		obj_t BgL_sz00_15092)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_15088;
				obj_t BgL_valza2za2_15089;
				BgL_ev_absz00_bglt BgL_i1243z00_15090;
				obj_t BgL_bodyz00_15091;

				BgL_siza7eza7_15088 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15087, (int) (((long) 0))));
				BgL_valza2za2_15089 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15087, (int) (((long) 1))));
				BgL_i1243z00_15090 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15087, (int) (((long) 2))));
				BgL_bodyz00_15091 = PROCEDURE_REF(BgL_envz00_15087, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17627;

					BgL_bpz00_17627 = VECTOR_REF(((obj_t) BgL_sz00_15092), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15092,
						BgL_valza2za2_15089,
						((long) CINT(BgL_bpz00_17627) + BgL_siza7eza7_15088));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17628;
						obj_t BgL_wherez00_17629;
						obj_t BgL_locz00_17630;

						BgL_z12denvz12_17628 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17629 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15090))->
							BgL_wherez00);
						BgL_locz00_17630 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15090))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17628, BgL_wherez00_17629,
								BgL_locz00_17630);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17631;

								BgL_za2za2resza2za2z00_17631 =
									PROCEDURE_ENTRY(BgL_bodyz00_15091) (BgL_bodyz00_15091,
									BgL_sz00_15092, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17628);
								return BgL_za2za2resza2za2z00_17631;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3509> */
	obj_t BGl_z62zc3anonymousza33509ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15093, obj_t BgL_sz00_15100)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_15094;
				obj_t BgL_iboxesz00_15095;
				long BgL_siza7eza7_15096;
				BgL_ev_absz00_bglt BgL_i1243z00_15097;
				obj_t BgL_bodyz00_15098;
				long BgL_siza7ezd2framez75_15099;

				BgL_ifreesz00_15094 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15093, (int) (((long) 0))));
				BgL_iboxesz00_15095 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15093, (int) (((long) 1))));
				BgL_siza7eza7_15096 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15093, (int) (((long) 2))));
				BgL_i1243z00_15097 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15093, (int) (((long) 3))));
				BgL_bodyz00_15098 = PROCEDURE_REF(BgL_envz00_15093, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15099 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15093, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17632;

					BgL_bpz00_17632 = VECTOR_REF(((obj_t) BgL_sz00_15100), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17633;

						BgL_valza2za2_17633 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15100,
							BgL_bpz00_17632, BgL_ifreesz00_15094);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17634;

							BgL_runz00_17634 =
								MAKE_FX_PROCEDURE(BGl_z62run5774z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17634,
								(int) (((long) 0)), BgL_iboxesz00_15095);
							PROCEDURE_SET(BgL_runz00_17634,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15096));
							PROCEDURE_SET(BgL_runz00_17634,
								(int) (((long) 2)), BgL_valza2za2_17633);
							PROCEDURE_SET(BgL_runz00_17634,
								(int) (((long) 3)), ((obj_t) BgL_i1243z00_15097));
							PROCEDURE_SET(BgL_runz00_17634,
								(int) (((long) 4)), BgL_bodyz00_15098);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17635;

								BgL_mainz00_17635 =
									MAKE_VA_PROCEDURE(BGl_z62main5773z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17635,
									(int) (((long) 0)), BgL_iboxesz00_15095);
								PROCEDURE_SET(BgL_mainz00_17635,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15096));
								PROCEDURE_SET(BgL_mainz00_17635,
									(int) (((long) 2)), BgL_valza2za2_17633);
								PROCEDURE_SET(BgL_mainz00_17635,
									(int) (((long) 3)), ((obj_t) BgL_i1243z00_15097));
								PROCEDURE_SET(BgL_mainz00_17635,
									(int) (((long) 4)), BgL_bodyz00_15098);
								PROCEDURE_SET(BgL_mainz00_17635,
									(int) (((long) 5)), BgL_runz00_17634);
								PROCEDURE_SET(BgL_mainz00_17635,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15099));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17636;

									BgL_objz00_17636 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17634, BgL_objz00_17636);
									BgL_objz00_17636;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3511z00_17637;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3512z00_17638;

										BgL_arg3512z00_17638 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15097))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17639;

											BgL_newz00_17639 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31488;

												BgL_tmpz00_31488 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17639, BgL_tmpz00_31488,
													BgL_arg3512z00_17638);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31493;
												int BgL_tmpz00_31491;

												BgL_auxz00_31493 = BINT(BgL_siza7ezd2framez75_15099);
												BgL_tmpz00_31491 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17639, BgL_tmpz00_31491,
													BgL_auxz00_31493);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31496;

												BgL_tmpz00_31496 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17639, BgL_tmpz00_31496,
													BgL_runz00_17634);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31501;
												int BgL_tmpz00_31499;

												BgL_auxz00_31501 = BINT(((long) -1));
												BgL_tmpz00_31499 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17639, BgL_tmpz00_31499,
													BgL_auxz00_31501);
											}
											BgL_arg3511z00_17637 = BgL_newz00_17639;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17635, BgL_arg3511z00_17637);
									BgL_arg3511z00_17637;
								}
								return BgL_mainz00_17635;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5773 */
	obj_t BGl_z62main5773z62zz__evaluate_compz00(obj_t BgL_envz00_15101,
		obj_t BgL_lastz00_15109)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15107;
				long BgL_siza7ezd2framez75_15108;

				BgL_runz00_15107 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15101, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15108 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15101, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17640;

					BgL_sz00_17640 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17641;

						BgL_bpz00_17641 = VECTOR_REF(((obj_t) BgL_sz00_17640), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17641) + BgL_siza7ezd2framez75_15108) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17640))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3515z00_17642;

									BgL_arg3515z00_17642 =
										((long) CINT(BgL_bpz00_17641) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17640), BgL_arg3515z00_17642,
										BgL_lastz00_15109);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17643;

									BgL_ez00_17643 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17643,
										BgL_bpz00_17641);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17644;

										BgL_accz00_17644 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15107, BgL_sz00_17640, BgL_bpz00_17641);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17643);
										VECTOR_SET(
											((obj_t) BgL_sz00_17640), ((long) 0), BgL_bpz00_17641);
										return BgL_accz00_17644;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17645;

								BgL_nsz00_17645 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17645, ((long) 1), BgL_sz00_17640);
								VECTOR_SET(BgL_nsz00_17645, ((long) 2), BgL_lastz00_15109);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17646;

									BgL_z12denvz12_17646 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17646, BgL_nsz00_17645);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17647;

										BgL_ez00_17647 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17647,
											BgL_sz00_17640);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17648;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17649;

												BgL_savedzd2bpzd2_17649 =
													VECTOR_REF(BgL_nsz00_17645, ((long) 0));
												VECTOR_SET(BgL_nsz00_17645, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17651;

													BgL_fz00_17651 = BgL_runz00_15107;
												BgL_recz00_17650:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17652;

														BgL_rz00_17652 =
															PROCEDURE_ENTRY(BgL_fz00_17651) (BgL_fz00_17651,
															BgL_nsz00_17645, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31544;

															if (PROCEDUREP(BgL_rz00_17652))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17653;

																	BgL_arg1693z00_17653 =
																		PROCEDURE_ATTR(BgL_rz00_17652);
																	if (STRUCTP(BgL_arg1693z00_17653))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31544 =
																				(STRUCT_KEY(BgL_arg1693z00_17653) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31544 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31544 = ((bool_t) 0);
																}
															if (BgL_testz00_31544)
																{
																	obj_t BgL_fz00_31552;

																	BgL_fz00_31552 = BgL_rz00_17652;
																	BgL_fz00_17651 = BgL_fz00_31552;
																	goto BgL_recz00_17650;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17645, ((long) 0),
																		BgL_savedzd2bpzd2_17649);
																	BgL_____rz00_17648 = BgL_rz00_17652;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17647);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17646, BgL_sz00_17640);
											return BgL_____rz00_17648;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5774 */
	obj_t BGl_z62run5774z62zz__evaluate_compz00(obj_t BgL_envz00_15110,
		obj_t BgL_sz00_15116)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15111;
				long BgL_siza7eza7_15112;
				obj_t BgL_valza2za2_15113;
				BgL_ev_absz00_bglt BgL_i1243z00_15114;
				obj_t BgL_bodyz00_15115;

				BgL_iboxesz00_15111 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15110, (int) (((long) 0))));
				BgL_siza7eza7_15112 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15110, (int) (((long) 1))));
				BgL_valza2za2_15113 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15110, (int) (((long) 2))));
				BgL_i1243z00_15114 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15110, (int) (((long) 3))));
				BgL_bodyz00_15115 = PROCEDURE_REF(BgL_envz00_15110, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17654;

					BgL_bpz00_17654 = VECTOR_REF(((obj_t) BgL_sz00_15116), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15116,
						BgL_iboxesz00_15111, BgL_bpz00_17654);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15116,
						BgL_valza2za2_15113,
						((long) CINT(BgL_bpz00_17654) + BgL_siza7eza7_15112));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17655;
						obj_t BgL_wherez00_17656;
						obj_t BgL_locz00_17657;

						BgL_z12denvz12_17655 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17656 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15114))->
							BgL_wherez00);
						BgL_locz00_17657 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15114))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17655, BgL_wherez00_17656,
								BgL_locz00_17657);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17658;

								BgL_za2za2resza2za2z00_17658 =
									PROCEDURE_ENTRY(BgL_bodyz00_15115) (BgL_bodyz00_15115,
									BgL_sz00_15116, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17655);
								return BgL_za2za2resza2za2z00_17658;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3446> */
	obj_t BGl_z62zc3anonymousza33446ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15117, obj_t BgL_sz00_15121)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_15118;
				obj_t BgL_bodyz00_15119;
				long BgL_siza7ezd2framez75_15120;

				BgL_i1243z00_15118 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15117, (int) (((long) 0))));
				BgL_bodyz00_15119 = PROCEDURE_REF(BgL_envz00_15117, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15120 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15117, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17659;

					BgL_bpz00_17659 = VECTOR_REF(((obj_t) BgL_sz00_15121), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17660;

							BgL_runz00_17660 =
								MAKE_FX_PROCEDURE(BGl_z62run5776z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17660,
								(int) (((long) 0)), ((obj_t) BgL_i1243z00_15118));
							PROCEDURE_SET(BgL_runz00_17660,
								(int) (((long) 1)), BgL_bodyz00_15119);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17661;

								BgL_mainz00_17661 =
									MAKE_FX_PROCEDURE(BGl_z62main5775z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17661,
									(int) (((long) 0)), ((obj_t) BgL_i1243z00_15118));
								PROCEDURE_SET(BgL_mainz00_17661,
									(int) (((long) 1)), BgL_bodyz00_15119);
								PROCEDURE_SET(BgL_mainz00_17661,
									(int) (((long) 2)), BgL_runz00_17660);
								PROCEDURE_SET(BgL_mainz00_17661,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15120));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17662;

									BgL_objz00_17662 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17660, BgL_objz00_17662);
									BgL_objz00_17662;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3447z00_17663;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3448z00_17664;

										BgL_arg3448z00_17664 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15118))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17665;

											BgL_newz00_17665 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31620;

												BgL_tmpz00_31620 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17665, BgL_tmpz00_31620,
													BgL_arg3448z00_17664);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31625;
												int BgL_tmpz00_31623;

												BgL_auxz00_31625 = BINT(BgL_siza7ezd2framez75_15120);
												BgL_tmpz00_31623 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17665, BgL_tmpz00_31623,
													BgL_auxz00_31625);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31628;

												BgL_tmpz00_31628 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17665, BgL_tmpz00_31628,
													BgL_runz00_17660);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31633;
												int BgL_tmpz00_31631;

												BgL_auxz00_31633 = BINT(((long) 0));
												BgL_tmpz00_31631 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17665, BgL_tmpz00_31631,
													BgL_auxz00_31633);
											}
											BgL_arg3447z00_17663 = BgL_newz00_17665;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17661, BgL_arg3447z00_17663);
									BgL_arg3447z00_17663;
								}
								return BgL_mainz00_17661;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5775 */
	obj_t BGl_z62main5775z62zz__evaluate_compz00(obj_t BgL_envz00_15122)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15125;
				long BgL_siza7ezd2framez75_15126;

				BgL_runz00_15125 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15122, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15126 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15122, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17666;

					BgL_sz00_17666 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17667;

						BgL_bpz00_17667 = VECTOR_REF(((obj_t) BgL_sz00_17666), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17667) + BgL_siza7ezd2framez75_15126) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17666))))
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_ez00_17668;

								BgL_ez00_17668 = BGL_EXITD_TOP_AS_OBJ();
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17668,
									BgL_bpz00_17667);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_accz00_17669;

									BgL_accz00_17669 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15125, BgL_sz00_17666, BgL_bpz00_17667);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17668);
									VECTOR_SET(
										((obj_t) BgL_sz00_17666), ((long) 0), BgL_bpz00_17667);
									return BgL_accz00_17669;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17670;

								BgL_nsz00_17670 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17670, ((long) 1), BgL_sz00_17666);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17671;

									BgL_z12denvz12_17671 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17671, BgL_nsz00_17670);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17672;

										BgL_ez00_17672 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17672,
											BgL_sz00_17666);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17673;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17674;

												BgL_savedzd2bpzd2_17674 =
													VECTOR_REF(BgL_nsz00_17670, ((long) 0));
												VECTOR_SET(BgL_nsz00_17670, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17676;

													BgL_fz00_17676 = BgL_runz00_15125;
												BgL_recz00_17675:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17677;

														BgL_rz00_17677 =
															PROCEDURE_ENTRY(BgL_fz00_17676) (BgL_fz00_17676,
															BgL_nsz00_17670, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31671;

															if (PROCEDUREP(BgL_rz00_17677))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17678;

																	BgL_arg1693z00_17678 =
																		PROCEDURE_ATTR(BgL_rz00_17677);
																	if (STRUCTP(BgL_arg1693z00_17678))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31671 =
																				(STRUCT_KEY(BgL_arg1693z00_17678) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31671 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31671 = ((bool_t) 0);
																}
															if (BgL_testz00_31671)
																{
																	obj_t BgL_fz00_31679;

																	BgL_fz00_31679 = BgL_rz00_17677;
																	BgL_fz00_17676 = BgL_fz00_31679;
																	goto BgL_recz00_17675;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17670, ((long) 0),
																		BgL_savedzd2bpzd2_17674);
																	BgL_____rz00_17673 = BgL_rz00_17677;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17672);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17671, BgL_sz00_17666);
											return BgL_____rz00_17673;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5776 */
	obj_t BGl_z62run5776z62zz__evaluate_compz00(obj_t BgL_envz00_15127,
		obj_t BgL_sz00_15130)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_15128;
				obj_t BgL_bodyz00_15129;

				BgL_i1243z00_15128 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15127, (int) (((long) 0))));
				BgL_bodyz00_15129 = PROCEDURE_REF(BgL_envz00_15127, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17679;

					BgL_bpz00_17679 = VECTOR_REF(((obj_t) BgL_sz00_15130), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17680;
						obj_t BgL_wherez00_17681;
						obj_t BgL_locz00_17682;

						BgL_z12denvz12_17680 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17681 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15128))->
							BgL_wherez00);
						BgL_locz00_17682 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15128))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17680, BgL_wherez00_17681,
								BgL_locz00_17682);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17683;

								BgL_za2za2resza2za2z00_17683 =
									PROCEDURE_ENTRY(BgL_bodyz00_15129) (BgL_bodyz00_15129,
									BgL_sz00_15130, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17680);
								return BgL_za2za2resza2za2z00_17683;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3452> */
	obj_t BGl_z62zc3anonymousza33452ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15131, obj_t BgL_sz00_15136)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15132;
				BgL_ev_absz00_bglt BgL_i1243z00_15133;
				obj_t BgL_bodyz00_15134;
				long BgL_siza7ezd2framez75_15135;

				BgL_iboxesz00_15132 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15131, (int) (((long) 0))));
				BgL_i1243z00_15133 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15131, (int) (((long) 1))));
				BgL_bodyz00_15134 = PROCEDURE_REF(BgL_envz00_15131, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15135 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15131, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17684;

					BgL_bpz00_17684 = VECTOR_REF(((obj_t) BgL_sz00_15136), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17685;

							BgL_runz00_17685 =
								MAKE_FX_PROCEDURE(BGl_z62run5778z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17685,
								(int) (((long) 0)), BgL_iboxesz00_15132);
							PROCEDURE_SET(BgL_runz00_17685,
								(int) (((long) 1)), ((obj_t) BgL_i1243z00_15133));
							PROCEDURE_SET(BgL_runz00_17685,
								(int) (((long) 2)), BgL_bodyz00_15134);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17686;

								BgL_mainz00_17686 =
									MAKE_FX_PROCEDURE(BGl_z62main5777z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17686,
									(int) (((long) 0)), BgL_iboxesz00_15132);
								PROCEDURE_SET(BgL_mainz00_17686,
									(int) (((long) 1)), ((obj_t) BgL_i1243z00_15133));
								PROCEDURE_SET(BgL_mainz00_17686,
									(int) (((long) 2)), BgL_bodyz00_15134);
								PROCEDURE_SET(BgL_mainz00_17686,
									(int) (((long) 3)), BgL_runz00_17685);
								PROCEDURE_SET(BgL_mainz00_17686,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15135));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17687;

									BgL_objz00_17687 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17685, BgL_objz00_17687);
									BgL_objz00_17687;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3453z00_17688;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3454z00_17689;

										BgL_arg3454z00_17689 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15133))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17690;

											BgL_newz00_17690 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31741;

												BgL_tmpz00_31741 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17690, BgL_tmpz00_31741,
													BgL_arg3454z00_17689);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31746;
												int BgL_tmpz00_31744;

												BgL_auxz00_31746 = BINT(BgL_siza7ezd2framez75_15135);
												BgL_tmpz00_31744 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17690, BgL_tmpz00_31744,
													BgL_auxz00_31746);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31749;

												BgL_tmpz00_31749 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17690, BgL_tmpz00_31749,
													BgL_runz00_17685);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31754;
												int BgL_tmpz00_31752;

												BgL_auxz00_31754 = BINT(((long) 0));
												BgL_tmpz00_31752 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17690, BgL_tmpz00_31752,
													BgL_auxz00_31754);
											}
											BgL_arg3453z00_17688 = BgL_newz00_17690;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17686, BgL_arg3453z00_17688);
									BgL_arg3453z00_17688;
								}
								return BgL_mainz00_17686;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5777 */
	obj_t BGl_z62main5777z62zz__evaluate_compz00(obj_t BgL_envz00_15137)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15141;
				long BgL_siza7ezd2framez75_15142;

				BgL_runz00_15141 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15137, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15142 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15137, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17691;

					BgL_sz00_17691 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17692;

						BgL_bpz00_17692 = VECTOR_REF(((obj_t) BgL_sz00_17691), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17692) + BgL_siza7ezd2framez75_15142) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17691))))
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_ez00_17693;

								BgL_ez00_17693 = BGL_EXITD_TOP_AS_OBJ();
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17693,
									BgL_bpz00_17692);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_accz00_17694;

									BgL_accz00_17694 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15141, BgL_sz00_17691, BgL_bpz00_17692);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17693);
									VECTOR_SET(
										((obj_t) BgL_sz00_17691), ((long) 0), BgL_bpz00_17692);
									return BgL_accz00_17694;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17695;

								BgL_nsz00_17695 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17695, ((long) 1), BgL_sz00_17691);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17696;

									BgL_z12denvz12_17696 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17696, BgL_nsz00_17695);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17697;

										BgL_ez00_17697 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17697,
											BgL_sz00_17691);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17698;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17699;

												BgL_savedzd2bpzd2_17699 =
													VECTOR_REF(BgL_nsz00_17695, ((long) 0));
												VECTOR_SET(BgL_nsz00_17695, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17701;

													BgL_fz00_17701 = BgL_runz00_15141;
												BgL_recz00_17700:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17702;

														BgL_rz00_17702 =
															PROCEDURE_ENTRY(BgL_fz00_17701) (BgL_fz00_17701,
															BgL_nsz00_17695, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31792;

															if (PROCEDUREP(BgL_rz00_17702))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17703;

																	BgL_arg1693z00_17703 =
																		PROCEDURE_ATTR(BgL_rz00_17702);
																	if (STRUCTP(BgL_arg1693z00_17703))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31792 =
																				(STRUCT_KEY(BgL_arg1693z00_17703) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31792 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31792 = ((bool_t) 0);
																}
															if (BgL_testz00_31792)
																{
																	obj_t BgL_fz00_31800;

																	BgL_fz00_31800 = BgL_rz00_17702;
																	BgL_fz00_17701 = BgL_fz00_31800;
																	goto BgL_recz00_17700;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17695, ((long) 0),
																		BgL_savedzd2bpzd2_17699);
																	BgL_____rz00_17698 = BgL_rz00_17702;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17697);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17696, BgL_sz00_17691);
											return BgL_____rz00_17698;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5778 */
	obj_t BGl_z62run5778z62zz__evaluate_compz00(obj_t BgL_envz00_15143,
		obj_t BgL_sz00_15147)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15144;
				BgL_ev_absz00_bglt BgL_i1243z00_15145;
				obj_t BgL_bodyz00_15146;

				BgL_iboxesz00_15144 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15143, (int) (((long) 0))));
				BgL_i1243z00_15145 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15143, (int) (((long) 1))));
				BgL_bodyz00_15146 = PROCEDURE_REF(BgL_envz00_15143, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17704;

					BgL_bpz00_17704 = VECTOR_REF(((obj_t) BgL_sz00_15147), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15147,
						BgL_iboxesz00_15144, BgL_bpz00_17704);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17705;
						obj_t BgL_wherez00_17706;
						obj_t BgL_locz00_17707;

						BgL_z12denvz12_17705 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17706 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15145))->
							BgL_wherez00);
						BgL_locz00_17707 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15145))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17705, BgL_wherez00_17706,
								BgL_locz00_17707);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17708;

								BgL_za2za2resza2za2z00_17708 =
									PROCEDURE_ENTRY(BgL_bodyz00_15146) (BgL_bodyz00_15146,
									BgL_sz00_15147, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17705);
								return BgL_za2za2resza2za2z00_17708;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3461> */
	obj_t BGl_z62zc3anonymousza33461ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15148, obj_t BgL_sz00_15154)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_15149;
				long BgL_siza7eza7_15150;
				BgL_ev_absz00_bglt BgL_i1243z00_15151;
				obj_t BgL_bodyz00_15152;
				long BgL_siza7ezd2framez75_15153;

				BgL_ifreesz00_15149 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15148, (int) (((long) 0))));
				BgL_siza7eza7_15150 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15148, (int) (((long) 1))));
				BgL_i1243z00_15151 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15148, (int) (((long) 2))));
				BgL_bodyz00_15152 = PROCEDURE_REF(BgL_envz00_15148, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15153 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15148, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17709;

					BgL_bpz00_17709 = VECTOR_REF(((obj_t) BgL_sz00_15154), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17710;

						BgL_valza2za2_17710 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15154,
							BgL_bpz00_17709, BgL_ifreesz00_15149);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17711;

							BgL_runz00_17711 =
								MAKE_FX_PROCEDURE(BGl_z62run5780z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17711,
								(int) (((long) 0)), BINT(BgL_siza7eza7_15150));
							PROCEDURE_SET(BgL_runz00_17711,
								(int) (((long) 1)), BgL_valza2za2_17710);
							PROCEDURE_SET(BgL_runz00_17711,
								(int) (((long) 2)), ((obj_t) BgL_i1243z00_15151));
							PROCEDURE_SET(BgL_runz00_17711,
								(int) (((long) 3)), BgL_bodyz00_15152);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17712;

								BgL_mainz00_17712 =
									MAKE_FX_PROCEDURE(BGl_z62main5779z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17712,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15150));
								PROCEDURE_SET(BgL_mainz00_17712,
									(int) (((long) 1)), BgL_valza2za2_17710);
								PROCEDURE_SET(BgL_mainz00_17712,
									(int) (((long) 2)), ((obj_t) BgL_i1243z00_15151));
								PROCEDURE_SET(BgL_mainz00_17712,
									(int) (((long) 3)), BgL_bodyz00_15152);
								PROCEDURE_SET(BgL_mainz00_17712,
									(int) (((long) 4)), BgL_runz00_17711);
								PROCEDURE_SET(BgL_mainz00_17712,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15153));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17713;

									BgL_objz00_17713 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17711, BgL_objz00_17713);
									BgL_objz00_17713;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3462z00_17714;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3464z00_17715;

										BgL_arg3464z00_17715 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15151))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17716;

											BgL_newz00_17716 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31876;

												BgL_tmpz00_31876 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17716, BgL_tmpz00_31876,
													BgL_arg3464z00_17715);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31881;
												int BgL_tmpz00_31879;

												BgL_auxz00_31881 = BINT(BgL_siza7ezd2framez75_15153);
												BgL_tmpz00_31879 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17716, BgL_tmpz00_31879,
													BgL_auxz00_31881);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31884;

												BgL_tmpz00_31884 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17716, BgL_tmpz00_31884,
													BgL_runz00_17711);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31889;
												int BgL_tmpz00_31887;

												BgL_auxz00_31889 = BINT(((long) 0));
												BgL_tmpz00_31887 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17716, BgL_tmpz00_31887,
													BgL_auxz00_31889);
											}
											BgL_arg3462z00_17714 = BgL_newz00_17716;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17712, BgL_arg3462z00_17714);
									BgL_arg3462z00_17714;
								}
								return BgL_mainz00_17712;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5779 */
	obj_t BGl_z62main5779z62zz__evaluate_compz00(obj_t BgL_envz00_15155)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15160;
				long BgL_siza7ezd2framez75_15161;

				BgL_runz00_15160 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15155, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15161 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15155, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17717;

					BgL_sz00_17717 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17718;

						BgL_bpz00_17718 = VECTOR_REF(((obj_t) BgL_sz00_17717), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17718) + BgL_siza7ezd2framez75_15161) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17717))))
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_ez00_17719;

								BgL_ez00_17719 = BGL_EXITD_TOP_AS_OBJ();
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17719,
									BgL_bpz00_17718);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_accz00_17720;

									BgL_accz00_17720 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15160, BgL_sz00_17717, BgL_bpz00_17718);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17719);
									VECTOR_SET(
										((obj_t) BgL_sz00_17717), ((long) 0), BgL_bpz00_17718);
									return BgL_accz00_17720;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17721;

								BgL_nsz00_17721 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17721, ((long) 1), BgL_sz00_17717);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17722;

									BgL_z12denvz12_17722 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17722, BgL_nsz00_17721);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17723;

										BgL_ez00_17723 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17723,
											BgL_sz00_17717);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17724;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17725;

												BgL_savedzd2bpzd2_17725 =
													VECTOR_REF(BgL_nsz00_17721, ((long) 0));
												VECTOR_SET(BgL_nsz00_17721, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17727;

													BgL_fz00_17727 = BgL_runz00_15160;
												BgL_recz00_17726:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17728;

														BgL_rz00_17728 =
															PROCEDURE_ENTRY(BgL_fz00_17727) (BgL_fz00_17727,
															BgL_nsz00_17721, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31927;

															if (PROCEDUREP(BgL_rz00_17728))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17729;

																	BgL_arg1693z00_17729 =
																		PROCEDURE_ATTR(BgL_rz00_17728);
																	if (STRUCTP(BgL_arg1693z00_17729))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31927 =
																				(STRUCT_KEY(BgL_arg1693z00_17729) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31927 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31927 = ((bool_t) 0);
																}
															if (BgL_testz00_31927)
																{
																	obj_t BgL_fz00_31935;

																	BgL_fz00_31935 = BgL_rz00_17728;
																	BgL_fz00_17727 = BgL_fz00_31935;
																	goto BgL_recz00_17726;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17721, ((long) 0),
																		BgL_savedzd2bpzd2_17725);
																	BgL_____rz00_17724 = BgL_rz00_17728;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17723);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17722, BgL_sz00_17717);
											return BgL_____rz00_17724;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5780 */
	obj_t BGl_z62run5780z62zz__evaluate_compz00(obj_t BgL_envz00_15162,
		obj_t BgL_sz00_15167)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_15163;
				obj_t BgL_valza2za2_15164;
				BgL_ev_absz00_bglt BgL_i1243z00_15165;
				obj_t BgL_bodyz00_15166;

				BgL_siza7eza7_15163 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15162, (int) (((long) 0))));
				BgL_valza2za2_15164 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15162, (int) (((long) 1))));
				BgL_i1243z00_15165 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15162, (int) (((long) 2))));
				BgL_bodyz00_15166 = PROCEDURE_REF(BgL_envz00_15162, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17730;

					BgL_bpz00_17730 = VECTOR_REF(((obj_t) BgL_sz00_15167), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15167,
						BgL_valza2za2_15164,
						((long) CINT(BgL_bpz00_17730) + BgL_siza7eza7_15163));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17731;
						obj_t BgL_wherez00_17732;
						obj_t BgL_locz00_17733;

						BgL_z12denvz12_17731 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17732 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15165))->
							BgL_wherez00);
						BgL_locz00_17733 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15165))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17731, BgL_wherez00_17732,
								BgL_locz00_17733);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17734;

								BgL_za2za2resza2za2z00_17734 =
									PROCEDURE_ENTRY(BgL_bodyz00_15166) (BgL_bodyz00_15166,
									BgL_sz00_15167, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17731);
								return BgL_za2za2resza2za2z00_17734;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3469> */
	obj_t BGl_z62zc3anonymousza33469ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15168, obj_t BgL_sz00_15175)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_15169;
				obj_t BgL_iboxesz00_15170;
				long BgL_siza7eza7_15171;
				BgL_ev_absz00_bglt BgL_i1243z00_15172;
				obj_t BgL_bodyz00_15173;
				long BgL_siza7ezd2framez75_15174;

				BgL_ifreesz00_15169 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15168, (int) (((long) 0))));
				BgL_iboxesz00_15170 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15168, (int) (((long) 1))));
				BgL_siza7eza7_15171 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15168, (int) (((long) 2))));
				BgL_i1243z00_15172 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15168, (int) (((long) 3))));
				BgL_bodyz00_15173 = PROCEDURE_REF(BgL_envz00_15168, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15174 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15168, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17735;

					BgL_bpz00_17735 = VECTOR_REF(((obj_t) BgL_sz00_15175), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17736;

						BgL_valza2za2_17736 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15175,
							BgL_bpz00_17735, BgL_ifreesz00_15169);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17737;

							BgL_runz00_17737 =
								MAKE_FX_PROCEDURE(BGl_z62run5782z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17737,
								(int) (((long) 0)), BgL_iboxesz00_15170);
							PROCEDURE_SET(BgL_runz00_17737,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15171));
							PROCEDURE_SET(BgL_runz00_17737,
								(int) (((long) 2)), BgL_valza2za2_17736);
							PROCEDURE_SET(BgL_runz00_17737,
								(int) (((long) 3)), ((obj_t) BgL_i1243z00_15172));
							PROCEDURE_SET(BgL_runz00_17737,
								(int) (((long) 4)), BgL_bodyz00_15173);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17738;

								BgL_mainz00_17738 =
									MAKE_FX_PROCEDURE(BGl_z62main5781z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17738,
									(int) (((long) 0)), BgL_iboxesz00_15170);
								PROCEDURE_SET(BgL_mainz00_17738,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15171));
								PROCEDURE_SET(BgL_mainz00_17738,
									(int) (((long) 2)), BgL_valza2za2_17736);
								PROCEDURE_SET(BgL_mainz00_17738,
									(int) (((long) 3)), ((obj_t) BgL_i1243z00_15172));
								PROCEDURE_SET(BgL_mainz00_17738,
									(int) (((long) 4)), BgL_bodyz00_15173);
								PROCEDURE_SET(BgL_mainz00_17738,
									(int) (((long) 5)), BgL_runz00_17737);
								PROCEDURE_SET(BgL_mainz00_17738,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15174));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17739;

									BgL_objz00_17739 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17737, BgL_objz00_17739);
									BgL_objz00_17739;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3470z00_17740;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3471z00_17741;

										BgL_arg3471z00_17741 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15172))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17742;

											BgL_newz00_17742 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32023;

												BgL_tmpz00_32023 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17742, BgL_tmpz00_32023,
													BgL_arg3471z00_17741);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32028;
												int BgL_tmpz00_32026;

												BgL_auxz00_32028 = BINT(BgL_siza7ezd2framez75_15174);
												BgL_tmpz00_32026 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17742, BgL_tmpz00_32026,
													BgL_auxz00_32028);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32031;

												BgL_tmpz00_32031 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17742, BgL_tmpz00_32031,
													BgL_runz00_17737);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32036;
												int BgL_tmpz00_32034;

												BgL_auxz00_32036 = BINT(((long) 0));
												BgL_tmpz00_32034 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17742, BgL_tmpz00_32034,
													BgL_auxz00_32036);
											}
											BgL_arg3470z00_17740 = BgL_newz00_17742;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17738, BgL_arg3470z00_17740);
									BgL_arg3470z00_17740;
								}
								return BgL_mainz00_17738;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5781 */
	obj_t BGl_z62main5781z62zz__evaluate_compz00(obj_t BgL_envz00_15176)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_15182;
				long BgL_siza7ezd2framez75_15183;

				BgL_runz00_15182 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15176, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15183 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15176, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17743;

					BgL_sz00_17743 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17744;

						BgL_bpz00_17744 = VECTOR_REF(((obj_t) BgL_sz00_17743), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17744) + BgL_siza7ezd2framez75_15183) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17743))))
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_ez00_17745;

								BgL_ez00_17745 = BGL_EXITD_TOP_AS_OBJ();
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17745,
									BgL_bpz00_17744);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_accz00_17746;

									BgL_accz00_17746 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15182, BgL_sz00_17743, BgL_bpz00_17744);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17745);
									VECTOR_SET(
										((obj_t) BgL_sz00_17743), ((long) 0), BgL_bpz00_17744);
									return BgL_accz00_17746;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17747;

								BgL_nsz00_17747 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17747, ((long) 1), BgL_sz00_17743);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17748;

									BgL_z12denvz12_17748 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17748, BgL_nsz00_17747);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17749;

										BgL_ez00_17749 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17749,
											BgL_sz00_17743);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17750;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17751;

												BgL_savedzd2bpzd2_17751 =
													VECTOR_REF(BgL_nsz00_17747, ((long) 0));
												VECTOR_SET(BgL_nsz00_17747, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17753;

													BgL_fz00_17753 = BgL_runz00_15182;
												BgL_recz00_17752:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17754;

														BgL_rz00_17754 =
															PROCEDURE_ENTRY(BgL_fz00_17753) (BgL_fz00_17753,
															BgL_nsz00_17747, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_32074;

															if (PROCEDUREP(BgL_rz00_17754))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17755;

																	BgL_arg1693z00_17755 =
																		PROCEDURE_ATTR(BgL_rz00_17754);
																	if (STRUCTP(BgL_arg1693z00_17755))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32074 =
																				(STRUCT_KEY(BgL_arg1693z00_17755) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32074 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_32074 = ((bool_t) 0);
																}
															if (BgL_testz00_32074)
																{
																	obj_t BgL_fz00_32082;

																	BgL_fz00_32082 = BgL_rz00_17754;
																	BgL_fz00_17753 = BgL_fz00_32082;
																	goto BgL_recz00_17752;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17747, ((long) 0),
																		BgL_savedzd2bpzd2_17751);
																	BgL_____rz00_17750 = BgL_rz00_17754;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17749);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17748, BgL_sz00_17743);
											return BgL_____rz00_17750;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5782 */
	obj_t BGl_z62run5782z62zz__evaluate_compz00(obj_t BgL_envz00_15184,
		obj_t BgL_sz00_15190)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15185;
				long BgL_siza7eza7_15186;
				obj_t BgL_valza2za2_15187;
				BgL_ev_absz00_bglt BgL_i1243z00_15188;
				obj_t BgL_bodyz00_15189;

				BgL_iboxesz00_15185 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15184, (int) (((long) 0))));
				BgL_siza7eza7_15186 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15184, (int) (((long) 1))));
				BgL_valza2za2_15187 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15184, (int) (((long) 2))));
				BgL_i1243z00_15188 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15184, (int) (((long) 3))));
				BgL_bodyz00_15189 = PROCEDURE_REF(BgL_envz00_15184, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17756;

					BgL_bpz00_17756 = VECTOR_REF(((obj_t) BgL_sz00_15190), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15190,
						BgL_iboxesz00_15185, BgL_bpz00_17756);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15190,
						BgL_valza2za2_15187,
						((long) CINT(BgL_bpz00_17756) + BgL_siza7eza7_15186));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17757;
						obj_t BgL_wherez00_17758;
						obj_t BgL_locz00_17759;

						BgL_z12denvz12_17757 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17758 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15188))->
							BgL_wherez00);
						BgL_locz00_17759 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15188))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17757, BgL_wherez00_17758,
								BgL_locz00_17759);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17760;

								BgL_za2za2resza2za2z00_17760 =
									PROCEDURE_ENTRY(BgL_bodyz00_15189) (BgL_bodyz00_15189,
									BgL_sz00_15190, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17757);
								return BgL_za2za2resza2za2z00_17760;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3933> */
	obj_t BGl_z62zc3anonymousza33933ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15191, obj_t BgL_sz00_15195)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_15192;
				obj_t BgL_bodyz00_15193;
				long BgL_siza7ezd2framez75_15194;

				BgL_i1243z00_15192 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15191, (int) (((long) 0))));
				BgL_bodyz00_15193 = PROCEDURE_REF(BgL_envz00_15191, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15194 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15191, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17761;

					BgL_bpz00_17761 = VECTOR_REF(((obj_t) BgL_sz00_15195), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17762;

							BgL_runz00_17762 =
								MAKE_FX_PROCEDURE(BGl_z62run5784z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17762,
								(int) (((long) 0)), ((obj_t) BgL_i1243z00_15192));
							PROCEDURE_SET(BgL_runz00_17762,
								(int) (((long) 1)), BgL_bodyz00_15193);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17763;

								BgL_mainz00_17763 =
									MAKE_VA_PROCEDURE(BGl_z62main5783z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17763,
									(int) (((long) 0)), BgL_bodyz00_15193);
								PROCEDURE_SET(BgL_mainz00_17763,
									(int) (((long) 1)), ((obj_t) BgL_i1243z00_15192));
								PROCEDURE_SET(BgL_mainz00_17763,
									(int) (((long) 2)), BgL_runz00_17762);
								PROCEDURE_SET(BgL_mainz00_17763,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15194));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17764;

									BgL_objz00_17764 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17762, BgL_objz00_17764);
									BgL_objz00_17764;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3934z00_17765;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3935z00_17766;
										obj_t BgL_arg3936z00_17767;

										BgL_arg3935z00_17766 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15192))->
											BgL_arityz00);
										BgL_arg3936z00_17767 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15192))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17768;

											BgL_newz00_17768 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32151;

												BgL_tmpz00_32151 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17768, BgL_tmpz00_32151,
													BgL_arg3936z00_17767);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32156;
												int BgL_tmpz00_32154;

												BgL_auxz00_32156 = BINT(BgL_siza7ezd2framez75_15194);
												BgL_tmpz00_32154 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17768, BgL_tmpz00_32154,
													BgL_auxz00_32156);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32159;

												BgL_tmpz00_32159 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17768, BgL_tmpz00_32159,
													BgL_runz00_17762);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32162;

												BgL_tmpz00_32162 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17768, BgL_tmpz00_32162,
													BgL_arg3935z00_17766);
											}
											BgL_arg3934z00_17765 = BgL_newz00_17768;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17763, BgL_arg3934z00_17765);
									BgL_arg3934z00_17765;
								}
								return BgL_mainz00_17763;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5783 */
	obj_t BGl_z62main5783z62zz__evaluate_compz00(obj_t BgL_envz00_15196,
		obj_t BgL_az00_15201, obj_t BgL_bz00_15202, obj_t BgL_cz00_15203,
		obj_t BgL_dz00_15204, obj_t BgL_restz00_15205)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_15198;
				obj_t BgL_runz00_15199;
				long BgL_siza7ezd2framez75_15200;

				BgL_i1243z00_15198 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15196, (int) (((long) 1))));
				BgL_runz00_15199 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15196, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15200 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15196, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17769;

					BgL_sz00_17769 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17770;

						BgL_bpz00_17770 = VECTOR_REF(((obj_t) BgL_sz00_17769), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17770) + BgL_siza7ezd2framez75_15200) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17769))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3939z00_17771;

									BgL_arg3939z00_17771 =
										((long) CINT(BgL_bpz00_17770) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17769), BgL_arg3939z00_17771,
										BgL_az00_15201);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3940z00_17772;

									BgL_arg3940z00_17772 =
										((long) CINT(BgL_bpz00_17770) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17769), BgL_arg3940z00_17772,
										BgL_bz00_15202);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3941z00_17773;

									BgL_arg3941z00_17773 =
										((long) CINT(BgL_bpz00_17770) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17769), BgL_arg3941z00_17773,
										BgL_cz00_15203);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3942z00_17774;

									BgL_arg3942z00_17774 =
										((long) CINT(BgL_bpz00_17770) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17769), BgL_arg3942z00_17774,
										BgL_dz00_15204);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3943z00_17775;
									long BgL_arg3944z00_17776;
									long BgL_arg3945z00_17777;
									obj_t BgL_arg3946z00_17778;

									BgL_arg3943z00_17775 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15198))->
										BgL_wherez00);
									BgL_arg3944z00_17776 =
										((long) CINT(BgL_bpz00_17770) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3947z00_17779;

										BgL_arg3947z00_17779 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15198))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3947z00_17779) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3945z00_17777 =
													((long) CINT(BgL_arg3947z00_17779) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3945z00_17777 =
													((long) CINT(BgL_arg3947z00_17779) - ((long) 4));
									}}
									BgL_arg3946z00_17778 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15198))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_17769,
										BgL_arg3943z00_17775, BgL_arg3944z00_17776,
										BgL_arg3945z00_17777, BgL_restz00_15205,
										BgL_arg3946z00_17778);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17780;

									BgL_ez00_17780 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17780,
										BgL_bpz00_17770);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17781;

										BgL_accz00_17781 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15199, BgL_sz00_17769, BgL_bpz00_17770);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17780);
										VECTOR_SET(
											((obj_t) BgL_sz00_17769), ((long) 0), BgL_bpz00_17770);
										return BgL_accz00_17781;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17782;

								BgL_nsz00_17782 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17782, ((long) 1), BgL_sz00_17769);
								VECTOR_SET(BgL_nsz00_17782, ((long) 2), BgL_az00_15201);
								VECTOR_SET(BgL_nsz00_17782, ((long) 3), BgL_bz00_15202);
								VECTOR_SET(BgL_nsz00_17782, ((long) 4), BgL_cz00_15203);
								VECTOR_SET(BgL_nsz00_17782, ((long) 5), BgL_dz00_15204);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3948z00_17783;
									long BgL_arg3949z00_17784;
									obj_t BgL_arg3950z00_17785;

									BgL_arg3948z00_17783 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15198))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3951z00_17786;

										BgL_arg3951z00_17786 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15198))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3951z00_17786) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3949z00_17784 =
													((long) CINT(BgL_arg3951z00_17786) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3949z00_17784 =
													((long) CINT(BgL_arg3951z00_17786) - ((long) 4));
									}}
									BgL_arg3950z00_17785 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15198))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_17782,
										BgL_arg3948z00_17783, ((long) 6), BgL_arg3949z00_17784,
										BgL_restz00_15205, BgL_arg3950z00_17785);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17787;

									BgL_z12denvz12_17787 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17787, BgL_nsz00_17782);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17788;

										BgL_ez00_17788 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17788,
											BgL_sz00_17769);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17789;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17790;

												BgL_savedzd2bpzd2_17790 =
													VECTOR_REF(BgL_nsz00_17782, ((long) 0));
												VECTOR_SET(BgL_nsz00_17782, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17792;

													BgL_fz00_17792 = BgL_runz00_15199;
												BgL_recz00_17791:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17793;

														BgL_rz00_17793 =
															PROCEDURE_ENTRY(BgL_fz00_17792) (BgL_fz00_17792,
															BgL_nsz00_17782, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_32247;

															if (PROCEDUREP(BgL_rz00_17793))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17794;

																	BgL_arg1693z00_17794 =
																		PROCEDURE_ATTR(BgL_rz00_17793);
																	if (STRUCTP(BgL_arg1693z00_17794))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32247 =
																				(STRUCT_KEY(BgL_arg1693z00_17794) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32247 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_32247 = ((bool_t) 0);
																}
															if (BgL_testz00_32247)
																{
																	obj_t BgL_fz00_32255;

																	BgL_fz00_32255 = BgL_rz00_17793;
																	BgL_fz00_17792 = BgL_fz00_32255;
																	goto BgL_recz00_17791;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17782, ((long) 0),
																		BgL_savedzd2bpzd2_17790);
																	BgL_____rz00_17789 = BgL_rz00_17793;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17788);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17787, BgL_sz00_17769);
											return BgL_____rz00_17789;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5784 */
	obj_t BGl_z62run5784z62zz__evaluate_compz00(obj_t BgL_envz00_15206,
		obj_t BgL_sz00_15209)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_15207;
				obj_t BgL_bodyz00_15208;

				BgL_i1243z00_15207 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15206, (int) (((long) 0))));
				BgL_bodyz00_15208 = PROCEDURE_REF(BgL_envz00_15206, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17795;

					BgL_bpz00_17795 = VECTOR_REF(((obj_t) BgL_sz00_15209), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17796;
						obj_t BgL_wherez00_17797;
						obj_t BgL_locz00_17798;

						BgL_z12denvz12_17796 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17797 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15207))->
							BgL_wherez00);
						BgL_locz00_17798 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15207))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17796, BgL_wherez00_17797,
								BgL_locz00_17798);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17799;

								BgL_za2za2resza2za2z00_17799 =
									PROCEDURE_ENTRY(BgL_bodyz00_15208) (BgL_bodyz00_15208,
									BgL_sz00_15209, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17796);
								return BgL_za2za2resza2za2z00_17799;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3953> */
	obj_t BGl_z62zc3anonymousza33953ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15210, obj_t BgL_sz00_15215)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15211;
				BgL_ev_absz00_bglt BgL_i1243z00_15212;
				obj_t BgL_bodyz00_15213;
				long BgL_siza7ezd2framez75_15214;

				BgL_iboxesz00_15211 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15210, (int) (((long) 0))));
				BgL_i1243z00_15212 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15210, (int) (((long) 1))));
				BgL_bodyz00_15213 = PROCEDURE_REF(BgL_envz00_15210, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15214 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15210, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17800;

					BgL_bpz00_17800 = VECTOR_REF(((obj_t) BgL_sz00_15215), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17801;

							BgL_runz00_17801 =
								MAKE_FX_PROCEDURE(BGl_z62run5786z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17801,
								(int) (((long) 0)), BgL_iboxesz00_15211);
							PROCEDURE_SET(BgL_runz00_17801,
								(int) (((long) 1)), ((obj_t) BgL_i1243z00_15212));
							PROCEDURE_SET(BgL_runz00_17801,
								(int) (((long) 2)), BgL_bodyz00_15213);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17802;

								BgL_mainz00_17802 =
									MAKE_VA_PROCEDURE(BGl_z62main5785z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17802,
									(int) (((long) 0)), BgL_iboxesz00_15211);
								PROCEDURE_SET(BgL_mainz00_17802,
									(int) (((long) 1)), BgL_bodyz00_15213);
								PROCEDURE_SET(BgL_mainz00_17802,
									(int) (((long) 2)), ((obj_t) BgL_i1243z00_15212));
								PROCEDURE_SET(BgL_mainz00_17802,
									(int) (((long) 3)), BgL_runz00_17801);
								PROCEDURE_SET(BgL_mainz00_17802,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15214));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17803;

									BgL_objz00_17803 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17801, BgL_objz00_17803);
									BgL_objz00_17803;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3954z00_17804;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3955z00_17805;
										obj_t BgL_arg3956z00_17806;

										BgL_arg3955z00_17805 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15212))->
											BgL_arityz00);
										BgL_arg3956z00_17806 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15212))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17807;

											BgL_newz00_17807 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32318;

												BgL_tmpz00_32318 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17807, BgL_tmpz00_32318,
													BgL_arg3956z00_17806);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32323;
												int BgL_tmpz00_32321;

												BgL_auxz00_32323 = BINT(BgL_siza7ezd2framez75_15214);
												BgL_tmpz00_32321 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17807, BgL_tmpz00_32321,
													BgL_auxz00_32323);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32326;

												BgL_tmpz00_32326 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17807, BgL_tmpz00_32326,
													BgL_runz00_17801);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32329;

												BgL_tmpz00_32329 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17807, BgL_tmpz00_32329,
													BgL_arg3955z00_17805);
											}
											BgL_arg3954z00_17804 = BgL_newz00_17807;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17802, BgL_arg3954z00_17804);
									BgL_arg3954z00_17804;
								}
								return BgL_mainz00_17802;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5785 */
	obj_t BGl_z62main5785z62zz__evaluate_compz00(obj_t BgL_envz00_15216,
		obj_t BgL_az00_15222, obj_t BgL_bz00_15223, obj_t BgL_cz00_15224,
		obj_t BgL_dz00_15225, obj_t BgL_restz00_15226)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_15219;
				obj_t BgL_runz00_15220;
				long BgL_siza7ezd2framez75_15221;

				BgL_i1243z00_15219 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15216, (int) (((long) 2))));
				BgL_runz00_15220 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15216, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15221 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15216, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17808;

					BgL_sz00_17808 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17809;

						BgL_bpz00_17809 = VECTOR_REF(((obj_t) BgL_sz00_17808), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17809) + BgL_siza7ezd2framez75_15221) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17808))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3959z00_17810;

									BgL_arg3959z00_17810 =
										((long) CINT(BgL_bpz00_17809) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17808), BgL_arg3959z00_17810,
										BgL_az00_15222);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3960z00_17811;

									BgL_arg3960z00_17811 =
										((long) CINT(BgL_bpz00_17809) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17808), BgL_arg3960z00_17811,
										BgL_bz00_15223);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3961z00_17812;

									BgL_arg3961z00_17812 =
										((long) CINT(BgL_bpz00_17809) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17808), BgL_arg3961z00_17812,
										BgL_cz00_15224);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3962z00_17813;

									BgL_arg3962z00_17813 =
										((long) CINT(BgL_bpz00_17809) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17808), BgL_arg3962z00_17813,
										BgL_dz00_15225);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3963z00_17814;
									long BgL_arg3964z00_17815;
									long BgL_arg3965z00_17816;
									obj_t BgL_arg3966z00_17817;

									BgL_arg3963z00_17814 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15219))->
										BgL_wherez00);
									BgL_arg3964z00_17815 =
										((long) CINT(BgL_bpz00_17809) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3967z00_17818;

										BgL_arg3967z00_17818 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15219))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3967z00_17818) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3965z00_17816 =
													((long) CINT(BgL_arg3967z00_17818) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3965z00_17816 =
													((long) CINT(BgL_arg3967z00_17818) - ((long) 4));
									}}
									BgL_arg3966z00_17817 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15219))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_17808,
										BgL_arg3963z00_17814, BgL_arg3964z00_17815,
										BgL_arg3965z00_17816, BgL_restz00_15226,
										BgL_arg3966z00_17817);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17819;

									BgL_ez00_17819 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17819,
										BgL_bpz00_17809);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17820;

										BgL_accz00_17820 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15220, BgL_sz00_17808, BgL_bpz00_17809);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17819);
										VECTOR_SET(
											((obj_t) BgL_sz00_17808), ((long) 0), BgL_bpz00_17809);
										return BgL_accz00_17820;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17821;

								BgL_nsz00_17821 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17821, ((long) 1), BgL_sz00_17808);
								VECTOR_SET(BgL_nsz00_17821, ((long) 2), BgL_az00_15222);
								VECTOR_SET(BgL_nsz00_17821, ((long) 3), BgL_bz00_15223);
								VECTOR_SET(BgL_nsz00_17821, ((long) 4), BgL_cz00_15224);
								VECTOR_SET(BgL_nsz00_17821, ((long) 5), BgL_dz00_15225);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3968z00_17822;
									long BgL_arg3969z00_17823;
									obj_t BgL_arg3970z00_17824;

									BgL_arg3968z00_17822 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15219))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3971z00_17825;

										BgL_arg3971z00_17825 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15219))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3971z00_17825) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3969z00_17823 =
													((long) CINT(BgL_arg3971z00_17825) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3969z00_17823 =
													((long) CINT(BgL_arg3971z00_17825) - ((long) 4));
									}}
									BgL_arg3970z00_17824 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15219))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_17821,
										BgL_arg3968z00_17822, ((long) 6), BgL_arg3969z00_17823,
										BgL_restz00_15226, BgL_arg3970z00_17824);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17826;

									BgL_z12denvz12_17826 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17826, BgL_nsz00_17821);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17827;

										BgL_ez00_17827 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17827,
											BgL_sz00_17808);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17828;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17829;

												BgL_savedzd2bpzd2_17829 =
													VECTOR_REF(BgL_nsz00_17821, ((long) 0));
												VECTOR_SET(BgL_nsz00_17821, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17831;

													BgL_fz00_17831 = BgL_runz00_15220;
												BgL_recz00_17830:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17832;

														BgL_rz00_17832 =
															PROCEDURE_ENTRY(BgL_fz00_17831) (BgL_fz00_17831,
															BgL_nsz00_17821, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_32414;

															if (PROCEDUREP(BgL_rz00_17832))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17833;

																	BgL_arg1693z00_17833 =
																		PROCEDURE_ATTR(BgL_rz00_17832);
																	if (STRUCTP(BgL_arg1693z00_17833))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32414 =
																				(STRUCT_KEY(BgL_arg1693z00_17833) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32414 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_32414 = ((bool_t) 0);
																}
															if (BgL_testz00_32414)
																{
																	obj_t BgL_fz00_32422;

																	BgL_fz00_32422 = BgL_rz00_17832;
																	BgL_fz00_17831 = BgL_fz00_32422;
																	goto BgL_recz00_17830;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17821, ((long) 0),
																		BgL_savedzd2bpzd2_17829);
																	BgL_____rz00_17828 = BgL_rz00_17832;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17827);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17826, BgL_sz00_17808);
											return BgL_____rz00_17828;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5786 */
	obj_t BGl_z62run5786z62zz__evaluate_compz00(obj_t BgL_envz00_15227,
		obj_t BgL_sz00_15231)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15228;
				BgL_ev_absz00_bglt BgL_i1243z00_15229;
				obj_t BgL_bodyz00_15230;

				BgL_iboxesz00_15228 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15227, (int) (((long) 0))));
				BgL_i1243z00_15229 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15227, (int) (((long) 1))));
				BgL_bodyz00_15230 = PROCEDURE_REF(BgL_envz00_15227, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17834;

					BgL_bpz00_17834 = VECTOR_REF(((obj_t) BgL_sz00_15231), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15231,
						BgL_iboxesz00_15228, BgL_bpz00_17834);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17835;
						obj_t BgL_wherez00_17836;
						obj_t BgL_locz00_17837;

						BgL_z12denvz12_17835 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17836 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15229))->
							BgL_wherez00);
						BgL_locz00_17837 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15229))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17835, BgL_wherez00_17836,
								BgL_locz00_17837);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17838;

								BgL_za2za2resza2za2z00_17838 =
									PROCEDURE_ENTRY(BgL_bodyz00_15230) (BgL_bodyz00_15230,
									BgL_sz00_15231, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17835);
								return BgL_za2za2resza2za2z00_17838;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3976> */
	obj_t BGl_z62zc3anonymousza33976ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15232, obj_t BgL_sz00_15238)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_15233;
				long BgL_siza7eza7_15234;
				BgL_ev_absz00_bglt BgL_i1243z00_15235;
				obj_t BgL_bodyz00_15236;
				long BgL_siza7ezd2framez75_15237;

				BgL_ifreesz00_15233 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15232, (int) (((long) 0))));
				BgL_siza7eza7_15234 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15232, (int) (((long) 1))));
				BgL_i1243z00_15235 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15232, (int) (((long) 2))));
				BgL_bodyz00_15236 = PROCEDURE_REF(BgL_envz00_15232, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15237 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15232, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17839;

					BgL_bpz00_17839 = VECTOR_REF(((obj_t) BgL_sz00_15238), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17840;

						BgL_valza2za2_17840 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15238,
							BgL_bpz00_17839, BgL_ifreesz00_15233);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17841;

							BgL_runz00_17841 =
								MAKE_FX_PROCEDURE(BGl_z62run5788z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17841,
								(int) (((long) 0)), BINT(BgL_siza7eza7_15234));
							PROCEDURE_SET(BgL_runz00_17841,
								(int) (((long) 1)), BgL_valza2za2_17840);
							PROCEDURE_SET(BgL_runz00_17841,
								(int) (((long) 2)), ((obj_t) BgL_i1243z00_15235));
							PROCEDURE_SET(BgL_runz00_17841,
								(int) (((long) 3)), BgL_bodyz00_15236);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17842;

								BgL_mainz00_17842 =
									MAKE_VA_PROCEDURE(BGl_z62main5787z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17842,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15234));
								PROCEDURE_SET(BgL_mainz00_17842,
									(int) (((long) 1)), BgL_valza2za2_17840);
								PROCEDURE_SET(BgL_mainz00_17842,
									(int) (((long) 2)), BgL_bodyz00_15236);
								PROCEDURE_SET(BgL_mainz00_17842,
									(int) (((long) 3)), ((obj_t) BgL_i1243z00_15235));
								PROCEDURE_SET(BgL_mainz00_17842,
									(int) (((long) 4)), BgL_runz00_17841);
								PROCEDURE_SET(BgL_mainz00_17842,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15237));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17843;

									BgL_objz00_17843 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17841, BgL_objz00_17843);
									BgL_objz00_17843;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3977z00_17844;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3978z00_17845;
										obj_t BgL_arg3979z00_17846;

										BgL_arg3978z00_17845 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15235))->
											BgL_arityz00);
										BgL_arg3979z00_17846 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15235))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17847;

											BgL_newz00_17847 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32499;

												BgL_tmpz00_32499 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17847, BgL_tmpz00_32499,
													BgL_arg3979z00_17846);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32504;
												int BgL_tmpz00_32502;

												BgL_auxz00_32504 = BINT(BgL_siza7ezd2framez75_15237);
												BgL_tmpz00_32502 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17847, BgL_tmpz00_32502,
													BgL_auxz00_32504);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32507;

												BgL_tmpz00_32507 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17847, BgL_tmpz00_32507,
													BgL_runz00_17841);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32510;

												BgL_tmpz00_32510 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17847, BgL_tmpz00_32510,
													BgL_arg3978z00_17845);
											}
											BgL_arg3977z00_17844 = BgL_newz00_17847;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17842, BgL_arg3977z00_17844);
									BgL_arg3977z00_17844;
								}
								return BgL_mainz00_17842;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5787 */
	obj_t BGl_z62main5787z62zz__evaluate_compz00(obj_t BgL_envz00_15239,
		obj_t BgL_az00_15246, obj_t BgL_bz00_15247, obj_t BgL_cz00_15248,
		obj_t BgL_dz00_15249, obj_t BgL_restz00_15250)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_15243;
				obj_t BgL_runz00_15244;
				long BgL_siza7ezd2framez75_15245;

				BgL_i1243z00_15243 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15239, (int) (((long) 3))));
				BgL_runz00_15244 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15239, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15245 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15239, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17848;

					BgL_sz00_17848 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17849;

						BgL_bpz00_17849 = VECTOR_REF(((obj_t) BgL_sz00_17848), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17849) + BgL_siza7ezd2framez75_15245) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17848))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3982z00_17850;

									BgL_arg3982z00_17850 =
										((long) CINT(BgL_bpz00_17849) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17848), BgL_arg3982z00_17850,
										BgL_az00_15246);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3983z00_17851;

									BgL_arg3983z00_17851 =
										((long) CINT(BgL_bpz00_17849) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17848), BgL_arg3983z00_17851,
										BgL_bz00_15247);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3984z00_17852;

									BgL_arg3984z00_17852 =
										((long) CINT(BgL_bpz00_17849) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17848), BgL_arg3984z00_17852,
										BgL_cz00_15248);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3985z00_17853;

									BgL_arg3985z00_17853 =
										((long) CINT(BgL_bpz00_17849) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17848), BgL_arg3985z00_17853,
										BgL_dz00_15249);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3986z00_17854;
									long BgL_arg3987z00_17855;
									long BgL_arg3988z00_17856;
									obj_t BgL_arg3989z00_17857;

									BgL_arg3986z00_17854 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15243))->
										BgL_wherez00);
									BgL_arg3987z00_17855 =
										((long) CINT(BgL_bpz00_17849) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3990z00_17858;

										BgL_arg3990z00_17858 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15243))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3990z00_17858) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3988z00_17856 =
													((long) CINT(BgL_arg3990z00_17858) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3988z00_17856 =
													((long) CINT(BgL_arg3990z00_17858) - ((long) 4));
									}}
									BgL_arg3989z00_17857 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15243))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_17848,
										BgL_arg3986z00_17854, BgL_arg3987z00_17855,
										BgL_arg3988z00_17856, BgL_restz00_15250,
										BgL_arg3989z00_17857);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17859;

									BgL_ez00_17859 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17859,
										BgL_bpz00_17849);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17860;

										BgL_accz00_17860 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15244, BgL_sz00_17848, BgL_bpz00_17849);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17859);
										VECTOR_SET(
											((obj_t) BgL_sz00_17848), ((long) 0), BgL_bpz00_17849);
										return BgL_accz00_17860;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17861;

								BgL_nsz00_17861 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17861, ((long) 1), BgL_sz00_17848);
								VECTOR_SET(BgL_nsz00_17861, ((long) 2), BgL_az00_15246);
								VECTOR_SET(BgL_nsz00_17861, ((long) 3), BgL_bz00_15247);
								VECTOR_SET(BgL_nsz00_17861, ((long) 4), BgL_cz00_15248);
								VECTOR_SET(BgL_nsz00_17861, ((long) 5), BgL_dz00_15249);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3991z00_17862;
									long BgL_arg3992z00_17863;
									obj_t BgL_arg3993z00_17864;

									BgL_arg3991z00_17862 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15243))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3994z00_17865;

										BgL_arg3994z00_17865 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15243))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3994z00_17865) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3992z00_17863 =
													((long) CINT(BgL_arg3994z00_17865) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3992z00_17863 =
													((long) CINT(BgL_arg3994z00_17865) - ((long) 4));
									}}
									BgL_arg3993z00_17864 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15243))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_17861,
										BgL_arg3991z00_17862, ((long) 6), BgL_arg3992z00_17863,
										BgL_restz00_15250, BgL_arg3993z00_17864);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17866;

									BgL_z12denvz12_17866 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17866, BgL_nsz00_17861);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17867;

										BgL_ez00_17867 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17867,
											BgL_sz00_17848);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17868;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17869;

												BgL_savedzd2bpzd2_17869 =
													VECTOR_REF(BgL_nsz00_17861, ((long) 0));
												VECTOR_SET(BgL_nsz00_17861, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17871;

													BgL_fz00_17871 = BgL_runz00_15244;
												BgL_recz00_17870:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17872;

														BgL_rz00_17872 =
															PROCEDURE_ENTRY(BgL_fz00_17871) (BgL_fz00_17871,
															BgL_nsz00_17861, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_32595;

															if (PROCEDUREP(BgL_rz00_17872))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17873;

																	BgL_arg1693z00_17873 =
																		PROCEDURE_ATTR(BgL_rz00_17872);
																	if (STRUCTP(BgL_arg1693z00_17873))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32595 =
																				(STRUCT_KEY(BgL_arg1693z00_17873) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32595 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_32595 = ((bool_t) 0);
																}
															if (BgL_testz00_32595)
																{
																	obj_t BgL_fz00_32603;

																	BgL_fz00_32603 = BgL_rz00_17872;
																	BgL_fz00_17871 = BgL_fz00_32603;
																	goto BgL_recz00_17870;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17861, ((long) 0),
																		BgL_savedzd2bpzd2_17869);
																	BgL_____rz00_17868 = BgL_rz00_17872;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17867);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17866, BgL_sz00_17848);
											return BgL_____rz00_17868;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5788 */
	obj_t BGl_z62run5788z62zz__evaluate_compz00(obj_t BgL_envz00_15251,
		obj_t BgL_sz00_15256)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_15252;
				obj_t BgL_valza2za2_15253;
				BgL_ev_absz00_bglt BgL_i1243z00_15254;
				obj_t BgL_bodyz00_15255;

				BgL_siza7eza7_15252 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15251, (int) (((long) 0))));
				BgL_valza2za2_15253 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15251, (int) (((long) 1))));
				BgL_i1243z00_15254 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15251, (int) (((long) 2))));
				BgL_bodyz00_15255 = PROCEDURE_REF(BgL_envz00_15251, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17874;

					BgL_bpz00_17874 = VECTOR_REF(((obj_t) BgL_sz00_15256), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15256,
						BgL_valza2za2_15253,
						((long) CINT(BgL_bpz00_17874) + BgL_siza7eza7_15252));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17875;
						obj_t BgL_wherez00_17876;
						obj_t BgL_locz00_17877;

						BgL_z12denvz12_17875 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17876 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15254))->
							BgL_wherez00);
						BgL_locz00_17877 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15254))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17875, BgL_wherez00_17876,
								BgL_locz00_17877);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17878;

								BgL_za2za2resza2za2z00_17878 =
									PROCEDURE_ENTRY(BgL_bodyz00_15255) (BgL_bodyz00_15255,
									BgL_sz00_15256, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17875);
								return BgL_za2za2resza2za2z00_17878;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3997> */
	obj_t BGl_z62zc3anonymousza33997ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15257, obj_t BgL_sz00_15264)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_15258;
				obj_t BgL_iboxesz00_15259;
				long BgL_siza7eza7_15260;
				BgL_ev_absz00_bglt BgL_i1243z00_15261;
				obj_t BgL_bodyz00_15262;
				long BgL_siza7ezd2framez75_15263;

				BgL_ifreesz00_15258 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15257, (int) (((long) 0))));
				BgL_iboxesz00_15259 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15257, (int) (((long) 1))));
				BgL_siza7eza7_15260 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15257, (int) (((long) 2))));
				BgL_i1243z00_15261 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15257, (int) (((long) 3))));
				BgL_bodyz00_15262 = PROCEDURE_REF(BgL_envz00_15257, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15263 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15257, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17879;

					BgL_bpz00_17879 = VECTOR_REF(((obj_t) BgL_sz00_15264), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17880;

						BgL_valza2za2_17880 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15264,
							BgL_bpz00_17879, BgL_ifreesz00_15258);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17881;

							BgL_runz00_17881 =
								MAKE_FX_PROCEDURE(BGl_z62run5790z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17881,
								(int) (((long) 0)), BgL_iboxesz00_15259);
							PROCEDURE_SET(BgL_runz00_17881,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15260));
							PROCEDURE_SET(BgL_runz00_17881,
								(int) (((long) 2)), BgL_valza2za2_17880);
							PROCEDURE_SET(BgL_runz00_17881,
								(int) (((long) 3)), ((obj_t) BgL_i1243z00_15261));
							PROCEDURE_SET(BgL_runz00_17881,
								(int) (((long) 4)), BgL_bodyz00_15262);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17882;

								BgL_mainz00_17882 =
									MAKE_VA_PROCEDURE(BGl_z62main5789z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17882,
									(int) (((long) 0)), BgL_iboxesz00_15259);
								PROCEDURE_SET(BgL_mainz00_17882,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15260));
								PROCEDURE_SET(BgL_mainz00_17882,
									(int) (((long) 2)), BgL_valza2za2_17880);
								PROCEDURE_SET(BgL_mainz00_17882,
									(int) (((long) 3)), BgL_bodyz00_15262);
								PROCEDURE_SET(BgL_mainz00_17882,
									(int) (((long) 4)), ((obj_t) BgL_i1243z00_15261));
								PROCEDURE_SET(BgL_mainz00_17882,
									(int) (((long) 5)), BgL_runz00_17881);
								PROCEDURE_SET(BgL_mainz00_17882,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15263));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17883;

									BgL_objz00_17883 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17881, BgL_objz00_17883);
									BgL_objz00_17883;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3998z00_17884;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3999z00_17885;
										obj_t BgL_arg4000z00_17886;

										BgL_arg3999z00_17885 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15261))->
											BgL_arityz00);
										BgL_arg4000z00_17886 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15261))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17887;

											BgL_newz00_17887 =
												create_struct(BGl_symbol5820z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32692;

												BgL_tmpz00_32692 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17887, BgL_tmpz00_32692,
													BgL_arg4000z00_17886);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32697;
												int BgL_tmpz00_32695;

												BgL_auxz00_32697 = BINT(BgL_siza7ezd2framez75_15263);
												BgL_tmpz00_32695 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17887, BgL_tmpz00_32695,
													BgL_auxz00_32697);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32700;

												BgL_tmpz00_32700 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17887, BgL_tmpz00_32700,
													BgL_runz00_17881);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32703;

												BgL_tmpz00_32703 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17887, BgL_tmpz00_32703,
													BgL_arg3999z00_17885);
											}
											BgL_arg3998z00_17884 = BgL_newz00_17887;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17882, BgL_arg3998z00_17884);
									BgL_arg3998z00_17884;
								}
								return BgL_mainz00_17882;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &main5789 */
	obj_t BGl_z62main5789z62zz__evaluate_compz00(obj_t BgL_envz00_15265,
		obj_t BgL_az00_15273, obj_t BgL_bz00_15274, obj_t BgL_cz00_15275,
		obj_t BgL_dz00_15276, obj_t BgL_restz00_15277)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1243z00_15270;
				obj_t BgL_runz00_15271;
				long BgL_siza7ezd2framez75_15272;

				BgL_i1243z00_15270 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15265, (int) (((long) 4))));
				BgL_runz00_15271 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15265, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15272 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15265, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17888;

					BgL_sz00_17888 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17889;

						BgL_bpz00_17889 = VECTOR_REF(((obj_t) BgL_sz00_17888), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17889) + BgL_siza7ezd2framez75_15272) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17888))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg4003z00_17890;

									BgL_arg4003z00_17890 =
										((long) CINT(BgL_bpz00_17889) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17888), BgL_arg4003z00_17890,
										BgL_az00_15273);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg4004z00_17891;

									BgL_arg4004z00_17891 =
										((long) CINT(BgL_bpz00_17889) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17888), BgL_arg4004z00_17891,
										BgL_bz00_15274);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg4005z00_17892;

									BgL_arg4005z00_17892 =
										((long) CINT(BgL_bpz00_17889) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17888), BgL_arg4005z00_17892,
										BgL_cz00_15275);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg4006z00_17893;

									BgL_arg4006z00_17893 =
										((long) CINT(BgL_bpz00_17889) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17888), BgL_arg4006z00_17893,
										BgL_dz00_15276);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg4007z00_17894;
									long BgL_arg4008z00_17895;
									long BgL_arg4009z00_17896;
									obj_t BgL_arg4010z00_17897;

									BgL_arg4007z00_17894 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15270))->
										BgL_wherez00);
									BgL_arg4008z00_17895 =
										((long) CINT(BgL_bpz00_17889) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg4011z00_17898;

										BgL_arg4011z00_17898 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15270))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4011z00_17898) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg4009z00_17896 =
													((long) CINT(BgL_arg4011z00_17898) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg4009z00_17896 =
													((long) CINT(BgL_arg4011z00_17898) - ((long) 4));
									}}
									BgL_arg4010z00_17897 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15270))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_17888,
										BgL_arg4007z00_17894, BgL_arg4008z00_17895,
										BgL_arg4009z00_17896, BgL_restz00_15277,
										BgL_arg4010z00_17897);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17899;

									BgL_ez00_17899 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17899,
										BgL_bpz00_17889);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17900;

										BgL_accz00_17900 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15271, BgL_sz00_17888, BgL_bpz00_17889);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17899);
										VECTOR_SET(
											((obj_t) BgL_sz00_17888), ((long) 0), BgL_bpz00_17889);
										return BgL_accz00_17900;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17901;

								BgL_nsz00_17901 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17901, ((long) 1), BgL_sz00_17888);
								VECTOR_SET(BgL_nsz00_17901, ((long) 2), BgL_az00_15273);
								VECTOR_SET(BgL_nsz00_17901, ((long) 3), BgL_bz00_15274);
								VECTOR_SET(BgL_nsz00_17901, ((long) 4), BgL_cz00_15275);
								VECTOR_SET(BgL_nsz00_17901, ((long) 5), BgL_dz00_15276);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg4012z00_17902;
									long BgL_arg4013z00_17903;
									obj_t BgL_arg4014z00_17904;

									BgL_arg4012z00_17902 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15270))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg4015z00_17905;

										BgL_arg4015z00_17905 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15270))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4015z00_17905) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg4013z00_17903 =
													((long) CINT(BgL_arg4015z00_17905) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg4013z00_17903 =
													((long) CINT(BgL_arg4015z00_17905) - ((long) 4));
									}}
									BgL_arg4014z00_17904 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15270))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_17901,
										BgL_arg4012z00_17902, ((long) 6), BgL_arg4013z00_17903,
										BgL_restz00_15277, BgL_arg4014z00_17904);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17906;

									BgL_z12denvz12_17906 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17906, BgL_nsz00_17901);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17907;

										BgL_ez00_17907 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17907,
											BgL_sz00_17888);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17908;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17909;

												BgL_savedzd2bpzd2_17909 =
													VECTOR_REF(BgL_nsz00_17901, ((long) 0));
												VECTOR_SET(BgL_nsz00_17901, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17911;

													BgL_fz00_17911 = BgL_runz00_15271;
												BgL_recz00_17910:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17912;

														BgL_rz00_17912 =
															PROCEDURE_ENTRY(BgL_fz00_17911) (BgL_fz00_17911,
															BgL_nsz00_17901, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_32788;

															if (PROCEDUREP(BgL_rz00_17912))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1693z00_17913;

																	BgL_arg1693z00_17913 =
																		PROCEDURE_ATTR(BgL_rz00_17912);
																	if (STRUCTP(BgL_arg1693z00_17913))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32788 =
																				(STRUCT_KEY(BgL_arg1693z00_17913) ==
																				BGl_symbol5799z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32788 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_32788 = ((bool_t) 0);
																}
															if (BgL_testz00_32788)
																{
																	obj_t BgL_fz00_32796;

																	BgL_fz00_32796 = BgL_rz00_17912;
																	BgL_fz00_17911 = BgL_fz00_32796;
																	goto BgL_recz00_17910;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17901, ((long) 0),
																		BgL_savedzd2bpzd2_17909);
																	BgL_____rz00_17908 = BgL_rz00_17912;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17907);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17906, BgL_sz00_17888);
											return BgL_____rz00_17908;
										}
									}
								}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &run5790 */
	obj_t BGl_z62run5790z62zz__evaluate_compz00(obj_t BgL_envz00_15278,
		obj_t BgL_sz00_15284)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15279;
				long BgL_siza7eza7_15280;
				obj_t BgL_valza2za2_15281;
				BgL_ev_absz00_bglt BgL_i1243z00_15282;
				obj_t BgL_bodyz00_15283;

				BgL_iboxesz00_15279 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15278, (int) (((long) 0))));
				BgL_siza7eza7_15280 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15278, (int) (((long) 1))));
				BgL_valza2za2_15281 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15278, (int) (((long) 2))));
				BgL_i1243z00_15282 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15278, (int) (((long) 3))));
				BgL_bodyz00_15283 = PROCEDURE_REF(BgL_envz00_15278, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17914;

					BgL_bpz00_17914 = VECTOR_REF(((obj_t) BgL_sz00_15284), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15284,
						BgL_iboxesz00_15279, BgL_bpz00_17914);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15284,
						BgL_valza2za2_15281,
						((long) CINT(BgL_bpz00_17914) + BgL_siza7eza7_15280));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17915;
						obj_t BgL_wherez00_17916;
						obj_t BgL_locz00_17917;

						BgL_z12denvz12_17915 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17916 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15282))->
							BgL_wherez00);
						BgL_locz00_17917 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1243z00_15282))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17915, BgL_wherez00_17916,
								BgL_locz00_17917);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17918;

								BgL_za2za2resza2za2z00_17918 =
									PROCEDURE_ENTRY(BgL_bodyz00_15283) (BgL_bodyz00_15283,
									BgL_sz00_15284, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17915);
								return BgL_za2za2resza2za2z00_17918;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_app1427 */
	obj_t BGl_z62compzd2ev_app1427zb0zz__evaluate_compz00(obj_t BgL_envz00_15285,
		obj_t BgL_ez00_15286, obj_t BgL_stkz00_15287)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 1037 */
			{	/* Eval/evaluate_comp.scm 1039 */
				obj_t BgL__ortest_1229z00_17920;

				BgL__ortest_1229z00_17920 =
					BGl_arithzd2expressionzd2zz__evaluate_compz00(
					((BgL_ev_appz00_bglt) BgL_ez00_15286), BgL_stkz00_15287);
				if (CBOOL(BgL__ortest_1229z00_17920))
					{	/* Eval/evaluate_comp.scm 1039 */
						return BgL__ortest_1229z00_17920;
					}
				else
					{	/* Eval/evaluate_comp.scm 1040 */
						obj_t BgL__ortest_1230z00_17921;

						BgL__ortest_1230z00_17921 =
							BGl_inlinezd2callzd2zz__evaluate_compz00(
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15286)))->BgL_locz00),
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15286)))->BgL_funz00),
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15286)))->BgL_argsz00),
							BgL_stkz00_15287);
						if (CBOOL(BgL__ortest_1230z00_17921))
							{	/* Eval/evaluate_comp.scm 1040 */
								return BgL__ortest_1230z00_17921;
							}
						else
							{	/* Eval/evaluate_comp.scm 1040 */
								if (
									(bgl_list_length(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15286)))->
												BgL_argsz00)) > ((long) 4)))
									{	/* Eval/evaluate_comp.scm 1041 */
										return
											BGl_compzd2oldzd2callz00zz__evaluate_compz00(
											((BgL_ev_appz00_bglt) BgL_ez00_15286), BgL_stkz00_15287);
									}
								else
									{	/* Eval/evaluate_comp.scm 1043 */
										obj_t BgL_fz00_17922;
										long BgL_siza7eza7_17923;
										obj_t BgL_symbzd2funzd2_17924;

										BgL_fz00_17922 =
											BGl_compz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15286)))->
												BgL_funz00), BgL_stkz00_15287);
										BgL_siza7eza7_17923 = bgl_list_length(BgL_stkz00_15287);
										BgL_symbzd2funzd2_17924 =
											BGl_uncompilez00zz__evaluate_uncompz00(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15286)))->
												BgL_funz00));
										if (NULLP((((BgL_ev_appz00_bglt)
														COBJECT(((BgL_ev_appz00_bglt) BgL_ez00_15286)))->
													BgL_argsz00)))
											{	/* Eval/evaluate_comp.scm 1044 */
												return
													BGl_compzd2call0zd2zz__evaluate_compz00(
													(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_ez00_15286)))->
														BgL_locz00),
													(((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
																	BgL_ez00_15286)))->BgL_funz00),
													BgL_symbzd2funzd2_17924, BgL_fz00_17922,
													(((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
																	BgL_ez00_15286)))->BgL_tailzf3zf3),
													BgL_stkz00_15287, BgL_siza7eza7_17923);
											}
										else
											{	/* Eval/evaluate_comp.scm 1046 */
												obj_t BgL_a1z00_17925;
												obj_t BgL_argsz00_17926;

												{	/* Eval/evaluate_comp.scm 1046 */
													obj_t BgL_arg3426z00_17927;

													BgL_arg3426z00_17927 =
														CAR(
														(((BgL_ev_appz00_bglt) COBJECT(
																	((BgL_ev_appz00_bglt) BgL_ez00_15286)))->
															BgL_argsz00));
													BgL_a1z00_17925 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_arg3426z00_17927),
														BgL_stkz00_15287);
												}
												BgL_argsz00_17926 =
													CDR(
													(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_ez00_15286)))->
														BgL_argsz00));
												if (NULLP(BgL_argsz00_17926))
													{	/* Eval/evaluate_comp.scm 1046 */
														return
															BGl_compzd2call1zd2zz__evaluate_compz00(
															(((BgL_ev_appz00_bglt) COBJECT(
																		((BgL_ev_appz00_bglt) BgL_ez00_15286)))->
																BgL_locz00),
															(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_ez00_15286)))->BgL_funz00),
															BgL_symbzd2funzd2_17924, BgL_fz00_17922,
															(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_ez00_15286)))->BgL_tailzf3zf3),
															BgL_stkz00_15287, BgL_siza7eza7_17923,
															BgL_a1z00_17925);
													}
												else
													{	/* Eval/evaluate_comp.scm 1046 */
														obj_t BgL_a2z00_17928;
														obj_t BgL_argsz00_17929;

														{	/* Eval/evaluate_comp.scm 1046 */
															obj_t BgL_arg3425z00_17930;

															BgL_arg3425z00_17930 =
																CAR(((obj_t) BgL_argsz00_17926));
															BgL_a2z00_17928 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_arg3425z00_17930),
																BgL_stkz00_15287);
														}
														BgL_argsz00_17929 =
															CDR(((obj_t) BgL_argsz00_17926));
														if (NULLP(BgL_argsz00_17929))
															{	/* Eval/evaluate_comp.scm 1046 */
																return
																	BGl_compzd2call2zd2zz__evaluate_compz00(
																	(((BgL_ev_appz00_bglt) COBJECT(
																				((BgL_ev_appz00_bglt)
																					BgL_ez00_15286)))->BgL_locz00),
																	(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_ez00_15286)))->BgL_funz00),
																	BgL_symbzd2funzd2_17924, BgL_fz00_17922,
																	(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_ez00_15286)))->BgL_tailzf3zf3),
																	BgL_stkz00_15287, BgL_siza7eza7_17923,
																	BgL_a1z00_17925, BgL_a2z00_17928);
															}
														else
															{	/* Eval/evaluate_comp.scm 1046 */
																obj_t BgL_a3z00_17931;
																obj_t BgL_argsz00_17932;

																{	/* Eval/evaluate_comp.scm 1046 */
																	obj_t BgL_arg3424z00_17933;

																	BgL_arg3424z00_17933 =
																		CAR(((obj_t) BgL_argsz00_17929));
																	BgL_a3z00_17931 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt)
																			BgL_arg3424z00_17933), BgL_stkz00_15287);
																}
																BgL_argsz00_17932 =
																	CDR(((obj_t) BgL_argsz00_17929));
																if (NULLP(BgL_argsz00_17932))
																	{	/* Eval/evaluate_comp.scm 1046 */
																		return
																			BGl_compzd2call3zd2zz__evaluate_compz00(
																			(((BgL_ev_appz00_bglt) COBJECT(
																						((BgL_ev_appz00_bglt)
																							BgL_ez00_15286)))->BgL_locz00),
																			(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_ez00_15286)))->BgL_funz00),
																			BgL_symbzd2funzd2_17924, BgL_fz00_17922,
																			(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_ez00_15286)))->
																				BgL_tailzf3zf3), BgL_stkz00_15287,
																			BgL_siza7eza7_17923, BgL_a1z00_17925,
																			BgL_a2z00_17928, BgL_a3z00_17931);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 1046 */
																		obj_t BgL_a4z00_17934;
																		obj_t BgL_argsz00_17935;

																		{	/* Eval/evaluate_comp.scm 1046 */
																			obj_t BgL_arg3423z00_17936;

																			BgL_arg3423z00_17936 =
																				CAR(((obj_t) BgL_argsz00_17932));
																			BgL_a4z00_17934 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt)
																					BgL_arg3423z00_17936),
																				BgL_stkz00_15287);
																		}
																		BgL_argsz00_17935 =
																			CDR(((obj_t) BgL_argsz00_17932));
																		if (NULLP(BgL_argsz00_17935))
																			{	/* Eval/evaluate_comp.scm 1046 */
																				return
																					BGl_compzd2call4zd2zz__evaluate_compz00
																					((((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15286)))->
																						BgL_locz00),
																					(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15286)))->
																						BgL_funz00),
																					BgL_symbzd2funzd2_17924,
																					BgL_fz00_17922,
																					(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15286)))->
																						BgL_tailzf3zf3), BgL_stkz00_15287,
																					BgL_siza7eza7_17923, BgL_a1z00_17925,
																					BgL_a2z00_17928, BgL_a3z00_17931,
																					BgL_a4z00_17934);
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 1046 */
																				return
																					BGl_errorz00zz__errorz00
																					(BGl_string5803z00zz__evaluate_compz00,
																					BGl_string5918z00zz__evaluate_compz00,
																					BGl_string5919z00zz__evaluate_compz00);
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_goto1424 */
	obj_t BGl_z62compzd2ev_goto1424zb0zz__evaluate_compz00(obj_t BgL_envz00_15288,
		obj_t BgL_ez00_15289, obj_t BgL_stkz00_15290)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 597 */
			{	/* Eval/evaluate_comp.scm 600 */
				obj_t BgL_slotz00_17940;
				long BgL_siza7eza7_17941;
				obj_t BgL_lstkz00_17942;

				BgL_slotz00_17940 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
					((obj_t)
						(((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_ez00_15289)))->BgL_labelz00)),
					(((BgL_ev_labelsz00_bglt) COBJECT(
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15289)))->
									BgL_labelsz00)))->BgL_envz00));
				BgL_siza7eza7_17941 = bgl_list_length(BgL_stkz00_15290);
				BgL_lstkz00_17942 =
					(((BgL_ev_labelsz00_bglt) COBJECT(
							(((BgL_ev_gotoz00_bglt) COBJECT(
										((BgL_ev_gotoz00_bglt) BgL_ez00_15289)))->BgL_labelsz00)))->
					BgL_stkz00);
				{	/* Eval/evaluate_comp.scm 602 */
					long BgL_llstkz00_17943;
					obj_t BgL_substkz00_17944;
					obj_t BgL_boxesz00_17945;

					BgL_llstkz00_17943 = bgl_list_length(BgL_lstkz00_17942);
					BgL_substkz00_17944 =
						BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_17942,
						BgL_stkz00_15290);
					{	/* Eval/evaluate_comp.scm 602 */
						obj_t BgL_pairz00_17946;

						BgL_pairz00_17946 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15289)))->BgL_labelz00)),
							(((BgL_ev_labelsz00_bglt) COBJECT(
										(((BgL_ev_gotoz00_bglt) COBJECT(
													((BgL_ev_gotoz00_bglt) BgL_ez00_15289)))->
											BgL_labelsz00)))->BgL_boxesz00));
						BgL_boxesz00_17945 = CDR(BgL_pairz00_17946);
					}
					if (BGl_needzd2shiftzd2zz__evaluate_compz00(
							(((BgL_ev_gotoz00_bglt) COBJECT(
										((BgL_ev_gotoz00_bglt) BgL_ez00_15289)))->BgL_argsz00),
							BgL_substkz00_17944))
						{	/* Eval/evaluate_comp.scm 605 */
							obj_t BgL_argsz00_17947;
							long BgL_nbargsz00_17948;

							BgL_argsz00_17947 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15289)))->BgL_argsz00),
								BgL_stkz00_15290);
							BgL_nbargsz00_17948 =
								bgl_list_length((((BgL_ev_gotoz00_bglt)
										COBJECT(((BgL_ev_gotoz00_bglt) BgL_ez00_15289)))->
									BgL_argsz00));
							{	/* Eval/evaluate_comp.scm 606 */
								obj_t BgL_zc3anonymousza33349ze3z83_17949;

								BgL_zc3anonymousza33349ze3z83_17949 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33349ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza33349ze3z83_17949,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17941));
								PROCEDURE_SET(BgL_zc3anonymousza33349ze3z83_17949,
									(int) (((long) 1)), BINT(BgL_llstkz00_17943));
								PROCEDURE_SET(BgL_zc3anonymousza33349ze3z83_17949,
									(int) (((long) 2)),
									((obj_t) ((BgL_ev_gotoz00_bglt) BgL_ez00_15289)));
								PROCEDURE_SET(BgL_zc3anonymousza33349ze3z83_17949,
									(int) (((long) 3)), BgL_argsz00_17947);
								PROCEDURE_SET(BgL_zc3anonymousza33349ze3z83_17949,
									(int) (((long) 4)), BgL_boxesz00_17945);
								PROCEDURE_SET(BgL_zc3anonymousza33349ze3z83_17949,
									(int) (((long) 5)), BINT(BgL_nbargsz00_17948));
								PROCEDURE_SET(BgL_zc3anonymousza33349ze3z83_17949,
									(int) (((long) 6)), BgL_slotz00_17940);
								return BgL_zc3anonymousza33349ze3z83_17949;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 611 */
							obj_t BgL_argsz00_17950;

							{	/* Eval/evaluate_comp.scm 611 */
								obj_t BgL_lz00_17951;
								long BgL_nz00_17952;

								BgL_lz00_17951 =
									(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15289)))->BgL_argsz00);
								BgL_nz00_17952 = (BgL_siza7eza7_17941 - BgL_llstkz00_17943);
								BgL_argsz00_17950 =
									BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_15290,
									BgL_lz00_17951, BgL_nz00_17952);
							}
							{	/* Eval/evaluate_comp.scm 612 */
								obj_t BgL_zc3anonymousza33358ze3z83_17953;

								BgL_zc3anonymousza33358ze3z83_17953 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33358ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_17953,
									(int) (((long) 0)), BINT(BgL_llstkz00_17943));
								PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_17953,
									(int) (((long) 1)),
									((obj_t) ((BgL_ev_gotoz00_bglt) BgL_ez00_15289)));
								PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_17953,
									(int) (((long) 2)), BgL_argsz00_17950);
								PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_17953,
									(int) (((long) 3)), BgL_boxesz00_17945);
								PROCEDURE_SET(BgL_zc3anonymousza33358ze3z83_17953,
									(int) (((long) 4)), BgL_slotz00_17940);
								return BgL_zc3anonymousza33358ze3z83_17953;
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3349> */
	obj_t BGl_z62zc3anonymousza33349ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15291, obj_t BgL_sz00_15299)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 606 */
			{	/* Eval/evaluate_comp.scm 606 */
				long BgL_siza7eza7_15292;
				long BgL_llstkz00_15293;
				BgL_ev_gotoz00_bglt BgL_i1141z00_15294;
				obj_t BgL_argsz00_15295;
				obj_t BgL_boxesz00_15296;
				long BgL_nbargsz00_15297;
				obj_t BgL_slotz00_15298;

				BgL_siza7eza7_15292 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15291, (int) (((long) 0))));
				BgL_llstkz00_15293 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15291, (int) (((long) 1))));
				BgL_i1141z00_15294 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_15291, (int) (((long) 2))));
				BgL_argsz00_15295 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15291, (int) (((long) 3))));
				BgL_boxesz00_15296 =
					PROCEDURE_REF(BgL_envz00_15291, (int) (((long) 4)));
				BgL_nbargsz00_15297 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15291, (int) (((long) 5))));
				BgL_slotz00_15298 = PROCEDURE_REF(BgL_envz00_15291, (int) (((long) 6)));
				{	/* Eval/evaluate_comp.scm 606 */
					obj_t BgL_bpz00_17954;

					BgL_bpz00_17954 = VECTOR_REF(((obj_t) BgL_sz00_15299), ((long) 0));
					{	/* Eval/evaluate_comp.scm 607 */
						long BgL_spz00_17955;
						long BgL_lspz00_17956;

						BgL_spz00_17955 =
							((long) CINT(BgL_bpz00_17954) + BgL_siza7eza7_15292);
						BgL_lspz00_17956 =
							((long) CINT(BgL_bpz00_17954) + BgL_llstkz00_15293);
						BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
							(BgL_sz00_15299, BgL_argsz00_15295, BgL_boxesz00_15296,
							BgL_spz00_17955,
							(((BgL_ev_gotoz00_bglt) COBJECT(BgL_i1141z00_15294))->
								BgL_locz00));
						{	/* Eval/evaluate_comp.scm 609 */
							long BgL_arg3351z00_17957;

							BgL_arg3351z00_17957 = (BgL_spz00_17955 + BgL_nbargsz00_15297);
							BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_15299,
								BgL_lspz00_17956, BgL_sz00_15299, BINT(BgL_spz00_17955),
								BINT(BgL_arg3351z00_17957));
						}
						return CDR(((obj_t) BgL_slotz00_15298));
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3358> */
	obj_t BGl_z62zc3anonymousza33358ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15300, obj_t BgL_sz00_15306)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 612 */
			{	/* Eval/evaluate_comp.scm 612 */
				long BgL_llstkz00_15301;
				BgL_ev_gotoz00_bglt BgL_i1141z00_15302;
				obj_t BgL_argsz00_15303;
				obj_t BgL_boxesz00_15304;
				obj_t BgL_slotz00_15305;

				BgL_llstkz00_15301 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15300, (int) (((long) 0))));
				BgL_i1141z00_15302 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_15300, (int) (((long) 1))));
				BgL_argsz00_15303 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15300, (int) (((long) 2))));
				BgL_boxesz00_15304 =
					PROCEDURE_REF(BgL_envz00_15300, (int) (((long) 3)));
				BgL_slotz00_15305 = PROCEDURE_REF(BgL_envz00_15300, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 612 */
					obj_t BgL_bpz00_17958;

					BgL_bpz00_17958 = VECTOR_REF(((obj_t) BgL_sz00_15306), ((long) 0));
					BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
						(BgL_sz00_15306, BgL_argsz00_15303, BgL_boxesz00_15304,
						((long) CINT(BgL_bpz00_17958) + BgL_llstkz00_15301),
						(((BgL_ev_gotoz00_bglt) COBJECT(BgL_i1141z00_15302))->BgL_locz00));
					return CDR(((obj_t) BgL_slotz00_15305));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_labels1422 */
	obj_t BGl_z62compzd2ev_labels1422zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15307, obj_t BgL_ez00_15308, obj_t BgL_stkz00_15309)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 565 */
			((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_ez00_15308)))->BgL_stkz00) =
				((obj_t) BgL_stkz00_15309), BUNSPEC);
			{	/* Eval/evaluate_comp.scm 572 */
				obj_t BgL_envz00_17960;

				{	/* Eval/evaluate_comp.scm 572 */
					obj_t BgL_l1326z00_17961;

					BgL_l1326z00_17961 =
						(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15308)))->BgL_varsz00);
					if (NULLP(BgL_l1326z00_17961))
						{	/* Eval/evaluate_comp.scm 572 */
							BgL_envz00_17960 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 572 */
							obj_t BgL_head1328z00_17962;

							{	/* Eval/evaluate_comp.scm 572 */
								obj_t BgL_res5199z00_17963;

								BgL_res5199z00_17963 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								BgL_head1328z00_17962 = BgL_res5199z00_17963;
							}
							{
								obj_t BgL_l1326z00_17965;
								obj_t BgL_tail1329z00_17966;

								BgL_l1326z00_17965 = BgL_l1326z00_17961;
								BgL_tail1329z00_17966 = BgL_head1328z00_17962;
							BgL_zc3anonymousza33322ze3z83_17964:
								if (NULLP(BgL_l1326z00_17965))
									{	/* Eval/evaluate_comp.scm 572 */
										BgL_envz00_17960 = CDR(BgL_head1328z00_17962);
									}
								else
									{	/* Eval/evaluate_comp.scm 572 */
										obj_t BgL_newtail1330z00_17967;

										{	/* Eval/evaluate_comp.scm 572 */
											obj_t BgL_arg3335z00_17968;

											{	/* Eval/evaluate_comp.scm 572 */
												obj_t BgL_vz00_17969;

												BgL_vz00_17969 = CAR(((obj_t) BgL_l1326z00_17965));
												BgL_arg3335z00_17968 =
													MAKE_YOUNG_PAIR(BgL_vz00_17969,
													BGl_symbol5920z00zz__evaluate_compz00);
											}
											{	/* Eval/evaluate_comp.scm 572 */
												obj_t BgL_res5205z00_17970;

												BgL_res5205z00_17970 =
													MAKE_YOUNG_PAIR(BgL_arg3335z00_17968, BNIL);
												BgL_newtail1330z00_17967 = BgL_res5205z00_17970;
											}
										}
										SET_CDR(BgL_tail1329z00_17966, BgL_newtail1330z00_17967);
										{	/* Eval/evaluate_comp.scm 572 */
											obj_t BgL_arg3330z00_17971;

											BgL_arg3330z00_17971 = CDR(((obj_t) BgL_l1326z00_17965));
											{
												obj_t BgL_tail1329z00_33075;
												obj_t BgL_l1326z00_33074;

												BgL_l1326z00_33074 = BgL_arg3330z00_17971;
												BgL_tail1329z00_33075 = BgL_newtail1330z00_17967;
												BgL_tail1329z00_17966 = BgL_tail1329z00_33075;
												BgL_l1326z00_17965 = BgL_l1326z00_33074;
												goto BgL_zc3anonymousza33322ze3z83_17964;
											}
										}
									}
							}
						}
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15308)))->BgL_envz00) =
					((obj_t) BgL_envz00_17960), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 575 */
					obj_t BgL_g1334z00_17972;

					BgL_g1334z00_17972 =
						(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15308)))->BgL_valsz00);
					{
						obj_t BgL_ll1331z00_17974;
						obj_t BgL_ll1332z00_17975;

						BgL_ll1331z00_17974 = BgL_envz00_17960;
						BgL_ll1332z00_17975 = BgL_g1334z00_17972;
					BgL_zc3anonymousza33308ze3z83_17973:
						if (NULLP(BgL_ll1331z00_17974))
							{	/* Eval/evaluate_comp.scm 575 */
								((bool_t) 1);
							}
						else
							{	/* Eval/evaluate_comp.scm 575 */
								{	/* Eval/evaluate_comp.scm 577 */
									obj_t BgL_slotz00_17976;
									obj_t BgL_valz00_17977;

									BgL_slotz00_17976 = CAR(((obj_t) BgL_ll1331z00_17974));
									BgL_valz00_17977 = CAR(((obj_t) BgL_ll1332z00_17975));
									{	/* Eval/evaluate_comp.scm 578 */
										obj_t BgL_arg3310z00_17978;

										{	/* Eval/evaluate_comp.scm 578 */
											obj_t BgL_arg3311z00_17979;

											{	/* Eval/evaluate_comp.scm 578 */
												obj_t BgL_arg3314z00_17980;
												obj_t BgL_arg3315z00_17981;

												BgL_arg3314z00_17980 = CDR(((obj_t) BgL_valz00_17977));
												{	/* Eval/evaluate_comp.scm 578 */
													obj_t BgL_arg3316z00_17982;

													BgL_arg3316z00_17982 =
														CAR(((obj_t) BgL_valz00_17977));
													BgL_arg3315z00_17981 =
														BGl_appendzd221010zd2zz__evaluate_compz00
														(BgL_stkz00_15309, BgL_arg3316z00_17982);
												}
												BgL_arg3311z00_17979 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_arg3314z00_17980),
													BgL_arg3315z00_17981);
											}
											{	/* Eval/evaluate_comp.scm 567 */
												obj_t BgL_objz00_17983;

												BgL_objz00_17983 =
													BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00;
												{	/* Eval/evaluate_comp.scm 567 */
													obj_t BgL_tmpz00_33093;

													BgL_tmpz00_33093 = ((obj_t) BgL_arg3311z00_17979);
													PROCEDURE_ATTR_SET(BgL_tmpz00_33093,
														BgL_objz00_17983);
												}
												BgL_objz00_17983;
											}
											BgL_arg3310z00_17978 = BgL_arg3311z00_17979;
										}
										{	/* Eval/evaluate_comp.scm 577 */
											obj_t BgL_tmpz00_33096;

											BgL_tmpz00_33096 = ((obj_t) BgL_slotz00_17976);
											SET_CDR(BgL_tmpz00_33096, BgL_arg3310z00_17978);
										}
									}
								}
								{	/* Eval/evaluate_comp.scm 575 */
									obj_t BgL_arg3319z00_17984;
									obj_t BgL_arg3320z00_17985;

									BgL_arg3319z00_17984 = CDR(((obj_t) BgL_ll1331z00_17974));
									BgL_arg3320z00_17985 = CDR(((obj_t) BgL_ll1332z00_17975));
									{
										obj_t BgL_ll1332z00_33104;
										obj_t BgL_ll1331z00_33103;

										BgL_ll1331z00_33103 = BgL_arg3319z00_17984;
										BgL_ll1332z00_33104 = BgL_arg3320z00_17985;
										BgL_ll1332z00_17975 = BgL_ll1332z00_33104;
										BgL_ll1331z00_17974 = BgL_ll1331z00_33103;
										goto BgL_zc3anonymousza33308ze3z83_17973;
									}
								}
							}
					}
				}
			}
			{	/* Eval/evaluate_comp.scm 582 */
				obj_t BgL_bodyz00_17986;

				BgL_bodyz00_17986 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15308)))->BgL_bodyz00),
					BgL_stkz00_15309);
				{	/* Eval/evaluate_comp.scm 583 */
					obj_t BgL_zc3anonymousza33336ze3z83_17987;

					BgL_zc3anonymousza33336ze3z83_17987 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33336ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33336ze3z83_17987, (int) (((long) 0)),
						BgL_bodyz00_17986);
					return BgL_zc3anonymousza33336ze3z83_17987;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3336> */
	obj_t BGl_z62zc3anonymousza33336ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15310, obj_t BgL_sz00_15312)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 583 */
			{	/* Eval/evaluate_comp.scm 583 */
				obj_t BgL_bodyz00_15311;

				BgL_bodyz00_15311 = PROCEDURE_REF(BgL_envz00_15310, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 583 */
					obj_t BgL_bpz00_17988;

					BgL_bpz00_17988 = VECTOR_REF(((obj_t) BgL_sz00_15312), ((long) 0));
					{
						obj_t BgL_fz00_17990;

						BgL_fz00_17990 = BgL_bodyz00_15311;
					BgL_recz00_17989:
						{	/* Eval/evaluate_comp.scm 590 */
							obj_t BgL_rz00_17991;

							BgL_rz00_17991 =
								PROCEDURE_ENTRY(BgL_fz00_17990) (BgL_fz00_17990, BgL_sz00_15312,
								BEOA);
							{	/* Eval/evaluate_comp.scm 592 */
								bool_t BgL_testz00_33121;

								if (PROCEDUREP(BgL_rz00_17991))
									{	/* Eval/evaluate_comp.scm 592 */
										obj_t BgL_arg1642z00_17992;

										BgL_arg1642z00_17992 = PROCEDURE_ATTR(BgL_rz00_17991);
										if (STRUCTP(BgL_arg1642z00_17992))
											{	/* Eval/evaluate_comp.scm 562 */
												BgL_testz00_33121 =
													(STRUCT_KEY(BgL_arg1642z00_17992) ==
													BGl_symbol5797z00zz__evaluate_compz00);
											}
										else
											{	/* Eval/evaluate_comp.scm 562 */
												BgL_testz00_33121 = ((bool_t) 0);
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 592 */
										BgL_testz00_33121 = ((bool_t) 0);
									}
								if (BgL_testz00_33121)
									{
										obj_t BgL_fz00_33129;

										BgL_fz00_33129 = BgL_rz00_17991;
										BgL_fz00_17990 = BgL_fz00_33129;
										goto BgL_recz00_17989;
									}
								else
									{	/* Eval/evaluate_comp.scm 592 */
										return BgL_rz00_17991;
									}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_synchronize1420 */
	obj_t BGl_z62compzd2ev_synchroniza7e1420z17zz__evaluate_compz00(obj_t
		BgL_envz00_15313, obj_t BgL_ez00_15314, obj_t BgL_stkz00_15315)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 545 */
			{	/* Eval/evaluate_comp.scm 547 */
				obj_t BgL_mutexz00_17994;
				obj_t BgL_prelockz00_17995;
				obj_t BgL_bodyz00_17996;

				BgL_mutexz00_17994 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
								((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15314)))->
						BgL_mutexz00), BgL_stkz00_15315);
				BgL_prelockz00_17995 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
							COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15314)))->
						BgL_prelockz00), BgL_stkz00_15315);
				BgL_bodyz00_17996 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
							COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15314)))->
						BgL_bodyz00), BgL_stkz00_15315);
				{	/* Eval/evaluate_comp.scm 550 */
					obj_t BgL_zc3anonymousza33294ze3z83_17997;

					BgL_zc3anonymousza33294ze3z83_17997 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33294ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 4)));
					PROCEDURE_SET(BgL_zc3anonymousza33294ze3z83_17997, (int) (((long) 0)),
						BgL_mutexz00_17994);
					PROCEDURE_SET(BgL_zc3anonymousza33294ze3z83_17997, (int) (((long) 1)),
						((obj_t) ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15314)));
					PROCEDURE_SET(BgL_zc3anonymousza33294ze3z83_17997, (int) (((long) 2)),
						BgL_prelockz00_17995);
					PROCEDURE_SET(BgL_zc3anonymousza33294ze3z83_17997, (int) (((long) 3)),
						BgL_bodyz00_17996);
					return BgL_zc3anonymousza33294ze3z83_17997;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3294> */
	obj_t BGl_z62zc3anonymousza33294ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15316, obj_t BgL_sz00_15321)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 550 */
			{	/* Eval/evaluate_comp.scm 550 */
				obj_t BgL_mutexz00_15317;
				BgL_ev_synchroniza7eza7_bglt BgL_i1138z00_15318;
				obj_t BgL_prelockz00_15319;
				obj_t BgL_bodyz00_15320;

				BgL_mutexz00_15317 =
					PROCEDURE_REF(BgL_envz00_15316, (int) (((long) 0)));
				BgL_i1138z00_15318 =
					((BgL_ev_synchroniza7eza7_bglt)
					PROCEDURE_REF(BgL_envz00_15316, (int) (((long) 1))));
				BgL_prelockz00_15319 =
					PROCEDURE_REF(BgL_envz00_15316, (int) (((long) 2)));
				BgL_bodyz00_15320 = PROCEDURE_REF(BgL_envz00_15316, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 550 */
					obj_t BgL_bpz00_17998;

					BgL_bpz00_17998 = VECTOR_REF(((obj_t) BgL_sz00_15321), ((long) 0));
					{	/* Eval/evaluate_comp.scm 551 */
						obj_t BgL_mz00_17999;

						BgL_mz00_17999 =
							PROCEDURE_ENTRY(BgL_mutexz00_15317) (BgL_mutexz00_15317,
							BgL_sz00_15321, BEOA);
						{	/* Eval/evaluate_comp.scm 552 */
							bool_t BgL_testz00_33167;

							{	/* Eval/evaluate_comp.scm 552 */
								bool_t BgL_res5196z00_18000;

								BgL_res5196z00_18000 = BGL_MUTEXP(BgL_mz00_17999);
								BgL_testz00_33167 = BgL_res5196z00_18000;
							}
							if (BgL_testz00_33167)
								{	/* Eval/evaluate_comp.scm 553 */
									obj_t BgL_pz00_18001;

									BgL_pz00_18001 =
										PROCEDURE_ENTRY(BgL_prelockz00_15319) (BgL_prelockz00_15319,
										BgL_sz00_15321, BEOA);
									{	/* Eval/evaluate_comp.scm 555 */
										obj_t BgL_za2za2resza2za2z00_18002;

										if (PAIRP(BgL_pz00_18001))
											{	/* Eval/evaluate_comp.scm 556 */
												obj_t BgL_top6057z00_33176;

												BgL_top6057z00_33176 = BGL_EXITD_TOP_AS_OBJ();
												BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_17999, BgL_pz00_18001);
												BGL_EXITD_PUSH_PROTECT(BgL_top6057z00_33176,
													BgL_mz00_17999);
												BUNSPEC;
												{	/* Eval/evaluate_comp.scm 556 */
													obj_t BgL_tmp6056z00_33175;

													BgL_tmp6056z00_33175 =
														PROCEDURE_ENTRY(BgL_bodyz00_15320)
														(BgL_bodyz00_15320, BgL_sz00_15321, BEOA);
													BGL_EXITD_POP_PROTECT(BgL_top6057z00_33176);
													BUNSPEC;
													BGL_MUTEX_UNLOCK(BgL_mz00_17999);
													BgL_za2za2resza2za2z00_18002 = BgL_tmp6056z00_33175;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 557 */
												obj_t BgL_top6059z00_33187;

												BgL_top6059z00_33187 = BGL_EXITD_TOP_AS_OBJ();
												BGL_MUTEX_LOCK(BgL_mz00_17999);
												BGL_EXITD_PUSH_PROTECT(BgL_top6059z00_33187,
													BgL_mz00_17999);
												BUNSPEC;
												{	/* Eval/evaluate_comp.scm 557 */
													obj_t BgL_tmp6058z00_33186;

													BgL_tmp6058z00_33186 =
														PROCEDURE_ENTRY(BgL_bodyz00_15320)
														(BgL_bodyz00_15320, BgL_sz00_15321, BEOA);
													BGL_EXITD_POP_PROTECT(BgL_top6059z00_33187);
													BUNSPEC;
													BGL_MUTEX_UNLOCK(BgL_mz00_17999);
													BgL_za2za2resza2za2z00_18002 = BgL_tmp6058z00_33186;
												}
											}
										VECTOR_SET(
											((obj_t) BgL_sz00_15321), ((long) 0), BgL_bpz00_17998);
										return BgL_za2za2resza2za2z00_18002;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 552 */
									return
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_string5922z00zz__evaluate_compz00,
										BGl_string5923z00zz__evaluate_compz00, BgL_mz00_17999,
										(((BgL_ev_synchroniza7eza7_bglt)
												COBJECT(BgL_i1138z00_15318))->BgL_locz00));
								}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_with-handler1418 */
	obj_t BGl_z62compzd2ev_withzd2handler1418z62zz__evaluate_compz00(obj_t
		BgL_envz00_15322, obj_t BgL_ez00_15323, obj_t BgL_stkz00_15324)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 536 */
			{	/* Eval/evaluate_comp.scm 538 */
				obj_t BgL_handlerz00_18004;
				obj_t BgL_bodyz00_18005;

				BgL_handlerz00_18004 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
								((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_15323)))->
						BgL_handlerz00), BgL_stkz00_15324);
				BgL_bodyz00_18005 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_withzd2handlerzd2_bglt)
							COBJECT(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_15323)))->
						BgL_bodyz00), BgL_stkz00_15324);
				{	/* Eval/evaluate_comp.scm 539 */
					obj_t BgL_zc3anonymousza33269ze3z83_18006;

					BgL_zc3anonymousza33269ze3z83_18006 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33269ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33269ze3z83_18006, (int) (((long) 0)),
						BgL_handlerz00_18004);
					PROCEDURE_SET(BgL_zc3anonymousza33269ze3z83_18006, (int) (((long) 1)),
						BgL_bodyz00_18005);
					return BgL_zc3anonymousza33269ze3z83_18006;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3269> */
	obj_t BGl_z62zc3anonymousza33269ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15325, obj_t BgL_sz00_15328)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 539 */
			{	/* Eval/evaluate_comp.scm 539 */
				obj_t BgL_handlerz00_15326;
				obj_t BgL_bodyz00_15327;

				BgL_handlerz00_15326 =
					PROCEDURE_REF(BgL_envz00_15325, (int) (((long) 0)));
				BgL_bodyz00_15327 = PROCEDURE_REF(BgL_envz00_15325, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 539 */
					obj_t BgL_bpz00_18007;

					BgL_bpz00_18007 = VECTOR_REF(((obj_t) BgL_sz00_15328), ((long) 0));
					{	/* Eval/evaluate_comp.scm 540 */
						obj_t BgL_hz00_18008;

						BgL_hz00_18008 =
							PROCEDURE_ENTRY(BgL_handlerz00_15326) (BgL_handlerz00_15326,
							BgL_sz00_15328, BEOA);
						{	/* Eval/evaluate_comp.scm 542 */
							obj_t BgL_za2za2resza2za2z00_18009;

							{	/* Eval/evaluate_comp.scm 542 */
								obj_t BgL_res1128z00_18010;

								BgL_res1128z00_18010 = MAKE_CELL(BUNSPEC);
								if (CBOOL(BGl_zc3exitza33283ze3ze70z64zz__evaluate_compz00
										(BgL_sz00_15328, BgL_bodyz00_15327, BgL_res1128z00_18010)))
									{	/* Eval/evaluate_comp.scm 542 */
										BgL_za2za2resza2za2z00_18009 =
											PROCEDURE_ENTRY(BgL_hz00_18008) (BgL_hz00_18008,
											CELL_REF(BgL_res1128z00_18010), BEOA);
									}
								else
									{	/* Eval/evaluate_comp.scm 542 */
										BgL_za2za2resza2za2z00_18009 =
											CELL_REF(BgL_res1128z00_18010);
									}
							}
							VECTOR_SET(((obj_t) BgL_sz00_15328), ((long) 0), BgL_bpz00_18007);
							return BgL_za2za2resza2za2z00_18009;
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* <exit:3283>~0 */
	obj_t BGl_zc3exitza33283ze3ze70z64zz__evaluate_compz00(obj_t BgL_sz00_15516,
		obj_t BgL_bodyz00_15515, obj_t BgL_res1128z00_15514)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 542 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1134z00_4186;

			if (SET_EXIT(BgL_an_exit1134z00_4186))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1134z00_4186 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 542 */

						PUSH_EXIT(BgL_an_exit1134z00_4186, ((long) 1));
						{	/* Eval/evaluate_comp.scm 542 */
							obj_t BgL_an_exitd1135z00_4187;

							BgL_an_exitd1135z00_4187 = ((obj_t) (&exitd));
							{	/* Eval/evaluate_comp.scm 542 */
								bool_t BgL_res1137z00_4190;

								{	/* Eval/evaluate_comp.scm 542 */
									obj_t BgL_ohs1126z00_4191;

									BgL_ohs1126z00_4191 = BGL_ERROR_HANDLER_GET();
									{	/* Eval/evaluate_comp.scm 542 */
										obj_t BgL_exitd1131z00_4192;

										BgL_exitd1131z00_4192 = ((obj_t) (&exitd));
										{
											obj_t BgL_zc3anonymousza33288ze3z83_14295;

											BgL_zc3anonymousza33288ze3z83_14295 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33288ze3ze1zz__evaluate_compz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza33288ze3z83_14295,
												(int) (((long) 0)), BgL_ohs1126z00_4191);
											BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
												(BgL_exitd1131z00_4192,
												BgL_zc3anonymousza33288ze3z83_14295);
											{	/* Eval/evaluate_comp.scm 542 */
												bool_t BgL_tmp1133z00_4194;

												{	/* Eval/evaluate_comp.scm 542 */
													obj_t BgL_arg3285z00_4195;

													{	/* Eval/evaluate_comp.scm 542 */
														obj_t BgL_zc3anonymousza33287ze3z83_14296;

														BgL_zc3anonymousza33287ze3z83_14296 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza33287ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza33287ze3z83_14296,
															(int) (((long) 0)),
															((obj_t) BgL_res1128z00_15514));
														PROCEDURE_SET(BgL_zc3anonymousza33287ze3z83_14296,
															(int) (((long) 1)), BgL_an_exitd1135z00_4187);
														BgL_arg3285z00_4195 =
															MAKE_YOUNG_PAIR
															(BgL_zc3anonymousza33287ze3z83_14296,
															BgL_ohs1126z00_4191);
													}
													BGL_ERROR_HANDLER_SET(BgL_arg3285z00_4195);
													BUNSPEC;
												}
												{	/* Eval/evaluate_comp.scm 542 */
													obj_t BgL_auxz00_15330;

													BgL_auxz00_15330 =
														PROCEDURE_ENTRY(BgL_bodyz00_15515)
														(BgL_bodyz00_15515, BgL_sz00_15516, BEOA);
													CELL_SET(BgL_res1128z00_15514, BgL_auxz00_15330);
												}
												BgL_tmp1133z00_4194 = ((bool_t) 0);
												BGl_exitdzd2popzd2protectz12z12zz__bexitz00
													(BgL_exitd1131z00_4192);
												BGL_ERROR_HANDLER_SET(BgL_ohs1126z00_4191);
												BUNSPEC;
												BgL_res1137z00_4190 = BgL_tmp1133z00_4194;
								}}}}
								POP_EXIT();
								return BBOOL(BgL_res1137z00_4190);
							}
						}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3287> */
	obj_t BGl_z62zc3anonymousza33287ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15332, obj_t BgL_ez00_15335)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 542 */
			{	/* Eval/evaluate_comp.scm 542 */
				obj_t BgL_res1128z00_15333;
				obj_t BgL_an_exitd1135z00_15334;

				BgL_res1128z00_15333 =
					PROCEDURE_REF(BgL_envz00_15332, (int) (((long) 0)));
				BgL_an_exitd1135z00_15334 =
					PROCEDURE_REF(BgL_envz00_15332, (int) (((long) 1)));
				CELL_SET(BgL_res1128z00_15333, BgL_ez00_15335);
				return
					BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1135z00_15334,
					BTRUE);
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3288> */
	obj_t BGl_z62zc3anonymousza33288ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15337)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 542 */
			{
				obj_t BgL_ohs1126z00_15338;

				BgL_ohs1126z00_15338 =
					PROCEDURE_REF(BgL_envz00_15337, (int) (((long) 0)));
				BGL_ERROR_HANDLER_SET(BgL_ohs1126z00_15338);
				return BUNSPEC;
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_unwind-prote1416 */
	obj_t BGl_z62compzd2ev_unwindzd2prote1416z62zz__evaluate_compz00(obj_t
		BgL_envz00_15339, obj_t BgL_ez00_15340, obj_t BgL_stkz00_15341)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 527 */
			{	/* Eval/evaluate_comp.scm 529 */
				obj_t BgL_ez00_18012;
				obj_t BgL_bodyz00_18013;

				BgL_ez00_18012 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
								((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_15340)))->BgL_ez00),
					BgL_stkz00_15341);
				BgL_bodyz00_18013 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_unwindzd2protectzd2_bglt)
							COBJECT(((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_15340)))->
						BgL_bodyz00), BgL_stkz00_15341);
				{	/* Eval/evaluate_comp.scm 530 */
					obj_t BgL_zc3anonymousza33264ze3z83_18014;

					BgL_zc3anonymousza33264ze3z83_18014 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33264ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33264ze3z83_18014, (int) (((long) 0)),
						BgL_bodyz00_18013);
					PROCEDURE_SET(BgL_zc3anonymousza33264ze3z83_18014, (int) (((long) 1)),
						BgL_ez00_18012);
					return BgL_zc3anonymousza33264ze3z83_18014;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3264> */
	obj_t BGl_z62zc3anonymousza33264ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15342, obj_t BgL_sz00_15345)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 530 */
			{	/* Eval/evaluate_comp.scm 530 */
				obj_t BgL_bodyz00_15343;
				obj_t BgL_ez00_15344;

				BgL_bodyz00_15343 = PROCEDURE_REF(BgL_envz00_15342, (int) (((long) 0)));
				BgL_ez00_15344 = PROCEDURE_REF(BgL_envz00_15342, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 530 */
					obj_t BgL_bpz00_18015;

					BgL_bpz00_18015 = VECTOR_REF(((obj_t) BgL_sz00_15345), ((long) 0));
					{	/* Eval/evaluate_comp.scm 532 */
						obj_t BgL_exitd1122z00_18016;

						BgL_exitd1122z00_18016 = BGL_EXITD_TOP_AS_OBJ();
						{	/* Eval/evaluate_comp.scm 533 */
							obj_t BgL_zc3anonymousza33265ze3z83_18017;

							BgL_zc3anonymousza33265ze3z83_18017 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33265ze3ze1zz__evaluate_compz00,
								(int) (((long) 0)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3anonymousza33265ze3z83_18017,
								(int) (((long) 0)), BgL_sz00_15345);
							PROCEDURE_SET(BgL_zc3anonymousza33265ze3z83_18017,
								(int) (((long) 1)), BgL_bpz00_18015);
							PROCEDURE_SET(BgL_zc3anonymousza33265ze3z83_18017,
								(int) (((long) 2)), BgL_bodyz00_15343);
							BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
								(BgL_exitd1122z00_18016, BgL_zc3anonymousza33265ze3z83_18017);
							{	/* Eval/evaluate_comp.scm 532 */
								obj_t BgL_tmp1124z00_18018;

								BgL_tmp1124z00_18018 =
									PROCEDURE_ENTRY(BgL_ez00_15344) (BgL_ez00_15344,
									BgL_sz00_15345, BEOA);
								BGl_exitdzd2popzd2protectz12z12zz__bexitz00
									(BgL_exitd1122z00_18016);
								VECTOR_SET(((obj_t) BgL_sz00_15345), ((long) 0),
									BgL_bpz00_18015);
								PROCEDURE_ENTRY(BgL_bodyz00_15343) (BgL_bodyz00_15343,
									BgL_sz00_15345, BEOA);
								return BgL_tmp1124z00_18018;
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3265> */
	obj_t BGl_z62zc3anonymousza33265ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15346)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 532 */
			{	/* Eval/evaluate_comp.scm 533 */
				obj_t BgL_sz00_15347;
				obj_t BgL_savedzd2bpzd2_15348;
				obj_t BgL_bodyz00_15349;

				BgL_sz00_15347 = PROCEDURE_REF(BgL_envz00_15346, (int) (((long) 0)));
				BgL_savedzd2bpzd2_15348 =
					PROCEDURE_REF(BgL_envz00_15346, (int) (((long) 1)));
				BgL_bodyz00_15349 = PROCEDURE_REF(BgL_envz00_15346, (int) (((long) 2)));
				VECTOR_SET(
					((obj_t) BgL_sz00_15347), ((long) 0), BgL_savedzd2bpzd2_15348);
				return
					PROCEDURE_ENTRY(BgL_bodyz00_15349) (BgL_bodyz00_15349, BgL_sz00_15347,
					BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_bind-exit1414 */
	obj_t BGl_z62compzd2ev_bindzd2exit1414z62zz__evaluate_compz00(obj_t
		BgL_envz00_15350, obj_t BgL_ez00_15351, obj_t BgL_stkz00_15352)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 516 */
			{	/* Eval/evaluate_comp.scm 518 */
				long BgL_siza7eza7_18020;
				obj_t BgL_nstkz00_18021;

				BgL_siza7eza7_18020 = bgl_list_length(BgL_stkz00_15352);
				{	/* Eval/evaluate_comp.scm 518 */
					obj_t BgL_arg3261z00_18022;

					{	/* Eval/evaluate_comp.scm 518 */
						BgL_ev_varz00_bglt BgL_arg3263z00_18023;

						BgL_arg3263z00_18023 =
							(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15351)))->BgL_varz00);
						BgL_arg3261z00_18022 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg3263z00_18023), BNIL);
					}
					BgL_nstkz00_18021 =
						BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_15352,
						BgL_arg3261z00_18022);
				}
				{	/* Eval/evaluate_comp.scm 519 */
					obj_t BgL_bodyz00_18024;
					obj_t BgL_effzf3zf3_18025;

					BgL_bodyz00_18024 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15351)))->BgL_bodyz00),
						BgL_nstkz00_18021);
					BgL_effzf3zf3_18025 =
						(((BgL_ev_varz00_bglt) COBJECT((((BgL_ev_bindzd2exitzd2_bglt)
										COBJECT(((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15351)))->
									BgL_varz00)))->BgL_effz00);
					{	/* Eval/evaluate_comp.scm 520 */
						obj_t BgL_zc3anonymousza33255ze3z83_18026;

						BgL_zc3anonymousza33255ze3z83_18026 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33255ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza33255ze3z83_18026,
							(int) (((long) 0)), BINT(BgL_siza7eza7_18020));
						PROCEDURE_SET(BgL_zc3anonymousza33255ze3z83_18026,
							(int) (((long) 1)), BgL_effzf3zf3_18025);
						PROCEDURE_SET(BgL_zc3anonymousza33255ze3z83_18026,
							(int) (((long) 2)), BgL_bodyz00_18024);
						return BgL_zc3anonymousza33255ze3z83_18026;
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3255> */
	obj_t BGl_z62zc3anonymousza33255ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15353, obj_t BgL_sz00_15357)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 520 */
			{	/* Eval/evaluate_comp.scm 520 */
				long BgL_siza7eza7_15354;
				obj_t BgL_effzf3zf3_15355;
				obj_t BgL_bodyz00_15356;

				BgL_siza7eza7_15354 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15353, (int) (((long) 0))));
				BgL_effzf3zf3_15355 =
					PROCEDURE_REF(BgL_envz00_15353, (int) (((long) 1)));
				BgL_bodyz00_15356 = PROCEDURE_REF(BgL_envz00_15353, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 520 */
					obj_t BgL_bpz00_18027;

					BgL_bpz00_18027 = VECTOR_REF(((obj_t) BgL_sz00_15357), ((long) 0));
					{	/* Eval/evaluate_comp.scm 522 */
						obj_t BgL_za2za2resza2za2z00_18028;

						BgL_za2za2resza2za2z00_18028 =
							BGl_zc3exitza33256ze3ze70z64zz__evaluate_compz00
							(BgL_bodyz00_15356, BgL_sz00_15357, BgL_effzf3zf3_15355,
							BgL_siza7eza7_15354, BgL_bpz00_18027);
						VECTOR_SET(((obj_t) BgL_sz00_15357), ((long) 0), BgL_bpz00_18027);
						return BgL_za2za2resza2za2z00_18028;
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* <exit:3256>~0 */
	obj_t BGl_zc3exitza33256ze3ze70z64zz__evaluate_compz00(obj_t
		BgL_bodyz00_15513, obj_t BgL_sz00_15512, obj_t BgL_effzf3zf3_15511,
		long BgL_siza7eza7_15510, obj_t BgL_bpz00_15509)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 522 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1117z00_4121;

			if (SET_EXIT(BgL_an_exit1117z00_4121))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1117z00_4121 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 522 */

						PUSH_EXIT(BgL_an_exit1117z00_4121, ((long) 1));
						{	/* Eval/evaluate_comp.scm 522 */
							obj_t BgL_an_exitd1118z00_4122;

							BgL_an_exitd1118z00_4122 = ((obj_t) (&exitd));
							{	/* Eval/evaluate_comp.scm 522 */
								obj_t BgL_exitz00_14302;

								BgL_exitz00_14302 =
									MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_exitz00_14302,
									(int) (((long) 0)), BgL_an_exitd1118z00_4122);
								{	/* Eval/evaluate_comp.scm 522 */
									obj_t BgL_res1120z00_4125;

									{	/* Eval/evaluate_comp.scm 523 */
										long BgL_arg3257z00_4126;
										obj_t BgL_arg3258z00_4127;

										BgL_arg3257z00_4126 =
											((long) CINT(BgL_bpz00_15509) + BgL_siza7eza7_15510);
										if (CBOOL(BgL_effzf3zf3_15511))
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_10495;

												BgL_newz00_10495 =
													create_struct(BGl_symbol5813z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_33370;

													BgL_tmpz00_33370 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10495, BgL_tmpz00_33370,
														BgL_exitz00_14302);
												}
												BgL_arg3258z00_4127 = BgL_newz00_10495;
											}
										else
											{	/* Eval/evaluate_comp.scm 523 */
												BgL_arg3258z00_4127 = BgL_exitz00_14302;
											}
										VECTOR_SET(
											((obj_t) BgL_sz00_15512), BgL_arg3257z00_4126,
											BgL_arg3258z00_4127);
									}
									BgL_res1120z00_4125 =
										PROCEDURE_ENTRY(BgL_bodyz00_15513) (BgL_bodyz00_15513,
										BgL_sz00_15512, BEOA);
									POP_EXIT();
									return BgL_res1120z00_4125;
								}
							}
						}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* &exit */
	obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_15358,
		obj_t BgL_val1119z00_15360)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 522 */
			return
				BGl_unwindzd2untilz12zc0zz__bexitz00(PROCEDURE_REF(BgL_envz00_15358,
					(int) (((long) 0))), BgL_val1119z00_15360);
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_letrec1412 */
	obj_t BGl_z62compzd2ev_letrec1412zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15361, obj_t BgL_ez00_15362, obj_t BgL_stkz00_15363)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 487 */
			{	/* Eval/evaluate_comp.scm 489 */
				long BgL_siza7eza7_18030;
				obj_t BgL_nstkz00_18031;

				BgL_siza7eza7_18030 = bgl_list_length(BgL_stkz00_15363);
				{	/* Eval/evaluate_comp.scm 489 */
					obj_t BgL_arg3254z00_18032;

					BgL_arg3254z00_18032 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letrecz00_bglt) BgL_ez00_15362))))->BgL_varsz00);
					BgL_nstkz00_18031 =
						BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_15363,
						BgL_arg3254z00_18032);
				}
				{	/* Eval/evaluate_comp.scm 490 */
					obj_t BgL_cvalsz00_18033;
					obj_t BgL_bodyz00_18034;

					{	/* Eval/evaluate_comp.scm 490 */
						obj_t BgL_l1312z00_18035;

						BgL_l1312z00_18035 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_15362))))->BgL_valsz00);
						if (NULLP(BgL_l1312z00_18035))
							{	/* Eval/evaluate_comp.scm 490 */
								BgL_cvalsz00_18033 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 490 */
								obj_t BgL_head1314z00_18036;

								{	/* Eval/evaluate_comp.scm 490 */
									obj_t BgL_res5155z00_18037;

									BgL_res5155z00_18037 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1314z00_18036 = BgL_res5155z00_18037;
								}
								{
									obj_t BgL_l1312z00_18039;
									obj_t BgL_tail1315z00_18040;

									BgL_l1312z00_18039 = BgL_l1312z00_18035;
									BgL_tail1315z00_18040 = BgL_head1314z00_18036;
								BgL_zc3anonymousza33242ze3z83_18038:
									if (NULLP(BgL_l1312z00_18039))
										{	/* Eval/evaluate_comp.scm 490 */
											BgL_cvalsz00_18033 = CDR(BgL_head1314z00_18036);
										}
									else
										{	/* Eval/evaluate_comp.scm 490 */
											obj_t BgL_newtail1316z00_18041;

											{	/* Eval/evaluate_comp.scm 490 */
												obj_t BgL_arg3246z00_18042;

												{	/* Eval/evaluate_comp.scm 490 */
													obj_t BgL_vz00_18043;

													BgL_vz00_18043 = CAR(((obj_t) BgL_l1312z00_18039));
													BgL_arg3246z00_18042 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_vz00_18043),
														BgL_nstkz00_18031);
												}
												{	/* Eval/evaluate_comp.scm 490 */
													obj_t BgL_res5161z00_18044;

													BgL_res5161z00_18044 =
														MAKE_YOUNG_PAIR(BgL_arg3246z00_18042, BNIL);
													BgL_newtail1316z00_18041 = BgL_res5161z00_18044;
												}
											}
											SET_CDR(BgL_tail1315z00_18040, BgL_newtail1316z00_18041);
											{	/* Eval/evaluate_comp.scm 490 */
												obj_t BgL_arg3244z00_18045;

												BgL_arg3244z00_18045 =
													CDR(((obj_t) BgL_l1312z00_18039));
												{
													obj_t BgL_tail1315z00_33406;
													obj_t BgL_l1312z00_33405;

													BgL_l1312z00_33405 = BgL_arg3244z00_18045;
													BgL_tail1315z00_33406 = BgL_newtail1316z00_18041;
													BgL_tail1315z00_18040 = BgL_tail1315z00_33406;
													BgL_l1312z00_18039 = BgL_l1312z00_33405;
													goto BgL_zc3anonymousza33242ze3z83_18038;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 491 */
						BgL_ev_exprz00_bglt BgL_arg3249z00_18046;

						BgL_arg3249z00_18046 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_15362))))->BgL_bodyz00);
						BgL_bodyz00_18034 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3249z00_18046,
							BgL_nstkz00_18031);
					}
					{	/* Eval/evaluate_comp.scm 492 */
						bool_t BgL_testz00_33411;

						{
							obj_t BgL_l1317z00_18048;

							BgL_l1317z00_18048 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_15362))))->BgL_valsz00);
						BgL_zc3anonymousza33239ze3z83_18047:
							if (NULLP(BgL_l1317z00_18048))
								{	/* Eval/evaluate_comp.scm 492 */
									BgL_testz00_33411 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 492 */
									bool_t BgL_testz00_33414;

									{	/* Eval/evaluate_comp.scm 492 */
										obj_t BgL_vz00_18049;

										BgL_vz00_18049 = CAR(((obj_t) BgL_l1317z00_18048));
										BgL_testz00_33414 =
											BGl_isazf3zf3zz__objectz00(BgL_vz00_18049,
											BGl_ev_absz00zz__evaluate_typesz00);
									}
									if (BgL_testz00_33414)
										{
											obj_t BgL_l1317z00_33418;

											BgL_l1317z00_33418 = CDR(((obj_t) BgL_l1317z00_18048));
											BgL_l1317z00_18048 = BgL_l1317z00_33418;
											goto BgL_zc3anonymousza33239ze3z83_18047;
										}
									else
										{	/* Eval/evaluate_comp.scm 492 */
											BgL_testz00_33411 = ((bool_t) 0);
										}
								}
						}
						if (BgL_testz00_33411)
							{	/* Eval/evaluate_comp.scm 493 */
								obj_t BgL_zc3anonymousza33188ze3z83_18050;

								BgL_zc3anonymousza33188ze3z83_18050 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33188ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_18050,
									(int) (((long) 0)), BINT(BgL_siza7eza7_18030));
								PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_18050,
									(int) (((long) 1)), BgL_cvalsz00_18033);
								PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_18050,
									(int) (((long) 2)), BgL_bodyz00_18034);
								return BgL_zc3anonymousza33188ze3z83_18050;
							}
						else
							{	/* Eval/evaluate_comp.scm 503 */
								obj_t BgL_zc3anonymousza33214ze3z83_18051;

								BgL_zc3anonymousza33214ze3z83_18051 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33214ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza33214ze3z83_18051,
									(int) (((long) 0)), BINT(BgL_siza7eza7_18030));
								PROCEDURE_SET(BgL_zc3anonymousza33214ze3z83_18051,
									(int) (((long) 1)), BgL_cvalsz00_18033);
								PROCEDURE_SET(BgL_zc3anonymousza33214ze3z83_18051,
									(int) (((long) 2)), BgL_bodyz00_18034);
								return BgL_zc3anonymousza33214ze3z83_18051;
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3188> */
	obj_t BGl_z62zc3anonymousza33188ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15364, obj_t BgL_sz00_15368)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 493 */
			{	/* Eval/evaluate_comp.scm 493 */
				long BgL_siza7eza7_15365;
				obj_t BgL_cvalsz00_15366;
				obj_t BgL_bodyz00_15367;

				BgL_siza7eza7_15365 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15364, (int) (((long) 0))));
				BgL_cvalsz00_15366 =
					PROCEDURE_REF(BgL_envz00_15364, (int) (((long) 1)));
				BgL_bodyz00_15367 = PROCEDURE_REF(BgL_envz00_15364, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 493 */
					obj_t BgL_bpz00_18052;

					BgL_bpz00_18052 = VECTOR_REF(((obj_t) BgL_sz00_15368), ((long) 0));
					{	/* Eval/evaluate_comp.scm 494 */
						long BgL_g1111z00_18053;

						BgL_g1111z00_18053 =
							((long) CINT(BgL_bpz00_18052) + BgL_siza7eza7_15365);
						{
							obj_t BgL_lz00_18055;
							long BgL_iz00_18056;

							BgL_lz00_18055 = BgL_cvalsz00_15366;
							BgL_iz00_18056 = BgL_g1111z00_18053;
						BgL_recz00_18054:
							if (NULLP(BgL_lz00_18055))
								{	/* Eval/evaluate_comp.scm 495 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 495 */
									{	/* Eval/evaluate_comp.scm 496 */
										obj_t BgL_arg3194z00_18057;

										{	/* Eval/evaluate_comp.scm 202 */
											obj_t BgL_newz00_18058;

											BgL_newz00_18058 =
												create_struct(BGl_symbol5813z00zz__evaluate_compz00,
												(int) (((long) 1)));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_tmpz00_33459;

												BgL_tmpz00_33459 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18058, BgL_tmpz00_33459, BUNSPEC);
											}
											BgL_arg3194z00_18057 = BgL_newz00_18058;
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15368), BgL_iz00_18056,
											BgL_arg3194z00_18057);
									}
									{	/* Eval/evaluate_comp.scm 497 */
										obj_t BgL_arg3197z00_18059;
										long BgL_arg3204z00_18060;

										BgL_arg3197z00_18059 = CDR(((obj_t) BgL_lz00_18055));
										BgL_arg3204z00_18060 = (BgL_iz00_18056 + ((long) 1));
										{
											long BgL_iz00_33468;
											obj_t BgL_lz00_33467;

											BgL_lz00_33467 = BgL_arg3197z00_18059;
											BgL_iz00_33468 = BgL_arg3204z00_18060;
											BgL_iz00_18056 = BgL_iz00_33468;
											BgL_lz00_18055 = BgL_lz00_33467;
											goto BgL_recz00_18054;
										}
									}
								}
						}
					}
					{	/* Eval/evaluate_comp.scm 498 */
						long BgL_g1112z00_18061;

						BgL_g1112z00_18061 =
							((long) CINT(BgL_bpz00_18052) + BgL_siza7eza7_15365);
						{
							obj_t BgL_lz00_18063;
							long BgL_iz00_18064;

							BgL_lz00_18063 = BgL_cvalsz00_15366;
							BgL_iz00_18064 = BgL_g1112z00_18061;
						BgL_recz00_18062:
							if (NULLP(BgL_lz00_18063))
								{	/* Eval/evaluate_comp.scm 499 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 499 */
									{	/* Eval/evaluate_comp.scm 500 */
										obj_t BgL_arg3207z00_18065;
										obj_t BgL_arg3209z00_18066;

										BgL_arg3207z00_18065 =
											VECTOR_REF(((obj_t) BgL_sz00_15368), BgL_iz00_18064);
										{	/* Eval/evaluate_comp.scm 500 */
											obj_t BgL_fun3210z00_18067;

											BgL_fun3210z00_18067 = CAR(((obj_t) BgL_lz00_18063));
											BgL_arg3209z00_18066 =
												PROCEDURE_ENTRY(BgL_fun3210z00_18067)
												(BgL_fun3210z00_18067, BgL_sz00_15368, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 202 */
											int BgL_auxz00_33483;
											obj_t BgL_tmpz00_33481;

											BgL_auxz00_33483 = (int) (((long) 0));
											BgL_tmpz00_33481 = ((obj_t) BgL_arg3207z00_18065);
											STRUCT_SET(BgL_tmpz00_33481, BgL_auxz00_33483,
												BgL_arg3209z00_18066);
									}}
									{	/* Eval/evaluate_comp.scm 501 */
										obj_t BgL_arg3212z00_18068;
										long BgL_arg3213z00_18069;

										BgL_arg3212z00_18068 = CDR(((obj_t) BgL_lz00_18063));
										BgL_arg3213z00_18069 = (BgL_iz00_18064 + ((long) 1));
										{
											long BgL_iz00_33490;
											obj_t BgL_lz00_33489;

											BgL_lz00_33489 = BgL_arg3212z00_18068;
											BgL_iz00_33490 = BgL_arg3213z00_18069;
											BgL_iz00_18064 = BgL_iz00_33490;
											BgL_lz00_18063 = BgL_lz00_33489;
											goto BgL_recz00_18062;
										}
									}
								}
						}
					}
					return
						PROCEDURE_ENTRY(BgL_bodyz00_15367) (BgL_bodyz00_15367,
						BgL_sz00_15368, BEOA);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3214> */
	obj_t BGl_z62zc3anonymousza33214ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15369, obj_t BgL_sz00_15373)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 503 */
			{	/* Eval/evaluate_comp.scm 503 */
				long BgL_siza7eza7_15370;
				obj_t BgL_cvalsz00_15371;
				obj_t BgL_bodyz00_15372;

				BgL_siza7eza7_15370 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15369, (int) (((long) 0))));
				BgL_cvalsz00_15371 =
					PROCEDURE_REF(BgL_envz00_15369, (int) (((long) 1)));
				BgL_bodyz00_15372 = PROCEDURE_REF(BgL_envz00_15369, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 503 */
					obj_t BgL_bpz00_18070;

					BgL_bpz00_18070 = VECTOR_REF(((obj_t) BgL_sz00_15373), ((long) 0));
					{	/* Eval/evaluate_comp.scm 504 */
						long BgL_g1113z00_18071;

						BgL_g1113z00_18071 =
							((long) CINT(BgL_bpz00_18070) + BgL_siza7eza7_15370);
						{
							obj_t BgL_lz00_18073;
							long BgL_iz00_18074;

							BgL_lz00_18073 = BgL_cvalsz00_15371;
							BgL_iz00_18074 = BgL_g1113z00_18071;
						BgL_recz00_18072:
							if (NULLP(BgL_lz00_18073))
								{	/* Eval/evaluate_comp.scm 505 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 505 */
									{	/* Eval/evaluate_comp.scm 506 */
										obj_t BgL_arg3217z00_18075;

										{	/* Eval/evaluate_comp.scm 202 */
											obj_t BgL_newz00_18076;

											BgL_newz00_18076 =
												create_struct(BGl_symbol5813z00zz__evaluate_compz00,
												(int) (((long) 1)));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_tmpz00_33510;

												BgL_tmpz00_33510 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18076, BgL_tmpz00_33510, BUNSPEC);
											}
											BgL_arg3217z00_18075 = BgL_newz00_18076;
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15373), BgL_iz00_18074,
											BgL_arg3217z00_18075);
									}
									{	/* Eval/evaluate_comp.scm 507 */
										obj_t BgL_arg3222z00_18077;
										long BgL_arg3224z00_18078;

										BgL_arg3222z00_18077 = CDR(((obj_t) BgL_lz00_18073));
										BgL_arg3224z00_18078 = (BgL_iz00_18074 + ((long) 1));
										{
											long BgL_iz00_33519;
											obj_t BgL_lz00_33518;

											BgL_lz00_33518 = BgL_arg3222z00_18077;
											BgL_iz00_33519 = BgL_arg3224z00_18078;
											BgL_iz00_18074 = BgL_iz00_33519;
											BgL_lz00_18073 = BgL_lz00_33518;
											goto BgL_recz00_18072;
										}
									}
								}
						}
					}
					{	/* Eval/evaluate_comp.scm 508 */
						obj_t BgL_rvalsz00_18079;

						if (NULLP(BgL_cvalsz00_15371))
							{	/* Eval/evaluate_comp.scm 508 */
								BgL_rvalsz00_18079 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 508 */
								obj_t BgL_head1323z00_18080;

								{	/* Eval/evaluate_comp.scm 508 */
									obj_t BgL_res5181z00_18081;

									BgL_res5181z00_18081 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1323z00_18080 = BgL_res5181z00_18081;
								}
								{
									obj_t BgL_l1321z00_18083;
									obj_t BgL_tail1324z00_18084;

									BgL_l1321z00_18083 = BgL_cvalsz00_15371;
									BgL_tail1324z00_18084 = BgL_head1323z00_18080;
								BgL_zc3anonymousza33234ze3z83_18082:
									if (NULLP(BgL_l1321z00_18083))
										{	/* Eval/evaluate_comp.scm 508 */
											BgL_rvalsz00_18079 = CDR(BgL_head1323z00_18080);
										}
									else
										{	/* Eval/evaluate_comp.scm 508 */
											obj_t BgL_newtail1325z00_18085;

											{	/* Eval/evaluate_comp.scm 508 */
												obj_t BgL_arg3238z00_18086;

												{	/* Eval/evaluate_comp.scm 508 */
													obj_t BgL_vz00_18087;

													BgL_vz00_18087 = CAR(((obj_t) BgL_l1321z00_18083));
													BgL_arg3238z00_18086 =
														PROCEDURE_ENTRY(BgL_vz00_18087) (BgL_vz00_18087,
														BgL_sz00_15373, BEOA);
												}
												{	/* Eval/evaluate_comp.scm 508 */
													obj_t BgL_res5187z00_18088;

													BgL_res5187z00_18088 =
														MAKE_YOUNG_PAIR(BgL_arg3238z00_18086, BNIL);
													BgL_newtail1325z00_18085 = BgL_res5187z00_18088;
												}
											}
											SET_CDR(BgL_tail1324z00_18084, BgL_newtail1325z00_18085);
											{	/* Eval/evaluate_comp.scm 508 */
												obj_t BgL_arg3236z00_18089;

												BgL_arg3236z00_18089 =
													CDR(((obj_t) BgL_l1321z00_18083));
												{
													obj_t BgL_tail1324z00_33537;
													obj_t BgL_l1321z00_33536;

													BgL_l1321z00_33536 = BgL_arg3236z00_18089;
													BgL_tail1324z00_33537 = BgL_newtail1325z00_18085;
													BgL_tail1324z00_18084 = BgL_tail1324z00_33537;
													BgL_l1321z00_18083 = BgL_l1321z00_33536;
													goto BgL_zc3anonymousza33234ze3z83_18082;
												}
											}
										}
								}
							}
						{	/* Eval/evaluate_comp.scm 509 */
							long BgL_g1114z00_18090;

							BgL_g1114z00_18090 =
								((long) CINT(BgL_bpz00_18070) + BgL_siza7eza7_15370);
							{
								obj_t BgL_lz00_18092;
								long BgL_iz00_18093;

								BgL_lz00_18092 = BgL_rvalsz00_18079;
								BgL_iz00_18093 = BgL_g1114z00_18090;
							BgL_recz00_18091:
								if (NULLP(BgL_lz00_18092))
									{	/* Eval/evaluate_comp.scm 510 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 510 */
										{	/* Eval/evaluate_comp.scm 511 */
											obj_t BgL_arg3227z00_18094;
											obj_t BgL_arg3230z00_18095;

											BgL_arg3227z00_18094 =
												VECTOR_REF(((obj_t) BgL_sz00_15373), BgL_iz00_18093);
											BgL_arg3230z00_18095 = CAR(((obj_t) BgL_lz00_18092));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_auxz00_33548;
												obj_t BgL_tmpz00_33546;

												BgL_auxz00_33548 = (int) (((long) 0));
												BgL_tmpz00_33546 = ((obj_t) BgL_arg3227z00_18094);
												STRUCT_SET(BgL_tmpz00_33546, BgL_auxz00_33548,
													BgL_arg3230z00_18095);
										}}
										{	/* Eval/evaluate_comp.scm 512 */
											obj_t BgL_arg3231z00_18096;
											long BgL_arg3232z00_18097;

											BgL_arg3231z00_18096 = CDR(((obj_t) BgL_lz00_18092));
											BgL_arg3232z00_18097 = (BgL_iz00_18093 + ((long) 1));
											{
												long BgL_iz00_33555;
												obj_t BgL_lz00_33554;

												BgL_lz00_33554 = BgL_arg3231z00_18096;
												BgL_iz00_33555 = BgL_arg3232z00_18097;
												BgL_iz00_18093 = BgL_iz00_33555;
												BgL_lz00_18092 = BgL_lz00_33554;
												goto BgL_recz00_18091;
											}
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_15372) (BgL_bodyz00_15372,
							BgL_sz00_15373, BEOA);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_let*1410 */
	obj_t BGl_z62compzd2ev_letza21410z12zz__evaluate_compz00(obj_t
		BgL_envz00_15374, obj_t BgL_ez00_15375, obj_t BgL_stkz00_15376)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 474 */
			{	/* Eval/evaluate_comp.scm 476 */
				long BgL_siza7eza7_18099;
				obj_t BgL_nstkz00_18100;

				BgL_siza7eza7_18099 = bgl_list_length(BgL_stkz00_15376);
				{	/* Eval/evaluate_comp.scm 476 */
					obj_t BgL_arg3183z00_18101;

					BgL_arg3183z00_18101 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letza2za2_bglt) BgL_ez00_15375))))->BgL_varsz00);
					BgL_nstkz00_18100 =
						BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_15376,
						BgL_arg3183z00_18101);
				}
				{	/* Eval/evaluate_comp.scm 477 */
					obj_t BgL_valsz00_18102;
					obj_t BgL_bodyz00_18103;

					{	/* Eval/evaluate_comp.scm 477 */
						obj_t BgL_l1307z00_18104;

						BgL_l1307z00_18104 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_15375))))->BgL_valsz00);
						if (NULLP(BgL_l1307z00_18104))
							{	/* Eval/evaluate_comp.scm 477 */
								BgL_valsz00_18102 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 477 */
								obj_t BgL_head1309z00_18105;

								{	/* Eval/evaluate_comp.scm 477 */
									obj_t BgL_res5144z00_18106;

									BgL_res5144z00_18106 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1309z00_18105 = BgL_res5144z00_18106;
								}
								{
									obj_t BgL_l1307z00_18108;
									obj_t BgL_tail1310z00_18109;

									BgL_l1307z00_18108 = BgL_l1307z00_18104;
									BgL_tail1310z00_18109 = BgL_head1309z00_18105;
								BgL_zc3anonymousza33177ze3z83_18107:
									if (NULLP(BgL_l1307z00_18108))
										{	/* Eval/evaluate_comp.scm 477 */
											BgL_valsz00_18102 = CDR(BgL_head1309z00_18105);
										}
									else
										{	/* Eval/evaluate_comp.scm 477 */
											obj_t BgL_newtail1311z00_18110;

											{	/* Eval/evaluate_comp.scm 477 */
												obj_t BgL_arg3181z00_18111;

												{	/* Eval/evaluate_comp.scm 477 */
													obj_t BgL_vz00_18112;

													BgL_vz00_18112 = CAR(((obj_t) BgL_l1307z00_18108));
													BgL_arg3181z00_18111 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_vz00_18112),
														BgL_nstkz00_18100);
												}
												{	/* Eval/evaluate_comp.scm 477 */
													obj_t BgL_res5150z00_18113;

													BgL_res5150z00_18113 =
														MAKE_YOUNG_PAIR(BgL_arg3181z00_18111, BNIL);
													BgL_newtail1311z00_18110 = BgL_res5150z00_18113;
												}
											}
											SET_CDR(BgL_tail1310z00_18109, BgL_newtail1311z00_18110);
											{	/* Eval/evaluate_comp.scm 477 */
												obj_t BgL_arg3179z00_18114;

												BgL_arg3179z00_18114 =
													CDR(((obj_t) BgL_l1307z00_18108));
												{
													obj_t BgL_tail1310z00_33583;
													obj_t BgL_l1307z00_33582;

													BgL_l1307z00_33582 = BgL_arg3179z00_18114;
													BgL_tail1310z00_33583 = BgL_newtail1311z00_18110;
													BgL_tail1310z00_18109 = BgL_tail1310z00_33583;
													BgL_l1307z00_18108 = BgL_l1307z00_33582;
													goto BgL_zc3anonymousza33177ze3z83_18107;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 478 */
						BgL_ev_exprz00_bglt BgL_arg3182z00_18115;

						BgL_arg3182z00_18115 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_15375))))->BgL_bodyz00);
						BgL_bodyz00_18103 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3182z00_18115,
							BgL_nstkz00_18100);
					}
					{	/* Eval/evaluate_comp.scm 479 */
						obj_t BgL_zc3anonymousza33157ze3z83_18116;

						BgL_zc3anonymousza33157ze3z83_18116 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33157ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3anonymousza33157ze3z83_18116,
							(int) (((long) 0)), BINT(BgL_siza7eza7_18099));
						PROCEDURE_SET(BgL_zc3anonymousza33157ze3z83_18116,
							(int) (((long) 1)),
							((obj_t) ((BgL_ev_letza2za2_bglt) BgL_ez00_15375)));
						PROCEDURE_SET(BgL_zc3anonymousza33157ze3z83_18116,
							(int) (((long) 2)), BgL_valsz00_18102);
						PROCEDURE_SET(BgL_zc3anonymousza33157ze3z83_18116,
							(int) (((long) 3)), BgL_bodyz00_18103);
						return BgL_zc3anonymousza33157ze3z83_18116;
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3157> */
	obj_t BGl_z62zc3anonymousza33157ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15377, obj_t BgL_sz00_15382)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 479 */
			{	/* Eval/evaluate_comp.scm 479 */
				long BgL_siza7eza7_15378;
				BgL_ev_letza2za2_bglt BgL_i1108z00_15379;
				obj_t BgL_valsz00_15380;
				obj_t BgL_bodyz00_15381;

				BgL_siza7eza7_15378 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15377, (int) (((long) 0))));
				BgL_i1108z00_15379 =
					((BgL_ev_letza2za2_bglt)
					PROCEDURE_REF(BgL_envz00_15377, (int) (((long) 1))));
				BgL_valsz00_15380 = PROCEDURE_REF(BgL_envz00_15377, (int) (((long) 2)));
				BgL_bodyz00_15381 = PROCEDURE_REF(BgL_envz00_15377, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 479 */
					obj_t BgL_bpz00_18117;

					BgL_bpz00_18117 = VECTOR_REF(((obj_t) BgL_sz00_15382), ((long) 0));
					{	/* Eval/evaluate_comp.scm 480 */
						long BgL_g1109z00_18118;

						BgL_g1109z00_18118 =
							((long) CINT(BgL_bpz00_18117) + BgL_siza7eza7_15378);
						{
							obj_t BgL_lz00_18120;
							long BgL_iz00_18121;
							obj_t BgL_bza2za2_18122;

							BgL_lz00_18120 = BgL_valsz00_15380;
							BgL_iz00_18121 = BgL_g1109z00_18118;
							BgL_bza2za2_18122 =
								(((BgL_ev_letza2za2_bglt) COBJECT(BgL_i1108z00_15379))->
								BgL_boxesz00);
						BgL_recz00_18119:
							if (NULLP(BgL_lz00_18120))
								{	/* Eval/evaluate_comp.scm 481 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 481 */
									{	/* Eval/evaluate_comp.scm 482 */
										obj_t BgL_valz00_18123;

										{	/* Eval/evaluate_comp.scm 482 */
											obj_t BgL_fun3169z00_18124;

											BgL_fun3169z00_18124 = CAR(((obj_t) BgL_lz00_18120));
											BgL_valz00_18123 =
												PROCEDURE_ENTRY(BgL_fun3169z00_18124)
												(BgL_fun3169z00_18124, BgL_sz00_15382, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 483 */
											obj_t BgL_arg3167z00_18125;

											if (CBOOL(CAR(((obj_t) BgL_bza2za2_18122))))
												{	/* Eval/evaluate_comp.scm 202 */
													obj_t BgL_newz00_18126;

													BgL_newz00_18126 =
														create_struct(BGl_symbol5813z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 202 */
														int BgL_tmpz00_33630;

														BgL_tmpz00_33630 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_18126, BgL_tmpz00_33630,
															BgL_valz00_18123);
													}
													BgL_arg3167z00_18125 = BgL_newz00_18126;
												}
											else
												{	/* Eval/evaluate_comp.scm 483 */
													BgL_arg3167z00_18125 = BgL_valz00_18123;
												}
											VECTOR_SET(
												((obj_t) BgL_sz00_15382), BgL_iz00_18121,
												BgL_arg3167z00_18125);
										}
									}
									{	/* Eval/evaluate_comp.scm 484 */
										obj_t BgL_arg3171z00_18127;
										long BgL_arg3172z00_18128;
										obj_t BgL_arg3175z00_18129;

										BgL_arg3171z00_18127 = CDR(((obj_t) BgL_lz00_18120));
										BgL_arg3172z00_18128 = (BgL_iz00_18121 + ((long) 1));
										BgL_arg3175z00_18129 = CDR(((obj_t) BgL_bza2za2_18122));
										{
											obj_t BgL_bza2za2_33642;
											long BgL_iz00_33641;
											obj_t BgL_lz00_33640;

											BgL_lz00_33640 = BgL_arg3171z00_18127;
											BgL_iz00_33641 = BgL_arg3172z00_18128;
											BgL_bza2za2_33642 = BgL_arg3175z00_18129;
											BgL_bza2za2_18122 = BgL_bza2za2_33642;
											BgL_iz00_18121 = BgL_iz00_33641;
											BgL_lz00_18120 = BgL_lz00_33640;
											goto BgL_recz00_18119;
										}
									}
								}
						}
					}
					return
						PROCEDURE_ENTRY(BgL_bodyz00_15381) (BgL_bodyz00_15381,
						BgL_sz00_15382, BEOA);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_let1408 */
	obj_t BGl_z62compzd2ev_let1408zb0zz__evaluate_compz00(obj_t BgL_envz00_15383,
		obj_t BgL_ez00_15384, obj_t BgL_stkz00_15385)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 455 */
			{	/* Eval/evaluate_comp.scm 457 */
				long BgL_siza7eza7_18131;
				obj_t BgL_nstkz00_18132;

				BgL_siza7eza7_18131 = bgl_list_length(BgL_stkz00_15385);
				{	/* Eval/evaluate_comp.scm 457 */
					obj_t BgL_arg3156z00_18133;

					BgL_arg3156z00_18133 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letz00_bglt) BgL_ez00_15384))))->BgL_varsz00);
					BgL_nstkz00_18132 =
						BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_15385,
						BgL_arg3156z00_18133);
				}
				{	/* Eval/evaluate_comp.scm 458 */
					obj_t BgL_valsz00_18134;
					obj_t BgL_iboxesz00_18135;
					obj_t BgL_bodyz00_18136;

					{	/* Eval/evaluate_comp.scm 459 */
						obj_t BgL_arg3141z00_18137;

						BgL_arg3141z00_18137 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_15384))))->BgL_valsz00);
						BgL_valsz00_18134 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00
							(BgL_arg3141z00_18137, BgL_stkz00_15385);
					}
					{	/* Eval/evaluate_comp.scm 460 */
						obj_t BgL_l1302z00_18138;

						BgL_l1302z00_18138 =
							(((BgL_ev_letz00_bglt) COBJECT(
									((BgL_ev_letz00_bglt) BgL_ez00_15384)))->BgL_boxesz00);
						if (NULLP(BgL_l1302z00_18138))
							{	/* Eval/evaluate_comp.scm 460 */
								BgL_iboxesz00_18135 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 460 */
								obj_t BgL_head1304z00_18139;

								{	/* Eval/evaluate_comp.scm 460 */
									obj_t BgL_res5127z00_18140;

									BgL_res5127z00_18140 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1304z00_18139 = BgL_res5127z00_18140;
								}
								{
									obj_t BgL_l1302z00_18142;
									obj_t BgL_tail1305z00_18143;

									BgL_l1302z00_18142 = BgL_l1302z00_18138;
									BgL_tail1305z00_18143 = BgL_head1304z00_18139;
								BgL_zc3anonymousza33143ze3z83_18141:
									if (NULLP(BgL_l1302z00_18142))
										{	/* Eval/evaluate_comp.scm 460 */
											BgL_iboxesz00_18135 = CDR(BgL_head1304z00_18139);
										}
									else
										{	/* Eval/evaluate_comp.scm 460 */
											obj_t BgL_newtail1306z00_18144;

											{	/* Eval/evaluate_comp.scm 460 */
												obj_t BgL_arg3154z00_18145;

												{	/* Eval/evaluate_comp.scm 460 */
													obj_t BgL_vz00_18146;

													BgL_vz00_18146 = CAR(((obj_t) BgL_l1302z00_18142));
													BgL_arg3154z00_18145 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_18146,
														BgL_nstkz00_18132);
												}
												{	/* Eval/evaluate_comp.scm 460 */
													obj_t BgL_res5133z00_18147;

													BgL_res5133z00_18147 =
														MAKE_YOUNG_PAIR(BgL_arg3154z00_18145, BNIL);
													BgL_newtail1306z00_18144 = BgL_res5133z00_18147;
												}
											}
											SET_CDR(BgL_tail1305z00_18143, BgL_newtail1306z00_18144);
											{	/* Eval/evaluate_comp.scm 460 */
												obj_t BgL_arg3147z00_18148;

												BgL_arg3147z00_18148 =
													CDR(((obj_t) BgL_l1302z00_18142));
												{
													obj_t BgL_tail1305z00_33673;
													obj_t BgL_l1302z00_33672;

													BgL_l1302z00_33672 = BgL_arg3147z00_18148;
													BgL_tail1305z00_33673 = BgL_newtail1306z00_18144;
													BgL_tail1305z00_18143 = BgL_tail1305z00_33673;
													BgL_l1302z00_18142 = BgL_l1302z00_33672;
													goto BgL_zc3anonymousza33143ze3z83_18141;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 461 */
						BgL_ev_exprz00_bglt BgL_arg3155z00_18149;

						BgL_arg3155z00_18149 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_15384))))->BgL_bodyz00);
						BgL_bodyz00_18136 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3155z00_18149,
							BgL_nstkz00_18132);
					}
					{	/* Eval/evaluate_comp.scm 462 */
						obj_t BgL_zc3anonymousza33110ze3z83_18150;

						BgL_zc3anonymousza33110ze3z83_18150 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33110ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3anonymousza33110ze3z83_18150,
							(int) (((long) 0)), BINT(BgL_siza7eza7_18131));
						PROCEDURE_SET(BgL_zc3anonymousza33110ze3z83_18150,
							(int) (((long) 1)), BgL_valsz00_18134);
						PROCEDURE_SET(BgL_zc3anonymousza33110ze3z83_18150,
							(int) (((long) 2)), BgL_iboxesz00_18135);
						PROCEDURE_SET(BgL_zc3anonymousza33110ze3z83_18150,
							(int) (((long) 3)), BgL_bodyz00_18136);
						return BgL_zc3anonymousza33110ze3z83_18150;
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3110> */
	obj_t BGl_z62zc3anonymousza33110ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15386, obj_t BgL_sz00_15391)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 462 */
			{	/* Eval/evaluate_comp.scm 462 */
				long BgL_siza7eza7_15387;
				obj_t BgL_valsz00_15388;
				obj_t BgL_iboxesz00_15389;
				obj_t BgL_bodyz00_15390;

				BgL_siza7eza7_15387 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15386, (int) (((long) 0))));
				BgL_valsz00_15388 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15386, (int) (((long) 1))));
				BgL_iboxesz00_15389 =
					PROCEDURE_REF(BgL_envz00_15386, (int) (((long) 2)));
				BgL_bodyz00_15390 = PROCEDURE_REF(BgL_envz00_15386, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 462 */
					obj_t BgL_bpz00_18151;

					BgL_bpz00_18151 = VECTOR_REF(((obj_t) BgL_sz00_15391), ((long) 0));
					{	/* Eval/evaluate_comp.scm 463 */
						long BgL_g1107z00_18152;

						BgL_g1107z00_18152 =
							((long) CINT(BgL_bpz00_18151) + BgL_siza7eza7_15387);
						{
							obj_t BgL_lz00_18154;
							long BgL_iz00_18155;

							BgL_lz00_18154 = BgL_valsz00_15388;
							BgL_iz00_18155 = BgL_g1107z00_18152;
						BgL_recz00_18153:
							if (NULLP(BgL_lz00_18154))
								{	/* Eval/evaluate_comp.scm 464 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 464 */
									{	/* Eval/evaluate_comp.scm 465 */
										obj_t BgL_arg3113z00_18156;

										{	/* Eval/evaluate_comp.scm 465 */
											obj_t BgL_fun3114z00_18157;

											BgL_fun3114z00_18157 = CAR(((obj_t) BgL_lz00_18154));
											BgL_arg3113z00_18156 =
												PROCEDURE_ENTRY(BgL_fun3114z00_18157)
												(BgL_fun3114z00_18157, BgL_sz00_15391, BEOA);
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15391), BgL_iz00_18155,
											BgL_arg3113z00_18156);
									}
									{	/* Eval/evaluate_comp.scm 466 */
										obj_t BgL_arg3115z00_18158;
										long BgL_arg3132z00_18159;

										BgL_arg3115z00_18158 = CDR(((obj_t) BgL_lz00_18154));
										BgL_arg3132z00_18159 = (BgL_iz00_18155 + ((long) 1));
										{
											long BgL_iz00_33718;
											obj_t BgL_lz00_33717;

											BgL_lz00_33717 = BgL_arg3115z00_18158;
											BgL_iz00_33718 = BgL_arg3132z00_18159;
											BgL_iz00_18155 = BgL_iz00_33718;
											BgL_lz00_18154 = BgL_lz00_33717;
											goto BgL_recz00_18153;
										}
									}
								}
						}
					}
					{
						obj_t BgL_lz00_18161;

						BgL_lz00_18161 = BgL_iboxesz00_15389;
					BgL_recz00_18160:
						if (NULLP(BgL_lz00_18161))
							{	/* Eval/evaluate_comp.scm 468 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_comp.scm 468 */
								{	/* Eval/evaluate_comp.scm 469 */
									long BgL_iz00_18162;

									BgL_iz00_18162 =
										(
										(long) CINT(BgL_bpz00_18151) +
										(long) CINT(CAR(((obj_t) BgL_lz00_18161))));
									{	/* Eval/evaluate_comp.scm 470 */
										obj_t BgL_arg3136z00_18163;

										{	/* Eval/evaluate_comp.scm 470 */
											obj_t BgL_arg3137z00_18164;

											BgL_arg3137z00_18164 =
												VECTOR_REF(((obj_t) BgL_sz00_15391), BgL_iz00_18162);
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_18165;

												BgL_newz00_18165 =
													create_struct(BGl_symbol5813z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_33730;

													BgL_tmpz00_33730 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_18165, BgL_tmpz00_33730,
														BgL_arg3137z00_18164);
												}
												BgL_arg3136z00_18163 = BgL_newz00_18165;
										}}
										VECTOR_SET(
											((obj_t) BgL_sz00_15391), BgL_iz00_18162,
											BgL_arg3136z00_18163);
								}}
								{	/* Eval/evaluate_comp.scm 471 */
									obj_t BgL_arg3140z00_18166;

									BgL_arg3140z00_18166 = CDR(((obj_t) BgL_lz00_18161));
									{
										obj_t BgL_lz00_33737;

										BgL_lz00_33737 = BgL_arg3140z00_18166;
										BgL_lz00_18161 = BgL_lz00_33737;
										goto BgL_recz00_18160;
									}
								}
							}
					}
					return
						PROCEDURE_ENTRY(BgL_bodyz00_15390) (BgL_bodyz00_15390,
						BgL_sz00_15391, BEOA);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_prog21406 */
	obj_t BGl_z62compzd2ev_prog21406zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15392, obj_t BgL_ez00_15393, obj_t BgL_stkz00_15394)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 449 */
			{	/* Eval/evaluate_comp.scm 451 */
				obj_t BgL_e1z00_18168;
				obj_t BgL_e2z00_18169;

				BgL_e1z00_18168 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_15393)))->BgL_e1z00),
					BgL_stkz00_15394);
				BgL_e2z00_18169 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_prog2z00_bglt)
							COBJECT(((BgL_ev_prog2z00_bglt) BgL_ez00_15393)))->BgL_e2z00),
					BgL_stkz00_15394);
				{	/* Eval/evaluate_comp.scm 452 */
					obj_t BgL_zc3anonymousza33107ze3z83_18170;

					BgL_zc3anonymousza33107ze3z83_18170 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33107ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33107ze3z83_18170, (int) (((long) 0)),
						BgL_e1z00_18168);
					PROCEDURE_SET(BgL_zc3anonymousza33107ze3z83_18170, (int) (((long) 1)),
						BgL_e2z00_18169);
					return BgL_zc3anonymousza33107ze3z83_18170;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3107> */
	obj_t BGl_z62zc3anonymousza33107ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15395, obj_t BgL_sz00_15398)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 452 */
			{	/* Eval/evaluate_comp.scm 452 */
				obj_t BgL_e1z00_15396;
				obj_t BgL_e2z00_15397;

				BgL_e1z00_15396 = PROCEDURE_REF(BgL_envz00_15395, (int) (((long) 0)));
				BgL_e2z00_15397 = PROCEDURE_REF(BgL_envz00_15395, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 452 */
					obj_t BgL_bpz00_18171;

					BgL_bpz00_18171 = VECTOR_REF(((obj_t) BgL_sz00_15398), ((long) 0));
					PROCEDURE_ENTRY(BgL_e1z00_15396) (BgL_e1z00_15396, BgL_sz00_15398,
						BEOA);
					return PROCEDURE_ENTRY(BgL_e2z00_15397) (BgL_e2z00_15397,
						BgL_sz00_15398, BEOA);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_and1404 */
	obj_t BGl_z62compzd2ev_and1404zb0zz__evaluate_compz00(obj_t BgL_envz00_15399,
		obj_t BgL_ez00_15400, obj_t BgL_stkz00_15401)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 439 */
			{	/* Eval/evaluate_comp.scm 441 */
				obj_t BgL_argsz00_18173;

				{	/* Eval/evaluate_comp.scm 441 */
					obj_t BgL_l1297z00_18174;

					BgL_l1297z00_18174 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_andz00_bglt) BgL_ez00_15400))))->BgL_argsz00);
					if (NULLP(BgL_l1297z00_18174))
						{	/* Eval/evaluate_comp.scm 441 */
							BgL_argsz00_18173 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 441 */
							obj_t BgL_head1299z00_18175;

							{	/* Eval/evaluate_comp.scm 441 */
								obj_t BgL_res5116z00_18176;

								BgL_res5116z00_18176 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								BgL_head1299z00_18175 = BgL_res5116z00_18176;
							}
							{
								obj_t BgL_l1297z00_18178;
								obj_t BgL_tail1300z00_18179;

								BgL_l1297z00_18178 = BgL_l1297z00_18174;
								BgL_tail1300z00_18179 = BgL_head1299z00_18175;
							BgL_zc3anonymousza33103ze3z83_18177:
								if (NULLP(BgL_l1297z00_18178))
									{	/* Eval/evaluate_comp.scm 441 */
										BgL_argsz00_18173 = CDR(BgL_head1299z00_18175);
									}
								else
									{	/* Eval/evaluate_comp.scm 441 */
										obj_t BgL_newtail1301z00_18180;

										{	/* Eval/evaluate_comp.scm 441 */
											obj_t BgL_arg3106z00_18181;

											{	/* Eval/evaluate_comp.scm 441 */
												obj_t BgL_ez00_18182;

												BgL_ez00_18182 = CAR(((obj_t) BgL_l1297z00_18178));
												BgL_arg3106z00_18181 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_ez00_18182),
													BgL_stkz00_15401);
											}
											{	/* Eval/evaluate_comp.scm 441 */
												obj_t BgL_res5122z00_18183;

												BgL_res5122z00_18183 =
													MAKE_YOUNG_PAIR(BgL_arg3106z00_18181, BNIL);
												BgL_newtail1301z00_18180 = BgL_res5122z00_18183;
											}
										}
										SET_CDR(BgL_tail1300z00_18179, BgL_newtail1301z00_18180);
										{	/* Eval/evaluate_comp.scm 441 */
											obj_t BgL_arg3105z00_18184;

											BgL_arg3105z00_18184 = CDR(((obj_t) BgL_l1297z00_18178));
											{
												obj_t BgL_tail1300z00_33787;
												obj_t BgL_l1297z00_33786;

												BgL_l1297z00_33786 = BgL_arg3105z00_18184;
												BgL_tail1300z00_33787 = BgL_newtail1301z00_18180;
												BgL_tail1300z00_18179 = BgL_tail1300z00_33787;
												BgL_l1297z00_18178 = BgL_l1297z00_33786;
												goto BgL_zc3anonymousza33103ze3z83_18177;
											}
										}
									}
							}
						}
				}
				{	/* Eval/evaluate_comp.scm 442 */
					obj_t BgL_zc3anonymousza33096ze3z83_18185;

					BgL_zc3anonymousza33096ze3z83_18185 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33096ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33096ze3z83_18185, (int) (((long) 0)),
						BgL_argsz00_18173);
					return BgL_zc3anonymousza33096ze3z83_18185;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3096> */
	obj_t BGl_z62zc3anonymousza33096ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15402, obj_t BgL_sz00_15404)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 442 */
			{	/* Eval/evaluate_comp.scm 442 */
				obj_t BgL_argsz00_15403;

				BgL_argsz00_15403 = PROCEDURE_REF(BgL_envz00_15402, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 442 */
					obj_t BgL_bpz00_18186;

					BgL_bpz00_18186 = VECTOR_REF(((obj_t) BgL_sz00_15404), ((long) 0));
					{
						obj_t BgL_lz00_18188;
						obj_t BgL_rz00_18189;

						BgL_lz00_18188 = BgL_argsz00_15403;
						BgL_rz00_18189 = BTRUE;
					BgL_recz00_18187:
						if (NULLP(BgL_lz00_18188))
							{	/* Eval/evaluate_comp.scm 444 */
								return BgL_rz00_18189;
							}
						else
							{	/* Eval/evaluate_comp.scm 446 */
								obj_t BgL_vz00_18190;

								{	/* Eval/evaluate_comp.scm 446 */
									obj_t BgL_fun3101z00_18191;

									BgL_fun3101z00_18191 = CAR(((obj_t) BgL_lz00_18188));
									BgL_vz00_18190 =
										PROCEDURE_ENTRY(BgL_fun3101z00_18191) (BgL_fun3101z00_18191,
										BgL_sz00_15404, BEOA);
								}
								if (CBOOL(BgL_vz00_18190))
									{	/* Eval/evaluate_comp.scm 447 */
										obj_t BgL_arg3100z00_18192;

										BgL_arg3100z00_18192 = CDR(((obj_t) BgL_lz00_18188));
										{
											obj_t BgL_rz00_33810;
											obj_t BgL_lz00_33809;

											BgL_lz00_33809 = BgL_arg3100z00_18192;
											BgL_rz00_33810 = BgL_vz00_18190;
											BgL_rz00_18189 = BgL_rz00_33810;
											BgL_lz00_18188 = BgL_lz00_33809;
											goto BgL_recz00_18187;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 447 */
										return BFALSE;
									}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_or1402 */
	obj_t BGl_z62compzd2ev_or1402zb0zz__evaluate_compz00(obj_t BgL_envz00_15405,
		obj_t BgL_ez00_15406, obj_t BgL_stkz00_15407)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 430 */
			{	/* Eval/evaluate_comp.scm 432 */
				obj_t BgL_argsz00_18194;

				{	/* Eval/evaluate_comp.scm 432 */
					obj_t BgL_l1292z00_18195;

					BgL_l1292z00_18195 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_orz00_bglt) BgL_ez00_15406))))->BgL_argsz00);
					if (NULLP(BgL_l1292z00_18195))
						{	/* Eval/evaluate_comp.scm 432 */
							BgL_argsz00_18194 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 432 */
							obj_t BgL_head1294z00_18196;

							{	/* Eval/evaluate_comp.scm 432 */
								obj_t BgL_res5107z00_18197;

								BgL_res5107z00_18197 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								BgL_head1294z00_18196 = BgL_res5107z00_18197;
							}
							{
								obj_t BgL_l1292z00_18199;
								obj_t BgL_tail1295z00_18200;

								BgL_l1292z00_18199 = BgL_l1292z00_18195;
								BgL_tail1295z00_18200 = BgL_head1294z00_18196;
							BgL_zc3anonymousza33092ze3z83_18198:
								if (NULLP(BgL_l1292z00_18199))
									{	/* Eval/evaluate_comp.scm 432 */
										BgL_argsz00_18194 = CDR(BgL_head1294z00_18196);
									}
								else
									{	/* Eval/evaluate_comp.scm 432 */
										obj_t BgL_newtail1296z00_18201;

										{	/* Eval/evaluate_comp.scm 432 */
											obj_t BgL_arg3095z00_18202;

											{	/* Eval/evaluate_comp.scm 432 */
												obj_t BgL_ez00_18203;

												BgL_ez00_18203 = CAR(((obj_t) BgL_l1292z00_18199));
												BgL_arg3095z00_18202 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_ez00_18203),
													BgL_stkz00_15407);
											}
											{	/* Eval/evaluate_comp.scm 432 */
												obj_t BgL_res5113z00_18204;

												BgL_res5113z00_18204 =
													MAKE_YOUNG_PAIR(BgL_arg3095z00_18202, BNIL);
												BgL_newtail1296z00_18201 = BgL_res5113z00_18204;
											}
										}
										SET_CDR(BgL_tail1295z00_18200, BgL_newtail1296z00_18201);
										{	/* Eval/evaluate_comp.scm 432 */
											obj_t BgL_arg3094z00_18205;

											BgL_arg3094z00_18205 = CDR(((obj_t) BgL_l1292z00_18199));
											{
												obj_t BgL_tail1295z00_33829;
												obj_t BgL_l1292z00_33828;

												BgL_l1292z00_33828 = BgL_arg3094z00_18205;
												BgL_tail1295z00_33829 = BgL_newtail1296z00_18201;
												BgL_tail1295z00_18200 = BgL_tail1295z00_33829;
												BgL_l1292z00_18199 = BgL_l1292z00_33828;
												goto BgL_zc3anonymousza33092ze3z83_18198;
											}
										}
									}
							}
						}
				}
				{	/* Eval/evaluate_comp.scm 433 */
					obj_t BgL_zc3anonymousza33086ze3z83_18206;

					BgL_zc3anonymousza33086ze3z83_18206 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33086ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33086ze3z83_18206, (int) (((long) 0)),
						BgL_argsz00_18194);
					return BgL_zc3anonymousza33086ze3z83_18206;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3086> */
	obj_t BGl_z62zc3anonymousza33086ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15408, obj_t BgL_sz00_15410)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 433 */
			{	/* Eval/evaluate_comp.scm 433 */
				obj_t BgL_argsz00_15409;

				BgL_argsz00_15409 = PROCEDURE_REF(BgL_envz00_15408, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 433 */
					obj_t BgL_bpz00_18207;

					BgL_bpz00_18207 = VECTOR_REF(((obj_t) BgL_sz00_15410), ((long) 0));
					{
						obj_t BgL_lz00_18209;

						BgL_lz00_18209 = BgL_argsz00_15409;
					BgL_recz00_18208:
						if (NULLP(BgL_lz00_18209))
							{	/* Eval/evaluate_comp.scm 435 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 437 */
								obj_t BgL__ortest_1102z00_18210;

								{	/* Eval/evaluate_comp.scm 437 */
									obj_t BgL_fun3090z00_18211;

									BgL_fun3090z00_18211 = CAR(((obj_t) BgL_lz00_18209));
									BgL__ortest_1102z00_18210 =
										PROCEDURE_ENTRY(BgL_fun3090z00_18211) (BgL_fun3090z00_18211,
										BgL_sz00_15410, BEOA);
								}
								if (CBOOL(BgL__ortest_1102z00_18210))
									{	/* Eval/evaluate_comp.scm 437 */
										return BgL__ortest_1102z00_18210;
									}
								else
									{	/* Eval/evaluate_comp.scm 437 */
										obj_t BgL_arg3089z00_18212;

										BgL_arg3089z00_18212 = CDR(((obj_t) BgL_lz00_18209));
										{
											obj_t BgL_lz00_33851;

											BgL_lz00_33851 = BgL_arg3089z00_18212;
											BgL_lz00_18209 = BgL_lz00_33851;
											goto BgL_recz00_18208;
										}
									}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_if1400 */
	obj_t BGl_z62compzd2ev_if1400zb0zz__evaluate_compz00(obj_t BgL_envz00_15411,
		obj_t BgL_ez00_15412, obj_t BgL_stkz00_15413)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 424 */
			{	/* Eval/evaluate_comp.scm 426 */
				obj_t BgL_pz00_18214;
				obj_t BgL_tz00_18215;
				obj_t BgL_ez00_18216;

				BgL_pz00_18214 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_ifz00_bglt) COBJECT(
								((BgL_ev_ifz00_bglt) BgL_ez00_15412)))->BgL_pz00),
					BgL_stkz00_15413);
				BgL_tz00_18215 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
							COBJECT(((BgL_ev_ifz00_bglt) BgL_ez00_15412)))->BgL_tz00),
					BgL_stkz00_15413);
				BgL_ez00_18216 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
							COBJECT(((BgL_ev_ifz00_bglt) BgL_ez00_15412)))->BgL_ez00),
					BgL_stkz00_15413);
				{	/* Eval/evaluate_comp.scm 427 */
					obj_t BgL_zc3anonymousza33080ze3z83_18217;

					BgL_zc3anonymousza33080ze3z83_18217 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33080ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 3)));
					PROCEDURE_SET(BgL_zc3anonymousza33080ze3z83_18217, (int) (((long) 0)),
						BgL_ez00_18216);
					PROCEDURE_SET(BgL_zc3anonymousza33080ze3z83_18217, (int) (((long) 1)),
						BgL_tz00_18215);
					PROCEDURE_SET(BgL_zc3anonymousza33080ze3z83_18217, (int) (((long) 2)),
						BgL_pz00_18214);
					return BgL_zc3anonymousza33080ze3z83_18217;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3080> */
	obj_t BGl_z62zc3anonymousza33080ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15414, obj_t BgL_sz00_15418)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 427 */
			{	/* Eval/evaluate_comp.scm 427 */
				obj_t BgL_ez00_15415;
				obj_t BgL_tz00_15416;
				obj_t BgL_pz00_15417;

				BgL_ez00_15415 = PROCEDURE_REF(BgL_envz00_15414, (int) (((long) 0)));
				BgL_tz00_15416 = PROCEDURE_REF(BgL_envz00_15414, (int) (((long) 1)));
				BgL_pz00_15417 = PROCEDURE_REF(BgL_envz00_15414, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 427 */
					obj_t BgL_bpz00_18218;

					BgL_bpz00_18218 = VECTOR_REF(((obj_t) BgL_sz00_15418), ((long) 0));
					if (CBOOL(PROCEDURE_ENTRY(BgL_pz00_15417) (BgL_pz00_15417,
								BgL_sz00_15418, BEOA)))
						{	/* Eval/evaluate_comp.scm 428 */
							return
								PROCEDURE_ENTRY(BgL_tz00_15416) (BgL_tz00_15416, BgL_sz00_15418,
								BEOA);
						}
					else
						{	/* Eval/evaluate_comp.scm 428 */
							return
								PROCEDURE_ENTRY(BgL_ez00_15415) (BgL_ez00_15415, BgL_sz00_15418,
								BEOA);
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_litt1398 */
	obj_t BGl_z62compzd2ev_litt1398zb0zz__evaluate_compz00(obj_t BgL_envz00_15419,
		obj_t BgL_ez00_15420, obj_t BgL_stkz00_15421)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 419 */
			{	/* Eval/evaluate_comp.scm 421 */
				obj_t BgL_zc3anonymousza33079ze3z83_18220;

				BgL_zc3anonymousza33079ze3z83_18220 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3anonymousza33079ze3ze1zz__evaluate_compz00,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza33079ze3z83_18220, (int) (((long) 0)),
					((obj_t) ((BgL_ev_littz00_bglt) BgL_ez00_15420)));
				return BgL_zc3anonymousza33079ze3z83_18220;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3079> */
	obj_t BGl_z62zc3anonymousza33079ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15422, obj_t BgL_sz00_15424)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 421 */
			{	/* Eval/evaluate_comp.scm 421 */
				BgL_ev_littz00_bglt BgL_i1099z00_15423;

				BgL_i1099z00_15423 =
					((BgL_ev_littz00_bglt)
					PROCEDURE_REF(BgL_envz00_15422, (int) (((long) 0))));
				{	/* Eval/evaluate_comp.scm 421 */
					obj_t BgL_bpz00_18221;

					BgL_bpz00_18221 = VECTOR_REF(((obj_t) BgL_sz00_15424), ((long) 0));
					return
						(((BgL_ev_littz00_bglt) COBJECT(BgL_i1099z00_15423))->BgL_valuez00);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_defglobal1396 */
	obj_t BGl_z62compzd2ev_defglobal1396zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15425, obj_t BgL_ez00_15426, obj_t BgL_stkz00_15427)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 388 */
			{	/* Eval/evaluate_comp.scm 390 */
				obj_t BgL_ez00_18223;

				{	/* Eval/evaluate_comp.scm 390 */
					BgL_ev_exprz00_bglt BgL_arg3078z00_18224;

					BgL_arg3078z00_18224 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_ez00_15426))))->BgL_ez00);
					BgL_ez00_18223 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3078z00_18224,
						BgL_stkz00_15427);
				}
				{	/* Eval/evaluate_comp.scm 391 */
					obj_t BgL_zc3anonymousza33049ze3z83_18225;

					BgL_zc3anonymousza33049ze3z83_18225 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33049ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33049ze3z83_18225, (int) (((long) 0)),
						((obj_t) ((BgL_ev_defglobalz00_bglt) BgL_ez00_15426)));
					PROCEDURE_SET(BgL_zc3anonymousza33049ze3z83_18225, (int) (((long) 1)),
						BgL_ez00_18223);
					return BgL_zc3anonymousza33049ze3z83_18225;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3049> */
	obj_t BGl_z62zc3anonymousza33049ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15428, obj_t BgL_sz00_15431)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 391 */
			{	/* Eval/evaluate_comp.scm 391 */
				BgL_ev_defglobalz00_bglt BgL_i1096z00_15429;
				obj_t BgL_ez00_15430;

				BgL_i1096z00_15429 =
					((BgL_ev_defglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15428, (int) (((long) 0))));
				BgL_ez00_15430 = PROCEDURE_REF(BgL_envz00_15428, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 391 */
					obj_t BgL_bpz00_18226;

					BgL_bpz00_18226 = VECTOR_REF(((obj_t) BgL_sz00_15431), ((long) 0));
					{	/* Eval/evaluate_comp.scm 392 */
						obj_t BgL_gz00_18227;

						{	/* Eval/evaluate_comp.scm 392 */
							obj_t BgL_arg3076z00_18228;
							obj_t BgL_arg3077z00_18229;

							BgL_arg3076z00_18228 =
								(((BgL_ev_setglobalz00_bglt) COBJECT(
										((BgL_ev_setglobalz00_bglt) BgL_i1096z00_15429)))->
								BgL_modz00);
							BgL_arg3077z00_18229 =
								(((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
											BgL_i1096z00_15429)))->BgL_namez00);
							BgL_gz00_18227 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg3076z00_18228, BgL_arg3077z00_18229);
						}
						if (CBOOL(BgL_gz00_18227))
							{	/* Eval/evaluate_comp.scm 394 */
								{

									{	/* Eval/evaluate_comp.scm 396 */
										int BgL_aux1098z00_18233;

										{	/* Eval/evaluate_comp.scm 396 */
											int BgL_res5105z00_18234;

											BgL_res5105z00_18234 =
												CINT(VECTOR_REF(((obj_t) BgL_gz00_18227), ((long) 0)));
											BgL_aux1098z00_18233 = BgL_res5105z00_18234;
										}
										switch ((long) (BgL_aux1098z00_18233))
											{
											case ((long) 0):

												{	/* Eval/evaluate_comp.scm 398 */
													obj_t BgL_arg3051z00_18235;
													obj_t BgL_arg3052z00_18236;

													BgL_arg3051z00_18235 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1096z00_15429)))->BgL_locz00);
													BgL_arg3052z00_18236 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1096z00_15429)))->BgL_namez00);
													BGl_everrorz00zz__everrorz00(BgL_arg3051z00_18235,
														BGl_string5924z00zz__evaluate_compz00,
														BGl_string5925z00zz__evaluate_compz00,
														BgL_arg3052z00_18236);
												} break;
											case ((long) 1):

												{	/* Eval/evaluate_comp.scm 400 */
													obj_t BgL_arg3053z00_18237;
													obj_t BgL_arg3055z00_18238;

													BgL_arg3053z00_18237 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1096z00_15429)))->BgL_locz00);
													BgL_arg3055z00_18238 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1096z00_15429)))->BgL_namez00);
													{	/* Eval/evaluate_comp.scm 400 */
														obj_t BgL_list3056z00_18239;

														{	/* Eval/evaluate_comp.scm 400 */
															obj_t BgL_arg3057z00_18240;

															{	/* Eval/evaluate_comp.scm 400 */
																obj_t BgL_arg3058z00_18241;

																BgL_arg3058z00_18241 =
																	MAKE_YOUNG_PAIR(BgL_arg3055z00_18238, BNIL);
																BgL_arg3057z00_18240 =
																	MAKE_YOUNG_PAIR
																	(BGl_string5926z00zz__evaluate_compz00,
																	BgL_arg3058z00_18241);
															}
															BgL_list3056z00_18239 =
																MAKE_YOUNG_PAIR
																(BGl_string5803z00zz__evaluate_compz00,
																BgL_arg3057z00_18240);
														}
														BGl_evwarningz00zz__everrorz00(BgL_arg3053z00_18237,
															BgL_list3056z00_18239);
												}}
												{	/* Eval/evaluate_comp.scm 402 */
													obj_t BgL_arg3059z00_18242;
													obj_t BgL_arg3060z00_18243;

													BgL_arg3059z00_18242 =
														VECTOR_REF(((obj_t) BgL_gz00_18227), ((long) 2));
													BgL_arg3060z00_18243 =
														PROCEDURE_ENTRY(BgL_ez00_15430) (BgL_ez00_15430,
														BgL_sz00_15431, BEOA);
													__EVMEANING_ADDRESS_SET(BgL_arg3059z00_18242,
														BgL_arg3060z00_18243);
												} break;
											case ((long) 2):

												{	/* Eval/evaluate_comp.scm 404 */
													obj_t BgL_arg3061z00_18244;

													BgL_arg3061z00_18244 =
														PROCEDURE_ENTRY(BgL_ez00_15430) (BgL_ez00_15430,
														BgL_sz00_15431, BEOA);
													VECTOR_SET(((obj_t) BgL_gz00_18227), ((long) 2),
														BgL_arg3061z00_18244);
												} break;
											case ((long) 3):

												{	/* Eval/evaluate_comp.scm 406 */
													obj_t BgL_arg3062z00_18245;

													BgL_arg3062z00_18245 =
														PROCEDURE_ENTRY(BgL_ez00_15430) (BgL_ez00_15430,
														BgL_sz00_15431, BEOA);
													VECTOR_SET(((obj_t) BgL_gz00_18227), ((long) 2),
														BgL_arg3062z00_18245);
												}
												VECTOR_SET(
													((obj_t) BgL_gz00_18227), ((long) 0),
													BINT(((long) 2)));
												break;
											case ((long) 4):

												{	/* Eval/evaluate_comp.scm 409 */
													obj_t BgL_arg3063z00_18246;

													BgL_arg3063z00_18246 =
														PROCEDURE_ENTRY(BgL_ez00_15430) (BgL_ez00_15430,
														BgL_sz00_15431, BEOA);
													VECTOR_SET(((obj_t) BgL_gz00_18227), ((long) 2),
														BgL_arg3063z00_18246);
												}
												VECTOR_SET(
													((obj_t) BgL_gz00_18227), ((long) 0),
													BINT(((long) 5)));
												break;
											default:
												{	/* Eval/evaluate_comp.scm 412 */
													obj_t BgL_arg3064z00_18231;
													obj_t BgL_arg3066z00_18232;

													BgL_arg3064z00_18231 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1096z00_15429)))->BgL_locz00);
													BgL_arg3066z00_18232 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1096z00_15429)))->BgL_namez00);
													BGl_everrorz00zz__everrorz00(BgL_arg3064z00_18231,
														BGl_string5924z00zz__evaluate_compz00,
														BGl_string5925z00zz__evaluate_compz00,
														BgL_arg3066z00_18232);
												}
											}
									}
								}
								return
									(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_i1096z00_15429)))->
									BgL_namez00);
							}
						else
							{	/* Eval/evaluate_comp.scm 414 */
								obj_t BgL_gz00_18247;

								{	/* Eval/evaluate_comp.scm 414 */
									obj_t BgL_arg3073z00_18248;
									obj_t BgL_arg3074z00_18249;
									obj_t BgL_arg3075z00_18250;

									BgL_arg3073z00_18248 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_i1096z00_15429)))->
										BgL_namez00);
									BgL_arg3074z00_18249 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1096z00_15429)))->BgL_modz00);
									BgL_arg3075z00_18250 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1096z00_15429)))->BgL_locz00);
									{	/* Eval/evaluate_comp.scm 414 */
										obj_t BgL_v1370z00_18251;

										BgL_v1370z00_18251 = create_vector(((long) 5));
										VECTOR_SET(BgL_v1370z00_18251, ((long) 0),
											BINT(((long) 2)));
										VECTOR_SET(BgL_v1370z00_18251, ((long) 1),
											BgL_arg3073z00_18248);
										VECTOR_SET(BgL_v1370z00_18251, ((long) 2), BUNSPEC);
										VECTOR_SET(BgL_v1370z00_18251, ((long) 3),
											BgL_arg3074z00_18249);
										VECTOR_SET(BgL_v1370z00_18251, ((long) 4),
											BgL_arg3075z00_18250);
										BgL_gz00_18247 = BgL_v1370z00_18251;
								}}
								{	/* Eval/evaluate_comp.scm 415 */
									obj_t BgL_arg3069z00_18252;

									BgL_arg3069z00_18252 =
										PROCEDURE_ENTRY(BgL_ez00_15430) (BgL_ez00_15430,
										BgL_sz00_15431, BEOA);
									VECTOR_SET(BgL_gz00_18247, ((long) 2), BgL_arg3069z00_18252);
								}
								{	/* Eval/evaluate_comp.scm 416 */
									obj_t BgL_arg3070z00_18253;
									obj_t BgL_arg3071z00_18254;
									obj_t BgL_arg3072z00_18255;

									BgL_arg3070z00_18253 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_i1096z00_15429)))->
										BgL_modz00);
									BgL_arg3071z00_18254 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1096z00_15429)))->BgL_namez00);
									BgL_arg3072z00_18255 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1096z00_15429)))->BgL_locz00);
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
										(BgL_arg3070z00_18253, BgL_arg3071z00_18254, BgL_gz00_18247,
										BgL_arg3072z00_18255);
								}
								return
									(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_i1096z00_15429)))->
									BgL_namez00);
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_setglobal1394 */
	obj_t BGl_z62compzd2ev_setglobal1394zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15432, obj_t BgL_ez00_15433, obj_t BgL_stkz00_15434)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 365 */
			{	/* Eval/evaluate_comp.scm 367 */
				obj_t BgL_gz00_18257;
				obj_t BgL_ez00_18258;

				BgL_gz00_18257 =
					BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
					(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_15433)))->BgL_modz00),
					(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_15433)))->BgL_namez00));
				{	/* Eval/evaluate_comp.scm 367 */
					BgL_ev_exprz00_bglt BgL_arg3048z00_18259;

					BgL_arg3048z00_18259 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setglobalz00_bglt) BgL_ez00_15433))))->BgL_ez00);
					BgL_ez00_18258 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3048z00_18259,
						BgL_stkz00_15434);
				}
				if (CBOOL(BgL_gz00_18257))
					{

						{	/* Eval/evaluate_comp.scm 369 */
							int BgL_aux1095z00_18262;

							{	/* Eval/evaluate_comp.scm 369 */
								int BgL_res5104z00_18263;

								BgL_res5104z00_18263 =
									CINT(VECTOR_REF(((obj_t) BgL_gz00_18257), ((long) 0)));
								BgL_aux1095z00_18262 = BgL_res5104z00_18263;
							}
							switch ((long) (BgL_aux1095z00_18262))
								{
								case ((long) 1):

									{	/* Eval/evaluate_comp.scm 371 */
										obj_t BgL_zc3anonymousza33009ze3z83_18264;

										BgL_zc3anonymousza33009ze3z83_18264 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza33009ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza33009ze3z83_18264,
											(int) (((long) 0)), BgL_gz00_18257);
										PROCEDURE_SET(BgL_zc3anonymousza33009ze3z83_18264,
											(int) (((long) 1)), BgL_ez00_18258);
										return BgL_zc3anonymousza33009ze3z83_18264;
									}
									break;
								case ((long) 0):
								case ((long) 4):
								case ((long) 5):

									return
										BGl_everrorz00zz__everrorz00(
										(((BgL_ev_setglobalz00_bglt) COBJECT(
													((BgL_ev_setglobalz00_bglt) BgL_ez00_15433)))->
											BgL_locz00), BGl_string5924z00zz__evaluate_compz00,
										BGl_string5925z00zz__evaluate_compz00,
										(((BgL_ev_setglobalz00_bglt)
												COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15433)))->
											BgL_namez00));
									break;
								default:
									{	/* Eval/evaluate_comp.scm 376 */
										obj_t BgL_zc3anonymousza33020ze3z83_18261;

										BgL_zc3anonymousza33020ze3z83_18261 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza33020ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza33020ze3z83_18261,
											(int) (((long) 0)), BgL_ez00_18258);
										PROCEDURE_SET(BgL_zc3anonymousza33020ze3z83_18261,
											(int) (((long) 1)), BgL_gz00_18257);
										return BgL_zc3anonymousza33020ze3z83_18261;
									}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 377 */
						obj_t BgL_slotz00_18265;

						BgL_slotz00_18265 = MAKE_CELL(BFALSE);
						if (BGl_evmodulezf3zf3zz__evmodulez00(
								(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_ez00_15433)))->
									BgL_modz00)))
							{	/* Eval/evaluate_comp.scm 379 */
								obj_t BgL_gz00_18266;

								{	/* Eval/evaluate_comp.scm 379 */
									obj_t BgL_arg3029z00_18267;
									obj_t BgL_arg3032z00_18268;
									obj_t BgL_arg3035z00_18269;

									BgL_arg3029z00_18267 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_ez00_15433)))->
										BgL_namez00);
									BgL_arg3032z00_18268 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15433)))->
										BgL_modz00);
									BgL_arg3035z00_18269 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15433)))->
										BgL_locz00);
									{	/* Eval/evaluate_comp.scm 379 */
										obj_t BgL_v1370z00_18270;

										BgL_v1370z00_18270 = create_vector(((long) 5));
										VECTOR_SET(BgL_v1370z00_18270, ((long) 0),
											BINT(((long) 2)));
										VECTOR_SET(BgL_v1370z00_18270, ((long) 1),
											BgL_arg3029z00_18267);
										VECTOR_SET(BgL_v1370z00_18270, ((long) 2), BUNSPEC);
										VECTOR_SET(BgL_v1370z00_18270, ((long) 3),
											BgL_arg3032z00_18268);
										VECTOR_SET(BgL_v1370z00_18270, ((long) 4),
											BgL_arg3035z00_18269);
										BgL_gz00_18266 = BgL_v1370z00_18270;
								}}
								VECTOR_SET(BgL_gz00_18266, ((long) 0), BINT(((long) 3)));
								BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_ez00_15433)))->
										BgL_modz00),
									(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15433)))->
										BgL_namez00), BgL_gz00_18266,
									(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15433)))->
										BgL_locz00));
							}
						else
							{	/* Eval/evaluate_comp.scm 378 */
								BFALSE;
							}
						{	/* Eval/evaluate_comp.scm 382 */
							obj_t BgL_zc3anonymousza33039ze3z83_18271;

							BgL_zc3anonymousza33039ze3z83_18271 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33039ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3anonymousza33039ze3z83_18271,
								(int) (((long) 0)),
								((obj_t) ((BgL_ev_setglobalz00_bglt) BgL_ez00_15433)));
							PROCEDURE_SET(BgL_zc3anonymousza33039ze3z83_18271,
								(int) (((long) 1)), ((obj_t) BgL_slotz00_18265));
							PROCEDURE_SET(BgL_zc3anonymousza33039ze3z83_18271,
								(int) (((long) 2)), BgL_ez00_18258);
							return BgL_zc3anonymousza33039ze3z83_18271;
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3009> */
	obj_t BGl_z62zc3anonymousza33009ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15437, obj_t BgL_sz00_15440)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 371 */
			{	/* Eval/evaluate_comp.scm 371 */
				obj_t BgL_gz00_15438;
				obj_t BgL_ez00_15439;

				BgL_gz00_15438 = PROCEDURE_REF(BgL_envz00_15437, (int) (((long) 0)));
				BgL_ez00_15439 = PROCEDURE_REF(BgL_envz00_15437, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 371 */
					obj_t BgL_bpz00_18272;

					BgL_bpz00_18272 = VECTOR_REF(((obj_t) BgL_sz00_15440), ((long) 0));
					{	/* Eval/evaluate_comp.scm 372 */
						obj_t BgL_arg3010z00_18273;
						obj_t BgL_arg3013z00_18274;

						BgL_arg3010z00_18273 =
							VECTOR_REF(((obj_t) BgL_gz00_15438), ((long) 2));
						BgL_arg3013z00_18274 =
							PROCEDURE_ENTRY(BgL_ez00_15439) (BgL_ez00_15439, BgL_sz00_15440,
							BEOA);
						return __EVMEANING_ADDRESS_SET(BgL_arg3010z00_18273,
							BgL_arg3013z00_18274);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3020> */
	obj_t BGl_z62zc3anonymousza33020ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15441, obj_t BgL_sz00_15444)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 376 */
			{	/* Eval/evaluate_comp.scm 376 */
				obj_t BgL_ez00_15442;
				obj_t BgL_gz00_15443;

				BgL_ez00_15442 = PROCEDURE_REF(BgL_envz00_15441, (int) (((long) 0)));
				BgL_gz00_15443 = PROCEDURE_REF(BgL_envz00_15441, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 376 */
					obj_t BgL_bpz00_18275;

					BgL_bpz00_18275 = VECTOR_REF(((obj_t) BgL_sz00_15444), ((long) 0));
					{	/* Eval/evaluate_comp.scm 376 */
						obj_t BgL_arg3021z00_18276;

						BgL_arg3021z00_18276 =
							PROCEDURE_ENTRY(BgL_ez00_15442) (BgL_ez00_15442, BgL_sz00_15444,
							BEOA);
						return VECTOR_SET(((obj_t) BgL_gz00_15443), ((long) 2),
							BgL_arg3021z00_18276);
		}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:3039> */
	obj_t BGl_z62zc3anonymousza33039ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15445, obj_t BgL_sz00_15449)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 382 */
			{	/* Eval/evaluate_comp.scm 382 */
				BgL_ev_setglobalz00_bglt BgL_i1093z00_15446;
				obj_t BgL_slotz00_15447;
				obj_t BgL_ez00_15448;

				BgL_i1093z00_15446 =
					((BgL_ev_setglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15445, (int) (((long) 0))));
				BgL_slotz00_15447 = PROCEDURE_REF(BgL_envz00_15445, (int) (((long) 1)));
				BgL_ez00_15448 = PROCEDURE_REF(BgL_envz00_15445, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 382 */
					obj_t BgL_bpz00_18277;

					BgL_bpz00_18277 = VECTOR_REF(((obj_t) BgL_sz00_15449), ((long) 0));
					if (CBOOL(CELL_REF(BgL_slotz00_15447)))
						{	/* Eval/evaluate_comp.scm 383 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 383 */
							{	/* Eval/evaluate_comp.scm 384 */
								obj_t BgL_auxz00_18278;

								BgL_auxz00_18278 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1093z00_15446))->
										BgL_modz00),
									(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1093z00_15446))->
										BgL_namez00));
								CELL_SET(BgL_slotz00_15447, BgL_auxz00_18278);
							}
							if (CBOOL(CELL_REF(BgL_slotz00_15447)))
								{	/* Eval/evaluate_comp.scm 385 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 385 */
									BGl_everrorz00zz__everrorz00(
										(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1093z00_15446))->
											BgL_locz00), BGl_string5803z00zz__evaluate_compz00,
										BGl_string5927z00zz__evaluate_compz00,
										(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1093z00_15446))->
											BgL_namez00));
								}
						}
					{	/* Eval/evaluate_comp.scm 386 */
						obj_t BgL_arg3045z00_18279;

						BgL_arg3045z00_18279 =
							PROCEDURE_ENTRY(BgL_ez00_15448) (BgL_ez00_15448, BgL_sz00_15449,
							BEOA);
						{	/* Eval/evaluate_comp.scm 386 */
							obj_t BgL_evalzd2globalzd2_18280;

							BgL_evalzd2globalzd2_18280 = CELL_REF(BgL_slotz00_15447);
							return
								VECTOR_SET(BgL_evalzd2globalzd2_18280, ((long) 2),
								BgL_arg3045z00_18279);
		}}}}}
		BGL_FUNCTION_END;
	}



/* &comp-ev_global1392 */
	obj_t BGl_z62compzd2ev_global1392zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15451, obj_t BgL_varz00_15452, obj_t BgL_stkz00_15453)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 339 */
			{	/* Eval/evaluate_comp.scm 341 */
				obj_t BgL_gz00_18282;

				BgL_gz00_18282 =
					BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
					(((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_varz00_15452)))->BgL_modz00),
					(((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_varz00_15452)))->BgL_namez00));
				if (CBOOL(BgL_gz00_18282))
					{	/* Eval/evaluate_comp.scm 343 */
						bool_t BgL_testz00_34144;

						{	/* Eval/evaluate_comp.scm 343 */
							int BgL_arg2979z00_18283;

							{	/* Eval/evaluate_comp.scm 343 */
								int BgL_res5100z00_18284;

								BgL_res5100z00_18284 =
									CINT(VECTOR_REF(((obj_t) BgL_gz00_18282), ((long) 0)));
								BgL_arg2979z00_18283 = BgL_res5100z00_18284;
							}
							BgL_testz00_34144 =
								(BINT(BgL_arg2979z00_18283) == BINT(((long) 1)));
						}
						if (BgL_testz00_34144)
							{	/* Eval/evaluate_comp.scm 344 */
								obj_t BgL_zc3anonymousza32976ze3z83_18285;

								BgL_zc3anonymousza32976ze3z83_18285 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32976ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza32976ze3z83_18285,
									(int) (((long) 0)), BgL_gz00_18282);
								return BgL_zc3anonymousza32976ze3z83_18285;
							}
						else
							{	/* Eval/evaluate_comp.scm 346 */
								obj_t BgL_zc3anonymousza32978ze3z83_18286;

								BgL_zc3anonymousza32978ze3z83_18286 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32978ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza32978ze3z83_18286,
									(int) (((long) 0)), BgL_gz00_18282);
								return BgL_zc3anonymousza32978ze3z83_18286;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 348 */
						obj_t BgL_slotz00_18287;

						BgL_slotz00_18287 = MAKE_CELL(BFALSE);
						if (BGl_evmodulezf3zf3zz__evmodulez00(
								(((BgL_ev_globalz00_bglt) COBJECT(
											((BgL_ev_globalz00_bglt) BgL_varz00_15452)))->
									BgL_modz00)))
							{	/* Eval/evaluate_comp.scm 350 */
								obj_t BgL_gz00_18288;

								{	/* Eval/evaluate_comp.scm 350 */
									obj_t BgL_arg2985z00_18289;
									obj_t BgL_arg2986z00_18290;
									obj_t BgL_arg2987z00_18291;

									BgL_arg2985z00_18289 =
										(((BgL_ev_globalz00_bglt) COBJECT(
												((BgL_ev_globalz00_bglt) BgL_varz00_15452)))->
										BgL_namez00);
									BgL_arg2986z00_18290 =
										(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15452)))->BgL_modz00);
									BgL_arg2987z00_18291 =
										(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15452)))->BgL_locz00);
									{	/* Eval/evaluate_comp.scm 350 */
										obj_t BgL_v1370z00_18292;

										BgL_v1370z00_18292 = create_vector(((long) 5));
										VECTOR_SET(BgL_v1370z00_18292, ((long) 0),
											BINT(((long) 2)));
										VECTOR_SET(BgL_v1370z00_18292, ((long) 1),
											BgL_arg2985z00_18289);
										VECTOR_SET(BgL_v1370z00_18292, ((long) 2), BUNSPEC);
										VECTOR_SET(BgL_v1370z00_18292, ((long) 3),
											BgL_arg2986z00_18290);
										VECTOR_SET(BgL_v1370z00_18292, ((long) 4),
											BgL_arg2987z00_18291);
										BgL_gz00_18288 = BgL_v1370z00_18292;
								}}
								VECTOR_SET(BgL_gz00_18288, ((long) 0), BINT(((long) 3)));
								BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) COBJECT(
												((BgL_ev_globalz00_bglt) BgL_varz00_15452)))->
										BgL_modz00),
									(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15452)))->BgL_namez00), BgL_gz00_18288,
									(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15452)))->BgL_locz00));
							}
						else
							{	/* Eval/evaluate_comp.scm 349 */
								BFALSE;
							}
						{	/* Eval/evaluate_comp.scm 353 */
							obj_t BgL_zc3anonymousza32990ze3z83_18293;

							BgL_zc3anonymousza32990ze3z83_18293 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32990ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza32990ze3z83_18293,
								(int) (((long) 0)),
								((obj_t) ((BgL_ev_globalz00_bglt) BgL_varz00_15452)));
							PROCEDURE_SET(BgL_zc3anonymousza32990ze3z83_18293,
								(int) (((long) 1)), ((obj_t) BgL_slotz00_18287));
							return BgL_zc3anonymousza32990ze3z83_18293;
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2976> */
	obj_t BGl_z62zc3anonymousza32976ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15456, obj_t BgL_sz00_15458)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 344 */
			{	/* Eval/evaluate_comp.scm 344 */
				obj_t BgL_gz00_15457;

				BgL_gz00_15457 = PROCEDURE_REF(BgL_envz00_15456, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 344 */
					obj_t BgL_bpz00_18294;

					BgL_bpz00_18294 = VECTOR_REF(((obj_t) BgL_sz00_15458), ((long) 0));
					{	/* Eval/evaluate_comp.scm 345 */
						obj_t BgL_arg2977z00_18295;

						BgL_arg2977z00_18295 =
							VECTOR_REF(((obj_t) BgL_gz00_15457), ((long) 2));
						return __EVMEANING_ADDRESS_REF(BgL_arg2977z00_18295);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2978> */
	obj_t BGl_z62zc3anonymousza32978ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15459, obj_t BgL_sz00_15461)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 346 */
			{	/* Eval/evaluate_comp.scm 346 */
				obj_t BgL_gz00_15460;

				BgL_gz00_15460 = PROCEDURE_REF(BgL_envz00_15459, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 346 */
					obj_t BgL_bpz00_18296;

					BgL_bpz00_18296 = VECTOR_REF(((obj_t) BgL_sz00_15461), ((long) 0));
					return VECTOR_REF(((obj_t) BgL_gz00_15460), ((long) 2));
		}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2990> */
	obj_t BGl_z62zc3anonymousza32990ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15462, obj_t BgL_sz00_15465)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 353 */
			{	/* Eval/evaluate_comp.scm 353 */
				BgL_ev_globalz00_bglt BgL_i1092z00_15463;
				obj_t BgL_slotz00_15464;

				BgL_i1092z00_15463 =
					((BgL_ev_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15462, (int) (((long) 0))));
				BgL_slotz00_15464 = PROCEDURE_REF(BgL_envz00_15462, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 353 */
					obj_t BgL_bpz00_18297;

					BgL_bpz00_18297 = VECTOR_REF(((obj_t) BgL_sz00_15465), ((long) 0));
					if (CBOOL(CELL_REF(BgL_slotz00_15464)))
						{	/* Eval/evaluate_comp.scm 354 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 354 */
							{	/* Eval/evaluate_comp.scm 355 */
								obj_t BgL_auxz00_18298;

								BgL_auxz00_18298 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1092z00_15463))->
										BgL_modz00),
									(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1092z00_15463))->
										BgL_namez00));
								CELL_SET(BgL_slotz00_15464, BgL_auxz00_18298);
							}
							if (CBOOL(CELL_REF(BgL_slotz00_15464)))
								{	/* Eval/evaluate_comp.scm 356 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 356 */
									BGl_everrorz00zz__everrorz00(
										(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1092z00_15463))->
											BgL_locz00), BGl_string5803z00zz__evaluate_compz00,
										BGl_string5927z00zz__evaluate_compz00,
										(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1092z00_15463))->
											BgL_namez00));
								}
						}
					{	/* Eval/evaluate_comp.scm 357 */
						obj_t BgL_vz00_18299;

						{	/* Eval/evaluate_comp.scm 357 */
							obj_t BgL_evalzd2globalzd2_18300;

							BgL_evalzd2globalzd2_18300 = CELL_REF(BgL_slotz00_15464);
							BgL_vz00_18299 =
								VECTOR_REF(BgL_evalzd2globalzd2_18300, ((long) 2));
						}
						if ((BgL_vz00_18299 == BUNSPEC))
							{	/* Eval/evaluate_comp.scm 359 */
								int BgL_tz00_18301;

								{	/* Eval/evaluate_comp.scm 359 */
									int BgL_res5101z00_18302;

									{	/* Eval/evaluate_comp.scm 359 */
										obj_t BgL_evalzd2globalzd2_18303;

										BgL_evalzd2globalzd2_18303 = CELL_REF(BgL_slotz00_15464);
										BgL_res5101z00_18302 =
											CINT(VECTOR_REF(BgL_evalzd2globalzd2_18303, ((long) 0)));
									}
									BgL_tz00_18301 = BgL_res5101z00_18302;
								}
								{	/* Eval/evaluate_comp.scm 360 */
									bool_t BgL_testz00_34232;

									if (((long) (BgL_tz00_18301) == ((long) 3)))
										{	/* Eval/evaluate_comp.scm 360 */
											BgL_testz00_34232 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 360 */
											BgL_testz00_34232 =
												((long) (BgL_tz00_18301) == ((long) 4));
										}
									if (BgL_testz00_34232)
										{	/* Eval/evaluate_comp.scm 360 */
											return
												BGl_everrorz00zz__everrorz00(
												(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1092z00_15463))->
													BgL_locz00), BGl_string5803z00zz__evaluate_compz00,
												BGl_string5928z00zz__evaluate_compz00,
												(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1092z00_15463))->
													BgL_namez00));
										}
									else
										{	/* Eval/evaluate_comp.scm 360 */
											return BgL_vz00_18299;
										}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 358 */
								return BgL_vz00_18299;
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_setlocal1390 */
	obj_t BGl_z62compzd2ev_setlocal1390zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15467, obj_t BgL_ez00_15468, obj_t BgL_stkz00_15469)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 321 */
			{	/* Eval/evaluate_comp.scm 323 */
				obj_t BgL_iz00_18305;
				obj_t BgL_ez00_18306;

				{	/* Eval/evaluate_comp.scm 323 */
					BgL_ev_varz00_bglt BgL_arg2972z00_18307;

					BgL_arg2972z00_18307 =
						(((BgL_ev_setlocalz00_bglt) COBJECT(
								((BgL_ev_setlocalz00_bglt) BgL_ez00_15468)))->BgL_vz00);
					BgL_iz00_18305 =
						BGl__indexz00zz__evaluate_compz00(
						((obj_t) BgL_arg2972z00_18307), BgL_stkz00_15469);
				}
				{	/* Eval/evaluate_comp.scm 323 */
					BgL_ev_exprz00_bglt BgL_arg2973z00_18308;

					BgL_arg2973z00_18308 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setlocalz00_bglt) BgL_ez00_15468))))->BgL_ez00);
					BgL_ez00_18306 =
						BGl_compz00zz__evaluate_compz00(BgL_arg2973z00_18308,
						BgL_stkz00_15469);
				}
				if (CBOOL(
						(((BgL_ev_varz00_bglt) COBJECT(
									(((BgL_ev_setlocalz00_bglt) COBJECT(
												((BgL_ev_setlocalz00_bglt) BgL_ez00_15468)))->
										BgL_vz00)))->BgL_effz00)))
					{	/* Eval/evaluate_comp.scm 326 */
						obj_t BgL_zc3anonymousza32963ze3z83_18309;

						BgL_zc3anonymousza32963ze3z83_18309 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32963ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32963ze3z83_18309,
							(int) (((long) 0)), BgL_iz00_18305);
						PROCEDURE_SET(BgL_zc3anonymousza32963ze3z83_18309,
							(int) (((long) 1)), BgL_ez00_18306);
						return BgL_zc3anonymousza32963ze3z83_18309;
					}
				else
					{	/* Eval/evaluate_comp.scm 328 */
						obj_t BgL_zc3anonymousza32967ze3z83_18310;

						BgL_zc3anonymousza32967ze3z83_18310 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32967ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32967ze3z83_18310,
							(int) (((long) 0)), BgL_iz00_18305);
						PROCEDURE_SET(BgL_zc3anonymousza32967ze3z83_18310,
							(int) (((long) 1)), BgL_ez00_18306);
						return BgL_zc3anonymousza32967ze3z83_18310;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2963> */
	obj_t BGl_z62zc3anonymousza32963ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15470, obj_t BgL_sz00_15473)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 326 */
			{	/* Eval/evaluate_comp.scm 326 */
				obj_t BgL_iz00_15471;
				obj_t BgL_ez00_15472;

				BgL_iz00_15471 = PROCEDURE_REF(BgL_envz00_15470, (int) (((long) 0)));
				BgL_ez00_15472 = PROCEDURE_REF(BgL_envz00_15470, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 326 */
					obj_t BgL_bpz00_18311;

					BgL_bpz00_18311 = VECTOR_REF(((obj_t) BgL_sz00_15473), ((long) 0));
					{	/* Eval/evaluate_comp.scm 327 */
						obj_t BgL_arg2964z00_18312;
						obj_t BgL_arg2965z00_18313;

						{	/* Eval/evaluate_comp.scm 327 */
							long BgL_arg2966z00_18314;

							BgL_arg2966z00_18314 =
								((long) CINT(BgL_bpz00_18311) + (long) CINT(BgL_iz00_15471));
							BgL_arg2964z00_18312 =
								VECTOR_REF(((obj_t) BgL_sz00_15473), BgL_arg2966z00_18314);
						}
						BgL_arg2965z00_18313 =
							PROCEDURE_ENTRY(BgL_ez00_15472) (BgL_ez00_15472, BgL_sz00_15473,
							BEOA);
						{	/* Eval/evaluate_comp.scm 202 */
							obj_t BgL_xz00_18315;

							{	/* Eval/evaluate_comp.scm 202 */
								int BgL_auxz00_34285;
								obj_t BgL_tmpz00_34283;

								BgL_auxz00_34285 = (int) (((long) 0));
								BgL_tmpz00_34283 = ((obj_t) BgL_arg2964z00_18312);
								BgL_xz00_18315 =
									STRUCT_SET(BgL_tmpz00_34283, BgL_auxz00_34285,
									BgL_arg2965z00_18313);
							}
							return BUNSPEC;
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2967> */
	obj_t BGl_z62zc3anonymousza32967ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15474, obj_t BgL_sz00_15477)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 328 */
			{	/* Eval/evaluate_comp.scm 328 */
				obj_t BgL_iz00_15475;
				obj_t BgL_ez00_15476;

				BgL_iz00_15475 = PROCEDURE_REF(BgL_envz00_15474, (int) (((long) 0)));
				BgL_ez00_15476 = PROCEDURE_REF(BgL_envz00_15474, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 328 */
					obj_t BgL_bpz00_18316;

					BgL_bpz00_18316 = VECTOR_REF(((obj_t) BgL_sz00_15477), ((long) 0));
					{	/* Eval/evaluate_comp.scm 329 */
						long BgL_arg2969z00_18317;
						obj_t BgL_arg2971z00_18318;

						BgL_arg2969z00_18317 =
							((long) CINT(BgL_bpz00_18316) + (long) CINT(BgL_iz00_15475));
						BgL_arg2971z00_18318 =
							PROCEDURE_ENTRY(BgL_ez00_15476) (BgL_ez00_15476, BgL_sz00_15477,
							BEOA);
						return VECTOR_SET(((obj_t) BgL_sz00_15477), BgL_arg2969z00_18317,
							BgL_arg2971z00_18318);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_var1388 */
	obj_t BGl_z62compzd2ev_var1388zb0zz__evaluate_compz00(obj_t BgL_envz00_15478,
		obj_t BgL_varz00_15479, obj_t BgL_stkz00_15480)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 316 */
			{	/* Eval/evaluate_comp.scm 317 */
				obj_t BgL_iz00_18320;

				BgL_iz00_18320 =
					BGl__indexz00zz__evaluate_compz00(
					((obj_t) ((BgL_ev_varz00_bglt) BgL_varz00_15479)), BgL_stkz00_15480);
				{

					if (INTEGERP(BgL_iz00_18320))
						{	/* Eval/evaluate_comp.scm 319 */
							switch ((long) CINT(BgL_iz00_18320))
								{
								case ((long) 0):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15479)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5929z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5930z00zz__evaluate_compz00;
										}
									break;
								case ((long) 1):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15479)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5931z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5932z00zz__evaluate_compz00;
										}
									break;
								case ((long) 2):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15479)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5933z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5934z00zz__evaluate_compz00;
										}
									break;
								case ((long) 3):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15479)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5935z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5936z00zz__evaluate_compz00;
										}
									break;
								default:
								BgL_case_else1087z00_18321:
									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15479)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											obj_t BgL_zc3anonymousza32957ze3z83_18322;

											BgL_zc3anonymousza32957ze3z83_18322 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32957ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza32957ze3z83_18322,
												(int) (((long) 0)), BgL_iz00_18320);
											return BgL_zc3anonymousza32957ze3z83_18322;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											obj_t BgL_zc3anonymousza32960ze3z83_18323;

											BgL_zc3anonymousza32960ze3z83_18323 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32960ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza32960ze3z83_18323,
												(int) (((long) 0)), BgL_iz00_18320);
											return BgL_zc3anonymousza32960ze3z83_18323;
										}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 319 */
							goto BgL_case_else1087z00_18321;
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2951> */
	obj_t BGl_z62zc3anonymousza32951ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15481, obj_t BgL_sz00_15482)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18324;

				BgL_bpz00_18324 = VECTOR_REF(((obj_t) BgL_sz00_15482), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2952z00_18325;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2953z00_18326;

						BgL_arg2953z00_18326 = ((long) CINT(BgL_bpz00_18324) + ((long) 3));
						BgL_arg2952z00_18325 =
							VECTOR_REF(((obj_t) BgL_sz00_15482), BgL_arg2953z00_18326);
					}
					return STRUCT_REF(((obj_t) BgL_arg2952z00_18325), (int) (((long) 0)));
		}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2954> */
	obj_t BGl_z62zc3anonymousza32954ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15483, obj_t BgL_sz00_15484)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18327;

				BgL_bpz00_18327 = VECTOR_REF(((obj_t) BgL_sz00_15484), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2955z00_18328;

					BgL_arg2955z00_18328 = ((long) CINT(BgL_bpz00_18327) + ((long) 3));
					return VECTOR_REF(((obj_t) BgL_sz00_15484), BgL_arg2955z00_18328);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2945> */
	obj_t BGl_z62zc3anonymousza32945ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15485, obj_t BgL_sz00_15486)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18329;

				BgL_bpz00_18329 = VECTOR_REF(((obj_t) BgL_sz00_15486), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2946z00_18330;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2947z00_18331;

						BgL_arg2947z00_18331 = ((long) CINT(BgL_bpz00_18329) + ((long) 2));
						BgL_arg2946z00_18330 =
							VECTOR_REF(((obj_t) BgL_sz00_15486), BgL_arg2947z00_18331);
					}
					return STRUCT_REF(((obj_t) BgL_arg2946z00_18330), (int) (((long) 0)));
		}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2948> */
	obj_t BGl_z62zc3anonymousza32948ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15487, obj_t BgL_sz00_15488)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18332;

				BgL_bpz00_18332 = VECTOR_REF(((obj_t) BgL_sz00_15488), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2949z00_18333;

					BgL_arg2949z00_18333 = ((long) CINT(BgL_bpz00_18332) + ((long) 2));
					return VECTOR_REF(((obj_t) BgL_sz00_15488), BgL_arg2949z00_18333);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2938> */
	obj_t BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15489, obj_t BgL_sz00_15490)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18334;

				BgL_bpz00_18334 = VECTOR_REF(((obj_t) BgL_sz00_15490), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2940z00_18335;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2941z00_18336;

						BgL_arg2941z00_18336 = ((long) CINT(BgL_bpz00_18334) + ((long) 1));
						BgL_arg2940z00_18335 =
							VECTOR_REF(((obj_t) BgL_sz00_15490), BgL_arg2941z00_18336);
					}
					return STRUCT_REF(((obj_t) BgL_arg2940z00_18335), (int) (((long) 0)));
		}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2942> */
	obj_t BGl_z62zc3anonymousza32942ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15491, obj_t BgL_sz00_15492)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18337;

				BgL_bpz00_18337 = VECTOR_REF(((obj_t) BgL_sz00_15492), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2943z00_18338;

					BgL_arg2943z00_18338 = ((long) CINT(BgL_bpz00_18337) + ((long) 1));
					return VECTOR_REF(((obj_t) BgL_sz00_15492), BgL_arg2943z00_18338);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2932> */
	obj_t BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15493, obj_t BgL_sz00_15494)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18339;

				BgL_bpz00_18339 = VECTOR_REF(((obj_t) BgL_sz00_15494), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2933z00_18340;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2934z00_18341;

						BgL_arg2934z00_18341 = ((long) CINT(BgL_bpz00_18339) + ((long) 0));
						BgL_arg2933z00_18340 =
							VECTOR_REF(((obj_t) BgL_sz00_15494), BgL_arg2934z00_18341);
					}
					return STRUCT_REF(((obj_t) BgL_arg2933z00_18340), (int) (((long) 0)));
		}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2935> */
	obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15495, obj_t BgL_sz00_15496)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18342;

				BgL_bpz00_18342 = VECTOR_REF(((obj_t) BgL_sz00_15496), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2936z00_18343;

					BgL_arg2936z00_18343 = ((long) CINT(BgL_bpz00_18342) + ((long) 0));
					return VECTOR_REF(((obj_t) BgL_sz00_15496), BgL_arg2936z00_18343);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2957> */
	obj_t BGl_z62zc3anonymousza32957ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15497, obj_t BgL_sz00_15499)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_iz00_15498;

				BgL_iz00_15498 = PROCEDURE_REF(BgL_envz00_15497, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_bpz00_18344;

					BgL_bpz00_18344 = VECTOR_REF(((obj_t) BgL_sz00_15499), ((long) 0));
					{	/* Eval/evaluate_comp.scm 319 */
						obj_t BgL_arg2958z00_18345;

						{	/* Eval/evaluate_comp.scm 319 */
							long BgL_arg2959z00_18346;

							BgL_arg2959z00_18346 =
								((long) CINT(BgL_bpz00_18344) + (long) CINT(BgL_iz00_15498));
							BgL_arg2958z00_18345 =
								VECTOR_REF(((obj_t) BgL_sz00_15499), BgL_arg2959z00_18346);
						}
						return
							STRUCT_REF(((obj_t) BgL_arg2958z00_18345), (int) (((long) 0)));
		}}}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2960> */
	obj_t BGl_z62zc3anonymousza32960ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15500, obj_t BgL_sz00_15502)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_iz00_15501;

				BgL_iz00_15501 = PROCEDURE_REF(BgL_envz00_15500, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_bpz00_18347;

					BgL_bpz00_18347 = VECTOR_REF(((obj_t) BgL_sz00_15502), ((long) 0));
					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2961z00_18348;

						BgL_arg2961z00_18348 =
							((long) CINT(BgL_bpz00_18347) + (long) CINT(BgL_iz00_15501));
						return VECTOR_REF(((obj_t) BgL_sz00_15502), BgL_arg2961z00_18348);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &comp-ev_trap1386 */
	obj_t BGl_z62compzd2ev_trap1386zb0zz__evaluate_compz00(obj_t BgL_envz00_15503,
		obj_t BgL_ez00_15504, obj_t BgL_stkz00_15505)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 289 */
			{	/* Eval/evaluate_comp.scm 291 */
				obj_t BgL_ez00_18350;

				{	/* Eval/evaluate_comp.scm 291 */
					BgL_ev_exprz00_bglt BgL_arg2929z00_18351;

					BgL_arg2929z00_18351 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_trapz00_bglt) BgL_ez00_15504))))->BgL_ez00);
					BgL_ez00_18350 =
						BGl_compz00zz__evaluate_compz00(BgL_arg2929z00_18351,
						BgL_stkz00_15505);
				}
				{	/* Eval/evaluate_comp.scm 292 */
					obj_t BgL_zc3anonymousza32922ze3z83_18352;

					BgL_zc3anonymousza32922ze3z83_18352 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza32922ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32922ze3z83_18352, (int) (((long) 0)),
						BgL_ez00_18350);
					return BgL_zc3anonymousza32922ze3z83_18352;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2922> */
	obj_t BGl_z62zc3anonymousza32922ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15506, obj_t BgL_sz00_15508)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 292 */
			{	/* Eval/evaluate_comp.scm 292 */
				obj_t BgL_ez00_15507;

				BgL_ez00_15507 = PROCEDURE_REF(BgL_envz00_15506, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 292 */
					obj_t BgL_bpz00_18353;

					BgL_bpz00_18353 = VECTOR_REF(((obj_t) BgL_sz00_15508), ((long) 0));
					{	/* Eval/evaluate_comp.scm 293 */
						obj_t BgL_cmdz00_18354;

						BgL_cmdz00_18354 =
							PROCEDURE_ENTRY(BgL_ez00_15507) (BgL_ez00_15507, BgL_sz00_15508,
							BEOA);
						if ((BgL_cmdz00_18354 == BGl_symbol5937z00zz__evaluate_compz00))
							{	/* Eval/evaluate_comp.scm 294 */
								return BgL_bpz00_18353;
							}
						else
							{	/* Eval/evaluate_comp.scm 294 */
								if ((BgL_cmdz00_18354 == BGl_symbol5939z00zz__evaluate_compz00))
									{	/* Eval/evaluate_comp.scm 294 */
										return BGl_reset_profilez00zz__evaluate_compz00();
									}
								else
									{	/* Eval/evaluate_comp.scm 294 */
										if (
											(BgL_cmdz00_18354 ==
												BGl_symbol5941z00zz__evaluate_compz00))
											{	/* Eval/evaluate_comp.scm 294 */
												return BGl_get_profilez00zz__evaluate_compz00();
											}
										else
											{	/* Eval/evaluate_comp.scm 294 */
												if (
													(BgL_cmdz00_18354 ==
														BGl_symbol5943z00zz__evaluate_compz00))
													{	/* Eval/evaluate_comp.scm 302 */
														obj_t BgL_arg2928z00_18355;

														BgL_arg2928z00_18355 =
															BGl_findzd2statezd2zz__evaluate_compz00();
														return
															VECTOR_SET(
															((obj_t) BgL_arg2928z00_18355), ((long) 0),
															BINT(((long) 2)));
													}
												else
													{	/* Eval/evaluate_comp.scm 294 */
														return
															BGl_errorz00zz__errorz00
															(BGl_string5803z00zz__evaluate_compz00,
															BGl_string5945z00zz__evaluate_compz00,
															BgL_cmdz00_18354);
													}
											}
									}
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 321192832),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 298117150),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 439353001),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564232),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 467924964),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 454272164),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					357154522), BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					434692624), BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262918),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -400105135),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 525089668),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 80758636),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 86988580),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)
					20669940), BSTRING_TO_STRING(BGl_string5946z00zz__evaluate_compz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
